/*===========================================================================*/
/*   (Ast/build.scm)                                                         */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/build.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_buildz00();
	static obj_t BGl_zc3exitza33208ze3z83zzast_buildz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	static obj_t BGl__appendzd2astzd2zzast_buildz00(obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_sfunzd2defzd2ze3astze3zzast_buildz00(BgL_globalz00_bglt);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl__buildzd2astzd2zzast_buildz00(obj_t, obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_unitzd2ze3defsz31zzast_unitz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_buildz00();
	static obj_t BGl_requirezd2initializa7ationz75zzast_buildz00 = BUNSPEC;
	extern obj_t BGl_checkzd2tozd2bezd2definezd2zzast_findzd2gdefszd2();
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_buildz00();
	static obj_t BGl__buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_appendzd2astzd2zzast_buildz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t);
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_buildz00();
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_appendzd2astzd2envz00zzast_buildz00,
		BgL_bgl__appendza7d2astza7d23275z00, BGl__appendzd2astzd2zzast_buildz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_buildzd2astzd2envz00zzast_buildz00,
		BgL_bgl__buildza7d2astza7d2za73276za7, BGl__buildzd2astzd2zzast_buildz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_buildzd2astzd2sanszd2removezd2envz00zzast_buildz00,
		BgL_bgl__buildza7d2astza7d2s3277z00,
		BGl__buildzd2astzd2sanszd2removezd2zzast_buildz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3262z00zzast_buildz00,
		BgL_bgl_string3262za700za7za7a3278za7, "Ast", 3);
	      DEFINE_STRING(BGl_string3263z00zzast_buildz00,
		BgL_bgl_string3263za700za7za7a3279za7, "   . ", 5);
	      DEFINE_STRING(BGl_string3264z00zzast_buildz00,
		BgL_bgl_string3264za700za7za7a3280za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string3265z00zzast_buildz00,
		BgL_bgl_string3265za700za7za7a3281za7, " error", 6);
	      DEFINE_STRING(BGl_string3266z00zzast_buildz00,
		BgL_bgl_string3266za700za7za7a3282za7, "s", 1);
	      DEFINE_STRING(BGl_string3267z00zzast_buildz00,
		BgL_bgl_string3267za700za7za7a3283za7, "", 0);
	      DEFINE_STRING(BGl_string3268z00zzast_buildz00,
		BgL_bgl_string3268za700za7za7a3284za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string3270z00zzast_buildz00,
		BgL_bgl_string3270za700za7za7a3285za7, "ast_build", 9);
	      DEFINE_STRING(BGl_string3269z00zzast_buildz00,
		BgL_bgl_string3269za700za7za7a3286za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string3271z00zzast_buildz00,
		BgL_bgl_string3271za700za7za7a3287za7, "value pass-started ast ", 23);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long
		BgL_checksumz00_1304, char *BgL_fromz00_1305)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_buildz00))
				{
					BGl_requirezd2initializa7ationz75zzast_buildz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_buildz00();
					BGl_cnstzd2initzd2zzast_buildz00();
					BGl_importedzd2moduleszd2initz00zzast_buildz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_buildz00()
	{
		AN_OBJECT;
		{	/* Ast/build.scm 14 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_build");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_build");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "ast_build");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_build");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_build");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_build");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_build");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_buildz00()
	{
		AN_OBJECT;
		{	/* Ast/build.scm 14 */
			{	/* Ast/build.scm 14 */
				obj_t BgL_cportz00_1293;

				BgL_cportz00_1293 =
					bgl_open_input_string(BGl_string3271z00zzast_buildz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1294;

					BgL_iz00_1294 = ((long) 2);
				BgL_loopz00_1295:
					if ((BgL_iz00_1294 == ((long) -1)))
						{	/* Ast/build.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/build.scm 14 */
							{	/* Ast/build.scm 14 */
								obj_t BgL_arg3273z00_1297;

								{	/* Ast/build.scm 14 */

									{	/* Ast/build.scm 14 */
										obj_t BgL_locationz00_1299;

										BgL_locationz00_1299 = BBOOL(((bool_t) 0));
										{	/* Ast/build.scm 14 */

											BgL_arg3273z00_1297 =
												BGl_readz00zz__readerz00(BgL_cportz00_1293,
												BgL_locationz00_1299);
										}
									}
								}
								{	/* Ast/build.scm 14 */
									int BgL_auxz00_1325;

									BgL_auxz00_1325 = (int) (BgL_iz00_1294);
									CNST_TABLE_SET(BgL_auxz00_1325, BgL_arg3273z00_1297);
							}}
							{	/* Ast/build.scm 14 */
								int BgL_auxz00_1300;

								BgL_auxz00_1300 = (int) ((BgL_iz00_1294 - ((long) 1)));
								{
									long BgL_iz00_1330;

									BgL_iz00_1330 = (long) (BgL_auxz00_1300);
									BgL_iz00_1294 = BgL_iz00_1330;
									goto BgL_loopz00_1295;
								}
							}
						}
				}
			}
		}
	}



/* append-ast */
	BGL_EXPORTED_DEF obj_t BGl_appendzd2astzd2zzast_buildz00(obj_t BgL_a1z00_1,
		obj_t BgL_a2z00_2)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 35 */
			return bgl_append2(BgL_a1z00_1, BgL_a2z00_2);
		}
	}



/* _append-ast */
	obj_t BGl__appendzd2astzd2zzast_buildz00(obj_t BgL_envz00_1285,
		obj_t BgL_a1z00_1286, obj_t BgL_a2z00_1287)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 35 */
			return bgl_append2(BgL_a1z00_1286, BgL_a2z00_1287);
		}
	}



/* build-ast */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t BgL_unitsz00_3)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 43 */
			{	/* Ast/build.scm 44 */
				obj_t BgL_arg3142z00_1209;

				obj_t BgL_arg3143z00_1210;

				BgL_arg3142z00_1209 = CNST_TABLE_REF(((long) 0));
				BgL_arg3143z00_1210 =
					BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(BgL_unitsz00_3);
				return
					BGl_removezd2varzd2zzast_removez00(BgL_arg3142z00_1209,
					BgL_arg3143z00_1210);
			}
		}
	}



/* _build-ast */
	obj_t BGl__buildzd2astzd2zzast_buildz00(obj_t BgL_envz00_1288,
		obj_t BgL_unitsz00_1289)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 43 */
			return BGl_buildzd2astzd2zzast_buildz00(BgL_unitsz00_1289);
		}
	}



/* build-ast-sans-remove */
	BGL_EXPORTED_DEF obj_t BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t
		BgL_unitsz00_4)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 51 */
			{	/* Ast/build.scm 52 */
				obj_t BgL_list3144z00_727;

				{	/* Ast/build.scm 52 */
					obj_t BgL_arg3146z00_729;

					{	/* Ast/build.scm 52 */
						obj_t BgL_arg3148z00_731;

						BgL_arg3148z00_731 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg3146z00_729 =
							MAKE_PAIR(BGl_string3262z00zzast_buildz00, BgL_arg3148z00_731);
					}
					BgL_list3144z00_727 =
						MAKE_PAIR(BGl_string3263z00zzast_buildz00, BgL_arg3146z00_729);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list3144z00_727);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string3262z00zzast_buildz00;
			{
				obj_t BgL_hooksz00_734;

				obj_t BgL_hnamesz00_735;

				BgL_hooksz00_734 = BNIL;
				BgL_hnamesz00_735 = BNIL;
			BgL_loopz00_736:
				if (NULLP(BgL_hooksz00_734))
					{	/* Ast/build.scm 52 */
						CNST_TABLE_REF(((long) 1));
					}
				else
					{	/* Ast/build.scm 52 */
						bool_t BgL_testz00_1348;

						{	/* Ast/build.scm 52 */
							obj_t BgL_fun3156z00_744;

							BgL_fun3156z00_744 = CAR(BgL_hooksz00_734);
							BgL_testz00_1348 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun3156z00_744) (BgL_fun3156z00_744,
									BEOA));
						}
						if (BgL_testz00_1348)
							{
								obj_t BgL_hnamesz00_1355;

								obj_t BgL_hooksz00_1353;

								BgL_hooksz00_1353 = CDR(BgL_hooksz00_734);
								BgL_hnamesz00_1355 = CDR(BgL_hnamesz00_735);
								BgL_hnamesz00_735 = BgL_hnamesz00_1355;
								BgL_hooksz00_734 = BgL_hooksz00_1353;
								goto BgL_loopz00_736;
							}
						else
							{	/* Ast/build.scm 52 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string3262z00zzast_buildz00,
									BGl_string3264z00zzast_buildz00, CAR(BgL_hnamesz00_735));
							}
					}
			}
			{	/* Ast/build.scm 56 */
				obj_t BgL_nberrz00_746;

				BgL_nberrz00_746 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
				{	/* Ast/build.scm 56 */
					obj_t BgL_defsz00_747;

					{	/* Ast/build.scm 57 */
						obj_t BgL_runner3203z00_822;

						if (NULLP(BgL_unitsz00_4))
							{	/* Ast/build.scm 57 */
								BgL_runner3203z00_822 = BNIL;
							}
						else
							{	/* Ast/build.scm 57 */
								obj_t BgL_head3130z00_808;

								BgL_head3130z00_808 =
									MAKE_PAIR(BGl_unitzd2ze3defsz31zzast_unitz00(CAR
										(BgL_unitsz00_4)), BNIL);
								{	/* Ast/build.scm 57 */
									obj_t BgL_g3133z00_809;

									BgL_g3133z00_809 = CDR(BgL_unitsz00_4);
									{
										obj_t BgL_l3128z00_810;

										obj_t BgL_tail3131z00_811;

										BgL_l3128z00_810 = BgL_g3133z00_809;
										BgL_tail3131z00_811 = BgL_head3130z00_808;
									BgL_map3129z00_812:
										if (NULLP(BgL_l3128z00_810))
											{	/* Ast/build.scm 57 */
												BgL_runner3203z00_822 = BgL_head3130z00_808;
											}
										else
											{	/* Ast/build.scm 57 */
												obj_t BgL_newtail3132z00_814;

												BgL_newtail3132z00_814 =
													MAKE_PAIR(BGl_unitzd2ze3defsz31zzast_unitz00(CAR
														(BgL_l3128z00_810)), BNIL);
												SET_CDR(BgL_tail3131z00_811, BgL_newtail3132z00_814);
												{
													obj_t BgL_tail3131z00_1373;

													obj_t BgL_l3128z00_1371;

													BgL_l3128z00_1371 = CDR(BgL_l3128z00_810);
													BgL_tail3131z00_1373 = BgL_newtail3132z00_814;
													BgL_tail3131z00_811 = BgL_tail3131z00_1373;
													BgL_l3128z00_810 = BgL_l3128z00_1371;
													goto BgL_map3129z00_812;
												}
											}
									}
								}
							}
						BgL_defsz00_747 =
							BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner3203z00_822);
					}
					{	/* Ast/build.scm 57 */

						if (
							((long) CINT(BgL_nberrz00_746) ==
								(long)
								CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)))
							{	/* Ast/build.scm 58 */
								BGl_checkzd2tozd2bezd2definezd2zzast_findzd2gdefszd2();
								{	/* Ast/build.scm 63 */
									obj_t BgL_astz00_749;

									if (NULLP(BgL_defsz00_747))
										{	/* Ast/build.scm 63 */
											BgL_astz00_749 = BNIL;
										}
									else
										{	/* Ast/build.scm 63 */
											obj_t BgL_head3136z00_772;

											{	/* Ast/build.scm 63 */
												BgL_globalz00_bglt BgL_arg3178z00_783;

												{	/* Ast/build.scm 63 */
													obj_t BgL_arg3180z00_785;

													BgL_arg3180z00_785 = CAR(BgL_defsz00_747);
													BgL_arg3178z00_783 =
														BGl_sfunzd2defzd2ze3astze3zzast_buildz00(
														(BgL_globalz00_bglt) (BgL_arg3180z00_785));
												}
												BgL_head3136z00_772 =
													MAKE_PAIR((obj_t) (BgL_arg3178z00_783), BNIL);
											}
											{	/* Ast/build.scm 63 */
												obj_t BgL_g3139z00_773;

												BgL_g3139z00_773 = CDR(BgL_defsz00_747);
												{
													obj_t BgL_l3134z00_774;

													obj_t BgL_tail3137z00_775;

													BgL_l3134z00_774 = BgL_g3139z00_773;
													BgL_tail3137z00_775 = BgL_head3136z00_772;
												BgL_map3135z00_776:
													if (NULLP(BgL_l3134z00_774))
														{	/* Ast/build.scm 63 */
															BgL_astz00_749 = BgL_head3136z00_772;
														}
													else
														{	/* Ast/build.scm 63 */
															obj_t BgL_newtail3138z00_778;

															{	/* Ast/build.scm 63 */
																BgL_globalz00_bglt BgL_arg3175z00_780;

																{	/* Ast/build.scm 63 */
																	obj_t BgL_arg3177z00_782;

																	BgL_arg3177z00_782 = CAR(BgL_l3134z00_774);
																	BgL_arg3175z00_780 =
																		BGl_sfunzd2defzd2ze3astze3zzast_buildz00(
																		(BgL_globalz00_bglt) (BgL_arg3177z00_782));
																}
																BgL_newtail3138z00_778 =
																	MAKE_PAIR((obj_t) (BgL_arg3175z00_780), BNIL);
															}
															SET_CDR(BgL_tail3137z00_775,
																BgL_newtail3138z00_778);
															{
																obj_t BgL_tail3137z00_1398;

																obj_t BgL_l3134z00_1396;

																BgL_l3134z00_1396 = CDR(BgL_l3134z00_774);
																BgL_tail3137z00_1398 = BgL_newtail3138z00_778;
																BgL_tail3137z00_775 = BgL_tail3137z00_1398;
																BgL_l3134z00_774 = BgL_l3134z00_1396;
																goto BgL_map3135z00_776;
															}
														}
												}
											}
										}
									if (
										((long)
											CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
											> ((long) 0)))
										{	/* Ast/build.scm 65 */
											{	/* Ast/build.scm 65 */
												obj_t BgL_port3140z00_752;

												{	/* Ast/build.scm 65 */
													obj_t BgL_res3258z00_1247;

													{	/* Ast/build.scm 65 */
														obj_t BgL_auxz00_1402;

														BgL_auxz00_1402 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_res3258z00_1247 =
															BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1402);
													}
													BgL_port3140z00_752 = BgL_res3258z00_1247;
												}
												bgl_display_obj
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BgL_port3140z00_752);
												bgl_display_string(BGl_string3265z00zzast_buildz00,
													BgL_port3140z00_752);
												{	/* Ast/build.scm 65 */
													obj_t BgL_arg3160z00_753;

													{	/* Ast/build.scm 65 */
														bool_t BgL_testz00_1407;

														if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
															{	/* Ast/build.scm 65 */
																BgL_testz00_1407 =
																	BGl_2ze3ze3zz__r4_numbers_6_5z00
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																	BINT(((long) 1)));
															}
														else
															{	/* Ast/build.scm 65 */
																BgL_testz00_1407 = ((bool_t) 0);
															}
														if (BgL_testz00_1407)
															{	/* Ast/build.scm 65 */
																BgL_arg3160z00_753 =
																	BGl_string3266z00zzast_buildz00;
															}
														else
															{	/* Ast/build.scm 65 */
																BgL_arg3160z00_753 =
																	BGl_string3267z00zzast_buildz00;
															}
													}
													bgl_display_obj(BgL_arg3160z00_753,
														BgL_port3140z00_752);
												}
												bgl_display_string(BGl_string3268z00zzast_buildz00,
													BgL_port3140z00_752);
												bgl_display_char(((unsigned char) '\n'),
													BgL_port3140z00_752);
											}
											{	/* Ast/build.scm 65 */
												obj_t BgL_list3163z00_756;

												BgL_list3163z00_756 =
													MAKE_PAIR(BINT(((long) -1)), BNIL);
												return BGl_exitz00zz__errorz00(BgL_list3163z00_756);
											}
										}
									else
										{
											obj_t BgL_hooksz00_759;

											obj_t BgL_hnamesz00_760;

											BgL_hooksz00_759 = BNIL;
											BgL_hnamesz00_760 = BNIL;
										BgL_loopz00_761:
											if (NULLP(BgL_hooksz00_759))
												{	/* Ast/build.scm 65 */
													return BgL_astz00_749;
												}
											else
												{	/* Ast/build.scm 65 */
													bool_t BgL_testz00_1420;

													{	/* Ast/build.scm 65 */
														obj_t BgL_fun3170z00_768;

														BgL_fun3170z00_768 = CAR(BgL_hooksz00_759);
														BgL_testz00_1420 =
															CBOOL(PROCEDURE_ENTRY(BgL_fun3170z00_768)
															(BgL_fun3170z00_768, BEOA));
													}
													if (BgL_testz00_1420)
														{
															obj_t BgL_hnamesz00_1427;

															obj_t BgL_hooksz00_1425;

															BgL_hooksz00_1425 = CDR(BgL_hooksz00_759);
															BgL_hnamesz00_1427 = CDR(BgL_hnamesz00_760);
															BgL_hnamesz00_760 = BgL_hnamesz00_1427;
															BgL_hooksz00_759 = BgL_hooksz00_1425;
															goto BgL_loopz00_761;
														}
													else
														{	/* Ast/build.scm 65 */
															obj_t BgL_arg3169z00_767;

															BgL_arg3169z00_767 = CAR(BgL_hnamesz00_760);
															return
																BGl_internalzd2errorzd2zztools_errorz00
																(BGl_za2currentzd2passza2zd2zzengine_passz00,
																BGl_string3269z00zzast_buildz00,
																BgL_arg3169z00_767);
														}
												}
										}
								}
							}
						else
							{	/* Ast/build.scm 58 */
								if (
									((long)
										CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
										((long) 0)))
									{	/* Ast/build.scm 66 */
										{	/* Ast/build.scm 66 */
											obj_t BgL_port3141z00_788;

											{	/* Ast/build.scm 66 */
												obj_t BgL_res3260z00_1263;

												{	/* Ast/build.scm 66 */
													obj_t BgL_auxz00_1434;

													BgL_auxz00_1434 = BGL_CURRENT_DYNAMIC_ENV();
													BgL_res3260z00_1263 =
														BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1434);
												}
												BgL_port3141z00_788 = BgL_res3260z00_1263;
											}
											bgl_display_obj
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
												BgL_port3141z00_788);
											bgl_display_string(BGl_string3265z00zzast_buildz00,
												BgL_port3141z00_788);
											{	/* Ast/build.scm 66 */
												obj_t BgL_arg3182z00_789;

												{	/* Ast/build.scm 66 */
													bool_t BgL_testz00_1439;

													if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
														{	/* Ast/build.scm 66 */
															BgL_testz00_1439 =
																BGl_2ze3ze3zz__r4_numbers_6_5z00
																(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																BINT(((long) 1)));
														}
													else
														{	/* Ast/build.scm 66 */
															BgL_testz00_1439 = ((bool_t) 0);
														}
													if (BgL_testz00_1439)
														{	/* Ast/build.scm 66 */
															BgL_arg3182z00_789 =
																BGl_string3266z00zzast_buildz00;
														}
													else
														{	/* Ast/build.scm 66 */
															BgL_arg3182z00_789 =
																BGl_string3267z00zzast_buildz00;
														}
												}
												bgl_display_obj(BgL_arg3182z00_789,
													BgL_port3141z00_788);
											}
											bgl_display_string(BGl_string3268z00zzast_buildz00,
												BgL_port3141z00_788);
											bgl_display_char(((unsigned char) '\n'),
												BgL_port3141z00_788);
										}
										{	/* Ast/build.scm 66 */
											obj_t BgL_list3185z00_792;

											BgL_list3185z00_792 = MAKE_PAIR(BINT(((long) -1)), BNIL);
											return BGl_exitz00zz__errorz00(BgL_list3185z00_792);
										}
									}
								else
									{
										obj_t BgL_hooksz00_795;

										obj_t BgL_hnamesz00_796;

										BgL_hooksz00_795 = BNIL;
										BgL_hnamesz00_796 = BNIL;
									BgL_loopz00_797:
										if (NULLP(BgL_hooksz00_795))
											{	/* Ast/build.scm 66 */
												return BNIL;
											}
										else
											{	/* Ast/build.scm 66 */
												bool_t BgL_testz00_1452;

												{	/* Ast/build.scm 66 */
													obj_t BgL_fun3192z00_804;

													BgL_fun3192z00_804 = CAR(BgL_hooksz00_795);
													BgL_testz00_1452 =
														CBOOL(PROCEDURE_ENTRY(BgL_fun3192z00_804)
														(BgL_fun3192z00_804, BEOA));
												}
												if (BgL_testz00_1452)
													{
														obj_t BgL_hnamesz00_1459;

														obj_t BgL_hooksz00_1457;

														BgL_hooksz00_1457 = CDR(BgL_hooksz00_795);
														BgL_hnamesz00_1459 = CDR(BgL_hnamesz00_796);
														BgL_hnamesz00_796 = BgL_hnamesz00_1459;
														BgL_hooksz00_795 = BgL_hooksz00_1457;
														goto BgL_loopz00_797;
													}
												else
													{	/* Ast/build.scm 66 */
														obj_t BgL_arg3191z00_803;

														BgL_arg3191z00_803 = CAR(BgL_hnamesz00_796);
														return
															BGl_internalzd2errorzd2zztools_errorz00
															(BGl_za2currentzd2passza2zd2zzengine_passz00,
															BGl_string3269z00zzast_buildz00,
															BgL_arg3191z00_803);
													}
											}
									}
							}
					}
				}
			}
		}
	}



/* _build-ast-sans-remove */
	obj_t BGl__buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t BgL_envz00_1290,
		obj_t BgL_unitsz00_1291)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 51 */
			return
				BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(BgL_unitsz00_1291);
		}
	}



/* sfun-def->ast */
	BgL_globalz00_bglt BGl_sfunzd2defzd2ze3astze3zzast_buildz00(BgL_globalz00_bglt
		BgL_defz00_5)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 71 */
			{	/* Ast/build.scm 72 */
				obj_t BgL_arg3204z00_823;

				{
					BgL_variablez00_bglt BgL_auxz00_1464;

					BgL_auxz00_1464 = (BgL_variablez00_bglt) (BgL_defz00_5);
					BgL_arg3204z00_823 =
						(((BgL_variablez00_bglt) CREF(BgL_auxz00_1464))->BgL_idz00);
				}
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg3204z00_823);
			}
			{	/* Ast/build.scm 73 */
				obj_t BgL_val3125z00_824;

				BgL_val3125z00_824 =
					BGl_zc3exitza33208ze3z83zzast_buildz00(BgL_defz00_5);
				BGl_leavezd2functionzd2zztools_errorz00();
				if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(BgL_val3125z00_824)))
					{	/* Ast/build.scm 84 */
						BGl_unwindzd2untilz12zc0zz__bexitz00(CAR(BgL_val3125z00_824),
							CDR(BgL_val3125z00_824));
					}
				else
					{	/* Ast/build.scm 84 */
						BgL_val3125z00_824;
					}
			}
			return BgL_defz00_5;
		}
	}



/* <exit:3208> */
	obj_t BGl_zc3exitza33208ze3z83zzast_buildz00(BgL_globalz00_bglt
		BgL_defz00_1292)
	{
		AN_OBJECT;
		{	/* Ast/build.scm 84 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit3126z00_829;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit3126z00_829))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit3126z00_829 = (void *) jmpbuf;
						{	/* Ast/build.scm 84 */

							PUSH_EXIT(BgL_an_exit3126z00_829, ((long) 0));
							{	/* Ast/build.scm 74 */
								obj_t BgL_val3127z00_830;

								{	/* Ast/build.scm 74 */
									BgL_valuez00_bglt BgL_sfunz00_831;

									{
										BgL_variablez00_bglt BgL_auxz00_1479;

										BgL_auxz00_1479 = (BgL_variablez00_bglt) (BgL_defz00_1292);
										BgL_sfunz00_831 =
											(((BgL_variablez00_bglt) CREF(BgL_auxz00_1479))->
											BgL_valuez00);
									}
									{	/* Ast/build.scm 74 */
										obj_t BgL_sfunzd2argszd2_832;

										{
											BgL_sfunz00_bglt BgL_auxz00_1482;

											BgL_auxz00_1482 = (BgL_sfunz00_bglt) (BgL_sfunz00_831);
											BgL_sfunzd2argszd2_832 =
												(((BgL_sfunz00_bglt) CREF(BgL_auxz00_1482))->
												BgL_argsz00);
										}
										{	/* Ast/build.scm 75 */
											obj_t BgL_sfunzd2bodyzd2expz00_833;

											{
												BgL_sfunz00_bglt BgL_auxz00_1485;

												BgL_auxz00_1485 = (BgL_sfunz00_bglt) (BgL_sfunz00_831);
												BgL_sfunzd2bodyzd2expz00_833 =
													(((BgL_sfunz00_bglt) CREF(BgL_auxz00_1485))->
													BgL_bodyz00);
											}
											{	/* Ast/build.scm 76 */
												obj_t BgL_defzd2loczd2_834;

												{	/* Ast/build.scm 77 */
													obj_t BgL_arg3209z00_837;

													BgL_arg3209z00_837 =
														(((BgL_globalz00_bglt) CREF(BgL_defz00_1292))->
														BgL_srcz00);
													BgL_defzd2loczd2_834 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_arg3209z00_837);
												}
												{	/* Ast/build.scm 77 */
													obj_t BgL_locz00_835;

													BgL_locz00_835 =
														BGl_findzd2locationzf2locz20zztools_locationz00
														(BgL_sfunzd2bodyzd2expz00_833,
														BgL_defzd2loczd2_834);
													{	/* Ast/build.scm 78 */
														BgL_nodez00_bglt BgL_bodyz00_836;

														BgL_bodyz00_836 =
															BGl_sexpzd2ze3nodez31zzast_sexpz00
															(BgL_sfunzd2bodyzd2expz00_833,
															BgL_sfunzd2argszd2_832, BgL_locz00_835,
															CNST_TABLE_REF(((long) 2)));
														{	/* Ast/build.scm 79 */

															{
																obj_t BgL_auxz00_1495;

																BgL_sfunz00_bglt BgL_auxz00_1493;

																BgL_auxz00_1495 = (obj_t) (BgL_bodyz00_836);
																BgL_auxz00_1493 =
																	(BgL_sfunz00_bglt) (BgL_sfunz00_831);
																BgL_val3127z00_830 =
																	((((BgL_sfunz00_bglt) CREF(BgL_auxz00_1493))->
																		BgL_bodyz00) =
																	((obj_t) BgL_auxz00_1495), BUNSPEC);
								}}}}}}}}
								POP_EXIT();
								return BgL_val3127z00_830;
							}
						}
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_buildz00()
	{
		AN_OBJECT;
		{	/* Ast/build.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_buildz00()
	{
		AN_OBJECT;
		{	/* Ast/build.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(((long) 386858258),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long) 356303425),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 52292466),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 139728077),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3270z00zzast_buildz00));
		}
	}

#ifdef __cplusplus
}
#endif
