/*===========================================================================*/
/*   (Ast/exit.scm)                                                          */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/exit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_cnstzd2initzd2zzast_exitz00();
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt
		BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	extern BgL_setzd2exzd2itz00_bglt
		BGl_makezd2setzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_varz00_bglt, BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_exitz00();
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_exitz00 = BUNSPEC;
	static obj_t BGl__setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_jumpzd2exzd2itz00_bglt
		BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_nodez00_bglt, BgL_nodez00_bglt);
	extern BgL_localz00_bglt BGl_makezd2localzd2sexitz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sexitz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_exitz00();
	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	extern BgL_sexitz00_bglt BGl_makezd2sexitzd2zzast_varz00(obj_t, bool_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl__jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_za2exitza2z00zztype_cachez00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_exitz00();
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exitzd2ze3nodezd2envz31zzast_exitz00,
		BgL_bgl__setza7d2exitza7d2za7e3213za7,
		BGl__setzd2exitzd2ze3nodeze3zzast_exitz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3206z00zzast_exitz00,
		BgL_bgl_string3206za700za7za7a3214za7, "exit", 4);
	      DEFINE_STRING(BGl_string3207z00zzast_exitz00,
		BgL_bgl_string3207za700za7za7a3215za7, "Illegal `set-exit' form", 23);
	      DEFINE_STRING(BGl_string3208z00zzast_exitz00,
		BgL_bgl_string3208za700za7za7a3216za7, "Illegal `jump-exit' form", 24);
	      DEFINE_STRING(BGl_string3210z00zzast_exitz00,
		BgL_bgl_string3210za700za7za7a3217za7, "snifun value labels ", 20);
	      DEFINE_STRING(BGl_string3209z00zzast_exitz00,
		BgL_bgl_string3209za700za7za7a3218za7, "ast_exit", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exitzd2ze3nodezd2envz31zzast_exitz00,
		BgL_bgl__jumpza7d2exitza7d2za73219za7,
		BGl__jumpzd2exitzd2ze3nodeze3zzast_exitz00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long
		BgL_checksumz00_1210, char *BgL_fromz00_1211)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_exitz00))
				{
					BGl_requirezd2initializa7ationz75zzast_exitz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_exitz00();
					BGl_cnstzd2initzd2zzast_exitz00();
					BGl_importedzd2moduleszd2initz00zzast_exitz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_exitz00()
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 14 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_exit");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_exit");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_exitz00()
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 14 */
			{	/* Ast/exit.scm 14 */
				obj_t BgL_cportz00_1202;

				BgL_cportz00_1202 =
					bgl_open_input_string(BGl_string3210z00zzast_exitz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1203;

					BgL_iz00_1203 = ((long) 2);
				BgL_loopz00_1204:
					if ((BgL_iz00_1203 == ((long) -1)))
						{	/* Ast/exit.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/exit.scm 14 */
							{	/* Ast/exit.scm 14 */
								obj_t BgL_arg3212z00_1206;

								{	/* Ast/exit.scm 14 */

									{	/* Ast/exit.scm 14 */
										obj_t BgL_locationz00_1208;

										BgL_locationz00_1208 = BBOOL(((bool_t) 0));
										{	/* Ast/exit.scm 14 */

											BgL_arg3212z00_1206 =
												BGl_readz00zz__readerz00(BgL_cportz00_1202,
												BgL_locationz00_1208);
										}
									}
								}
								{	/* Ast/exit.scm 14 */
									int BgL_auxz00_1226;

									BgL_auxz00_1226 = (int) (BgL_iz00_1203);
									CNST_TABLE_SET(BgL_auxz00_1226, BgL_arg3212z00_1206);
							}}
							{	/* Ast/exit.scm 14 */
								int BgL_auxz00_1209;

								BgL_auxz00_1209 = (int) ((BgL_iz00_1203 - ((long) 1)));
								{
									long BgL_iz00_1231;

									BgL_iz00_1231 = (long) (BgL_auxz00_1209);
									BgL_iz00_1203 = BgL_iz00_1231;
									goto BgL_loopz00_1204;
								}
							}
						}
				}
			}
		}
	}



/* set-exit->node */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt
		BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_expz00_1,
		obj_t BgL_stackz00_2, obj_t BgL_locz00_3, obj_t BgL_sitez00_4)
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 33 */
			{	/* Ast/exit.scm 36 */
				obj_t BgL_locz00_729;

				BgL_locz00_729 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_1,
					BgL_locz00_3);
				{
					obj_t BgL_exitz00_730;

					obj_t BgL_bodyz00_731;

					if (PAIRP(BgL_expz00_1))
						{	/* Ast/exit.scm 37 */
							obj_t BgL_cdrzd21471zd2_736;

							BgL_cdrzd21471zd2_736 = CDR(BgL_expz00_1);
							if (PAIRP(BgL_cdrzd21471zd2_736))
								{	/* Ast/exit.scm 37 */
									obj_t BgL_carzd21474zd2_738;

									BgL_carzd21474zd2_738 = CAR(BgL_cdrzd21471zd2_736);
									if (PAIRP(BgL_carzd21474zd2_738))
										{	/* Ast/exit.scm 37 */
											if (NULLP(CDR(BgL_carzd21474zd2_738)))
												{	/* Ast/exit.scm 37 */
													obj_t BgL_arg3127z00_741;

													obj_t BgL_arg3128z00_742;

													BgL_arg3127z00_741 = CAR(BgL_carzd21474zd2_738);
													BgL_arg3128z00_742 = CDR(BgL_cdrzd21471zd2_736);
													{	/* Ast/exit.scm 37 */
														BgL_nodez00_bglt BgL_auxz00_1247;

														BgL_exitz00_730 = BgL_arg3127z00_741;
														BgL_bodyz00_731 = BgL_arg3128z00_742;
														{	/* Ast/exit.scm 39 */
															obj_t BgL_hdlgzd2namezd2_744;

															{	/* Ast/exit.scm 40 */
																obj_t BgL_arg3150z00_771;

																{	/* Ast/exit.scm 40 */
																	obj_t BgL_list3151z00_772;

																	BgL_list3151z00_772 =
																		MAKE_PAIR(BGl_string3206z00zzast_exitz00,
																		BNIL);
																	BgL_arg3150z00_771 =
																		BGl_makezd2anonymouszd2namez00zzast_sexpz00
																		(BgL_locz00_729, BgL_list3151z00_772);
																}
																BgL_hdlgzd2namezd2_744 =
																	BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																	(BgL_arg3150z00_771);
															}
															{	/* Ast/exit.scm 39 */
																obj_t BgL_hdlgzd2sexpzd2_745;

																{	/* Ast/exit.scm 41 */
																	obj_t BgL_arg3138z00_759;

																	obj_t BgL_arg3139z00_760;

																	BgL_arg3138z00_759 =
																		CNST_TABLE_REF(((long) 0));
																	{	/* Ast/exit.scm 41 */
																		obj_t BgL_arg3140z00_761;

																		obj_t BgL_arg3141z00_762;

																		{	/* Ast/exit.scm 41 */
																			obj_t BgL_arg3145z00_766;

																			{	/* Ast/exit.scm 41 */
																				obj_t BgL_arg3147z00_768;

																				{	/* Ast/exit.scm 41 */
																					obj_t BgL_list3148z00_769;

																					{	/* Ast/exit.scm 41 */
																						obj_t BgL_arg3149z00_770;

																						BgL_arg3149z00_770 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_list3148z00_769 =
																							MAKE_PAIR(BUNSPEC,
																							BgL_arg3149z00_770);
																					}
																					BgL_arg3147z00_768 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BNIL, BgL_list3148z00_769);
																				}
																				BgL_arg3145z00_766 =
																					MAKE_PAIR(BgL_hdlgzd2namezd2_744,
																					BgL_arg3147z00_768);
																			}
																			BgL_arg3140z00_761 =
																				MAKE_PAIR(BgL_arg3145z00_766, BNIL);
																		}
																		BgL_arg3141z00_762 =
																			MAKE_PAIR(BgL_hdlgzd2namezd2_744, BNIL);
																		{	/* Ast/exit.scm 41 */
																			obj_t BgL_list3143z00_764;

																			{	/* Ast/exit.scm 41 */
																				obj_t BgL_arg3144z00_765;

																				BgL_arg3144z00_765 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list3143z00_764 =
																					MAKE_PAIR(BgL_arg3141z00_762,
																					BgL_arg3144z00_765);
																			}
																			BgL_arg3139z00_760 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg3140z00_761,
																				BgL_list3143z00_764);
																	}}
																	BgL_hdlgzd2sexpzd2_745 =
																		MAKE_PAIR(BgL_arg3138z00_759,
																		BgL_arg3139z00_760);
																}
																{	/* Ast/exit.scm 41 */
																	BgL_nodez00_bglt BgL_hdlgzd2nodezd2_746;

																	BgL_hdlgzd2nodezd2_746 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_hdlgzd2sexpzd2_745, BgL_stackz00_2,
																		BgL_locz00_729, BgL_sitez00_4);
																	{	/* Ast/exit.scm 43 */
																		obj_t BgL_hdlgzd2funzd2_747;

																		{	/* Ast/exit.scm 44 */
																			obj_t BgL_pairz00_1174;

																			{
																				BgL_letzd2funzd2_bglt BgL_auxz00_1263;

																				BgL_auxz00_1263 =
																					(BgL_letzd2funzd2_bglt)
																					(BgL_hdlgzd2nodezd2_746);
																				BgL_pairz00_1174 =
																					(((BgL_letzd2funzd2_bglt)
																						CREF(BgL_auxz00_1263))->
																					BgL_localsz00);
																			}
																			BgL_hdlgzd2funzd2_747 =
																				CAR(BgL_pairz00_1174);
																		}
																		{	/* Ast/exit.scm 44 */
																			BgL_localz00_bglt BgL_exitz00_748;

																			{	/* Ast/exit.scm 45 */
																				BgL_sexitz00_bglt BgL_arg3153z00_1177;

																				BgL_arg3153z00_1177 =
																					BGl_makezd2sexitzd2zzast_varz00
																					(BgL_hdlgzd2funzd2_747, ((bool_t) 0));
																				BgL_exitz00_748 =
																					BGl_makezd2localzd2sexitz00zzast_localz00
																					(BgL_exitz00_730,
																					(BgL_typez00_bglt)
																					(BGl_za2exitza2z00zztype_cachez00),
																					BgL_arg3153z00_1177);
																			}
																			{	/* Ast/exit.scm 45 */
																				BgL_nodez00_bglt BgL_bodyz00_749;

																				{	/* Ast/exit.scm 46 */
																					obj_t BgL_arg3134z00_755;

																					obj_t BgL_arg3135z00_756;

																					obj_t BgL_arg3136z00_757;

																					BgL_arg3134z00_755 =
																						BGl_normaliza7ezd2prognz75zztools_prognz00
																						(BgL_bodyz00_731);
																					BgL_arg3135z00_756 =
																						MAKE_PAIR((obj_t) (BgL_exitz00_748),
																						BgL_stackz00_2);
																					BgL_arg3136z00_757 =
																						CNST_TABLE_REF(((long) 1));
																					BgL_bodyz00_749 =
																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																						(BgL_arg3134z00_755,
																						BgL_arg3135z00_756, BgL_locz00_729,
																						BgL_arg3136z00_757);
																				}
																				{	/* Ast/exit.scm 46 */
																					BgL_setzd2exzd2itz00_bglt
																						BgL_exitzd2bodyzd2_750;
																					{	/* Ast/exit.scm 53 */
																						BgL_varz00_bglt BgL_arg3133z00_754;

																						BgL_arg3133z00_754 =
																							BGl_makezd2varzd2zzast_nodez00
																							(BgL_locz00_729,
																							(BgL_typez00_bglt)
																							(BGl_za2exitza2z00zztype_cachez00),
																							(BgL_variablez00_bglt)
																							(BgL_exitz00_748));
																						BgL_exitzd2bodyzd2_750 =
																							BGl_makezd2setzd2exzd2itzd2zzast_nodez00
																							(BgL_locz00_729,
																							(BgL_typez00_bglt)
																							(BGl_za2_za2z00zztype_cachez00),
																							BgL_arg3133z00_754,
																							BgL_bodyz00_749);
																					}
																					{	/* Ast/exit.scm 50 */

																						{
																							BgL_localz00_bglt BgL_auxz00_1280;

																							BgL_auxz00_1280 =
																								(BgL_localz00_bglt)
																								(BgL_hdlgzd2funzd2_747);
																							((((BgL_localz00_bglt)
																										CREF(BgL_auxz00_1280))->
																									BgL_userzf3zf3) =
																								((bool_t) ((bool_t) 1)),
																								BUNSPEC);
																						}
																						{	/* Ast/exit.scm 64 */
																							BgL_valuez00_bglt
																								BgL_arg3130z00_751;
																							obj_t BgL_arg3131z00_752;

																							{
																								BgL_variablez00_bglt
																									BgL_auxz00_1283;
																								BgL_auxz00_1283 =
																									(BgL_variablez00_bglt)
																									(BgL_hdlgzd2funzd2_747);
																								BgL_arg3130z00_751 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_auxz00_1283))->
																									BgL_valuez00);
																							}
																							BgL_arg3131z00_752 =
																								CNST_TABLE_REF(((long) 2));
																							{
																								BgL_sfunz00_bglt
																									BgL_auxz00_1287;
																								BgL_auxz00_1287 =
																									(BgL_sfunz00_bglt)
																									(BgL_arg3130z00_751);
																								((((BgL_sfunz00_bglt)
																											CREF(BgL_auxz00_1287))->
																										BgL_classz00) =
																									((obj_t) BgL_arg3131z00_752),
																									BUNSPEC);
																						}}
																						{	/* Ast/exit.scm 65 */
																							BgL_valuez00_bglt
																								BgL_arg3132z00_753;
																							{
																								BgL_variablez00_bglt
																									BgL_auxz00_1290;
																								BgL_auxz00_1290 =
																									(BgL_variablez00_bglt)
																									(BgL_hdlgzd2funzd2_747);
																								BgL_arg3132z00_753 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_auxz00_1290))->
																									BgL_valuez00);
																							}
																							{
																								obj_t BgL_auxz00_1295;

																								BgL_sfunz00_bglt
																									BgL_auxz00_1293;
																								BgL_auxz00_1295 =
																									(obj_t)
																									(BgL_exitzd2bodyzd2_750);
																								BgL_auxz00_1293 =
																									(BgL_sfunz00_bglt)
																									(BgL_arg3132z00_753);
																								((((BgL_sfunz00_bglt)
																											CREF(BgL_auxz00_1293))->
																										BgL_bodyz00) =
																									((obj_t) BgL_auxz00_1295),
																									BUNSPEC);
																						}}
																						BgL_auxz00_1247 =
																							BgL_hdlgzd2nodezd2_746;
														}}}}}}}}
														return (BgL_letzd2funzd2_bglt) (BgL_auxz00_1247);
													}
												}
											else
												{	/* Ast/exit.scm 37 */
													BgL_nodez00_bglt BgL_auxz00_1299;

												BgL_tagzd21464zd2_733:
													BgL_auxz00_1299 =
														BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
														(BGl_string3207z00zzast_exitz00, BgL_expz00_1,
														BgL_locz00_729);
													return (BgL_letzd2funzd2_bglt) (BgL_auxz00_1299);
												}
										}
									else
										{	/* Ast/exit.scm 37 */
											BgL_nodez00_bglt BgL_auxz00_1302;

											goto BgL_tagzd21464zd2_733;
											return (BgL_letzd2funzd2_bglt) (BgL_auxz00_1302);
										}
								}
							else
								{	/* Ast/exit.scm 37 */
									BgL_nodez00_bglt BgL_auxz00_1304;

									goto BgL_tagzd21464zd2_733;
									return (BgL_letzd2funzd2_bglt) (BgL_auxz00_1304);
								}
						}
					else
						{	/* Ast/exit.scm 37 */
							BgL_nodez00_bglt BgL_auxz00_1306;

							goto BgL_tagzd21464zd2_733;
							return (BgL_letzd2funzd2_bglt) (BgL_auxz00_1306);
						}
				}
			}
		}
	}



/* _set-exit->node */
	obj_t BGl__setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_envz00_1192,
		obj_t BgL_expz00_1193, obj_t BgL_stackz00_1194, obj_t BgL_locz00_1195,
		obj_t BgL_sitez00_1196)
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 33 */
			return
				(obj_t) (BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_1193,
					BgL_stackz00_1194, BgL_locz00_1195, BgL_sitez00_1196));
		}
	}



/* jump-exit->node */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_expz00_5,
		obj_t BgL_stackz00_6, obj_t BgL_locz00_7, obj_t BgL_sitez00_8)
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 73 */
			{	/* Ast/exit.scm 74 */
				obj_t BgL_locz00_778;

				BgL_locz00_778 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_5,
					BgL_locz00_7);
				{
					obj_t BgL_exitz00_779;

					obj_t BgL_valuez00_780;

					if (PAIRP(BgL_expz00_5))
						{	/* Ast/exit.scm 75 */
							obj_t BgL_cdrzd21489zd2_785;

							BgL_cdrzd21489zd2_785 = CDR(BgL_expz00_5);
							if (PAIRP(BgL_cdrzd21489zd2_785))
								{	/* Ast/exit.scm 75 */
									BgL_exitz00_779 = CAR(BgL_cdrzd21489zd2_785);
									BgL_valuez00_780 = CDR(BgL_cdrzd21489zd2_785);
									{	/* Ast/exit.scm 77 */
										BgL_nodez00_bglt BgL_valuez00_789;

										BgL_nodez00_bglt BgL_exitz00_790;

										{	/* Ast/exit.scm 77 */
											obj_t BgL_arg3158z00_791;

											obj_t BgL_arg3159z00_792;

											BgL_arg3158z00_791 =
												BGl_normaliza7ezd2prognz75zztools_prognz00
												(BgL_valuez00_780);
											BgL_arg3159z00_792 = CNST_TABLE_REF(((long) 1));
											BgL_valuez00_789 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3158z00_791,
												BgL_stackz00_6, BgL_locz00_778, BgL_arg3159z00_792);
										}
										BgL_exitz00_790 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exitz00_779,
											BgL_stackz00_6, BgL_locz00_778,
											CNST_TABLE_REF(((long) 1)));
										return
											BGl_makezd2jumpzd2exzd2itzd2zzast_nodez00(BgL_locz00_778,
											(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00),
											BgL_exitz00_790, BgL_valuez00_789);
									}
								}
							else
								{	/* Ast/exit.scm 75 */
									BgL_nodez00_bglt BgL_auxz00_1325;

								BgL_tagzd21482zd2_782:
									BgL_auxz00_1325 =
										BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
										(BGl_string3208z00zzast_exitz00, BgL_expz00_5,
										BgL_locz00_778);
									return (BgL_jumpzd2exzd2itz00_bglt) (BgL_auxz00_1325);
								}
						}
					else
						{	/* Ast/exit.scm 75 */
							BgL_nodez00_bglt BgL_auxz00_1328;

							goto BgL_tagzd21482zd2_782;
							return (BgL_jumpzd2exzd2itz00_bglt) (BgL_auxz00_1328);
						}
				}
			}
		}
	}



/* _jump-exit->node */
	obj_t BGl__jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_envz00_1197,
		obj_t BgL_expz00_1198, obj_t BgL_stackz00_1199, obj_t BgL_locz00_1200,
		obj_t BgL_sitez00_1201)
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 73 */
			return
				(obj_t) (BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_1198,
					BgL_stackz00_1199, BgL_locz00_1200, BgL_sitez00_1201));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_exitz00()
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_exitz00()
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3209z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3209z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3209z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3209z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3209z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3209z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3209z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3209z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 139728077),
				BSTRING_TO_STRING(BGl_string3209z00zzast_exitz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3209z00zzast_exitz00));
		}
	}

#ifdef __cplusplus
}
#endif
