/*===========================================================================*/
/*   (Ast/let.scm)                                                           */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/let.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;


	static obj_t BGl_makezd2smartzd2genericzd2letzd2zzast_letz00(obj_t,
		BgL_letzd2varzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_nodezd2removez12zc0zzast_removez00(BgL_nodez00_bglt);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static BgL_letzd2varzd2_bglt BGl_letzd2orzd2letrecz00zzast_letz00(obj_t,
		BgL_letzd2varzd2_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_letz00();
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_substitutez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern BgL_sequencez00_bglt BGl_makezd2sequencezd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_letz00();
	static obj_t BGl__letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern BgL_setqz00_bglt BGl_makezd2setqzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_varz00_bglt, BgL_nodez00_bglt);
	extern BgL_letzd2funzd2_bglt BGl_makezd2letzd2funz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_letz00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_letz00 = BUNSPEC;
	extern obj_t BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_letz00();
	static BgL_letzd2funzd2_bglt BGl_letzd2ze3labelsz31zzast_letz00(obj_t,
		BgL_nodez00_bglt, obj_t);
	extern BgL_nodez00_bglt BGl_substitutez12z12zzast_substitutez00(obj_t, obj_t,
		BgL_nodez00_bglt, obj_t);
	static BgL_letzd2varzd2_bglt BGl_makezd2genericzd2letz00zzast_letz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern obj_t BGl_occurzd2nodez12zc0zzast_occurz00(BgL_nodez00_bglt);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern BgL_localz00_bglt
		BGl_makezd2userzd2localzd2svarzd2zzast_localz00(obj_t, BgL_typez00_bglt);
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_letz00();
	static obj_t __cnst[5];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_letzd2ze3nodezd2envze3zzast_letz00,
		BgL_bgl__letza7d2za7e3nodeza733473za7, BGl__letzd2ze3nodez31zzast_letz00,
		0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3467z00zzast_letz00,
		BgL_bgl_string3467za700za7za7a3474za7, "Illegal ", 8);
	      DEFINE_STRING(BGl_string3468z00zzast_letz00,
		BgL_bgl_string3468za700za7za7a3475za7, "' form", 6);
	      DEFINE_STRING(BGl_string3470z00zzast_letz00,
		BgL_bgl_string3470za700za7za7a3476za7, "set! write let value location ",
		30);
	      DEFINE_STRING(BGl_string3469z00zzast_letz00,
		BgL_bgl_string3469za700za7za7a3477za7, "ast_let", 7);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long
		BgL_checksumz00_1731, char *BgL_fromz00_1732)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_letz00))
				{
					BGl_requirezd2initializa7ationz75zzast_letz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_letz00();
					BGl_cnstzd2initzd2zzast_letz00();
					BGl_importedzd2moduleszd2initz00zzast_letz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_letz00()
	{
		AN_OBJECT;
		{	/* Ast/let.scm 14 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_let");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_let");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_let");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_letz00()
	{
		AN_OBJECT;
		{	/* Ast/let.scm 14 */
			{	/* Ast/let.scm 14 */
				obj_t BgL_cportz00_1723;

				BgL_cportz00_1723 =
					bgl_open_input_string(BGl_string3470z00zzast_letz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1724;

					BgL_iz00_1724 = ((long) 4);
				BgL_loopz00_1725:
					if ((BgL_iz00_1724 == ((long) -1)))
						{	/* Ast/let.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/let.scm 14 */
							{	/* Ast/let.scm 14 */
								obj_t BgL_arg3472z00_1727;

								{	/* Ast/let.scm 14 */

									{	/* Ast/let.scm 14 */
										obj_t BgL_locationz00_1729;

										BgL_locationz00_1729 = BBOOL(((bool_t) 0));
										{	/* Ast/let.scm 14 */

											BgL_arg3472z00_1727 =
												BGl_readz00zz__readerz00(BgL_cportz00_1723,
												BgL_locationz00_1729);
										}
									}
								}
								{	/* Ast/let.scm 14 */
									int BgL_auxz00_1748;

									BgL_auxz00_1748 = (int) (BgL_iz00_1724);
									CNST_TABLE_SET(BgL_auxz00_1748, BgL_arg3472z00_1727);
							}}
							{	/* Ast/let.scm 14 */
								int BgL_auxz00_1730;

								BgL_auxz00_1730 = (int) ((BgL_iz00_1724 - ((long) 1)));
								{
									long BgL_iz00_1753;

									BgL_iz00_1753 = (long) (BgL_auxz00_1730);
									BgL_iz00_1724 = BgL_iz00_1753;
									goto BgL_loopz00_1725;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_letz00()
	{
		AN_OBJECT;
		{	/* Ast/let.scm 14 */
			return BUNSPEC;
		}
	}



/* let->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t
		BgL_expz00_15, obj_t BgL_stackz00_16, obj_t BgL_olocz00_17,
		obj_t BgL_sitez00_18)
	{
		AN_OBJECT;
		{	/* Ast/let.scm 35 */
			{
				obj_t BgL_bindingsz00_841;

				obj_t BgL_bodyz00_839;

				if (PAIRP(BgL_expz00_15))
					{	/* Ast/let.scm 46 */
						obj_t BgL_cdrzd21471zd2_846;

						BgL_cdrzd21471zd2_846 = CDR(BgL_expz00_15);
						if (PAIRP(BgL_cdrzd21471zd2_846))
							{	/* Ast/let.scm 46 */
								if (NULLP(CAR(BgL_cdrzd21471zd2_846)))
									{	/* Ast/let.scm 46 */
										obj_t BgL_arg3252z00_849;

										BgL_arg3252z00_849 = CDR(BgL_cdrzd21471zd2_846);
										{	/* Ast/let.scm 46 */
											BgL_letzd2varzd2_bglt BgL_auxz00_1764;

											BgL_bodyz00_839 = BgL_arg3252z00_849;
											{	/* Ast/let.scm 49 */
												obj_t BgL_nlocz00_853;

												BgL_nlocz00_853 =
													BGl_findzd2locationzf2locz20zztools_locationz00
													(BgL_expz00_15, BgL_olocz00_17);
												{	/* Ast/let.scm 49 */
													obj_t BgL_blocz00_854;

													if (PAIRP(BgL_bodyz00_839))
														{	/* Ast/let.scm 50 */
															BgL_blocz00_854 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(CAR(BgL_bodyz00_839), BgL_nlocz00_853);
														}
													else
														{	/* Ast/let.scm 50 */
															BgL_blocz00_854 = BgL_nlocz00_853;
														}
													{	/* Ast/let.scm 50 */
														BgL_nodez00_bglt BgL_bodyz00_855;

														BgL_bodyz00_855 =
															BGl_sexpzd2ze3nodez31zzast_sexpz00
															(BGl_normaliza7ezd2prognz75zztools_prognz00
															(BgL_bodyz00_839), BgL_stackz00_16,
															BgL_blocz00_854, BgL_sitez00_18);
														{	/* Ast/let.scm 53 */

															{	/* Ast/let.scm 60 */
																BgL_typez00_bglt BgL_arg3256z00_856;

																bool_t BgL_arg3260z00_859;

																BgL_arg3256z00_856 =
																	(((BgL_nodez00_bglt) CREF(BgL_bodyz00_855))->
																	BgL_typez00);
																{	/* Ast/let.scm 63 */
																	obj_t BgL_arg3261z00_860;

																	BgL_arg3261z00_860 =
																		BGl_thezd2backendzd2zzbackend_backendz00();
																	{
																		BgL_backendz00_bglt BgL_auxz00_1774;

																		BgL_auxz00_1774 =
																			(BgL_backendz00_bglt)
																			(BgL_arg3261z00_860);
																		BgL_arg3260z00_859 =
																			(((BgL_backendz00_bglt)
																				CREF(BgL_auxz00_1774))->
																			BgL_removezd2emptyzd2letz00);
																	}
																}
																BgL_auxz00_1764 =
																	BGl_makezd2letzd2varz00zzast_nodez00
																	(BgL_nlocz00_853, BgL_arg3256z00_856, BUNSPEC,
																	BINT(((long) -1)), BNIL, BgL_bodyz00_855,
																	BgL_arg3260z00_859);
											}}}}}
											return (BgL_nodez00_bglt) (BgL_auxz00_1764);
										}
									}
								else
									{	/* Ast/let.scm 46 */
										obj_t BgL_arg3253z00_850;

										BgL_arg3253z00_850 = CAR(BgL_cdrzd21471zd2_846);
										{	/* Ast/let.scm 46 */
											obj_t BgL_auxz00_1781;

											BgL_bindingsz00_841 = BgL_arg3253z00_850;
											{	/* Ast/let.scm 65 */
												bool_t BgL_testz00_1782;

												{	/* Ast/let.scm 65 */
													bool_t BgL_testz00_1783;

													if (PAIRP(BgL_bindingsz00_841))
														{	/* Ast/let.scm 65 */
															BgL_testz00_1783 = ((bool_t) 1);
														}
													else
														{	/* Ast/let.scm 65 */
															BgL_testz00_1783 = NULLP(BgL_bindingsz00_841);
														}
													if (BgL_testz00_1783)
														{
															obj_t BgL_bindingsz00_874;

															BgL_bindingsz00_874 = BgL_bindingsz00_841;
														BgL_loopz00_875:
															if (NULLP(BgL_bindingsz00_874))
																{	/* Ast/let.scm 67 */
																	BgL_testz00_1782 = ((bool_t) 0);
																}
															else
																{	/* Ast/let.scm 69 */
																	obj_t BgL_bindingz00_877;

																	BgL_bindingz00_877 = CAR(BgL_bindingsz00_874);
																	{

																		if (PAIRP(BgL_bindingz00_877))
																			{	/* Ast/let.scm 70 */
																				obj_t BgL_cdrzd21492zd2_882;

																				BgL_cdrzd21492zd2_882 =
																					CDR(BgL_bindingz00_877);
																				if (PAIRP(BgL_cdrzd21492zd2_882))
																					{	/* Ast/let.scm 70 */
																						if (NULLP(CDR
																								(BgL_cdrzd21492zd2_882)))
																							{	/* Ast/let.scm 70 */
																								{
																									obj_t BgL_bindingsz00_1798;

																									BgL_bindingsz00_1798 =
																										CDR(BgL_bindingsz00_874);
																									BgL_bindingsz00_874 =
																										BgL_bindingsz00_1798;
																									goto BgL_loopz00_875;
																								}
																							}
																						else
																							{	/* Ast/let.scm 70 */
																								BgL_testz00_1782 = ((bool_t) 1);
																							}
																					}
																				else
																					{	/* Ast/let.scm 70 */
																						BgL_testz00_1782 = ((bool_t) 1);
																					}
																			}
																		else
																			{	/* Ast/let.scm 70 */
																				BgL_testz00_1782 = ((bool_t) 1);
																			}
																	}
																}
														}
													else
														{	/* Ast/let.scm 65 */
															BgL_testz00_1782 = ((bool_t) 1);
														}
												}
												if (BgL_testz00_1782)
													{	/* Ast/let.scm 75 */
														obj_t BgL_arg3266z00_865;

														obj_t BgL_arg3269z00_866;

														{	/* Ast/let.scm 75 */
															obj_t BgL_arg3271z00_868;

															BgL_arg3271z00_868 =
																SYMBOL_TO_STRING(CAR(BgL_expz00_15));
															BgL_arg3266z00_865 =
																string_append_3(BGl_string3467z00zzast_letz00,
																BgL_arg3271z00_868,
																BGl_string3468z00zzast_letz00);
														}
														BgL_arg3269z00_866 =
															BGl_findzd2locationzf2locz20zztools_locationz00
															(BgL_expz00_15, BgL_olocz00_17);
														BgL_auxz00_1781 =
															(obj_t)
															(BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
															(BgL_arg3266z00_865, BgL_expz00_15,
																BgL_arg3269z00_866));
													}
												else
													{	/* Ast/let.scm 65 */
														BgL_auxz00_1781 =
															BGl_makezd2smartzd2genericzd2letzd2zzast_letz00
															(CAR(BgL_expz00_15),
															BGl_makezd2genericzd2letz00zzast_letz00
															(BgL_expz00_15, BgL_stackz00_16, BgL_olocz00_17,
																BgL_sitez00_18), BgL_sitez00_18);
													}
											}
											return (BgL_nodez00_bglt) (BgL_auxz00_1781);
										}
									}
							}
						else
							{	/* Ast/let.scm 46 */
							BgL_tagzd21465zd2_843:
								{	/* Ast/let.scm 84 */
									obj_t BgL_arg3284z00_888;

									obj_t BgL_arg3285z00_889;

									{	/* Ast/let.scm 84 */
										obj_t BgL_arg3289z00_891;

										BgL_arg3289z00_891 = SYMBOL_TO_STRING(CAR(BgL_expz00_15));
										BgL_arg3284z00_888 =
											string_append_3(BGl_string3467z00zzast_letz00,
											BgL_arg3289z00_891, BGl_string3468z00zzast_letz00);
									}
									BgL_arg3285z00_889 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_expz00_15, BgL_olocz00_17);
									return
										BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
										(BgL_arg3284z00_888, BgL_expz00_15, BgL_arg3285z00_889);
								}
							}
					}
				else
					{	/* Ast/let.scm 46 */
						goto BgL_tagzd21465zd2_843;
					}
			}
		}
	}



/* _let->node */
	obj_t BGl__letzd2ze3nodez31zzast_letz00(obj_t BgL_envz00_1717,
		obj_t BgL_expz00_1718, obj_t BgL_stackz00_1719, obj_t BgL_olocz00_1720,
		obj_t BgL_sitez00_1721)
	{
		AN_OBJECT;
		{	/* Ast/let.scm 35 */
			return
				(obj_t) (BGl_letzd2ze3nodez31zzast_letz00(BgL_expz00_1718,
					BgL_stackz00_1719, BgL_olocz00_1720, BgL_sitez00_1721));
		}
	}



/* make-generic-let */
	BgL_letzd2varzd2_bglt BGl_makezd2genericzd2letz00zzast_letz00(obj_t
		BgL_expz00_19, obj_t BgL_stackz00_20, obj_t BgL_olocz00_21,
		obj_t BgL_sitez00_22)
	{
		AN_OBJECT;
		{	/* Ast/let.scm 93 */
			{	/* Ast/let.scm 94 */
				obj_t BgL_bindingsz00_894;

				{	/* Ast/let.scm 94 */
					obj_t BgL_pairz00_1518;

					BgL_pairz00_1518 = BgL_expz00_19;
					BgL_bindingsz00_894 = CAR(CDR(BgL_pairz00_1518));
				}
				{	/* Ast/let.scm 94 */
					obj_t BgL_locz00_895;

					BgL_locz00_895 =
						BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_19,
						BgL_olocz00_21);
					{	/* Ast/let.scm 95 */
						obj_t BgL_blocz00_896;

						{	/* Ast/let.scm 96 */
							bool_t BgL_testz00_1820;

							{	/* Ast/let.scm 96 */
								obj_t BgL_auxz00_1821;

								{	/* Ast/let.scm 96 */
									obj_t BgL_pairz00_1522;

									BgL_pairz00_1522 = BgL_expz00_19;
									BgL_auxz00_1821 = CDR(CDR(BgL_pairz00_1522));
								}
								BgL_testz00_1820 = PAIRP(BgL_auxz00_1821);
							}
							if (BgL_testz00_1820)
								{	/* Ast/let.scm 97 */
									obj_t BgL_arg3323z00_960;

									{	/* Ast/let.scm 97 */
										obj_t BgL_pairz00_1527;

										BgL_pairz00_1527 = BgL_expz00_19;
										BgL_arg3323z00_960 = CAR(CDR(CDR(BgL_pairz00_1527)));
									}
									BgL_blocz00_896 =
										BGl_findzd2locationzf2locz20zztools_locationz00
										(BgL_arg3323z00_960, BFALSE);
								}
							else
								{	/* Ast/let.scm 96 */
									BgL_blocz00_896 = BFALSE;
								}
						}
						{	/* Ast/let.scm 99 */
							obj_t BgL_bodyz00_898;

							{	/* Ast/let.scm 102 */
								obj_t BgL_arg3319z00_956;

								{	/* Ast/let.scm 102 */
									obj_t BgL_pairz00_1544;

									BgL_pairz00_1544 = BgL_expz00_19;
									BgL_arg3319z00_956 = CDR(CDR(BgL_pairz00_1544));
								}
								BgL_bodyz00_898 =
									BGl_normaliza7ezd2prognz75zztools_prognz00
									(BgL_arg3319z00_956);
							}
							{	/* Ast/let.scm 102 */
								obj_t BgL_loczd2biszd2_899;

								BgL_loczd2biszd2_899 =
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_bodyz00_898, BgL_locz00_895);
								{	/* Ast/let.scm 103 */
									obj_t BgL_nlocz00_900;

									{	/* Ast/let.scm 104 */
										bool_t BgL_testz00_1833;

										if (STRUCTP(BgL_blocz00_896))
											{	/* Ast/let.scm 104 */
												BgL_testz00_1833 =
													(STRUCT_KEY(BgL_blocz00_896) ==
													CNST_TABLE_REF(((long) 0)));
											}
										else
											{	/* Ast/let.scm 104 */
												BgL_testz00_1833 = ((bool_t) 0);
											}
										if (BgL_testz00_1833)
											{	/* Ast/let.scm 104 */
												BgL_nlocz00_900 = BgL_blocz00_896;
											}
										else
											{	/* Ast/let.scm 104 */
												BgL_nlocz00_900 = BgL_locz00_895;
											}
									}
									{	/* Ast/let.scm 104 */
										obj_t BgL_framez00_901;

										if (NULLP(BgL_bindingsz00_894))
											{	/* Ast/let.scm 107 */
												BgL_framez00_901 = BNIL;
											}
										else
											{	/* Ast/let.scm 107 */
												obj_t BgL_head3220z00_940;

												BgL_head3220z00_940 = MAKE_PAIR(BNIL, BNIL);
												{
													obj_t BgL_l3218z00_941;

													obj_t BgL_tail3221z00_942;

													BgL_l3218z00_941 = BgL_bindingsz00_894;
													BgL_tail3221z00_942 = BgL_head3220z00_940;
												BgL_map3219z00_943:
													if (NULLP(BgL_l3218z00_941))
														{	/* Ast/let.scm 107 */
															BgL_framez00_901 = CDR(BgL_head3220z00_940);
														}
													else
														{	/* Ast/let.scm 107 */
															obj_t BgL_newtail3222z00_945;

															{	/* Ast/let.scm 107 */
																BgL_localz00_bglt BgL_arg3314z00_947;

																{	/* Ast/let.scm 107 */
																	obj_t BgL_bindingz00_949;

																	BgL_bindingz00_949 = CAR(BgL_l3218z00_941);
																	{	/* Ast/let.scm 108 */
																		obj_t BgL_varze2idze2_950;

																		BgL_varze2idze2_950 =
																			BGl_parsezd2idzd2zzast_identz00(CAR
																			(BgL_bindingz00_949), BgL_nlocz00_900);
																		{	/* Ast/let.scm 108 */
																			obj_t BgL_idz00_951;

																			BgL_idz00_951 = CAR(BgL_varze2idze2_950);
																			{	/* Ast/let.scm 109 */
																				obj_t BgL_typez00_952;

																				BgL_typez00_952 =
																					CDR(BgL_varze2idze2_950);
																				{	/* Ast/let.scm 110 */

																					if (BGl_userzd2symbolzf3z21zzast_identz00(BgL_idz00_951))
																						{	/* Ast/let.scm 111 */
																							BgL_arg3314z00_947 =
																								BGl_makezd2userzd2localzd2svarzd2zzast_localz00
																								(BgL_idz00_951,
																								(BgL_typez00_bglt)
																								(BgL_typez00_952));
																						}
																					else
																						{	/* Ast/let.scm 111 */
																							BgL_arg3314z00_947 =
																								BGl_makezd2localzd2svarz00zzast_localz00
																								(BgL_idz00_951,
																								(BgL_typez00_bglt)
																								(BgL_typez00_952));
																						}
																				}
																			}
																		}
																	}
																}
																BgL_newtail3222z00_945 =
																	MAKE_PAIR((obj_t) (BgL_arg3314z00_947), BNIL);
															}
															SET_CDR(BgL_tail3221z00_942,
																BgL_newtail3222z00_945);
															{
																obj_t BgL_tail3221z00_1861;

																obj_t BgL_l3218z00_1859;

																BgL_l3218z00_1859 = CDR(BgL_l3218z00_941);
																BgL_tail3221z00_1861 = BgL_newtail3222z00_945;
																BgL_tail3221z00_942 = BgL_tail3221z00_1861;
																BgL_l3218z00_941 = BgL_l3218z00_1859;
																goto BgL_map3219z00_943;
															}
														}
												}
											}
										{	/* Ast/let.scm 107 */
											obj_t BgL_newzd2stackzd2_902;

											BgL_newzd2stackzd2_902 =
												bgl_append2(BgL_framez00_901, BgL_stackz00_20);
											{	/* Ast/let.scm 115 */

												{	/* Ast/let.scm 122 */
													BgL_nodez00_bglt BgL_bodyz00_903;

													BgL_bodyz00_903 =
														BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_bodyz00_898,
														BgL_newzd2stackzd2_902, BgL_nlocz00_900,
														CNST_TABLE_REF(((long) 1)));
													{	/* Ast/let.scm 122 */
														obj_t BgL_bstackz00_904;

														if (
															(CAR(BgL_expz00_19) ==
																CNST_TABLE_REF(((long) 2))))
															{	/* Ast/let.scm 123 */
																BgL_bstackz00_904 = BgL_stackz00_20;
															}
														else
															{	/* Ast/let.scm 123 */
																BgL_bstackz00_904 = BgL_newzd2stackzd2_902;
															}
														{	/* Ast/let.scm 123 */
															obj_t BgL_bindingsz00_905;

															if (NULLP(BgL_bindingsz00_894))
																{	/* Ast/let.scm 124 */
																	BgL_bindingsz00_905 = BNIL;
																}
															else
																{	/* Ast/let.scm 124 */
																	obj_t BgL_head3225z00_917;

																	BgL_head3225z00_917 = MAKE_PAIR(BNIL, BNIL);
																	{
																		obj_t BgL_ll3223z00_918;

																		obj_t BgL_ll3224z00_919;

																		obj_t BgL_tail3226z00_920;

																		BgL_ll3223z00_918 = BgL_bindingsz00_894;
																		BgL_ll3224z00_919 = BgL_framez00_901;
																		BgL_tail3226z00_920 = BgL_head3225z00_917;
																	BgL_map3228z00_921:
																		if (NULLP(BgL_ll3223z00_918))
																			{	/* Ast/let.scm 124 */
																				BgL_bindingsz00_905 =
																					CDR(BgL_head3225z00_917);
																			}
																		else
																			{	/* Ast/let.scm 124 */
																				obj_t BgL_newtail3227z00_923;

																				{	/* Ast/let.scm 124 */
																					obj_t BgL_arg3301z00_926;

																					{	/* Ast/let.scm 124 */
																						obj_t BgL_bindingz00_928;

																						obj_t BgL_varz00_929;

																						BgL_bindingz00_928 =
																							CAR(BgL_ll3223z00_918);
																						BgL_varz00_929 =
																							CAR(BgL_ll3224z00_919);
																						{	/* Ast/let.scm 127 */
																							BgL_nodez00_bglt
																								BgL_arg3303z00_930;
																							{	/* Ast/let.scm 127 */
																								obj_t BgL_arg3304z00_931;

																								obj_t BgL_arg3305z00_932;

																								obj_t BgL_arg3306z00_933;

																								BgL_arg3304z00_931 =
																									BGl_normaliza7ezd2prognz75zztools_prognz00
																									(CDR(BgL_bindingz00_928));
																								BgL_arg3305z00_932 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_bindingz00_928,
																									BgL_nlocz00_900);
																								BgL_arg3306z00_933 =
																									CNST_TABLE_REF(((long) 1));
																								BgL_arg3303z00_930 =
																									BGl_sexpzd2ze3nodez31zzast_sexpz00
																									(BgL_arg3304z00_931,
																									BgL_bstackz00_904,
																									BgL_arg3305z00_932,
																									BgL_arg3306z00_933);
																							}
																							BgL_arg3301z00_926 =
																								MAKE_PAIR(BgL_varz00_929,
																								(obj_t) (BgL_arg3303z00_930));
																					}}
																					BgL_newtail3227z00_923 =
																						MAKE_PAIR(BgL_arg3301z00_926, BNIL);
																				}
																				SET_CDR(BgL_tail3226z00_920,
																					BgL_newtail3227z00_923);
																				{
																					obj_t BgL_tail3226z00_1890;

																					obj_t BgL_ll3224z00_1888;

																					obj_t BgL_ll3223z00_1886;

																					BgL_ll3223z00_1886 =
																						CDR(BgL_ll3223z00_918);
																					BgL_ll3224z00_1888 =
																						CDR(BgL_ll3224z00_919);
																					BgL_tail3226z00_1890 =
																						BgL_newtail3227z00_923;
																					BgL_tail3226z00_920 =
																						BgL_tail3226z00_1890;
																					BgL_ll3224z00_919 =
																						BgL_ll3224z00_1888;
																					BgL_ll3223z00_918 =
																						BgL_ll3223z00_1886;
																					goto BgL_map3228z00_921;
																				}
																			}
																	}
																}
															{	/* Ast/let.scm 124 */
																obj_t BgL_locz00_906;

																{	/* Ast/let.scm 133 */
																	obj_t BgL_locz00_908;

																	{	/* Ast/let.scm 135 */
																		obj_t BgL_arg3293z00_910;

																		if (PAIRP(BgL_bindingsz00_905))
																			{
																				BgL_nodez00_bglt BgL_auxz00_1893;

																				BgL_auxz00_1893 =
																					(BgL_nodez00_bglt) (CDR(CAR
																						(BgL_bindingsz00_905)));
																				BgL_arg3293z00_910 =
																					(((BgL_nodez00_bglt)
																						CREF(BgL_auxz00_1893))->BgL_locz00);
																			}
																		else
																			{	/* Ast/let.scm 135 */
																				BgL_arg3293z00_910 =
																					(((BgL_nodez00_bglt)
																						CREF(BgL_bodyz00_903))->BgL_locz00);
																			}
																		BgL_locz00_908 =
																			BGl_findzd2locationzf2locz20zztools_locationz00
																			(BgL_expz00_19, BgL_arg3293z00_910);
																	}
																	{	/* Ast/let.scm 138 */
																		bool_t BgL_testz00_1900;

																		if (STRUCTP(BgL_locz00_908))
																			{	/* Ast/let.scm 138 */
																				BgL_testz00_1900 =
																					(STRUCT_KEY(BgL_locz00_908) ==
																					CNST_TABLE_REF(((long) 0)));
																			}
																		else
																			{	/* Ast/let.scm 138 */
																				BgL_testz00_1900 = ((bool_t) 0);
																			}
																		if (BgL_testz00_1900)
																			{	/* Ast/let.scm 138 */
																				BgL_locz00_906 = BgL_locz00_908;
																			}
																		else
																			{	/* Ast/let.scm 138 */
																				BgL_locz00_906 = BgL_olocz00_21;
																			}
																	}
																}
																{	/* Ast/let.scm 133 */
																	BgL_letzd2varzd2_bglt BgL_nodez00_907;

																	BgL_nodez00_907 =
																		BGl_makezd2letzd2varz00zzast_nodez00
																		(BgL_locz00_906,
																		(BgL_typez00_bglt)
																		(BGl_za2_za2z00zztype_cachez00), BUNSPEC,
																		BINT(((long) -1)), BgL_bindingsz00_905,
																		BgL_bodyz00_903, ((bool_t) 1));
																	{	/* Ast/let.scm 141 */

																		BGl_occurzd2nodez12zc0zzast_occurz00(
																			(BgL_nodez00_bglt) (BgL_nodez00_907));
																		BGl_nodezd2removez12zc0zzast_removez00(
																			(BgL_nodez00_bglt) (BgL_nodez00_907));
																		return BgL_nodez00_907;
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-smart-generic-let */
	obj_t BGl_makezd2smartzd2genericzd2letzd2zzast_letz00(obj_t
		BgL_letzf2letreczf2_23, BgL_letzd2varzd2_bglt BgL_nodezd2letzd2_24,
		obj_t BgL_sitez00_25)
	{
		AN_OBJECT;
		{	/* Ast/let.scm 162 */
			{	/* Ast/let.scm 163 */
				obj_t BgL_g3208z00_962;

				BgL_g3208z00_962 =
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodezd2letzd2_24))->
					BgL_bindingsz00);
				{
					obj_t BgL_bindingsz00_965;

					obj_t BgL_funz00_966;

					obj_t BgL_valuez00_967;

					BgL_bindingsz00_965 = BgL_g3208z00_962;
					BgL_funz00_966 = BNIL;
					BgL_valuez00_967 = BNIL;
				BgL_loopz00_968:
					if (NULLP(BgL_bindingsz00_965))
						{	/* Ast/let.scm 166 */
							if (NULLP(BgL_funz00_966))
								{	/* Ast/let.scm 173 */
									return
										(obj_t) (BGl_letzd2orzd2letrecz00zzast_letz00
										(BgL_letzf2letreczf2_23, BgL_nodezd2letzd2_24));
								}
							else
								{	/* Ast/let.scm 173 */
									if (NULLP(BgL_valuez00_967))
										{	/* Ast/let.scm 176 */
											BgL_nodez00_bglt BgL_arg3328z00_972;

											BgL_arg3328z00_972 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodezd2letzd2_24))->
												BgL_bodyz00);
											return (obj_t) (BGl_letzd2ze3labelsz31zzast_letz00
												(BgL_funz00_966, BgL_arg3328z00_972, BgL_sitez00_25));
										}
									else
										{	/* Ast/let.scm 175 */
											{
												obj_t BgL_auxz00_1925;

												BgL_auxz00_1925 = bgl_reverse_bang(BgL_valuez00_967);
												((((BgL_letzd2varzd2_bglt) CREF(BgL_nodezd2letzd2_24))->
														BgL_bindingsz00) =
													((obj_t) BgL_auxz00_1925), BUNSPEC);
											}
											{	/* Ast/let.scm 181 */
												BgL_letzd2varzd2_bglt BgL_letz00_974;

												BgL_letz00_974 =
													BGl_letzd2orzd2letrecz00zzast_letz00
													(BgL_letzf2letreczf2_23, BgL_nodezd2letzd2_24);
												{	/* Ast/let.scm 183 */
													BgL_letzd2funzd2_bglt BgL_arg3330z00_975;

													{	/* Ast/let.scm 183 */
														BgL_nodez00_bglt BgL_arg3331z00_976;

														BgL_arg3331z00_976 =
															(((BgL_letzd2varzd2_bglt) CREF(BgL_letz00_974))->
															BgL_bodyz00);
														BgL_arg3330z00_975 =
															BGl_letzd2ze3labelsz31zzast_letz00(BgL_funz00_966,
															BgL_arg3331z00_976, BgL_sitez00_25);
													}
													{
														BgL_nodez00_bglt BgL_auxz00_1931;

														BgL_auxz00_1931 =
															(BgL_nodez00_bglt) (BgL_arg3330z00_975);
														((((BgL_letzd2varzd2_bglt) CREF(BgL_letz00_974))->
																BgL_bodyz00) =
															((BgL_nodez00_bglt) BgL_auxz00_1931), BUNSPEC);
													}
												}
												return (obj_t) (BgL_letz00_974);
											}
										}
								}
						}
					else
						{	/* Ast/let.scm 186 */
							obj_t BgL_bindingz00_977;

							BgL_bindingz00_977 = CAR(BgL_bindingsz00_965);
							{	/* Ast/let.scm 186 */
								obj_t BgL_varz00_978;

								BgL_varz00_978 = CAR(BgL_bindingz00_977);
								{	/* Ast/let.scm 187 */
									obj_t BgL_sexpz00_979;

									BgL_sexpz00_979 = CDR(BgL_bindingz00_977);
									{	/* Ast/let.scm 188 */

										if (BGl_iszd2azf3z21zz__objectz00(BgL_sexpz00_979,
												BGl_letzd2funzd2zzast_nodez00))
											{	/* Ast/let.scm 190 */
												obj_t BgL_localsz00_981;

												{
													BgL_letzd2funzd2_bglt BgL_auxz00_1940;

													BgL_auxz00_1940 =
														(BgL_letzd2funzd2_bglt) (BgL_sexpz00_979);
													BgL_localsz00_981 =
														(((BgL_letzd2funzd2_bglt) CREF(BgL_auxz00_1940))->
														BgL_localsz00);
												}
												{	/* Ast/let.scm 190 */
													BgL_nodez00_bglt BgL_bodyz00_982;

													{
														BgL_letzd2funzd2_bglt BgL_auxz00_1943;

														BgL_auxz00_1943 =
															(BgL_letzd2funzd2_bglt) (BgL_sexpz00_979);
														BgL_bodyz00_982 =
															(((BgL_letzd2funzd2_bglt) CREF(BgL_auxz00_1943))->
															BgL_bodyz00);
													}
													{	/* Ast/let.scm 191 */

														{	/* Ast/let.scm 192 */
															bool_t BgL_testz00_1946;

															if (NULLP(BgL_localsz00_981))
																{	/* Ast/let.scm 192 */
																	BgL_testz00_1946 = ((bool_t) 1);
																}
															else
																{	/* Ast/let.scm 192 */
																	if (NULLP(CDR(BgL_localsz00_981)))
																		{	/* Ast/let.scm 192 */
																			BgL_testz00_1946 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/let.scm 192 */
																			BgL_testz00_1946 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_1946)
																{	/* Ast/let.scm 196 */
																	obj_t BgL_arg3334z00_984;

																	obj_t BgL_arg3335z00_985;

																	BgL_arg3334z00_984 = CDR(BgL_bindingsz00_965);
																	BgL_arg3335z00_985 =
																		MAKE_PAIR(CAR(BgL_bindingsz00_965),
																		BgL_valuez00_967);
																	{
																		obj_t BgL_valuez00_1956;

																		obj_t BgL_bindingsz00_1955;

																		BgL_bindingsz00_1955 = BgL_arg3334z00_984;
																		BgL_valuez00_1956 = BgL_arg3335z00_985;
																		BgL_valuez00_967 = BgL_valuez00_1956;
																		BgL_bindingsz00_965 = BgL_bindingsz00_1955;
																		goto BgL_loopz00_968;
																	}
																}
															else
																{	/* Ast/let.scm 199 */
																	bool_t BgL_testz00_1957;

																	{	/* Ast/let.scm 199 */
																		obj_t BgL_obj2044z00_1617;

																		BgL_obj2044z00_1617 =
																			(obj_t) (BgL_bodyz00_982);
																		BgL_testz00_1957 =
																			BGl_iszd2azf3z21zz__objectz00
																			(BgL_obj2044z00_1617,
																			BGl_varz00zzast_nodez00);
																	}
																	if (BgL_testz00_1957)
																		{	/* Ast/let.scm 200 */
																			BgL_variablez00_bglt BgL_resz00_988;

																			obj_t BgL_auxz00_989;

																			{
																				BgL_varz00_bglt BgL_auxz00_1960;

																				BgL_auxz00_1960 =
																					(BgL_varz00_bglt) (BgL_bodyz00_982);
																				BgL_resz00_988 =
																					(((BgL_varz00_bglt)
																						CREF(BgL_auxz00_1960))->
																					BgL_variablez00);
																			}
																			BgL_auxz00_989 = CAR(BgL_localsz00_981);
																			{	/* Ast/let.scm 202 */
																				bool_t BgL_testz00_1964;

																				if (
																					((obj_t) (BgL_resz00_988) ==
																						BgL_auxz00_989))
																					{	/* Ast/let.scm 206 */
																						bool_t BgL_testz00_1968;

																						{	/* Ast/let.scm 206 */
																							obj_t BgL_auxz00_1969;

																							{
																								BgL_variablez00_bglt
																									BgL_auxz00_1970;
																								BgL_auxz00_1970 =
																									(BgL_variablez00_bglt)
																									(BgL_varz00_978);
																								BgL_auxz00_1969 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_auxz00_1970))->
																									BgL_accessz00);
																							}
																							BgL_testz00_1968 =
																								(BgL_auxz00_1969 ==
																								CNST_TABLE_REF(((long) 3)));
																						}
																						if (BgL_testz00_1968)
																							{	/* Ast/let.scm 206 */
																								BgL_testz00_1964 = ((bool_t) 1);
																							}
																						else
																							{	/* Ast/let.scm 207 */
																								bool_t BgL_testz00_1975;

																								{	/* Ast/let.scm 208 */
																									bool_t BgL_testz00_1976;

																									{	/* Ast/let.scm 208 */
																										BgL_typez00_bglt
																											BgL_arg3352z00_1004;
																										{
																											BgL_variablez00_bglt
																												BgL_auxz00_1977;
																											BgL_auxz00_1977 =
																												(BgL_variablez00_bglt)
																												(BgL_varz00_978);
																											BgL_arg3352z00_1004 =
																												(((BgL_variablez00_bglt)
																													CREF
																													(BgL_auxz00_1977))->
																												BgL_typez00);
																										}
																										BgL_testz00_1976 =
																											(
																											(obj_t)
																											(BgL_arg3352z00_1004) ==
																											BGl_za2procedureza2z00zztype_cachez00);
																									}
																									if (BgL_testz00_1976)
																										{	/* Ast/let.scm 208 */
																											BgL_testz00_1975 =
																												((bool_t) 1);
																										}
																									else
																										{	/* Ast/let.scm 209 */
																											bool_t BgL_testz00_1982;

																											{	/* Ast/let.scm 209 */
																												BgL_typez00_bglt
																													BgL_arg3351z00_1003;
																												{
																													BgL_variablez00_bglt
																														BgL_auxz00_1983;
																													BgL_auxz00_1983 =
																														(BgL_variablez00_bglt)
																														(BgL_varz00_978);
																													BgL_arg3351z00_1003 =
																														(((BgL_variablez00_bglt) CREF(BgL_auxz00_1983))->BgL_typez00);
																												}
																												BgL_testz00_1982 =
																													(
																													(obj_t)
																													(BgL_arg3351z00_1003)
																													==
																													BGl_za2_za2z00zztype_cachez00);
																											}
																											if (BgL_testz00_1982)
																												{	/* Ast/let.scm 209 */
																													BgL_testz00_1975 =
																														((bool_t) 1);
																												}
																											else
																												{	/* Ast/let.scm 210 */
																													BgL_typez00_bglt
																														BgL_arg3350z00_1002;
																													{
																														BgL_variablez00_bglt
																															BgL_auxz00_1988;
																														BgL_auxz00_1988 =
																															(BgL_variablez00_bglt)
																															(BgL_varz00_978);
																														BgL_arg3350z00_1002
																															=
																															(((BgL_variablez00_bglt) CREF(BgL_auxz00_1988))->BgL_typez00);
																													}
																													BgL_testz00_1975 =
																														(
																														(obj_t)
																														(BgL_arg3350z00_1002)
																														==
																														BGl_za2objza2z00zztype_cachez00);
																												}
																										}
																								}
																								if (BgL_testz00_1975)
																									{	/* Ast/let.scm 207 */
																										BgL_testz00_1964 =
																											((bool_t) 0);
																									}
																								else
																									{	/* Ast/let.scm 207 */
																										BgL_testz00_1964 =
																											((bool_t) 1);
																									}
																							}
																					}
																				else
																					{	/* Ast/let.scm 202 */
																						BgL_testz00_1964 = ((bool_t) 1);
																					}
																				if (BgL_testz00_1964)
																					{	/* Ast/let.scm 213 */
																						obj_t BgL_arg3339z00_991;

																						obj_t BgL_arg3340z00_992;

																						BgL_arg3339z00_991 =
																							CDR(BgL_bindingsz00_965);
																						BgL_arg3340z00_992 =
																							MAKE_PAIR(CAR
																							(BgL_bindingsz00_965),
																							BgL_valuez00_967);
																						{
																							obj_t BgL_valuez00_1997;

																							obj_t BgL_bindingsz00_1996;

																							BgL_bindingsz00_1996 =
																								BgL_arg3339z00_991;
																							BgL_valuez00_1997 =
																								BgL_arg3340z00_992;
																							BgL_valuez00_967 =
																								BgL_valuez00_1997;
																							BgL_bindingsz00_965 =
																								BgL_bindingsz00_1996;
																							goto BgL_loopz00_968;
																						}
																					}
																				else
																					{	/* Ast/let.scm 217 */
																						obj_t BgL_arg3342z00_994;

																						obj_t BgL_arg3343z00_995;

																						BgL_arg3342z00_994 =
																							CDR(BgL_bindingsz00_965);
																						BgL_arg3343z00_995 =
																							MAKE_PAIR(CAR
																							(BgL_bindingsz00_965),
																							BgL_funz00_966);
																						{
																							obj_t BgL_funz00_2002;

																							obj_t BgL_bindingsz00_2001;

																							BgL_bindingsz00_2001 =
																								BgL_arg3342z00_994;
																							BgL_funz00_2002 =
																								BgL_arg3343z00_995;
																							BgL_funz00_966 = BgL_funz00_2002;
																							BgL_bindingsz00_965 =
																								BgL_bindingsz00_2001;
																							goto BgL_loopz00_968;
																						}
																					}
																			}
																		}
																	else
																		{	/* Ast/let.scm 220 */
																			obj_t BgL_arg3355z00_1007;

																			obj_t BgL_arg3356z00_1008;

																			BgL_arg3355z00_1007 =
																				CDR(BgL_bindingsz00_965);
																			BgL_arg3356z00_1008 =
																				MAKE_PAIR(CAR(BgL_bindingsz00_965),
																				BgL_valuez00_967);
																			{
																				obj_t BgL_valuez00_2007;

																				obj_t BgL_bindingsz00_2006;

																				BgL_bindingsz00_2006 =
																					BgL_arg3355z00_1007;
																				BgL_valuez00_2007 = BgL_arg3356z00_1008;
																				BgL_valuez00_967 = BgL_valuez00_2007;
																				BgL_bindingsz00_965 =
																					BgL_bindingsz00_2006;
																				goto BgL_loopz00_968;
																			}
																		}
																}
														}
													}
												}
											}
										else
											{	/* Ast/let.scm 223 */
												obj_t BgL_arg3361z00_1013;

												obj_t BgL_arg3362z00_1014;

												BgL_arg3361z00_1013 = CDR(BgL_bindingsz00_965);
												BgL_arg3362z00_1014 =
													MAKE_PAIR(CAR(BgL_bindingsz00_965), BgL_valuez00_967);
												{
													obj_t BgL_valuez00_2012;

													obj_t BgL_bindingsz00_2011;

													BgL_bindingsz00_2011 = BgL_arg3361z00_1013;
													BgL_valuez00_2012 = BgL_arg3362z00_1014;
													BgL_valuez00_967 = BgL_valuez00_2012;
													BgL_bindingsz00_965 = BgL_bindingsz00_2011;
													goto BgL_loopz00_968;
												}
											}
									}
								}
							}
						}
				}
			}
		}
	}



/* let-or-letrec */
	BgL_letzd2varzd2_bglt BGl_letzd2orzd2letrecz00zzast_letz00(obj_t
		BgL_letzf2letreczf2_26, BgL_letzd2varzd2_bglt BgL_nodezd2letzd2_27)
	{
		AN_OBJECT;
		{	/* Ast/let.scm 237 */
			if ((BgL_letzf2letreczf2_26 == CNST_TABLE_REF(((long) 2))))
				{	/* Ast/let.scm 238 */
					return BgL_nodezd2letzd2_27;
				}
			else
				{	/* Ast/let.scm 240 */
					obj_t BgL_bindingsz00_1017;

					BgL_bindingsz00_1017 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodezd2letzd2_27))->
						BgL_bindingsz00);
					{	/* Ast/let.scm 240 */
						BgL_nodez00_bglt BgL_bodyz00_1018;

						BgL_bodyz00_1018 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodezd2letzd2_27))->
							BgL_bodyz00);
						{	/* Ast/let.scm 241 */
							obj_t BgL_seqz00_1019;

							{	/* Ast/let.scm 242 */
								bool_t BgL_testz00_2018;

								{	/* Ast/let.scm 242 */
									obj_t BgL_obj2112z00_1634;

									BgL_obj2112z00_1634 = (obj_t) (BgL_bodyz00_1018);
									BgL_testz00_2018 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj2112z00_1634,
										BGl_sequencez00zzast_nodez00);
								}
								if (BgL_testz00_2018)
									{	/* Ast/let.scm 242 */
										BgL_seqz00_1019 = (obj_t) (BgL_bodyz00_1018);
									}
								else
									{	/* Ast/let.scm 244 */
										obj_t BgL_arg3374z00_1038;

										obj_t BgL_arg3376z00_1040;

										BgL_arg3374z00_1038 =
											(((BgL_nodez00_bglt) CREF(BgL_bodyz00_1018))->BgL_locz00);
										{	/* Ast/let.scm 246 */
											obj_t BgL_list3377z00_1041;

											BgL_list3377z00_1041 =
												MAKE_PAIR((obj_t) (BgL_bodyz00_1018), BNIL);
											BgL_arg3376z00_1040 = BgL_list3377z00_1041;
										}
										BgL_seqz00_1019 =
											(obj_t) (BGl_makezd2sequencezd2zzast_nodez00
											(BgL_arg3374z00_1038,
												(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00),
												BUNSPEC, BINT(((long) -1)), BgL_arg3376z00_1040));
							}}
							{	/* Ast/let.scm 242 */

								{
									BgL_nodez00_bglt BgL_auxz00_2029;

									BgL_auxz00_2029 = (BgL_nodez00_bglt) (BgL_seqz00_1019);
									((((BgL_letzd2varzd2_bglt) CREF(BgL_nodezd2letzd2_27))->
											BgL_bodyz00) =
										((BgL_nodez00_bglt) BgL_auxz00_2029), BUNSPEC);
								}
								{	/* Ast/let.scm 248 */
									obj_t BgL_g3212z00_1020;

									{
										BgL_sequencez00_bglt BgL_auxz00_2032;

										BgL_auxz00_2032 = (BgL_sequencez00_bglt) (BgL_seqz00_1019);
										BgL_g3212z00_1020 =
											(((BgL_sequencez00_bglt) CREF(BgL_auxz00_2032))->
											BgL_nodesz00);
									}
									{
										obj_t BgL_bindingsz00_1021;

										obj_t BgL_nsequencez00_1022;

										BgL_bindingsz00_1021 = BgL_bindingsz00_1017;
										BgL_nsequencez00_1022 = BgL_g3212z00_1020;
									BgL_loopz00_1023:
										if (NULLP(BgL_bindingsz00_1021))
											{	/* Ast/let.scm 250 */
												{	/* Ast/let.scm 254 */
													BgL_sequencez00_bglt BgL_arg3366z00_1025;

													{	/* Ast/let.scm 254 */
														obj_t BgL_arg3367z00_1026;

														{
															BgL_nodez00_bglt BgL_auxz00_2037;

															BgL_auxz00_2037 =
																(BgL_nodez00_bglt) (BgL_seqz00_1019);
															BgL_arg3367z00_1026 =
																(((BgL_nodez00_bglt) CREF(BgL_auxz00_2037))->
																BgL_locz00);
														}
														BgL_arg3366z00_1025 =
															BGl_makezd2sequencezd2zzast_nodez00
															(BgL_arg3367z00_1026,
															(BgL_typez00_bglt)
															(BGl_za2_za2z00zztype_cachez00), BUNSPEC,
															BINT(((long) -1)), BgL_nsequencez00_1022);
													}
													{
														BgL_nodez00_bglt BgL_auxz00_2043;

														BgL_auxz00_2043 =
															(BgL_nodez00_bglt) (BgL_arg3366z00_1025);
														((((BgL_letzd2varzd2_bglt)
																	CREF(BgL_nodezd2letzd2_27))->BgL_bodyz00) =
															((BgL_nodez00_bglt) BgL_auxz00_2043), BUNSPEC);
												}}
												return BgL_nodezd2letzd2_27;
											}
										else
											{	/* Ast/let.scm 258 */
												obj_t BgL_bindingz00_1028;

												BgL_bindingz00_1028 = CAR(BgL_bindingsz00_1021);
												{	/* Ast/let.scm 258 */
													obj_t BgL_varz00_1029;

													BgL_varz00_1029 = CAR(BgL_bindingz00_1028);
													{	/* Ast/let.scm 259 */
														obj_t BgL_valz00_1030;

														BgL_valz00_1030 = CDR(BgL_bindingz00_1028);
														{	/* Ast/let.scm 260 */
															obj_t BgL_locz00_1031;

															{
																BgL_nodez00_bglt BgL_auxz00_2049;

																BgL_auxz00_2049 =
																	(BgL_nodez00_bglt) (BgL_valz00_1030);
																BgL_locz00_1031 =
																	(((BgL_nodez00_bglt) CREF(BgL_auxz00_2049))->
																	BgL_locz00);
															}
															{	/* Ast/let.scm 261 */

																{	/* Ast/let.scm 262 */
																	BgL_setqz00_bglt BgL_initz00_1032;

																	{	/* Ast/let.scm 264 */
																		BgL_varz00_bglt BgL_arg3372z00_1036;

																		BgL_arg3372z00_1036 =
																			BGl_makezd2varzd2zzast_nodez00
																			(BgL_locz00_1031,
																			(BgL_typez00_bglt)
																			(BGl_za2_za2z00zztype_cachez00),
																			(BgL_variablez00_bglt) (BgL_varz00_1029));
																		BgL_initz00_1032 =
																			BGl_makezd2setqzd2zzast_nodez00
																			(BgL_locz00_1031,
																			(BgL_typez00_bglt)
																			(BGl_za2unspecza2z00zztype_cachez00),
																			BgL_arg3372z00_1036,
																			(BgL_nodez00_bglt) (BgL_valz00_1030));
																	}
																	BGl_usezd2variablez12zc0zzast_sexpz00(
																		(BgL_variablez00_bglt) (BgL_varz00_1029),
																		BgL_locz00_1031,
																		CNST_TABLE_REF(((long) 4)));
																	{	/* Ast/let.scm 271 */
																		BgL_nodez00_bglt BgL_arg3369z00_1033;

																		BgL_arg3369z00_1033 =
																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																			(BUNSPEC, BNIL, BgL_locz00_1031,
																			CNST_TABLE_REF(((long) 1)));
																		{	/* Ast/let.scm 270 */
																			obj_t BgL_auxz00_2063;

																			BgL_auxz00_2063 =
																				(obj_t) (BgL_arg3369z00_1033);
																			SET_CDR(BgL_bindingz00_1028,
																				BgL_auxz00_2063);
																	}}
																	{	/* Ast/let.scm 272 */
																		obj_t BgL_arg3370z00_1034;

																		obj_t BgL_arg3371z00_1035;

																		BgL_arg3370z00_1034 =
																			CDR(BgL_bindingsz00_1021);
																		BgL_arg3371z00_1035 =
																			MAKE_PAIR(
																			(obj_t) (BgL_initz00_1032),
																			BgL_nsequencez00_1022);
																		{
																			obj_t BgL_nsequencez00_2070;

																			obj_t BgL_bindingsz00_2069;

																			BgL_bindingsz00_2069 =
																				BgL_arg3370z00_1034;
																			BgL_nsequencez00_2070 =
																				BgL_arg3371z00_1035;
																			BgL_nsequencez00_1022 =
																				BgL_nsequencez00_2070;
																			BgL_bindingsz00_1021 =
																				BgL_bindingsz00_2069;
																			goto BgL_loopz00_1023;
																		}
																	}
																}
															}
														}
													}
												}
											}
									}
								}
							}
						}
					}
				}
		}
	}



/* let->labels */
	BgL_letzd2funzd2_bglt BGl_letzd2ze3labelsz31zzast_letz00(obj_t
		BgL_valuezd2bindingszd2_28, BgL_nodez00_bglt BgL_nodez00_29,
		obj_t BgL_sitez00_30)
	{
		AN_OBJECT;
		{	/* Ast/let.scm 282 */
			{	/* Ast/let.scm 284 */
				obj_t BgL_oldzd2funszd2_1042;

				obj_t BgL_newzd2funszd2_1043;

				if (NULLP(BgL_valuezd2bindingszd2_28))
					{	/* Ast/let.scm 284 */
						BgL_oldzd2funszd2_1042 = BNIL;
					}
				else
					{	/* Ast/let.scm 284 */
						obj_t BgL_head3231z00_1075;

						BgL_head3231z00_1075 =
							MAKE_PAIR(CAR(CAR(BgL_valuezd2bindingszd2_28)), BNIL);
						{	/* Ast/let.scm 284 */
							obj_t BgL_g3234z00_1076;

							BgL_g3234z00_1076 = CDR(BgL_valuezd2bindingszd2_28);
							{
								obj_t BgL_l3229z00_1077;

								obj_t BgL_tail3232z00_1078;

								BgL_l3229z00_1077 = BgL_g3234z00_1076;
								BgL_tail3232z00_1078 = BgL_head3231z00_1075;
							BgL_map3230z00_1079:
								if (NULLP(BgL_l3229z00_1077))
									{	/* Ast/let.scm 284 */
										BgL_oldzd2funszd2_1042 = BgL_head3231z00_1075;
									}
								else
									{	/* Ast/let.scm 284 */
										obj_t BgL_newtail3233z00_1081;

										BgL_newtail3233z00_1081 =
											MAKE_PAIR(CAR(CAR(BgL_l3229z00_1077)), BNIL);
										SET_CDR(BgL_tail3232z00_1078, BgL_newtail3233z00_1081);
										{
											obj_t BgL_tail3232z00_2085;

											obj_t BgL_l3229z00_2083;

											BgL_l3229z00_2083 = CDR(BgL_l3229z00_1077);
											BgL_tail3232z00_2085 = BgL_newtail3233z00_1081;
											BgL_tail3232z00_1078 = BgL_tail3232z00_2085;
											BgL_l3229z00_1077 = BgL_l3229z00_2083;
											goto BgL_map3230z00_1079;
										}
									}
							}
						}
					}
				if (NULLP(BgL_valuezd2bindingszd2_28))
					{	/* Ast/let.scm 285 */
						BgL_newzd2funszd2_1043 = BNIL;
					}
				else
					{	/* Ast/let.scm 285 */
						obj_t BgL_head3237z00_1091;

						BgL_head3237z00_1091 = MAKE_PAIR(BNIL, BNIL);
						{
							obj_t BgL_l3235z00_1092;

							obj_t BgL_tail3238z00_1093;

							BgL_l3235z00_1092 = BgL_valuezd2bindingszd2_28;
							BgL_tail3238z00_1093 = BgL_head3237z00_1091;
						BgL_map3236z00_1094:
							if (NULLP(BgL_l3235z00_1092))
								{	/* Ast/let.scm 285 */
									BgL_newzd2funszd2_1043 = CDR(BgL_head3237z00_1091);
								}
							else
								{	/* Ast/let.scm 285 */
									obj_t BgL_newtail3239z00_1096;

									{	/* Ast/let.scm 285 */
										BgL_localz00_bglt BgL_arg3407z00_1098;

										{	/* Ast/let.scm 285 */
											obj_t BgL_bindingz00_1100;

											BgL_bindingz00_1100 = CAR(BgL_l3235z00_1092);
											{	/* Ast/let.scm 286 */
												obj_t BgL_ovarz00_1101;

												BgL_ovarz00_1101 = CAR(BgL_bindingz00_1100);
												{	/* Ast/let.scm 286 */
													obj_t BgL_valz00_1102;

													BgL_valz00_1102 = CDR(BgL_bindingz00_1100);
													{	/* Ast/let.scm 287 */
														obj_t BgL_auxz00_1103;

														{	/* Ast/let.scm 288 */
															obj_t BgL_pairz00_1675;

															{
																BgL_letzd2funzd2_bglt BgL_auxz00_2095;

																BgL_auxz00_2095 =
																	(BgL_letzd2funzd2_bglt) (BgL_valz00_1102);
																BgL_pairz00_1675 =
																	(((BgL_letzd2funzd2_bglt)
																		CREF(BgL_auxz00_2095))->BgL_localsz00);
															}
															BgL_auxz00_1103 = CAR(BgL_pairz00_1675);
														}
														{	/* Ast/let.scm 288 */
															obj_t BgL_idz00_1104;

															{	/* Ast/let.scm 289 */
																bool_t BgL_testz00_2099;

																{
																	BgL_localz00_bglt BgL_auxz00_2100;

																	BgL_auxz00_2100 =
																		(BgL_localz00_bglt) (BgL_ovarz00_1101);
																	BgL_testz00_2099 =
																		(((BgL_localz00_bglt)
																			CREF(BgL_auxz00_2100))->BgL_userzf3zf3);
																}
																if (BgL_testz00_2099)
																	{
																		BgL_variablez00_bglt BgL_auxz00_2103;

																		BgL_auxz00_2103 =
																			(BgL_variablez00_bglt) (BgL_ovarz00_1101);
																		BgL_idz00_1104 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_auxz00_2103))->BgL_idz00);
																	}
																else
																	{
																		BgL_variablez00_bglt BgL_auxz00_2106;

																		BgL_auxz00_2106 =
																			(BgL_variablez00_bglt) (BgL_auxz00_1103);
																		BgL_idz00_1104 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_auxz00_2106))->BgL_idz00);
																	}
															}
															{	/* Ast/let.scm 289 */
																BgL_localz00_bglt BgL_newz00_1105;

																{	/* Ast/let.scm 292 */
																	BgL_typez00_bglt BgL_arg3412z00_1110;

																	{
																		BgL_variablez00_bglt BgL_auxz00_2109;

																		BgL_auxz00_2109 =
																			(BgL_variablez00_bglt) (BgL_auxz00_1103);
																		BgL_arg3412z00_1110 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_auxz00_2109))->BgL_typez00);
																	}
																	BgL_newz00_1105 =
																		BGl_makezd2localzd2svarz00zzast_localz00
																		(BgL_idz00_1104, BgL_arg3412z00_1110);
																}
																{	/* Ast/let.scm 292 */

																	{	/* Ast/let.scm 293 */
																		BgL_valuez00_bglt BgL_arg3409z00_1106;

																		{
																			BgL_variablez00_bglt BgL_auxz00_2113;

																			BgL_auxz00_2113 =
																				(BgL_variablez00_bglt)
																				(BgL_auxz00_1103);
																			BgL_arg3409z00_1106 =
																				(((BgL_variablez00_bglt)
																					CREF(BgL_auxz00_2113))->BgL_valuez00);
																		}
																		{
																			BgL_variablez00_bglt BgL_auxz00_2116;

																			BgL_auxz00_2116 =
																				(BgL_variablez00_bglt)
																				(BgL_newz00_1105);
																			((((BgL_variablez00_bglt)
																						CREF(BgL_auxz00_2116))->
																					BgL_valuez00) =
																				((BgL_valuez00_bglt)
																					BgL_arg3409z00_1106), BUNSPEC);
																		}
																	}
																	{	/* Ast/let.scm 294 */
																		bool_t BgL_arg3410z00_1107;

																		{	/* Ast/let.scm 294 */
																			bool_t BgL__ortest_3216z00_1108;

																			{
																				BgL_localz00_bglt BgL_auxz00_2119;

																				BgL_auxz00_2119 =
																					(BgL_localz00_bglt) (BgL_auxz00_1103);
																				BgL__ortest_3216z00_1108 =
																					(((BgL_localz00_bglt)
																						CREF(BgL_auxz00_2119))->
																					BgL_userzf3zf3);
																			}
																			if (BgL__ortest_3216z00_1108)
																				{	/* Ast/let.scm 294 */
																					BgL_arg3410z00_1107 =
																						BgL__ortest_3216z00_1108;
																				}
																			else
																				{
																					BgL_localz00_bglt BgL_auxz00_2123;

																					BgL_auxz00_2123 =
																						(BgL_localz00_bglt)
																						(BgL_ovarz00_1101);
																					BgL_arg3410z00_1107 =
																						(((BgL_localz00_bglt)
																							CREF(BgL_auxz00_2123))->
																						BgL_userzf3zf3);
																				}
																		}
																		((((BgL_localz00_bglt)
																					CREF(BgL_newz00_1105))->
																				BgL_userzf3zf3) =
																			((bool_t) BgL_arg3410z00_1107), BUNSPEC);
																	}
																	{	/* Ast/let.scm 296 */
																		obj_t BgL_arg3411z00_1109;

																		{
																			BgL_variablez00_bglt BgL_auxz00_2127;

																			BgL_auxz00_2127 =
																				(BgL_variablez00_bglt)
																				(BgL_auxz00_1103);
																			BgL_arg3411z00_1109 =
																				(((BgL_variablez00_bglt)
																					CREF(BgL_auxz00_2127))->BgL_namez00);
																		}
																		{
																			BgL_variablez00_bglt BgL_auxz00_2130;

																			BgL_auxz00_2130 =
																				(BgL_variablez00_bglt)
																				(BgL_newz00_1105);
																			((((BgL_variablez00_bglt)
																						CREF(BgL_auxz00_2130))->
																					BgL_namez00) =
																				((obj_t) BgL_arg3411z00_1109), BUNSPEC);
																		}
																	}
																	BgL_arg3407z00_1098 = BgL_newz00_1105;
																}
															}
														}
													}
												}
											}
										}
										BgL_newtail3239z00_1096 =
											MAKE_PAIR((obj_t) (BgL_arg3407z00_1098), BNIL);
									}
									SET_CDR(BgL_tail3238z00_1093, BgL_newtail3239z00_1096);
									{
										obj_t BgL_tail3238z00_2138;

										obj_t BgL_l3235z00_2136;

										BgL_l3235z00_2136 = CDR(BgL_l3235z00_1092);
										BgL_tail3238z00_2138 = BgL_newtail3239z00_1096;
										BgL_tail3238z00_1093 = BgL_tail3238z00_2138;
										BgL_l3235z00_1092 = BgL_l3235z00_2136;
										goto BgL_map3236z00_1094;
									}
								}
						}
					}
				{
					obj_t BgL_vbindingsz00_1044;

					obj_t BgL_nvarsz00_1045;

					BgL_vbindingsz00_1044 = BgL_valuezd2bindingszd2_28;
					BgL_nvarsz00_1045 = BgL_newzd2funszd2_1043;
				BgL_loopz00_1046:
					if (NULLP(BgL_vbindingsz00_1044))
						{	/* Ast/let.scm 304 */
							BgL_nodez00_bglt BgL_bodyz00_1048;

							BgL_bodyz00_1048 =
								BGl_substitutez12z12zzast_substitutez00(BgL_oldzd2funszd2_1042,
								BgL_newzd2funszd2_1043, BgL_nodez00_29, BgL_sitez00_30);
							{	/* Ast/let.scm 304 */
								obj_t BgL_funsz00_1049;

								BgL_funsz00_1049 = bgl_reverse_bang(BgL_newzd2funszd2_1043);
								{	/* Ast/let.scm 305 */
									obj_t BgL_locz00_1050;

									{	/* Ast/let.scm 306 */
										bool_t BgL_testz00_2143;

										if (PAIRP(BgL_funsz00_1049))
											{	/* Ast/let.scm 307 */
												BgL_valuez00_bglt BgL_arg3386z00_1058;

												{	/* Ast/let.scm 307 */
													BgL_variablez00_bglt BgL_obj1486z00_1698;

													{	/* Ast/let.scm 307 */
														obj_t BgL_pairz00_1697;

														BgL_pairz00_1697 = BgL_funsz00_1049;
														BgL_obj1486z00_1698 =
															(BgL_variablez00_bglt) (CAR(BgL_pairz00_1697));
													}
													BgL_arg3386z00_1058 =
														(((BgL_variablez00_bglt)
															CREF(BgL_obj1486z00_1698))->BgL_valuez00);
												}
												{	/* Ast/let.scm 307 */
													obj_t BgL_obj1829z00_1699;

													BgL_obj1829z00_1699 = (obj_t) (BgL_arg3386z00_1058);
													BgL_testz00_2143 =
														BGl_iszd2azf3z21zz__objectz00(BgL_obj1829z00_1699,
														BGl_sfunz00zzast_varz00);
												}
											}
										else
											{	/* Ast/let.scm 306 */
												BgL_testz00_2143 = ((bool_t) 0);
											}
										if (BgL_testz00_2143)
											{	/* Ast/let.scm 308 */
												BgL_nodez00_bglt BgL_obj1965z00_1703;

												{	/* Ast/let.scm 308 */
													obj_t BgL_auxz00_2151;

													{	/* Ast/let.scm 308 */
														BgL_sfunz00_bglt BgL_obj1758z00_1702;

														{	/* Ast/let.scm 308 */
															BgL_valuez00_bglt BgL_auxz00_2152;

															{	/* Ast/let.scm 308 */
																BgL_variablez00_bglt BgL_obj1486z00_1701;

																{	/* Ast/let.scm 308 */
																	obj_t BgL_pairz00_1700;

																	BgL_pairz00_1700 = BgL_funsz00_1049;
																	BgL_obj1486z00_1701 =
																		(BgL_variablez00_bglt) (CAR
																		(BgL_pairz00_1700));
																}
																BgL_auxz00_2152 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1486z00_1701))->BgL_valuez00);
															}
															BgL_obj1758z00_1702 =
																(BgL_sfunz00_bglt) (BgL_auxz00_2152);
														}
														BgL_auxz00_2151 =
															(((BgL_sfunz00_bglt) CREF(BgL_obj1758z00_1702))->
															BgL_bodyz00);
													}
													BgL_obj1965z00_1703 =
														(BgL_nodez00_bglt) (BgL_auxz00_2151);
												}
												BgL_locz00_1050 =
													(((BgL_nodez00_bglt) CREF(BgL_obj1965z00_1703))->
													BgL_locz00);
											}
										else
											{	/* Ast/let.scm 306 */
												BgL_locz00_1050 =
													(((BgL_nodez00_bglt) CREF(BgL_nodez00_29))->
													BgL_locz00);
											}
									}
									{	/* Ast/let.scm 306 */

										{	/* Ast/let.scm 312 */
											BgL_typez00_bglt BgL_arg3379z00_1051;

											BgL_arg3379z00_1051 =
												(((BgL_nodez00_bglt) CREF(BgL_nodez00_29))->
												BgL_typez00);
											return
												BGl_makezd2letzd2funz00zzast_nodez00(BgL_locz00_1050,
												BgL_arg3379z00_1051, BUNSPEC, BINT(((long) -1)),
												BgL_funsz00_1049, BgL_bodyz00_1048);
						}}}}}
					else
						{	/* Ast/let.scm 316 */
							obj_t BgL_bindingz00_1060;

							BgL_bindingz00_1060 = CAR(BgL_vbindingsz00_1044);
							{	/* Ast/let.scm 316 */
								obj_t BgL_nvarz00_1061;

								BgL_nvarz00_1061 = CAR(BgL_nvarsz00_1045);
								{	/* Ast/let.scm 317 */
									BgL_valuez00_bglt BgL_sfunz00_1062;

									{
										BgL_variablez00_bglt BgL_auxz00_2166;

										BgL_auxz00_2166 = (BgL_variablez00_bglt) (BgL_nvarz00_1061);
										BgL_sfunz00_1062 =
											(((BgL_variablez00_bglt) CREF(BgL_auxz00_2166))->
											BgL_valuez00);
									}
									{	/* Ast/let.scm 318 */
										obj_t BgL_bodyz00_1063;

										{
											BgL_sfunz00_bglt BgL_auxz00_2169;

											BgL_auxz00_2169 = (BgL_sfunz00_bglt) (BgL_sfunz00_1062);
											BgL_bodyz00_1063 =
												(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2169))->
												BgL_bodyz00);
										}
										{	/* Ast/let.scm 319 */
											obj_t BgL_valz00_1064;

											BgL_valz00_1064 = CDR(BgL_bindingz00_1060);
											{	/* Ast/let.scm 320 */
												obj_t BgL_auxz00_1065;

												{	/* Ast/let.scm 321 */
													obj_t BgL_pairz00_1712;

													{
														BgL_letzd2funzd2_bglt BgL_auxz00_2173;

														BgL_auxz00_2173 =
															(BgL_letzd2funzd2_bglt) (BgL_valz00_1064);
														BgL_pairz00_1712 =
															(((BgL_letzd2funzd2_bglt) CREF(BgL_auxz00_2173))->
															BgL_localsz00);
													}
													BgL_auxz00_1065 = CAR(BgL_pairz00_1712);
												}
												{	/* Ast/let.scm 321 */

													{	/* Ast/let.scm 323 */
														BgL_nodez00_bglt BgL_arg3388z00_1066;

														{	/* Ast/let.scm 323 */
															obj_t BgL_arg3389z00_1067;

															obj_t BgL_arg3390z00_1068;

															obj_t BgL_arg3391z00_1069;

															BgL_arg3389z00_1067 =
																MAKE_PAIR(BgL_auxz00_1065,
																BgL_oldzd2funszd2_1042);
															BgL_arg3390z00_1068 =
																MAKE_PAIR(BgL_nvarz00_1061,
																BgL_newzd2funszd2_1043);
															BgL_arg3391z00_1069 = CNST_TABLE_REF(((long) 1));
															BgL_arg3388z00_1066 =
																BGl_substitutez12z12zzast_substitutez00
																(BgL_arg3389z00_1067, BgL_arg3390z00_1068,
																(BgL_nodez00_bglt) (BgL_bodyz00_1063),
																BgL_arg3391z00_1069);
														}
														{
															obj_t BgL_auxz00_2184;

															BgL_sfunz00_bglt BgL_auxz00_2182;

															BgL_auxz00_2184 = (obj_t) (BgL_arg3388z00_1066);
															BgL_auxz00_2182 =
																(BgL_sfunz00_bglt) (BgL_sfunz00_1062);
															((((BgL_sfunz00_bglt) CREF(BgL_auxz00_2182))->
																	BgL_bodyz00) =
																((obj_t) BgL_auxz00_2184), BUNSPEC);
													}}
													{
														obj_t BgL_nvarsz00_2189;

														obj_t BgL_vbindingsz00_2187;

														BgL_vbindingsz00_2187 = CDR(BgL_vbindingsz00_1044);
														BgL_nvarsz00_2189 = CDR(BgL_nvarsz00_1045);
														BgL_nvarsz00_1045 = BgL_nvarsz00_2189;
														BgL_vbindingsz00_1044 = BgL_vbindingsz00_2187;
														goto BgL_loopz00_1046;
													}
												}
											}
										}
									}
								}
							}
						}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_letz00()
	{
		AN_OBJECT;
		{	/* Ast/let.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_letz00()
	{
		AN_OBJECT;
		{	/* Ast/let.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 139728077),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_substitutez00(((long) 320228296),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_occurz00(((long) 335751924),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 52292466),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3469z00zzast_letz00));
		}
	}

#ifdef __cplusplus
}
#endif
