/*===========================================================================*/
/*   (Ast/lvtype.scm)                                                        */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/lvtype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	static obj_t BGl_lvtypezd2nodez12zd2funcall3188z12zzast_lvtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2select3200z12zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_lvtypez00();
	static obj_t BGl_lvtypezd2nodez12zd2conditi3196z12zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2app3184z12zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2cast3192z12zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2boxzd2ref3214zc0zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl__lvtypezd2nodez12zd2default3170z12zzast_lvtypez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2setq3194z12zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2setzd2exzd23206z12zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2var3178z12zzast_lvtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_methodzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2letzd2fun3202zc0zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2closure3180z12zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2kwote3176z12zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2letzd2var3204zc0zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2jumpzd2ex3208zc0zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_lvtypez00 = BUNSPEC;
	static obj_t BGl_lvtypezd2nodez12zd2fail3198z12zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2boxzd2set3212zc0zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2sequenc3182z12zzast_lvtypez00(obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_typeofz00zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_lvtypezd2nodez12zd2makezd2bo3210zc0zzast_lvtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_lvtypezd2nodez12zd2extern3190z12zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_lvtypezd2nodez12zd2appzd2ly3186zc0zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl__lvtypezd2nodez12zc0zzast_lvtypez00(obj_t, obj_t);
	static obj_t
		BGl_lvtypezd2nodez12zd2default3170z12zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_lvtypezd2nodez12zd2atom3174z12zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
	static bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_lvtypezd2nodez12zd2default3170zd2envzc0zzast_lvtypez00,
		BgL_bgl__lvtypeza7d2nodeza713417z00,
		BGl__lvtypezd2nodez12zd2default3170z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3400z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123418z00,
		BGl_lvtypezd2nodez12zd2conditi3196z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3390z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123419z00,
		BGl_lvtypezd2nodez12zd2kwote3176z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3389z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123420z00,
		BGl_lvtypezd2nodez12zd2atom3174z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3401z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123421z00,
		BGl_lvtypezd2nodez12zd2fail3198z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3391z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123422z00,
		BGl_lvtypezd2nodez12zd2var3178z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3402z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123423z00,
		BGl_lvtypezd2nodez12zd2select3200z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3392z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123424z00,
		BGl_lvtypezd2nodez12zd2closure3180z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3403z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123425z00,
		BGl_lvtypezd2nodez12zd2letzd2fun3202zc0zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3393z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123426z00,
		BGl_lvtypezd2nodez12zd2sequenc3182z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3404z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123427z00,
		BGl_lvtypezd2nodez12zd2letzd2var3204zc0zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3394z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123428z00,
		BGl_lvtypezd2nodez12zd2app3184z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3405z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123429z00,
		BGl_lvtypezd2nodez12zd2setzd2exzd23206z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3395z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123430z00,
		BGl_lvtypezd2nodez12zd2appzd2ly3186zc0zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3406z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123431z00,
		BGl_lvtypezd2nodez12zd2jumpzd2ex3208zc0zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3396z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123432z00,
		BGl_lvtypezd2nodez12zd2funcall3188z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3407z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123433z00,
		BGl_lvtypezd2nodez12zd2makezd2bo3210zc0zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3397z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123434z00,
		BGl_lvtypezd2nodez12zd2extern3190z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3408z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123435z00,
		BGl_lvtypezd2nodez12zd2boxzd2set3212zc0zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3398z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123436z00,
		BGl_lvtypezd2nodez12zd2cast3192z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3409z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123437z00,
		BGl_lvtypezd2nodez12zd2boxzd2ref3214zc0zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3399z00zzast_lvtypez00,
		BgL_bgl_lvtypeza7d2nodeza7123438z00,
		BGl_lvtypezd2nodez12zd2setq3194z12zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3410z00zzast_lvtypez00,
		BgL_bgl_string3410za700za7za7a3439za7, "lvtype-node!", 12);
	      DEFINE_STRING(BGl_string3411z00zzast_lvtypez00,
		BgL_bgl_string3411za700za7za7a3440za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string3412z00zzast_lvtypez00,
		BgL_bgl_string3412za700za7za7a3441za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3413z00zzast_lvtypez00,
		BgL_bgl_string3413za700za7za7a3442za7, "ast_lvtype", 10);
	      DEFINE_STRING(BGl_string3414z00zzast_lvtypez00,
		BgL_bgl_string3414za700za7za7a3443za7, "lvtype-node!-default3170 ", 25);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
		BgL_bgl__lvtypeza7d2nodeza713444z00,
		BGl__lvtypezd2nodez12zc0zzast_lvtypez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long
		BgL_checksumz00_2170, char *BgL_fromz00_2171)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_lvtypez00))
				{
					BGl_requirezd2initializa7ationz75zzast_lvtypez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
					BGl_cnstzd2initzd2zzast_lvtypez00();
					BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
					BGl_methodzd2initzd2zzast_lvtypez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_lvtype");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_cportz00_2159;

				BgL_cportz00_2159 =
					bgl_open_input_string(BGl_string3414z00zzast_lvtypez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2160;

					BgL_iz00_2160 = ((long) 0);
				BgL_loopz00_2161:
					if ((BgL_iz00_2160 == ((long) -1)))
						{	/* Ast/lvtype.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Ast/lvtype.scm 16 */
							{	/* Ast/lvtype.scm 16 */
								obj_t BgL_arg3416z00_2163;

								{	/* Ast/lvtype.scm 16 */

									{	/* Ast/lvtype.scm 16 */
										obj_t BgL_locationz00_2165;

										BgL_locationz00_2165 = BBOOL(((bool_t) 0));
										{	/* Ast/lvtype.scm 16 */

											BgL_arg3416z00_2163 =
												BGl_readz00zz__readerz00(BgL_cportz00_2159,
												BgL_locationz00_2165);
										}
									}
								}
								{	/* Ast/lvtype.scm 16 */
									int BgL_auxz00_2188;

									BgL_auxz00_2188 = (int) (BgL_iz00_2160);
									CNST_TABLE_SET(BgL_auxz00_2188, BgL_arg3416z00_2163);
							}}
							{	/* Ast/lvtype.scm 16 */
								int BgL_auxz00_2166;

								BgL_auxz00_2166 = (int) ((BgL_iz00_2160 - ((long) 1)));
								{
									long BgL_iz00_2193;

									BgL_iz00_2193 = (long) (BgL_auxz00_2166);
									BgL_iz00_2160 = BgL_iz00_2193;
									goto BgL_loopz00_2161;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return BUNSPEC;
		}
	}



/* lvtype-node*! */
	bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t BgL_nodeza2za2_24)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 199 */
			{
				obj_t BgL_l3168z00_746;

				BgL_l3168z00_746 = BgL_nodeza2za2_24;
			BgL_forzd2each3169zd2_747:
				if (PAIRP(BgL_l3168z00_746))
					{	/* Ast/lvtype.scm 200 */
						{	/* Ast/lvtype.scm 200 */
							obj_t BgL_arg3216z00_749;

							BgL_arg3216z00_749 = CAR(BgL_l3168z00_746);
							{	/* Ast/lvtype.scm 200 */
								BgL_nodez00_bglt BgL_nodez00_1305;

								BgL_nodez00_1305 = (BgL_nodez00_bglt) (BgL_arg3216z00_749);
								{	/* Ast/lvtype.scm 200 */
									obj_t BgL_method3172z00_1306;

									{	/* Ast/lvtype.scm 200 */
										BgL_objectz00_bglt BgL_objz00_1307;

										BgL_objz00_1307 = (BgL_objectz00_bglt) (BgL_nodez00_1305);
										{	/* Ast/lvtype.scm 200 */
											long BgL_objzd2classzd2numz00_1308;

											BgL_objzd2classzd2numz00_1308 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1307);
											{	/* Ast/lvtype.scm 200 */
												obj_t BgL_arg2388z00_1309;

												BgL_arg2388z00_1309 =
													PROCEDURE_REF
													(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
													(int) (((long) 1)));
												{	/* Ast/lvtype.scm 200 */
													obj_t BgL_arrayz00_1311;

													int BgL_offsetz00_1312;

													BgL_arrayz00_1311 = BgL_arg2388z00_1309;
													BgL_offsetz00_1312 =
														(int) (BgL_objzd2classzd2numz00_1308);
													{	/* Ast/lvtype.scm 200 */
														long BgL_offsetz00_1313;

														BgL_offsetz00_1313 =
															((long) (BgL_offsetz00_1312) - OBJECT_TYPE);
														{	/* Ast/lvtype.scm 200 */
															long BgL_modz00_1314;

															{	/* Ast/lvtype.scm 200 */
																int BgL_arg2390z00_1315;

																BgL_arg2390z00_1315 = (int) (((long) 8));
																{	/* Ast/lvtype.scm 200 */
																	long BgL_auxz00_2207;

																	BgL_auxz00_2207 =
																		(long) (BgL_arg2390z00_1315);
																	BgL_modz00_1314 =
																		(BgL_offsetz00_1313 / BgL_auxz00_2207);
															}}
															{	/* Ast/lvtype.scm 200 */
																long BgL_restz00_1316;

																{	/* Ast/lvtype.scm 200 */
																	int BgL_arg2389z00_1317;

																	BgL_arg2389z00_1317 = (int) (((long) 8));
																	{	/* Ast/lvtype.scm 200 */
																		long BgL_auxz00_2211;

																		BgL_auxz00_2211 =
																			(long) (BgL_arg2389z00_1317);
																		BgL_restz00_1316 =
																			(BgL_offsetz00_1313 % BgL_auxz00_2211);
																}}
																{	/* Ast/lvtype.scm 200 */

																	BgL_method3172z00_1306 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1311,
																			(int) (BgL_modz00_1314)),
																		(int) (BgL_restz00_1316));
									}}}}}}}}
									PROCEDURE_ENTRY(BgL_method3172z00_1306)
										(BgL_method3172z00_1306, (obj_t) (BgL_nodez00_1305), BEOA);
						}}}
						{
							obj_t BgL_l3168z00_2221;

							BgL_l3168z00_2221 = CDR(BgL_l3168z00_746);
							BgL_l3168z00_746 = BgL_l3168z00_2221;
							goto BgL_forzd2each3169zd2_747;
						}
					}
				else
					{	/* Ast/lvtype.scm 200 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt
		BgL_variablez00_25, BgL_typez00_bglt BgL_typez00_26)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 205 */
			{	/* Ast/lvtype.scm 206 */
				obj_t BgL_ntypez00_751;

				BgL_typez00_bglt BgL_otypez00_752;

				if (((obj_t) (BgL_typez00_26) == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 206 */
						BgL_ntypez00_751 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Ast/lvtype.scm 206 */
						BgL_ntypez00_751 = (obj_t) (BgL_typez00_26);
					}
				BgL_otypez00_752 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_25))->BgL_typez00);
				if (((obj_t) (BgL_otypez00_752) == BGl_za2_za2z00zztype_cachez00))
					{
						BgL_typez00_bglt BgL_auxz00_2231;

						BgL_auxz00_2231 = (BgL_typez00_bglt) (BgL_ntypez00_751);
						return
							((((BgL_variablez00_bglt) CREF(BgL_variablez00_25))->
								BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_2231), BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 208 */
						return BFALSE;
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_lvtypezd2nodez12zd2default3170zd2envzc0zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_atomz00zzast_nodez00,
				BGl_proc3389z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_kwotez00zzast_nodez00, BGl_proc3390z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_varz00zzast_nodez00,
				BGl_proc3391z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_closurez00zzast_nodez00, BGl_proc3392z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc3393z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_appz00zzast_nodez00,
				BGl_proc3394z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3395z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_funcallz00zzast_nodez00, BGl_proc3396z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_externz00zzast_nodez00, BGl_proc3397z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_castz00zzast_nodez00,
				BGl_proc3398z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_setqz00zzast_nodez00,
				BGl_proc3399z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3400z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_failz00zzast_nodez00,
				BGl_proc3401z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_selectz00zzast_nodez00, BGl_proc3402z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3403z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3404z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3405z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3406z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3407z00zzast_lvtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3408z00zzast_lvtypez00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3409z00zzast_lvtypez00);
		}
	}



/* lvtype-node!-box-ref3214 */
	obj_t BGl_lvtypezd2nodez12zd2boxzd2ref3214zc0zzast_lvtypez00(obj_t
		BgL_envz00_2115, obj_t BgL_nodez00_2116)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 192 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1295;

				BgL_nodez00_1295 = (BgL_boxzd2refzd2_bglt) (BgL_nodez00_2116);
				{	/* Ast/lvtype.scm 193 */
					BgL_varz00_bglt BgL_arg3331z00_2039;

					BgL_arg3331z00_2039 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1295))->BgL_varz00);
					{	/* Ast/lvtype.scm 193 */
						BgL_nodez00_bglt BgL_nodez00_2041;

						BgL_nodez00_2041 = (BgL_nodez00_bglt) (BgL_arg3331z00_2039);
						{	/* Ast/lvtype.scm 193 */
							obj_t BgL_method3172z00_2042;

							{	/* Ast/lvtype.scm 193 */
								BgL_objectz00_bglt BgL_objz00_2043;

								BgL_objz00_2043 = (BgL_objectz00_bglt) (BgL_nodez00_2041);
								{	/* Ast/lvtype.scm 193 */
									long BgL_objzd2classzd2numz00_2044;

									BgL_objzd2classzd2numz00_2044 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2043);
									{	/* Ast/lvtype.scm 193 */
										obj_t BgL_arg2388z00_2045;

										BgL_arg2388z00_2045 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 193 */
											obj_t BgL_arrayz00_2047;

											int BgL_offsetz00_2048;

											BgL_arrayz00_2047 = BgL_arg2388z00_2045;
											BgL_offsetz00_2048 =
												(int) (BgL_objzd2classzd2numz00_2044);
											{	/* Ast/lvtype.scm 193 */
												long BgL_offsetz00_2049;

												BgL_offsetz00_2049 =
													((long) (BgL_offsetz00_2048) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 193 */
													long BgL_modz00_2050;

													{	/* Ast/lvtype.scm 193 */
														int BgL_arg2390z00_2051;

														BgL_arg2390z00_2051 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 193 */
															long BgL_auxz00_2266;

															BgL_auxz00_2266 = (long) (BgL_arg2390z00_2051);
															BgL_modz00_2050 =
																(BgL_offsetz00_2049 / BgL_auxz00_2266);
													}}
													{	/* Ast/lvtype.scm 193 */
														long BgL_restz00_2052;

														{	/* Ast/lvtype.scm 193 */
															int BgL_arg2389z00_2053;

															BgL_arg2389z00_2053 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 193 */
																long BgL_auxz00_2270;

																BgL_auxz00_2270 = (long) (BgL_arg2389z00_2053);
																BgL_restz00_2052 =
																	(BgL_offsetz00_2049 % BgL_auxz00_2270);
														}}
														{	/* Ast/lvtype.scm 193 */

															BgL_method3172z00_2042 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2047,
																	(int) (BgL_modz00_2050)),
																(int) (BgL_restz00_2052));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3172z00_2042) (BgL_method3172z00_2042,
								(obj_t) (BgL_nodez00_2041), BEOA);
						}
					}
				}
			}
		}
	}



/* lvtype-node!-box-set3212 */
	obj_t BGl_lvtypezd2nodez12zd2boxzd2set3212zc0zzast_lvtypez00(obj_t
		BgL_envz00_2117, obj_t BgL_nodez00_2118)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 184 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1287;

				BgL_nodez00_1287 = (BgL_boxzd2setz12zc0_bglt) (BgL_nodez00_2118);
				{	/* Ast/lvtype.scm 186 */
					BgL_varz00_bglt BgL_arg3328z00_1291;

					BgL_arg3328z00_1291 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1287))->BgL_varz00);
					{	/* Ast/lvtype.scm 186 */
						BgL_nodez00_bglt BgL_nodez00_1985;

						BgL_nodez00_1985 = (BgL_nodez00_bglt) (BgL_arg3328z00_1291);
						{	/* Ast/lvtype.scm 186 */
							obj_t BgL_method3172z00_1986;

							{	/* Ast/lvtype.scm 186 */
								BgL_objectz00_bglt BgL_objz00_1987;

								BgL_objz00_1987 = (BgL_objectz00_bglt) (BgL_nodez00_1985);
								{	/* Ast/lvtype.scm 186 */
									long BgL_objzd2classzd2numz00_1988;

									BgL_objzd2classzd2numz00_1988 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1987);
									{	/* Ast/lvtype.scm 186 */
										obj_t BgL_arg2388z00_1989;

										BgL_arg2388z00_1989 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 186 */
											obj_t BgL_arrayz00_1991;

											int BgL_offsetz00_1992;

											BgL_arrayz00_1991 = BgL_arg2388z00_1989;
											BgL_offsetz00_1992 =
												(int) (BgL_objzd2classzd2numz00_1988);
											{	/* Ast/lvtype.scm 186 */
												long BgL_offsetz00_1993;

												BgL_offsetz00_1993 =
													((long) (BgL_offsetz00_1992) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 186 */
													long BgL_modz00_1994;

													{	/* Ast/lvtype.scm 186 */
														int BgL_arg2390z00_1995;

														BgL_arg2390z00_1995 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 186 */
															long BgL_auxz00_2291;

															BgL_auxz00_2291 = (long) (BgL_arg2390z00_1995);
															BgL_modz00_1994 =
																(BgL_offsetz00_1993 / BgL_auxz00_2291);
													}}
													{	/* Ast/lvtype.scm 186 */
														long BgL_restz00_1996;

														{	/* Ast/lvtype.scm 186 */
															int BgL_arg2389z00_1997;

															BgL_arg2389z00_1997 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 186 */
																long BgL_auxz00_2295;

																BgL_auxz00_2295 = (long) (BgL_arg2389z00_1997);
																BgL_restz00_1996 =
																	(BgL_offsetz00_1993 % BgL_auxz00_2295);
														}}
														{	/* Ast/lvtype.scm 186 */

															BgL_method3172z00_1986 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1991,
																	(int) (BgL_modz00_1994)),
																(int) (BgL_restz00_1996));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3172z00_1986) (BgL_method3172z00_1986,
								(obj_t) (BgL_nodez00_1985), BEOA);
				}}}
				{	/* Ast/lvtype.scm 187 */
					BgL_nodez00_bglt BgL_arg3329z00_1292;

					BgL_arg3329z00_1292 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1287))->BgL_valuez00);
					{	/* Ast/lvtype.scm 187 */
						obj_t BgL_method3172z00_2013;

						{	/* Ast/lvtype.scm 187 */
							BgL_objectz00_bglt BgL_objz00_2014;

							BgL_objz00_2014 = (BgL_objectz00_bglt) (BgL_arg3329z00_1292);
							{	/* Ast/lvtype.scm 187 */
								long BgL_objzd2classzd2numz00_2015;

								BgL_objzd2classzd2numz00_2015 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2014);
								{	/* Ast/lvtype.scm 187 */
									obj_t BgL_arg2388z00_2016;

									BgL_arg2388z00_2016 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 187 */
										obj_t BgL_arrayz00_2018;

										int BgL_offsetz00_2019;

										BgL_arrayz00_2018 = BgL_arg2388z00_2016;
										BgL_offsetz00_2019 = (int) (BgL_objzd2classzd2numz00_2015);
										{	/* Ast/lvtype.scm 187 */
											long BgL_offsetz00_2020;

											BgL_offsetz00_2020 =
												((long) (BgL_offsetz00_2019) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 187 */
												long BgL_modz00_2021;

												{	/* Ast/lvtype.scm 187 */
													int BgL_arg2390z00_2022;

													BgL_arg2390z00_2022 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 187 */
														long BgL_auxz00_2314;

														BgL_auxz00_2314 = (long) (BgL_arg2390z00_2022);
														BgL_modz00_2021 =
															(BgL_offsetz00_2020 / BgL_auxz00_2314);
												}}
												{	/* Ast/lvtype.scm 187 */
													long BgL_restz00_2023;

													{	/* Ast/lvtype.scm 187 */
														int BgL_arg2389z00_2024;

														BgL_arg2389z00_2024 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 187 */
															long BgL_auxz00_2318;

															BgL_auxz00_2318 = (long) (BgL_arg2389z00_2024);
															BgL_restz00_2023 =
																(BgL_offsetz00_2020 % BgL_auxz00_2318);
													}}
													{	/* Ast/lvtype.scm 187 */

														BgL_method3172z00_2013 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2018,
																(int) (BgL_modz00_2021)),
															(int) (BgL_restz00_2023));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3172z00_2013) (BgL_method3172z00_2013,
							(obj_t) (BgL_arg3329z00_1292), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-make-bo3210 */
	obj_t BGl_lvtypezd2nodez12zd2makezd2bo3210zc0zzast_lvtypez00(obj_t
		BgL_envz00_2119, obj_t BgL_nodez00_2120)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 177 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1280;

				BgL_nodez00_1280 = (BgL_makezd2boxzd2_bglt) (BgL_nodez00_2120);
				{	/* Ast/lvtype.scm 178 */
					BgL_nodez00_bglt BgL_arg3326z00_1956;

					BgL_arg3326z00_1956 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1280))->BgL_valuez00);
					{	/* Ast/lvtype.scm 178 */
						obj_t BgL_method3172z00_1959;

						{	/* Ast/lvtype.scm 178 */
							BgL_objectz00_bglt BgL_objz00_1960;

							BgL_objz00_1960 = (BgL_objectz00_bglt) (BgL_arg3326z00_1956);
							{	/* Ast/lvtype.scm 178 */
								long BgL_objzd2classzd2numz00_1961;

								BgL_objzd2classzd2numz00_1961 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1960);
								{	/* Ast/lvtype.scm 178 */
									obj_t BgL_arg2388z00_1962;

									BgL_arg2388z00_1962 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 178 */
										obj_t BgL_arrayz00_1964;

										int BgL_offsetz00_1965;

										BgL_arrayz00_1964 = BgL_arg2388z00_1962;
										BgL_offsetz00_1965 = (int) (BgL_objzd2classzd2numz00_1961);
										{	/* Ast/lvtype.scm 178 */
											long BgL_offsetz00_1966;

											BgL_offsetz00_1966 =
												((long) (BgL_offsetz00_1965) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 178 */
												long BgL_modz00_1967;

												{	/* Ast/lvtype.scm 178 */
													int BgL_arg2390z00_1968;

													BgL_arg2390z00_1968 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 178 */
														long BgL_auxz00_2338;

														BgL_auxz00_2338 = (long) (BgL_arg2390z00_1968);
														BgL_modz00_1967 =
															(BgL_offsetz00_1966 / BgL_auxz00_2338);
												}}
												{	/* Ast/lvtype.scm 178 */
													long BgL_restz00_1969;

													{	/* Ast/lvtype.scm 178 */
														int BgL_arg2389z00_1970;

														BgL_arg2389z00_1970 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 178 */
															long BgL_auxz00_2342;

															BgL_auxz00_2342 = (long) (BgL_arg2389z00_1970);
															BgL_restz00_1969 =
																(BgL_offsetz00_1966 % BgL_auxz00_2342);
													}}
													{	/* Ast/lvtype.scm 178 */

														BgL_method3172z00_1959 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1964,
																(int) (BgL_modz00_1967)),
															(int) (BgL_restz00_1969));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3172z00_1959) (BgL_method3172z00_1959,
							(obj_t) (BgL_arg3326z00_1956), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-jump-ex3208 */
	obj_t BGl_lvtypezd2nodez12zd2jumpzd2ex3208zc0zzast_lvtypez00(obj_t
		BgL_envz00_2121, obj_t BgL_nodez00_2122)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 169 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1272;

				BgL_nodez00_1272 = (BgL_jumpzd2exzd2itz00_bglt) (BgL_nodez00_2122);
				{	/* Ast/lvtype.scm 171 */
					BgL_nodez00_bglt BgL_arg3323z00_1276;

					BgL_arg3323z00_1276 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1272))->
						BgL_exitz00);
					{	/* Ast/lvtype.scm 171 */
						obj_t BgL_method3172z00_1903;

						{	/* Ast/lvtype.scm 171 */
							BgL_objectz00_bglt BgL_objz00_1904;

							BgL_objz00_1904 = (BgL_objectz00_bglt) (BgL_arg3323z00_1276);
							{	/* Ast/lvtype.scm 171 */
								long BgL_objzd2classzd2numz00_1905;

								BgL_objzd2classzd2numz00_1905 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1904);
								{	/* Ast/lvtype.scm 171 */
									obj_t BgL_arg2388z00_1906;

									BgL_arg2388z00_1906 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 171 */
										obj_t BgL_arrayz00_1908;

										int BgL_offsetz00_1909;

										BgL_arrayz00_1908 = BgL_arg2388z00_1906;
										BgL_offsetz00_1909 = (int) (BgL_objzd2classzd2numz00_1905);
										{	/* Ast/lvtype.scm 171 */
											long BgL_offsetz00_1910;

											BgL_offsetz00_1910 =
												((long) (BgL_offsetz00_1909) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 171 */
												long BgL_modz00_1911;

												{	/* Ast/lvtype.scm 171 */
													int BgL_arg2390z00_1912;

													BgL_arg2390z00_1912 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 171 */
														long BgL_auxz00_2362;

														BgL_auxz00_2362 = (long) (BgL_arg2390z00_1912);
														BgL_modz00_1911 =
															(BgL_offsetz00_1910 / BgL_auxz00_2362);
												}}
												{	/* Ast/lvtype.scm 171 */
													long BgL_restz00_1913;

													{	/* Ast/lvtype.scm 171 */
														int BgL_arg2389z00_1914;

														BgL_arg2389z00_1914 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 171 */
															long BgL_auxz00_2366;

															BgL_auxz00_2366 = (long) (BgL_arg2389z00_1914);
															BgL_restz00_1913 =
																(BgL_offsetz00_1910 % BgL_auxz00_2366);
													}}
													{	/* Ast/lvtype.scm 171 */

														BgL_method3172z00_1903 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1908,
																(int) (BgL_modz00_1911)),
															(int) (BgL_restz00_1913));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3172z00_1903) (BgL_method3172z00_1903,
							(obj_t) (BgL_arg3323z00_1276), BEOA);
				}}
				{	/* Ast/lvtype.scm 172 */
					BgL_nodez00_bglt BgL_arg3324z00_1277;

					BgL_arg3324z00_1277 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1272))->
						BgL_valuez00);
					{	/* Ast/lvtype.scm 172 */
						obj_t BgL_method3172z00_1930;

						{	/* Ast/lvtype.scm 172 */
							BgL_objectz00_bglt BgL_objz00_1931;

							BgL_objz00_1931 = (BgL_objectz00_bglt) (BgL_arg3324z00_1277);
							{	/* Ast/lvtype.scm 172 */
								long BgL_objzd2classzd2numz00_1932;

								BgL_objzd2classzd2numz00_1932 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1931);
								{	/* Ast/lvtype.scm 172 */
									obj_t BgL_arg2388z00_1933;

									BgL_arg2388z00_1933 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 172 */
										obj_t BgL_arrayz00_1935;

										int BgL_offsetz00_1936;

										BgL_arrayz00_1935 = BgL_arg2388z00_1933;
										BgL_offsetz00_1936 = (int) (BgL_objzd2classzd2numz00_1932);
										{	/* Ast/lvtype.scm 172 */
											long BgL_offsetz00_1937;

											BgL_offsetz00_1937 =
												((long) (BgL_offsetz00_1936) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 172 */
												long BgL_modz00_1938;

												{	/* Ast/lvtype.scm 172 */
													int BgL_arg2390z00_1939;

													BgL_arg2390z00_1939 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 172 */
														long BgL_auxz00_2385;

														BgL_auxz00_2385 = (long) (BgL_arg2390z00_1939);
														BgL_modz00_1938 =
															(BgL_offsetz00_1937 / BgL_auxz00_2385);
												}}
												{	/* Ast/lvtype.scm 172 */
													long BgL_restz00_1940;

													{	/* Ast/lvtype.scm 172 */
														int BgL_arg2389z00_1941;

														BgL_arg2389z00_1941 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 172 */
															long BgL_auxz00_2389;

															BgL_auxz00_2389 = (long) (BgL_arg2389z00_1941);
															BgL_restz00_1940 =
																(BgL_offsetz00_1937 % BgL_auxz00_2389);
													}}
													{	/* Ast/lvtype.scm 172 */

														BgL_method3172z00_1930 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1935,
																(int) (BgL_modz00_1938)),
															(int) (BgL_restz00_1940));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3172z00_1930) (BgL_method3172z00_1930,
							(obj_t) (BgL_arg3324z00_1277), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-set-ex-3206 */
	obj_t BGl_lvtypezd2nodez12zd2setzd2exzd23206z12zzast_lvtypez00(obj_t
		BgL_envz00_2123, obj_t BgL_nodez00_2124)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 161 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1264;

				BgL_nodez00_1264 = (BgL_setzd2exzd2itz00_bglt) (BgL_nodez00_2124);
				{	/* Ast/lvtype.scm 163 */
					BgL_nodez00_bglt BgL_arg3320z00_1268;

					BgL_arg3320z00_1268 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1264))->BgL_bodyz00);
					{	/* Ast/lvtype.scm 163 */
						obj_t BgL_method3172z00_1849;

						{	/* Ast/lvtype.scm 163 */
							BgL_objectz00_bglt BgL_objz00_1850;

							BgL_objz00_1850 = (BgL_objectz00_bglt) (BgL_arg3320z00_1268);
							{	/* Ast/lvtype.scm 163 */
								long BgL_objzd2classzd2numz00_1851;

								BgL_objzd2classzd2numz00_1851 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1850);
								{	/* Ast/lvtype.scm 163 */
									obj_t BgL_arg2388z00_1852;

									BgL_arg2388z00_1852 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 163 */
										obj_t BgL_arrayz00_1854;

										int BgL_offsetz00_1855;

										BgL_arrayz00_1854 = BgL_arg2388z00_1852;
										BgL_offsetz00_1855 = (int) (BgL_objzd2classzd2numz00_1851);
										{	/* Ast/lvtype.scm 163 */
											long BgL_offsetz00_1856;

											BgL_offsetz00_1856 =
												((long) (BgL_offsetz00_1855) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 163 */
												long BgL_modz00_1857;

												{	/* Ast/lvtype.scm 163 */
													int BgL_arg2390z00_1858;

													BgL_arg2390z00_1858 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 163 */
														long BgL_auxz00_2409;

														BgL_auxz00_2409 = (long) (BgL_arg2390z00_1858);
														BgL_modz00_1857 =
															(BgL_offsetz00_1856 / BgL_auxz00_2409);
												}}
												{	/* Ast/lvtype.scm 163 */
													long BgL_restz00_1859;

													{	/* Ast/lvtype.scm 163 */
														int BgL_arg2389z00_1860;

														BgL_arg2389z00_1860 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 163 */
															long BgL_auxz00_2413;

															BgL_auxz00_2413 = (long) (BgL_arg2389z00_1860);
															BgL_restz00_1859 =
																(BgL_offsetz00_1856 % BgL_auxz00_2413);
													}}
													{	/* Ast/lvtype.scm 163 */

														BgL_method3172z00_1849 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1854,
																(int) (BgL_modz00_1857)),
															(int) (BgL_restz00_1859));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3172z00_1849) (BgL_method3172z00_1849,
							(obj_t) (BgL_arg3320z00_1268), BEOA);
				}}
				{	/* Ast/lvtype.scm 164 */
					BgL_varz00_bglt BgL_arg3321z00_1269;

					BgL_arg3321z00_1269 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1264))->BgL_varz00);
					{	/* Ast/lvtype.scm 164 */
						BgL_nodez00_bglt BgL_nodez00_1875;

						BgL_nodez00_1875 = (BgL_nodez00_bglt) (BgL_arg3321z00_1269);
						{	/* Ast/lvtype.scm 164 */
							obj_t BgL_method3172z00_1876;

							{	/* Ast/lvtype.scm 164 */
								BgL_objectz00_bglt BgL_objz00_1877;

								BgL_objz00_1877 = (BgL_objectz00_bglt) (BgL_nodez00_1875);
								{	/* Ast/lvtype.scm 164 */
									long BgL_objzd2classzd2numz00_1878;

									BgL_objzd2classzd2numz00_1878 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1877);
									{	/* Ast/lvtype.scm 164 */
										obj_t BgL_arg2388z00_1879;

										BgL_arg2388z00_1879 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 164 */
											obj_t BgL_arrayz00_1881;

											int BgL_offsetz00_1882;

											BgL_arrayz00_1881 = BgL_arg2388z00_1879;
											BgL_offsetz00_1882 =
												(int) (BgL_objzd2classzd2numz00_1878);
											{	/* Ast/lvtype.scm 164 */
												long BgL_offsetz00_1883;

												BgL_offsetz00_1883 =
													((long) (BgL_offsetz00_1882) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 164 */
													long BgL_modz00_1884;

													{	/* Ast/lvtype.scm 164 */
														int BgL_arg2390z00_1885;

														BgL_arg2390z00_1885 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 164 */
															long BgL_auxz00_2433;

															BgL_auxz00_2433 = (long) (BgL_arg2390z00_1885);
															BgL_modz00_1884 =
																(BgL_offsetz00_1883 / BgL_auxz00_2433);
													}}
													{	/* Ast/lvtype.scm 164 */
														long BgL_restz00_1886;

														{	/* Ast/lvtype.scm 164 */
															int BgL_arg2389z00_1887;

															BgL_arg2389z00_1887 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 164 */
																long BgL_auxz00_2437;

																BgL_auxz00_2437 = (long) (BgL_arg2389z00_1887);
																BgL_restz00_1886 =
																	(BgL_offsetz00_1883 % BgL_auxz00_2437);
														}}
														{	/* Ast/lvtype.scm 164 */

															BgL_method3172z00_1876 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1881,
																	(int) (BgL_modz00_1884)),
																(int) (BgL_restz00_1886));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3172z00_1876) (BgL_method3172z00_1876,
								(obj_t) (BgL_nodez00_1875), BEOA);
						}
					}
				}
			}
		}
	}



/* lvtype-node!-let-var3204 */
	obj_t BGl_lvtypezd2nodez12zd2letzd2var3204zc0zzast_lvtypez00(obj_t
		BgL_envz00_2125, obj_t BgL_nodez00_2126)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 148 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1248;

				BgL_nodez00_1248 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_2126);
				{	/* Ast/lvtype.scm 150 */
					obj_t BgL_g3167z00_1252;

					BgL_g3167z00_1252 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1248))->BgL_bindingsz00);
					{
						obj_t BgL_l3156z00_1253;

						BgL_l3156z00_1253 = BgL_g3167z00_1252;
					BgL_forzd2each3166zd2_1254:
						if (PAIRP(BgL_l3156z00_1253))
							{	/* Ast/lvtype.scm 150 */
								{	/* Ast/lvtype.scm 151 */
									obj_t BgL_bindingz00_1256;

									BgL_bindingz00_1256 = CAR(BgL_l3156z00_1253);
									{	/* Ast/lvtype.scm 151 */
										obj_t BgL_varz00_1257;

										obj_t BgL_valz00_1258;

										BgL_varz00_1257 = CAR(BgL_bindingz00_1256);
										BgL_valz00_1258 = CDR(BgL_bindingz00_1256);
										{	/* Ast/lvtype.scm 153 */
											BgL_nodez00_bglt BgL_nodez00_1793;

											BgL_nodez00_1793 = (BgL_nodez00_bglt) (BgL_valz00_1258);
											{	/* Ast/lvtype.scm 153 */
												obj_t BgL_method3172z00_1794;

												{	/* Ast/lvtype.scm 153 */
													BgL_objectz00_bglt BgL_objz00_1795;

													BgL_objz00_1795 =
														(BgL_objectz00_bglt) (BgL_nodez00_1793);
													{	/* Ast/lvtype.scm 153 */
														long BgL_objzd2classzd2numz00_1796;

														BgL_objzd2classzd2numz00_1796 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1795);
														{	/* Ast/lvtype.scm 153 */
															obj_t BgL_arg2388z00_1797;

															BgL_arg2388z00_1797 =
																PROCEDURE_REF
																(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
																(int) (((long) 1)));
															{	/* Ast/lvtype.scm 153 */
																obj_t BgL_arrayz00_1799;

																int BgL_offsetz00_1800;

																BgL_arrayz00_1799 = BgL_arg2388z00_1797;
																BgL_offsetz00_1800 =
																	(int) (BgL_objzd2classzd2numz00_1796);
																{	/* Ast/lvtype.scm 153 */
																	long BgL_offsetz00_1801;

																	BgL_offsetz00_1801 =
																		((long) (BgL_offsetz00_1800) - OBJECT_TYPE);
																	{	/* Ast/lvtype.scm 153 */
																		long BgL_modz00_1802;

																		{	/* Ast/lvtype.scm 153 */
																			int BgL_arg2390z00_1803;

																			BgL_arg2390z00_1803 = (int) (((long) 8));
																			{	/* Ast/lvtype.scm 153 */
																				long BgL_auxz00_2463;

																				BgL_auxz00_2463 =
																					(long) (BgL_arg2390z00_1803);
																				BgL_modz00_1802 =
																					(BgL_offsetz00_1801 /
																					BgL_auxz00_2463);
																		}}
																		{	/* Ast/lvtype.scm 153 */
																			long BgL_restz00_1804;

																			{	/* Ast/lvtype.scm 153 */
																				int BgL_arg2389z00_1805;

																				BgL_arg2389z00_1805 =
																					(int) (((long) 8));
																				{	/* Ast/lvtype.scm 153 */
																					long BgL_auxz00_2467;

																					BgL_auxz00_2467 =
																						(long) (BgL_arg2389z00_1805);
																					BgL_restz00_1804 =
																						(BgL_offsetz00_1801 %
																						BgL_auxz00_2467);
																			}}
																			{	/* Ast/lvtype.scm 153 */

																				BgL_method3172z00_1794 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1799,
																						(int) (BgL_modz00_1802)),
																					(int) (BgL_restz00_1804));
												}}}}}}}}
												PROCEDURE_ENTRY(BgL_method3172z00_1794)
													(BgL_method3172z00_1794, (obj_t) (BgL_nodez00_1793),
													BEOA);
										}}
										BGl_setzd2variablezd2typez12z12zzast_lvtypez00(
											(BgL_variablez00_bglt) (BgL_varz00_1257),
											BGl_typeofz00zztype_typeofz00(
												(BgL_nodez00_bglt) (BgL_valz00_1258)));
								}}
								{
									obj_t BgL_l3156z00_2481;

									BgL_l3156z00_2481 = CDR(BgL_l3156z00_1253);
									BgL_l3156z00_1253 = BgL_l3156z00_2481;
									goto BgL_forzd2each3166zd2_1254;
								}
							}
						else
							{	/* Ast/lvtype.scm 150 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/lvtype.scm 156 */
					BgL_nodez00_bglt BgL_arg3318z00_1261;

					BgL_arg3318z00_1261 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1248))->BgL_bodyz00);
					{	/* Ast/lvtype.scm 156 */
						obj_t BgL_method3172z00_1822;

						{	/* Ast/lvtype.scm 156 */
							BgL_objectz00_bglt BgL_objz00_1823;

							BgL_objz00_1823 = (BgL_objectz00_bglt) (BgL_arg3318z00_1261);
							{	/* Ast/lvtype.scm 156 */
								long BgL_objzd2classzd2numz00_1824;

								BgL_objzd2classzd2numz00_1824 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1823);
								{	/* Ast/lvtype.scm 156 */
									obj_t BgL_arg2388z00_1825;

									BgL_arg2388z00_1825 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 156 */
										obj_t BgL_arrayz00_1827;

										int BgL_offsetz00_1828;

										BgL_arrayz00_1827 = BgL_arg2388z00_1825;
										BgL_offsetz00_1828 = (int) (BgL_objzd2classzd2numz00_1824);
										{	/* Ast/lvtype.scm 156 */
											long BgL_offsetz00_1829;

											BgL_offsetz00_1829 =
												((long) (BgL_offsetz00_1828) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 156 */
												long BgL_modz00_1830;

												{	/* Ast/lvtype.scm 156 */
													int BgL_arg2390z00_1831;

													BgL_arg2390z00_1831 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 156 */
														long BgL_auxz00_2492;

														BgL_auxz00_2492 = (long) (BgL_arg2390z00_1831);
														BgL_modz00_1830 =
															(BgL_offsetz00_1829 / BgL_auxz00_2492);
												}}
												{	/* Ast/lvtype.scm 156 */
													long BgL_restz00_1832;

													{	/* Ast/lvtype.scm 156 */
														int BgL_arg2389z00_1833;

														BgL_arg2389z00_1833 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 156 */
															long BgL_auxz00_2496;

															BgL_auxz00_2496 = (long) (BgL_arg2389z00_1833);
															BgL_restz00_1832 =
																(BgL_offsetz00_1829 % BgL_auxz00_2496);
													}}
													{	/* Ast/lvtype.scm 156 */

														BgL_method3172z00_1822 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1827,
																(int) (BgL_modz00_1830)),
															(int) (BgL_restz00_1832));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3172z00_1822) (BgL_method3172z00_1822,
							(obj_t) (BgL_arg3318z00_1261), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-let-fun3202 */
	obj_t BGl_lvtypezd2nodez12zd2letzd2fun3202zc0zzast_lvtypez00(obj_t
		BgL_envz00_2127, obj_t BgL_nodez00_2128)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 138 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1233;

				BgL_nodez00_1233 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_2128);
				{	/* Ast/lvtype.scm 140 */
					obj_t BgL_g3155z00_1237;

					BgL_g3155z00_1237 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1233))->BgL_localsz00);
					{
						obj_t BgL_l3152z00_1238;

						BgL_l3152z00_1238 = BgL_g3155z00_1237;
					BgL_forzd2each3154zd2_1239:
						if (PAIRP(BgL_l3152z00_1238))
							{	/* Ast/lvtype.scm 140 */
								{	/* Ast/lvtype.scm 141 */
									obj_t BgL_localz00_1241;

									BgL_localz00_1241 = CAR(BgL_l3152z00_1238);
									{	/* Ast/lvtype.scm 141 */
										obj_t BgL_arg3310z00_1242;

										{	/* Ast/lvtype.scm 141 */
											BgL_sfunz00_bglt BgL_obj1758z00_1733;

											{	/* Ast/lvtype.scm 141 */
												BgL_variablez00_bglt BgL_obj1486z00_1732;

												BgL_obj1486z00_1732 =
													(BgL_variablez00_bglt) (BgL_localz00_1241);
												BgL_obj1758z00_1733 =
													(BgL_sfunz00_bglt) (
													(((BgL_variablez00_bglt) CREF(BgL_obj1486z00_1732))->
														BgL_valuez00));
											}
											BgL_arg3310z00_1242 =
												(((BgL_sfunz00_bglt) CREF(BgL_obj1758z00_1733))->
												BgL_bodyz00);
										}
										{	/* Ast/lvtype.scm 141 */
											BgL_nodez00_bglt BgL_nodez00_1734;

											BgL_nodez00_1734 =
												(BgL_nodez00_bglt) (BgL_arg3310z00_1242);
											{	/* Ast/lvtype.scm 141 */
												obj_t BgL_method3172z00_1735;

												{	/* Ast/lvtype.scm 141 */
													BgL_objectz00_bglt BgL_objz00_1736;

													BgL_objz00_1736 =
														(BgL_objectz00_bglt) (BgL_nodez00_1734);
													{	/* Ast/lvtype.scm 141 */
														long BgL_objzd2classzd2numz00_1737;

														BgL_objzd2classzd2numz00_1737 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1736);
														{	/* Ast/lvtype.scm 141 */
															obj_t BgL_arg2388z00_1738;

															BgL_arg2388z00_1738 =
																PROCEDURE_REF
																(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
																(int) (((long) 1)));
															{	/* Ast/lvtype.scm 141 */
																obj_t BgL_arrayz00_1740;

																int BgL_offsetz00_1741;

																BgL_arrayz00_1740 = BgL_arg2388z00_1738;
																BgL_offsetz00_1741 =
																	(int) (BgL_objzd2classzd2numz00_1737);
																{	/* Ast/lvtype.scm 141 */
																	long BgL_offsetz00_1742;

																	BgL_offsetz00_1742 =
																		((long) (BgL_offsetz00_1741) - OBJECT_TYPE);
																	{	/* Ast/lvtype.scm 141 */
																		long BgL_modz00_1743;

																		{	/* Ast/lvtype.scm 141 */
																			int BgL_arg2390z00_1744;

																			BgL_arg2390z00_1744 = (int) (((long) 8));
																			{	/* Ast/lvtype.scm 141 */
																				long BgL_auxz00_2524;

																				BgL_auxz00_2524 =
																					(long) (BgL_arg2390z00_1744);
																				BgL_modz00_1743 =
																					(BgL_offsetz00_1742 /
																					BgL_auxz00_2524);
																		}}
																		{	/* Ast/lvtype.scm 141 */
																			long BgL_restz00_1745;

																			{	/* Ast/lvtype.scm 141 */
																				int BgL_arg2389z00_1746;

																				BgL_arg2389z00_1746 =
																					(int) (((long) 8));
																				{	/* Ast/lvtype.scm 141 */
																					long BgL_auxz00_2528;

																					BgL_auxz00_2528 =
																						(long) (BgL_arg2389z00_1746);
																					BgL_restz00_1745 =
																						(BgL_offsetz00_1742 %
																						BgL_auxz00_2528);
																			}}
																			{	/* Ast/lvtype.scm 141 */

																				BgL_method3172z00_1735 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1740,
																						(int) (BgL_modz00_1743)),
																					(int) (BgL_restz00_1745));
												}}}}}}}}
												PROCEDURE_ENTRY(BgL_method3172z00_1735)
													(BgL_method3172z00_1735, (obj_t) (BgL_nodez00_1734),
													BEOA);
								}}}}
								{
									obj_t BgL_l3152z00_2538;

									BgL_l3152z00_2538 = CDR(BgL_l3152z00_1238);
									BgL_l3152z00_1238 = BgL_l3152z00_2538;
									goto BgL_forzd2each3154zd2_1239;
								}
							}
						else
							{	/* Ast/lvtype.scm 140 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/lvtype.scm 143 */
					BgL_nodez00_bglt BgL_arg3313z00_1245;

					BgL_arg3313z00_1245 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1233))->BgL_bodyz00);
					{	/* Ast/lvtype.scm 143 */
						obj_t BgL_method3172z00_1763;

						{	/* Ast/lvtype.scm 143 */
							BgL_objectz00_bglt BgL_objz00_1764;

							BgL_objz00_1764 = (BgL_objectz00_bglt) (BgL_arg3313z00_1245);
							{	/* Ast/lvtype.scm 143 */
								long BgL_objzd2classzd2numz00_1765;

								BgL_objzd2classzd2numz00_1765 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1764);
								{	/* Ast/lvtype.scm 143 */
									obj_t BgL_arg2388z00_1766;

									BgL_arg2388z00_1766 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 143 */
										obj_t BgL_arrayz00_1768;

										int BgL_offsetz00_1769;

										BgL_arrayz00_1768 = BgL_arg2388z00_1766;
										BgL_offsetz00_1769 = (int) (BgL_objzd2classzd2numz00_1765);
										{	/* Ast/lvtype.scm 143 */
											long BgL_offsetz00_1770;

											BgL_offsetz00_1770 =
												((long) (BgL_offsetz00_1769) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 143 */
												long BgL_modz00_1771;

												{	/* Ast/lvtype.scm 143 */
													int BgL_arg2390z00_1772;

													BgL_arg2390z00_1772 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 143 */
														long BgL_auxz00_2549;

														BgL_auxz00_2549 = (long) (BgL_arg2390z00_1772);
														BgL_modz00_1771 =
															(BgL_offsetz00_1770 / BgL_auxz00_2549);
												}}
												{	/* Ast/lvtype.scm 143 */
													long BgL_restz00_1773;

													{	/* Ast/lvtype.scm 143 */
														int BgL_arg2389z00_1774;

														BgL_arg2389z00_1774 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 143 */
															long BgL_auxz00_2553;

															BgL_auxz00_2553 = (long) (BgL_arg2389z00_1774);
															BgL_restz00_1773 =
																(BgL_offsetz00_1770 % BgL_auxz00_2553);
													}}
													{	/* Ast/lvtype.scm 143 */

														BgL_method3172z00_1763 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1768,
																(int) (BgL_modz00_1771)),
															(int) (BgL_restz00_1773));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3172z00_1763) (BgL_method3172z00_1763,
							(obj_t) (BgL_arg3313z00_1245), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-select3200 */
	obj_t BGl_lvtypezd2nodez12zd2select3200z12zzast_lvtypez00(obj_t
		BgL_envz00_2129, obj_t BgL_nodez00_2130)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 128 */
			{
				BgL_selectz00_bglt BgL_nodez00_1219;

				{	/* Ast/lvtype.scm 129 */
					bool_t BgL_auxz00_2564;

					BgL_nodez00_1219 = (BgL_selectz00_bglt) (BgL_nodez00_2130);
					{	/* Ast/lvtype.scm 130 */
						BgL_nodez00_bglt BgL_arg3304z00_1223;

						BgL_arg3304z00_1223 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1219))->BgL_testz00);
						{	/* Ast/lvtype.scm 130 */
							obj_t BgL_method3172z00_1673;

							{	/* Ast/lvtype.scm 130 */
								BgL_objectz00_bglt BgL_objz00_1674;

								BgL_objz00_1674 = (BgL_objectz00_bglt) (BgL_arg3304z00_1223);
								{	/* Ast/lvtype.scm 130 */
									long BgL_objzd2classzd2numz00_1675;

									BgL_objzd2classzd2numz00_1675 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1674);
									{	/* Ast/lvtype.scm 130 */
										obj_t BgL_arg2388z00_1676;

										BgL_arg2388z00_1676 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 130 */
											obj_t BgL_arrayz00_1678;

											int BgL_offsetz00_1679;

											BgL_arrayz00_1678 = BgL_arg2388z00_1676;
											BgL_offsetz00_1679 =
												(int) (BgL_objzd2classzd2numz00_1675);
											{	/* Ast/lvtype.scm 130 */
												long BgL_offsetz00_1680;

												BgL_offsetz00_1680 =
													((long) (BgL_offsetz00_1679) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 130 */
													long BgL_modz00_1681;

													{	/* Ast/lvtype.scm 130 */
														int BgL_arg2390z00_1682;

														BgL_arg2390z00_1682 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 130 */
															long BgL_auxz00_2574;

															BgL_auxz00_2574 = (long) (BgL_arg2390z00_1682);
															BgL_modz00_1681 =
																(BgL_offsetz00_1680 / BgL_auxz00_2574);
													}}
													{	/* Ast/lvtype.scm 130 */
														long BgL_restz00_1683;

														{	/* Ast/lvtype.scm 130 */
															int BgL_arg2389z00_1684;

															BgL_arg2389z00_1684 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 130 */
																long BgL_auxz00_2578;

																BgL_auxz00_2578 = (long) (BgL_arg2389z00_1684);
																BgL_restz00_1683 =
																	(BgL_offsetz00_1680 % BgL_auxz00_2578);
														}}
														{	/* Ast/lvtype.scm 130 */

															BgL_method3172z00_1673 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1678,
																	(int) (BgL_modz00_1681)),
																(int) (BgL_restz00_1683));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3172z00_1673) (BgL_method3172z00_1673,
								(obj_t) (BgL_arg3304z00_1223), BEOA);
					}}
					{	/* Ast/lvtype.scm 131 */
						obj_t BgL_g3151z00_1224;

						BgL_g3151z00_1224 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1219))->BgL_clausesz00);
						{
							obj_t BgL_l3149z00_1225;

							BgL_l3149z00_1225 = BgL_g3151z00_1224;
						BgL_forzd2each3150zd2_1226:
							if (PAIRP(BgL_l3149z00_1225))
								{	/* Ast/lvtype.scm 131 */
									{	/* Ast/lvtype.scm 132 */
										obj_t BgL_clausez00_1228;

										BgL_clausez00_1228 = CAR(BgL_l3149z00_1225);
										{	/* Ast/lvtype.scm 132 */
											obj_t BgL_arg3306z00_1229;

											BgL_arg3306z00_1229 = CDR(BgL_clausez00_1228);
											{	/* Ast/lvtype.scm 132 */
												BgL_nodez00_bglt BgL_nodez00_1702;

												BgL_nodez00_1702 =
													(BgL_nodez00_bglt) (BgL_arg3306z00_1229);
												{	/* Ast/lvtype.scm 132 */
													obj_t BgL_method3172z00_1703;

													{	/* Ast/lvtype.scm 132 */
														BgL_objectz00_bglt BgL_objz00_1704;

														BgL_objz00_1704 =
															(BgL_objectz00_bglt) (BgL_nodez00_1702);
														{	/* Ast/lvtype.scm 132 */
															long BgL_objzd2classzd2numz00_1705;

															BgL_objzd2classzd2numz00_1705 =
																BGL_OBJECT_CLASS_NUM(BgL_objz00_1704);
															{	/* Ast/lvtype.scm 132 */
																obj_t BgL_arg2388z00_1706;

																BgL_arg2388z00_1706 =
																	PROCEDURE_REF
																	(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
																	(int) (((long) 1)));
																{	/* Ast/lvtype.scm 132 */
																	obj_t BgL_arrayz00_1708;

																	int BgL_offsetz00_1709;

																	BgL_arrayz00_1708 = BgL_arg2388z00_1706;
																	BgL_offsetz00_1709 =
																		(int) (BgL_objzd2classzd2numz00_1705);
																	{	/* Ast/lvtype.scm 132 */
																		long BgL_offsetz00_1710;

																		BgL_offsetz00_1710 =
																			(
																			(long) (BgL_offsetz00_1709) -
																			OBJECT_TYPE);
																		{	/* Ast/lvtype.scm 132 */
																			long BgL_modz00_1711;

																			{	/* Ast/lvtype.scm 132 */
																				int BgL_arg2390z00_1712;

																				BgL_arg2390z00_1712 =
																					(int) (((long) 8));
																				{	/* Ast/lvtype.scm 132 */
																					long BgL_auxz00_2602;

																					BgL_auxz00_2602 =
																						(long) (BgL_arg2390z00_1712);
																					BgL_modz00_1711 =
																						(BgL_offsetz00_1710 /
																						BgL_auxz00_2602);
																			}}
																			{	/* Ast/lvtype.scm 132 */
																				long BgL_restz00_1713;

																				{	/* Ast/lvtype.scm 132 */
																					int BgL_arg2389z00_1714;

																					BgL_arg2389z00_1714 =
																						(int) (((long) 8));
																					{	/* Ast/lvtype.scm 132 */
																						long BgL_auxz00_2606;

																						BgL_auxz00_2606 =
																							(long) (BgL_arg2389z00_1714);
																						BgL_restz00_1713 =
																							(BgL_offsetz00_1710 %
																							BgL_auxz00_2606);
																				}}
																				{	/* Ast/lvtype.scm 132 */

																					BgL_method3172z00_1703 =
																						VECTOR_REF(VECTOR_REF
																						(BgL_arrayz00_1708,
																							(int) (BgL_modz00_1711)),
																						(int) (BgL_restz00_1713));
													}}}}}}}}
													PROCEDURE_ENTRY(BgL_method3172z00_1703)
														(BgL_method3172z00_1703, (obj_t) (BgL_nodez00_1702),
														BEOA);
									}}}}
									{
										obj_t BgL_l3149z00_2616;

										BgL_l3149z00_2616 = CDR(BgL_l3149z00_1225);
										BgL_l3149z00_1225 = BgL_l3149z00_2616;
										goto BgL_forzd2each3150zd2_1226;
									}
								}
							else
								{	/* Ast/lvtype.scm 131 */
									BgL_auxz00_2564 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2564);
				}
			}
		}
	}



/* lvtype-node!-fail3198 */
	obj_t BGl_lvtypezd2nodez12zd2fail3198z12zzast_lvtypez00(obj_t BgL_envz00_2131,
		obj_t BgL_nodez00_2132)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 119 */
			{
				BgL_failz00_bglt BgL_nodez00_1210;

				BgL_nodez00_1210 = (BgL_failz00_bglt) (BgL_nodez00_2132);
				{	/* Ast/lvtype.scm 121 */
					BgL_nodez00_bglt BgL_arg3300z00_1214;

					BgL_arg3300z00_1214 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1210))->BgL_procz00);
					{	/* Ast/lvtype.scm 121 */
						obj_t BgL_method3172z00_1592;

						{	/* Ast/lvtype.scm 121 */
							BgL_objectz00_bglt BgL_objz00_1593;

							BgL_objz00_1593 = (BgL_objectz00_bglt) (BgL_arg3300z00_1214);
							{	/* Ast/lvtype.scm 121 */
								long BgL_objzd2classzd2numz00_1594;

								BgL_objzd2classzd2numz00_1594 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1593);
								{	/* Ast/lvtype.scm 121 */
									obj_t BgL_arg2388z00_1595;

									BgL_arg2388z00_1595 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 121 */
										obj_t BgL_arrayz00_1597;

										int BgL_offsetz00_1598;

										BgL_arrayz00_1597 = BgL_arg2388z00_1595;
										BgL_offsetz00_1598 = (int) (BgL_objzd2classzd2numz00_1594);
										{	/* Ast/lvtype.scm 121 */
											long BgL_offsetz00_1599;

											BgL_offsetz00_1599 =
												((long) (BgL_offsetz00_1598) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 121 */
												long BgL_modz00_1600;

												{	/* Ast/lvtype.scm 121 */
													int BgL_arg2390z00_1601;

													BgL_arg2390z00_1601 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 121 */
														long BgL_auxz00_2629;

														BgL_auxz00_2629 = (long) (BgL_arg2390z00_1601);
														BgL_modz00_1600 =
															(BgL_offsetz00_1599 / BgL_auxz00_2629);
												}}
												{	/* Ast/lvtype.scm 121 */
													long BgL_restz00_1602;

													{	/* Ast/lvtype.scm 121 */
														int BgL_arg2389z00_1603;

														BgL_arg2389z00_1603 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 121 */
															long BgL_auxz00_2633;

															BgL_auxz00_2633 = (long) (BgL_arg2389z00_1603);
															BgL_restz00_1602 =
																(BgL_offsetz00_1599 % BgL_auxz00_2633);
													}}
													{	/* Ast/lvtype.scm 121 */

														BgL_method3172z00_1592 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1597,
																(int) (BgL_modz00_1600)),
															(int) (BgL_restz00_1602));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3172z00_1592) (BgL_method3172z00_1592,
							(obj_t) (BgL_arg3300z00_1214), BEOA);
				}}
				{	/* Ast/lvtype.scm 122 */
					BgL_nodez00_bglt BgL_arg3301z00_1215;

					BgL_arg3301z00_1215 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1210))->BgL_msgz00);
					{	/* Ast/lvtype.scm 122 */
						obj_t BgL_method3172z00_1619;

						{	/* Ast/lvtype.scm 122 */
							BgL_objectz00_bglt BgL_objz00_1620;

							BgL_objz00_1620 = (BgL_objectz00_bglt) (BgL_arg3301z00_1215);
							{	/* Ast/lvtype.scm 122 */
								long BgL_objzd2classzd2numz00_1621;

								BgL_objzd2classzd2numz00_1621 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1620);
								{	/* Ast/lvtype.scm 122 */
									obj_t BgL_arg2388z00_1622;

									BgL_arg2388z00_1622 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 122 */
										obj_t BgL_arrayz00_1624;

										int BgL_offsetz00_1625;

										BgL_arrayz00_1624 = BgL_arg2388z00_1622;
										BgL_offsetz00_1625 = (int) (BgL_objzd2classzd2numz00_1621);
										{	/* Ast/lvtype.scm 122 */
											long BgL_offsetz00_1626;

											BgL_offsetz00_1626 =
												((long) (BgL_offsetz00_1625) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 122 */
												long BgL_modz00_1627;

												{	/* Ast/lvtype.scm 122 */
													int BgL_arg2390z00_1628;

													BgL_arg2390z00_1628 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 122 */
														long BgL_auxz00_2652;

														BgL_auxz00_2652 = (long) (BgL_arg2390z00_1628);
														BgL_modz00_1627 =
															(BgL_offsetz00_1626 / BgL_auxz00_2652);
												}}
												{	/* Ast/lvtype.scm 122 */
													long BgL_restz00_1629;

													{	/* Ast/lvtype.scm 122 */
														int BgL_arg2389z00_1630;

														BgL_arg2389z00_1630 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 122 */
															long BgL_auxz00_2656;

															BgL_auxz00_2656 = (long) (BgL_arg2389z00_1630);
															BgL_restz00_1629 =
																(BgL_offsetz00_1626 % BgL_auxz00_2656);
													}}
													{	/* Ast/lvtype.scm 122 */

														BgL_method3172z00_1619 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1624,
																(int) (BgL_modz00_1627)),
															(int) (BgL_restz00_1629));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3172z00_1619) (BgL_method3172z00_1619,
							(obj_t) (BgL_arg3301z00_1215), BEOA);
				}}
				{	/* Ast/lvtype.scm 123 */
					BgL_nodez00_bglt BgL_arg3302z00_1216;

					BgL_arg3302z00_1216 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1210))->BgL_objz00);
					{	/* Ast/lvtype.scm 123 */
						obj_t BgL_method3172z00_1646;

						{	/* Ast/lvtype.scm 123 */
							BgL_objectz00_bglt BgL_objz00_1647;

							BgL_objz00_1647 = (BgL_objectz00_bglt) (BgL_arg3302z00_1216);
							{	/* Ast/lvtype.scm 123 */
								long BgL_objzd2classzd2numz00_1648;

								BgL_objzd2classzd2numz00_1648 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1647);
								{	/* Ast/lvtype.scm 123 */
									obj_t BgL_arg2388z00_1649;

									BgL_arg2388z00_1649 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 123 */
										obj_t BgL_arrayz00_1651;

										int BgL_offsetz00_1652;

										BgL_arrayz00_1651 = BgL_arg2388z00_1649;
										BgL_offsetz00_1652 = (int) (BgL_objzd2classzd2numz00_1648);
										{	/* Ast/lvtype.scm 123 */
											long BgL_offsetz00_1653;

											BgL_offsetz00_1653 =
												((long) (BgL_offsetz00_1652) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 123 */
												long BgL_modz00_1654;

												{	/* Ast/lvtype.scm 123 */
													int BgL_arg2390z00_1655;

													BgL_arg2390z00_1655 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 123 */
														long BgL_auxz00_2675;

														BgL_auxz00_2675 = (long) (BgL_arg2390z00_1655);
														BgL_modz00_1654 =
															(BgL_offsetz00_1653 / BgL_auxz00_2675);
												}}
												{	/* Ast/lvtype.scm 123 */
													long BgL_restz00_1656;

													{	/* Ast/lvtype.scm 123 */
														int BgL_arg2389z00_1657;

														BgL_arg2389z00_1657 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 123 */
															long BgL_auxz00_2679;

															BgL_auxz00_2679 = (long) (BgL_arg2389z00_1657);
															BgL_restz00_1656 =
																(BgL_offsetz00_1653 % BgL_auxz00_2679);
													}}
													{	/* Ast/lvtype.scm 123 */

														BgL_method3172z00_1646 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1651,
																(int) (BgL_modz00_1654)),
															(int) (BgL_restz00_1656));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3172z00_1646) (BgL_method3172z00_1646,
							(obj_t) (BgL_arg3302z00_1216), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-conditi3196 */
	obj_t BGl_lvtypezd2nodez12zd2conditi3196z12zzast_lvtypez00(obj_t
		BgL_envz00_2133, obj_t BgL_nodez00_2134)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 110 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1201;

				BgL_nodez00_1201 = (BgL_conditionalz00_bglt) (BgL_nodez00_2134);
				{	/* Ast/lvtype.scm 112 */
					BgL_nodez00_bglt BgL_arg3296z00_1205;

					BgL_arg3296z00_1205 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1201))->BgL_testz00);
					{	/* Ast/lvtype.scm 112 */
						obj_t BgL_method3172z00_1511;

						{	/* Ast/lvtype.scm 112 */
							BgL_objectz00_bglt BgL_objz00_1512;

							BgL_objz00_1512 = (BgL_objectz00_bglt) (BgL_arg3296z00_1205);
							{	/* Ast/lvtype.scm 112 */
								long BgL_objzd2classzd2numz00_1513;

								BgL_objzd2classzd2numz00_1513 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1512);
								{	/* Ast/lvtype.scm 112 */
									obj_t BgL_arg2388z00_1514;

									BgL_arg2388z00_1514 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 112 */
										obj_t BgL_arrayz00_1516;

										int BgL_offsetz00_1517;

										BgL_arrayz00_1516 = BgL_arg2388z00_1514;
										BgL_offsetz00_1517 = (int) (BgL_objzd2classzd2numz00_1513);
										{	/* Ast/lvtype.scm 112 */
											long BgL_offsetz00_1518;

											BgL_offsetz00_1518 =
												((long) (BgL_offsetz00_1517) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 112 */
												long BgL_modz00_1519;

												{	/* Ast/lvtype.scm 112 */
													int BgL_arg2390z00_1520;

													BgL_arg2390z00_1520 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 112 */
														long BgL_auxz00_2699;

														BgL_auxz00_2699 = (long) (BgL_arg2390z00_1520);
														BgL_modz00_1519 =
															(BgL_offsetz00_1518 / BgL_auxz00_2699);
												}}
												{	/* Ast/lvtype.scm 112 */
													long BgL_restz00_1521;

													{	/* Ast/lvtype.scm 112 */
														int BgL_arg2389z00_1522;

														BgL_arg2389z00_1522 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 112 */
															long BgL_auxz00_2703;

															BgL_auxz00_2703 = (long) (BgL_arg2389z00_1522);
															BgL_restz00_1521 =
																(BgL_offsetz00_1518 % BgL_auxz00_2703);
													}}
													{	/* Ast/lvtype.scm 112 */

														BgL_method3172z00_1511 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1516,
																(int) (BgL_modz00_1519)),
															(int) (BgL_restz00_1521));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3172z00_1511) (BgL_method3172z00_1511,
							(obj_t) (BgL_arg3296z00_1205), BEOA);
				}}
				{	/* Ast/lvtype.scm 113 */
					BgL_nodez00_bglt BgL_arg3297z00_1206;

					BgL_arg3297z00_1206 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1201))->BgL_truez00);
					{	/* Ast/lvtype.scm 113 */
						obj_t BgL_method3172z00_1538;

						{	/* Ast/lvtype.scm 113 */
							BgL_objectz00_bglt BgL_objz00_1539;

							BgL_objz00_1539 = (BgL_objectz00_bglt) (BgL_arg3297z00_1206);
							{	/* Ast/lvtype.scm 113 */
								long BgL_objzd2classzd2numz00_1540;

								BgL_objzd2classzd2numz00_1540 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1539);
								{	/* Ast/lvtype.scm 113 */
									obj_t BgL_arg2388z00_1541;

									BgL_arg2388z00_1541 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 113 */
										obj_t BgL_arrayz00_1543;

										int BgL_offsetz00_1544;

										BgL_arrayz00_1543 = BgL_arg2388z00_1541;
										BgL_offsetz00_1544 = (int) (BgL_objzd2classzd2numz00_1540);
										{	/* Ast/lvtype.scm 113 */
											long BgL_offsetz00_1545;

											BgL_offsetz00_1545 =
												((long) (BgL_offsetz00_1544) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 113 */
												long BgL_modz00_1546;

												{	/* Ast/lvtype.scm 113 */
													int BgL_arg2390z00_1547;

													BgL_arg2390z00_1547 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 113 */
														long BgL_auxz00_2722;

														BgL_auxz00_2722 = (long) (BgL_arg2390z00_1547);
														BgL_modz00_1546 =
															(BgL_offsetz00_1545 / BgL_auxz00_2722);
												}}
												{	/* Ast/lvtype.scm 113 */
													long BgL_restz00_1548;

													{	/* Ast/lvtype.scm 113 */
														int BgL_arg2389z00_1549;

														BgL_arg2389z00_1549 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 113 */
															long BgL_auxz00_2726;

															BgL_auxz00_2726 = (long) (BgL_arg2389z00_1549);
															BgL_restz00_1548 =
																(BgL_offsetz00_1545 % BgL_auxz00_2726);
													}}
													{	/* Ast/lvtype.scm 113 */

														BgL_method3172z00_1538 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1543,
																(int) (BgL_modz00_1546)),
															(int) (BgL_restz00_1548));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3172z00_1538) (BgL_method3172z00_1538,
							(obj_t) (BgL_arg3297z00_1206), BEOA);
				}}
				{	/* Ast/lvtype.scm 114 */
					BgL_nodez00_bglt BgL_arg3298z00_1207;

					BgL_arg3298z00_1207 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1201))->BgL_falsez00);
					{	/* Ast/lvtype.scm 114 */
						obj_t BgL_method3172z00_1565;

						{	/* Ast/lvtype.scm 114 */
							BgL_objectz00_bglt BgL_objz00_1566;

							BgL_objz00_1566 = (BgL_objectz00_bglt) (BgL_arg3298z00_1207);
							{	/* Ast/lvtype.scm 114 */
								long BgL_objzd2classzd2numz00_1567;

								BgL_objzd2classzd2numz00_1567 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1566);
								{	/* Ast/lvtype.scm 114 */
									obj_t BgL_arg2388z00_1568;

									BgL_arg2388z00_1568 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 114 */
										obj_t BgL_arrayz00_1570;

										int BgL_offsetz00_1571;

										BgL_arrayz00_1570 = BgL_arg2388z00_1568;
										BgL_offsetz00_1571 = (int) (BgL_objzd2classzd2numz00_1567);
										{	/* Ast/lvtype.scm 114 */
											long BgL_offsetz00_1572;

											BgL_offsetz00_1572 =
												((long) (BgL_offsetz00_1571) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 114 */
												long BgL_modz00_1573;

												{	/* Ast/lvtype.scm 114 */
													int BgL_arg2390z00_1574;

													BgL_arg2390z00_1574 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 114 */
														long BgL_auxz00_2745;

														BgL_auxz00_2745 = (long) (BgL_arg2390z00_1574);
														BgL_modz00_1573 =
															(BgL_offsetz00_1572 / BgL_auxz00_2745);
												}}
												{	/* Ast/lvtype.scm 114 */
													long BgL_restz00_1575;

													{	/* Ast/lvtype.scm 114 */
														int BgL_arg2389z00_1576;

														BgL_arg2389z00_1576 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 114 */
															long BgL_auxz00_2749;

															BgL_auxz00_2749 = (long) (BgL_arg2389z00_1576);
															BgL_restz00_1575 =
																(BgL_offsetz00_1572 % BgL_auxz00_2749);
													}}
													{	/* Ast/lvtype.scm 114 */

														BgL_method3172z00_1565 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1570,
																(int) (BgL_modz00_1573)),
															(int) (BgL_restz00_1575));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3172z00_1565) (BgL_method3172z00_1565,
							(obj_t) (BgL_arg3298z00_1207), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-setq3194 */
	obj_t BGl_lvtypezd2nodez12zd2setq3194z12zzast_lvtypez00(obj_t BgL_envz00_2135,
		obj_t BgL_nodez00_2136)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 102 */
			{
				BgL_setqz00_bglt BgL_nodez00_1193;

				BgL_nodez00_1193 = (BgL_setqz00_bglt) (BgL_nodez00_2136);
				{	/* Ast/lvtype.scm 104 */
					BgL_nodez00_bglt BgL_arg3293z00_1197;

					BgL_arg3293z00_1197 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1193))->BgL_valuez00);
					{	/* Ast/lvtype.scm 104 */
						obj_t BgL_method3172z00_1457;

						{	/* Ast/lvtype.scm 104 */
							BgL_objectz00_bglt BgL_objz00_1458;

							BgL_objz00_1458 = (BgL_objectz00_bglt) (BgL_arg3293z00_1197);
							{	/* Ast/lvtype.scm 104 */
								long BgL_objzd2classzd2numz00_1459;

								BgL_objzd2classzd2numz00_1459 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1458);
								{	/* Ast/lvtype.scm 104 */
									obj_t BgL_arg2388z00_1460;

									BgL_arg2388z00_1460 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 104 */
										obj_t BgL_arrayz00_1462;

										int BgL_offsetz00_1463;

										BgL_arrayz00_1462 = BgL_arg2388z00_1460;
										BgL_offsetz00_1463 = (int) (BgL_objzd2classzd2numz00_1459);
										{	/* Ast/lvtype.scm 104 */
											long BgL_offsetz00_1464;

											BgL_offsetz00_1464 =
												((long) (BgL_offsetz00_1463) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 104 */
												long BgL_modz00_1465;

												{	/* Ast/lvtype.scm 104 */
													int BgL_arg2390z00_1466;

													BgL_arg2390z00_1466 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 104 */
														long BgL_auxz00_2769;

														BgL_auxz00_2769 = (long) (BgL_arg2390z00_1466);
														BgL_modz00_1465 =
															(BgL_offsetz00_1464 / BgL_auxz00_2769);
												}}
												{	/* Ast/lvtype.scm 104 */
													long BgL_restz00_1467;

													{	/* Ast/lvtype.scm 104 */
														int BgL_arg2389z00_1468;

														BgL_arg2389z00_1468 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 104 */
															long BgL_auxz00_2773;

															BgL_auxz00_2773 = (long) (BgL_arg2389z00_1468);
															BgL_restz00_1467 =
																(BgL_offsetz00_1464 % BgL_auxz00_2773);
													}}
													{	/* Ast/lvtype.scm 104 */

														BgL_method3172z00_1457 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1462,
																(int) (BgL_modz00_1465)),
															(int) (BgL_restz00_1467));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3172z00_1457) (BgL_method3172z00_1457,
							(obj_t) (BgL_arg3293z00_1197), BEOA);
				}}
				{	/* Ast/lvtype.scm 105 */
					BgL_varz00_bglt BgL_arg3294z00_1198;

					BgL_arg3294z00_1198 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1193))->BgL_varz00);
					{	/* Ast/lvtype.scm 105 */
						BgL_nodez00_bglt BgL_nodez00_1483;

						BgL_nodez00_1483 = (BgL_nodez00_bglt) (BgL_arg3294z00_1198);
						{	/* Ast/lvtype.scm 105 */
							obj_t BgL_method3172z00_1484;

							{	/* Ast/lvtype.scm 105 */
								BgL_objectz00_bglt BgL_objz00_1485;

								BgL_objz00_1485 = (BgL_objectz00_bglt) (BgL_nodez00_1483);
								{	/* Ast/lvtype.scm 105 */
									long BgL_objzd2classzd2numz00_1486;

									BgL_objzd2classzd2numz00_1486 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1485);
									{	/* Ast/lvtype.scm 105 */
										obj_t BgL_arg2388z00_1487;

										BgL_arg2388z00_1487 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 105 */
											obj_t BgL_arrayz00_1489;

											int BgL_offsetz00_1490;

											BgL_arrayz00_1489 = BgL_arg2388z00_1487;
											BgL_offsetz00_1490 =
												(int) (BgL_objzd2classzd2numz00_1486);
											{	/* Ast/lvtype.scm 105 */
												long BgL_offsetz00_1491;

												BgL_offsetz00_1491 =
													((long) (BgL_offsetz00_1490) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 105 */
													long BgL_modz00_1492;

													{	/* Ast/lvtype.scm 105 */
														int BgL_arg2390z00_1493;

														BgL_arg2390z00_1493 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 105 */
															long BgL_auxz00_2793;

															BgL_auxz00_2793 = (long) (BgL_arg2390z00_1493);
															BgL_modz00_1492 =
																(BgL_offsetz00_1491 / BgL_auxz00_2793);
													}}
													{	/* Ast/lvtype.scm 105 */
														long BgL_restz00_1494;

														{	/* Ast/lvtype.scm 105 */
															int BgL_arg2389z00_1495;

															BgL_arg2389z00_1495 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 105 */
																long BgL_auxz00_2797;

																BgL_auxz00_2797 = (long) (BgL_arg2389z00_1495);
																BgL_restz00_1494 =
																	(BgL_offsetz00_1491 % BgL_auxz00_2797);
														}}
														{	/* Ast/lvtype.scm 105 */

															BgL_method3172z00_1484 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1489,
																	(int) (BgL_modz00_1492)),
																(int) (BgL_restz00_1494));
							}}}}}}}}
							return
								PROCEDURE_ENTRY(BgL_method3172z00_1484) (BgL_method3172z00_1484,
								(obj_t) (BgL_nodez00_1483), BEOA);
						}
					}
				}
			}
		}
	}



/* lvtype-node!-cast3192 */
	obj_t BGl_lvtypezd2nodez12zd2cast3192z12zzast_lvtypez00(obj_t BgL_envz00_2137,
		obj_t BgL_nodez00_2138)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 95 */
			{
				BgL_castz00_bglt BgL_nodez00_1186;

				BgL_nodez00_1186 = (BgL_castz00_bglt) (BgL_nodez00_2138);
				{	/* Ast/lvtype.scm 96 */
					BgL_nodez00_bglt BgL_arg3291z00_1427;

					BgL_arg3291z00_1427 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1186))->BgL_argz00);
					{	/* Ast/lvtype.scm 96 */
						obj_t BgL_method3172z00_1430;

						{	/* Ast/lvtype.scm 96 */
							BgL_objectz00_bglt BgL_objz00_1431;

							BgL_objz00_1431 = (BgL_objectz00_bglt) (BgL_arg3291z00_1427);
							{	/* Ast/lvtype.scm 96 */
								long BgL_objzd2classzd2numz00_1432;

								BgL_objzd2classzd2numz00_1432 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1431);
								{	/* Ast/lvtype.scm 96 */
									obj_t BgL_arg2388z00_1433;

									BgL_arg2388z00_1433 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 96 */
										obj_t BgL_arrayz00_1435;

										int BgL_offsetz00_1436;

										BgL_arrayz00_1435 = BgL_arg2388z00_1433;
										BgL_offsetz00_1436 = (int) (BgL_objzd2classzd2numz00_1432);
										{	/* Ast/lvtype.scm 96 */
											long BgL_offsetz00_1437;

											BgL_offsetz00_1437 =
												((long) (BgL_offsetz00_1436) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 96 */
												long BgL_modz00_1438;

												{	/* Ast/lvtype.scm 96 */
													int BgL_arg2390z00_1439;

													BgL_arg2390z00_1439 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 96 */
														long BgL_auxz00_2817;

														BgL_auxz00_2817 = (long) (BgL_arg2390z00_1439);
														BgL_modz00_1438 =
															(BgL_offsetz00_1437 / BgL_auxz00_2817);
												}}
												{	/* Ast/lvtype.scm 96 */
													long BgL_restz00_1440;

													{	/* Ast/lvtype.scm 96 */
														int BgL_arg2389z00_1441;

														BgL_arg2389z00_1441 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 96 */
															long BgL_auxz00_2821;

															BgL_auxz00_2821 = (long) (BgL_arg2389z00_1441);
															BgL_restz00_1440 =
																(BgL_offsetz00_1437 % BgL_auxz00_2821);
													}}
													{	/* Ast/lvtype.scm 96 */

														BgL_method3172z00_1430 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1435,
																(int) (BgL_modz00_1438)),
															(int) (BgL_restz00_1440));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3172z00_1430) (BgL_method3172z00_1430,
							(obj_t) (BgL_arg3291z00_1427), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-extern3190 */
	obj_t BGl_lvtypezd2nodez12zd2extern3190z12zzast_lvtypez00(obj_t
		BgL_envz00_2139, obj_t BgL_nodez00_2140)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 88 */
			{
				BgL_externz00_bglt BgL_nodez00_1179;

				{	/* Ast/lvtype.scm 89 */
					bool_t BgL_auxz00_2832;

					BgL_nodez00_1179 = (BgL_externz00_bglt) (BgL_nodez00_2140);
					{	/* Ast/lvtype.scm 89 */
						obj_t BgL_arg3289z00_1424;

						BgL_arg3289z00_1424 =
							(((BgL_externz00_bglt) CREF(BgL_nodez00_1179))->BgL_exprza2za2);
						BgL_auxz00_2832 =
							BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg3289z00_1424);
					}
					return BBOOL(BgL_auxz00_2832);
				}
			}
		}
	}



/* lvtype-node!-funcall3188 */
	obj_t BGl_lvtypezd2nodez12zd2funcall3188z12zzast_lvtypez00(obj_t
		BgL_envz00_2141, obj_t BgL_nodez00_2142)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 80 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1171;

				{	/* Ast/lvtype.scm 81 */
					bool_t BgL_auxz00_2837;

					BgL_nodez00_1171 = (BgL_funcallz00_bglt) (BgL_nodez00_2142);
					{	/* Ast/lvtype.scm 82 */
						BgL_nodez00_bglt BgL_arg3284z00_1175;

						BgL_arg3284z00_1175 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1171))->BgL_funz00);
						{	/* Ast/lvtype.scm 82 */
							obj_t BgL_method3172z00_1397;

							{	/* Ast/lvtype.scm 82 */
								BgL_objectz00_bglt BgL_objz00_1398;

								BgL_objz00_1398 = (BgL_objectz00_bglt) (BgL_arg3284z00_1175);
								{	/* Ast/lvtype.scm 82 */
									long BgL_objzd2classzd2numz00_1399;

									BgL_objzd2classzd2numz00_1399 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_1398);
									{	/* Ast/lvtype.scm 82 */
										obj_t BgL_arg2388z00_1400;

										BgL_arg2388z00_1400 =
											PROCEDURE_REF
											(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
											(int) (((long) 1)));
										{	/* Ast/lvtype.scm 82 */
											obj_t BgL_arrayz00_1402;

											int BgL_offsetz00_1403;

											BgL_arrayz00_1402 = BgL_arg2388z00_1400;
											BgL_offsetz00_1403 =
												(int) (BgL_objzd2classzd2numz00_1399);
											{	/* Ast/lvtype.scm 82 */
												long BgL_offsetz00_1404;

												BgL_offsetz00_1404 =
													((long) (BgL_offsetz00_1403) - OBJECT_TYPE);
												{	/* Ast/lvtype.scm 82 */
													long BgL_modz00_1405;

													{	/* Ast/lvtype.scm 82 */
														int BgL_arg2390z00_1406;

														BgL_arg2390z00_1406 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 82 */
															long BgL_auxz00_2847;

															BgL_auxz00_2847 = (long) (BgL_arg2390z00_1406);
															BgL_modz00_1405 =
																(BgL_offsetz00_1404 / BgL_auxz00_2847);
													}}
													{	/* Ast/lvtype.scm 82 */
														long BgL_restz00_1407;

														{	/* Ast/lvtype.scm 82 */
															int BgL_arg2389z00_1408;

															BgL_arg2389z00_1408 = (int) (((long) 8));
															{	/* Ast/lvtype.scm 82 */
																long BgL_auxz00_2851;

																BgL_auxz00_2851 = (long) (BgL_arg2389z00_1408);
																BgL_restz00_1407 =
																	(BgL_offsetz00_1404 % BgL_auxz00_2851);
														}}
														{	/* Ast/lvtype.scm 82 */

															BgL_method3172z00_1397 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_1402,
																	(int) (BgL_modz00_1405)),
																(int) (BgL_restz00_1407));
							}}}}}}}}
							PROCEDURE_ENTRY(BgL_method3172z00_1397) (BgL_method3172z00_1397,
								(obj_t) (BgL_arg3284z00_1175), BEOA);
					}}
					{	/* Ast/lvtype.scm 83 */
						obj_t BgL_arg3285z00_1176;

						BgL_arg3285z00_1176 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1171))->BgL_argsz00);
						BgL_auxz00_2837 =
							BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg3285z00_1176);
					}
					return BBOOL(BgL_auxz00_2837);
				}
			}
		}
	}



/* lvtype-node!-app-ly3186 */
	obj_t BGl_lvtypezd2nodez12zd2appzd2ly3186zc0zzast_lvtypez00(obj_t
		BgL_envz00_2143, obj_t BgL_nodez00_2144)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 72 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1163;

				BgL_nodez00_1163 = (BgL_appzd2lyzd2_bglt) (BgL_nodez00_2144);
				{	/* Ast/lvtype.scm 74 */
					BgL_nodez00_bglt BgL_arg3281z00_1167;

					BgL_arg3281z00_1167 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1163))->BgL_funz00);
					{	/* Ast/lvtype.scm 74 */
						obj_t BgL_method3172z00_1343;

						{	/* Ast/lvtype.scm 74 */
							BgL_objectz00_bglt BgL_objz00_1344;

							BgL_objz00_1344 = (BgL_objectz00_bglt) (BgL_arg3281z00_1167);
							{	/* Ast/lvtype.scm 74 */
								long BgL_objzd2classzd2numz00_1345;

								BgL_objzd2classzd2numz00_1345 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1344);
								{	/* Ast/lvtype.scm 74 */
									obj_t BgL_arg2388z00_1346;

									BgL_arg2388z00_1346 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 74 */
										obj_t BgL_arrayz00_1348;

										int BgL_offsetz00_1349;

										BgL_arrayz00_1348 = BgL_arg2388z00_1346;
										BgL_offsetz00_1349 = (int) (BgL_objzd2classzd2numz00_1345);
										{	/* Ast/lvtype.scm 74 */
											long BgL_offsetz00_1350;

											BgL_offsetz00_1350 =
												((long) (BgL_offsetz00_1349) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 74 */
												long BgL_modz00_1351;

												{	/* Ast/lvtype.scm 74 */
													int BgL_arg2390z00_1352;

													BgL_arg2390z00_1352 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 74 */
														long BgL_auxz00_2874;

														BgL_auxz00_2874 = (long) (BgL_arg2390z00_1352);
														BgL_modz00_1351 =
															(BgL_offsetz00_1350 / BgL_auxz00_2874);
												}}
												{	/* Ast/lvtype.scm 74 */
													long BgL_restz00_1353;

													{	/* Ast/lvtype.scm 74 */
														int BgL_arg2389z00_1354;

														BgL_arg2389z00_1354 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 74 */
															long BgL_auxz00_2878;

															BgL_auxz00_2878 = (long) (BgL_arg2389z00_1354);
															BgL_restz00_1353 =
																(BgL_offsetz00_1350 % BgL_auxz00_2878);
													}}
													{	/* Ast/lvtype.scm 74 */

														BgL_method3172z00_1343 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1348,
																(int) (BgL_modz00_1351)),
															(int) (BgL_restz00_1353));
						}}}}}}}}
						PROCEDURE_ENTRY(BgL_method3172z00_1343) (BgL_method3172z00_1343,
							(obj_t) (BgL_arg3281z00_1167), BEOA);
				}}
				{	/* Ast/lvtype.scm 75 */
					BgL_nodez00_bglt BgL_arg3282z00_1168;

					BgL_arg3282z00_1168 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1163))->BgL_argz00);
					{	/* Ast/lvtype.scm 75 */
						obj_t BgL_method3172z00_1370;

						{	/* Ast/lvtype.scm 75 */
							BgL_objectz00_bglt BgL_objz00_1371;

							BgL_objz00_1371 = (BgL_objectz00_bglt) (BgL_arg3282z00_1168);
							{	/* Ast/lvtype.scm 75 */
								long BgL_objzd2classzd2numz00_1372;

								BgL_objzd2classzd2numz00_1372 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1371);
								{	/* Ast/lvtype.scm 75 */
									obj_t BgL_arg2388z00_1373;

									BgL_arg2388z00_1373 =
										PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
										(int) (((long) 1)));
									{	/* Ast/lvtype.scm 75 */
										obj_t BgL_arrayz00_1375;

										int BgL_offsetz00_1376;

										BgL_arrayz00_1375 = BgL_arg2388z00_1373;
										BgL_offsetz00_1376 = (int) (BgL_objzd2classzd2numz00_1372);
										{	/* Ast/lvtype.scm 75 */
											long BgL_offsetz00_1377;

											BgL_offsetz00_1377 =
												((long) (BgL_offsetz00_1376) - OBJECT_TYPE);
											{	/* Ast/lvtype.scm 75 */
												long BgL_modz00_1378;

												{	/* Ast/lvtype.scm 75 */
													int BgL_arg2390z00_1379;

													BgL_arg2390z00_1379 = (int) (((long) 8));
													{	/* Ast/lvtype.scm 75 */
														long BgL_auxz00_2897;

														BgL_auxz00_2897 = (long) (BgL_arg2390z00_1379);
														BgL_modz00_1378 =
															(BgL_offsetz00_1377 / BgL_auxz00_2897);
												}}
												{	/* Ast/lvtype.scm 75 */
													long BgL_restz00_1380;

													{	/* Ast/lvtype.scm 75 */
														int BgL_arg2389z00_1381;

														BgL_arg2389z00_1381 = (int) (((long) 8));
														{	/* Ast/lvtype.scm 75 */
															long BgL_auxz00_2901;

															BgL_auxz00_2901 = (long) (BgL_arg2389z00_1381);
															BgL_restz00_1380 =
																(BgL_offsetz00_1377 % BgL_auxz00_2901);
													}}
													{	/* Ast/lvtype.scm 75 */

														BgL_method3172z00_1370 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1375,
																(int) (BgL_modz00_1378)),
															(int) (BgL_restz00_1380));
						}}}}}}}}
						return
							PROCEDURE_ENTRY(BgL_method3172z00_1370) (BgL_method3172z00_1370,
							(obj_t) (BgL_arg3282z00_1168), BEOA);
					}
				}
			}
		}
	}



/* lvtype-node!-app3184 */
	obj_t BGl_lvtypezd2nodez12zd2app3184z12zzast_lvtypez00(obj_t BgL_envz00_2145,
		obj_t BgL_nodez00_2146)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 65 */
			{
				BgL_appz00_bglt BgL_nodez00_1156;

				{	/* Ast/lvtype.scm 66 */
					bool_t BgL_auxz00_2912;

					BgL_nodez00_1156 = (BgL_appz00_bglt) (BgL_nodez00_2146);
					{	/* Ast/lvtype.scm 66 */
						obj_t BgL_arg3279z00_1339;

						BgL_arg3279z00_1339 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1156))->BgL_argsz00);
						BgL_auxz00_2912 =
							BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg3279z00_1339);
					}
					return BBOOL(BgL_auxz00_2912);
				}
			}
		}
	}



/* lvtype-node!-sequenc3182 */
	obj_t BGl_lvtypezd2nodez12zd2sequenc3182z12zzast_lvtypez00(obj_t
		BgL_envz00_2147, obj_t BgL_nodez00_2148)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 58 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1149;

				{	/* Ast/lvtype.scm 59 */
					bool_t BgL_auxz00_2917;

					BgL_nodez00_1149 = (BgL_sequencez00_bglt) (BgL_nodez00_2148);
					{	/* Ast/lvtype.scm 59 */
						obj_t BgL_arg3277z00_1336;

						BgL_arg3277z00_1336 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1149))->BgL_nodesz00);
						BgL_auxz00_2917 =
							BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(BgL_arg3277z00_1336);
					}
					return BBOOL(BgL_auxz00_2917);
				}
			}
		}
	}



/* lvtype-node!-closure3180 */
	obj_t BGl_lvtypezd2nodez12zd2closure3180z12zzast_lvtypez00(obj_t
		BgL_envz00_2149, obj_t BgL_nodez00_2150)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 52 */
			{
				BgL_closurez00_bglt BgL_nodez00_1141;

				BgL_nodez00_1141 = (BgL_closurez00_bglt) (BgL_nodez00_2150);
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string3410z00zzast_lvtypez00, BGl_string3411z00zzast_lvtypez00,
					BGl_shapez00zztools_shapez00((obj_t) (BgL_nodez00_1141)));
			}
		}
	}



/* lvtype-node!-var3178 */
	obj_t BGl_lvtypezd2nodez12zd2var3178z12zzast_lvtypez00(obj_t BgL_envz00_2151,
		obj_t BgL_nodez00_2152)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 46 */
			return BUNSPEC;
		}
	}



/* lvtype-node!-kwote3176 */
	obj_t BGl_lvtypezd2nodez12zd2kwote3176z12zzast_lvtypez00(obj_t
		BgL_envz00_2153, obj_t BgL_nodez00_2154)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 40 */
			return BUNSPEC;
		}
	}



/* lvtype-node!-atom3174 */
	obj_t BGl_lvtypezd2nodez12zd2atom3174z12zzast_lvtypez00(obj_t BgL_envz00_2155,
		obj_t BgL_nodez00_2156)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 34 */
			return BUNSPEC;
		}
	}



/* lvtype-node! */
	BGL_EXPORTED_DEF obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt
		BgL_nodez00_1)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 29 */
			{	/* Ast/lvtype.scm 29 */
				obj_t BgL_method3172z00_2067;

				{	/* Ast/lvtype.scm 29 */
					BgL_objectz00_bglt BgL_objz00_2068;

					BgL_objz00_2068 = (BgL_objectz00_bglt) (BgL_nodez00_1);
					{	/* Ast/lvtype.scm 29 */
						long BgL_objzd2classzd2numz00_2069;

						BgL_objzd2classzd2numz00_2069 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_2068);
						{	/* Ast/lvtype.scm 29 */
							obj_t BgL_arg2388z00_2070;

							BgL_arg2388z00_2070 =
								PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
								(int) (((long) 1)));
							{	/* Ast/lvtype.scm 29 */
								obj_t BgL_arrayz00_2072;

								int BgL_offsetz00_2073;

								BgL_arrayz00_2072 = BgL_arg2388z00_2070;
								BgL_offsetz00_2073 = (int) (BgL_objzd2classzd2numz00_2069);
								{	/* Ast/lvtype.scm 29 */
									long BgL_offsetz00_2074;

									BgL_offsetz00_2074 =
										((long) (BgL_offsetz00_2073) - OBJECT_TYPE);
									{	/* Ast/lvtype.scm 29 */
										long BgL_modz00_2075;

										{	/* Ast/lvtype.scm 29 */
											int BgL_arg2390z00_2076;

											BgL_arg2390z00_2076 = (int) (((long) 8));
											{	/* Ast/lvtype.scm 29 */
												long BgL_auxz00_2934;

												BgL_auxz00_2934 = (long) (BgL_arg2390z00_2076);
												BgL_modz00_2075 =
													(BgL_offsetz00_2074 / BgL_auxz00_2934);
										}}
										{	/* Ast/lvtype.scm 29 */
											long BgL_restz00_2077;

											{	/* Ast/lvtype.scm 29 */
												int BgL_arg2389z00_2078;

												BgL_arg2389z00_2078 = (int) (((long) 8));
												{	/* Ast/lvtype.scm 29 */
													long BgL_auxz00_2938;

													BgL_auxz00_2938 = (long) (BgL_arg2389z00_2078);
													BgL_restz00_2077 =
														(BgL_offsetz00_2074 % BgL_auxz00_2938);
											}}
											{	/* Ast/lvtype.scm 29 */

												BgL_method3172z00_2067 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_2072,
														(int) (BgL_modz00_2075)), (int) (BgL_restz00_2077));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3172z00_2067) (BgL_method3172z00_2067,
					(obj_t) (BgL_nodez00_1), BEOA);
			}
		}
	}



/* _lvtype-node! */
	obj_t BGl__lvtypezd2nodez12zc0zzast_lvtypez00(obj_t BgL_envz00_2092,
		obj_t BgL_nodez00_2093)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 29 */
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				(BgL_nodez00_bglt) (BgL_nodez00_2093));
		}
	}



/* lvtype-node!-default3170 */
	obj_t BGl_lvtypezd2nodez12zd2default3170z12zzast_lvtypez00(BgL_nodez00_bglt
		BgL_nodez00_2)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
				BGl_string3412z00zzast_lvtypez00, (obj_t) (BgL_nodez00_2));
		}
	}



/* _lvtype-node!-default3170 */
	obj_t BGl__lvtypezd2nodez12zd2default3170z12zzast_lvtypez00(obj_t
		BgL_envz00_2157, obj_t BgL_nodez00_2158)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return
				BGl_lvtypezd2nodez12zd2default3170z12zzast_lvtypez00(
				(BgL_nodez00_bglt) (BgL_nodez00_2158));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3413z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3413z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 341705556),
				BSTRING_TO_STRING(BGl_string3413z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3413z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3413z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3413z00zzast_lvtypez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3413z00zzast_lvtypez00));
		}
	}

#ifdef __cplusplus
}
#endif
