/*===========================================================================*/
/*   (BackEnd/jvm.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/jvm.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_bvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}             *BgL_bvmz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
	}             *BgL_jvmz00_bglt;


	BGL_IMPORT obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	static obj_t BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 = BUNSPEC;
	extern obj_t BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_jvmz00_bglt);
	extern obj_t BGl_za2mcozd2suffixza2zd2zzengine_paramz00;
	extern BgL_jvmz00_bglt BGl_makezd2jvmzd2zzbackend_jvm_classz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t, obj_t,
		bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, obj_t, obj_t,
		bool_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2ppzd2caseza2zd2zz__ppz00;
	BGL_IMPORT obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	extern obj_t BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_jvmz00 = BUNSPEC;
	static obj_t BGl_addsuffixz00zzbackend_jvmz00(obj_t);
	extern obj_t BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t fexists(char *);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static obj_t BGl_backendzd2linkzd2objects2396z00zzbackend_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_startzd2jvmzd2emissionz12z12zzbackend_jvmz00();
	static obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00();
	static obj_t BGl__startzd2jvmzd2emissionz12z12zzbackend_jvmz00(obj_t);
	static obj_t BGl_zc3exitza32537ze3z83zzbackend_jvmz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32542ze3z83zzbackend_jvmz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_jvmz00();
	BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_handler2364z00zzbackend_jvmz00(obj_t, obj_t);
	static obj_t BGl_handler2366z00zzbackend_jvmz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvmz00();
	BGL_IMPORT bool_t directoryp(char *);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_za2ppzd2widthza2zd2zz__ppz00;
	extern obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_jvmzd2filenamezd2zzbackend_jvmz00(obj_t);
	extern obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t, obj_t);
	extern obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t);
	extern obj_t BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
	extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbackend_jvmz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_ldz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_peepz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzjas_asz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzbackend_jvmz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	extern obj_t BGl_jvmz00zzbackend_jvm_classz00;
	BGL_IMPORT obj_t close_binary_port(obj_t);
	static obj_t BGl_emitz00zzbackend_jvmz00(obj_t, obj_t);
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	extern obj_t BGl_readzd2jfilezd2zzread_jvmz00();
	static obj_t BGl_zc3exitza32580ze3z83zzbackend_jvmz00();
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT bool_t BGl_makezd2directorieszd2zz__r4_ports_6_10_1z00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_jvmzd2aszd2zzjas_asz00(obj_t, obj_t);
	static BgL_jvmz00_bglt BGl_buildzd2jvmzd2backendz00zzbackend_jvmz00();
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	extern obj_t BGl_compilerz00zzengine_compilerz00();
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_backendzd2checkzd2inline2398z00zzbackend_jvmz00(obj_t,
		obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	extern obj_t BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_filezd2separatorzd2zz__osz00();
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	static obj_t BGl_jasnamez00zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_suffixz00zz__osz00(obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl_backendzd2cnstzd2tablezd2n2394zd2zzbackend_jvmz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_backendzd2linkzd2jvm2392z00zzbackend_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__buildzd2jvmzd2backendz00zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
	static obj_t BGl_zc3anonymousza32505ze3z83zzbackend_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00(obj_t, obj_t);
	static obj_t BGl_jvmasdumpz00zzbackend_jvmz00(obj_t, obj_t);
	extern obj_t BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
	static obj_t BGl_zc3anonymousza32508ze3z83zzbackend_jvmz00(obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00();
	static obj_t BGl_zc3anonymousza32511ze3z83zzbackend_jvmz00(obj_t);
	static obj_t BGl_backendzd2compilezd2jvm2390z00zzbackend_jvmz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_jvmz00();
	static obj_t BGl_jvmzd2dirnamezd2zzbackend_jvmz00(obj_t);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
	extern obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t, bool_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[20];


	extern obj_t BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2702z00zzbackend_jvmz00,
		BgL_bgl_backendza7d2compil2735za7,
		BGl_backendzd2compilezd2jvm2390z00zzbackend_jvmz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2703z00zzbackend_jvmz00,
		BgL_bgl_backendza7d2linkza7d2736z00,
		BGl_backendzd2linkzd2jvm2392z00zzbackend_jvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2704z00zzbackend_jvmz00,
		BgL_bgl_backendza7d2cnstza7d2737z00,
		BGl_backendzd2cnstzd2tablezd2n2394zd2zzbackend_jvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2705z00zzbackend_jvmz00,
		BgL_bgl_backendza7d2linkza7d2738z00,
		BGl_backendzd2linkzd2objects2396z00zzbackend_jvmz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2706z00zzbackend_jvmz00,
		BgL_bgl_backendza7d2checkza72739z00,
		BGl_backendzd2checkzd2inline2398z00zzbackend_jvmz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_buildzd2jvmzd2backendzd2envzd2zzbackend_jvmz00,
		BgL_bgl__buildza7d2jvmza7d2b2740z00,
		BGl__buildzd2jvmzd2backendz00zzbackend_jvmz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2723z00zzbackend_jvmz00,
		BgL_bgl_za7c3anonymousza7a322741z00,
		BGl_zc3anonymousza32505ze3z83zzbackend_jvmz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2724z00zzbackend_jvmz00,
		BgL_bgl_za7c3anonymousza7a322742z00,
		BGl_zc3anonymousza32508ze3z83zzbackend_jvmz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2725z00zzbackend_jvmz00,
		BgL_bgl_za7c3anonymousza7a322743z00,
		BGl_zc3anonymousza32511ze3z83zzbackend_jvmz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00;
	   
		 
		DEFINE_STRING(BGl_string2686z00zzbackend_jvmz00,
		BgL_bgl_string2686za700za7za7b2744za7, ".", 1);
	      DEFINE_STRING(BGl_string2687z00zzbackend_jvmz00,
		BgL_bgl_string2687za700za7za7b2745za7, "dummy", 5);
	      DEFINE_STRING(BGl_string2688z00zzbackend_jvmz00,
		BgL_bgl_string2688za700za7za7b2746za7, "jheap", 5);
	      DEFINE_STRING(BGl_string2700z00zzbackend_jvmz00,
		BgL_bgl_string2700za700za7za7b2747za7, "JVMMAIN", 7);
	      DEFINE_STRING(BGl_string2690z00zzbackend_jvmz00,
		BgL_bgl_string2690za700za7za7b2748za7, "'.", 2);
	      DEFINE_STRING(BGl_string2689z00zzbackend_jvmz00,
		BgL_bgl_string2689za700za7za7b2749za7, "", 0);
	      DEFINE_STRING(BGl_string2701z00zzbackend_jvmz00,
		BgL_bgl_string2701za700za7za7b2750za7, ".bgl", 4);
	      DEFINE_STRING(BGl_string2691z00zzbackend_jvmz00,
		BgL_bgl_string2691za700za7za7b2751za7, "', class path is `", 18);
	      DEFINE_STRING(BGl_string2692z00zzbackend_jvmz00,
		BgL_bgl_string2692za700za7za7b2752za7, " is `", 5);
	      DEFINE_STRING(BGl_string2693z00zzbackend_jvmz00,
		BgL_bgl_string2693za700za7za7b2753za7, "Package name for module ", 24);
	      DEFINE_STRING(BGl_string2694z00zzbackend_jvmz00,
		BgL_bgl_string2694za700za7za7b2754za7,
		"Incompatible package name and class path.", 41);
	      DEFINE_STRING(BGl_string2695z00zzbackend_jvmz00,
		BgL_bgl_string2695za700za7za7b2755za7, ".jast", 5);
	      DEFINE_STRING(BGl_string2696z00zzbackend_jvmz00,
		BgL_bgl_string2696za700za7za7b2756za7, ".jas", 4);
	      DEFINE_STRING(BGl_string2707z00zzbackend_jvmz00,
		BgL_bgl_string2707za700za7za7b2757za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2697z00zzbackend_jvmz00,
		BgL_bgl_string2697za700za7za7b2758za7, ".class", 6);
	      DEFINE_STRING(BGl_string2708z00zzbackend_jvmz00,
		BgL_bgl_string2708za700za7za7b2759za7, "No source file found", 20);
	      DEFINE_STRING(BGl_string2698z00zzbackend_jvmz00,
		BgL_bgl_string2698za700za7za7b2760za7, "start-jvm-emission!", 19);
	      DEFINE_STRING(BGl_string2710z00zzbackend_jvmz00,
		BgL_bgl_string2710za700za7za7b2761za7, "\"", 1);
	      DEFINE_STRING(BGl_string2709z00zzbackend_jvmz00,
		BgL_bgl_string2709za700za7za7b2762za7, "link", 4);
	      DEFINE_STRING(BGl_string2699z00zzbackend_jvmz00,
		BgL_bgl_string2699za700za7za7b2763za7,
		"Can't write dest file because directory doesn't exist", 53);
	      DEFINE_STRING(BGl_string2711z00zzbackend_jvmz00,
		BgL_bgl_string2711za700za7za7b2764za7, ")", 1);
	      DEFINE_STRING(BGl_string2712z00zzbackend_jvmz00,
		BgL_bgl_string2712za700za7za7b2765za7, " and ", 5);
	      DEFINE_STRING(BGl_string2713z00zzbackend_jvmz00,
		BgL_bgl_string2713za700za7za7b2766za7, "Redeclaration of the main (files ",
		33);
	      DEFINE_STRING(BGl_string2714z00zzbackend_jvmz00,
		BgL_bgl_string2714za700za7za7b2767za7, "Illegal file", 12);
	      DEFINE_STRING(BGl_string2715z00zzbackend_jvmz00,
		BgL_bgl_string2715za700za7za7b2768za7, "__cnst", 6);
	      DEFINE_STRING(BGl_string2716z00zzbackend_jvmz00,
		BgL_bgl_string2716za700za7za7b2769za7, "Jvm", 3);
	      DEFINE_STRING(BGl_string2717z00zzbackend_jvmz00,
		BgL_bgl_string2717za700za7za7b2770za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2718z00zzbackend_jvmz00,
		BgL_bgl_string2718za700za7za7b2771za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2720z00zzbackend_jvmz00,
		BgL_bgl_string2720za700za7za7b2772za7, " qualified type name: ", 22);
	      DEFINE_STRING(BGl_string2719z00zzbackend_jvmz00,
		BgL_bgl_string2719za700za7za7b2773za7, "]", 1);
	      DEFINE_STRING(BGl_string2721z00zzbackend_jvmz00,
		BgL_bgl_string2721za700za7za7b2774za7, "      [module: ", 15);
	      DEFINE_STRING(BGl_string2722z00zzbackend_jvmz00,
		BgL_bgl_string2722za700za7za7b2775za7, "a.class", 7);
	      DEFINE_STRING(BGl_string2726z00zzbackend_jvmz00,
		BgL_bgl_string2726za700za7za7b2776za7, "/", 1);
	      DEFINE_STRING(BGl_string2727z00zzbackend_jvmz00,
		BgL_bgl_string2727za700za7za7b2777za7, "/a.class", 8);
	      DEFINE_STRING(BGl_string2728z00zzbackend_jvmz00,
		BgL_bgl_string2728za700za7za7b2778za7, "jvm-dump", 8);
	      DEFINE_STRING(BGl_string2730z00zzbackend_jvmz00,
		BgL_bgl_string2730za700za7za7b2779za7, "Incorrect handler arity", 23);
	      DEFINE_STRING(BGl_string2729z00zzbackend_jvmz00,
		BgL_bgl_string2729za700za7za7b2780za7, "Can't open file for output", 26);
	      DEFINE_STRING(BGl_string2731z00zzbackend_jvmz00,
		BgL_bgl_string2731za700za7za7b2781za7, "backend_jvm", 11);
	      DEFINE_STRING(BGl_string2732z00zzbackend_jvmz00,
		BgL_bgl_string2732za700za7za7b2782za7,
		"done with-handler cc (ld distrib) pass-started (start-jvm-emission!) main module now ld class jvmas jast lower unamed (jvm) (java) native bigloo-jvm jvm ",
		153);
	extern obj_t BGl_backendzd2compilezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_startzd2jvmzd2emissionz12zd2envzc0zzbackend_jvmz00,
		BgL_bgl__startza7d2jvmza7d2e2783z00,
		BGl__startzd2jvmzd2emissionz12z12zzbackend_jvmz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00;
	extern obj_t BGl_backendzd2linkzd2envz00zzbackend_backendz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_jvmz00(long
		BgL_checksumz00_1292, char *BgL_fromz00_1293)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_jvmz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_jvmz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00();
					BGl_cnstzd2initzd2zzbackend_jvmz00();
					BGl_importedzd2moduleszd2initz00zzbackend_jvmz00();
					BGl_methodzd2initzd2zzbackend_jvmz00();
					BGl_toplevelzd2initzd2zzbackend_jvmz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_jvm");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "backend_jvm");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "backend_jvm");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			{	/* BackEnd/jvm.scm 1 */
				obj_t BgL_cportz00_1278;

				BgL_cportz00_1278 =
					bgl_open_input_string(BGl_string2732z00zzbackend_jvmz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1279;

					BgL_iz00_1279 = ((long) 19);
				BgL_loopz00_1280:
					if ((BgL_iz00_1279 == ((long) -1)))
						{	/* BackEnd/jvm.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/jvm.scm 1 */
							{	/* BackEnd/jvm.scm 1 */
								obj_t BgL_arg2734z00_1282;

								{	/* BackEnd/jvm.scm 1 */

									{	/* BackEnd/jvm.scm 1 */
										obj_t BgL_locationz00_1284;

										BgL_locationz00_1284 = BBOOL(((bool_t) 0));
										{	/* BackEnd/jvm.scm 1 */

											BgL_arg2734z00_1282 =
												BGl_readz00zz__readerz00(BgL_cportz00_1278,
												BgL_locationz00_1284);
										}
									}
								}
								{	/* BackEnd/jvm.scm 1 */
									int BgL_auxz00_1318;

									BgL_auxz00_1318 = (int) (BgL_iz00_1279);
									CNST_TABLE_SET(BgL_auxz00_1318, BgL_arg2734z00_1282);
							}}
							{	/* BackEnd/jvm.scm 1 */
								int BgL_auxz00_1285;

								BgL_auxz00_1285 = (int) ((BgL_iz00_1279 - ((long) 1)));
								{
									long BgL_iz00_1323;

									BgL_iz00_1323 = (long) (BgL_auxz00_1285);
									BgL_iz00_1279 = BgL_iz00_1323;
									goto BgL_loopz00_1280;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			BGl_registerzd2backendz12zc0zzbackend_backendz00(CNST_TABLE_REF(((long)
						0)), BGl_buildzd2jvmzd2backendzd2envzd2zzbackend_jvmz00);
			BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
				BGl_string2686z00zzbackend_jvmz00;
			return BUNSPEC;
		}
	}



/* build-jvm-backend */
	BgL_jvmz00_bglt BGl_buildzd2jvmzd2backendz00zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 27 */
			return
				BGl_makezd2jvmzd2zzbackend_jvm_classz00(CNST_TABLE_REF(((long) 0)),
				CNST_TABLE_REF(((long) 1)), BGl_string2687z00zzbackend_jvmz00, BNIL,
				BNIL, BNIL, BNIL, BNIL, BNIL, ((bool_t) 0),
				BGl_string2688z00zzbackend_jvmz00, CNST_TABLE_REF(((long) 2)),
				((bool_t) 1), ((bool_t) 0), ((bool_t) 0), ((bool_t) 0), ((bool_t) 1),
				((bool_t) 0), ((bool_t) 1), CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 4)), ((bool_t) 1), ((bool_t) 1), ((bool_t) 0),
				BNIL, BNIL, CNST_TABLE_REF(((long) 5)), BNIL, BFALSE, BNIL, BNIL, BNIL,
				BFALSE, BNIL);
		}
	}



/* _build-jvm-backend */
	obj_t BGl__buildzd2jvmzd2backendz00zzbackend_jvmz00(obj_t BgL_envz00_1224)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 27 */
			return (obj_t) (BGl_buildzd2jvmzd2backendz00zzbackend_jvmz00());
		}
	}



/* jvm-check-package */
	obj_t BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00(obj_t BgL_modulez00_2,
		obj_t BgL_pathz00_3)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 96 */
			{
				obj_t BgL_basez00_509;

				obj_t BgL_pathz00_510;

				{	/* BackEnd/jvm.scm 113 */
					obj_t BgL_qtypez00_490;

					BgL_qtypez00_490 =
						BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_2);
					{	/* BackEnd/jvm.scm 113 */
						obj_t BgL_basez00_491;

						{	/* BackEnd/jvm.scm 114 */
							obj_t BgL_prez00_506;

							BgL_prez00_506 = BGl_prefixz00zz__osz00(BgL_qtypez00_490);
							if (bigloo_strcmp(BgL_prez00_506,
									BGl_string2689z00zzbackend_jvmz00))
								{	/* BackEnd/jvm.scm 116 */
									BgL_basez00_491 = BGl_string2686z00zzbackend_jvmz00;
								}
							else
								{	/* BackEnd/jvm.scm 116 */
									if (bigloo_strcmp(BgL_prez00_506, BgL_qtypez00_490))
										{	/* BackEnd/jvm.scm 118 */
											BgL_basez00_491 = BGl_string2686z00zzbackend_jvmz00;
										}
									else
										{	/* BackEnd/jvm.scm 118 */
											BgL_basez00_491 = BgL_prez00_506;
										}
								}
						}
						{	/* BackEnd/jvm.scm 114 */

							{	/* BackEnd/jvm.scm 122 */
								bool_t BgL_testz00_1342;

								BgL_basez00_509 =
									BGl_jvmzd2filenamezd2zzbackend_jvmz00(BgL_basez00_491);
								BgL_pathz00_510 = BgL_pathz00_3;
								{	/* BackEnd/jvm.scm 98 */
									long BgL_lbasez00_512;

									long BgL_lpathz00_513;

									BgL_lbasez00_512 = STRING_LENGTH(BgL_basez00_509);
									BgL_lpathz00_513 = STRING_LENGTH(BgL_pathz00_510);
									if ((BgL_lpathz00_513 < BgL_lbasez00_512))
										{	/* BackEnd/jvm.scm 100 */
											BgL_testz00_1342 = ((bool_t) 0);
										}
									else
										{
											long BgL_rpathz00_517;

											long BgL_rbasez00_518;

											BgL_rpathz00_517 = (BgL_lpathz00_513 - ((long) 1));
											BgL_rbasez00_518 = (BgL_lbasez00_512 - ((long) 1));
										BgL_loopz00_519:
											if ((BgL_rbasez00_518 == ((long) -1)))
												{	/* BackEnd/jvm.scm 104 */
													BgL_testz00_1342 = ((bool_t) 1);
												}
											else
												{	/* BackEnd/jvm.scm 106 */
													unsigned char BgL_cbasez00_521;

													unsigned char BgL_cpathz00_522;

													BgL_cbasez00_521 =
														STRING_REF(BgL_basez00_509, BgL_rbasez00_518);
													BgL_cpathz00_522 =
														STRING_REF(BgL_pathz00_510, BgL_rpathz00_517);
													{	/* BackEnd/jvm.scm 108 */
														bool_t BgL_testz00_1351;

														if ((BgL_cbasez00_521 == BgL_cpathz00_522))
															{	/* BackEnd/jvm.scm 108 */
																BgL_testz00_1351 = ((bool_t) 1);
															}
														else
															{	/* BackEnd/jvm.scm 108 */
																if ((BgL_cpathz00_522 == ((unsigned char) '/')))
																	{	/* BackEnd/jvm.scm 109 */
																		BgL_testz00_1351 =
																			(BgL_cbasez00_521 ==
																			((unsigned char) '.'));
																	}
																else
																	{	/* BackEnd/jvm.scm 109 */
																		BgL_testz00_1351 = ((bool_t) 0);
																	}
															}
														if (BgL_testz00_1351)
															{
																long BgL_rbasez00_1359;

																long BgL_rpathz00_1357;

																BgL_rpathz00_1357 =
																	(BgL_rpathz00_517 - ((long) 1));
																BgL_rbasez00_1359 =
																	(BgL_rbasez00_518 - ((long) 1));
																BgL_rbasez00_518 = BgL_rbasez00_1359;
																BgL_rpathz00_517 = BgL_rpathz00_1357;
																goto BgL_loopz00_519;
															}
														else
															{	/* BackEnd/jvm.scm 108 */
																BgL_testz00_1342 = ((bool_t) 0);
															}
													}
												}
										}
								}
								if (BgL_testz00_1342)
									{	/* BackEnd/jvm.scm 122 */
										return BFALSE;
									}
								else
									{	/* BackEnd/jvm.scm 123 */
										obj_t BgL_list2400z00_493;

										{	/* BackEnd/jvm.scm 123 */
											obj_t BgL_arg2402z00_495;

											{	/* BackEnd/jvm.scm 123 */
												obj_t BgL_arg2404z00_497;

												{	/* BackEnd/jvm.scm 123 */
													obj_t BgL_arg2405z00_498;

													{	/* BackEnd/jvm.scm 123 */
														obj_t BgL_arg2407z00_500;

														{	/* BackEnd/jvm.scm 123 */
															obj_t BgL_arg2408z00_501;

															{	/* BackEnd/jvm.scm 123 */
																obj_t BgL_arg2410z00_503;

																{	/* BackEnd/jvm.scm 123 */
																	obj_t BgL_arg2411z00_504;

																	BgL_arg2411z00_504 =
																		MAKE_PAIR(BGl_string2690z00zzbackend_jvmz00,
																		BNIL);
																	BgL_arg2410z00_503 =
																		MAKE_PAIR(BgL_pathz00_3,
																		BgL_arg2411z00_504);
																}
																BgL_arg2408z00_501 =
																	MAKE_PAIR(BGl_string2691z00zzbackend_jvmz00,
																	BgL_arg2410z00_503);
															}
															BgL_arg2407z00_500 =
																MAKE_PAIR(BgL_basez00_491, BgL_arg2408z00_501);
														}
														BgL_arg2405z00_498 =
															MAKE_PAIR(BGl_string2692z00zzbackend_jvmz00,
															BgL_arg2407z00_500);
													}
													BgL_arg2404z00_497 =
														MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
														BgL_arg2405z00_498);
												}
												BgL_arg2402z00_495 =
													MAKE_PAIR(BGl_string2693z00zzbackend_jvmz00,
													BgL_arg2404z00_497);
											}
											BgL_list2400z00_493 =
												MAKE_PAIR(BGl_string2694z00zzbackend_jvmz00,
												BgL_arg2402z00_495);
										}
										return BGl_warningz00zz__errorz00(BgL_list2400z00_493);
									}
							}
						}
					}
				}
			}
		}
	}



/* jvmasdump */
	obj_t BGl_jvmasdumpz00zzbackend_jvmz00(obj_t BgL_classfilez00_4,
		obj_t BgL_portz00_5)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 129 */
			{	/* BackEnd/jvm.scm 130 */
				obj_t BgL_owz00_529;

				obj_t BgL_ocz00_530;

				BgL_owz00_529 = BGl_za2ppzd2widthza2zd2zz__ppz00;
				BgL_ocz00_530 = BGl_za2ppzd2caseza2zd2zz__ppz00;
				BGl_za2ppzd2widthza2zd2zz__ppz00 = BINT(((long) 10240));
				BGl_za2ppzd2caseza2zd2zz__ppz00 = CNST_TABLE_REF(((long) 6));
				{	/* BackEnd/jvm.scm 133 */
					obj_t BgL_list2422z00_531;

					BgL_list2422z00_531 = MAKE_PAIR(BgL_portz00_5, BNIL);
					BGl_ppz00zz__ppz00(BgL_classfilez00_4, BgL_list2422z00_531);
				}
				BGl_za2ppzd2caseza2zd2zz__ppz00 = BgL_ocz00_530;
				return (BGl_za2ppzd2widthza2zd2zz__ppz00 = BgL_owz00_529, BUNSPEC);
			}
		}
	}



/* addsuffix */
	obj_t BGl_addsuffixz00zzbackend_jvmz00(obj_t BgL_namez00_6)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 137 */
			{	/* BackEnd/jvm.scm 139 */
				obj_t BgL_arg2423z00_532;

				{	/* BackEnd/jvm.scm 139 */
					obj_t BgL_casezd2valuezd2_533;

					BgL_casezd2valuezd2_533 = BGl_za2passza2z00zzengine_paramz00;
					if ((BgL_casezd2valuezd2_533 == CNST_TABLE_REF(((long) 7))))
						{	/* BackEnd/jvm.scm 139 */
							BgL_arg2423z00_532 = BGl_string2695z00zzbackend_jvmz00;
						}
					else
						{	/* BackEnd/jvm.scm 139 */
							if ((BgL_casezd2valuezd2_533 == CNST_TABLE_REF(((long) 8))))
								{	/* BackEnd/jvm.scm 139 */
									BgL_arg2423z00_532 = BGl_string2696z00zzbackend_jvmz00;
								}
							else
								{	/* BackEnd/jvm.scm 139 */
									BgL_arg2423z00_532 = BGl_string2697z00zzbackend_jvmz00;
								}
						}
				}
				return string_append(BgL_namez00_6, BgL_arg2423z00_532);
			}
		}
	}



/* jasname */
	obj_t BGl_jasnamez00zzbackend_jvmz00(obj_t BgL_cfz00_7)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 147 */
			if (PAIRP(BgL_cfz00_7))
				{	/* BackEnd/jvm.scm 148 */
					obj_t BgL_carzd21243zd2_540;

					BgL_carzd21243zd2_540 = CAR(BgL_cfz00_7);
					if (PAIRP(BgL_carzd21243zd2_540))
						{	/* BackEnd/jvm.scm 148 */
							obj_t BgL_cdrzd21247zd2_542;

							BgL_cdrzd21247zd2_542 = CDR(BgL_carzd21243zd2_540);
							if ((CAR(BgL_carzd21243zd2_540) == CNST_TABLE_REF(((long) 9))))
								{	/* BackEnd/jvm.scm 148 */
									if (PAIRP(BgL_cdrzd21247zd2_542))
										{	/* BackEnd/jvm.scm 148 */
											if (NULLP(CDR(BgL_cdrzd21247zd2_542)))
												{	/* BackEnd/jvm.scm 148 */
													obj_t BgL_arg2431z00_546;

													BgL_arg2431z00_546 = CAR(BgL_cdrzd21247zd2_542);
													{	/* BackEnd/jvm.scm 148 */
														obj_t BgL_arg2435z00_1066;

														BgL_arg2435z00_1066 =
															SYMBOL_TO_STRING(BgL_arg2431z00_546);
														return
															BGl_addsuffixz00zzbackend_jvmz00
															(BgL_arg2435z00_1066);
													}
												}
											else
												{	/* BackEnd/jvm.scm 148 */
													return BFALSE;
												}
										}
									else
										{	/* BackEnd/jvm.scm 148 */
											return BFALSE;
										}
								}
							else
								{	/* BackEnd/jvm.scm 148 */
									return BFALSE;
								}
						}
					else
						{	/* BackEnd/jvm.scm 148 */
							return BFALSE;
						}
				}
			else
				{	/* BackEnd/jvm.scm 148 */
					return BFALSE;
				}
		}
	}



/* jvm-filename */
	obj_t BGl_jvmzd2filenamezd2zzbackend_jvmz00(obj_t BgL_namez00_8)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 155 */
			if (STRINGP(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
				{	/* BackEnd/jvm.scm 156 */
					if (bigloo_strcmp(BgL_namez00_8, BGl_string2686z00zzbackend_jvmz00))
						{	/* BackEnd/jvm.scm 157 */
							return BGl_za2jvmzd2directoryza2zd2zzengine_paramz00;
						}
					else
						{	/* BackEnd/jvm.scm 157 */
							return
								BGl_makezd2filezd2namez00zz__osz00
								(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00, BgL_namez00_8);
						}
				}
			else
				{	/* BackEnd/jvm.scm 156 */
					return BgL_namez00_8;
				}
		}
	}



/* jvm-dirname */
	obj_t BGl_jvmzd2dirnamezd2zzbackend_jvmz00(obj_t BgL_filez00_9)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 165 */
			{	/* BackEnd/jvm.scm 166 */
				obj_t BgL_dfilez00_553;

				BgL_dfilez00_553 = BGl_dirnamez00zz__osz00(BgL_filez00_9);
				{	/* BackEnd/jvm.scm 166 */
					obj_t BgL_dirz00_554;

					BgL_dirz00_554 =
						BGl_jvmzd2filenamezd2zzbackend_jvmz00(BgL_dfilez00_553);
					{	/* BackEnd/jvm.scm 167 */

						{	/* BackEnd/jvm.scm 168 */
							bool_t BgL_testz00_1409;

							if (bigloo_strcmp(BgL_dfilez00_553,
									BGl_string2689z00zzbackend_jvmz00))
								{	/* BackEnd/jvm.scm 168 */
									BgL_testz00_1409 = ((bool_t) 0);
								}
							else
								{	/* BackEnd/jvm.scm 168 */
									if (directoryp(BSTRING_TO_STRING(BgL_dfilez00_553)))
										{	/* BackEnd/jvm.scm 169 */
											BgL_testz00_1409 = ((bool_t) 0);
										}
									else
										{	/* BackEnd/jvm.scm 169 */
											if (fexists(BSTRING_TO_STRING(BgL_dfilez00_553)))
												{	/* BackEnd/jvm.scm 170 */
													BgL_testz00_1409 = ((bool_t) 0);
												}
											else
												{	/* BackEnd/jvm.scm 171 */
													bool_t BgL__ortest_2377z00_559;

													if (STRINGP
														(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00))
														{	/* BackEnd/jvm.scm 171 */
															BgL__ortest_2377z00_559 = ((bool_t) 0);
														}
													else
														{	/* BackEnd/jvm.scm 171 */
															BgL__ortest_2377z00_559 = ((bool_t) 1);
														}
													if (BgL__ortest_2377z00_559)
														{	/* BackEnd/jvm.scm 171 */
															BgL_testz00_1409 = BgL__ortest_2377z00_559;
														}
													else
														{	/* BackEnd/jvm.scm 171 */
															BgL_testz00_1409 =
																directoryp(BSTRING_TO_STRING
																(BGl_za2jvmzd2directoryza2zd2zzengine_paramz00));
														}
												}
										}
								}
							if (BgL_testz00_1409)
								{	/* BackEnd/jvm.scm 168 */
									BGl_makezd2directorieszd2zz__r4_ports_6_10_1z00
										(BgL_dirz00_554);
								}
							else
								{	/* BackEnd/jvm.scm 168 */
									((bool_t) 0);
								}
						}
						return BgL_dirz00_554;
					}
				}
			}
		}
	}



/* start-jvm-emission! */
	obj_t BGl_startzd2jvmzd2emissionz12z12zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 180 */
			if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
				{	/* BackEnd/jvm.scm 183 */
					obj_t BgL_dnamez00_562;

					BgL_dnamez00_562 =
						BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
					if (bigloo_strcmp(BgL_dnamez00_562,
							BGl_string2689z00zzbackend_jvmz00))
						{	/* BackEnd/jvm.scm 184 */
							BFALSE;
						}
					else
						{	/* BackEnd/jvm.scm 184 */
							BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
								BGl_jvmzd2dirnamezd2zzbackend_jvmz00
								(BGl_za2destza2z00zzengine_paramz00);
						}
				}
			else
				{	/* BackEnd/jvm.scm 182 */
					if (
						(BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 10))))
						{	/* BackEnd/jvm.scm 186 */
							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/jvm.scm 187 */
									BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00 =
										BGl_jvmzd2dirnamezd2zzbackend_jvmz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00));
								}
							else
								{	/* BackEnd/jvm.scm 187 */
									BFALSE;
								}
						}
					else
						{	/* BackEnd/jvm.scm 186 */
							BFALSE;
						}
				}
			{	/* BackEnd/jvm.scm 189 */
				bool_t BgL_testz00_1437;

				if (fexists(BSTRING_TO_STRING
						(BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00)))
					{	/* BackEnd/jvm.scm 189 */
						BgL_testz00_1437 =
							directoryp(BSTRING_TO_STRING
							(BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00));
					}
				else
					{	/* BackEnd/jvm.scm 189 */
						BgL_testz00_1437 = ((bool_t) 0);
					}
				if (BgL_testz00_1437)
					{	/* BackEnd/jvm.scm 189 */
						return BTRUE;
					}
				else
					{	/* BackEnd/jvm.scm 189 */
						return
							BGl_errorz00zz__errorz00(BGl_string2698z00zzbackend_jvmz00,
							BGl_string2699z00zzbackend_jvmz00,
							BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00);
					}
			}
		}
	}



/* _start-jvm-emission! */
	obj_t BGl__startzd2jvmzd2emissionz12z12zzbackend_jvmz00(obj_t BgL_envz00_1225)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 180 */
			return BGl_startzd2jvmzd2emissionz12z12zzbackend_jvmz00();
		}
	}



/* make-tmp-file-name */
	obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 224 */
			return
				string_append(BGl_string2700z00zzbackend_jvmz00,
				BGl_string2701z00zzbackend_jvmz00);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2702z00zzbackend_jvmz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2703z00zzbackend_jvmz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2704z00zzbackend_jvmz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2705z00zzbackend_jvmz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
				BGl_jvmz00zzbackend_jvm_classz00, BGl_proc2706z00zzbackend_jvmz00);
		}
	}



/* backend-check-inline2398 */
	obj_t BGl_backendzd2checkzd2inline2398z00zzbackend_jvmz00(obj_t
		BgL_envz00_1236, obj_t BgL_mez00_1237)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 346 */
			{
				BgL_jvmz00_bglt BgL_mez00_1021;

				BgL_mez00_1021 = (BgL_jvmz00_bglt) (BgL_mez00_1237);
				if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
					{	/* BackEnd/jvm.scm 347 */
						return BFALSE;
					}
				else
					{	/* BackEnd/jvm.scm 347 */
						return BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
					}
			}
		}
	}



/* backend-link-objects2396 */
	obj_t BGl_backendzd2linkzd2objects2396z00zzbackend_jvmz00(obj_t
		BgL_envz00_1238, obj_t BgL_mez00_1239, obj_t BgL_sourcesz00_1240)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 230 */
			{
				BgL_jvmz00_bglt BgL_mez00_861;

				obj_t BgL_sourcesz00_862;

				BgL_mez00_861 = (BgL_jvmz00_bglt) (BgL_mez00_1239);
				BgL_sourcesz00_862 = BgL_sourcesz00_1240;
				if (NULLP(BgL_sourcesz00_862))
					{	/* BackEnd/jvm.scm 235 */
						obj_t BgL_firstz00_867;

						BgL_firstz00_867 =
							BGl_prefixz00zz__osz00(CAR
							(BGl_za2ozd2filesza2zd2zzengine_paramz00));
						{	/* BackEnd/jvm.scm 236 */
							obj_t BgL_list2551z00_868;

							{	/* BackEnd/jvm.scm 236 */
								obj_t BgL_arg2555z00_870;

								{	/* BackEnd/jvm.scm 236 */
									obj_t BgL_arg2557z00_872;

									{	/* BackEnd/jvm.scm 236 */
										obj_t BgL_arg2559z00_874;

										BgL_arg2559z00_874 =
											MAKE_PAIR(BGl_za2ozd2filesza2zd2zzengine_paramz00, BNIL);
										BgL_arg2557z00_872 =
											MAKE_PAIR(BGl_string2707z00zzbackend_jvmz00,
											BgL_arg2559z00_874);
									}
									BgL_arg2555z00_870 =
										MAKE_PAIR(BGl_string2708z00zzbackend_jvmz00,
										BgL_arg2557z00_872);
								}
								BgL_list2551z00_868 =
									MAKE_PAIR(BGl_string2709z00zzbackend_jvmz00,
									BgL_arg2555z00_870);
							}
							BGl_warningz00zz__errorz00(BgL_list2551z00_868);
						}
						BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
						BGl_readzd2jfilezd2zzread_jvmz00();
						return BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BFALSE);
					}
				else
					{
						obj_t BgL_sourcesz00_878;

						obj_t BgL_clsz00_879;

						obj_t BgL_mainzd2modulezd2_880;

						obj_t BgL_mainz00_881;

						obj_t BgL_fmainz00_882;

						obj_t BgL_librariesz00_883;

						BgL_sourcesz00_878 = BgL_sourcesz00_862;
						BgL_clsz00_879 = BNIL;
						BgL_mainzd2modulezd2_880 = BFALSE;
						BgL_mainz00_881 = BFALSE;
						BgL_fmainz00_882 = BGl_string2689z00zzbackend_jvmz00;
						BgL_librariesz00_883 = BNIL;
					BgL_loopz00_884:
						if (NULLP(BgL_sourcesz00_878))
							{	/* BackEnd/jvm.scm 247 */
								if (CBOOL(BgL_mainz00_881))
									{	/* BackEnd/jvm.scm 251 */
										obj_t BgL_firstz00_886;

										BgL_firstz00_886 =
											BGl_prefixz00zz__osz00(CAR
											(BGl_za2ozd2filesza2zd2zzengine_paramz00));
										{
											obj_t BgL_l2387z00_887;

											BgL_l2387z00_887 = BgL_librariesz00_883;
										BgL_forzd2each2388zd2_888:
											if (PAIRP(BgL_l2387z00_887))
												{	/* BackEnd/jvm.scm 254 */
													{	/* BackEnd/jvm.scm 255 */
														obj_t BgL_libz00_890;

														BgL_libz00_890 = CAR(BgL_l2387z00_887);
														BGl_usezd2libraryz12zc0zzmodule_alibraryz00
															(BgL_libz00_890, CNST_TABLE_REF(((long) 11)));
													}
													{
														obj_t BgL_l2387z00_1478;

														BgL_l2387z00_1478 = CDR(BgL_l2387z00_887);
														BgL_l2387z00_887 = BgL_l2387z00_1478;
														goto BgL_forzd2each2388zd2_888;
													}
												}
											else
												{	/* BackEnd/jvm.scm 254 */
													((bool_t) 1);
												}
										}
										BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
										{	/* BackEnd/jvm.scm 259 */
											obj_t BgL_list2564z00_892;

											BgL_list2564z00_892 = MAKE_PAIR(BgL_fmainz00_882, BNIL);
											BGl_za2srczd2filesza2zd2zzengine_paramz00 =
												BgL_list2564z00_892;
										}
										BGl_readzd2jfilezd2zzread_jvmz00();
										return
											BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BgL_mainzd2modulezd2_880);
									}
								else
									{	/* BackEnd/jvm.scm 262 */
										obj_t BgL_tmpz00_894;

										BgL_tmpz00_894 =
											BGl_makezd2tmpzd2filezd2namezd2zzbackend_jvmz00();
										BGl_makezd2tmpzd2mainz00zzengine_linkz00(BgL_tmpz00_894,
											CBOOL(BgL_mainz00_881),
											string_to_symbol(BSTRING_TO_STRING
												(BGl_string2700z00zzbackend_jvmz00)), BgL_clsz00_879,
											BgL_librariesz00_883);
										{	/* BackEnd/jvm.scm 264 */
											obj_t BgL_list2567z00_896;

											BgL_list2567z00_896 = MAKE_PAIR(BgL_tmpz00_894, BNIL);
											BGl_za2srczd2filesza2zd2zzengine_paramz00 =
												BgL_list2567z00_896;
										}
										{
											obj_t BgL_raz00_898;

											obj_t BgL_resz00_899;

											BgL_raz00_898 = BGl_za2restzd2argsza2zd2zzengine_paramz00;
											BgL_resz00_899 = BNIL;
										BgL_liipz00_900:
											if (NULLP(BgL_raz00_898))
												{	/* BackEnd/jvm.scm 270 */
													BGl_za2restzd2argsza2zd2zzengine_paramz00 =
														bgl_reverse_bang(BgL_resz00_899);
												}
											else
												{	/* BackEnd/jvm.scm 272 */
													bool_t BgL_testz00_1493;

													{	/* BackEnd/jvm.scm 272 */
														obj_t BgL_arg2574z00_907;

														BgL_arg2574z00_907 =
															BGl_suffixz00zz__osz00(CAR(BgL_raz00_898));
														BgL_testz00_1493 =
															CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2574z00_907,
																BGl_za2mcozd2suffixza2zd2zzengine_paramz00));
													}
													if (BgL_testz00_1493)
														{
															obj_t BgL_raz00_1498;

															BgL_raz00_1498 = CDR(BgL_raz00_898);
															BgL_raz00_898 = BgL_raz00_1498;
															goto BgL_liipz00_900;
														}
													else
														{	/* BackEnd/jvm.scm 275 */
															obj_t BgL_arg2571z00_904;

															obj_t BgL_arg2572z00_905;

															BgL_arg2571z00_904 = CDR(BgL_raz00_898);
															BgL_arg2572z00_905 =
																MAKE_PAIR(CAR(BgL_raz00_898), BgL_resz00_899);
															{
																obj_t BgL_resz00_1504;

																obj_t BgL_raz00_1503;

																BgL_raz00_1503 = BgL_arg2571z00_904;
																BgL_resz00_1504 = BgL_arg2572z00_905;
																BgL_resz00_899 = BgL_resz00_1504;
																BgL_raz00_898 = BgL_raz00_1503;
																goto BgL_liipz00_900;
															}
														}
												}
										}
										{	/* BackEnd/jvm.scm 276 */
											obj_t BgL_val2381z00_909;

											BgL_val2381z00_909 =
												BGl_zc3exitza32580ze3z83zzbackend_jvmz00();
											BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
											{	/* BackEnd/jvm.scm 280 */
												obj_t BgL_prez00_910;

												BgL_prez00_910 = BGl_prefixz00zz__osz00(BgL_tmpz00_894);
												{	/* BackEnd/jvm.scm 280 */
													obj_t BgL_classzd2filezd2_911;

													BgL_classzd2filezd2_911 =
														string_append(BgL_prez00_910,
														BGl_string2697z00zzbackend_jvmz00);
													{	/* BackEnd/jvm.scm 281 */

														if (fexists(BSTRING_TO_STRING(BgL_tmpz00_894)))
															{	/* BackEnd/jvm.scm 283 */
																char *BgL_stringz00_1150;

																BgL_stringz00_1150 =
																	BSTRING_TO_STRING(BgL_tmpz00_894);
																if (unlink(BgL_stringz00_1150))
																	{	/* BackEnd/jvm.scm 283 */
																		((bool_t) 0);
																	}
																else
																	{	/* BackEnd/jvm.scm 283 */
																		((bool_t) 1);
																	}
															}
														else
															{	/* BackEnd/jvm.scm 282 */
																((bool_t) 0);
															}
													}
												}
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2381z00_909)))
												{	/* BackEnd/jvm.scm 280 */
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2381z00_909), CDR(BgL_val2381z00_909));
												}
											else
												{	/* BackEnd/jvm.scm 280 */
													BgL_val2381z00_909;
												}
										}
										return BINT(((long) 0));
							}}
						else
							{	/* BackEnd/jvm.scm 285 */
								obj_t BgL_portz00_919;

								{	/* BackEnd/jvm.scm 285 */
									obj_t BgL_arg2663z00_1012;

									{	/* BackEnd/jvm.scm 285 */
										obj_t BgL_pairz00_1154;

										BgL_pairz00_1154 = BgL_sourcesz00_878;
										BgL_arg2663z00_1012 = CAR(CAR(BgL_pairz00_1154));
									}
									{	/* BackEnd/jvm.scm 285 */

										BgL_portz00_919 =
											BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
											(BgL_arg2663z00_1012, BTRUE);
									}
								}
								if (INPUT_PORTP(BgL_portz00_919))
									{	/* BackEnd/jvm.scm 288 */
										obj_t BgL_expz00_921;

										{	/* BackEnd/jvm.scm 288 */
											obj_t BgL_list2659z00_1008;

											BgL_list2659z00_1008 = MAKE_PAIR(BgL_portz00_919, BNIL);
											BgL_expz00_921 =
												BGl_compilerzd2readzd2zzread_readerz00
												(BgL_list2659z00_1008);
										}
										bgl_close_input_port(BgL_portz00_919);
										{
											obj_t BgL_namez00_922;

											obj_t BgL_newzd2mainzd2_923;

											obj_t BgL_namez00_925;

											if (PAIRP(BgL_expz00_921))
												{	/* BackEnd/jvm.scm 290 */
													obj_t BgL_cdrzd21263zd2_930;

													BgL_cdrzd21263zd2_930 = CDR(BgL_expz00_921);
													if (
														(CAR(BgL_expz00_921) ==
															CNST_TABLE_REF(((long) 12))))
														{	/* BackEnd/jvm.scm 290 */
															if (PAIRP(BgL_cdrzd21263zd2_930))
																{
																	obj_t BgL_gzd21270zd2_935;

																	BgL_gzd21270zd2_935 =
																		CDR(BgL_cdrzd21263zd2_930);
																BgL_zc3anonymousza32586ze3z83_936:
																	if (PAIRP(BgL_gzd21270zd2_935))
																		{	/* BackEnd/jvm.scm 290 */
																			obj_t BgL_carzd21273zd2_938;

																			BgL_carzd21273zd2_938 =
																				CAR(BgL_gzd21270zd2_935);
																			if (PAIRP(BgL_carzd21273zd2_938))
																				{	/* BackEnd/jvm.scm 290 */
																					obj_t BgL_cdrzd21277zd2_940;

																					BgL_cdrzd21277zd2_940 =
																						CDR(BgL_carzd21273zd2_938);
																					if (
																						(CAR(BgL_carzd21273zd2_938) ==
																							CNST_TABLE_REF(((long) 13))))
																						{	/* BackEnd/jvm.scm 290 */
																							if (PAIRP(BgL_cdrzd21277zd2_940))
																								{	/* BackEnd/jvm.scm 290 */
																									if (NULLP(CDR
																											(BgL_cdrzd21277zd2_940)))
																										{	/* BackEnd/jvm.scm 290 */
																											BgL_namez00_922 =
																												CAR
																												(BgL_cdrzd21263zd2_930);
																											BgL_newzd2mainzd2_923 =
																												CAR
																												(BgL_cdrzd21277zd2_940);
																											{	/* BackEnd/jvm.scm 295 */
																												obj_t
																													BgL_arg2606z00_958;
																												{	/* BackEnd/jvm.scm 295 */
																													obj_t
																														BgL_arg2608z00_960;
																													obj_t
																														BgL_arg2609z00_961;
																													{	/* BackEnd/jvm.scm 295 */
																														obj_t
																															BgL_arg2610z00_962;
																														{	/* BackEnd/jvm.scm 295 */
																															obj_t
																																BgL_arg2611z00_963;
																															{	/* BackEnd/jvm.scm 295 */
																																obj_t
																																	BgL_pairz00_1181;
																																BgL_pairz00_1181
																																	=
																																	BgL_sourcesz00_878;
																																BgL_arg2611z00_963
																																	=
																																	CDR(CAR
																																	(BgL_pairz00_1181));
																															}
																															BgL_arg2610z00_962
																																=
																																BGl_prefixz00zz__osz00
																																(BgL_arg2611z00_963);
																														}
																														BgL_arg2608z00_960 =
																															BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00
																															(BgL_arg2610z00_962);
																													}
																													BgL_arg2609z00_961 =
																														BGl_filezd2separatorzd2zz__osz00
																														();
																													BgL_arg2606z00_958 =
																														BGl_stringzd2replacezd2zz__r4_strings_6_7z00
																														(BgL_arg2608z00_960,
																														CCHAR
																														(BgL_arg2609z00_961),
																														(char) (((unsigned
																																	char) '.')));
																												}
																												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																													(BgL_namez00_922,
																													BgL_arg2606z00_958,
																													BNIL);
																											}
																											if (CBOOL
																												(BgL_mainz00_881))
																												{	/* BackEnd/jvm.scm 299 */
																													obj_t
																														BgL_arg2614z00_965;
																													obj_t
																														BgL_arg2615z00_966;
																													{	/* BackEnd/jvm.scm 300 */
																														obj_t
																															BgL_arg2618z00_969;
																														{	/* BackEnd/jvm.scm 304 */
																															obj_t
																																BgL_pairz00_1185;
																															BgL_pairz00_1185 =
																																BgL_sourcesz00_878;
																															BgL_arg2618z00_969
																																=
																																CAR(CAR
																																(BgL_pairz00_1185));
																														}
																														{	/* BackEnd/jvm.scm 300 */
																															obj_t
																																BgL_list2620z00_971;
																															{	/* BackEnd/jvm.scm 300 */
																																obj_t
																																	BgL_arg2621z00_972;
																																{	/* BackEnd/jvm.scm 300 */
																																	obj_t
																																		BgL_arg2622z00_973;
																																	{	/* BackEnd/jvm.scm 300 */
																																		obj_t
																																			BgL_arg2623z00_974;
																																		{	/* BackEnd/jvm.scm 300 */
																																			obj_t
																																				BgL_arg2624z00_975;
																																			BgL_arg2624z00_975
																																				=
																																				MAKE_PAIR
																																				(BGl_string2711z00zzbackend_jvmz00,
																																				BNIL);
																																			BgL_arg2623z00_974
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2618z00_969,
																																				BgL_arg2624z00_975);
																																		}
																																		BgL_arg2622z00_973
																																			=
																																			MAKE_PAIR
																																			(BGl_string2712z00zzbackend_jvmz00,
																																			BgL_arg2623z00_974);
																																	}
																																	BgL_arg2621z00_972
																																		=
																																		MAKE_PAIR
																																		(BgL_fmainz00_882,
																																		BgL_arg2622z00_973);
																																}
																																BgL_list2620z00_971
																																	=
																																	MAKE_PAIR
																																	(BGl_string2713z00zzbackend_jvmz00,
																																	BgL_arg2621z00_972);
																															}
																															BgL_arg2614z00_965
																																=
																																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																(BgL_list2620z00_971);
																														}
																													}
																													BgL_arg2615z00_966 =
																														MAKE_PAIR
																														(BgL_mainz00_881,
																														BgL_newzd2mainzd2_923);
																													BGl_errorz00zz__errorz00
																														(BGl_string2689z00zzbackend_jvmz00,
																														BgL_arg2614z00_965,
																														BgL_arg2615z00_966);
																												}
																											else
																												{	/* BackEnd/jvm.scm 298 */
																													BFALSE;
																												}
																											{	/* BackEnd/jvm.scm 306 */
																												obj_t
																													BgL_arg2625z00_976;
																												obj_t
																													BgL_arg2626z00_977;
																												obj_t
																													BgL_arg2627z00_978;
																												obj_t
																													BgL_arg2628z00_979;
																												BgL_arg2625z00_976 =
																													CDR
																													(BgL_sourcesz00_878);
																												{	/* BackEnd/jvm.scm 308 */
																													obj_t
																														BgL_arg2629z00_980;
																													{	/* BackEnd/jvm.scm 308 */
																														obj_t
																															BgL_arg2630z00_981;
																														{	/* BackEnd/jvm.scm 308 */
																															obj_t
																																BgL_arg2634z00_985;
																															{	/* BackEnd/jvm.scm 309 */
																																obj_t
																																	BgL_pairz00_1190;
																																BgL_pairz00_1190
																																	=
																																	BgL_sourcesz00_878;
																																BgL_arg2634z00_985
																																	=
																																	CAR(CAR
																																	(BgL_pairz00_1190));
																															}
																															BgL_arg2630z00_981
																																=
																																string_append_3
																																(BGl_string2710z00zzbackend_jvmz00,
																																BgL_arg2634z00_985,
																																BGl_string2710z00zzbackend_jvmz00);
																														}
																														{	/* BackEnd/jvm.scm 307 */
																															obj_t
																																BgL_list2631z00_982;
																															{	/* BackEnd/jvm.scm 307 */
																																obj_t
																																	BgL_arg2632z00_983;
																																BgL_arg2632z00_983
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2630z00_981,
																																	BNIL);
																																BgL_list2631z00_982
																																	=
																																	MAKE_PAIR
																																	(BgL_namez00_922,
																																	BgL_arg2632z00_983);
																															}
																															BgL_arg2629z00_980
																																=
																																BgL_list2631z00_982;
																														}
																													}
																													BgL_arg2626z00_977 =
																														MAKE_PAIR
																														(BgL_arg2629z00_980,
																														BgL_clsz00_879);
																												}
																												{	/* BackEnd/jvm.scm 313 */
																													obj_t
																														BgL_pairz00_1196;
																													BgL_pairz00_1196 =
																														BgL_sourcesz00_878;
																													BgL_arg2627z00_978 =
																														CAR(CAR
																														(BgL_pairz00_1196));
																												}
																												{	/* BackEnd/jvm.scm 314 */
																													obj_t
																														BgL_arg2637z00_987;
																													{	/* BackEnd/jvm.scm 314 */
																														obj_t
																															BgL_arg2638z00_988;
																														{	/* BackEnd/jvm.scm 314 */
																															obj_t
																																BgL_pairz00_1200;
																															BgL_pairz00_1200 =
																																BgL_expz00_921;
																															BgL_arg2638z00_988
																																=
																																CDR(CDR
																																(BgL_pairz00_1200));
																														}
																														BgL_arg2637z00_987 =
																															BGl_findzd2librarieszd2zzengine_linkz00
																															(BgL_arg2638z00_988);
																													}
																													BgL_arg2628z00_979 =
																														bgl_append2
																														(BgL_arg2637z00_987,
																														BgL_librariesz00_883);
																												}
																												{
																													obj_t
																														BgL_librariesz00_1593;
																													obj_t
																														BgL_fmainz00_1592;
																													obj_t
																														BgL_mainz00_1591;
																													obj_t
																														BgL_mainzd2modulezd2_1590;
																													obj_t BgL_clsz00_1589;

																													obj_t
																														BgL_sourcesz00_1588;
																													BgL_sourcesz00_1588 =
																														BgL_arg2625z00_976;
																													BgL_clsz00_1589 =
																														BgL_arg2626z00_977;
																													BgL_mainzd2modulezd2_1590
																														= BgL_namez00_922;
																													BgL_mainz00_1591 =
																														BgL_newzd2mainzd2_923;
																													BgL_fmainz00_1592 =
																														BgL_arg2627z00_978;
																													BgL_librariesz00_1593
																														=
																														BgL_arg2628z00_979;
																													BgL_librariesz00_883 =
																														BgL_librariesz00_1593;
																													BgL_fmainz00_882 =
																														BgL_fmainz00_1592;
																													BgL_mainz00_881 =
																														BgL_mainz00_1591;
																													BgL_mainzd2modulezd2_880
																														=
																														BgL_mainzd2modulezd2_1590;
																													BgL_clsz00_879 =
																														BgL_clsz00_1589;
																													BgL_sourcesz00_878 =
																														BgL_sourcesz00_1588;
																													goto BgL_loopz00_884;
																												}
																											}
																										}
																									else
																										{
																											obj_t
																												BgL_gzd21270zd2_1596;
																											BgL_gzd21270zd2_1596 =
																												CDR
																												(BgL_gzd21270zd2_935);
																											BgL_gzd21270zd2_935 =
																												BgL_gzd21270zd2_1596;
																											goto
																												BgL_zc3anonymousza32586ze3z83_936;
																										}
																								}
																							else
																								{
																									obj_t BgL_gzd21270zd2_1598;

																									BgL_gzd21270zd2_1598 =
																										CDR(BgL_gzd21270zd2_935);
																									BgL_gzd21270zd2_935 =
																										BgL_gzd21270zd2_1598;
																									goto
																										BgL_zc3anonymousza32586ze3z83_936;
																								}
																						}
																					else
																						{
																							obj_t BgL_gzd21270zd2_1600;

																							BgL_gzd21270zd2_1600 =
																								CDR(BgL_gzd21270zd2_935);
																							BgL_gzd21270zd2_935 =
																								BgL_gzd21270zd2_1600;
																							goto
																								BgL_zc3anonymousza32586ze3z83_936;
																						}
																				}
																			else
																				{
																					obj_t BgL_gzd21270zd2_1602;

																					BgL_gzd21270zd2_1602 =
																						CDR(BgL_gzd21270zd2_935);
																					BgL_gzd21270zd2_935 =
																						BgL_gzd21270zd2_1602;
																					goto
																						BgL_zc3anonymousza32586ze3z83_936;
																				}
																		}
																	else
																		{	/* BackEnd/jvm.scm 290 */
																			BgL_namez00_925 =
																				CAR(CDR(BgL_expz00_921));
																			{	/* BackEnd/jvm.scm 320 */
																				obj_t BgL_arg2639z00_989;

																				{	/* BackEnd/jvm.scm 320 */
																					obj_t BgL_arg2642z00_991;

																					obj_t BgL_arg2643z00_992;

																					{	/* BackEnd/jvm.scm 320 */
																						obj_t BgL_arg2644z00_993;

																						{	/* BackEnd/jvm.scm 320 */
																							obj_t BgL_arg2645z00_994;

																							{	/* BackEnd/jvm.scm 320 */
																								obj_t BgL_pairz00_1204;

																								BgL_pairz00_1204 =
																									BgL_sourcesz00_878;
																								BgL_arg2645z00_994 =
																									CDR(CAR(BgL_pairz00_1204));
																							}
																							BgL_arg2644z00_993 =
																								BGl_prefixz00zz__osz00
																								(BgL_arg2645z00_994);
																						}
																						BgL_arg2642z00_991 =
																							BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00
																							(BgL_arg2644z00_993);
																					}
																					BgL_arg2643z00_992 =
																						BGl_filezd2separatorzd2zz__osz00();
																					BgL_arg2639z00_989 =
																						BGl_stringzd2replacezd2zz__r4_strings_6_7z00
																						(BgL_arg2642z00_991,
																						CCHAR(BgL_arg2643z00_992),
																						(char) (((unsigned char) '.')));
																				}
																				BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																					(BgL_namez00_925, BgL_arg2639z00_989,
																					BNIL);
																			}
																			{	/* BackEnd/jvm.scm 323 */
																				obj_t BgL_arg2646z00_995;

																				obj_t BgL_arg2647z00_996;

																				obj_t BgL_arg2648z00_997;

																				BgL_arg2646z00_995 =
																					CDR(BgL_sourcesz00_878);
																				{	/* BackEnd/jvm.scm 325 */
																					obj_t BgL_arg2649z00_998;

																					{	/* BackEnd/jvm.scm 325 */
																						obj_t BgL_arg2650z00_999;

																						{	/* BackEnd/jvm.scm 325 */
																							obj_t BgL_arg2654z00_1003;

																							{	/* BackEnd/jvm.scm 326 */
																								obj_t BgL_pairz00_1209;

																								BgL_pairz00_1209 =
																									BgL_sourcesz00_878;
																								BgL_arg2654z00_1003 =
																									CAR(CAR(BgL_pairz00_1209));
																							}
																							BgL_arg2650z00_999 =
																								string_append_3
																								(BGl_string2710z00zzbackend_jvmz00,
																								BgL_arg2654z00_1003,
																								BGl_string2710z00zzbackend_jvmz00);
																						}
																						{	/* BackEnd/jvm.scm 324 */
																							obj_t BgL_list2651z00_1000;

																							{	/* BackEnd/jvm.scm 324 */
																								obj_t BgL_arg2652z00_1001;

																								BgL_arg2652z00_1001 =
																									MAKE_PAIR(BgL_arg2650z00_999,
																									BNIL);
																								BgL_list2651z00_1000 =
																									MAKE_PAIR(BgL_namez00_925,
																									BgL_arg2652z00_1001);
																							}
																							BgL_arg2649z00_998 =
																								BgL_list2651z00_1000;
																					}}
																					BgL_arg2647z00_996 =
																						MAKE_PAIR(BgL_arg2649z00_998,
																						BgL_clsz00_879);
																				}
																				{	/* BackEnd/jvm.scm 331 */
																					obj_t BgL_arg2656z00_1005;

																					{	/* BackEnd/jvm.scm 331 */
																						obj_t BgL_arg2657z00_1006;

																						{	/* BackEnd/jvm.scm 331 */
																							obj_t BgL_pairz00_1215;

																							BgL_pairz00_1215 = BgL_expz00_921;
																							BgL_arg2657z00_1006 =
																								CDR(CDR(BgL_pairz00_1215));
																						}
																						BgL_arg2656z00_1005 =
																							BGl_findzd2librarieszd2zzengine_linkz00
																							(BgL_arg2657z00_1006);
																					}
																					BgL_arg2648z00_997 =
																						bgl_append2(BgL_arg2656z00_1005,
																						BgL_librariesz00_883);
																				}
																				{
																					obj_t BgL_librariesz00_1626;

																					obj_t BgL_clsz00_1625;

																					obj_t BgL_sourcesz00_1624;

																					BgL_sourcesz00_1624 =
																						BgL_arg2646z00_995;
																					BgL_clsz00_1625 = BgL_arg2647z00_996;
																					BgL_librariesz00_1626 =
																						BgL_arg2648z00_997;
																					BgL_librariesz00_883 =
																						BgL_librariesz00_1626;
																					BgL_clsz00_879 = BgL_clsz00_1625;
																					BgL_sourcesz00_878 =
																						BgL_sourcesz00_1624;
																					goto BgL_loopz00_884;
																				}
																			}
																		}
																}
															else
																{	/* BackEnd/jvm.scm 290 */
																BgL_tagzd21254zd2_927:
																	{
																		obj_t BgL_sourcesz00_1630;

																		BgL_sourcesz00_1630 =
																			CDR(BgL_sourcesz00_878);
																		BgL_sourcesz00_878 = BgL_sourcesz00_1630;
																		goto BgL_loopz00_884;
																	}
																}
														}
													else
														{	/* BackEnd/jvm.scm 290 */
															goto BgL_tagzd21254zd2_927;
														}
												}
											else
												{	/* BackEnd/jvm.scm 290 */
													goto BgL_tagzd21254zd2_927;
												}
										}
									}
								else
									{	/* BackEnd/jvm.scm 287 */
										obj_t BgL_arg2662z00_1011;

										{	/* BackEnd/jvm.scm 287 */
											obj_t BgL_pairz00_1220;

											BgL_pairz00_1220 = BgL_sourcesz00_878;
											BgL_arg2662z00_1011 = CAR(CAR(BgL_pairz00_1220));
										}
										return
											BGl_errorz00zz__errorz00
											(BGl_string2689z00zzbackend_jvmz00,
											BGl_string2714z00zzbackend_jvmz00, BgL_arg2662z00_1011);
									}
							}
					}
			}
		}
	}



/* <exit:2580> */
	obj_t BGl_zc3exitza32580ze3z83zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 279 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2382z00_917;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit2382z00_917))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit2382z00_917 = (void *) jmpbuf;
						{	/* BackEnd/jvm.scm 279 */

							PUSH_EXIT(BgL_an_exit2382z00_917, ((long) 0));
							{	/* BackEnd/jvm.scm 277 */
								obj_t BgL_val2383z00_918;

								BgL_val2383z00_918 = BGl_compilerz00zzengine_compilerz00();
								POP_EXIT();
								return BgL_val2383z00_918;
							}
						}
					}
			}
		}
	}



/* backend-cnst-table-n2394 */
	obj_t BGl_backendzd2cnstzd2tablezd2n2394zd2zzbackend_jvmz00(obj_t
		BgL_envz00_1241, obj_t BgL_mez00_1242, obj_t BgL_offsetz00_1243)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 206 */
			return BGl_string2715z00zzbackend_jvmz00;
		}
	}



/* backend-link-jvm2392 */
	obj_t BGl_backendzd2linkzd2jvm2392z00zzbackend_jvmz00(obj_t BgL_envz00_1244,
		obj_t BgL_mez00_1245, obj_t BgL_resultz00_1246)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 199 */
			return BGl_jvmzd2ldzd2zzsaw_jvm_ldz00(BFALSE);
		}
	}



/* backend-compile-jvm2390 */
	obj_t BGl_backendzd2compilezd2jvm2390z00zzbackend_jvmz00(obj_t
		BgL_envz00_1247, obj_t BgL_mez00_1248)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 35 */
			{
				BgL_jvmz00_bglt BgL_mez00_732;

				BgL_mez00_732 = (BgL_jvmz00_bglt) (BgL_mez00_1248);
				{	/* BackEnd/jvm.scm 37 */
					obj_t BgL_list2468z00_736;

					{	/* BackEnd/jvm.scm 37 */
						obj_t BgL_arg2470z00_738;

						{	/* BackEnd/jvm.scm 37 */
							obj_t BgL_arg2472z00_740;

							BgL_arg2472z00_740 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg2470z00_738 =
								MAKE_PAIR(BGl_string2716z00zzbackend_jvmz00,
								BgL_arg2472z00_740);
						}
						BgL_list2468z00_736 =
							MAKE_PAIR(BGl_string2717z00zzbackend_jvmz00, BgL_arg2470z00_738);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2468z00_736);
				}
				BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
				BGl_za2currentzd2passza2zd2zzengine_passz00 =
					BGl_string2716z00zzbackend_jvmz00;
				{	/* BackEnd/jvm.scm 37 */
					obj_t BgL_g2362z00_741;

					obj_t BgL_g2363z00_742;

					{	/* BackEnd/jvm.scm 37 */
						obj_t BgL_list2483z00_754;

						BgL_list2483z00_754 =
							MAKE_PAIR(BGl_startzd2jvmzd2emissionz12zd2envzc0zzbackend_jvmz00,
							BNIL);
						BgL_g2362z00_741 = BgL_list2483z00_754;
					}
					BgL_g2363z00_742 = CNST_TABLE_REF(((long) 14));
					{
						obj_t BgL_hooksz00_743;

						obj_t BgL_hnamesz00_744;

						BgL_hooksz00_743 = BgL_g2362z00_741;
						BgL_hnamesz00_744 = BgL_g2363z00_742;
					BgL_loopz00_745:
						if (NULLP(BgL_hooksz00_743))
							{	/* BackEnd/jvm.scm 37 */
								CNST_TABLE_REF(((long) 15));
							}
						else
							{	/* BackEnd/jvm.scm 37 */
								bool_t BgL_testz00_1654;

								{	/* BackEnd/jvm.scm 37 */
									obj_t BgL_fun2482z00_753;

									BgL_fun2482z00_753 = CAR(BgL_hooksz00_743);
									BgL_testz00_1654 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun2482z00_753)
										(BgL_fun2482z00_753, BEOA));
								}
								if (BgL_testz00_1654)
									{
										obj_t BgL_hnamesz00_1661;

										obj_t BgL_hooksz00_1659;

										BgL_hooksz00_1659 = CDR(BgL_hooksz00_743);
										BgL_hnamesz00_1661 = CDR(BgL_hnamesz00_744);
										BgL_hnamesz00_744 = BgL_hnamesz00_1661;
										BgL_hooksz00_743 = BgL_hooksz00_1659;
										goto BgL_loopz00_745;
									}
								else
									{	/* BackEnd/jvm.scm 37 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string2716z00zzbackend_jvmz00,
											BGl_string2718z00zzbackend_jvmz00,
											CAR(BgL_hnamesz00_744));
									}
							}
					}
				}
				{	/* BackEnd/jvm.scm 38 */
					obj_t BgL_arg2487z00_758;

					BgL_arg2487z00_758 =
						BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
						(BGl_za2moduleza2z00zzmodule_modulez00);
					{	/* BackEnd/jvm.scm 38 */
						obj_t BgL_list2489z00_760;

						{	/* BackEnd/jvm.scm 38 */
							obj_t BgL_arg2490z00_761;

							{	/* BackEnd/jvm.scm 38 */
								obj_t BgL_arg2491z00_762;

								{	/* BackEnd/jvm.scm 38 */
									obj_t BgL_arg2492z00_763;

									{	/* BackEnd/jvm.scm 38 */
										obj_t BgL_arg2493z00_764;

										{	/* BackEnd/jvm.scm 38 */
											obj_t BgL_arg2494z00_765;

											BgL_arg2494z00_765 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg2493z00_764 =
												MAKE_PAIR(BGl_string2719z00zzbackend_jvmz00,
												BgL_arg2494z00_765);
										}
										BgL_arg2492z00_763 =
											MAKE_PAIR(BgL_arg2487z00_758, BgL_arg2493z00_764);
									}
									BgL_arg2491z00_762 =
										MAKE_PAIR(BGl_string2720z00zzbackend_jvmz00,
										BgL_arg2492z00_763);
								}
								BgL_arg2490z00_761 =
									MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
									BgL_arg2491z00_762);
							}
							BgL_list2489z00_760 =
								MAKE_PAIR(BGl_string2721z00zzbackend_jvmz00,
								BgL_arg2490z00_761);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
							BgL_list2489z00_760);
				}}
				{	/* BackEnd/jvm.scm 41 */
					obj_t BgL_arg2495z00_766;

					{	/* BackEnd/jvm.scm 41 */
						obj_t BgL_arg2496z00_767;

						BgL_arg2496z00_767 =
							BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
							(BGl_za2moduleza2z00zzmodule_modulez00);
						BgL_arg2495z00_766 =
							string_to_symbol(BSTRING_TO_STRING(BgL_arg2496z00_767));
					}
					((((BgL_jvmz00_bglt) CREF(BgL_mez00_732))->BgL_qnamez00) =
						((obj_t) BgL_arg2495z00_766), BUNSPEC);
				}
				{	/* BackEnd/jvm.scm 44 */
					bool_t BgL_testz00_1679;

					if (CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
						{	/* BackEnd/jvm.scm 44 */
							BgL_testz00_1679 = ((bool_t) 0);
						}
					else
						{	/* BackEnd/jvm.scm 44 */
							BgL_testz00_1679 =
								CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BGl_za2passza2z00zzengine_paramz00,
									CNST_TABLE_REF(((long) 16))));
						}
					if (BgL_testz00_1679)
						{	/* BackEnd/jvm.scm 44 */
							BGl_za2mainza2z00zzmodule_modulez00 =
								BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
						}
					else
						{	/* BackEnd/jvm.scm 44 */
							BFALSE;
						}
				}
				BGl_jvmzd2checkzd2packagez00zzbackend_jvmz00
					(BGl_za2moduleza2z00zzmodule_modulez00,
					BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00);
				{	/* BackEnd/jvm.scm 71 */
					obj_t BgL_lza2za2_769;

					obj_t BgL_bnamez00_770;

					BgL_lza2za2_769 =
						BGl_saw_jvmzd2compilezd2zzsaw_jvm_compilez00(BgL_mez00_732);
					if (
						(BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 10))))
						{	/* BackEnd/jvm.scm 73 */
							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/jvm.scm 74 */
									BgL_bnamez00_770 =
										BGl_addsuffixz00zzbackend_jvmz00(BGl_prefixz00zz__osz00
										(BGl_basenamez00zz__osz00(CAR
												(BGl_za2srczd2filesza2zd2zzengine_paramz00))));
								}
							else
								{	/* BackEnd/jvm.scm 74 */
									BgL_bnamez00_770 = BGl_string2722z00zzbackend_jvmz00;
								}
						}
					else
						{	/* BackEnd/jvm.scm 73 */
							if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
								{	/* BackEnd/jvm.scm 77 */
									BgL_bnamez00_770 =
										BGl_addsuffixz00zzbackend_jvmz00(BGl_prefixz00zz__osz00
										(BGl_basenamez00zz__osz00
											(BGl_za2destza2z00zzengine_paramz00)));
								}
							else
								{	/* BackEnd/jvm.scm 77 */
									if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
										{	/* BackEnd/jvm.scm 78 */
											BgL_bnamez00_770 =
												BGl_addsuffixz00zzbackend_jvmz00(BGl_prefixz00zz__osz00
												(BGl_basenamez00zz__osz00(CAR
														(BGl_za2srczd2filesza2zd2zzengine_paramz00))));
										}
									else
										{	/* BackEnd/jvm.scm 78 */
											BgL_bnamez00_770 = BFALSE;
										}
								}
						}
					BGl_emitz00zzbackend_jvmz00(CAR(BgL_lza2za2_769), BgL_bnamez00_770);
					{	/* BackEnd/jvm.scm 84 */
						obj_t BgL_g2386z00_772;

						BgL_g2386z00_772 = CDR(BgL_lza2za2_769);
						{
							obj_t BgL_l2384z00_773;

							BgL_l2384z00_773 = BgL_g2386z00_772;
						BgL_forzd2each2385zd2_774:
							if (PAIRP(BgL_l2384z00_773))
								{	/* BackEnd/jvm.scm 84 */
									{	/* BackEnd/jvm.scm 84 */
										obj_t BgL_cfz00_776;

										BgL_cfz00_776 = CAR(BgL_l2384z00_773);
										BGl_emitz00zzbackend_jvmz00(BgL_cfz00_776,
											BGl_jasnamez00zzbackend_jvmz00(BgL_cfz00_776));
									}
									{
										obj_t BgL_l2384z00_1716;

										BgL_l2384z00_1716 = CDR(BgL_l2384z00_773);
										BgL_l2384z00_773 = BgL_l2384z00_1716;
										goto BgL_forzd2each2385zd2_774;
									}
								}
							else
								{	/* BackEnd/jvm.scm 84 */
									((bool_t) 1);
								}
						}
					}
					{	/* BackEnd/jvm.scm 86 */
						obj_t BgL_arg2503z00_779;

						BgL_arg2503z00_779 = CNST_TABLE_REF(((long) 17));
						BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2503z00_779,
							BGl_proc2723z00zzbackend_jvmz00);
					}
					{	/* BackEnd/jvm.scm 87 */
						obj_t BgL_arg2506z00_783;

						BgL_arg2506z00_783 = CNST_TABLE_REF(((long) 8));
						BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2506z00_783,
							BGl_proc2724z00zzbackend_jvmz00);
					}
					{	/* BackEnd/jvm.scm 88 */
						obj_t BgL_arg2509z00_787;

						BgL_arg2509z00_787 = CNST_TABLE_REF(((long) 7));
						return
							BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2509z00_787,
							BGl_proc2725z00zzbackend_jvmz00);
					}
				}
			}
		}
	}



/* <exit:2542> */
	obj_t BGl_zc3exitza32542ze3z83zzbackend_jvmz00(obj_t BgL_portz00_1273,
		obj_t BgL_classfilez00_1272)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 69 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2372z00_836;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit2372z00_836))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit2372z00_836 = (void *) jmpbuf;
						{	/* BackEnd/jvm.scm 69 */

							PUSH_EXIT(BgL_an_exit2372z00_836, ((long) 0));
							{	/* BackEnd/jvm.scm 68 */
								obj_t BgL_val2373z00_837;

								BgL_val2373z00_837 =
									BGl_jvmzd2aszd2zzjas_asz00(BgL_classfilez00_1272,
									BgL_portz00_1273);
								POP_EXIT();
								return BgL_val2373z00_837;
							}
						}
					}
			}
		}
	}



/* <exit:2537> */
	obj_t BGl_zc3exitza32537ze3z83zzbackend_jvmz00(obj_t BgL_portz00_1277,
		obj_t BgL_handlers2365z00_1276, obj_t BgL_cnamez00_1275,
		obj_t BgL_classfilez00_1274)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 63 */
			jmp_buf_t jmpbuf;

			void *BgL_exit2368z00_826;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_exit2368z00_826))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_exit2368z00_826 = (void *) jmpbuf;
						{	/* BackEnd/jvm.scm 63 */

							PUSH_EXIT(BgL_exit2368z00_826, ((long) 0));
							{	/* BackEnd/jvm.scm 63 */
								obj_t BgL_exitd2369z00_827;

								BgL_exitd2369z00_827 = BGL_EXITD_TOP();
								{	/* BackEnd/jvm.scm 63 */
									obj_t BgL_handler2366z00_1234;

									BgL_handler2366z00_1234 =
										make_fx_procedure(BGl_handler2366z00zzbackend_jvmz00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_handler2366z00_1234,
										(int) (((long) 0)), BgL_cnamez00_1275);
									PROCEDURE_SET(BgL_handler2366z00_1234,
										(int) (((long) 1)), BgL_exitd2369z00_827);
									{	/* BackEnd/jvm.scm 63 */
										obj_t BgL_arg2538z00_829;

										BgL_arg2538z00_829 =
											MAKE_PAIR(BgL_handler2366z00_1234,
											BgL_handlers2365z00_1276);
										BGL_ERROR_HANDLER_SET(BgL_arg2538z00_829);
										BUNSPEC;
									}
									{	/* BackEnd/jvm.scm 67 */
										obj_t BgL_tmp2370z00_830;

										{	/* BackEnd/jvm.scm 67 */
											obj_t BgL_val2371z00_831;

											BgL_val2371z00_831 =
												BGl_zc3exitza32542ze3z83zzbackend_jvmz00
												(BgL_portz00_1277, BgL_classfilez00_1274);
											close_binary_port(BgL_portz00_1277);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2371z00_831)))
												{	/* BackEnd/jvm.scm 69 */
													BgL_tmp2370z00_830 =
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2371z00_831), CDR(BgL_val2371z00_831));
												}
											else
												{	/* BackEnd/jvm.scm 69 */
													BgL_tmp2370z00_830 = BgL_val2371z00_831;
												}
										}
										POP_EXIT();
										return BgL_tmp2370z00_830;
									}
								}
							}
						}
					}
			}
		}
	}



/* emit */
	obj_t BGl_emitz00zzbackend_jvmz00(obj_t BgL_classfilez00_803,
		obj_t BgL_destz00_804)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 69 */
			{	/* BackEnd/jvm.scm 48 */
				obj_t BgL_dirz00_806;

				BgL_dirz00_806 = BGl_za2jvmzd2dirzd2nameza2z00zzbackend_jvmz00;
				if ((BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 8))))
					{	/* BackEnd/jvm.scm 50 */
						obj_t BgL_portz00_808;

						if (STRINGP(BgL_destz00_804))
							{	/* BackEnd/jvm.scm 53 */
								obj_t BgL_arg2531z00_812;

								BgL_arg2531z00_812 =
									string_append_3(BgL_dirz00_806,
									BGl_string2726z00zzbackend_jvmz00, BgL_destz00_804);
								{	/* BackEnd/jvm.scm 52 */

									BgL_portz00_808 =
										BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_arg2531z00_812, BTRUE);
								}
							}
						else
							{	/* BackEnd/jvm.scm 51 */
								obj_t BgL_res2668z00_1110;

								{	/* BackEnd/jvm.scm 51 */
									obj_t BgL_auxz00_1759;

									BgL_auxz00_1759 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res2668z00_1110 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1759);
								}
								BgL_portz00_808 = BgL_res2668z00_1110;
							}
						BGl_jvmasdumpz00zzbackend_jvmz00(BgL_classfilez00_803,
							BgL_portz00_808);
						{	/* BackEnd/jvm.scm 55 */
							bool_t BgL_testz00_1763;

							{	/* BackEnd/jvm.scm 55 */
								obj_t BgL_arg2529z00_810;

								{	/* BackEnd/jvm.scm 55 */
									obj_t BgL_res2669z00_1112;

									{	/* BackEnd/jvm.scm 55 */
										obj_t BgL_auxz00_1764;

										BgL_auxz00_1764 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2669z00_1112 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1764);
									}
									BgL_arg2529z00_810 = BgL_res2669z00_1112;
								}
								BgL_testz00_1763 = (BgL_portz00_808 == BgL_arg2529z00_810);
							}
							if (BgL_testz00_1763)
								{	/* BackEnd/jvm.scm 55 */
									return BFALSE;
								}
							else
								{	/* BackEnd/jvm.scm 55 */
									return bgl_close_output_port(BgL_portz00_808);
								}
						}
					}
				else
					{	/* BackEnd/jvm.scm 57 */
						obj_t BgL_cnamez00_815;

						if (STRINGP(BgL_destz00_804))
							{	/* BackEnd/jvm.scm 57 */
								BgL_cnamez00_815 =
									string_append_3(BgL_dirz00_806,
									BGl_string2726z00zzbackend_jvmz00, BgL_destz00_804);
							}
						else
							{	/* BackEnd/jvm.scm 57 */
								BgL_cnamez00_815 =
									string_append(BgL_dirz00_806,
									BGl_string2727z00zzbackend_jvmz00);
							}
						{	/* BackEnd/jvm.scm 57 */
							obj_t BgL_portz00_816;

							BgL_portz00_816 =
								BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
								(BgL_cnamez00_815);
							{	/* BackEnd/jvm.scm 60 */

								if (BINARY_PORTP(BgL_portz00_816))
									{	/* BackEnd/jvm.scm 61 */
										BFALSE;
									}
								else
									{	/* BackEnd/jvm.scm 61 */
										BGl_errorz00zz__errorz00(BGl_string2728z00zzbackend_jvmz00,
											BGl_string2729z00zzbackend_jvmz00, BgL_cnamez00_815);
									}
								{	/* BackEnd/jvm.scm 65 */
									obj_t BgL_handler2364z00_1233;

									BgL_handler2364z00_1233 =
										make_fx_procedure(BGl_handler2364z00zzbackend_jvmz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_handler2364z00_1233,
										(int) (((long) 0)), BgL_cnamez00_815);
									if (PROCEDURE_CORRECT_ARITYP(BgL_handler2364z00_1233,
											(int) (((long) 1))))
										{	/* BackEnd/jvm.scm 63 */
											obj_t BgL_handlers2365z00_820;

											BgL_handlers2365z00_820 = BGL_ERROR_HANDLER_GET();
											{	/* BackEnd/jvm.scm 63 */
												obj_t BgL_val2367z00_821;

												BgL_val2367z00_821 =
													BGl_zc3exitza32537ze3z83zzbackend_jvmz00
													(BgL_portz00_816, BgL_handlers2365z00_820,
													BgL_cnamez00_815, BgL_classfilez00_803);
												BGL_ERROR_HANDLER_SET(BgL_handlers2365z00_820);
												BUNSPEC;
												if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
														(BgL_val2367z00_821)))
													{	/* BackEnd/jvm.scm 63 */
														return
															BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
															(BgL_val2367z00_821), CDR(BgL_val2367z00_821));
													}
												else
													{	/* BackEnd/jvm.scm 63 */
														return BgL_val2367z00_821;
													}
											}
										}
									else
										{	/* BackEnd/jvm.scm 63 */
											return
												BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 18)),
												BGl_string2730z00zzbackend_jvmz00,
												BgL_handler2364z00_1233);
		}}}}}}}
	}



/* <anonymous:2511> */
	obj_t BGl_zc3anonymousza32511ze3z83zzbackend_jvmz00(obj_t BgL_envz00_1249)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 88 */
			{

				return CNST_TABLE_REF(((long) 19));
		}}
	}



/* <anonymous:2508> */
	obj_t BGl_zc3anonymousza32508ze3z83zzbackend_jvmz00(obj_t BgL_envz00_1250)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 87 */
			{

				return CNST_TABLE_REF(((long) 19));
		}}
	}



/* <anonymous:2505> */
	obj_t BGl_zc3anonymousza32505ze3z83zzbackend_jvmz00(obj_t BgL_envz00_1251)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 86 */
			{

				return CNST_TABLE_REF(((long) 19));
		}}
	}



/* handler2366 */
	obj_t BGl_handler2366z00zzbackend_jvmz00(obj_t BgL_envz00_1252,
		obj_t BgL_ez00_1255)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 63 */
			{	/* BackEnd/jvm.scm 63 */
				obj_t BgL_cnamez00_1253;

				obj_t BgL_exitd2369z00_1254;

				BgL_cnamez00_1253 = PROCEDURE_REF(BgL_envz00_1252, (int) (((long) 0)));
				BgL_exitd2369z00_1254 =
					PROCEDURE_REF(BgL_envz00_1252, (int) (((long) 1)));
				{
					obj_t BgL_ez00_838;

					BgL_ez00_838 = BgL_ez00_1255;
					{	/* BackEnd/jvm.scm 63 */
						obj_t BgL_arg2544z00_1119;

						{	/* BackEnd/jvm.scm 63 */
							char *BgL_stringz00_1121;

							BgL_stringz00_1121 = BSTRING_TO_STRING(BgL_cnamez00_1253);
							if (unlink(BgL_stringz00_1121))
								{	/* BackEnd/jvm.scm 63 */
									((bool_t) 0);
								}
							else
								{	/* BackEnd/jvm.scm 63 */
									((bool_t) 1);
								}
						}
						BgL_arg2544z00_1119 = BGl_raisez00zz__errorz00(BgL_ez00_838);
						return
							BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_exitd2369z00_1254,
							BgL_arg2544z00_1119);
					}
				}
			}
		}
	}



/* handler2364 */
	obj_t BGl_handler2364z00zzbackend_jvmz00(obj_t BgL_envz00_1256,
		obj_t BgL_ez00_1258)
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 64 */
			{	/* BackEnd/jvm.scm 65 */
				obj_t BgL_cnamez00_1257;

				BgL_cnamez00_1257 = PROCEDURE_REF(BgL_envz00_1256, (int) (((long) 0)));
				{
					obj_t BgL_ez00_842;

					BgL_ez00_842 = BgL_ez00_1258;
					{	/* BackEnd/jvm.scm 65 */
						char *BgL_stringz00_1125;

						BgL_stringz00_1125 = BSTRING_TO_STRING(BgL_cnamez00_1257);
						if (unlink(BgL_stringz00_1125))
							{	/* BackEnd/jvm.scm 65 */
								((bool_t) 0);
							}
						else
							{	/* BackEnd/jvm.scm 65 */
								((bool_t) 1);
							}
					}
					return BGl_raisez00zz__errorz00(BgL_ez00_842);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_jvmz00()
	{
		AN_OBJECT;
		{	/* BackEnd/jvm.scm 1 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_linkz00(((long) 392051205),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzengine_compilerz00(((long) 450629069),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(((long) 69061048),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 52967775),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(((long) 179083793),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 143212498),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzjas_asz00(((long) 29862157),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzjas_peepz00(((long) 442782109),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_compilez00(((long) 507437104),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_ldz00(((long) 499088871),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(((long) 293010567),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long) 385369337),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
			return
				BGl_modulezd2initializa7ationz75zzread_readerz00(((long) 484284287),
				BSTRING_TO_STRING(BGl_string2731z00zzbackend_jvmz00));
		}
	}

#ifdef __cplusplus
}
#endif
