/*===========================================================================*/
/*   (Cfa/iterate.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/iterate.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
		char dummy;
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
		char dummy;
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_atomzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_atomzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_selectzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_selectzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
		char dummy;
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
		char dummy;
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2structzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                             *BgL_makezd2structzd2appz00_bglt;

	typedef struct BgL_structzd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_structzd2refzd2appz00_bglt;

	typedef struct BgL_structzd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_structzd2setz12zd2appz12_bglt;


	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00
		(BgL_internzd2sfunzf2cinfoz20_bglt, obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_unitzd2initializa7ersz75zzast_unitz00();
	BGL_EXPORTED_DEF obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = BUNSPEC;
	static obj_t BGl__cfazd2iteratez12zc0zzcfa_iteratez00(obj_t, obj_t);
	static obj_t BGl__cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_iteratez00();
	static obj_t
		BGl_cfazd2exportzd2varz12zd2defa4583zc0zzcfa_iteratez00(BgL_valuez00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__cfazd2internzd2sfunz12z12zzcfa_iteratez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cfazd2exportzd2varz12zd2inte4590zc0zzcfa_iteratez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_iteratez00();
	static obj_t BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BUNSPEC;
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	BGL_EXPORTED_DECL obj_t
		BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt, obj_t);
	static obj_t BGl_cfazd2exportzd2varz12zd2svar4588zc0zzcfa_iteratez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00();
	static obj_t BGl_methodzd2initzd2zzcfa_iteratez00();
	static obj_t BGl__cfazd2exportzd2varz12zd2defa4583zc0zzcfa_iteratez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_iteratez00 = BUNSPEC;
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_cfazd2iteratez12zc0zzcfa_iteratez00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_iteratez00();
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t
		BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(BgL_valuez00_bglt);
	static bool_t BGl_exportedzd2closurezf3z21zzcfa_iteratez00(obj_t);
	static obj_t BGl__cfazd2exportzd2varz12z12zzcfa_iteratez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00();
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
		BgL_bgl__cfaza7d2exportza7d24731z00,
		BGl__cfazd2exportzd2varz12z12zzcfa_iteratez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfazd2internzd2sfunz12zd2envzc0zzcfa_iteratez00,
		BgL_bgl__cfaza7d2internza7d24732z00,
		BGl__cfazd2internzd2sfunz12z12zzcfa_iteratez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4724z00zzcfa_iteratez00,
		BgL_bgl_cfaza7d2exportza7d2v4733z00,
		BGl_cfazd2exportzd2varz12zd2svar4588zc0zzcfa_iteratez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4725z00zzcfa_iteratez00,
		BgL_bgl_cfaza7d2exportza7d2v4734z00,
		BGl_cfazd2exportzd2varz12zd2inte4590zc0zzcfa_iteratez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cfazd2iteratezd2tozd2fixpointz12zd2envz12zzcfa_iteratez00,
		BgL_bgl__cfaza7d2iterateza7d4735z00,
		BGl__cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string4726z00zzcfa_iteratez00,
		BgL_bgl_string4726za700za7za7c4736za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string4727z00zzcfa_iteratez00,
		BgL_bgl_string4727za700za7za7c4737za7, "cfa_iterate", 11);
	      DEFINE_STRING(BGl_string4728z00zzcfa_iteratez00,
		BgL_bgl_string4728za700za7za7c4738za7,
		"cfa-export-var!-defa4583 all never export ", 42);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_continuezd2cfaz12zd2envz12zzcfa_iteratez00,
		BgL_bgl__continueza7d2cfaza74739z00,
		BGl__continuezd2cfaz12zc0zzcfa_iteratez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_cfazd2exportzd2varz12zd2defa4583zd2envz12zzcfa_iteratez00,
		BgL_bgl__cfaza7d2exportza7d24740z00,
		BGl__cfazd2exportzd2varz12zd2defa4583zc0zzcfa_iteratez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cfazd2iteratez12zd2envz12zzcfa_iteratez00,
		BgL_bgl__cfaza7d2iterateza714741z00,
		BGl__cfazd2iteratez12zc0zzcfa_iteratez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long
		BgL_checksumz00_1719, char *BgL_fromz00_1720)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_iteratez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_iteratez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00();
					BGl_cnstzd2initzd2zzcfa_iteratez00();
					BGl_importedzd2moduleszd2initz00zzcfa_iteratez00();
					BGl_methodzd2initzd2zzcfa_iteratez00();
					BGl_toplevelzd2initzd2zzcfa_iteratez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_iteratez00()
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_iterate");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_iterate");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_iteratez00()
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 15 */
			{	/* Cfa/iterate.scm 15 */
				obj_t BgL_cportz00_1711;

				BgL_cportz00_1711 =
					bgl_open_input_string(BGl_string4728z00zzcfa_iteratez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1712;

					BgL_iz00_1712 = ((long) 3);
				BgL_loopz00_1713:
					if ((BgL_iz00_1712 == ((long) -1)))
						{	/* Cfa/iterate.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/iterate.scm 15 */
							{	/* Cfa/iterate.scm 15 */
								obj_t BgL_arg4730z00_1715;

								{	/* Cfa/iterate.scm 15 */

									{	/* Cfa/iterate.scm 15 */
										obj_t BgL_locationz00_1717;

										BgL_locationz00_1717 = BBOOL(((bool_t) 0));
										{	/* Cfa/iterate.scm 15 */

											BgL_arg4730z00_1715 =
												BGl_readz00zz__readerz00(BgL_cportz00_1711,
												BgL_locationz00_1717);
										}
									}
								}
								{	/* Cfa/iterate.scm 15 */
									int BgL_auxz00_1739;

									BgL_auxz00_1739 = (int) (BgL_iz00_1712);
									CNST_TABLE_SET(BgL_auxz00_1739, BgL_arg4730z00_1715);
							}}
							{	/* Cfa/iterate.scm 15 */
								int BgL_auxz00_1718;

								BgL_auxz00_1718 = (int) ((BgL_iz00_1712 - ((long) 1)));
								{
									long BgL_iz00_1744;

									BgL_iz00_1744 = (long) (BgL_auxz00_1718);
									BgL_iz00_1712 = BgL_iz00_1744;
									goto BgL_loopz00_1713;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_iteratez00()
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 15 */
			BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BUNSPEC;
			return (BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 =
				BINT(((long) -1)), BUNSPEC);
		}
	}



/* cfa-iterate-to-fixpoint! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t
		BgL_globalsz00_1)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 37 */
			BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 = BINT(((long) -1));
			{	/* Cfa/iterate.scm 42 */
				obj_t BgL_glodefsz00_1000;

				BgL_glodefsz00_1000 = BNIL;
				{
					obj_t BgL_l4576z00_1001;

					BgL_l4576z00_1001 = BgL_globalsz00_1;
				BgL_forzd2each4577zd2_1002:
					if (PAIRP(BgL_l4576z00_1001))
						{	/* Cfa/iterate.scm 43 */
							{	/* Cfa/iterate.scm 44 */
								obj_t BgL_gz00_1004;

								BgL_gz00_1004 = CAR(BgL_l4576z00_1001);
								{	/* Cfa/iterate.scm 44 */
									bool_t BgL_testz00_1751;

									{	/* Cfa/iterate.scm 44 */
										bool_t BgL_testz00_1752;

										{	/* Cfa/iterate.scm 44 */
											obj_t BgL_auxz00_1753;

											{
												BgL_globalz00_bglt BgL_auxz00_1754;

												BgL_auxz00_1754 = (BgL_globalz00_bglt) (BgL_gz00_1004);
												BgL_auxz00_1753 =
													(((BgL_globalz00_bglt) CREF(BgL_auxz00_1754))->
													BgL_importz00);
											}
											BgL_testz00_1752 =
												(BgL_auxz00_1753 == CNST_TABLE_REF(((long) 0)));
										}
										if (BgL_testz00_1752)
											{	/* Cfa/iterate.scm 44 */
												BgL_testz00_1751 = ((bool_t) 1);
											}
										else
											{	/* Cfa/iterate.scm 44 */
												BgL_testz00_1751 =
													BGl_exportedzd2closurezf3z21zzcfa_iteratez00
													(BgL_gz00_1004);
											}
									}
									if (BgL_testz00_1751)
										{	/* Cfa/iterate.scm 44 */
											BgL_glodefsz00_1000 =
												MAKE_PAIR(BgL_gz00_1004, BgL_glodefsz00_1000);
										}
									else
										{	/* Cfa/iterate.scm 44 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l4576z00_1761;

								BgL_l4576z00_1761 = CDR(BgL_l4576z00_1001);
								BgL_l4576z00_1001 = BgL_l4576z00_1761;
								goto BgL_forzd2each4577zd2_1002;
							}
						}
					else
						{	/* Cfa/iterate.scm 43 */
							((bool_t) 1);
						}
				}
				{	/* Cfa/iterate.scm 49 */
					obj_t BgL_arg4597z00_1010;

					BgL_arg4597z00_1010 = BGl_unitzd2initializa7ersz75zzast_unitz00();
					BgL_glodefsz00_1000 =
						bgl_append2(BgL_arg4597z00_1010, BgL_glodefsz00_1000);
				}
				BGl_continuezd2cfaz12zc0zzcfa_iteratez00();
				{

				BgL_loopz00_1011:
					if (CBOOL(BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00))
						{	/* Cfa/iterate.scm 54 */
							BGl_cfazd2iteratez12zc0zzcfa_iteratez00(BgL_glodefsz00_1000);
							goto BgL_loopz00_1011;
						}
					else
						{	/* Cfa/iterate.scm 54 */
							return BgL_glodefsz00_1000;
						}
				}
			}
		}
	}



/* _cfa-iterate-to-fixpoint! */
	obj_t BGl__cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00(obj_t
		BgL_envz00_1689, obj_t BgL_globalsz00_1690)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 37 */
			return
				BGl_cfazd2iteratezd2tozd2fixpointz12zc0zzcfa_iteratez00
				(BgL_globalsz00_1690);
		}
	}



/* exported-closure? */
	bool_t BGl_exportedzd2closurezf3z21zzcfa_iteratez00(obj_t BgL_gz00_2)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 64 */
			{	/* Cfa/iterate.scm 65 */
				bool_t BgL_testz00_1770;

				{	/* Cfa/iterate.scm 65 */
					obj_t BgL_auxz00_1771;

					{
						BgL_variablez00_bglt BgL_auxz00_1772;

						BgL_auxz00_1772 = (BgL_variablez00_bglt) (BgL_gz00_2);
						BgL_auxz00_1771 =
							(((BgL_variablez00_bglt) CREF(BgL_auxz00_1772))->
							BgL_removablez00);
					}
					BgL_testz00_1770 = (BgL_auxz00_1771 == CNST_TABLE_REF(((long) 1)));
				}
				if (BgL_testz00_1770)
					{	/* Cfa/iterate.scm 66 */
						BgL_valuez00_bglt BgL_valz00_1014;

						{
							BgL_variablez00_bglt BgL_auxz00_1777;

							BgL_auxz00_1777 = (BgL_variablez00_bglt) (BgL_gz00_2);
							BgL_valz00_1014 =
								(((BgL_variablez00_bglt) CREF(BgL_auxz00_1777))->BgL_valuez00);
						}
						{	/* Cfa/iterate.scm 67 */
							bool_t BgL_testz00_1780;

							{	/* Cfa/iterate.scm 67 */
								obj_t BgL_obj1829z00_1599;

								BgL_obj1829z00_1599 = (obj_t) (BgL_valz00_1014);
								BgL_testz00_1780 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj1829z00_1599,
									BGl_sfunz00zzast_varz00);
							}
							if (BgL_testz00_1780)
								{	/* Cfa/iterate.scm 68 */
									bool_t BgL_testz00_1783;

									{	/* Cfa/iterate.scm 68 */
										obj_t BgL_arg4602z00_1020;

										{
											BgL_sfunz00_bglt BgL_auxz00_1784;

											BgL_auxz00_1784 = (BgL_sfunz00_bglt) (BgL_valz00_1014);
											BgL_arg4602z00_1020 =
												(((BgL_sfunz00_bglt) CREF(BgL_auxz00_1784))->
												BgL_thezd2closurezd2globalz00);
										}
										BgL_testz00_1783 =
											BGl_iszd2azf3z21zz__objectz00(BgL_arg4602z00_1020,
											BGl_globalz00zzast_varz00);
									}
									if (BgL_testz00_1783)
										{	/* Cfa/iterate.scm 69 */
											obj_t BgL_auxz00_1788;

											{	/* Cfa/iterate.scm 69 */
												BgL_globalz00_bglt BgL_obj1554z00_1603;

												{	/* Cfa/iterate.scm 69 */
													BgL_sfunz00_bglt BgL_obj1772z00_1602;

													BgL_obj1772z00_1602 =
														(BgL_sfunz00_bglt) (BgL_valz00_1014);
													BgL_obj1554z00_1603 =
														(BgL_globalz00_bglt) (
														(((BgL_sfunz00_bglt) CREF(BgL_obj1772z00_1602))->
															BgL_thezd2closurezd2globalz00));
												}
												BgL_auxz00_1788 =
													(((BgL_globalz00_bglt) CREF(BgL_obj1554z00_1603))->
													BgL_importz00);
											}
											return (BgL_auxz00_1788 == CNST_TABLE_REF(((long) 0)));
										}
									else
										{	/* Cfa/iterate.scm 68 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Cfa/iterate.scm 67 */
									return ((bool_t) 0);
								}
						}
					}
				else
					{	/* Cfa/iterate.scm 65 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* cfa-iterate! */
	BGL_EXPORTED_DEF obj_t BGl_cfazd2iteratez12zc0zzcfa_iteratez00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 74 */
			BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BFALSE;
			{	/* Cfa/iterate.scm 76 */
				long BgL_za72za7_1605;

				BgL_za72za7_1605 =
					(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
				BGl_za2cfazd2stampza2zd2zzcfa_iteratez00 =
					BINT((((long) 1) + BgL_za72za7_1605));
			}
			{
				obj_t BgL_l4578z00_1023;

				BgL_l4578z00_1023 = BgL_globalsz00_3;
			BgL_forzd2each4579zd2_1024:
				if (PAIRP(BgL_l4578z00_1023))
					{	/* Cfa/iterate.scm 78 */
						{	/* Cfa/iterate.scm 81 */
							obj_t BgL_gz00_1026;

							BgL_gz00_1026 = CAR(BgL_l4578z00_1023);
							{	/* Cfa/iterate.scm 80 */
								BgL_valuez00_bglt BgL_arg4607z00_1027;

								{
									BgL_variablez00_bglt BgL_auxz00_1801;

									BgL_auxz00_1801 = (BgL_variablez00_bglt) (BgL_gz00_1026);
									BgL_arg4607z00_1027 =
										(((BgL_variablez00_bglt) CREF(BgL_auxz00_1801))->
										BgL_valuez00);
								}
								{	/* Cfa/iterate.scm 80 */
									obj_t BgL_method4585z00_1611;

									{	/* Cfa/iterate.scm 80 */
										BgL_objectz00_bglt BgL_objz00_1612;

										BgL_objz00_1612 =
											(BgL_objectz00_bglt) (BgL_arg4607z00_1027);
										{	/* Cfa/iterate.scm 80 */
											long BgL_objzd2classzd2numz00_1613;

											BgL_objzd2classzd2numz00_1613 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1612);
											{	/* Cfa/iterate.scm 80 */
												obj_t BgL_arg2388z00_1614;

												BgL_arg2388z00_1614 =
													PROCEDURE_REF
													(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
													(int) (((long) 1)));
												{	/* Cfa/iterate.scm 80 */
													obj_t BgL_arrayz00_1616;

													int BgL_offsetz00_1617;

													BgL_arrayz00_1616 = BgL_arg2388z00_1614;
													BgL_offsetz00_1617 =
														(int) (BgL_objzd2classzd2numz00_1613);
													{	/* Cfa/iterate.scm 80 */
														long BgL_offsetz00_1618;

														BgL_offsetz00_1618 =
															((long) (BgL_offsetz00_1617) - OBJECT_TYPE);
														{	/* Cfa/iterate.scm 80 */
															long BgL_modz00_1619;

															{	/* Cfa/iterate.scm 80 */
																int BgL_arg2390z00_1620;

																BgL_arg2390z00_1620 = (int) (((long) 8));
																{	/* Cfa/iterate.scm 80 */
																	long BgL_auxz00_1812;

																	BgL_auxz00_1812 =
																		(long) (BgL_arg2390z00_1620);
																	BgL_modz00_1619 =
																		(BgL_offsetz00_1618 / BgL_auxz00_1812);
															}}
															{	/* Cfa/iterate.scm 80 */
																long BgL_restz00_1621;

																{	/* Cfa/iterate.scm 80 */
																	int BgL_arg2389z00_1622;

																	BgL_arg2389z00_1622 = (int) (((long) 8));
																	{	/* Cfa/iterate.scm 80 */
																		long BgL_auxz00_1816;

																		BgL_auxz00_1816 =
																			(long) (BgL_arg2389z00_1622);
																		BgL_restz00_1621 =
																			(BgL_offsetz00_1618 % BgL_auxz00_1816);
																}}
																{	/* Cfa/iterate.scm 80 */

																	BgL_method4585z00_1611 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1616,
																			(int) (BgL_modz00_1619)),
																		(int) (BgL_restz00_1621));
									}}}}}}}}
									PROCEDURE_ENTRY(BgL_method4585z00_1611)
										(BgL_method4585z00_1611, (obj_t) (BgL_arg4607z00_1027),
										BgL_gz00_1026, BEOA);
							}} BNIL;
						}
						{
							obj_t BgL_l4578z00_1826;

							BgL_l4578z00_1826 = CDR(BgL_l4578z00_1023);
							BgL_l4578z00_1023 = BgL_l4578z00_1826;
							goto BgL_forzd2each4579zd2_1024;
						}
					}
				else
					{	/* Cfa/iterate.scm 78 */
						((bool_t) 1);
					}
			}
			return BNIL;
		}
	}



/* _cfa-iterate! */
	obj_t BGl__cfazd2iteratez12zc0zzcfa_iteratez00(obj_t BgL_envz00_1691,
		obj_t BgL_globalsz00_1692)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 74 */
			return BGl_cfazd2iteratez12zc0zzcfa_iteratez00(BgL_globalsz00_1692);
		}
	}



/* cfa-intern-sfun! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt
		BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00
		(BgL_internzd2sfunzf2cinfoz20_bglt BgL_sfunz00_12, obj_t BgL_ownerz00_13)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 135 */
			{	/* Cfa/iterate.scm 138 */
				bool_t BgL_testz00_1829;

				{	/* Cfa/iterate.scm 138 */
					long BgL_n2z00_1639;

					BgL_n2z00_1639 =
						(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
					{	/* Cfa/iterate.scm 138 */
						long BgL_auxz00_1831;

						{
							obj_t BgL_auxz00_1832;

							{	/* Cfa/iterate.scm 138 */
								BgL_objectz00_bglt BgL_auxz00_1833;

								BgL_auxz00_1833 = (BgL_objectz00_bglt) (BgL_sfunz00_12);
								BgL_auxz00_1832 = BGL_OBJECT_WIDENING(BgL_auxz00_1833);
							}
							BgL_auxz00_1831 =
								(((BgL_internzd2sfunzf2cinfoz20_bglt) CREF(BgL_auxz00_1832))->
								BgL_stampz00);
						}
						BgL_testz00_1829 = (BgL_auxz00_1831 == BgL_n2z00_1639);
				}}
				if (BgL_testz00_1829)
					{
						obj_t BgL_auxz00_1838;

						{	/* Cfa/iterate.scm 139 */
							BgL_objectz00_bglt BgL_auxz00_1839;

							BgL_auxz00_1839 = (BgL_objectz00_bglt) (BgL_sfunz00_12);
							BgL_auxz00_1838 = BGL_OBJECT_WIDENING(BgL_auxz00_1839);
						}
						return
							(((BgL_internzd2sfunzf2cinfoz20_bglt) CREF(BgL_auxz00_1838))->
							BgL_approxz00);
					}
				else
					{	/* Cfa/iterate.scm 138 */
						{
							long BgL_auxz00_1847;

							obj_t BgL_auxz00_1843;

							BgL_auxz00_1847 =
								(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
							{	/* Cfa/iterate.scm 141 */
								BgL_objectz00_bglt BgL_auxz00_1844;

								BgL_auxz00_1844 = (BgL_objectz00_bglt) (BgL_sfunz00_12);
								BgL_auxz00_1843 = BGL_OBJECT_WIDENING(BgL_auxz00_1844);
							}
							((((BgL_internzd2sfunzf2cinfoz20_bglt) CREF(BgL_auxz00_1843))->
									BgL_stampz00) = ((long) BgL_auxz00_1847), BUNSPEC);
						}
						{	/* Cfa/iterate.scm 142 */
							BgL_approxz00_bglt BgL_arg4610z00_1031;

							BgL_approxz00_bglt BgL_arg4611z00_1032;

							{
								obj_t BgL_auxz00_1850;

								{	/* Cfa/iterate.scm 142 */
									BgL_objectz00_bglt BgL_auxz00_1851;

									BgL_auxz00_1851 = (BgL_objectz00_bglt) (BgL_sfunz00_12);
									BgL_auxz00_1850 = BGL_OBJECT_WIDENING(BgL_auxz00_1851);
								}
								BgL_arg4610z00_1031 =
									(((BgL_internzd2sfunzf2cinfoz20_bglt) CREF(BgL_auxz00_1850))->
									BgL_approxz00);
							}
							{	/* Cfa/iterate.scm 142 */
								obj_t BgL_arg4612z00_1033;

								{
									BgL_sfunz00_bglt BgL_auxz00_1855;

									BgL_auxz00_1855 = (BgL_sfunz00_bglt) (BgL_sfunz00_12);
									BgL_arg4612z00_1033 =
										(((BgL_sfunz00_bglt) CREF(BgL_auxz00_1855))->BgL_bodyz00);
								}
								BgL_arg4611z00_1032 =
									BGl_cfaz12z12zzcfa_cfaz00(
									(BgL_nodez00_bglt) (BgL_arg4612z00_1033));
							}
							BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4610z00_1031,
								BgL_arg4611z00_1032);
						}
						{
							obj_t BgL_auxz00_1861;

							{	/* Cfa/iterate.scm 142 */
								BgL_objectz00_bglt BgL_auxz00_1862;

								BgL_auxz00_1862 = (BgL_objectz00_bglt) (BgL_sfunz00_12);
								BgL_auxz00_1861 = BGL_OBJECT_WIDENING(BgL_auxz00_1862);
							}
							return
								(((BgL_internzd2sfunzf2cinfoz20_bglt) CREF(BgL_auxz00_1861))->
								BgL_approxz00);
						}
					}
			}
		}
	}



/* _cfa-intern-sfun! */
	obj_t BGl__cfazd2internzd2sfunz12z12zzcfa_iteratez00(obj_t BgL_envz00_1696,
		obj_t BgL_sfunz00_1697, obj_t BgL_ownerz00_1698)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 135 */
			return
				(obj_t) (BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(
					(BgL_internzd2sfunzf2cinfoz20_bglt) (BgL_sfunz00_1697),
					BgL_ownerz00_1698));
		}
	}



/* continue-cfa! */
	BGL_EXPORTED_DEF obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00()
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 154 */
			if (CBOOL(BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00))
				{	/* Cfa/iterate.scm 155 */
					BFALSE;
				}
			else
				{	/* Cfa/iterate.scm 155 */
					BNIL;
				}
			return (BGl_za2cfazd2continuezf3za2z21zzcfa_iteratez00 = BTRUE, BUNSPEC);
		}
	}



/* _continue-cfa! */
	obj_t BGl__continuezd2cfaz12zc0zzcfa_iteratez00(obj_t BgL_envz00_1699)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 154 */
			return BGl_continuezd2cfaz12zc0zzcfa_iteratez00();
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_iteratez00()
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 15 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
				BGl_cfazd2exportzd2varz12zd2defa4583zd2envz12zzcfa_iteratez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc4724z00zzcfa_iteratez00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00,
				BGl_proc4725z00zzcfa_iteratez00);
		}
	}



/* cfa-export-var!-inte4590 */
	obj_t BGl_cfazd2exportzd2varz12zd2inte4590zc0zzcfa_iteratez00(obj_t
		BgL_envz00_1702, obj_t BgL_valuez00_1703, obj_t BgL_ownerz00_1704)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 107 */
			{
				BgL_internzd2sfunzf2cinfoz20_bglt BgL_valuez00_1572;

				obj_t BgL_ownerz00_1573;

				{	/* Cfa/iterate.scm 108 */
					BgL_approxz00_bglt BgL_auxz00_1875;

					BgL_valuez00_1572 =
						(BgL_internzd2sfunzf2cinfoz20_bglt) (BgL_valuez00_1703);
					BgL_ownerz00_1573 = BgL_ownerz00_1704;
					{	/* Cfa/iterate.scm 112 */
						bool_t BgL_testz00_1876;

						{	/* Cfa/iterate.scm 112 */
							long BgL_n2z00_1653;

							BgL_n2z00_1653 =
								(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
							{	/* Cfa/iterate.scm 112 */
								long BgL_auxz00_1878;

								{
									obj_t BgL_auxz00_1879;

									{	/* Cfa/iterate.scm 112 */
										BgL_objectz00_bglt BgL_auxz00_1880;

										BgL_auxz00_1880 = (BgL_objectz00_bglt) (BgL_valuez00_1572);
										BgL_auxz00_1879 = BGL_OBJECT_WIDENING(BgL_auxz00_1880);
									}
									BgL_auxz00_1878 =
										(((BgL_internzd2sfunzf2cinfoz20_bglt)
											CREF(BgL_auxz00_1879))->BgL_stampz00);
								}
								BgL_testz00_1876 = (BgL_auxz00_1878 == BgL_n2z00_1653);
						}}
						if (BgL_testz00_1876)
							{	/* Cfa/iterate.scm 112 */
								{
									long BgL_auxz00_1889;

									obj_t BgL_auxz00_1885;

									BgL_auxz00_1889 =
										(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
									{	/* Cfa/iterate.scm 114 */
										BgL_objectz00_bglt BgL_auxz00_1886;

										BgL_auxz00_1886 = (BgL_objectz00_bglt) (BgL_valuez00_1572);
										BgL_auxz00_1885 = BGL_OBJECT_WIDENING(BgL_auxz00_1886);
									}
									((((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_1885))->BgL_stampz00) =
										((long) BgL_auxz00_1889), BUNSPEC);
								}
								{
									obj_t BgL_auxz00_1892;

									{	/* Cfa/iterate.scm 114 */
										BgL_objectz00_bglt BgL_auxz00_1893;

										BgL_auxz00_1893 = (BgL_objectz00_bglt) (BgL_valuez00_1572);
										BgL_auxz00_1892 = BGL_OBJECT_WIDENING(BgL_auxz00_1893);
									}
									BgL_auxz00_1875 =
										(((BgL_internzd2sfunzf2cinfoz20_bglt)
											CREF(BgL_auxz00_1892))->BgL_approxz00);
							}}
						else
							{	/* Cfa/iterate.scm 112 */
								{	/* Cfa/iterate.scm 121 */
									obj_t BgL_g4582z00_1578;

									{
										BgL_sfunz00_bglt BgL_auxz00_1897;

										BgL_auxz00_1897 = (BgL_sfunz00_bglt) (BgL_valuez00_1572);
										BgL_g4582z00_1578 =
											(((BgL_sfunz00_bglt) CREF(BgL_auxz00_1897))->BgL_argsz00);
									}
									{
										obj_t BgL_l4580z00_1579;

										BgL_l4580z00_1579 = BgL_g4582z00_1578;
									BgL_forzd2each4581zd2_1580:
										if (PAIRP(BgL_l4580z00_1579))
											{	/* Cfa/iterate.scm 121 */
												{	/* Cfa/iterate.scm 122 */
													obj_t BgL_localz00_1582;

													BgL_localz00_1582 = CAR(BgL_l4580z00_1579);
													{	/* Cfa/iterate.scm 122 */
														BgL_valuez00_bglt BgL_valz00_1583;

														{
															BgL_variablez00_bglt BgL_auxz00_1903;

															BgL_auxz00_1903 =
																(BgL_variablez00_bglt) (BgL_localz00_1582);
															BgL_valz00_1583 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_1903))->BgL_valuez00);
														}
														{	/* Cfa/iterate.scm 126 */
															bool_t BgL_testz00_1906;

															{	/* Cfa/iterate.scm 126 */
																BgL_svarzf2cinfozf2_bglt BgL_obj3380z00_1661;

																BgL_obj3380z00_1661 =
																	(BgL_svarzf2cinfozf2_bglt) (BgL_valz00_1583);
																{
																	obj_t BgL_auxz00_1908;

																	{	/* Cfa/iterate.scm 126 */
																		BgL_objectz00_bglt BgL_auxz00_1909;

																		BgL_auxz00_1909 =
																			(BgL_objectz00_bglt)
																			(BgL_obj3380z00_1661);
																		BgL_auxz00_1908 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_1909);
																	}
																	BgL_testz00_1906 =
																		(((BgL_svarzf2cinfozf2_bglt)
																			CREF(BgL_auxz00_1908))->
																		BgL_clozd2envzf3z21);
																}
															}
															if (BgL_testz00_1906)
																{	/* Cfa/iterate.scm 126 */
																	BFALSE;
																}
															else
																{	/* Cfa/iterate.scm 127 */
																	BgL_approxz00_bglt BgL_arg4714z00_1585;

																	{	/* Cfa/iterate.scm 127 */
																		BgL_svarzf2cinfozf2_bglt
																			BgL_obj3379z00_1662;
																		BgL_obj3379z00_1662 =
																			(BgL_svarzf2cinfozf2_bglt)
																			(BgL_valz00_1583);
																		{
																			obj_t BgL_auxz00_1914;

																			{	/* Cfa/iterate.scm 127 */
																				BgL_objectz00_bglt BgL_auxz00_1915;

																				BgL_auxz00_1915 =
																					(BgL_objectz00_bglt)
																					(BgL_obj3379z00_1662);
																				BgL_auxz00_1914 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_1915);
																			}
																			BgL_arg4714z00_1585 =
																				(((BgL_svarzf2cinfozf2_bglt)
																					CREF(BgL_auxz00_1914))->
																				BgL_approxz00);
																		}
																	}
																	BGl_approxzd2setzd2topz12z12zzcfa_approxz00
																		(BgL_arg4714z00_1585);
																}
														}
													}
												}
												{
													obj_t BgL_l4580z00_1920;

													BgL_l4580z00_1920 = CDR(BgL_l4580z00_1579);
													BgL_l4580z00_1579 = BgL_l4580z00_1920;
													goto BgL_forzd2each4581zd2_1580;
												}
											}
										else
											{	/* Cfa/iterate.scm 121 */
												((bool_t) 1);
											}
									}
								}
								{	/* Cfa/iterate.scm 130 */
									BgL_approxz00_bglt BgL_arg4716z00_1587;

									obj_t BgL_arg4717z00_1588;

									BgL_arg4716z00_1587 =
										BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00
										(BgL_valuez00_1572, BgL_ownerz00_1573);
									BgL_arg4717z00_1588 = CNST_TABLE_REF(((long) 2));
									BgL_auxz00_1875 =
										BGl_loosez12z12zzcfa_loosez00(BgL_arg4716z00_1587,
										BgL_arg4717z00_1588);
					}}}
					return (obj_t) (BgL_auxz00_1875);
				}
			}
		}
	}



/* cfa-export-var!-svar4588 */
	obj_t BGl_cfazd2exportzd2varz12zd2svar4588zc0zzcfa_iteratez00(obj_t
		BgL_envz00_1705, obj_t BgL_valuez00_1706, obj_t BgL_ownerz00_1707)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 93 */
			{
				BgL_svarzf2cinfozf2_bglt BgL_valuez00_1561;

				obj_t BgL_ownerz00_1562;

				BgL_valuez00_1561 = (BgL_svarzf2cinfozf2_bglt) (BgL_valuez00_1706);
				BgL_ownerz00_1562 = BgL_ownerz00_1707;
				{	/* Cfa/iterate.scm 94 */
					obj_t BgL_instance4570z00_1565;

					BgL_instance4570z00_1565 = BGl_sfunz00zzast_varz00;
					{	/* Cfa/iterate.scm 98 */
						bool_t BgL_testz00_1927;

						{	/* Cfa/iterate.scm 98 */
							long BgL_n2z00_1648;

							BgL_n2z00_1648 =
								(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
							{	/* Cfa/iterate.scm 98 */
								long BgL_auxz00_1929;

								{	/* Cfa/iterate.scm 98 */
									BgL_internzd2sfunzf2cinfoz20_bglt BgL_obj3293z00_1646;

									BgL_obj3293z00_1646 =
										(BgL_internzd2sfunzf2cinfoz20_bglt)
										(BgL_instance4570z00_1565);
									{
										obj_t BgL_auxz00_1931;

										{	/* Cfa/iterate.scm 98 */
											BgL_objectz00_bglt BgL_auxz00_1932;

											BgL_auxz00_1932 =
												(BgL_objectz00_bglt) (BgL_obj3293z00_1646);
											BgL_auxz00_1931 = BGL_OBJECT_WIDENING(BgL_auxz00_1932);
										}
										BgL_auxz00_1929 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_1931))->BgL_stampz00);
								}}
								BgL_testz00_1927 = (BgL_auxz00_1929 == BgL_n2z00_1648);
						}}
						if (BgL_testz00_1927)
							{	/* Cfa/iterate.scm 98 */
								return
									BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
									(BgL_valuez00_bglt) (BgL_valuez00_1561));
							}
						else
							{	/* Cfa/iterate.scm 98 */
								{	/* Cfa/iterate.scm 101 */
									BgL_internzd2sfunzf2cinfoz20_bglt BgL_obj3295z00_1649;

									long BgL_val3294z00_1650;

									BgL_obj3295z00_1649 =
										(BgL_internzd2sfunzf2cinfoz20_bglt)
										(BgL_instance4570z00_1565);
									BgL_val3294z00_1650 =
										(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
									{
										obj_t BgL_auxz00_1941;

										{	/* Cfa/iterate.scm 101 */
											BgL_objectz00_bglt BgL_auxz00_1942;

											BgL_auxz00_1942 =
												(BgL_objectz00_bglt) (BgL_obj3295z00_1649);
											BgL_auxz00_1941 = BGL_OBJECT_WIDENING(BgL_auxz00_1942);
										}
										((((BgL_internzd2sfunzf2cinfoz20_bglt)
													CREF(BgL_auxz00_1941))->BgL_stampz00) =
											((long) BgL_val3294z00_1650), BUNSPEC);
								}}
								{	/* Cfa/iterate.scm 102 */
									obj_t BgL_arg4707z00_1567;

									obj_t BgL_arg4708z00_1568;

									BgL_arg4707z00_1567 =
										BGl_cfazd2variablezd2valuezd2approxzd2zzcfa_cfaz00(
										(BgL_valuez00_bglt) (BgL_valuez00_1561));
									BgL_arg4708z00_1568 = CNST_TABLE_REF(((long) 2));
									return
										(obj_t) (BGl_loosez12z12zzcfa_loosez00(
											(BgL_approxz00_bglt) (BgL_arg4707z00_1567),
											BgL_arg4708z00_1568));
								}
							}
					}
				}
			}
		}
	}



/* cfa-export-var! */
	BGL_EXPORTED_DEF obj_t
		BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt
		BgL_valuez00_4, obj_t BgL_ownerz00_5)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 88 */
			{	/* Cfa/iterate.scm 88 */
				obj_t BgL_method4585z00_1664;

				{	/* Cfa/iterate.scm 88 */
					BgL_objectz00_bglt BgL_objz00_1665;

					BgL_objz00_1665 = (BgL_objectz00_bglt) (BgL_valuez00_4);
					{	/* Cfa/iterate.scm 88 */
						long BgL_objzd2classzd2numz00_1666;

						BgL_objzd2classzd2numz00_1666 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1665);
						{	/* Cfa/iterate.scm 88 */
							obj_t BgL_arg2388z00_1667;

							BgL_arg2388z00_1667 =
								PROCEDURE_REF
								(BGl_cfazd2exportzd2varz12zd2envzc0zzcfa_iteratez00,
								(int) (((long) 1)));
							{	/* Cfa/iterate.scm 88 */
								obj_t BgL_arrayz00_1669;

								int BgL_offsetz00_1670;

								BgL_arrayz00_1669 = BgL_arg2388z00_1667;
								BgL_offsetz00_1670 = (int) (BgL_objzd2classzd2numz00_1666);
								{	/* Cfa/iterate.scm 88 */
									long BgL_offsetz00_1671;

									BgL_offsetz00_1671 =
										((long) (BgL_offsetz00_1670) - OBJECT_TYPE);
									{	/* Cfa/iterate.scm 88 */
										long BgL_modz00_1672;

										{	/* Cfa/iterate.scm 88 */
											int BgL_arg2390z00_1673;

											BgL_arg2390z00_1673 = (int) (((long) 8));
											{	/* Cfa/iterate.scm 88 */
												long BgL_auxz00_1961;

												BgL_auxz00_1961 = (long) (BgL_arg2390z00_1673);
												BgL_modz00_1672 =
													(BgL_offsetz00_1671 / BgL_auxz00_1961);
										}}
										{	/* Cfa/iterate.scm 88 */
											long BgL_restz00_1674;

											{	/* Cfa/iterate.scm 88 */
												int BgL_arg2389z00_1675;

												BgL_arg2389z00_1675 = (int) (((long) 8));
												{	/* Cfa/iterate.scm 88 */
													long BgL_auxz00_1965;

													BgL_auxz00_1965 = (long) (BgL_arg2389z00_1675);
													BgL_restz00_1674 =
														(BgL_offsetz00_1671 % BgL_auxz00_1965);
											}}
											{	/* Cfa/iterate.scm 88 */

												BgL_method4585z00_1664 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1669,
														(int) (BgL_modz00_1672)), (int) (BgL_restz00_1674));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method4585z00_1664) (BgL_method4585z00_1664,
					(obj_t) (BgL_valuez00_4), BgL_ownerz00_5, BEOA);
			}
		}
	}



/* _cfa-export-var! */
	obj_t BGl__cfazd2exportzd2varz12z12zzcfa_iteratez00(obj_t BgL_envz00_1693,
		obj_t BgL_valuez00_1694, obj_t BgL_ownerz00_1695)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 88 */
			return
				BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(
				(BgL_valuez00_bglt) (BgL_valuez00_1694), BgL_ownerz00_1695);
		}
	}



/* cfa-export-var!-defa4583 */
	obj_t
		BGl_cfazd2exportzd2varz12zd2defa4583zc0zzcfa_iteratez00(BgL_valuez00_bglt
		BgL_valuez00_6, obj_t BgL_ownerz00_7)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 15 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 3)),
				BGl_string4726z00zzcfa_iteratez00, (obj_t) (BgL_valuez00_6));
		}
	}



/* _cfa-export-var!-defa4583 */
	obj_t BGl__cfazd2exportzd2varz12zd2defa4583zc0zzcfa_iteratez00(obj_t
		BgL_envz00_1708, obj_t BgL_valuez00_1709, obj_t BgL_ownerz00_1710)
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 15 */
			return
				BGl_cfazd2exportzd2varz12zd2defa4583zc0zzcfa_iteratez00(
				(BgL_valuez00_bglt) (BgL_valuez00_1709), BgL_ownerz00_1710);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_iteratez00()
	{
		AN_OBJECT;
		{	/* Cfa/iterate.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string4727z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string4727z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4727z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4727z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4727z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(((long) 386858258),
				BSTRING_TO_STRING(BGl_string4727z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 42139303),
				BSTRING_TO_STRING(BGl_string4727z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 243010053),
				BSTRING_TO_STRING(BGl_string4727z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string4727z00zzcfa_iteratez00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 235614963),
				BSTRING_TO_STRING(BGl_string4727z00zzcfa_iteratez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 535144917),
				BSTRING_TO_STRING(BGl_string4727z00zzcfa_iteratez00));
		}
	}

#ifdef __cplusplus
}
#endif
