/*===========================================================================*/
/*   (Cfa/procedure.scm)                                                     */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/procedure.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
		char dummy;
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
		char dummy;
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_atomzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_atomzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_selectzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_selectzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
		char dummy;
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
		char dummy;
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2structzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                             *BgL_makezd2structzd2appz00_bglt;

	typedef struct BgL_structzd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_structzd2refzd2appz00_bglt;

	typedef struct BgL_structzd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_structzd2setz12zd2appz12_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_procedurez00();
	static obj_t BGl_nodezd2setupz12zd2prezd2make4592zc0zzcfa_procedurez00(obj_t,
		obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t BGl_cfaz12zd2procedurezd2refzd2a4600zc0zzcfa_procedurez00(obj_t,
		obj_t);
	extern obj_t BGl_prezd2clozd2envz00zzcfa_infoz00;
	extern obj_t
		BGl_wideningzd2procedurezd2setz12zd2appzc0zzcfa_info2z00
		(BgL_approxz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcfa_procedurez00();
	extern obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
	static obj_t BGl_zc3anonymousza34763ze3z83zzcfa_procedurez00(obj_t, obj_t);
	extern obj_t BGl_procedurezd2refzd2appz00zzcfa_info2z00;
	static obj_t BGl_zc3anonymousza34774ze3z83zzcfa_procedurez00(obj_t, obj_t);
	extern obj_t BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt,
		obj_t);
	static obj_t BGl__disablezd2Xzd2Tz12z12zzcfa_procedurez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34800ze3z83zzcfa_procedurez00(obj_t, obj_t);
	static obj_t
		BGl_cfaz12zd2procedurezd2setz12zd24602zd2zzcfa_procedurez00(obj_t, obj_t);
	extern obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_zc3anonymousza34792ze3z83zzcfa_procedurez00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t
		BGl_wideningzd2makezd2procedurezd2appzd2zzcfa_info2z00(BgL_approxz00_bglt,
		obj_t, long, bool_t, bool_t, bool_t, BgL_variablez00_bglt, obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_procedurez00();
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_procedurez00 = BUNSPEC;
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00;
	static obj_t BGl_cfaz12zd2makezd2procedurezd24598zc0zzcfa_procedurez00(obj_t,
		obj_t);
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	extern obj_t BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_procedurez00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_procedurezd2setz12zd2appz12zzcfa_info2z00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_zc3anonymousza34606ze3z83zzcfa_procedurez00(obj_t, obj_t);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_nodezd2setupz12zd2prezd2proc4594zc0zzcfa_procedurez00(obj_t,
		obj_t);
	static obj_t BGl_nodezd2setupz12zd2prezd2proc4596zc0zzcfa_procedurez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	BGL_IMPORT obj_t make_vector(int, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t
		BGl_wideningzd2procedurezd2refzd2appzd2zzcfa_info2z00(BgL_approxz00_bglt);
	extern obj_t BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	BGL_EXPORTED_DECL obj_t
		BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt);
	extern obj_t BGl_wideningzd2prezd2clozd2envzd2zzcfa_infoz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_procedurez00();
	static obj_t BGl_loosezd2allocz12zd2makezd2pr4604zc0zzcfa_procedurez00(obj_t,
		obj_t);
	static obj_t __cnst[1];


	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4823z00zzcfa_procedurez00,
		BgL_bgl_za7c3anonymousza7a344835z00,
		BGl_zc3anonymousza34606ze3z83zzcfa_procedurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4824z00zzcfa_procedurez00,
		BgL_bgl_nodeza7d2setupza712za74836za7,
		BGl_nodezd2setupz12zd2prezd2make4592zc0zzcfa_procedurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4825z00zzcfa_procedurez00,
		BgL_bgl_nodeza7d2setupza712za74837za7,
		BGl_nodezd2setupz12zd2prezd2proc4594zc0zzcfa_procedurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4826z00zzcfa_procedurez00,
		BgL_bgl_nodeza7d2setupza712za74838za7,
		BGl_nodezd2setupz12zd2prezd2proc4596zc0zzcfa_procedurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4827z00zzcfa_procedurez00,
		BgL_bgl_cfaza712za7d2makeza7d24839za7,
		BGl_cfaz12zd2makezd2procedurezd24598zc0zzcfa_procedurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4828z00zzcfa_procedurez00,
		BgL_bgl_cfaza712za7d2procedu4840z00,
		BGl_cfaz12zd2procedurezd2refzd2a4600zc0zzcfa_procedurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4830z00zzcfa_procedurez00,
		BgL_bgl_looseza7d2allocza7124841z00,
		BGl_loosezd2allocz12zd2makezd2pr4604zc0zzcfa_procedurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4829z00zzcfa_procedurez00,
		BgL_bgl_cfaza712za7d2procedu4842z00,
		BGl_cfaz12zd2procedurezd2setz12zd24602zd2zzcfa_procedurez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string4831z00zzcfa_procedurez00,
		BgL_bgl_string4831za700za7za7c4843za7, "cfa_procedure", 13);
	      DEFINE_STRING(BGl_string4832z00zzcfa_procedurez00,
		BgL_bgl_string4832za700za7za7c4844za7, "all ", 4);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_disablezd2Xzd2Tz12zd2envzc0zzcfa_procedurez00,
		BgL_bgl__disableza7d2xza7d2t4845z00,
		BGl__disablezd2Xzd2Tz12z12zzcfa_procedurez00, 0L, BUNSPEC, 1);
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long
		BgL_checksumz00_1965, char *BgL_fromz00_1966)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_procedurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_procedurez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_procedurez00();
					BGl_cnstzd2initzd2zzcfa_procedurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_procedurez00();
					BGl_methodzd2initzd2zzcfa_procedurez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_procedurez00()
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_procedure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_procedure");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_procedurez00()
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 15 */
			{	/* Cfa/procedure.scm 15 */
				obj_t BgL_cportz00_1957;

				BgL_cportz00_1957 =
					bgl_open_input_string(BGl_string4832z00zzcfa_procedurez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1958;

					BgL_iz00_1958 = ((long) 0);
				BgL_loopz00_1959:
					if ((BgL_iz00_1958 == ((long) -1)))
						{	/* Cfa/procedure.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/procedure.scm 15 */
							{	/* Cfa/procedure.scm 15 */
								obj_t BgL_arg4834z00_1961;

								{	/* Cfa/procedure.scm 15 */

									{	/* Cfa/procedure.scm 15 */
										obj_t BgL_locationz00_1963;

										BgL_locationz00_1963 = BBOOL(((bool_t) 0));
										{	/* Cfa/procedure.scm 15 */

											BgL_arg4834z00_1961 =
												BGl_readz00zz__readerz00(BgL_cportz00_1957,
												BgL_locationz00_1963);
										}
									}
								}
								{	/* Cfa/procedure.scm 15 */
									int BgL_auxz00_1982;

									BgL_auxz00_1982 = (int) (BgL_iz00_1958);
									CNST_TABLE_SET(BgL_auxz00_1982, BgL_arg4834z00_1961);
							}}
							{	/* Cfa/procedure.scm 15 */
								int BgL_auxz00_1964;

								BgL_auxz00_1964 = (int) ((BgL_iz00_1958 - ((long) 1)));
								{
									long BgL_iz00_1987;

									BgL_iz00_1987 = (long) (BgL_auxz00_1964);
									BgL_iz00_1958 = BgL_iz00_1987;
									goto BgL_loopz00_1959;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_procedurez00()
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 15 */
			return BUNSPEC;
		}
	}



/* disable-X-T! */
	BGL_EXPORTED_DEF obj_t
		BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt
		BgL_approxz00_1)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 36 */
			return
				BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
				(BGl_proc4823z00zzcfa_procedurez00, BgL_approxz00_1);
		}
	}



/* _disable-X-T! */
	obj_t BGl__disablezd2Xzd2Tz12z12zzcfa_procedurez00(obj_t BgL_envz00_1907,
		obj_t BgL_approxz00_1908)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 36 */
			return
				BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(
				(BgL_approxz00_bglt) (BgL_approxz00_1908));
		}
	}



/* <anonymous:4606> */
	obj_t BGl_zc3anonymousza34606ze3z83zzcfa_procedurez00(obj_t BgL_envz00_1909,
		obj_t BgL_appz00_1910)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 37 */
			{
				obj_t BgL_appz00_996;

				BgL_appz00_996 = BgL_appz00_1910;
				if (BGl_iszd2azf3z21zz__objectz00(BgL_appz00_996,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/procedure.scm 42 */
						BgL_makezd2procedurezd2appz00_bglt BgL_obj4187z00_1729;

						bool_t BgL_val4186z00_1730;

						BgL_obj4187z00_1729 =
							(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_996);
						BgL_val4186z00_1730 = ((bool_t) 0);
						{
							obj_t BgL_auxz00_1995;

							{	/* Cfa/procedure.scm 42 */
								BgL_objectz00_bglt BgL_auxz00_1996;

								BgL_auxz00_1996 = (BgL_objectz00_bglt) (BgL_obj4187z00_1729);
								BgL_auxz00_1995 = BGL_OBJECT_WIDENING(BgL_auxz00_1996);
							}
							return
								((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_1995))->
									BgL_xzd2tzf3z21) = ((bool_t) BgL_val4186z00_1730), BUNSPEC);
						}
					}
				else
					{	/* Cfa/procedure.scm 41 */
						return BFALSE;
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_procedurez00()
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 15 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00,
				BGl_proc4824z00zzcfa_procedurez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2procedurezd2refzd2appzd2zzcfa_info2z00,
				BGl_proc4825z00zzcfa_procedurez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2procedurezd2setz12zd2appzc0zzcfa_info2z00,
				BGl_proc4826z00zzcfa_procedurez00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2procedurezd2appz00zzcfa_info2z00,
				BGl_proc4827z00zzcfa_procedurez00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_procedurezd2refzd2appz00zzcfa_info2z00,
				BGl_proc4828z00zzcfa_procedurez00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_procedurezd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc4829z00zzcfa_procedurez00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_makezd2procedurezd2appz00zzcfa_info2z00,
				BGl_proc4830z00zzcfa_procedurez00);
		}
	}



/* loose-alloc!-make-pr4604 */
	obj_t BGl_loosezd2allocz12zd2makezd2pr4604zc0zzcfa_procedurez00(obj_t
		BgL_envz00_1924, obj_t BgL_allocz00_1925)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 243 */
			{
				BgL_makezd2procedurezd2appz00_bglt BgL_allocz00_1716;

				BgL_allocz00_1716 =
					(BgL_makezd2procedurezd2appz00_bglt) (BgL_allocz00_1925);
				{	/* Cfa/procedure.scm 247 */
					bool_t BgL_testz00_2007;

					{	/* Cfa/procedure.scm 247 */
						long BgL_n2z00_1899;

						BgL_n2z00_1899 =
							(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
						{	/* Cfa/procedure.scm 247 */
							long BgL_auxz00_2009;

							{
								obj_t BgL_auxz00_2010;

								{	/* Cfa/procedure.scm 247 */
									BgL_objectz00_bglt BgL_auxz00_2011;

									BgL_auxz00_2011 = (BgL_objectz00_bglt) (BgL_allocz00_1716);
									BgL_auxz00_2010 = BGL_OBJECT_WIDENING(BgL_auxz00_2011);
								}
								BgL_auxz00_2009 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										CREF(BgL_auxz00_2010))->BgL_lostzd2stampzd2);
							}
							BgL_testz00_2007 = (BgL_auxz00_2009 == BgL_n2z00_1899);
					}}
					if (BgL_testz00_2007)
						{	/* Cfa/procedure.scm 247 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/procedure.scm 247 */
							{
								long BgL_auxz00_2020;

								obj_t BgL_auxz00_2016;

								BgL_auxz00_2020 =
									(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
								{	/* Cfa/procedure.scm 251 */
									BgL_objectz00_bglt BgL_auxz00_2017;

									BgL_auxz00_2017 = (BgL_objectz00_bglt) (BgL_allocz00_1716);
									BgL_auxz00_2016 = BGL_OBJECT_WIDENING(BgL_auxz00_2017);
								}
								((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2016))->
										BgL_lostzd2stampzd2) = ((long) BgL_auxz00_2020), BUNSPEC);
							}
							{	/* Cfa/procedure.scm 252 */
								obj_t BgL_calleez00_1721;

								{	/* Cfa/procedure.scm 252 */
									obj_t BgL_pairz00_1903;

									{
										BgL_appz00_bglt BgL_auxz00_2023;

										BgL_auxz00_2023 = (BgL_appz00_bglt) (BgL_allocz00_1716);
										BgL_pairz00_1903 =
											(((BgL_appz00_bglt) CREF(BgL_auxz00_2023))->BgL_argsz00);
									}
									BgL_calleez00_1721 = CAR(BgL_pairz00_1903);
								}
								{	/* Cfa/procedure.scm 252 */
									BgL_variablez00_bglt BgL_vz00_1722;

									{
										BgL_varz00_bglt BgL_auxz00_2027;

										BgL_auxz00_2027 = (BgL_varz00_bglt) (BgL_calleez00_1721);
										BgL_vz00_1722 =
											(((BgL_varz00_bglt) CREF(BgL_auxz00_2027))->
											BgL_variablez00);
									}
									{	/* Cfa/procedure.scm 253 */
										BgL_valuez00_bglt BgL_funz00_1723;

										BgL_funz00_1723 =
											(((BgL_variablez00_bglt) CREF(BgL_vz00_1722))->
											BgL_valuez00);
										{	/* Cfa/procedure.scm 254 */

											return
												BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00
												(BgL_funz00_1723, (obj_t) (BgL_vz00_1722));
										}
									}
								}
							}
						}
				}
			}
		}
	}



/* cfa!-procedure-set!-4602 */
	obj_t BGl_cfaz12zd2procedurezd2setz12zd24602zd2zzcfa_procedurez00(obj_t
		BgL_envz00_1926, obj_t BgL_nodez00_1927)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 189 */
			{
				BgL_procedurezd2setz12zd2appz12_bglt BgL_nodez00_1674;

				{	/* Cfa/procedure.scm 190 */
					BgL_approxz00_bglt BgL_auxz00_2034;

					BgL_nodez00_1674 =
						(BgL_procedurezd2setz12zd2appz12_bglt) (BgL_nodez00_1927);
					{	/* Cfa/procedure.scm 191 */
						obj_t BgL_arg4787z00_1678;

						{	/* Cfa/procedure.scm 191 */
							obj_t BgL_pairz00_1858;

							{
								BgL_appz00_bglt BgL_auxz00_2035;

								BgL_auxz00_2035 = (BgL_appz00_bglt) (BgL_nodez00_1674);
								BgL_pairz00_1858 =
									(((BgL_appz00_bglt) CREF(BgL_auxz00_2035))->BgL_argsz00);
							}
							BgL_arg4787z00_1678 = CAR(CDR(BgL_pairz00_1858));
						}
						BGl_cfaz12z12zzcfa_cfaz00((BgL_nodez00_bglt) (BgL_arg4787z00_1678));
					}
					{	/* Cfa/procedure.scm 192 */
						BgL_approxz00_bglt BgL_proczd2approxzd2_1680;

						obj_t BgL_offsetz00_1681;

						BgL_approxz00_bglt BgL_valzd2approxzd2_1682;

						{	/* Cfa/procedure.scm 192 */
							obj_t BgL_arg4807z00_1708;

							{	/* Cfa/procedure.scm 192 */
								obj_t BgL_pairz00_1863;

								{
									BgL_appz00_bglt BgL_auxz00_2042;

									BgL_auxz00_2042 = (BgL_appz00_bglt) (BgL_nodez00_1674);
									BgL_pairz00_1863 =
										(((BgL_appz00_bglt) CREF(BgL_auxz00_2042))->BgL_argsz00);
								}
								BgL_arg4807z00_1708 = CAR(BgL_pairz00_1863);
							}
							BgL_proczd2approxzd2_1680 =
								BGl_cfaz12z12zzcfa_cfaz00(
								(BgL_nodez00_bglt) (BgL_arg4807z00_1708));
						}
						{	/* Cfa/procedure.scm 193 */
							obj_t BgL_arg4809z00_1710;

							{	/* Cfa/procedure.scm 193 */
								obj_t BgL_pairz00_1865;

								{
									BgL_appz00_bglt BgL_auxz00_2048;

									BgL_auxz00_2048 = (BgL_appz00_bglt) (BgL_nodez00_1674);
									BgL_pairz00_1865 =
										(((BgL_appz00_bglt) CREF(BgL_auxz00_2048))->BgL_argsz00);
								}
								BgL_arg4809z00_1710 = CAR(CDR(BgL_pairz00_1865));
							}
							BgL_offsetz00_1681 =
								BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
								(BgL_nodez00_bglt) (BgL_arg4809z00_1710));
						}
						{	/* Cfa/procedure.scm 194 */
							obj_t BgL_arg4811z00_1712;

							{	/* Cfa/procedure.scm 194 */
								obj_t BgL_pairz00_1870;

								{
									BgL_appz00_bglt BgL_auxz00_2055;

									BgL_auxz00_2055 = (BgL_appz00_bglt) (BgL_nodez00_1674);
									BgL_pairz00_1870 =
										(((BgL_appz00_bglt) CREF(BgL_auxz00_2055))->BgL_argsz00);
								}
								BgL_arg4811z00_1712 = CAR(CDR(CDR(BgL_pairz00_1870)));
							}
							BgL_valzd2approxzd2_1682 =
								BGl_cfaz12z12zzcfa_cfaz00(
								(BgL_nodez00_bglt) (BgL_arg4811z00_1712));
						}
						if (
							(((BgL_approxz00_bglt) CREF(BgL_proczd2approxzd2_1680))->
								BgL_topzf3zf3))
							{	/* Cfa/procedure.scm 199 */
								(obj_t) (BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_1682,
										CNST_TABLE_REF(((long) 0))));
							}
						else
							{	/* Cfa/procedure.scm 199 */
								if (INTEGERP(BgL_offsetz00_1681))
									{	/* Cfa/procedure.scm 206 */
										obj_t BgL_zc3anonymousza34792ze3z83_1912;

										BgL_zc3anonymousza34792ze3z83_1912 =
											make_fx_procedure
											(BGl_zc3anonymousza34792ze3z83zzcfa_procedurez00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza34792ze3z83_1912,
											(int) (((long) 0)), BgL_offsetz00_1681);
										PROCEDURE_SET(BgL_zc3anonymousza34792ze3z83_1912,
											(int) (((long) 1)), (obj_t) (BgL_valzd2approxzd2_1682));
										BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
											(BgL_zc3anonymousza34792ze3z83_1912,
											BgL_proczd2approxzd2_1680);
									}
								else
									{	/* Cfa/procedure.scm 219 */
										obj_t BgL_zc3anonymousza34800ze3z83_1913;

										BgL_zc3anonymousza34800ze3z83_1913 =
											make_fx_procedure
											(BGl_zc3anonymousza34800ze3z83zzcfa_procedurez00,
											(int) (((long) 1)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3anonymousza34800ze3z83_1913,
											(int) (((long) 0)), (obj_t) (BgL_valzd2approxzd2_1682));
										BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
											(BgL_zc3anonymousza34800ze3z83_1913,
											BgL_proczd2approxzd2_1680);
							}}
						{
							obj_t BgL_auxz00_2086;

							{	/* Cfa/procedure.scm 233 */
								BgL_objectz00_bglt BgL_auxz00_2087;

								BgL_auxz00_2087 = (BgL_objectz00_bglt) (BgL_nodez00_1674);
								BgL_auxz00_2086 = BGL_OBJECT_WIDENING(BgL_auxz00_2087);
							}
							BgL_auxz00_2034 =
								(((BgL_procedurezd2setz12zd2appz12_bglt)
									CREF(BgL_auxz00_2086))->BgL_approxz00);
					}}
					return (obj_t) (BgL_auxz00_2034);
				}
			}
		}
	}



/* <anonymous:4792> */
	obj_t BGl_zc3anonymousza34792ze3z83zzcfa_procedurez00(obj_t BgL_envz00_1928,
		obj_t BgL_appz00_1931)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 205 */
			{	/* Cfa/procedure.scm 206 */
				obj_t BgL_offsetz00_1929;

				obj_t BgL_valzd2approxzd2_1930;

				BgL_offsetz00_1929 = PROCEDURE_REF(BgL_envz00_1928, (int) (((long) 0)));
				BgL_valzd2approxzd2_1930 =
					PROCEDURE_REF(BgL_envz00_1928, (int) (((long) 1)));
				{
					obj_t BgL_appz00_1686;

					BgL_appz00_1686 = BgL_appz00_1931;
					{	/* Cfa/procedure.scm 206 */
						bool_t BgL_testz00_2097;

						if (BGl_iszd2azf3z21zz__objectz00(BgL_appz00_1686,
								BGl_makezd2procedurezd2appz00zzcfa_info2z00))
							{	/* Cfa/procedure.scm 209 */
								int BgL_arg4797z00_1692;

								{	/* Cfa/procedure.scm 209 */
									obj_t BgL_arg4798z00_1693;

									{	/* Cfa/procedure.scm 209 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4178z00_1879;

										BgL_obj4178z00_1879 =
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_1686);
										{
											obj_t BgL_auxz00_2101;

											{	/* Cfa/procedure.scm 209 */
												BgL_objectz00_bglt BgL_auxz00_2102;

												BgL_auxz00_2102 =
													(BgL_objectz00_bglt) (BgL_obj4178z00_1879);
												BgL_auxz00_2101 = BGL_OBJECT_WIDENING(BgL_auxz00_2102);
											}
											BgL_arg4798z00_1693 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2101))->BgL_valueszd2approxzd2);
									}}
									BgL_arg4797z00_1692 = VECTOR_LENGTH(BgL_arg4798z00_1693);
								}
								BgL_testz00_2097 =
									(
									(long) CINT(BgL_offsetz00_1929) <
									(long) (BgL_arg4797z00_1692));
							}
						else
							{	/* Cfa/procedure.scm 206 */
								BgL_testz00_2097 = ((bool_t) 0);
							}
						if (BgL_testz00_2097)
							{	/* Cfa/procedure.scm 211 */
								obj_t BgL_arg4794z00_1689;

								{	/* Cfa/procedure.scm 211 */
									obj_t BgL_arg4795z00_1690;

									{	/* Cfa/procedure.scm 211 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4178z00_1883;

										BgL_obj4178z00_1883 =
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_1686);
										{
											obj_t BgL_auxz00_2111;

											{	/* Cfa/procedure.scm 211 */
												BgL_objectz00_bglt BgL_auxz00_2112;

												BgL_auxz00_2112 =
													(BgL_objectz00_bglt) (BgL_obj4178z00_1883);
												BgL_auxz00_2111 = BGL_OBJECT_WIDENING(BgL_auxz00_2112);
											}
											BgL_arg4795z00_1690 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2111))->BgL_valueszd2approxzd2);
										}
									}
									BgL_arg4794z00_1689 =
										VECTOR_REF(BgL_arg4795z00_1690, CINT(BgL_offsetz00_1929));
								}
								return
									(obj_t) (BGl_unionzd2approxz12zc0zzcfa_approxz00(
										(BgL_approxz00_bglt) (BgL_arg4794z00_1689),
										(BgL_approxz00_bglt) (BgL_valzd2approxzd2_1930)));
							}
						else
							{	/* Cfa/procedure.scm 206 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* <anonymous:4800> */
	obj_t BGl_zc3anonymousza34800ze3z83zzcfa_procedurez00(obj_t BgL_envz00_1932,
		obj_t BgL_appz00_1934)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 218 */
			{	/* Cfa/procedure.scm 219 */
				obj_t BgL_valzd2approxzd2_1933;

				BgL_valzd2approxzd2_1933 =
					PROCEDURE_REF(BgL_envz00_1932, (int) (((long) 0)));
				{
					obj_t BgL_appz00_1696;

					{	/* Cfa/procedure.scm 219 */
						bool_t BgL_auxz00_2124;

						BgL_appz00_1696 = BgL_appz00_1934;
						if (BGl_iszd2azf3z21zz__objectz00(BgL_appz00_1696,
								BGl_makezd2procedurezd2appz00zzcfa_info2z00))
							{	/* Cfa/procedure.scm 220 */
								int BgL_lenz00_1699;

								{	/* Cfa/procedure.scm 221 */
									obj_t BgL_arg4806z00_1706;

									{	/* Cfa/procedure.scm 221 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4178z00_1887;

										BgL_obj4178z00_1887 =
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_1696);
										{
											obj_t BgL_auxz00_2128;

											{	/* Cfa/procedure.scm 221 */
												BgL_objectz00_bglt BgL_auxz00_2129;

												BgL_auxz00_2129 =
													(BgL_objectz00_bglt) (BgL_obj4178z00_1887);
												BgL_auxz00_2128 = BGL_OBJECT_WIDENING(BgL_auxz00_2129);
											}
											BgL_arg4806z00_1706 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2128))->BgL_valueszd2approxzd2);
									}}
									BgL_lenz00_1699 = VECTOR_LENGTH(BgL_arg4806z00_1706);
								}
								{
									long BgL_iz00_1700;

									BgL_iz00_1700 = ((long) 0);
								BgL_loopz00_1701:
									if ((BgL_iz00_1700 < (long) (BgL_lenz00_1699)))
										{	/* Cfa/procedure.scm 223 */
											{	/* Cfa/procedure.scm 227 */
												obj_t BgL_arg4803z00_1703;

												{	/* Cfa/procedure.scm 227 */
													obj_t BgL_arg4804z00_1704;

													{	/* Cfa/procedure.scm 227 */
														BgL_makezd2procedurezd2appz00_bglt
															BgL_obj4178z00_1891;
														BgL_obj4178z00_1891 =
															(BgL_makezd2procedurezd2appz00_bglt)
															(BgL_appz00_1696);
														{
															obj_t BgL_auxz00_2138;

															{	/* Cfa/procedure.scm 227 */
																BgL_objectz00_bglt BgL_auxz00_2139;

																BgL_auxz00_2139 =
																	(BgL_objectz00_bglt) (BgL_obj4178z00_1891);
																BgL_auxz00_2138 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2139);
															}
															BgL_arg4804z00_1704 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_2138))->
																BgL_valueszd2approxzd2);
													}}
													BgL_arg4803z00_1703 =
														VECTOR_REF(BgL_arg4804z00_1704,
														(int) (BgL_iz00_1700));
												}
												BGl_unionzd2approxz12zc0zzcfa_approxz00(
													(BgL_approxz00_bglt) (BgL_arg4803z00_1703),
													(BgL_approxz00_bglt) (BgL_valzd2approxzd2_1933));
											}
											{
												long BgL_iz00_2148;

												BgL_iz00_2148 = (BgL_iz00_1700 + ((long) 1));
												BgL_iz00_1700 = BgL_iz00_2148;
												goto BgL_loopz00_1701;
											}
										}
									else
										{	/* Cfa/procedure.scm 223 */
											BgL_auxz00_2124 = ((bool_t) 0);
										}
								}
							}
						else
							{	/* Cfa/procedure.scm 219 */
								BgL_auxz00_2124 = ((bool_t) 0);
							}
						return BBOOL(BgL_auxz00_2124);
					}
				}
			}
		}
	}



/* cfa!-procedure-ref-a4600 */
	obj_t BGl_cfaz12zd2procedurezd2refzd2a4600zc0zzcfa_procedurez00(obj_t
		BgL_envz00_1935, obj_t BgL_nodez00_1936)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 141 */
			{
				BgL_procedurezd2refzd2appz00_bglt BgL_nodez00_1631;

				{	/* Cfa/procedure.scm 142 */
					BgL_approxz00_bglt BgL_auxz00_2151;

					BgL_nodez00_1631 =
						(BgL_procedurezd2refzd2appz00_bglt) (BgL_nodez00_1936);
					{	/* Cfa/procedure.scm 143 */
						obj_t BgL_arg4757z00_1635;

						{	/* Cfa/procedure.scm 143 */
							obj_t BgL_pairz00_1821;

							{
								BgL_appz00_bglt BgL_auxz00_2152;

								BgL_auxz00_2152 = (BgL_appz00_bglt) (BgL_nodez00_1631);
								BgL_pairz00_1821 =
									(((BgL_appz00_bglt) CREF(BgL_auxz00_2152))->BgL_argsz00);
							}
							BgL_arg4757z00_1635 = CAR(CDR(BgL_pairz00_1821));
						}
						BGl_cfaz12z12zzcfa_cfaz00((BgL_nodez00_bglt) (BgL_arg4757z00_1635));
					}
					{	/* Cfa/procedure.scm 144 */
						BgL_approxz00_bglt BgL_proczd2approxzd2_1637;

						obj_t BgL_offsetz00_1638;

						{	/* Cfa/procedure.scm 144 */
							obj_t BgL_arg4782z00_1668;

							{	/* Cfa/procedure.scm 144 */
								obj_t BgL_pairz00_1826;

								{
									BgL_appz00_bglt BgL_auxz00_2159;

									BgL_auxz00_2159 = (BgL_appz00_bglt) (BgL_nodez00_1631);
									BgL_pairz00_1826 =
										(((BgL_appz00_bglt) CREF(BgL_auxz00_2159))->BgL_argsz00);
								}
								BgL_arg4782z00_1668 = CAR(BgL_pairz00_1826);
							}
							BgL_proczd2approxzd2_1637 =
								BGl_cfaz12z12zzcfa_cfaz00(
								(BgL_nodez00_bglt) (BgL_arg4782z00_1668));
						}
						{	/* Cfa/procedure.scm 145 */
							obj_t BgL_arg4784z00_1670;

							{	/* Cfa/procedure.scm 145 */
								obj_t BgL_pairz00_1828;

								{
									BgL_appz00_bglt BgL_auxz00_2165;

									BgL_auxz00_2165 = (BgL_appz00_bglt) (BgL_nodez00_1631);
									BgL_pairz00_1828 =
										(((BgL_appz00_bglt) CREF(BgL_auxz00_2165))->BgL_argsz00);
								}
								BgL_arg4784z00_1670 = CAR(CDR(BgL_pairz00_1828));
							}
							BgL_offsetz00_1638 =
								BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
								(BgL_nodez00_bglt) (BgL_arg4784z00_1670));
						}
						if (
							(((BgL_approxz00_bglt) CREF(BgL_proczd2approxzd2_1637))->
								BgL_topzf3zf3))
							{	/* Cfa/procedure.scm 150 */
								BgL_approxz00_bglt BgL_arg4760z00_1640;

								{
									obj_t BgL_auxz00_2174;

									{	/* Cfa/procedure.scm 150 */
										BgL_objectz00_bglt BgL_auxz00_2175;

										BgL_auxz00_2175 = (BgL_objectz00_bglt) (BgL_nodez00_1631);
										BgL_auxz00_2174 = BGL_OBJECT_WIDENING(BgL_auxz00_2175);
									}
									BgL_arg4760z00_1640 =
										(((BgL_procedurezd2refzd2appz00_bglt)
											CREF(BgL_auxz00_2174))->BgL_approxz00);
								}
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00
									(BgL_arg4760z00_1640);
							}
						else
							{	/* Cfa/procedure.scm 149 */
								BFALSE;
							}
						if (INTEGERP(BgL_offsetz00_1638))
							{	/* Cfa/procedure.scm 155 */
								obj_t BgL_zc3anonymousza34763ze3z83_1915;

								BgL_zc3anonymousza34763ze3z83_1915 =
									make_fx_procedure
									(BGl_zc3anonymousza34763ze3z83zzcfa_procedurez00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza34763ze3z83_1915,
									(int) (((long) 0)), BgL_offsetz00_1638);
								PROCEDURE_SET(BgL_zc3anonymousza34763ze3z83_1915,
									(int) (((long) 1)), (obj_t) (BgL_nodez00_1631));
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BgL_zc3anonymousza34763ze3z83_1915,
									BgL_proczd2approxzd2_1637);
							}
						else
							{	/* Cfa/procedure.scm 170 */
								obj_t BgL_zc3anonymousza34774ze3z83_1916;

								BgL_zc3anonymousza34774ze3z83_1916 =
									make_fx_procedure
									(BGl_zc3anonymousza34774ze3z83zzcfa_procedurez00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza34774ze3z83_1916,
									(int) (((long) 0)), (obj_t) (BgL_nodez00_1631));
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BgL_zc3anonymousza34774ze3z83_1916,
									BgL_proczd2approxzd2_1637);
							}
						{
							obj_t BgL_auxz00_2198;

							{	/* Cfa/procedure.scm 184 */
								BgL_objectz00_bglt BgL_auxz00_2199;

								BgL_auxz00_2199 = (BgL_objectz00_bglt) (BgL_nodez00_1631);
								BgL_auxz00_2198 = BGL_OBJECT_WIDENING(BgL_auxz00_2199);
							}
							BgL_auxz00_2151 =
								(((BgL_procedurezd2refzd2appz00_bglt) CREF(BgL_auxz00_2198))->
								BgL_approxz00);
					}}
					return (obj_t) (BgL_auxz00_2151);
				}
			}
		}
	}



/* <anonymous:4763> */
	obj_t BGl_zc3anonymousza34763ze3z83zzcfa_procedurez00(obj_t BgL_envz00_1937,
		obj_t BgL_appz00_1940)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 154 */
			{	/* Cfa/procedure.scm 155 */
				obj_t BgL_offsetz00_1938;

				obj_t BgL_instance4582z00_1939;

				BgL_offsetz00_1938 = PROCEDURE_REF(BgL_envz00_1937, (int) (((long) 0)));
				BgL_instance4582z00_1939 =
					PROCEDURE_REF(BgL_envz00_1937, (int) (((long) 1)));
				{
					obj_t BgL_appz00_1643;

					BgL_appz00_1643 = BgL_appz00_1940;
					{	/* Cfa/procedure.scm 155 */
						bool_t BgL_testz00_2209;

						if (BGl_iszd2azf3z21zz__objectz00(BgL_appz00_1643,
								BGl_makezd2procedurezd2appz00zzcfa_info2z00))
							{	/* Cfa/procedure.scm 158 */
								int BgL_arg4771z00_1651;

								{	/* Cfa/procedure.scm 158 */
									obj_t BgL_arg4772z00_1652;

									{	/* Cfa/procedure.scm 158 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4178z00_1836;

										BgL_obj4178z00_1836 =
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_1643);
										{
											obj_t BgL_auxz00_2213;

											{	/* Cfa/procedure.scm 158 */
												BgL_objectz00_bglt BgL_auxz00_2214;

												BgL_auxz00_2214 =
													(BgL_objectz00_bglt) (BgL_obj4178z00_1836);
												BgL_auxz00_2213 = BGL_OBJECT_WIDENING(BgL_auxz00_2214);
											}
											BgL_arg4772z00_1652 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2213))->BgL_valueszd2approxzd2);
									}}
									BgL_arg4771z00_1651 = VECTOR_LENGTH(BgL_arg4772z00_1652);
								}
								BgL_testz00_2209 =
									(
									(long) CINT(BgL_offsetz00_1938) <
									(long) (BgL_arg4771z00_1651));
							}
						else
							{	/* Cfa/procedure.scm 155 */
								BgL_testz00_2209 = ((bool_t) 0);
							}
						if (BgL_testz00_2209)
							{	/* Cfa/procedure.scm 159 */
								BgL_approxz00_bglt BgL_arg4765z00_1646;

								obj_t BgL_arg4766z00_1647;

								{	/* Cfa/procedure.scm 159 */
									BgL_procedurezd2refzd2appz00_bglt BgL_obj4227z00_1840;

									BgL_obj4227z00_1840 =
										(BgL_procedurezd2refzd2appz00_bglt)
										(BgL_instance4582z00_1939);
									{
										obj_t BgL_auxz00_2223;

										{	/* Cfa/procedure.scm 159 */
											BgL_objectz00_bglt BgL_auxz00_2224;

											BgL_auxz00_2224 =
												(BgL_objectz00_bglt) (BgL_obj4227z00_1840);
											BgL_auxz00_2223 = BGL_OBJECT_WIDENING(BgL_auxz00_2224);
										}
										BgL_arg4765z00_1646 =
											(((BgL_procedurezd2refzd2appz00_bglt)
												CREF(BgL_auxz00_2223))->BgL_approxz00);
									}
								}
								{	/* Cfa/procedure.scm 161 */
									obj_t BgL_arg4767z00_1648;

									{	/* Cfa/procedure.scm 161 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4178z00_1841;

										BgL_obj4178z00_1841 =
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_1643);
										{
											obj_t BgL_auxz00_2229;

											{	/* Cfa/procedure.scm 161 */
												BgL_objectz00_bglt BgL_auxz00_2230;

												BgL_auxz00_2230 =
													(BgL_objectz00_bglt) (BgL_obj4178z00_1841);
												BgL_auxz00_2229 = BGL_OBJECT_WIDENING(BgL_auxz00_2230);
											}
											BgL_arg4767z00_1648 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2229))->BgL_valueszd2approxzd2);
										}
									}
									BgL_arg4766z00_1647 =
										VECTOR_REF(BgL_arg4767z00_1648, CINT(BgL_offsetz00_1938));
								}
								return
									(obj_t) (BGl_unionzd2approxz12zc0zzcfa_approxz00
									(BgL_arg4765z00_1646,
										(BgL_approxz00_bglt) (BgL_arg4766z00_1647)));
							}
						else
							{	/* Cfa/procedure.scm 165 */
								BgL_approxz00_bglt BgL_arg4768z00_1649;

								{	/* Cfa/procedure.scm 165 */
									BgL_procedurezd2refzd2appz00_bglt BgL_obj4227z00_1844;

									BgL_obj4227z00_1844 =
										(BgL_procedurezd2refzd2appz00_bglt)
										(BgL_instance4582z00_1939);
									{
										obj_t BgL_auxz00_2240;

										{	/* Cfa/procedure.scm 165 */
											BgL_objectz00_bglt BgL_auxz00_2241;

											BgL_auxz00_2241 =
												(BgL_objectz00_bglt) (BgL_obj4227z00_1844);
											BgL_auxz00_2240 = BGL_OBJECT_WIDENING(BgL_auxz00_2241);
										}
										BgL_arg4768z00_1649 =
											(((BgL_procedurezd2refzd2appz00_bglt)
												CREF(BgL_auxz00_2240))->BgL_approxz00);
									}
								}
								return
									BGl_approxzd2setzd2topz12z12zzcfa_approxz00
									(BgL_arg4768z00_1649);
							}
					}
				}
			}
		}
	}



/* <anonymous:4774> */
	obj_t BGl_zc3anonymousza34774ze3z83zzcfa_procedurez00(obj_t BgL_envz00_1941,
		obj_t BgL_appz00_1943)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 169 */
			{	/* Cfa/procedure.scm 170 */
				obj_t BgL_instance4582z00_1942;

				BgL_instance4582z00_1942 =
					PROCEDURE_REF(BgL_envz00_1941, (int) (((long) 0)));
				{
					obj_t BgL_appz00_1655;

					{	/* Cfa/procedure.scm 170 */
						bool_t BgL_auxz00_2248;

						BgL_appz00_1655 = BgL_appz00_1943;
						if (BGl_iszd2azf3z21zz__objectz00(BgL_appz00_1655,
								BGl_makezd2procedurezd2appz00zzcfa_info2z00))
							{	/* Cfa/procedure.scm 171 */
								int BgL_lenz00_1658;

								{	/* Cfa/procedure.scm 172 */
									obj_t BgL_arg4781z00_1666;

									{	/* Cfa/procedure.scm 172 */
										BgL_makezd2procedurezd2appz00_bglt BgL_obj4178z00_1846;

										BgL_obj4178z00_1846 =
											(BgL_makezd2procedurezd2appz00_bglt) (BgL_appz00_1655);
										{
											obj_t BgL_auxz00_2252;

											{	/* Cfa/procedure.scm 172 */
												BgL_objectz00_bglt BgL_auxz00_2253;

												BgL_auxz00_2253 =
													(BgL_objectz00_bglt) (BgL_obj4178z00_1846);
												BgL_auxz00_2252 = BGL_OBJECT_WIDENING(BgL_auxz00_2253);
											}
											BgL_arg4781z00_1666 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2252))->BgL_valueszd2approxzd2);
									}}
									BgL_lenz00_1658 = VECTOR_LENGTH(BgL_arg4781z00_1666);
								}
								{
									long BgL_iz00_1659;

									BgL_iz00_1659 = ((long) 0);
								BgL_loopz00_1660:
									if ((BgL_iz00_1659 < (long) (BgL_lenz00_1658)))
										{	/* Cfa/procedure.scm 174 */
											{	/* Cfa/procedure.scm 176 */
												BgL_approxz00_bglt BgL_arg4777z00_1662;

												obj_t BgL_arg4778z00_1663;

												{	/* Cfa/procedure.scm 176 */
													BgL_procedurezd2refzd2appz00_bglt BgL_obj4227z00_1850;

													BgL_obj4227z00_1850 =
														(BgL_procedurezd2refzd2appz00_bglt)
														(BgL_instance4582z00_1942);
													{
														obj_t BgL_auxz00_2262;

														{	/* Cfa/procedure.scm 176 */
															BgL_objectz00_bglt BgL_auxz00_2263;

															BgL_auxz00_2263 =
																(BgL_objectz00_bglt) (BgL_obj4227z00_1850);
															BgL_auxz00_2262 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2263);
														}
														BgL_arg4777z00_1662 =
															(((BgL_procedurezd2refzd2appz00_bglt)
																CREF(BgL_auxz00_2262))->BgL_approxz00);
												}}
												{	/* Cfa/procedure.scm 179 */
													obj_t BgL_arg4779z00_1664;

													{	/* Cfa/procedure.scm 179 */
														BgL_makezd2procedurezd2appz00_bglt
															BgL_obj4178z00_1851;
														BgL_obj4178z00_1851 =
															(BgL_makezd2procedurezd2appz00_bglt)
															(BgL_appz00_1655);
														{
															obj_t BgL_auxz00_2268;

															{	/* Cfa/procedure.scm 179 */
																BgL_objectz00_bglt BgL_auxz00_2269;

																BgL_auxz00_2269 =
																	(BgL_objectz00_bglt) (BgL_obj4178z00_1851);
																BgL_auxz00_2268 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2269);
															}
															BgL_arg4779z00_1664 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_2268))->
																BgL_valueszd2approxzd2);
													}}
													BgL_arg4778z00_1663 =
														VECTOR_REF(BgL_arg4779z00_1664,
														(int) (BgL_iz00_1659));
												}
												BGl_unionzd2approxz12zc0zzcfa_approxz00
													(BgL_arg4777z00_1662,
													(BgL_approxz00_bglt) (BgL_arg4778z00_1663));
											}
											{
												long BgL_iz00_2277;

												BgL_iz00_2277 = (BgL_iz00_1659 + ((long) 1));
												BgL_iz00_1659 = BgL_iz00_2277;
												goto BgL_loopz00_1660;
											}
										}
									else
										{	/* Cfa/procedure.scm 174 */
											BgL_auxz00_2248 = ((bool_t) 0);
										}
								}
							}
						else
							{	/* Cfa/procedure.scm 170 */
								BgL_auxz00_2248 = ((bool_t) 0);
							}
						return BBOOL(BgL_auxz00_2248);
					}
				}
			}
		}
	}



/* cfa!-make-procedure-4598 */
	obj_t BGl_cfaz12zd2makezd2procedurezd24598zc0zzcfa_procedurez00(obj_t
		BgL_envz00_1944, obj_t BgL_nodez00_1945)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 120 */
			{
				BgL_makezd2procedurezd2appz00_bglt BgL_nodez00_1610;

				{	/* Cfa/procedure.scm 121 */
					BgL_approxz00_bglt BgL_auxz00_2280;

					BgL_nodez00_1610 =
						(BgL_makezd2procedurezd2appz00_bglt) (BgL_nodez00_1945);
					{	/* Cfa/procedure.scm 124 */
						obj_t BgL_procz00_1614;

						{	/* Cfa/procedure.scm 124 */
							obj_t BgL_pairz00_1807;

							{
								BgL_appz00_bglt BgL_auxz00_2281;

								BgL_auxz00_2281 = (BgL_appz00_bglt) (BgL_nodez00_1610);
								BgL_pairz00_1807 =
									(((BgL_appz00_bglt) CREF(BgL_auxz00_2281))->BgL_argsz00);
							}
							BgL_procz00_1614 = CAR(BgL_pairz00_1807);
						}
						{	/* Cfa/procedure.scm 124 */
							BgL_valuez00_bglt BgL_funz00_1615;

							{	/* Cfa/procedure.scm 125 */
								BgL_variablez00_bglt BgL_obj1486z00_1809;

								{
									BgL_varz00_bglt BgL_auxz00_2285;

									BgL_auxz00_2285 = (BgL_varz00_bglt) (BgL_procz00_1614);
									BgL_obj1486z00_1809 =
										(((BgL_varz00_bglt) CREF(BgL_auxz00_2285))->
										BgL_variablez00);
								}
								BgL_funz00_1615 =
									(((BgL_variablez00_bglt) CREF(BgL_obj1486z00_1809))->
									BgL_valuez00);
							}
							{	/* Cfa/procedure.scm 125 */
								obj_t BgL_envz00_1616;

								{	/* Cfa/procedure.scm 126 */
									obj_t BgL_pairz00_1811;

									{
										BgL_sfunz00_bglt BgL_auxz00_2289;

										BgL_auxz00_2289 = (BgL_sfunz00_bglt) (BgL_funz00_1615);
										BgL_pairz00_1811 =
											(((BgL_sfunz00_bglt) CREF(BgL_auxz00_2289))->BgL_argsz00);
									}
									BgL_envz00_1616 = CAR(BgL_pairz00_1811);
								}
								{	/* Cfa/procedure.scm 126 */

									{	/* Cfa/procedure.scm 133 */
										BgL_approxz00_bglt BgL_arg4747z00_1617;

										BgL_approxz00_bglt BgL_arg4748z00_1618;

										{	/* Cfa/procedure.scm 133 */
											BgL_svarzf2cinfozf2_bglt BgL_obj3379z00_1813;

											{	/* Cfa/procedure.scm 133 */
												BgL_variablez00_bglt BgL_obj1486z00_1812;

												BgL_obj1486z00_1812 =
													(BgL_variablez00_bglt) (BgL_envz00_1616);
												BgL_obj3379z00_1813 =
													(BgL_svarzf2cinfozf2_bglt) (
													(((BgL_variablez00_bglt) CREF(BgL_obj1486z00_1812))->
														BgL_valuez00));
											}
											{
												obj_t BgL_auxz00_2296;

												{	/* Cfa/procedure.scm 133 */
													BgL_objectz00_bglt BgL_auxz00_2297;

													BgL_auxz00_2297 =
														(BgL_objectz00_bglt) (BgL_obj3379z00_1813);
													BgL_auxz00_2296 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2297);
												}
												BgL_arg4747z00_1617 =
													(((BgL_svarzf2cinfozf2_bglt) CREF(BgL_auxz00_2296))->
													BgL_approxz00);
											}
										}
										{
											obj_t BgL_auxz00_2301;

											{	/* Cfa/procedure.scm 133 */
												BgL_objectz00_bglt BgL_auxz00_2302;

												BgL_auxz00_2302 =
													(BgL_objectz00_bglt) (BgL_nodez00_1610);
												BgL_auxz00_2301 = BGL_OBJECT_WIDENING(BgL_auxz00_2302);
											}
											BgL_arg4748z00_1618 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_2301))->BgL_approxz00);
										}
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg4747z00_1617,
											BgL_arg4748z00_1618);
									}
								}
							}
						}
					}
					{	/* Cfa/procedure.scm 135 */
						obj_t BgL_g4590z00_1623;

						{
							BgL_appz00_bglt BgL_auxz00_2307;

							BgL_auxz00_2307 = (BgL_appz00_bglt) (BgL_nodez00_1610);
							BgL_g4590z00_1623 =
								(((BgL_appz00_bglt) CREF(BgL_auxz00_2307))->BgL_argsz00);
						}
						{
							obj_t BgL_l4588z00_1624;

							BgL_l4588z00_1624 = BgL_g4590z00_1623;
						BgL_forzd2each4589zd2_1625:
							if (PAIRP(BgL_l4588z00_1624))
								{	/* Cfa/procedure.scm 135 */
									{	/* Cfa/procedure.scm 135 */
										obj_t BgL_arg4754z00_1627;

										BgL_arg4754z00_1627 = CAR(BgL_l4588z00_1624);
										BGl_cfaz12z12zzcfa_cfaz00(
											(BgL_nodez00_bglt) (BgL_arg4754z00_1627));
									}
									{
										obj_t BgL_l4588z00_2315;

										BgL_l4588z00_2315 = CDR(BgL_l4588z00_1624);
										BgL_l4588z00_1624 = BgL_l4588z00_2315;
										goto BgL_forzd2each4589zd2_1625;
									}
								}
							else
								{	/* Cfa/procedure.scm 135 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_auxz00_2317;

						{	/* Cfa/procedure.scm 136 */
							BgL_objectz00_bglt BgL_auxz00_2318;

							BgL_auxz00_2318 = (BgL_objectz00_bglt) (BgL_nodez00_1610);
							BgL_auxz00_2317 = BGL_OBJECT_WIDENING(BgL_auxz00_2318);
						}
						BgL_auxz00_2280 =
							(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_2317))->
							BgL_approxz00);
					}
					return (obj_t) (BgL_auxz00_2280);
				}
			}
		}
	}



/* node-setup!-pre-proc4596 */
	obj_t BGl_nodezd2setupz12zd2prezd2proc4596zc0zzcfa_procedurez00(obj_t
		BgL_envz00_1946, obj_t BgL_nodez00_1947)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 109 */
			{
				BgL_prezd2procedurezd2setz12zd2appzc0_bglt BgL_nodez00_1594;

				{	/* Cfa/procedure.scm 110 */
					BgL_appz00_bglt BgL_auxz00_2324;

					BgL_nodez00_1594 =
						(BgL_prezd2procedurezd2setz12zd2appzc0_bglt) (BgL_nodez00_1947);
					BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
						(BgL_nodez00_bglt) (BgL_nodez00_1594));
					{	/* Cfa/procedure.scm 112 */
						obj_t BgL_arg4739z00_1598;

						{
							BgL_appz00_bglt BgL_auxz00_2327;

							BgL_auxz00_2327 = (BgL_appz00_bglt) (BgL_nodez00_1594);
							BgL_arg4739z00_1598 =
								(((BgL_appz00_bglt) CREF(BgL_auxz00_2327))->BgL_argsz00);
						}
						BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg4739z00_1598);
					}
					{	/* Cfa/procedure.scm 113 */
						BgL_prezd2procedurezd2setz12zd2appzc0_bglt BgL_nodez00_1599;

						{	/* Cfa/procedure.scm 113 */
							long BgL_arg4743z00_1605;

							{	/* Cfa/procedure.scm 113 */
								obj_t BgL_arg4744z00_1606;

								{	/* Cfa/procedure.scm 113 */
									obj_t BgL_arg4745z00_1607;

									{	/* Cfa/procedure.scm 113 */
										BgL_objectz00_bglt BgL_objectz00_1794;

										BgL_objectz00_1794 =
											(BgL_objectz00_bglt) (BgL_nodez00_1594);
										{	/* Cfa/procedure.scm 113 */
											long BgL_arg2391z00_1795;

											{	/* Cfa/procedure.scm 113 */
												long BgL_arg2392z00_1796;

												BgL_arg2392z00_1796 =
													BGL_OBJECT_CLASS_NUM(BgL_objectz00_1794);
												BgL_arg2391z00_1795 =
													(BgL_arg2392z00_1796 - OBJECT_TYPE);
											}
											BgL_arg4745z00_1607 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg2391z00_1795));
									}}
									BgL_arg4744z00_1606 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg4745z00_1607);
								}
								BgL_arg4743z00_1605 =
									BGl_classzd2numzd2zz__objectz00(BgL_arg4744z00_1606);
							}
							BGL_OBJECT_CLASS_NUM_SET(
								(BgL_objectz00_bglt) (BgL_nodez00_1594), BgL_arg4743z00_1605);
						}
						{	/* Cfa/procedure.scm 113 */
							BgL_objectz00_bglt BgL_auxz00_2340;

							BgL_auxz00_2340 = (BgL_objectz00_bglt) (BgL_nodez00_1594);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2340, BFALSE);
						}
						BgL_nodez00_1599 = BgL_nodez00_1594;
						{	/* Cfa/procedure.scm 114 */
							BgL_appz00_bglt BgL_obj4579z00_1600;

							BgL_obj4579z00_1600 =
								((BgL_appz00_bglt) (BgL_appz00_bglt) (BgL_nodez00_1599));
							{	/* Cfa/procedure.scm 114 */
								obj_t BgL_auxz00_2347;

								BgL_objectz00_bglt BgL_auxz00_2345;

								BgL_auxz00_2347 =
									BGl_wideningzd2procedurezd2setz12zd2appzc0zzcfa_info2z00
									(BGl_makezd2typezd2approxz00zzcfa_approxz00((BgL_typez00_bglt)
										(BGl_za2unspecza2z00zztype_cachez00)));
								BgL_auxz00_2345 = (BgL_objectz00_bglt) (BgL_obj4579z00_1600);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2345, BgL_auxz00_2347);
							}
							BGL_OBJECT_CLASS_NUM_SET(
								(BgL_objectz00_bglt) (BgL_obj4579z00_1600),
								BGl_classzd2numzd2zz__objectz00
								(BGl_procedurezd2setz12zd2appz12zzcfa_info2z00));
							BgL_auxz00_2324 = BgL_obj4579z00_1600;
					}}
					return (obj_t) (BgL_auxz00_2324);
				}
			}
		}
	}



/* node-setup!-pre-proc4594 */
	obj_t BGl_nodezd2setupz12zd2prezd2proc4594zc0zzcfa_procedurez00(obj_t
		BgL_envz00_1948, obj_t BgL_nodez00_1949)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 98 */
			{
				BgL_prezd2procedurezd2refzd2appzd2_bglt BgL_nodez00_1578;

				{	/* Cfa/procedure.scm 99 */
					BgL_appz00_bglt BgL_auxz00_2357;

					BgL_nodez00_1578 =
						(BgL_prezd2procedurezd2refzd2appzd2_bglt) (BgL_nodez00_1949);
					BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
						(BgL_nodez00_bglt) (BgL_nodez00_1578));
					{	/* Cfa/procedure.scm 101 */
						obj_t BgL_arg4731z00_1582;

						{
							BgL_appz00_bglt BgL_auxz00_2360;

							BgL_auxz00_2360 = (BgL_appz00_bglt) (BgL_nodez00_1578);
							BgL_arg4731z00_1582 =
								(((BgL_appz00_bglt) CREF(BgL_auxz00_2360))->BgL_argsz00);
						}
						BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg4731z00_1582);
					}
					{	/* Cfa/procedure.scm 102 */
						BgL_prezd2procedurezd2refzd2appzd2_bglt BgL_nodez00_1583;

						{	/* Cfa/procedure.scm 102 */
							long BgL_arg4735z00_1589;

							{	/* Cfa/procedure.scm 102 */
								obj_t BgL_arg4736z00_1590;

								{	/* Cfa/procedure.scm 102 */
									obj_t BgL_arg4737z00_1591;

									{	/* Cfa/procedure.scm 102 */
										BgL_objectz00_bglt BgL_objectz00_1781;

										BgL_objectz00_1781 =
											(BgL_objectz00_bglt) (BgL_nodez00_1578);
										{	/* Cfa/procedure.scm 102 */
											long BgL_arg2391z00_1782;

											{	/* Cfa/procedure.scm 102 */
												long BgL_arg2392z00_1783;

												BgL_arg2392z00_1783 =
													BGL_OBJECT_CLASS_NUM(BgL_objectz00_1781);
												BgL_arg2391z00_1782 =
													(BgL_arg2392z00_1783 - OBJECT_TYPE);
											}
											BgL_arg4737z00_1591 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg2391z00_1782));
									}}
									BgL_arg4736z00_1590 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg4737z00_1591);
								}
								BgL_arg4735z00_1589 =
									BGl_classzd2numzd2zz__objectz00(BgL_arg4736z00_1590);
							}
							BGL_OBJECT_CLASS_NUM_SET(
								(BgL_objectz00_bglt) (BgL_nodez00_1578), BgL_arg4735z00_1589);
						}
						{	/* Cfa/procedure.scm 102 */
							BgL_objectz00_bglt BgL_auxz00_2373;

							BgL_auxz00_2373 = (BgL_objectz00_bglt) (BgL_nodez00_1578);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2373, BFALSE);
						}
						BgL_nodez00_1583 = BgL_nodez00_1578;
						{	/* Cfa/procedure.scm 103 */
							BgL_appz00_bglt BgL_obj4575z00_1584;

							BgL_obj4575z00_1584 =
								((BgL_appz00_bglt) (BgL_appz00_bglt) (BgL_nodez00_1583));
							{	/* Cfa/procedure.scm 103 */
								obj_t BgL_auxz00_2380;

								BgL_objectz00_bglt BgL_auxz00_2378;

								BgL_auxz00_2380 =
									BGl_wideningzd2procedurezd2refzd2appzd2zzcfa_info2z00
									(BGl_makezd2typezd2approxz00zzcfa_approxz00((BgL_typez00_bglt)
										(BGl_za2objza2z00zztype_cachez00)));
								BgL_auxz00_2378 = (BgL_objectz00_bglt) (BgL_obj4575z00_1584);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2378, BgL_auxz00_2380);
							}
							BGL_OBJECT_CLASS_NUM_SET(
								(BgL_objectz00_bglt) (BgL_obj4575z00_1584),
								BGl_classzd2numzd2zz__objectz00
								(BGl_procedurezd2refzd2appz00zzcfa_info2z00));
							BgL_auxz00_2357 = BgL_obj4575z00_1584;
					}}
					return (obj_t) (BgL_auxz00_2357);
				}
			}
		}
	}



/* node-setup!-pre-make4592 */
	obj_t BGl_nodezd2setupz12zd2prezd2make4592zc0zzcfa_procedurez00(obj_t
		BgL_envz00_1950, obj_t BgL_nodez00_1951)
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 48 */
			{
				BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_nodez00_1526;

				BgL_nodez00_1526 =
					(BgL_prezd2makezd2procedurezd2appzd2_bglt) (BgL_nodez00_1951);
				{

					{
						obj_t BgL_lenz00_1566;

						BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
							(BgL_nodez00_bglt) (BgL_nodez00_1526));
						{	/* Cfa/procedure.scm 59 */
							obj_t BgL_arg4700z00_1531;

							{
								BgL_appz00_bglt BgL_auxz00_2392;

								BgL_auxz00_2392 = (BgL_appz00_bglt) (BgL_nodez00_1526);
								BgL_arg4700z00_1531 =
									(((BgL_appz00_bglt) CREF(BgL_auxz00_2392))->BgL_argsz00);
							}
							BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg4700z00_1531);
						}
						{	/* Cfa/procedure.scm 60 */
							BgL_variablez00_bglt BgL_ownerz00_1532;

							{
								obj_t BgL_auxz00_2396;

								{	/* Cfa/procedure.scm 60 */
									BgL_objectz00_bglt BgL_auxz00_2397;

									BgL_auxz00_2397 = (BgL_objectz00_bglt) (BgL_nodez00_1526);
									BgL_auxz00_2396 = BGL_OBJECT_WIDENING(BgL_auxz00_2397);
								}
								BgL_ownerz00_1532 =
									(((BgL_prezd2makezd2procedurezd2appzd2_bglt)
										CREF(BgL_auxz00_2396))->BgL_ownerz00);
							}
							{	/* Cfa/procedure.scm 60 */
								BgL_prezd2makezd2procedurezd2appzd2_bglt BgL_nodez00_1533;

								{	/* Cfa/procedure.scm 61 */
									long BgL_arg4722z00_1563;

									{	/* Cfa/procedure.scm 61 */
										obj_t BgL_arg4723z00_1564;

										{	/* Cfa/procedure.scm 61 */
											obj_t BgL_arg4724z00_1565;

											{	/* Cfa/procedure.scm 61 */
												BgL_objectz00_bglt BgL_objectz00_1733;

												BgL_objectz00_1733 =
													(BgL_objectz00_bglt) (BgL_nodez00_1526);
												{	/* Cfa/procedure.scm 61 */
													long BgL_arg2391z00_1734;

													{	/* Cfa/procedure.scm 61 */
														long BgL_arg2392z00_1735;

														BgL_arg2392z00_1735 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_1733);
														BgL_arg2391z00_1734 =
															(BgL_arg2392z00_1735 - OBJECT_TYPE);
													}
													BgL_arg4724z00_1565 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														(int) (BgL_arg2391z00_1734));
											}}
											BgL_arg4723z00_1564 =
												BGl_classzd2superzd2zz__objectz00(BgL_arg4724z00_1565);
										}
										BgL_arg4722z00_1563 =
											BGl_classzd2numzd2zz__objectz00(BgL_arg4723z00_1564);
									}
									BGL_OBJECT_CLASS_NUM_SET(
										(BgL_objectz00_bglt) (BgL_nodez00_1526),
										BgL_arg4722z00_1563);
								}
								{	/* Cfa/procedure.scm 61 */
									BgL_objectz00_bglt BgL_auxz00_2410;

									BgL_auxz00_2410 = (BgL_objectz00_bglt) (BgL_nodez00_1526);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2410, BFALSE);
								}
								BgL_nodez00_1533 = BgL_nodez00_1526;
								{	/* Cfa/procedure.scm 61 */

									{	/* Cfa/procedure.scm 62 */
										obj_t BgL_proczd2siza7ez75_1534;

										obj_t BgL_procz00_1535;

										{	/* Cfa/procedure.scm 62 */
											obj_t BgL_arg4719z00_1559;

											{	/* Cfa/procedure.scm 62 */
												obj_t BgL_pairz00_1744;

												{
													BgL_appz00_bglt BgL_auxz00_2413;

													BgL_auxz00_2413 =
														(BgL_appz00_bglt) (BgL_nodez00_1526);
													BgL_pairz00_1744 =
														(((BgL_appz00_bglt) CREF(BgL_auxz00_2413))->
														BgL_argsz00);
												}
												BgL_arg4719z00_1559 = CAR(CDR(CDR(BgL_pairz00_1744)));
											}
											BgL_proczd2siza7ez75_1534 =
												BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
												(BgL_nodez00_bglt) (BgL_arg4719z00_1559));
										}
										{	/* Cfa/procedure.scm 63 */
											obj_t BgL_pairz00_1751;

											{
												BgL_appz00_bglt BgL_auxz00_2421;

												BgL_auxz00_2421 = (BgL_appz00_bglt) (BgL_nodez00_1526);
												BgL_pairz00_1751 =
													(((BgL_appz00_bglt) CREF(BgL_auxz00_2421))->
													BgL_argsz00);
											}
											BgL_procz00_1535 = CAR(BgL_pairz00_1751);
										}
										{	/* Cfa/procedure.scm 64 */
											bool_t BgL_testz00_2425;

											if (INTEGERP(BgL_proczd2siza7ez75_1534))
												{	/* Cfa/procedure.scm 64 */
													if (BGl_iszd2azf3z21zz__objectz00(BgL_procz00_1535,
															BGl_varz00zzast_nodez00))
														{	/* Cfa/procedure.scm 66 */
															BgL_valuez00_bglt BgL_arg4717z00_1557;

															{	/* Cfa/procedure.scm 66 */
																BgL_variablez00_bglt BgL_obj1486z00_1755;

																{
																	BgL_varz00_bglt BgL_auxz00_2430;

																	BgL_auxz00_2430 =
																		(BgL_varz00_bglt) (BgL_procz00_1535);
																	BgL_obj1486z00_1755 =
																		(((BgL_varz00_bglt) CREF(BgL_auxz00_2430))->
																		BgL_variablez00);
																}
																BgL_arg4717z00_1557 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_obj1486z00_1755))->BgL_valuez00);
															}
															{	/* Cfa/procedure.scm 66 */
																obj_t BgL_obj1731z00_1756;

																BgL_obj1731z00_1756 =
																	(obj_t) (BgL_arg4717z00_1557);
																BgL_testz00_2425 =
																	BGl_iszd2azf3z21zz__objectz00
																	(BgL_obj1731z00_1756, BGl_funz00zzast_varz00);
															}
														}
													else
														{	/* Cfa/procedure.scm 65 */
															BgL_testz00_2425 = ((bool_t) 0);
														}
												}
											else
												{	/* Cfa/procedure.scm 64 */
													BgL_testz00_2425 = ((bool_t) 0);
												}
											if (BgL_testz00_2425)
												{	/* Cfa/procedure.scm 67 */
													BgL_appz00_bglt BgL_nodez00_1537;

													{	/* Cfa/procedure.scm 67 */
														BgL_appz00_bglt BgL_obj4570z00_1548;

														BgL_obj4570z00_1548 =
															((BgL_appz00_bglt)
															(BgL_appz00_bglt) (BgL_nodez00_1533));
														{	/* Cfa/procedure.scm 67 */
															obj_t BgL_auxz00_2440;

															BgL_objectz00_bglt BgL_auxz00_2438;

															{	/* Cfa/procedure.scm 67 */
																obj_t BgL_auxz00_2441;

																BgL_lenz00_1566 = BgL_proczd2siza7ez75_1534;
																{	/* Cfa/procedure.scm 50 */
																	obj_t BgL_resz00_1568;

																	BgL_resz00_1568 =
																		make_vector(CINT(BgL_lenz00_1566), BUNSPEC);
																	{
																		long BgL_iz00_1569;

																		BgL_iz00_1569 = ((long) 0);
																	BgL_loopz00_1570:
																		if (
																			(BgL_iz00_1569 ==
																				(long) CINT(BgL_lenz00_1566)))
																			{	/* Cfa/procedure.scm 52 */
																				BgL_auxz00_2441 = BgL_resz00_1568;
																			}
																		else
																			{	/* Cfa/procedure.scm 52 */
																				{	/* Cfa/procedure.scm 55 */
																					BgL_approxz00_bglt
																						BgL_arg4727z00_1572;
																					BgL_arg4727z00_1572 =
																						BGl_makezd2typezd2approxz00zzcfa_approxz00
																						((BgL_typez00_bglt)
																						(BGl_za2objza2z00zztype_cachez00));
																					VECTOR_SET(BgL_resz00_1568,
																						(int) (BgL_iz00_1569),
																						(obj_t) (BgL_arg4727z00_1572));
																				}
																				{
																					long BgL_iz00_2453;

																					BgL_iz00_2453 =
																						(BgL_iz00_1569 + ((long) 1));
																					BgL_iz00_1569 = BgL_iz00_2453;
																					goto BgL_loopz00_1570;
																				}
																			}
																	}
																}
																BgL_auxz00_2440 =
																	BGl_wideningzd2makezd2procedurezd2appzd2zzcfa_info2z00
																	(BGl_makezd2emptyzd2approxz00zzcfa_approxz00
																	(), BgL_auxz00_2441, ((long) -1),
																	((bool_t) 1), ((bool_t) 0), ((bool_t) 0),
																	BgL_ownerz00_1532, BNIL);
															}
															BgL_auxz00_2438 =
																(BgL_objectz00_bglt) (BgL_obj4570z00_1548);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_2438,
																BgL_auxz00_2440);
														}
														BGL_OBJECT_CLASS_NUM_SET(
															(BgL_objectz00_bglt) (BgL_obj4570z00_1548),
															BGl_classzd2numzd2zz__objectz00
															(BGl_makezd2procedurezd2appz00zzcfa_info2z00));
														BgL_nodez00_1537 = BgL_obj4570z00_1548;
													}
													{	/* Cfa/procedure.scm 76 */
														BgL_approxz00_bglt BgL_arg4702z00_1538;

														BgL_arg4702z00_1538 =
															BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00
															((BgL_typez00_bglt)
															(BGl_za2procedureza2z00zztype_cachez00),
															(BgL_nodez00_bglt) (BgL_nodez00_1537));
														{	/* Cfa/procedure.scm 75 */
															BgL_makezd2procedurezd2appz00_bglt
																BgL_obj4177z00_1759;
															BgL_approxz00_bglt BgL_val4176z00_1760;

															BgL_obj4177z00_1759 =
																(BgL_makezd2procedurezd2appz00_bglt)
																(BgL_nodez00_1537);
															BgL_val4176z00_1760 = BgL_arg4702z00_1538;
															{
																obj_t BgL_auxz00_2464;

																{	/* Cfa/procedure.scm 75 */
																	BgL_objectz00_bglt BgL_auxz00_2465;

																	BgL_auxz00_2465 =
																		(BgL_objectz00_bglt) (BgL_obj4177z00_1759);
																	BgL_auxz00_2464 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_2465);
																}
																((((BgL_makezd2procedurezd2appz00_bglt)
																			CREF(BgL_auxz00_2464))->BgL_approxz00) =
																	((BgL_approxz00_bglt) BgL_val4176z00_1760),
																	BUNSPEC);
													}}}
													{	/* Cfa/procedure.scm 81 */
														obj_t BgL_cloz00_1539;

														{	/* Cfa/procedure.scm 81 */
															obj_t BgL_pairz00_1764;

															{	/* Cfa/procedure.scm 81 */
																BgL_sfunz00_bglt BgL_obj1754z00_1763;

																{	/* Cfa/procedure.scm 83 */
																	BgL_valuez00_bglt BgL_auxz00_2469;

																	{	/* Cfa/procedure.scm 82 */
																		BgL_variablez00_bglt BgL_obj1486z00_1762;

																		{
																			BgL_varz00_bglt BgL_auxz00_2470;

																			BgL_auxz00_2470 =
																				(BgL_varz00_bglt) (BgL_procz00_1535);
																			BgL_obj1486z00_1762 =
																				(((BgL_varz00_bglt)
																					CREF(BgL_auxz00_2470))->
																				BgL_variablez00);
																		}
																		BgL_auxz00_2469 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_obj1486z00_1762))->
																			BgL_valuez00);
																	}
																	BgL_obj1754z00_1763 =
																		(BgL_sfunz00_bglt) (BgL_auxz00_2469);
																}
																BgL_pairz00_1764 =
																	(((BgL_sfunz00_bglt)
																		CREF(BgL_obj1754z00_1763))->BgL_argsz00);
															}
															BgL_cloz00_1539 = CAR(BgL_pairz00_1764);
														}
														{	/* Cfa/procedure.scm 81 */
															BgL_valuez00_bglt BgL_vcloz00_1540;

															{
																BgL_variablez00_bglt BgL_auxz00_2477;

																BgL_auxz00_2477 =
																	(BgL_variablez00_bglt) (BgL_cloz00_1539);
																BgL_vcloz00_1540 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_auxz00_2477))->BgL_valuez00);
															}
															{	/* Cfa/procedure.scm 84 */

																{	/* Cfa/procedure.scm 85 */
																	bool_t BgL_testz00_2480;

																	{	/* Cfa/procedure.scm 85 */
																		obj_t BgL_obj3378z00_1766;

																		BgL_obj3378z00_1766 =
																			(obj_t) (BgL_vcloz00_1540);
																		BgL_testz00_2480 =
																			BGl_iszd2azf3z21zz__objectz00
																			(BgL_obj3378z00_1766,
																			BGl_svarzf2Cinfozf2zzcfa_infoz00);
																	}
																	if (BgL_testz00_2480)
																		{	/* Cfa/procedure.scm 85 */
																			{	/* Cfa/procedure.scm 89 */
																				BgL_svarzf2cinfozf2_bglt
																					BgL_obj3382z00_1767;
																				bool_t BgL_val3381z00_1768;

																				BgL_obj3382z00_1767 =
																					(BgL_svarzf2cinfozf2_bglt)
																					(BgL_vcloz00_1540);
																				BgL_val3381z00_1768 = ((bool_t) 1);
																				{
																					obj_t BgL_auxz00_2484;

																					{	/* Cfa/procedure.scm 89 */
																						BgL_objectz00_bglt BgL_auxz00_2485;

																						BgL_auxz00_2485 =
																							(BgL_objectz00_bglt)
																							(BgL_obj3382z00_1767);
																						BgL_auxz00_2484 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_2485);
																					}
																					return
																						((((BgL_svarzf2cinfozf2_bglt)
																								CREF(BgL_auxz00_2484))->
																							BgL_clozd2envzf3z21) =
																						((bool_t) BgL_val3381z00_1768),
																						BUNSPEC);
																				}
																			}
																		}
																	else
																		{	/* Cfa/procedure.scm 90 */
																			BgL_svarz00_bglt BgL_obj4571z00_1542;

																			BgL_obj4571z00_1542 =
																				((BgL_svarz00_bglt)
																				(BgL_svarz00_bglt) (BgL_vcloz00_1540));
																			{	/* Cfa/procedure.scm 90 */
																				obj_t BgL_auxz00_2493;

																				BgL_objectz00_bglt BgL_auxz00_2491;

																				BgL_auxz00_2493 =
																					BGl_wideningzd2prezd2clozd2envzd2zzcfa_infoz00
																					();
																				BgL_auxz00_2491 =
																					(BgL_objectz00_bglt)
																					(BgL_obj4571z00_1542);
																				BGL_OBJECT_WIDENING_SET(BgL_auxz00_2491,
																					BgL_auxz00_2493);
																			}
																			BGL_OBJECT_CLASS_NUM_SET(
																				(BgL_objectz00_bglt)
																				(BgL_obj4571z00_1542),
																				BGl_classzd2numzd2zz__objectz00
																				(BGl_prezd2clozd2envz00zzcfa_infoz00));
																			return (obj_t) (BgL_obj4571z00_1542);
																		}
																}
															}
														}
													}
												}
											else
												{	/* Cfa/procedure.scm 64 */
													{	/* Cfa/procedure.scm 48 */
														obj_t BgL_nextzd2method4591zd2_1576;

														BgL_nextzd2method4591zd2_1576 =
															BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
															(BgL_objectz00_bglt) (BgL_nodez00_1526),
															BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
															BGl_prezd2makezd2procedurezd2appzd2zzcfa_info2z00);
														if (PROCEDUREP(BgL_nextzd2method4591zd2_1576))
															{	/* Cfa/procedure.scm 48 */
																return
																	PROCEDURE_ENTRY(BgL_nextzd2method4591zd2_1576)
																	(BgL_nextzd2method4591zd2_1576,
																	(obj_t) (BgL_nodez00_1526), BEOA);
															}
														else
															{	/* Cfa/procedure.scm 48 */
																return
																	BGl_nodezd2setupz12zc0zzcfa_setupz00(
																	(BgL_nodez00_bglt) (BgL_nodez00_1526));
															}
													}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_procedurez00()
	{
		AN_OBJECT;
		{	/* Cfa/procedure.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 243010053),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 235614963),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 212645849),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 535144917),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 42139303),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 326518176),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 416995938),
				BSTRING_TO_STRING(BGl_string4831z00zzcfa_procedurez00));
		}
	}

#ifdef __cplusplus
}
#endif
