/*===========================================================================*/
/*   (Cnst/cache.scm)                                                        */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cnst/cache.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


	BGL_EXPORTED_DEF obj_t BGl_za2consza2z00zzcnst_cachez00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2bstringzd2ze3symbolza2z31zzcnst_cachez00 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcnst_cachez00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2longzd2ze3intza2z31zzcnst_cachez00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2btrueza2z00zzcnst_cachez00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2boolzd2ze3bboolza2z31zzcnst_cachez00 = BUNSPEC;
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2llongzd2ze3bllongza2z31zzcnst_cachez00 =
		BUNSPEC;
	static obj_t BGl__stopzd2cnstzd2cachez12z12zzcnst_cachez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2stringzd2ze3ucs2stringza2z31zzcnst_cachez00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2bfalseza2z00zzcnst_cachez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzcnst_cachez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcnst_cachez00();
	BGL_EXPORTED_DEF obj_t BGl_za2makezd2vazd2procedureza2z00zzcnst_cachez00 =
		BUNSPEC;
	static bool_t BGl_za2cachezd2startedzf3za2z21zzcnst_cachez00;
	BGL_EXPORTED_DEF obj_t BGl_za2vectorzd2tagzd2setz12za2z12zzcnst_cachez00 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcnst_cachez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_za2makezd2fxzd2procedureza2z00zzcnst_cachez00 =
		BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzcnst_cachez00();
	BGL_EXPORTED_DEF obj_t BGl_za2bstringzd2ze3keywordza2z31zzcnst_cachez00 =
		BUNSPEC;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_startzd2cnstzd2cachez12z12zzcnst_cachez00();
	BGL_EXPORTED_DEF obj_t BGl_za2cnstzd2tablezd2refza2z00zzcnst_cachez00 =
		BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DEF obj_t BGl_za2doublezd2ze3realza2z31zzcnst_cachez00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2listzd2ze3structza2z31zzcnst_cachez00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2elongzd2ze3belongza2z31zzcnst_cachez00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2cnstzd2tablezd2setz12za2z12zzcnst_cachez00 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_stopzd2cnstzd2cachez12z12zzcnst_cachez00();
	static obj_t BGl__startzd2cnstzd2cachez12z12zzcnst_cachez00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2listzd2ze3vectorza2z31zzcnst_cachez00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2stringzd2ze3bstringza2z31zzcnst_cachez00 =
		BUNSPEC;
	static obj_t BGl_libraryzd2moduleszd2initz00zzcnst_cachez00();
	static obj_t BGl_methodzd2initzd2zzcnst_cachez00();
	static obj_t __cnst[20];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2cnstzd2cachez12zd2envzc0zzcnst_cachez00,
		BgL_bgl__stopza7d2cnstza7d2c2017z00,
		BGl__stopzd2cnstzd2cachez12z12zzcnst_cachez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_startzd2cnstzd2cachez12zd2envzc0zzcnst_cachez00,
		BgL_bgl__startza7d2cnstza7d22018z00,
		BGl__startzd2cnstzd2cachez12z12zzcnst_cachez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2013z00zzcnst_cachez00,
		BgL_bgl_string2013za700za7za7c2019za7, "cnst_cache", 10);
	      DEFINE_STRING(BGl_string2014z00zzcnst_cachez00,
		BgL_bgl_string2014za700za7za7c2020za7,
		"list->struct vector-tag-set! list->vector $llong->bllong $elong->belong $double->real make-va-procedure make-fx-procedure $long->int $bool->bbool c-bstring->keyword c-bstring->symbol c-utf8-string->ucs2-string $string->bstring bfalse btrue c-cons cnst-table-set! foreign cnst-table-ref ",
		286);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcnst_cachez00(long
		BgL_checksumz00_454, char *BgL_fromz00_455)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcnst_cachez00))
				{
					BGl_requirezd2initializa7ationz75zzcnst_cachez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcnst_cachez00();
					BGl_cnstzd2initzd2zzcnst_cachez00();
					BGl_importedzd2moduleszd2initz00zzcnst_cachez00();
					BGl_toplevelzd2initzd2zzcnst_cachez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcnst_cachez00()
	{
		AN_OBJECT;
		{	/* Cnst/cache.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cnst_cache");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcnst_cachez00()
	{
		AN_OBJECT;
		{	/* Cnst/cache.scm 15 */
			{	/* Cnst/cache.scm 15 */
				obj_t BgL_cportz00_446;

				BgL_cportz00_446 =
					bgl_open_input_string(BGl_string2014z00zzcnst_cachez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_447;

					BgL_iz00_447 = ((long) 19);
				BgL_loopz00_448:
					if ((BgL_iz00_447 == ((long) -1)))
						{	/* Cnst/cache.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cnst/cache.scm 15 */
							{	/* Cnst/cache.scm 15 */
								obj_t BgL_arg2016z00_450;

								{	/* Cnst/cache.scm 15 */

									{	/* Cnst/cache.scm 15 */
										obj_t BgL_locationz00_452;

										BgL_locationz00_452 = BBOOL(((bool_t) 0));
										{	/* Cnst/cache.scm 15 */

											BgL_arg2016z00_450 =
												BGl_readz00zz__readerz00(BgL_cportz00_446,
												BgL_locationz00_452);
										}
									}
								}
								{	/* Cnst/cache.scm 15 */
									int BgL_auxz00_470;

									BgL_auxz00_470 = (int) (BgL_iz00_447);
									CNST_TABLE_SET(BgL_auxz00_470, BgL_arg2016z00_450);
							}}
							{	/* Cnst/cache.scm 15 */
								int BgL_auxz00_453;

								BgL_auxz00_453 = (int) ((BgL_iz00_447 - ((long) 1)));
								{
									long BgL_iz00_475;

									BgL_iz00_475 = (long) (BgL_auxz00_453);
									BgL_iz00_447 = BgL_iz00_475;
									goto BgL_loopz00_448;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcnst_cachez00()
	{
		AN_OBJECT;
		{	/* Cnst/cache.scm 15 */
			BGl_za2cachezd2startedzf3za2z21zzcnst_cachez00 = ((bool_t) 0);
			BGl_za2cnstzd2tablezd2refza2z00zzcnst_cachez00 = BFALSE;
			BGl_za2cnstzd2tablezd2setz12za2z12zzcnst_cachez00 = BFALSE;
			BGl_za2consza2z00zzcnst_cachez00 = BFALSE;
			BGl_za2btrueza2z00zzcnst_cachez00 = BFALSE;
			BGl_za2bfalseza2z00zzcnst_cachez00 = BFALSE;
			BGl_za2stringzd2ze3bstringza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2stringzd2ze3ucs2stringza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2bstringzd2ze3symbolza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2bstringzd2ze3keywordza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2boolzd2ze3bboolza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2longzd2ze3intza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2makezd2fxzd2procedureza2z00zzcnst_cachez00 = BFALSE;
			BGl_za2makezd2vazd2procedureza2z00zzcnst_cachez00 = BFALSE;
			BGl_za2doublezd2ze3realza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2elongzd2ze3belongza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2llongzd2ze3bllongza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2listzd2ze3vectorza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2vectorzd2tagzd2setz12za2z12zzcnst_cachez00 = BFALSE;
			return (BGl_za2listzd2ze3structza2z31zzcnst_cachez00 = BFALSE, BUNSPEC);
		}
	}



/* start-cnst-cache! */
	BGL_EXPORTED_DEF obj_t BGl_startzd2cnstzd2cachez12z12zzcnst_cachez00()
	{
		AN_OBJECT;
		{	/* Cnst/cache.scm 70 */
			if (BGl_za2cachezd2startedzf3za2z21zzcnst_cachez00)
				{	/* Cnst/cache.scm 71 */
					return BTRUE;
				}
			else
				{	/* Cnst/cache.scm 71 */
					BGl_za2cachezd2startedzf3za2z21zzcnst_cachez00 = ((bool_t) 1);
					BGl_za2cnstzd2tablezd2refza2z00zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 0)),
						CNST_TABLE_REF(((long) 1)));
					BGl_za2cnstzd2tablezd2setz12za2z12zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 2)),
						CNST_TABLE_REF(((long) 1)));
					BGl_za2consza2z00zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 1)));
					BGl_za2btrueza2z00zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 4)),
						CNST_TABLE_REF(((long) 1)));
					BGl_za2bfalseza2z00zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 5)),
						CNST_TABLE_REF(((long) 1)));
					BGl_za2stringzd2ze3bstringza2z31zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 6)),
						CNST_TABLE_REF(((long) 1)));
					BGl_za2stringzd2ze3ucs2stringza2z31zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 7)),
						CNST_TABLE_REF(((long) 1)));
					BGl_za2bstringzd2ze3symbolza2z31zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 8)),
						CNST_TABLE_REF(((long) 1)));
					BGl_za2bstringzd2ze3keywordza2z31zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 9)),
						CNST_TABLE_REF(((long) 1)));
					BGl_za2boolzd2ze3bboolza2z31zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								10)), CNST_TABLE_REF(((long) 1)));
					BGl_za2longzd2ze3intza2z31zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								11)), CNST_TABLE_REF(((long) 1)));
					BGl_za2makezd2fxzd2procedureza2z00zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								12)), CNST_TABLE_REF(((long) 1)));
					BGl_za2makezd2vazd2procedureza2z00zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								13)), CNST_TABLE_REF(((long) 1)));
					BGl_za2doublezd2ze3realza2z31zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								14)), CNST_TABLE_REF(((long) 1)));
					BGl_za2elongzd2ze3belongza2z31zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								15)), CNST_TABLE_REF(((long) 1)));
					BGl_za2llongzd2ze3bllongza2z31zzcnst_cachez00 =
						BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								16)), CNST_TABLE_REF(((long) 1)));
					BGl_za2listzd2ze3vectorza2z31zzcnst_cachez00 =
						BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 17)), BNIL);
					BGl_za2vectorzd2tagzd2setz12za2z12zzcnst_cachez00 =
						BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 18)), BNIL);
					BGl_za2listzd2ze3structza2z31zzcnst_cachez00 =
						BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 19)), BNIL);
					return BTRUE;
				}
		}
	}



/* _start-cnst-cache! */
	obj_t BGl__startzd2cnstzd2cachez12z12zzcnst_cachez00(obj_t BgL_envz00_444)
	{
		AN_OBJECT;
		{	/* Cnst/cache.scm 70 */
			return BGl_startzd2cnstzd2cachez12z12zzcnst_cachez00();
		}
	}



/* stop-cnst-cache! */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2cnstzd2cachez12z12zzcnst_cachez00()
	{
		AN_OBJECT;
		{	/* Cnst/cache.scm 115 */
			BGl_za2stringzd2ze3bstringza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2stringzd2ze3ucs2stringza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2bstringzd2ze3symbolza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2bstringzd2ze3keywordza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2boolzd2ze3bboolza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2longzd2ze3intza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2makezd2fxzd2procedureza2z00zzcnst_cachez00 = BFALSE;
			BGl_za2makezd2vazd2procedureza2z00zzcnst_cachez00 = BFALSE;
			BGl_za2doublezd2ze3realza2z31zzcnst_cachez00 = BFALSE;
			BGl_za2consza2z00zzcnst_cachez00 = BFALSE;
			BGl_za2btrueza2z00zzcnst_cachez00 = BFALSE;
			BGl_za2bfalseza2z00zzcnst_cachez00 = BFALSE;
			return BTRUE;
		}
	}



/* _stop-cnst-cache! */
	obj_t BGl__stopzd2cnstzd2cachez12z12zzcnst_cachez00(obj_t BgL_envz00_445)
	{
		AN_OBJECT;
		{	/* Cnst/cache.scm 115 */
			return BGl_stopzd2cnstzd2cachez12z12zzcnst_cachez00();
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcnst_cachez00()
	{
		AN_OBJECT;
		{	/* Cnst/cache.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcnst_cachez00()
	{
		AN_OBJECT;
		{	/* Cnst/cache.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2013z00zzcnst_cachez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2013z00zzcnst_cachez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string2013z00zzcnst_cachez00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string2013z00zzcnst_cachez00));
		}
	}

#ifdef __cplusplus
}
#endif
