/*===========================================================================*/
/*   (Engine/link.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/link.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl__makezd2tmpzd2main1620z00zzengine_linkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_findzd2srczd2filez00zzengine_linkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_linkz00 = BUNSPEC;
	static obj_t BGl__unprofzd2srczd2namez00zzengine_linkz00(obj_t, obj_t);
	BGL_IMPORT bool_t fexists(char *);
	static obj_t BGl__findzd2libraries1619zd2zzengine_linkz00(obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2nameza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_linkz00zzengine_linkz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzengine_linkz00();
	BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_linkz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	extern obj_t BGl_za2srczd2suffixza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_installz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_ldz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_comptimezd2expandzf2errorz20zzexpand_epsz00(obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_EXPORTED_DECL obj_t
		BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_installzd2initialzd2expanderz00zzexpand_installz00();
	static obj_t BGl_loopz00zzengine_linkz00(obj_t, obj_t);
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	static obj_t BGl__findzd2filezd2forzd2link1618zd2zzengine_linkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	BGL_IMPORT obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_linkz00();
	static obj_t BGl__linkz00zzengine_linkz00(obj_t);
	static obj_t BGl__findzd2srczd2filez00zzengine_linkz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzengine_linkz00();
	BGL_IMPORT obj_t bgl_register_eval_srfi(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unprofzd2srczd2namez00zzengine_linkz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t,
		bool_t, obj_t, obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_linkzd2envzd2zzengine_linkz00,
		BgL_bgl__linkza700za7za7engine1636za7, BGl__linkz00zzengine_linkz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2srczd2filezd2envzd2zzengine_linkz00,
		BgL_bgl__findza7d2srcza7d2fi1637z00,
		BGl__findzd2srczd2filez00zzengine_linkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2tmpzd2mainzd2envzd2zzengine_linkz00,
		BgL_bgl__makeza7d2tmpza7d2ma1638z00,
		BGl__makezd2tmpzd2main1620z00zzengine_linkz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_findzd2filezd2forzd2linkzd2envz00zzengine_linkz00,
		BgL_bgl__findza7d2fileza7d2f1639z00,
		BGl__findzd2filezd2forzd2link1618zd2zzengine_linkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1621z00zzengine_linkz00,
		BgL_bgl_string1621za700za7za7e1640za7, "No Bigloo module found for -- ",
		30);
	      DEFINE_STRING(BGl_string1622z00zzengine_linkz00,
		BgL_bgl_string1622za700za7za7e1641za7, "link", 4);
	      DEFINE_STRING(BGl_string1623z00zzengine_linkz00,
		BgL_bgl_string1623za700za7za7e1642za7, "'. Using file -- ", 17);
	      DEFINE_STRING(BGl_string1624z00zzengine_linkz00,
		BgL_bgl_string1624za700za7za7e1643za7,
		"Several source files found for object `", 39);
	      DEFINE_STRING(BGl_string1625z00zzengine_linkz00,
		BgL_bgl_string1625za700za7za7e1644za7, ".", 1);
	      DEFINE_STRING(BGl_string1626z00zzengine_linkz00,
		BgL_bgl_string1626za700za7za7e1645za7, ";; ", 3);
	      DEFINE_STRING(BGl_string1627z00zzengine_linkz00,
		BgL_bgl_string1627za700za7za7e1646za7,
		";; !!! generated file, don't edit !!!", 37);
	      DEFINE_STRING(BGl_string1628z00zzengine_linkz00,
		BgL_bgl_string1628za700za7za7e1647za7,
		";; ==================================", 37);
	      DEFINE_STRING(BGl_string1630z00zzengine_linkz00,
		BgL_bgl_string1630za700za7za7e1648za7, "", 0);
	      DEFINE_STRING(BGl_string1629z00zzengine_linkz00,
		BgL_bgl_string1629za700za7za7e1649za7, "(main *the-command-line*)", 25);
	      DEFINE_STRING(BGl_string1631z00zzengine_linkz00,
		BgL_bgl_string1631za700za7za7e1650za7, "Can't open output file", 22);
	      DEFINE_STRING(BGl_string1632z00zzengine_linkz00,
		BgL_bgl_string1632za700za7za7e1651za7, "engine_link", 11);
	      DEFINE_STRING(BGl_string1633z00zzengine_linkz00,
		BgL_bgl_string1633za700za7za7e1652za7,
		"import module cond-expand library bigloo-compile ", 49);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unprofzd2srczd2namezd2envzd2zzengine_linkz00,
		BgL_bgl__unprofza7d2srcza7d21653z00,
		BGl__unprofzd2srczd2namez00zzengine_linkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2librarieszd2envz00zzengine_linkz00,
		BgL_bgl__findza7d2librarie1654za7,
		BGl__findzd2libraries1619zd2zzengine_linkz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long
		BgL_checksumz00_374, char *BgL_fromz00_375)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_linkz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_linkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzengine_linkz00();
					BGl_cnstzd2initzd2zzengine_linkz00();
					BGl_importedzd2moduleszd2initz00zzengine_linkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_linkz00()
	{
		AN_OBJECT;
		{	/* Engine/link.scm 20 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "engine_link");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "engine_link");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "engine_link");
			BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(((long) 0),
				"engine_link");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_linkz00()
	{
		AN_OBJECT;
		{	/* Engine/link.scm 20 */
			{	/* Engine/link.scm 20 */
				obj_t BgL_cportz00_366;

				BgL_cportz00_366 =
					bgl_open_input_string(BGl_string1633z00zzengine_linkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_367;

					BgL_iz00_367 = ((long) 4);
				BgL_loopz00_368:
					if ((BgL_iz00_367 == ((long) -1)))
						{	/* Engine/link.scm 20 */
							return BUNSPEC;
						}
					else
						{	/* Engine/link.scm 20 */
							{	/* Engine/link.scm 20 */
								obj_t BgL_arg1635z00_370;

								{	/* Engine/link.scm 20 */

									{	/* Engine/link.scm 20 */
										obj_t BgL_locationz00_372;

										BgL_locationz00_372 = BBOOL(((bool_t) 0));
										{	/* Engine/link.scm 20 */

											BgL_arg1635z00_370 =
												BGl_readz00zz__readerz00(BgL_cportz00_366,
												BgL_locationz00_372);
										}
									}
								}
								{	/* Engine/link.scm 20 */
									int BgL_auxz00_397;

									BgL_auxz00_397 = (int) (BgL_iz00_367);
									CNST_TABLE_SET(BgL_auxz00_397, BgL_arg1635z00_370);
							}}
							{	/* Engine/link.scm 20 */
								int BgL_auxz00_373;

								BgL_auxz00_373 = (int) ((BgL_iz00_367 - ((long) 1)));
								{
									long BgL_iz00_402;

									BgL_iz00_402 = (long) (BgL_auxz00_373);
									BgL_iz00_367 = BgL_iz00_402;
									goto BgL_loopz00_368;
								}
							}
						}
				}
			}
		}
	}



/* link */
	BGL_EXPORTED_DEF obj_t BGl_linkz00zzengine_linkz00()
	{
		AN_OBJECT;
		{	/* Engine/link.scm 41 */
			bgl_register_eval_srfi(CNST_TABLE_REF(((long) 0)));
			BGl_installzd2initialzd2expanderz00zzexpand_installz00();
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			{
				obj_t BgL_objectsz00_141;

				obj_t BgL_sourcesz00_142;

				BgL_objectsz00_141 = BGl_za2ozd2filesza2zd2zzengine_paramz00;
				BgL_sourcesz00_142 = BNIL;
			BgL_loopz00_143:
				if (NULLP(BgL_objectsz00_141))
					{	/* Engine/link.scm 53 */
						obj_t BgL_arg1500z00_145;

						BgL_arg1500z00_145 = BGl_thezd2backendzd2zzbackend_backendz00();
						return
							BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(
							(BgL_backendz00_bglt) (BgL_arg1500z00_145), BgL_sourcesz00_142);
					}
				else
					{	/* Engine/link.scm 54 */
						obj_t BgL_objectz00_146;

						BgL_objectz00_146 = CAR(BgL_objectsz00_141);
						{	/* Engine/link.scm 54 */
							obj_t BgL_prefz00_147;

							BgL_prefz00_147 =
								BGl_unprofzd2srczd2namez00zzengine_linkz00
								(BGl_prefixz00zz__osz00(BgL_objectz00_146));
							{	/* Engine/link.scm 55 */
								obj_t BgL_bprefz00_148;

								BgL_bprefz00_148 = BGl_basenamez00zz__osz00(BgL_prefz00_147);
								{	/* Engine/link.scm 56 */
									obj_t BgL_scmzd2filezd2_149;

									BgL_scmzd2filezd2_149 =
										BGl_findzd2srczd2filez00zzengine_linkz00(BgL_prefz00_147,
										BgL_bprefz00_148);
									{	/* Engine/link.scm 57 */

										if (STRINGP(BgL_scmzd2filezd2_149))
											{	/* Engine/link.scm 59 */
												obj_t BgL_arg1502z00_151;

												obj_t BgL_arg1503z00_152;

												BgL_arg1502z00_151 = CDR(BgL_objectsz00_141);
												{	/* Engine/link.scm 59 */
													obj_t BgL_arg1504z00_153;

													BgL_arg1504z00_153 =
														MAKE_PAIR(BgL_scmzd2filezd2_149, BgL_objectz00_146);
													BgL_arg1503z00_152 =
														MAKE_PAIR(BgL_arg1504z00_153, BgL_sourcesz00_142);
												}
												{
													obj_t BgL_sourcesz00_424;

													obj_t BgL_objectsz00_423;

													BgL_objectsz00_423 = BgL_arg1502z00_151;
													BgL_sourcesz00_424 = BgL_arg1503z00_152;
													BgL_sourcesz00_142 = BgL_sourcesz00_424;
													BgL_objectsz00_141 = BgL_objectsz00_423;
													goto BgL_loopz00_143;
												}
											}
										else
											{	/* Engine/link.scm 58 */
												{	/* Engine/link.scm 61 */
													bool_t BgL_testz00_425;

													{	/* Engine/link.scm 61 */
														int BgL_arg1514z00_161;

														BgL_arg1514z00_161 =
															BGl_bigloozd2warningzd2zz__paramz00();
														BgL_testz00_425 =
															((long) (BgL_arg1514z00_161) >= ((long) 2));
													}
													if (BgL_testz00_425)
														{	/* Engine/link.scm 62 */
															obj_t BgL_arg1509z00_157;

															BgL_arg1509z00_157 = CAR(BgL_objectsz00_141);
															{	/* Engine/link.scm 62 */
																obj_t BgL_list1510z00_158;

																{	/* Engine/link.scm 62 */
																	obj_t BgL_arg1511z00_159;

																	{	/* Engine/link.scm 62 */
																		obj_t BgL_arg1513z00_160;

																		BgL_arg1513z00_160 =
																			MAKE_PAIR(BgL_arg1509z00_157, BNIL);
																		BgL_arg1511z00_159 =
																			MAKE_PAIR
																			(BGl_string1621z00zzengine_linkz00,
																			BgL_arg1513z00_160);
																	}
																	BgL_list1510z00_158 =
																		MAKE_PAIR(BGl_string1622z00zzengine_linkz00,
																		BgL_arg1511z00_159);
																}
																BGl_warningz00zz__errorz00(BgL_list1510z00_158);
															}
														}
													else
														{	/* Engine/link.scm 61 */
															BFALSE;
														}
												}
												{
													obj_t BgL_objectsz00_434;

													BgL_objectsz00_434 = CDR(BgL_objectsz00_141);
													BgL_objectsz00_141 = BgL_objectsz00_434;
													goto BgL_loopz00_143;
												}
											}
									}
								}
							}
						}
					}
			}
		}
	}



/* _link */
	obj_t BGl__linkz00zzengine_linkz00(obj_t BgL_envz00_350)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 41 */
			return BGl_linkz00zzengine_linkz00();
		}
	}



/* unprof-src-name */
	BGL_EXPORTED_DEF obj_t BGl_unprofzd2srczd2namez00zzengine_linkz00(obj_t
		BgL_namez00_1)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 70 */
			if (CBOOL(BGl_za2profilezd2modeza2zd2zzengine_paramz00))
				{	/* Engine/link.scm 73 */
					long BgL_lenz00_165;

					BgL_lenz00_165 = STRING_LENGTH(BgL_namez00_1);
					{	/* Engine/link.scm 74 */
						bool_t BgL_testz00_440;

						if ((BgL_lenz00_165 > ((long) 2)))
							{	/* Engine/link.scm 74 */
								if (
									(STRING_REF(BgL_namez00_1,
											(BgL_lenz00_165 - ((long) 1))) == ((unsigned char) 'p')))
									{	/* Engine/link.scm 75 */
										BgL_testz00_440 =
											(STRING_REF(BgL_namez00_1,
												(BgL_lenz00_165 - ((long) 2))) ==
											((unsigned char) '_'));
									}
								else
									{	/* Engine/link.scm 75 */
										BgL_testz00_440 = ((bool_t) 0);
									}
							}
						else
							{	/* Engine/link.scm 74 */
								BgL_testz00_440 = ((bool_t) 0);
							}
						if (BgL_testz00_440)
							{	/* Engine/link.scm 74 */
								return
									c_substring(BgL_namez00_1, ((long) 0),
									(BgL_lenz00_165 - ((long) 2)));
							}
						else
							{	/* Engine/link.scm 74 */
								return BgL_namez00_1;
							}
					}
				}
			else
				{	/* Engine/link.scm 71 */
					return BgL_namez00_1;
				}
		}
	}



/* _unprof-src-name */
	obj_t BGl__unprofzd2srczd2namez00zzengine_linkz00(obj_t BgL_envz00_351,
		obj_t BgL_namez00_352)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 70 */
			return BGl_unprofzd2srczd2namez00zzengine_linkz00(BgL_namez00_352);
		}
	}



/* find-file-for-link */
	BGL_EXPORTED_DEF obj_t BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00(obj_t
		BgL_filez00_2)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 83 */
			if (fexists(BSTRING_TO_STRING(BgL_filez00_2)))
				{	/* Engine/link.scm 84 */
					return BgL_filez00_2;
				}
			else
				{	/* Engine/link.scm 84 */
					return
						BGl_findzd2filezf2pathz20zz__osz00(BgL_filez00_2,
						BGl_za2loadzd2pathza2zd2zz__evalz00);
				}
		}
	}



/* _find-file-for-link1618 */
	obj_t BGl__findzd2filezd2forzd2link1618zd2zzengine_linkz00(obj_t
		BgL_envz00_353, obj_t BgL_filez00_354)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 83 */
			return BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00(BgL_filez00_354);
		}
	}



/* find-src-file */
	BGL_EXPORTED_DEF obj_t BGl_findzd2srczd2filez00zzengine_linkz00(obj_t
		BgL_prefixz00_3, obj_t BgL_bnamez00_4)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 91 */
			{
				obj_t BgL_suffixz00_177;

				obj_t BgL_filesz00_178;

				BgL_suffixz00_177 = BGl_za2srczd2suffixza2zd2zzengine_paramz00;
				BgL_filesz00_178 = BNIL;
			BgL_loopz00_179:
				if (NULLP(BgL_suffixz00_177))
					{	/* Engine/link.scm 94 */
						if (NULLP(BgL_filesz00_178))
							{	/* Engine/link.scm 96 */
								return BFALSE;
							}
						else
							{	/* Engine/link.scm 96 */
								if (NULLP(CDR(BgL_filesz00_178)))
									{	/* Engine/link.scm 98 */
										return CAR(BgL_filesz00_178);
									}
								else
									{	/* Engine/link.scm 98 */
										{	/* Engine/link.scm 101 */
											obj_t BgL_arg1538z00_186;

											BgL_arg1538z00_186 = CAR(BgL_filesz00_178);
											{	/* Engine/link.scm 101 */
												obj_t BgL_list1539z00_187;

												{	/* Engine/link.scm 101 */
													obj_t BgL_arg1540z00_188;

													{	/* Engine/link.scm 101 */
														obj_t BgL_arg1541z00_189;

														{	/* Engine/link.scm 101 */
															obj_t BgL_arg1547z00_190;

															{	/* Engine/link.scm 101 */
																obj_t BgL_arg1548z00_191;

																BgL_arg1548z00_191 =
																	MAKE_PAIR(BgL_arg1538z00_186, BNIL);
																BgL_arg1547z00_190 =
																	MAKE_PAIR(BGl_string1623z00zzengine_linkz00,
																	BgL_arg1548z00_191);
															}
															BgL_arg1541z00_189 =
																MAKE_PAIR(BgL_bnamez00_4, BgL_arg1547z00_190);
														}
														BgL_arg1540z00_188 =
															MAKE_PAIR(BGl_string1624z00zzengine_linkz00,
															BgL_arg1541z00_189);
													}
													BgL_list1539z00_187 =
														MAKE_PAIR(BGl_string1622z00zzengine_linkz00,
														BgL_arg1540z00_188);
												}
												BGl_warningz00zz__errorz00(BgL_list1539z00_187);
											}
										}
										return CAR(BgL_filesz00_178);
									}
							}
					}
				else
					{	/* Engine/link.scm 104 */
						obj_t BgL_sufz00_193;

						BgL_sufz00_193 = CAR(BgL_suffixz00_177);
						{	/* Engine/link.scm 104 */
							obj_t BgL_fz00_194;

							BgL_fz00_194 =
								BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00(string_append_3
								(BgL_prefixz00_3, BGl_string1625z00zzengine_linkz00,
									BgL_sufz00_193));
							{	/* Engine/link.scm 105 */

								if (STRINGP(BgL_fz00_194))
									{	/* Engine/link.scm 107 */
										obj_t BgL_arg1551z00_196;

										obj_t BgL_arg1553z00_197;

										BgL_arg1551z00_196 = CDR(BgL_suffixz00_177);
										BgL_arg1553z00_197 =
											MAKE_PAIR(BgL_fz00_194, BgL_filesz00_178);
										{
											obj_t BgL_filesz00_482;

											obj_t BgL_suffixz00_481;

											BgL_suffixz00_481 = BgL_arg1551z00_196;
											BgL_filesz00_482 = BgL_arg1553z00_197;
											BgL_filesz00_178 = BgL_filesz00_482;
											BgL_suffixz00_177 = BgL_suffixz00_481;
											goto BgL_loopz00_179;
										}
									}
								else
									{	/* Engine/link.scm 108 */
										obj_t BgL_fz00_198;

										BgL_fz00_198 =
											BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00
											(string_append_3(BgL_bnamez00_4,
												BGl_string1625z00zzengine_linkz00, BgL_sufz00_193));
										if (STRINGP(BgL_fz00_198))
											{	/* Engine/link.scm 110 */
												obj_t BgL_arg1555z00_200;

												obj_t BgL_arg1556z00_201;

												BgL_arg1555z00_200 = CDR(BgL_suffixz00_177);
												BgL_arg1556z00_201 =
													MAKE_PAIR(BgL_fz00_198, BgL_filesz00_178);
												{
													obj_t BgL_filesz00_490;

													obj_t BgL_suffixz00_489;

													BgL_suffixz00_489 = BgL_arg1555z00_200;
													BgL_filesz00_490 = BgL_arg1556z00_201;
													BgL_filesz00_178 = BgL_filesz00_490;
													BgL_suffixz00_177 = BgL_suffixz00_489;
													goto BgL_loopz00_179;
												}
											}
										else
											{
												obj_t BgL_suffixz00_491;

												BgL_suffixz00_491 = CDR(BgL_suffixz00_177);
												BgL_suffixz00_177 = BgL_suffixz00_491;
												goto BgL_loopz00_179;
											}
									}
							}
						}
					}
			}
		}
	}



/* _find-src-file */
	obj_t BGl__findzd2srczd2filez00zzengine_linkz00(obj_t BgL_envz00_355,
		obj_t BgL_prefixz00_356, obj_t BgL_bnamez00_357)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 91 */
			return
				BGl_findzd2srczd2filez00zzengine_linkz00(BgL_prefixz00_356,
				BgL_bnamez00_357);
		}
	}



/* find-libraries */
	BGL_EXPORTED_DEF obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t
		BgL_clausesz00_5)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 116 */
			return BGl_loopz00zzengine_linkz00(BgL_clausesz00_5, BNIL);
		}
	}



/* loop */
	obj_t BGl_loopz00zzengine_linkz00(obj_t BgL_clausesz00_206,
		obj_t BgL_librariesz00_207)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 117 */
		BGl_loopz00zzengine_linkz00:
			{
				obj_t BgL_restz00_213;

				if (NULLP(BgL_clausesz00_206))
					{	/* Engine/link.scm 117 */
						return bgl_reverse_bang(BgL_librariesz00_207);
					}
				else
					{	/* Engine/link.scm 117 */
						if (PAIRP(BgL_clausesz00_206))
							{	/* Engine/link.scm 117 */
								obj_t BgL_carzd21216zd2_219;

								BgL_carzd21216zd2_219 = CAR(BgL_clausesz00_206);
								if (PAIRP(BgL_carzd21216zd2_219))
									{	/* Engine/link.scm 117 */
										if (
											(CAR(BgL_carzd21216zd2_219) ==
												CNST_TABLE_REF(((long) 1))))
											{	/* Engine/link.scm 117 */
												obj_t BgL_arg1567z00_222;

												obj_t BgL_arg1568z00_223;

												BgL_arg1567z00_222 = CDR(BgL_carzd21216zd2_219);
												BgL_arg1568z00_223 = CDR(BgL_clausesz00_206);
												{
													obj_t BgL_librariesz00_510;

													obj_t BgL_clausesz00_509;

													BgL_clausesz00_509 = BgL_arg1568z00_223;
													BgL_librariesz00_510 =
														bgl_append2(BgL_arg1567z00_222,
														BgL_librariesz00_207);
													BgL_librariesz00_207 = BgL_librariesz00_510;
													BgL_clausesz00_206 = BgL_clausesz00_509;
													goto BGl_loopz00zzengine_linkz00;
												}
											}
										else
											{	/* Engine/link.scm 117 */
												if (
													(CAR(BgL_carzd21216zd2_219) ==
														CNST_TABLE_REF(((long) 2))))
													{	/* Engine/link.scm 117 */
														BgL_restz00_213 = CDR(BgL_clausesz00_206);
														{	/* Engine/link.scm 125 */
															obj_t BgL_arg1578z00_232;

															obj_t BgL_arg1579z00_233;

															{	/* Engine/link.scm 125 */
																obj_t BgL_arg1582z00_234;

																BgL_arg1582z00_234 =
																	BGl_comptimezd2expandzf2errorz20zzexpand_epsz00
																	(CAR(BgL_clausesz00_206));
																{	/* Engine/link.scm 125 */
																	obj_t BgL_list1583z00_235;

																	BgL_list1583z00_235 =
																		MAKE_PAIR(BgL_arg1582z00_234, BNIL);
																	BgL_arg1578z00_232 = BgL_list1583z00_235;
															}}
															BgL_arg1579z00_233 =
																BGl_loopz00zzengine_linkz00(BgL_restz00_213,
																BgL_librariesz00_207);
															{
																obj_t BgL_librariesz00_521;

																obj_t BgL_clausesz00_520;

																BgL_clausesz00_520 = BgL_arg1578z00_232;
																BgL_librariesz00_521 = BgL_arg1579z00_233;
																BgL_librariesz00_207 = BgL_librariesz00_521;
																BgL_clausesz00_206 = BgL_clausesz00_520;
																goto BGl_loopz00zzengine_linkz00;
															}
														}
													}
												else
													{	/* Engine/link.scm 117 */
													BgL_tagzd21208zd2_215:
														{
															obj_t BgL_clausesz00_523;

															BgL_clausesz00_523 = CDR(BgL_clausesz00_206);
															BgL_clausesz00_206 = BgL_clausesz00_523;
															goto BGl_loopz00zzengine_linkz00;
														}
													}
											}
									}
								else
									{	/* Engine/link.scm 117 */
										goto BgL_tagzd21208zd2_215;
									}
							}
						else
							{	/* Engine/link.scm 117 */
								goto BgL_tagzd21208zd2_215;
							}
					}
			}
		}
	}



/* _find-libraries1619 */
	obj_t BGl__findzd2libraries1619zd2zzengine_linkz00(obj_t BgL_envz00_358,
		obj_t BgL_clausesz00_359)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 116 */
			return BGl_findzd2librarieszd2zzengine_linkz00(BgL_clausesz00_359);
		}
	}



/* make-tmp-main */
	BGL_EXPORTED_DEF obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t
		BgL_filez00_6, bool_t BgL_mainz00_7, obj_t BgL_modulez00_8,
		obj_t BgL_clausesz00_9, obj_t BgL_librariesz00_10)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 133 */
			{	/* Engine/link.scm 134 */
				obj_t BgL_poutz00_238;

				{	/* Engine/link.scm 134 */

					BgL_poutz00_238 =
						BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(BgL_filez00_6,
						BTRUE);
				}
				if (OUTPUT_PORTP(BgL_poutz00_238))
					{	/* Engine/link.scm 135 */
						bgl_display_string(BGl_string1626z00zzengine_linkz00,
							BgL_poutz00_238);
						bgl_display_obj(BGl_za2bigloozd2nameza2zd2zzengine_paramz00,
							BgL_poutz00_238);
						bgl_display_char(((unsigned char) '\n'), BgL_poutz00_238);
						bgl_display_string(BGl_string1627z00zzengine_linkz00,
							BgL_poutz00_238);
						bgl_display_char(((unsigned char) '\n'), BgL_poutz00_238);
						bgl_display_string(BGl_string1628z00zzengine_linkz00,
							BgL_poutz00_238);
						bgl_display_char(((unsigned char) '\n'), BgL_poutz00_238);
						bgl_display_char(((unsigned char) '\n'), BgL_poutz00_238);
						{	/* Engine/link.scm 142 */
							obj_t BgL_modz00_243;

							{	/* Engine/link.scm 142 */
								obj_t BgL_arg1592z00_245;

								obj_t BgL_arg1593z00_246;

								BgL_arg1592z00_245 = CNST_TABLE_REF(((long) 3));
								{	/* Engine/link.scm 143 */
									obj_t BgL_arg1595z00_247;

									obj_t BgL_arg1596z00_248;

									{	/* Engine/link.scm 143 */
										obj_t BgL_arg1599z00_251;

										obj_t BgL_arg1600z00_252;

										BgL_arg1599z00_251 = CNST_TABLE_REF(((long) 4));
										BgL_arg1600z00_252 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(bgl_reverse(BgL_clausesz00_9), BNIL);
										BgL_arg1595z00_247 =
											MAKE_PAIR(BgL_arg1599z00_251, BgL_arg1600z00_252);
									}
									{	/* Engine/link.scm 144 */
										obj_t BgL_arg1605z00_255;

										if (PAIRP(BgL_librariesz00_10))
											{	/* Engine/link.scm 145 */
												obj_t BgL_arg1609z00_258;

												{	/* Engine/link.scm 145 */
													obj_t BgL_arg1611z00_260;

													obj_t BgL_arg1615z00_261;

													BgL_arg1611z00_260 = CNST_TABLE_REF(((long) 1));
													BgL_arg1615z00_261 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_librariesz00_10, BNIL);
													BgL_arg1609z00_258 =
														MAKE_PAIR(BgL_arg1611z00_260, BgL_arg1615z00_261);
												}
												BgL_arg1605z00_255 =
													MAKE_PAIR(BgL_arg1609z00_258, BNIL);
											}
										else
											{	/* Engine/link.scm 144 */
												BgL_arg1605z00_255 = BNIL;
											}
										BgL_arg1596z00_248 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1605z00_255, BNIL);
									}
									{	/* Engine/link.scm 142 */
										obj_t BgL_list1597z00_249;

										{	/* Engine/link.scm 142 */
											obj_t BgL_arg1598z00_250;

											BgL_arg1598z00_250 = MAKE_PAIR(BgL_arg1596z00_248, BNIL);
											BgL_list1597z00_249 =
												MAKE_PAIR(BgL_arg1595z00_247, BgL_arg1598z00_250);
										}
										BgL_arg1593z00_246 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_modulez00_8, BgL_list1597z00_249);
									}
								}
								BgL_modz00_243 =
									MAKE_PAIR(BgL_arg1592z00_245, BgL_arg1593z00_246);
							}
							bgl_display_obj(BgL_modz00_243, BgL_poutz00_238);
							bgl_display_char(((unsigned char) '\n'), BgL_poutz00_238);
							bgl_display_char(((unsigned char) '\n'), BgL_poutz00_238);
						}
						if (BgL_mainz00_7)
							{	/* Engine/link.scm 149 */
								bgl_display_string(BGl_string1629z00zzengine_linkz00,
									BgL_poutz00_238);
								bgl_display_char(((unsigned char) '\n'), BgL_poutz00_238);
								bgl_display_char(((unsigned char) '\n'), BgL_poutz00_238);
							}
						else
							{	/* Engine/link.scm 149 */
								BFALSE;
							}
						return bgl_close_output_port(BgL_poutz00_238);
					}
				else
					{	/* Engine/link.scm 135 */
						return
							BGl_errorz00zz__errorz00(BGl_string1630z00zzengine_linkz00,
							BGl_string1631z00zzengine_linkz00, BgL_filez00_6);
					}
			}
		}
	}



/* _make-tmp-main1620 */
	obj_t BGl__makezd2tmpzd2main1620z00zzengine_linkz00(obj_t BgL_envz00_360,
		obj_t BgL_filez00_361, obj_t BgL_mainz00_362, obj_t BgL_modulez00_363,
		obj_t BgL_clausesz00_364, obj_t BgL_librariesz00_365)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 133 */
			return
				BGl_makezd2tmpzd2mainz00zzengine_linkz00(BgL_filez00_361,
				CBOOL(BgL_mainz00_362), BgL_modulez00_363, BgL_clausesz00_364,
				BgL_librariesz00_365);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_linkz00()
	{
		AN_OBJECT;
		{	/* Engine/link.scm 20 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_linkz00()
	{
		AN_OBJECT;
		{	/* Engine/link.scm 20 */
			BGl_modulezd2initializa7ationz75zzcc_ldz00(((long) 663636),
				BSTRING_TO_STRING(BGl_string1632z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzread_readerz00(((long) 484284287),
				BSTRING_TO_STRING(BGl_string1632z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string1632z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string1632z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long) 385369337),
				BSTRING_TO_STRING(BGl_string1632z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1632z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string1632z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string1632z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 95912462),
				BSTRING_TO_STRING(BGl_string1632z00zzengine_linkz00));
			return
				BGl_modulezd2initializa7ationz75zzexpand_installz00(((long) 17495966),
				BSTRING_TO_STRING(BGl_string1632z00zzengine_linkz00));
		}
	}

#ifdef __cplusplus
}
#endif
