/*===========================================================================*/
/*   (Expand/case.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/case.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;


	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_casez00 = BUNSPEC;
	static obj_t BGl_dozd2genericzd2casez00zzexpand_casez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_loopz72z72z00zzexpand_casez00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_casez00();
	static obj_t BGl_generalz00zzexpand_casez00(obj_t, obj_t);
	static obj_t BGl__expandzd2case2639zd2zzexpand_casez00(obj_t, obj_t, obj_t);
	static obj_t BGl_dozd2typedzd2casez00zzexpand_casez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_casez00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2casezd2zzexpand_casez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzexpand_casez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t
		BGl_dozd2genericzd2symbolzf2keywordzd2casez20zzexpand_casez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2optimzd2symbolzd2caseza2z00zzengine_paramz00;
	static obj_t BGl_loopz00zzexpand_casez00(obj_t);
	static obj_t BGl_casezd2typezd2zzexpand_casez00(obj_t, obj_t);
	static obj_t BGl_loopz72z72zzexpand_casez00(obj_t, obj_t);
	static bool_t BGl_typezd2matchzf3z21zzexpand_casez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	static obj_t
		BGl_dozd2optimzd2symbolzf2keywordzd2casez20zzexpand_casez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_dozd2cnstzd2casez00zzexpand_casez00(obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_casez00();
	static obj_t BGl_typezd2testzd2zzexpand_casez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzexpand_casez00();
	static obj_t __cnst[26];


	   
		 
		DEFINE_STRING(BGl_string2640z00zzexpand_casez00,
		BgL_bgl_string2640za700za7za7e2650za7, "case", 4);
	      DEFINE_STRING(BGl_string2641z00zzexpand_casez00,
		BgL_bgl_string2641za700za7za7e2651za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string2642z00zzexpand_casez00,
		BgL_bgl_string2642za700za7za7e2652za7, "case_else", 9);
	      DEFINE_STRING(BGl_string2643z00zzexpand_casez00,
		BgL_bgl_string2643za700za7za7e2653za7, "Illegal `case' clause", 21);
	      DEFINE_STRING(BGl_string2644z00zzexpand_casez00,
		BgL_bgl_string2644za700za7za7e2654za7, "type-test", 9);
	      DEFINE_STRING(BGl_string2645z00zzexpand_casez00,
		BgL_bgl_string2645za700za7za7e2655za7, "Unknown `case' type", 19);
	      DEFINE_STRING(BGl_string2646z00zzexpand_casez00,
		BgL_bgl_string2646za700za7za7e2656za7, "expand_case", 11);
	      DEFINE_STRING(BGl_string2647z00zzexpand_casez00,
		BgL_bgl_string2647za700za7za7e2657za7,
		"c-keyword? c-symbol? c-fixnum? c-char? labels memv c-eq? or quote eqv? case-value cnst->integer cnst? if let aux else etherogeneous case fail-type keyword symbol cnst char long integer ",
		185);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2casezd2envz00zzexpand_casez00,
		BgL_bgl__expandza7d2case262658za7,
		BGl__expandzd2case2639zd2zzexpand_casez00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_casez00(long
		BgL_checksumz00_1146, char *BgL_fromz00_1147)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_casez00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_casez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzexpand_casez00();
					BGl_cnstzd2initzd2zzexpand_casez00();
					BGl_importedzd2moduleszd2initz00zzexpand_casez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_casez00()
	{
		AN_OBJECT;
		{	/* Expand/case.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_case");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "expand_case");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"expand_case");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "expand_case");
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 0), "expand_case");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_casez00()
	{
		AN_OBJECT;
		{	/* Expand/case.scm 15 */
			{	/* Expand/case.scm 15 */
				obj_t BgL_cportz00_1138;

				BgL_cportz00_1138 =
					bgl_open_input_string(BGl_string2647z00zzexpand_casez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1139;

					BgL_iz00_1139 = ((long) 25);
				BgL_loopz00_1140:
					if ((BgL_iz00_1139 == ((long) -1)))
						{	/* Expand/case.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/case.scm 15 */
							{	/* Expand/case.scm 15 */
								obj_t BgL_arg2649z00_1142;

								{	/* Expand/case.scm 15 */

									{	/* Expand/case.scm 15 */
										obj_t BgL_locationz00_1144;

										BgL_locationz00_1144 = BBOOL(((bool_t) 0));
										{	/* Expand/case.scm 15 */

											BgL_arg2649z00_1142 =
												BGl_readz00zz__readerz00(BgL_cportz00_1138,
												BgL_locationz00_1144);
										}
									}
								}
								{	/* Expand/case.scm 15 */
									int BgL_auxz00_1165;

									BgL_auxz00_1165 = (int) (BgL_iz00_1139);
									CNST_TABLE_SET(BgL_auxz00_1165, BgL_arg2649z00_1142);
							}}
							{	/* Expand/case.scm 15 */
								int BgL_auxz00_1145;

								BgL_auxz00_1145 = (int) ((BgL_iz00_1139 - ((long) 1)));
								{
									long BgL_iz00_1170;

									BgL_iz00_1170 = (long) (BgL_auxz00_1145);
									BgL_iz00_1139 = BgL_iz00_1170;
									goto BgL_loopz00_1140;
								}
							}
						}
				}
			}
		}
	}



/* expand-case */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2casezd2zzexpand_casez00(obj_t BgL_xz00_1,
		obj_t BgL_ez00_2)
	{
		AN_OBJECT;
		{	/* Expand/case.scm 33 */
			{
				obj_t BgL_valuez00_129;

				obj_t BgL_clausesz00_130;

				if (PAIRP(BgL_xz00_1))
					{	/* Expand/case.scm 35 */
						obj_t BgL_cdrzd21471zd2_135;

						BgL_cdrzd21471zd2_135 = CDR(BgL_xz00_1);
						if (PAIRP(BgL_cdrzd21471zd2_135))
							{	/* Expand/case.scm 35 */
								BgL_valuez00_129 = CAR(BgL_cdrzd21471zd2_135);
								BgL_clausesz00_130 = CDR(BgL_cdrzd21471zd2_135);
								{	/* Expand/case.scm 37 */
									obj_t BgL_casezd2valuezd2_139;

									BgL_casezd2valuezd2_139 =
										BGl_casezd2typezd2zzexpand_casez00(BgL_xz00_1,
										BgL_clausesz00_130);
									if ((BgL_casezd2valuezd2_139 == CNST_TABLE_REF(((long) 0))))
										{	/* Expand/case.scm 37 */
											return
												BGl_dozd2typedzd2casez00zzexpand_casez00(CNST_TABLE_REF(
													((long) 1)), BgL_valuez00_129, BgL_clausesz00_130,
												BgL_ez00_2);
										}
									else
										{	/* Expand/case.scm 37 */
											if (
												(BgL_casezd2valuezd2_139 == CNST_TABLE_REF(((long) 2))))
												{	/* Expand/case.scm 37 */
													return
														BGl_dozd2typedzd2casez00zzexpand_casez00
														(CNST_TABLE_REF(((long) 2)), BgL_valuez00_129,
														BgL_clausesz00_130, BgL_ez00_2);
												}
											else
												{	/* Expand/case.scm 37 */
													if (
														(BgL_casezd2valuezd2_139 ==
															CNST_TABLE_REF(((long) 3))))
														{	/* Expand/case.scm 37 */
															return
																BGl_dozd2cnstzd2casez00zzexpand_casez00
																(BgL_valuez00_129, BgL_clausesz00_130,
																BgL_ez00_2);
														}
													else
														{	/* Expand/case.scm 37 */
															if (
																(BgL_casezd2valuezd2_139 ==
																	CNST_TABLE_REF(((long) 4))))
																{	/* Expand/case.scm 37 */
																	{	/* Expand/case.scm 49 */
																		obj_t BgL_typez00_880;

																		BgL_typez00_880 =
																			CNST_TABLE_REF(((long) 4));
																		if (CBOOL
																			(BGl_za2optimzd2symbolzd2caseza2z00zzengine_paramz00))
																			{	/* Expand/case.scm 49 */
																				return
																					BGl_dozd2optimzd2symbolzf2keywordzd2casez20zzexpand_casez00
																					(BgL_typez00_880, BgL_valuez00_129,
																					BgL_clausesz00_130, BgL_ez00_2);
																			}
																		else
																			{	/* Expand/case.scm 49 */
																				return
																					BGl_dozd2genericzd2symbolzf2keywordzd2casez20zzexpand_casez00
																					(BgL_valuez00_129, BgL_clausesz00_130,
																					BgL_ez00_2);
																			}
																	}
																}
															else
																{	/* Expand/case.scm 37 */
																	if (
																		(BgL_casezd2valuezd2_139 ==
																			CNST_TABLE_REF(((long) 5))))
																		{	/* Expand/case.scm 37 */
																			{	/* Expand/case.scm 52 */
																				obj_t BgL_typez00_886;

																				BgL_typez00_886 =
																					CNST_TABLE_REF(((long) 5));
																				if (CBOOL
																					(BGl_za2optimzd2symbolzd2caseza2z00zzengine_paramz00))
																					{	/* Expand/case.scm 52 */
																						return
																							BGl_dozd2optimzd2symbolzf2keywordzd2casez20zzexpand_casez00
																							(BgL_typez00_886,
																							BgL_valuez00_129,
																							BgL_clausesz00_130, BgL_ez00_2);
																					}
																				else
																					{	/* Expand/case.scm 52 */
																						return
																							BGl_dozd2genericzd2symbolzf2keywordzd2casez20zzexpand_casez00
																							(BgL_valuez00_129,
																							BgL_clausesz00_130, BgL_ez00_2);
																					}
																			}
																		}
																	else
																		{	/* Expand/case.scm 37 */
																			return
																				BGl_dozd2genericzd2casez00zzexpand_casez00
																				(BgL_valuez00_129, BgL_clausesz00_130,
																				BgL_ez00_2);
																		}
																}
														}
												}
										}
								}
							}
						else
							{	/* Expand/case.scm 35 */
							BgL_tagzd21464zd2_132:
								return
									BGl_errorz00zz__errorz00(BGl_string2640z00zzexpand_casez00,
									BGl_string2641z00zzexpand_casez00, BgL_xz00_1);
							}
					}
				else
					{	/* Expand/case.scm 35 */
						goto BgL_tagzd21464zd2_132;
					}
			}
		}
	}



/* _expand-case2639 */
	obj_t BGl__expandzd2case2639zd2zzexpand_casez00(obj_t BgL_envz00_1132,
		obj_t BgL_xz00_1133, obj_t BgL_ez00_1134)
	{
		AN_OBJECT;
		{	/* Expand/case.scm 33 */
			return BGl_expandzd2casezd2zzexpand_casez00(BgL_xz00_1133, BgL_ez00_1134);
		}
	}



/* case-type */
	obj_t BGl_casezd2typezd2zzexpand_casez00(obj_t BgL_xz00_3,
		obj_t BgL_clausesz00_4)
	{
		AN_OBJECT;
		{	/* Expand/case.scm 70 */
			{
				obj_t BgL_datumsz00_177;

				obj_t BgL_datumz00_190;

				{
					obj_t BgL_clausesz00_150;

					obj_t BgL_typez00_151;

					BgL_clausesz00_150 = BgL_clausesz00_4;
					BgL_typez00_151 = BNIL;
				BgL_loopz00_152:
					if (NULLP(BgL_clausesz00_150))
						{	/* Expand/case.scm 113 */
							return BgL_typez00_151;
						}
					else
						{
							obj_t BgL_expsz00_154;

							obj_t BgL_datumz00_156;

							obj_t BgL_expsz00_157;

							{	/* Expand/case.scm 115 */
								obj_t BgL_ezd21481zd2_160;

								BgL_ezd21481zd2_160 = CAR(BgL_clausesz00_150);
								if (PAIRP(BgL_ezd21481zd2_160))
									{	/* Expand/case.scm 115 */
										if (
											(CAR(BgL_ezd21481zd2_160) == CNST_TABLE_REF(((long) 9))))
											{	/* Expand/case.scm 115 */
												BgL_expsz00_154 = CDR(BgL_ezd21481zd2_160);
												{	/* Expand/case.scm 117 */
													bool_t BgL_testz00_1222;

													if (NULLP(CDR(BgL_clausesz00_150)))
														{	/* Expand/case.scm 117 */
															BgL_testz00_1222 = NULLP(BgL_expsz00_154);
														}
													else
														{	/* Expand/case.scm 117 */
															BgL_testz00_1222 = ((bool_t) 1);
														}
													if (BgL_testz00_1222)
														{	/* Expand/case.scm 117 */
															return
																BGl_errorz00zz__errorz00
																(BGl_string2640z00zzexpand_casez00,
																BGl_string2641z00zzexpand_casez00, BgL_xz00_3);
														}
													else
														{	/* Expand/case.scm 117 */
															return BgL_typez00_151;
														}
												}
											}
										else
											{	/* Expand/case.scm 115 */
												obj_t BgL_carzd21492zd2_164;

												BgL_carzd21492zd2_164 = CAR(BgL_ezd21481zd2_160);
												if (NULLP(BgL_carzd21492zd2_164))
													{	/* Expand/case.scm 115 */
													BgL_tagzd21480zd2_159:
														return
															BGl_errorz00zz__errorz00
															(BGl_string2640z00zzexpand_casez00,
															BGl_string2641z00zzexpand_casez00, BgL_xz00_3);
													}
												else
													{	/* Expand/case.scm 115 */
														BgL_datumz00_156 = BgL_carzd21492zd2_164;
														BgL_expsz00_157 = CDR(BgL_ezd21481zd2_160);
														if (NULLP(BgL_expsz00_157))
															{	/* Expand/case.scm 122 */
																return
																	BGl_errorz00zz__errorz00
																	(BGl_string2640z00zzexpand_casez00,
																	BGl_string2641z00zzexpand_casez00,
																	BgL_xz00_3);
															}
														else
															{	/* Expand/case.scm 124 */
																obj_t BgL_dtypez00_173;

																BgL_datumsz00_177 = BgL_datumz00_156;
																{
																	obj_t BgL_datumsz00_180;

																	obj_t BgL_typez00_181;

																	BgL_datumsz00_180 = BgL_datumsz00_177;
																	BgL_typez00_181 = BNIL;
																BgL_loopz00_182:
																	if (NULLP(BgL_datumsz00_180))
																		{	/* Expand/case.scm 100 */
																			BgL_dtypez00_173 = BgL_typez00_181;
																		}
																	else
																		{	/* Expand/case.scm 100 */
																			if (PAIRP(BgL_datumsz00_180))
																				{	/* Expand/case.scm 106 */
																					obj_t BgL_dtypez00_185;

																					BgL_datumz00_190 =
																						CAR(BgL_datumsz00_180);
																					if (INTEGERP(BgL_datumz00_190))
																						{	/* Expand/case.scm 89 */
																							BgL_dtypez00_185 =
																								CNST_TABLE_REF(((long) 0));
																						}
																					else
																						{	/* Expand/case.scm 89 */
																							if (CHARP(BgL_datumz00_190))
																								{	/* Expand/case.scm 90 */
																									BgL_dtypez00_185 =
																										CNST_TABLE_REF(((long) 2));
																								}
																							else
																								{	/* Expand/case.scm 90 */
																									if (CNSTP(BgL_datumz00_190))
																										{	/* Expand/case.scm 91 */
																											BgL_dtypez00_185 =
																												CNST_TABLE_REF(((long)
																													3));
																										}
																									else
																										{	/* Expand/case.scm 91 */
																											if (SYMBOLP
																												(BgL_datumz00_190))
																												{	/* Expand/case.scm 92 */
																													BgL_dtypez00_185 =
																														CNST_TABLE_REF((
																															(long) 4));
																												}
																											else
																												{	/* Expand/case.scm 92 */
																													if (KEYWORDP
																														(BgL_datumz00_190))
																														{	/* Expand/case.scm 93 */
																															BgL_dtypez00_185 =
																																CNST_TABLE_REF((
																																	(long) 5));
																														}
																													else
																														{	/* Expand/case.scm 93 */
																															BgL_dtypez00_185 =
																																CNST_TABLE_REF((
																																	(long) 6));
																						}}}}}
																					if (BGl_typezd2matchzf3z21zzexpand_casez00(BgL_dtypez00_185, BgL_typez00_181))
																						{
																							obj_t BgL_typez00_1261;

																							obj_t BgL_datumsz00_1259;

																							BgL_datumsz00_1259 =
																								CDR(BgL_datumsz00_180);
																							BgL_typez00_1261 =
																								BGl_generalz00zzexpand_casez00
																								(BgL_dtypez00_185,
																								BgL_typez00_181);
																							BgL_typez00_181 =
																								BgL_typez00_1261;
																							BgL_datumsz00_180 =
																								BgL_datumsz00_1259;
																							goto BgL_loopz00_182;
																						}
																					else
																						{	/* Expand/case.scm 107 */
																							BgL_dtypez00_173 =
																								CNST_TABLE_REF(((long) 6));
																				}}
																			else
																				{	/* Expand/case.scm 102 */
																					BGl_errorz00zz__errorz00
																						(CNST_TABLE_REF(((long) 7)),
																						BGl_string2641z00zzexpand_casez00,
																						BgL_xz00_3);
																					BgL_dtypez00_173 = BFALSE;
																}}}
																if (BGl_typezd2matchzf3z21zzexpand_casez00
																	(BgL_dtypez00_173, BgL_typez00_151))
																	{
																		obj_t BgL_typez00_1270;

																		obj_t BgL_clausesz00_1268;

																		BgL_clausesz00_1268 =
																			CDR(BgL_clausesz00_150);
																		BgL_typez00_1270 =
																			BGl_generalz00zzexpand_casez00
																			(BgL_dtypez00_173, BgL_typez00_151);
																		BgL_typez00_151 = BgL_typez00_1270;
																		BgL_clausesz00_150 = BgL_clausesz00_1268;
																		goto BgL_loopz00_152;
																	}
																else
																	{	/* Expand/case.scm 125 */
																		return CNST_TABLE_REF(((long) 8));
									}}}}}
								else
									{	/* Expand/case.scm 115 */
										goto BgL_tagzd21480zd2_159;
									}
							}
						}
				}
			}
		}
	}



/* type-match? */
	bool_t BGl_typezd2matchzf3z21zzexpand_casez00(obj_t BgL_type1z00_203,
		obj_t BgL_type2z00_204)
	{
		AN_OBJECT;
		{	/* Expand/case.scm 78 */
			{	/* Expand/case.scm 73 */
				bool_t BgL__ortest_1479z00_206;

				BgL__ortest_1479z00_206 = NULLP(BgL_type1z00_203);
				if (BgL__ortest_1479z00_206)
					{	/* Expand/case.scm 73 */
						return BgL__ortest_1479z00_206;
					}
				else
					{	/* Expand/case.scm 74 */
						bool_t BgL__ortest_1480z00_207;

						BgL__ortest_1480z00_207 = NULLP(BgL_type2z00_204);
						if (BgL__ortest_1480z00_207)
							{	/* Expand/case.scm 74 */
								return BgL__ortest_1480z00_207;
							}
						else
							{	/* Expand/case.scm 75 */
								bool_t BgL_testz00_1278;

								if ((BgL_type1z00_203 == CNST_TABLE_REF(((long) 6))))
									{	/* Expand/case.scm 75 */
										BgL_testz00_1278 = ((bool_t) 0);
									}
								else
									{	/* Expand/case.scm 75 */
										BgL_testz00_1278 = ((bool_t) 1);
									}
								if (BgL_testz00_1278)
									{	/* Expand/case.scm 76 */
										bool_t BgL__ortest_1482z00_209;

										BgL__ortest_1482z00_209 =
											(BgL_type1z00_203 == BgL_type2z00_204);
										if (BgL__ortest_1482z00_209)
											{	/* Expand/case.scm 76 */
												return BgL__ortest_1482z00_209;
											}
										else
											{	/* Expand/case.scm 77 */
												bool_t BgL__ortest_1483z00_210;

												if ((BgL_type1z00_203 == CNST_TABLE_REF(((long) 3))))
													{	/* Expand/case.scm 77 */
														BgL__ortest_1483z00_210 =
															(BgL_type2z00_204 == CNST_TABLE_REF(((long) 2)));
													}
												else
													{	/* Expand/case.scm 77 */
														BgL__ortest_1483z00_210 = ((bool_t) 0);
													}
												if (BgL__ortest_1483z00_210)
													{	/* Expand/case.scm 77 */
														return BgL__ortest_1483z00_210;
													}
												else
													{	/* Expand/case.scm 77 */
														if (
															(BgL_type1z00_203 == CNST_TABLE_REF(((long) 2))))
															{	/* Expand/case.scm 78 */
																return
																	(BgL_type2z00_204 ==
																	CNST_TABLE_REF(((long) 3)));
															}
														else
															{	/* Expand/case.scm 78 */
																return ((bool_t) 0);
															}
													}
											}
									}
								else
									{	/* Expand/case.scm 75 */
										return ((bool_t) 0);
									}
							}
					}
			}
		}
	}



/* general */
	obj_t BGl_generalz00zzexpand_casez00(obj_t BgL_type1z00_197,
		obj_t BgL_type2z00_198)
	{
		AN_OBJECT;
		{	/* Expand/case.scm 85 */
			if ((BgL_type1z00_197 == BgL_type2z00_198))
				{	/* Expand/case.scm 82 */
					return BgL_type1z00_197;
				}
			else
				{	/* Expand/case.scm 82 */
					if ((BgL_type1z00_197 == CNST_TABLE_REF(((long) 3))))
						{	/* Expand/case.scm 83 */
							return BgL_type1z00_197;
						}
					else
						{	/* Expand/case.scm 83 */
							if (NULLP(BgL_type2z00_198))
								{	/* Expand/case.scm 84 */
									return BgL_type1z00_197;
								}
							else
								{	/* Expand/case.scm 84 */
									return BgL_type2z00_198;
								}
						}
				}
		}
	}



/* do-typed-case */
	obj_t BGl_dozd2typedzd2casez00zzexpand_casez00(obj_t BgL_typez00_5,
		obj_t BgL_valuez00_6, obj_t BgL_clausesz00_7, obj_t BgL_ez00_8)
	{
		AN_OBJECT;
		{	/* Expand/case.scm 135 */
			{	/* Expand/case.scm 136 */
				obj_t BgL_elsezd2bodyzd2_218;

				{
					obj_t BgL_clausesz00_288;

					BgL_clausesz00_288 = BgL_clausesz00_7;
				BgL_loopz00_289:
					if (NULLP(BgL_clausesz00_288))
						{	/* Expand/case.scm 138 */
							obj_t BgL_list1629z00_291;

							BgL_list1629z00_291 = MAKE_PAIR(BUNSPEC, BNIL);
							BgL_elsezd2bodyzd2_218 = BgL_list1629z00_291;
						}
					else
						{
							obj_t BgL_bodyz00_293;

							{	/* Expand/case.scm 139 */
								obj_t BgL_ezd21505zd2_296;

								BgL_ezd21505zd2_296 = CAR(BgL_clausesz00_288);
								if (NULLP(BgL_ezd21505zd2_296))
									{	/* Expand/case.scm 139 */
										BgL_elsezd2bodyzd2_218 = BUNSPEC;
									}
								else
									{	/* Expand/case.scm 139 */
										if (PAIRP(BgL_ezd21505zd2_296))
											{	/* Expand/case.scm 139 */
												if (
													(CAR(BgL_ezd21505zd2_296) ==
														CNST_TABLE_REF(((long) 9))))
													{	/* Expand/case.scm 139 */
														BgL_bodyz00_293 = CDR(BgL_ezd21505zd2_296);
														if (NULLP(BgL_bodyz00_293))
															{	/* Expand/case.scm 143 */
																BgL_elsezd2bodyzd2_218 = BNIL;
															}
														else
															{	/* Expand/case.scm 143 */
																obj_t BgL_head1490z00_305;

																BgL_head1490z00_305 = MAKE_PAIR(BNIL, BNIL);
																{
																	obj_t BgL_l1488z00_306;

																	obj_t BgL_tail1491z00_307;

																	BgL_l1488z00_306 = BgL_bodyz00_293;
																	BgL_tail1491z00_307 = BgL_head1490z00_305;
																BgL_map1489z00_308:
																	if (NULLP(BgL_l1488z00_306))
																		{	/* Expand/case.scm 143 */
																			BgL_elsezd2bodyzd2_218 =
																				CDR(BgL_head1490z00_305);
																		}
																	else
																		{	/* Expand/case.scm 143 */
																			obj_t BgL_newtail1492z00_310;

																			{	/* Expand/case.scm 143 */
																				obj_t BgL_arg1640z00_312;

																				{	/* Expand/case.scm 143 */
																					obj_t BgL_xz00_314;

																					BgL_xz00_314 = CAR(BgL_l1488z00_306);
																					BgL_arg1640z00_312 =
																						PROCEDURE_ENTRY(BgL_ez00_8)
																						(BgL_ez00_8, BgL_xz00_314,
																						BgL_ez00_8, BEOA);
																				}
																				BgL_newtail1492z00_310 =
																					MAKE_PAIR(BgL_arg1640z00_312, BNIL);
																			}
																			SET_CDR(BgL_tail1491z00_307,
																				BgL_newtail1492z00_310);
																			{
																				obj_t BgL_tail1491z00_1327;

																				obj_t BgL_l1488z00_1325;

																				BgL_l1488z00_1325 =
																					CDR(BgL_l1488z00_306);
																				BgL_tail1491z00_1327 =
																					BgL_newtail1492z00_310;
																				BgL_tail1491z00_307 =
																					BgL_tail1491z00_1327;
																				BgL_l1488z00_306 = BgL_l1488z00_1325;
																				goto BgL_map1489z00_308;
																			}
																		}
																}
															}
													}
												else
													{	/* Expand/case.scm 139 */
													BgL_tagzd21504zd2_295:
														{
															obj_t BgL_clausesz00_1329;

															BgL_clausesz00_1329 = CDR(BgL_clausesz00_288);
															BgL_clausesz00_288 = BgL_clausesz00_1329;
															goto BgL_loopz00_289;
														}
													}
											}
										else
											{	/* Expand/case.scm 139 */
												goto BgL_tagzd21504zd2_295;
											}
									}
							}
						}
				}
				{	/* Expand/case.scm 136 */
					obj_t BgL_elsezd2namezd2_219;

					BgL_elsezd2namezd2_219 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00
						(BGl_string2642z00zzexpand_casez00));
					{	/* Expand/case.scm 146 */
						obj_t BgL_auxz00_220;

						BgL_auxz00_220 =
							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
							(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10))));
						{	/* Expand/case.scm 147 */

							{	/* Expand/case.scm 148 */
								obj_t BgL_casez00_221;

								{	/* Expand/case.scm 148 */
									obj_t BgL_arg1562z00_222;

									obj_t BgL_arg1563z00_223;

									BgL_arg1562z00_222 = CNST_TABLE_REF(((long) 7));
									{	/* Expand/case.scm 149 */
										obj_t BgL_arg1567z00_224;

										BgL_arg1567z00_224 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(BGl_loopz72z72z00zzexpand_casez00(BgL_elsezd2namezd2_219,
												BgL_ez00_8, BgL_clausesz00_7), BNIL);
										{	/* Expand/case.scm 148 */
											obj_t BgL_list1568z00_225;

											BgL_list1568z00_225 = MAKE_PAIR(BgL_arg1567z00_224, BNIL);
											BgL_arg1563z00_223 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_auxz00_220, BgL_list1568z00_225);
									}}
									BgL_casez00_221 =
										MAKE_PAIR(BgL_arg1562z00_222, BgL_arg1563z00_223);
								}
								return
									BGl_typezd2testzd2zzexpand_casez00(BgL_auxz00_220,
									BgL_typez00_5, BgL_valuez00_6, BgL_casez00_221,
									BgL_elsezd2bodyzd2_218, BgL_elsezd2namezd2_219, BgL_ez00_8);
							}
						}
					}
				}
			}
		}
	}



/* loop'' */
	obj_t BGl_loopz72z72z00zzexpand_casez00(obj_t BgL_elsezd2namezd2_1137,
		obj_t BgL_ez00_1136, obj_t BgL_clausesz00_228)
	{
		AN_OBJECT;
		{	/* Expand/case.scm 149 */
			if (NULLP(BgL_clausesz00_228))
				{	/* Expand/case.scm 152 */
					obj_t BgL_arg1573z00_231;

					{	/* Expand/case.scm 152 */
						obj_t BgL_arg1575z00_233;

						obj_t BgL_arg1576z00_234;

						BgL_arg1575z00_233 = CNST_TABLE_REF(((long) 9));
						{	/* Expand/case.scm 152 */
							obj_t BgL_list1577z00_235;

							BgL_list1577z00_235 = MAKE_PAIR(BNIL, BNIL);
							BgL_arg1576z00_234 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BUNSPEC,
								BgL_list1577z00_235);
						}
						BgL_arg1573z00_231 =
							MAKE_PAIR(BgL_arg1575z00_233, BgL_arg1576z00_234);
					}
					return MAKE_PAIR(BgL_arg1573z00_231, BNIL);
				}
			else
				{
					obj_t BgL_bodyz00_237;

					obj_t BgL_datumsz00_239;

					obj_t BgL_bodyz00_240;

					{	/* Expand/case.scm 153 */
						obj_t BgL_ezd21516zd2_243;

						BgL_ezd21516zd2_243 = CAR(BgL_clausesz00_228);
						if (NULLP(BgL_ezd21516zd2_243))
							{	/* Expand/case.scm 153 */
								{	/* Expand/case.scm 155 */
									obj_t BgL_arg1592z00_252;

									{	/* Expand/case.scm 155 */
										obj_t BgL_arg1595z00_254;

										obj_t BgL_arg1596z00_255;

										BgL_arg1595z00_254 = CNST_TABLE_REF(((long) 9));
										{	/* Expand/case.scm 155 */
											obj_t BgL_list1597z00_256;

											BgL_list1597z00_256 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg1596z00_255 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BUNSPEC,
												BgL_list1597z00_256);
										}
										BgL_arg1592z00_252 =
											MAKE_PAIR(BgL_arg1595z00_254, BgL_arg1596z00_255);
									}
									return MAKE_PAIR(BgL_arg1592z00_252, BNIL);
								}
							}
						else
							{	/* Expand/case.scm 153 */
								if (PAIRP(BgL_ezd21516zd2_243))
									{	/* Expand/case.scm 153 */
										if (
											(CAR(BgL_ezd21516zd2_243) == CNST_TABLE_REF(((long) 9))))
											{	/* Expand/case.scm 153 */
												BgL_bodyz00_237 = CDR(BgL_ezd21516zd2_243);
												{	/* Expand/case.scm 157 */
													obj_t BgL_arg1598z00_257;

													{	/* Expand/case.scm 157 */
														obj_t BgL_arg1600z00_259;

														obj_t BgL_arg1601z00_260;

														BgL_arg1600z00_259 = CNST_TABLE_REF(((long) 9));
														{	/* Expand/case.scm 157 */
															obj_t BgL_arg1604z00_261;

															BgL_arg1604z00_261 =
																MAKE_PAIR(BgL_elsezd2namezd2_1137, BNIL);
															{	/* Expand/case.scm 157 */
																obj_t BgL_list1606z00_263;

																BgL_list1606z00_263 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg1601z00_260 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1604z00_261, BgL_list1606z00_263);
														}}
														BgL_arg1598z00_257 =
															MAKE_PAIR(BgL_arg1600z00_259, BgL_arg1601z00_260);
													}
													return MAKE_PAIR(BgL_arg1598z00_257, BNIL);
												}
											}
										else
											{	/* Expand/case.scm 153 */
												BgL_datumsz00_239 = CAR(BgL_ezd21516zd2_243);
												BgL_bodyz00_240 = CDR(BgL_ezd21516zd2_243);
												if (NULLP(BgL_bodyz00_240))
													{	/* Expand/case.scm 159 */
														return
															BGl_errorz00zz__errorz00
															(BGl_string2640z00zzexpand_casez00,
															BGl_string2643z00zzexpand_casez00,
															CAR(BgL_clausesz00_228));
													}
												else
													{	/* Expand/case.scm 164 */
														obj_t BgL_arg1615z00_268;

														obj_t BgL_arg1616z00_269;

														{	/* Expand/case.scm 164 */
															obj_t BgL_arg1617z00_270;

															{	/* Expand/case.scm 164 */
																obj_t BgL_arg1618z00_271;

																{	/* Expand/case.scm 164 */
																	obj_t BgL_head1495z00_275;

																	BgL_head1495z00_275 = MAKE_PAIR(BNIL, BNIL);
																	{
																		obj_t BgL_l1493z00_276;

																		obj_t BgL_tail1496z00_277;

																		BgL_l1493z00_276 = BgL_bodyz00_240;
																		BgL_tail1496z00_277 = BgL_head1495z00_275;
																	BgL_map1494z00_278:
																		if (NULLP(BgL_l1493z00_276))
																			{	/* Expand/case.scm 164 */
																				BgL_arg1618z00_271 =
																					CDR(BgL_head1495z00_275);
																			}
																		else
																			{	/* Expand/case.scm 164 */
																				obj_t BgL_newtail1497z00_280;

																				{	/* Expand/case.scm 164 */
																					obj_t BgL_arg1623z00_282;

																					{	/* Expand/case.scm 164 */
																						obj_t BgL_xz00_284;

																						BgL_xz00_284 =
																							CAR(BgL_l1493z00_276);
																						BgL_arg1623z00_282 =
																							PROCEDURE_ENTRY(BgL_ez00_1136)
																							(BgL_ez00_1136, BgL_xz00_284,
																							BgL_ez00_1136, BEOA);
																					}
																					BgL_newtail1497z00_280 =
																						MAKE_PAIR(BgL_arg1623z00_282, BNIL);
																				}
																				SET_CDR(BgL_tail1496z00_277,
																					BgL_newtail1497z00_280);
																				{
																					obj_t BgL_tail1496z00_1386;

																					obj_t BgL_l1493z00_1384;

																					BgL_l1493z00_1384 =
																						CDR(BgL_l1493z00_276);
																					BgL_tail1496z00_1386 =
																						BgL_newtail1497z00_280;
																					BgL_tail1496z00_277 =
																						BgL_tail1496z00_1386;
																					BgL_l1493z00_276 = BgL_l1493z00_1384;
																					goto BgL_map1494z00_278;
																				}
																			}
																	}
																}
																BgL_arg1617z00_270 =
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1618z00_271, BNIL);
															}
															BgL_arg1615z00_268 =
																MAKE_PAIR(BgL_datumsz00_239,
																BgL_arg1617z00_270);
														}
														BgL_arg1616z00_269 =
															BGl_loopz72z72z00zzexpand_casez00
															(BgL_elsezd2namezd2_1137, BgL_ez00_1136,
															CDR(BgL_clausesz00_228));
														return MAKE_PAIR(BgL_arg1615z00_268,
															BgL_arg1616z00_269);
													}
											}
									}
								else
									{	/* Expand/case.scm 153 */
										return
											BGl_errorz00zz__errorz00
											(BGl_string2640z00zzexpand_casez00,
											BGl_string2641z00zzexpand_casez00, BgL_clausesz00_228);
									}
							}
					}
				}
		}
	}



/* do-cnst-case */
	obj_t BGl_dozd2cnstzd2casez00zzexpand_casez00(obj_t BgL_valuez00_9,
		obj_t BgL_clausesz00_10, obj_t BgL_ez00_11)
	{
		AN_OBJECT;
		{	/* Expand/case.scm 180 */
			{	/* Expand/case.scm 181 */
				obj_t BgL_auxz00_316;

				BgL_auxz00_316 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10))));
				{	/* Expand/case.scm 181 */
					obj_t BgL_valuez00_317;

					{	/* Expand/case.scm 182 */
						obj_t BgL_arg1668z00_343;

						obj_t BgL_arg1669z00_344;

						BgL_arg1668z00_343 = CNST_TABLE_REF(((long) 11));
						{	/* Expand/case.scm 182 */
							obj_t BgL_arg1670z00_345;

							obj_t BgL_arg1671z00_346;

							{	/* Expand/case.scm 182 */
								obj_t BgL_arg1675z00_350;

								{	/* Expand/case.scm 182 */
									obj_t BgL_arg1678z00_352;

									{	/* Expand/case.scm 182 */
										obj_t BgL_list1679z00_353;

										BgL_list1679z00_353 = MAKE_PAIR(BNIL, BNIL);
										BgL_arg1678z00_352 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_valuez00_9, BgL_list1679z00_353);
									}
									BgL_arg1675z00_350 =
										MAKE_PAIR(BgL_auxz00_316, BgL_arg1678z00_352);
								}
								BgL_arg1670z00_345 = MAKE_PAIR(BgL_arg1675z00_350, BNIL);
							}
							{	/* Expand/case.scm 183 */
								obj_t BgL_arg1680z00_354;

								obj_t BgL_arg1682z00_355;

								BgL_arg1680z00_354 = CNST_TABLE_REF(((long) 12));
								{	/* Expand/case.scm 183 */
									obj_t BgL_arg1683z00_356;

									obj_t BgL_arg1684z00_357;

									{	/* Expand/case.scm 183 */
										obj_t BgL_arg1693z00_363;

										obj_t BgL_arg1694z00_364;

										BgL_arg1693z00_363 = CNST_TABLE_REF(((long) 13));
										{	/* Expand/case.scm 183 */
											obj_t BgL_list1695z00_365;

											BgL_list1695z00_365 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg1694z00_364 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_auxz00_316, BgL_list1695z00_365);
										}
										BgL_arg1683z00_356 =
											MAKE_PAIR(BgL_arg1693z00_363, BgL_arg1694z00_364);
									}
									{	/* Expand/case.scm 184 */
										obj_t BgL_arg1696z00_366;

										obj_t BgL_arg1699z00_367;

										BgL_arg1696z00_366 = CNST_TABLE_REF(((long) 14));
										{	/* Expand/case.scm 184 */
											obj_t BgL_list1700z00_368;

											BgL_list1700z00_368 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg1699z00_367 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_auxz00_316, BgL_list1700z00_368);
										}
										BgL_arg1684z00_357 =
											MAKE_PAIR(BgL_arg1696z00_366, BgL_arg1699z00_367);
									}
									{	/* Expand/case.scm 183 */
										obj_t BgL_list1687z00_360;

										{	/* Expand/case.scm 183 */
											obj_t BgL_arg1688z00_361;

											{	/* Expand/case.scm 183 */
												obj_t BgL_arg1692z00_362;

												BgL_arg1692z00_362 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg1688z00_361 =
													MAKE_PAIR(BINT(((long) -1)), BgL_arg1692z00_362);
											}
											BgL_list1687z00_360 =
												MAKE_PAIR(BgL_arg1684z00_357, BgL_arg1688z00_361);
										}
										BgL_arg1682z00_355 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1683z00_356, BgL_list1687z00_360);
								}}
								BgL_arg1671z00_346 =
									MAKE_PAIR(BgL_arg1680z00_354, BgL_arg1682z00_355);
							}
							{	/* Expand/case.scm 182 */
								obj_t BgL_list1673z00_348;

								{	/* Expand/case.scm 182 */
									obj_t BgL_arg1674z00_349;

									BgL_arg1674z00_349 = MAKE_PAIR(BNIL, BNIL);
									BgL_list1673z00_348 =
										MAKE_PAIR(BgL_arg1671z00_346, BgL_arg1674z00_349);
								}
								BgL_arg1669z00_344 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1670z00_345, BgL_list1673z00_348);
						}}
						BgL_valuez00_317 =
							MAKE_PAIR(BgL_arg1668z00_343, BgL_arg1669z00_344);
					}
					{	/* Expand/case.scm 182 */

						{
							obj_t BgL_cz00_318;

							BgL_cz00_318 = BgL_clausesz00_10;
						BgL_loopz00_319:
							if (NULLP(BgL_cz00_318))
								{	/* Expand/case.scm 189 */
									return
										BGl_dozd2typedzd2casez00zzexpand_casez00(CNST_TABLE_REF((
												(long) 1)), BgL_valuez00_317, BgL_clausesz00_10,
										BgL_ez00_11);
								}
							else
								{	/* Expand/case.scm 191 */
									obj_t BgL_clausez00_321;

									BgL_clausez00_321 = CAR(BgL_cz00_318);
									if ((CAR(BgL_clausez00_321) == CNST_TABLE_REF(((long) 9))))
										{	/* Expand/case.scm 192 */
											BFALSE;
										}
									else
										{	/* Expand/case.scm 193 */
											obj_t BgL_arg1645z00_323;

											{	/* Expand/case.scm 193 */
												obj_t BgL_l1498z00_324;

												BgL_l1498z00_324 = CAR(BgL_clausez00_321);
												if (NULLP(BgL_l1498z00_324))
													{	/* Expand/case.scm 193 */
														BgL_arg1645z00_323 = BNIL;
													}
												else
													{	/* Expand/case.scm 193 */
														obj_t BgL_head1500z00_326;

														{	/* Expand/case.scm 193 */
															long BgL_arg1660z00_337;

															BgL_arg1660z00_337 = CCNST(CAR(BgL_l1498z00_324));
															BgL_head1500z00_326 =
																MAKE_PAIR(BINT(BgL_arg1660z00_337), BNIL);
														}
														{	/* Expand/case.scm 193 */
															obj_t BgL_g1503z00_327;

															BgL_g1503z00_327 = CDR(BgL_l1498z00_324);
															{
																obj_t BgL_l1498z00_328;

																obj_t BgL_tail1501z00_329;

																BgL_l1498z00_328 = BgL_g1503z00_327;
																BgL_tail1501z00_329 = BgL_head1500z00_326;
															BgL_map1499z00_330:
																if (NULLP(BgL_l1498z00_328))
																	{	/* Expand/case.scm 193 */
																		BgL_arg1645z00_323 = BgL_head1500z00_326;
																	}
																else
																	{	/* Expand/case.scm 193 */
																		obj_t BgL_newtail1502z00_332;

																		{	/* Expand/case.scm 193 */
																			long BgL_arg1657z00_334;

																			BgL_arg1657z00_334 =
																				CCNST(CAR(BgL_l1498z00_328));
																			BgL_newtail1502z00_332 =
																				MAKE_PAIR(BINT(BgL_arg1657z00_334),
																				BNIL);
																		}
																		SET_CDR(BgL_tail1501z00_329,
																			BgL_newtail1502z00_332);
																		{
																			obj_t BgL_tail1501z00_1448;

																			obj_t BgL_l1498z00_1446;

																			BgL_l1498z00_1446 = CDR(BgL_l1498z00_328);
																			BgL_tail1501z00_1448 =
																				BgL_newtail1502z00_332;
																			BgL_tail1501z00_329 =
																				BgL_tail1501z00_1448;
																			BgL_l1498z00_328 = BgL_l1498z00_1446;
																			goto BgL_map1499z00_330;
																		}
																	}
															}
														}
													}
											}
											SET_CAR(BgL_clausez00_321, BgL_arg1645z00_323);
										}
									{
										obj_t BgL_cz00_1450;

										BgL_cz00_1450 = CDR(BgL_cz00_318);
										BgL_cz00_318 = BgL_cz00_1450;
										goto BgL_loopz00_319;
									}
								}
						}
					}
				}
			}
		}
	}



/* do-optim-symbol/keyword-case */
	obj_t BGl_dozd2optimzd2symbolzf2keywordzd2casez20zzexpand_casez00(obj_t
		BgL_typez00_16, obj_t BgL_valuez00_17, obj_t BgL_clausesz00_18,
		obj_t BgL_ez00_19)
	{
		AN_OBJECT;
		{	/* Expand/case.scm 208 */
			{
				obj_t BgL_clausesz00_373;

				{	/* Expand/case.scm 223 */
					obj_t BgL_numzd2elszd2_371;

					BgL_clausesz00_373 = BgL_clausesz00_18;
					{
						obj_t BgL_clausesz00_375;

						long BgL_resz00_376;

						BgL_clausesz00_375 = BgL_clausesz00_373;
						BgL_resz00_376 = ((long) 0);
					BgL_loopz00_377:
						if (NULLP(BgL_clausesz00_375))
							{	/* Expand/case.scm 212 */
								BgL_numzd2elszd2_371 = BINT(BgL_resz00_376);
							}
						else
							{	/* Expand/case.scm 214 */
								obj_t BgL_ezd21541zd2_388;

								BgL_ezd21541zd2_388 = CAR(BgL_clausesz00_375);
								if (NULLP(BgL_ezd21541zd2_388))
									{	/* Expand/case.scm 214 */
										BgL_numzd2elszd2_371 = BINT(BgL_resz00_376);
									}
								else
									{	/* Expand/case.scm 214 */
										if (PAIRP(BgL_ezd21541zd2_388))
											{	/* Expand/case.scm 214 */
												if (
													(CAR(BgL_ezd21541zd2_388) ==
														CNST_TABLE_REF(((long) 9))))
													{	/* Expand/case.scm 214 */
														BgL_numzd2elszd2_371 = BINT(BgL_resz00_376);
													}
												else
													{	/* Expand/case.scm 214 */
														obj_t BgL_carzd21554zd2_393;

														BgL_carzd21554zd2_393 = CAR(BgL_ezd21541zd2_388);
														if (PAIRP(BgL_carzd21554zd2_393))
															{	/* Expand/case.scm 214 */
																bool_t BgL_testz00_1469;

																{	/* Expand/case.scm 214 */
																	obj_t BgL_auxz00_1470;

																	BgL_auxz00_1470 = CDR(BgL_carzd21554zd2_393);
																	BgL_testz00_1469 = PAIRP(BgL_auxz00_1470);
																}
																if (BgL_testz00_1469)
																	{
																		long BgL_resz00_1475;

																		obj_t BgL_clausesz00_1473;

																		BgL_clausesz00_1473 =
																			CDR(BgL_clausesz00_375);
																		BgL_resz00_1475 =
																			(bgl_list_length(BgL_carzd21554zd2_393) +
																			BgL_resz00_376);
																		BgL_resz00_376 = BgL_resz00_1475;
																		BgL_clausesz00_375 = BgL_clausesz00_1473;
																		goto BgL_loopz00_377;
																	}
																else
																	{	/* Expand/case.scm 214 */
																		if (NULLP(CDR(BgL_carzd21554zd2_393)))
																			{
																				long BgL_resz00_1483;

																				obj_t BgL_clausesz00_1481;

																				BgL_clausesz00_1481 =
																					CDR(BgL_clausesz00_375);
																				BgL_resz00_1483 =
																					(((long) 1) + BgL_resz00_376);
																				BgL_resz00_376 = BgL_resz00_1483;
																				BgL_clausesz00_375 =
																					BgL_clausesz00_1481;
																				goto BgL_loopz00_377;
																			}
																		else
																			{	/* Expand/case.scm 214 */
																				BgL_numzd2elszd2_371 = BFALSE;
																			}
																	}
															}
														else
															{	/* Expand/case.scm 214 */
																BgL_numzd2elszd2_371 = BFALSE;
															}
													}
											}
										else
											{	/* Expand/case.scm 214 */
												BgL_numzd2elszd2_371 = BFALSE;
											}
									}
							}
					}
					if (((long) CINT(BgL_numzd2elszd2_371) < ((long) 10)))
						{	/* Expand/case.scm 224 */
							return
								BGl_dozd2genericzd2symbolzf2keywordzd2casez20zzexpand_casez00
								(BgL_valuez00_17, BgL_clausesz00_18, BgL_ez00_19);
						}
					else
						{	/* Expand/case.scm 224 */
							return
								BGl_dozd2genericzd2symbolzf2keywordzd2casez20zzexpand_casez00
								(BgL_valuez00_17, BgL_clausesz00_18, BgL_ez00_19);
						}
				}
			}
		}
	}



/* do-generic-symbol/keyword-case */
	obj_t BGl_dozd2genericzd2symbolzf2keywordzd2casez20zzexpand_casez00(obj_t
		BgL_valuez00_20, obj_t BgL_clausesz00_21, obj_t BgL_ez00_22)
	{
		AN_OBJECT;
		{	/* Expand/case.scm 233 */
			{	/* Expand/case.scm 234 */
				obj_t BgL_arg1753z00_417;

				obj_t BgL_arg1754z00_418;

				BgL_arg1753z00_417 = CNST_TABLE_REF(((long) 11));
				{	/* Expand/case.scm 234 */
					obj_t BgL_arg1755z00_419;

					obj_t BgL_arg1770z00_420;

					{	/* Expand/case.scm 234 */
						obj_t BgL_arg1778z00_424;

						{	/* Expand/case.scm 234 */
							obj_t BgL_arg1783z00_426;

							obj_t BgL_arg1785z00_427;

							BgL_arg1783z00_426 = CNST_TABLE_REF(((long) 15));
							{	/* Expand/case.scm 234 */
								obj_t BgL_arg1787z00_428;

								BgL_arg1787z00_428 =
									PROCEDURE_ENTRY(BgL_ez00_22) (BgL_ez00_22, BgL_valuez00_20,
									BgL_ez00_22, BEOA);
								{	/* Expand/case.scm 234 */
									obj_t BgL_list1789z00_430;

									BgL_list1789z00_430 = MAKE_PAIR(BNIL, BNIL);
									BgL_arg1785z00_427 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg1787z00_428, BgL_list1789z00_430);
							}}
							BgL_arg1778z00_424 =
								MAKE_PAIR(BgL_arg1783z00_426, BgL_arg1785z00_427);
						}
						BgL_arg1755z00_419 = MAKE_PAIR(BgL_arg1778z00_424, BNIL);
					}
					BgL_arg1770z00_420 =
						BGl_loopz72z72zzexpand_casez00(BgL_ez00_22, BgL_clausesz00_21);
					{	/* Expand/case.scm 234 */
						obj_t BgL_list1772z00_422;

						{	/* Expand/case.scm 234 */
							obj_t BgL_arg1773z00_423;

							BgL_arg1773z00_423 = MAKE_PAIR(BNIL, BNIL);
							BgL_list1772z00_422 =
								MAKE_PAIR(BgL_arg1770z00_420, BgL_arg1773z00_423);
						}
						BgL_arg1754z00_418 =
							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1755z00_419,
							BgL_list1772z00_422);
				}}
				return MAKE_PAIR(BgL_arg1753z00_417, BgL_arg1754z00_418);
			}
		}
	}



/* loop' */
	obj_t BGl_loopz72z72zzexpand_casez00(obj_t BgL_ez00_1135,
		obj_t BgL_clausesz00_431)
	{
		AN_OBJECT;
		{	/* Expand/case.scm 235 */
			if (NULLP(BgL_clausesz00_431))
				{	/* Expand/case.scm 236 */
					return BUNSPEC;
				}
			else
				{
					obj_t BgL_bodyz00_435;

					obj_t BgL_datumsz00_437;

					obj_t BgL_bodyz00_438;

					obj_t BgL_datumz00_440;

					obj_t BgL_bodyz00_441;

					{	/* Expand/case.scm 238 */
						obj_t BgL_ezd21597zd2_443;

						BgL_ezd21597zd2_443 = CAR(BgL_clausesz00_431);
						if (NULLP(BgL_ezd21597zd2_443))
							{	/* Expand/case.scm 238 */
								return BUNSPEC;
							}
						else
							{	/* Expand/case.scm 238 */
								if (PAIRP(BgL_ezd21597zd2_443))
									{	/* Expand/case.scm 238 */
										if (
											(CAR(BgL_ezd21597zd2_443) == CNST_TABLE_REF(((long) 9))))
											{	/* Expand/case.scm 238 */
												BgL_bodyz00_435 = CDR(BgL_ezd21597zd2_443);
												if (NULLP(BgL_bodyz00_435))
													{	/* Expand/case.scm 242 */
														return BFALSE;
													}
												else
													{	/* Expand/case.scm 244 */
														obj_t BgL_arg1855z00_467;

														BgL_arg1855z00_467 =
															BGl_expandzd2prognzd2zz__prognz00
															(BgL_bodyz00_435);
														return
															PROCEDURE_ENTRY(BgL_ez00_1135) (BgL_ez00_1135,
															BgL_arg1855z00_467, BgL_ez00_1135, BEOA);
													}
											}
										else
											{	/* Expand/case.scm 238 */
												obj_t BgL_carzd21613zd2_448;

												BgL_carzd21613zd2_448 = CAR(BgL_ezd21597zd2_443);
												if (PAIRP(BgL_carzd21613zd2_448))
													{	/* Expand/case.scm 238 */
														bool_t BgL_testz00_1523;

														{	/* Expand/case.scm 238 */
															obj_t BgL_auxz00_1524;

															BgL_auxz00_1524 = CDR(BgL_carzd21613zd2_448);
															BgL_testz00_1523 = PAIRP(BgL_auxz00_1524);
														}
														if (BgL_testz00_1523)
															{	/* Expand/case.scm 238 */
																BgL_datumsz00_437 = BgL_carzd21613zd2_448;
																BgL_bodyz00_438 = CDR(BgL_ezd21597zd2_443);
																if (NULLP(BgL_bodyz00_438))
																	{	/* Expand/case.scm 247 */
																		return
																			BGl_errorz00zz__errorz00
																			(BGl_string2640z00zzexpand_casez00,
																			BGl_string2643z00zzexpand_casez00,
																			CAR(BgL_clausesz00_431));
																	}
																else
																	{	/* Expand/case.scm 247 */
																		if (
																			(bgl_list_length(BgL_datumsz00_437) <
																				((long) 10)))
																			{	/* Expand/case.scm 250 */
																				obj_t BgL_arg1907z00_473;

																				obj_t BgL_arg1909z00_474;

																				BgL_arg1907z00_473 =
																					CNST_TABLE_REF(((long) 12));
																				{	/* Expand/case.scm 250 */
																					obj_t BgL_arg1911z00_475;

																					obj_t BgL_arg1918z00_476;

																					obj_t BgL_arg1919z00_477;

																					{	/* Expand/case.scm 250 */
																						obj_t BgL_arg1924z00_482;

																						{	/* Expand/case.scm 250 */
																							obj_t BgL_arg1925z00_483;

																							obj_t BgL_arg1926z00_484;

																							BgL_arg1925z00_483 =
																								CNST_TABLE_REF(((long) 18));
																							{	/* Expand/case.scm 250 */
																								obj_t BgL_arg1970z00_485;

																								if (NULLP(BgL_datumsz00_437))
																									{	/* Expand/case.scm 250 */
																										BgL_arg1970z00_485 = BNIL;
																									}
																								else
																									{	/* Expand/case.scm 250 */
																										obj_t BgL_head1506z00_489;

																										BgL_head1506z00_489 =
																											MAKE_PAIR(BNIL, BNIL);
																										{
																											obj_t BgL_l1504z00_490;

																											obj_t BgL_tail1507z00_491;

																											BgL_l1504z00_490 =
																												BgL_datumsz00_437;
																											BgL_tail1507z00_491 =
																												BgL_head1506z00_489;
																										BgL_map1505z00_492:
																											if (NULLP
																												(BgL_l1504z00_490))
																												{	/* Expand/case.scm 250 */
																													BgL_arg1970z00_485 =
																														CDR
																														(BgL_head1506z00_489);
																												}
																											else
																												{	/* Expand/case.scm 250 */
																													obj_t
																														BgL_newtail1508z00_494;
																													{	/* Expand/case.scm 250 */
																														obj_t
																															BgL_arg1986z00_496;
																														{	/* Expand/case.scm 250 */
																															obj_t
																																BgL_dz00_498;
																															BgL_dz00_498 =
																																CAR
																																(BgL_l1504z00_490);
																															{	/* Expand/case.scm 250 */
																																obj_t
																																	BgL_arg1990z00_499;
																																obj_t
																																	BgL_arg1993z00_500;
																																BgL_arg1990z00_499
																																	=
																																	CNST_TABLE_REF
																																	(((long) 19));
																																{	/* Expand/case.scm 250 */
																																	obj_t
																																		BgL_arg1996z00_501;
																																	obj_t
																																		BgL_arg1998z00_502;
																																	BgL_arg1996z00_501
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			15));
																																	{	/* Expand/case.scm 250 */
																																		obj_t
																																			BgL_arg2012z00_506;
																																		obj_t
																																			BgL_arg2013z00_507;
																																		BgL_arg2012z00_506
																																			=
																																			CNST_TABLE_REF
																																			(((long)
																																				17));
																																		{	/* Expand/case.scm 250 */
																																			obj_t
																																				BgL_list2014z00_508;
																																			BgL_list2014z00_508
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg2013z00_507
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_dz00_498,
																																				BgL_list2014z00_508);
																																		}
																																		BgL_arg1998z00_502
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2012z00_506,
																																			BgL_arg2013z00_507);
																																	}
																																	{	/* Expand/case.scm 250 */
																																		obj_t
																																			BgL_list2006z00_504;
																																		{	/* Expand/case.scm 250 */
																																			obj_t
																																				BgL_arg2010z00_505;
																																			BgL_arg2010z00_505
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_list2006z00_504
																																				=
																																				MAKE_PAIR
																																				(BgL_arg1998z00_502,
																																				BgL_arg2010z00_505);
																																		}
																																		BgL_arg1993z00_500
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_arg1996z00_501,
																																			BgL_list2006z00_504);
																																}}
																																BgL_arg1986z00_496
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1990z00_499,
																																	BgL_arg1993z00_500);
																														}}
																														BgL_newtail1508z00_494
																															=
																															MAKE_PAIR
																															(BgL_arg1986z00_496,
																															BNIL);
																													}
																													SET_CDR
																														(BgL_tail1507z00_491,
																														BgL_newtail1508z00_494);
																													{
																														obj_t
																															BgL_tail1507z00_1557;
																														obj_t
																															BgL_l1504z00_1555;
																														BgL_l1504z00_1555 =
																															CDR
																															(BgL_l1504z00_490);
																														BgL_tail1507z00_1557
																															=
																															BgL_newtail1508z00_494;
																														BgL_tail1507z00_491
																															=
																															BgL_tail1507z00_1557;
																														BgL_l1504z00_490 =
																															BgL_l1504z00_1555;
																														goto
																															BgL_map1505z00_492;
																													}
																												}
																										}
																									}
																								BgL_arg1926z00_484 =
																									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg1970z00_485, BNIL);
																							}
																							BgL_arg1924z00_482 =
																								MAKE_PAIR(BgL_arg1925z00_483,
																								BgL_arg1926z00_484);
																						}
																						BgL_arg1911z00_475 =
																							PROCEDURE_ENTRY(BgL_ez00_1135)
																							(BgL_ez00_1135,
																							BgL_arg1924z00_482, BgL_ez00_1135,
																							BEOA);
																					}
																					{	/* Expand/case.scm 251 */
																						obj_t BgL_arg2016z00_509;

																						BgL_arg2016z00_509 =
																							BGl_expandzd2prognzd2zz__prognz00
																							(BgL_bodyz00_438);
																						BgL_arg1918z00_476 =
																							PROCEDURE_ENTRY(BgL_ez00_1135)
																							(BgL_ez00_1135,
																							BgL_arg2016z00_509, BgL_ez00_1135,
																							BEOA);
																					}
																					BgL_arg1919z00_477 =
																						BGl_loopz72z72zzexpand_casez00
																						(BgL_ez00_1135,
																						CDR(BgL_clausesz00_431));
																					{	/* Expand/case.scm 250 */
																						obj_t BgL_list1921z00_479;

																						{	/* Expand/case.scm 250 */
																							obj_t BgL_arg1922z00_480;

																							{	/* Expand/case.scm 250 */
																								obj_t BgL_arg1923z00_481;

																								BgL_arg1923z00_481 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg1922z00_480 =
																									MAKE_PAIR(BgL_arg1919z00_477,
																									BgL_arg1923z00_481);
																							}
																							BgL_list1921z00_479 =
																								MAKE_PAIR(BgL_arg1918z00_476,
																								BgL_arg1922z00_480);
																						}
																						BgL_arg1909z00_474 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg1911z00_475,
																							BgL_list1921z00_479);
																					}
																				}
																				return
																					MAKE_PAIR(BgL_arg1907z00_473,
																					BgL_arg1909z00_474);
																			}
																		else
																			{	/* Expand/case.scm 254 */
																				obj_t BgL_arg2019z00_511;

																				obj_t BgL_arg2030z00_512;

																				BgL_arg2019z00_511 =
																					CNST_TABLE_REF(((long) 12));
																				{	/* Expand/case.scm 254 */
																					obj_t BgL_arg2031z00_513;

																					obj_t BgL_arg2038z00_514;

																					obj_t BgL_arg2042z00_515;

																					{	/* Expand/case.scm 254 */
																						obj_t BgL_arg2061z00_520;

																						{	/* Expand/case.scm 254 */
																							obj_t BgL_arg2074z00_521;

																							obj_t BgL_arg2081z00_522;

																							BgL_arg2074z00_521 =
																								CNST_TABLE_REF(((long) 20));
																							{	/* Expand/case.scm 254 */
																								obj_t BgL_arg2087z00_523;

																								obj_t BgL_arg2090z00_524;

																								BgL_arg2087z00_523 =
																									CNST_TABLE_REF(((long) 15));
																								{	/* Expand/case.scm 254 */
																									obj_t BgL_arg2114z00_528;

																									obj_t BgL_arg2124z00_529;

																									BgL_arg2114z00_528 =
																										CNST_TABLE_REF(((long) 17));
																									{	/* Expand/case.scm 254 */
																										obj_t BgL_list2125z00_530;

																										BgL_list2125z00_530 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2124z00_529 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_datumsz00_437,
																											BgL_list2125z00_530);
																									}
																									BgL_arg2090z00_524 =
																										MAKE_PAIR
																										(BgL_arg2114z00_528,
																										BgL_arg2124z00_529);
																								}
																								{	/* Expand/case.scm 254 */
																									obj_t BgL_list2096z00_526;

																									{	/* Expand/case.scm 254 */
																										obj_t BgL_arg2101z00_527;

																										BgL_arg2101z00_527 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_list2096z00_526 =
																											MAKE_PAIR
																											(BgL_arg2090z00_524,
																											BgL_arg2101z00_527);
																									}
																									BgL_arg2081z00_522 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2087z00_523,
																										BgL_list2096z00_526);
																							}}
																							BgL_arg2061z00_520 =
																								MAKE_PAIR(BgL_arg2074z00_521,
																								BgL_arg2081z00_522);
																						}
																						BgL_arg2031z00_513 =
																							PROCEDURE_ENTRY(BgL_ez00_1135)
																							(BgL_ez00_1135,
																							BgL_arg2061z00_520, BgL_ez00_1135,
																							BEOA);
																					}
																					{	/* Expand/case.scm 255 */
																						obj_t BgL_arg2128z00_531;

																						BgL_arg2128z00_531 =
																							BGl_expandzd2prognzd2zz__prognz00
																							(BgL_bodyz00_438);
																						BgL_arg2038z00_514 =
																							PROCEDURE_ENTRY(BgL_ez00_1135)
																							(BgL_ez00_1135,
																							BgL_arg2128z00_531, BgL_ez00_1135,
																							BEOA);
																					}
																					BgL_arg2042z00_515 =
																						BGl_loopz72z72zzexpand_casez00
																						(BgL_ez00_1135,
																						CDR(BgL_clausesz00_431));
																					{	/* Expand/case.scm 254 */
																						obj_t BgL_list2044z00_517;

																						{	/* Expand/case.scm 254 */
																							obj_t BgL_arg2053z00_518;

																							{	/* Expand/case.scm 254 */
																								obj_t BgL_arg2056z00_519;

																								BgL_arg2056z00_519 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2053z00_518 =
																									MAKE_PAIR(BgL_arg2042z00_515,
																									BgL_arg2056z00_519);
																							}
																							BgL_list2044z00_517 =
																								MAKE_PAIR(BgL_arg2038z00_514,
																								BgL_arg2053z00_518);
																						}
																						BgL_arg2030z00_512 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2031z00_513,
																							BgL_list2044z00_517);
																				}}
																				return
																					MAKE_PAIR(BgL_arg2019z00_511,
																					BgL_arg2030z00_512);
																			}
																	}
															}
														else
															{	/* Expand/case.scm 238 */
																if (NULLP(CDR(BgL_carzd21613zd2_448)))
																	{	/* Expand/case.scm 238 */
																		BgL_datumz00_440 =
																			CAR(BgL_carzd21613zd2_448);
																		BgL_bodyz00_441 = CDR(BgL_ezd21597zd2_443);
																		if (NULLP(BgL_bodyz00_441))
																			{	/* Expand/case.scm 258 */
																				return
																					BGl_errorz00zz__errorz00
																					(BGl_string2640z00zzexpand_casez00,
																					BGl_string2643z00zzexpand_casez00,
																					CAR(BgL_clausesz00_431));
																			}
																		else
																			{	/* Expand/case.scm 260 */
																				obj_t BgL_arg2174z00_539;

																				obj_t BgL_arg2180z00_540;

																				BgL_arg2174z00_539 =
																					CNST_TABLE_REF(((long) 12));
																				{	/* Expand/case.scm 260 */
																					obj_t BgL_arg2187z00_541;

																					obj_t BgL_arg2193z00_542;

																					obj_t BgL_arg2200z00_543;

																					{	/* Expand/case.scm 260 */
																						obj_t BgL_arg2233z00_548;

																						{	/* Expand/case.scm 260 */
																							obj_t BgL_arg2240z00_549;

																							obj_t BgL_arg2246z00_550;

																							BgL_arg2240z00_549 =
																								CNST_TABLE_REF(((long) 16));
																							{	/* Expand/case.scm 260 */
																								obj_t BgL_arg2259z00_551;

																								obj_t BgL_arg2261z00_552;

																								BgL_arg2259z00_551 =
																									CNST_TABLE_REF(((long) 15));
																								{	/* Expand/case.scm 260 */
																									obj_t BgL_arg2275z00_556;

																									obj_t BgL_arg2281z00_557;

																									BgL_arg2275z00_556 =
																										CNST_TABLE_REF(((long) 17));
																									{	/* Expand/case.scm 260 */
																										obj_t BgL_list2282z00_558;

																										BgL_list2282z00_558 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2281z00_557 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_datumz00_440,
																											BgL_list2282z00_558);
																									}
																									BgL_arg2261z00_552 =
																										MAKE_PAIR
																										(BgL_arg2275z00_556,
																										BgL_arg2281z00_557);
																								}
																								{	/* Expand/case.scm 260 */
																									obj_t BgL_list2267z00_554;

																									{	/* Expand/case.scm 260 */
																										obj_t BgL_arg2273z00_555;

																										BgL_arg2273z00_555 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_list2267z00_554 =
																											MAKE_PAIR
																											(BgL_arg2261z00_552,
																											BgL_arg2273z00_555);
																									}
																									BgL_arg2246z00_550 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2259z00_551,
																										BgL_list2267z00_554);
																							}}
																							BgL_arg2233z00_548 =
																								MAKE_PAIR(BgL_arg2240z00_549,
																								BgL_arg2246z00_550);
																						}
																						BgL_arg2187z00_541 =
																							PROCEDURE_ENTRY(BgL_ez00_1135)
																							(BgL_ez00_1135,
																							BgL_arg2233z00_548, BgL_ez00_1135,
																							BEOA);
																					}
																					{	/* Expand/case.scm 261 */
																						obj_t BgL_arg2295z00_559;

																						BgL_arg2295z00_559 =
																							BGl_expandzd2prognzd2zz__prognz00
																							(BgL_bodyz00_441);
																						BgL_arg2193z00_542 =
																							PROCEDURE_ENTRY(BgL_ez00_1135)
																							(BgL_ez00_1135,
																							BgL_arg2295z00_559, BgL_ez00_1135,
																							BEOA);
																					}
																					BgL_arg2200z00_543 =
																						BGl_loopz72z72zzexpand_casez00
																						(BgL_ez00_1135,
																						CDR(BgL_clausesz00_431));
																					{	/* Expand/case.scm 260 */
																						obj_t BgL_list2207z00_545;

																						{	/* Expand/case.scm 260 */
																							obj_t BgL_arg2219z00_546;

																							{	/* Expand/case.scm 260 */
																								obj_t BgL_arg2226z00_547;

																								BgL_arg2226z00_547 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2219z00_546 =
																									MAKE_PAIR(BgL_arg2200z00_543,
																									BgL_arg2226z00_547);
																							}
																							BgL_list2207z00_545 =
																								MAKE_PAIR(BgL_arg2193z00_542,
																								BgL_arg2219z00_546);
																						}
																						BgL_arg2180z00_540 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2187z00_541,
																							BgL_list2207z00_545);
																				}}
																				return
																					MAKE_PAIR(BgL_arg2174z00_539,
																					BgL_arg2180z00_540);
																			}
																	}
																else
																	{	/* Expand/case.scm 238 */
																		return BFALSE;
																	}
															}
													}
												else
													{	/* Expand/case.scm 238 */
														return BFALSE;
													}
											}
									}
								else
									{	/* Expand/case.scm 238 */
										return BFALSE;
									}
							}
					}
				}
		}
	}



/* type-test */
	obj_t BGl_typezd2testzd2zzexpand_casez00(obj_t BgL_auxz00_23,
		obj_t BgL_typez00_24, obj_t BgL_valuez00_25, obj_t BgL_casezd2formzd2_26,
		obj_t BgL_elsezd2bodyzd2_27, obj_t BgL_elsezd2namezd2_28, obj_t BgL_ez00_29)
	{
		AN_OBJECT;
		{	/* Expand/case.scm 267 */
			if ((BgL_typez00_24 == CNST_TABLE_REF(((long) 2))))
				{	/* Expand/case.scm 270 */
					obj_t BgL_arg2302z00_563;

					obj_t BgL_arg2303z00_564;

					BgL_arg2302z00_563 = CNST_TABLE_REF(((long) 21));
					{	/* Expand/case.scm 270 */
						obj_t BgL_arg2304z00_565;

						obj_t BgL_arg2305z00_566;

						{	/* Expand/case.scm 270 */
							obj_t BgL_arg2309z00_570;

							{	/* Expand/case.scm 270 */
								obj_t BgL_arg2312z00_572;

								{	/* Expand/case.scm 270 */
									obj_t BgL_arg2314z00_574;

									BgL_arg2314z00_574 =
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
										(BgL_elsezd2bodyzd2_27, BNIL);
									{	/* Expand/case.scm 270 */
										obj_t BgL_list2315z00_575;

										BgL_list2315z00_575 = MAKE_PAIR(BgL_arg2314z00_574, BNIL);
										BgL_arg2312z00_572 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BNIL,
											BgL_list2315z00_575);
								}}
								BgL_arg2309z00_570 =
									MAKE_PAIR(BgL_elsezd2namezd2_28, BgL_arg2312z00_572);
							}
							BgL_arg2304z00_565 = MAKE_PAIR(BgL_arg2309z00_570, BNIL);
						}
						{	/* Expand/case.scm 271 */
							obj_t BgL_arg2318z00_576;

							obj_t BgL_arg2330z00_577;

							BgL_arg2318z00_576 = CNST_TABLE_REF(((long) 11));
							{	/* Expand/case.scm 271 */
								obj_t BgL_arg2331z00_578;

								obj_t BgL_arg2332z00_579;

								{	/* Expand/case.scm 271 */
									obj_t BgL_arg2339z00_583;

									{	/* Expand/case.scm 271 */
										obj_t BgL_arg2347z00_585;

										{	/* Expand/case.scm 271 */
											obj_t BgL_arg2353z00_586;

											BgL_arg2353z00_586 =
												PROCEDURE_ENTRY(BgL_ez00_29) (BgL_ez00_29,
												BgL_valuez00_25, BgL_ez00_29, BEOA);
											{	/* Expand/case.scm 271 */
												obj_t BgL_list2367z00_588;

												BgL_list2367z00_588 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg2347z00_585 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg2353z00_586, BgL_list2367z00_588);
										}}
										BgL_arg2339z00_583 =
											MAKE_PAIR(BgL_auxz00_23, BgL_arg2347z00_585);
									}
									BgL_arg2331z00_578 = MAKE_PAIR(BgL_arg2339z00_583, BNIL);
								}
								{	/* Expand/case.scm 272 */
									obj_t BgL_arg2373z00_589;

									obj_t BgL_arg2374z00_590;

									BgL_arg2373z00_589 = CNST_TABLE_REF(((long) 12));
									{	/* Expand/case.scm 272 */
										obj_t BgL_arg2375z00_591;

										obj_t BgL_arg2387z00_592;

										{	/* Expand/case.scm 272 */
											obj_t BgL_arg2397z00_597;

											obj_t BgL_arg2398z00_598;

											BgL_arg2397z00_597 = CNST_TABLE_REF(((long) 22));
											{	/* Expand/case.scm 272 */
												obj_t BgL_list2399z00_599;

												BgL_list2399z00_599 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg2398z00_598 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_auxz00_23, BgL_list2399z00_599);
											}
											BgL_arg2375z00_591 =
												MAKE_PAIR(BgL_arg2397z00_597, BgL_arg2398z00_598);
										}
										BgL_arg2387z00_592 = MAKE_PAIR(BgL_elsezd2namezd2_28, BNIL);
										{	/* Expand/case.scm 272 */
											obj_t BgL_list2394z00_594;

											{	/* Expand/case.scm 272 */
												obj_t BgL_arg2395z00_595;

												{	/* Expand/case.scm 272 */
													obj_t BgL_arg2396z00_596;

													BgL_arg2396z00_596 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg2395z00_595 =
														MAKE_PAIR(BgL_arg2387z00_592, BgL_arg2396z00_596);
												}
												BgL_list2394z00_594 =
													MAKE_PAIR(BgL_casezd2formzd2_26, BgL_arg2395z00_595);
											}
											BgL_arg2374z00_590 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg2375z00_591, BgL_list2394z00_594);
									}}
									BgL_arg2332z00_579 =
										MAKE_PAIR(BgL_arg2373z00_589, BgL_arg2374z00_590);
								}
								{	/* Expand/case.scm 271 */
									obj_t BgL_list2334z00_581;

									{	/* Expand/case.scm 271 */
										obj_t BgL_arg2335z00_582;

										BgL_arg2335z00_582 = MAKE_PAIR(BNIL, BNIL);
										BgL_list2334z00_581 =
											MAKE_PAIR(BgL_arg2332z00_579, BgL_arg2335z00_582);
									}
									BgL_arg2330z00_577 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg2331z00_578, BgL_list2334z00_581);
							}}
							BgL_arg2305z00_566 =
								MAKE_PAIR(BgL_arg2318z00_576, BgL_arg2330z00_577);
						}
						{	/* Expand/case.scm 270 */
							obj_t BgL_list2307z00_568;

							{	/* Expand/case.scm 270 */
								obj_t BgL_arg2308z00_569;

								BgL_arg2308z00_569 = MAKE_PAIR(BNIL, BNIL);
								BgL_list2307z00_568 =
									MAKE_PAIR(BgL_arg2305z00_566, BgL_arg2308z00_569);
							}
							BgL_arg2303z00_564 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg2304z00_565,
								BgL_list2307z00_568);
					}}
					return MAKE_PAIR(BgL_arg2302z00_563, BgL_arg2303z00_564);
				}
			else
				{	/* Expand/case.scm 269 */
					if ((BgL_typez00_24 == CNST_TABLE_REF(((long) 1))))
						{	/* Expand/case.scm 276 */
							obj_t BgL_arg2401z00_601;

							obj_t BgL_arg2402z00_602;

							BgL_arg2401z00_601 = CNST_TABLE_REF(((long) 21));
							{	/* Expand/case.scm 276 */
								obj_t BgL_arg2403z00_603;

								obj_t BgL_arg2404z00_604;

								{	/* Expand/case.scm 276 */
									obj_t BgL_arg2408z00_608;

									{	/* Expand/case.scm 276 */
										obj_t BgL_arg2410z00_610;

										{	/* Expand/case.scm 276 */
											obj_t BgL_arg2412z00_612;

											BgL_arg2412z00_612 =
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_elsezd2bodyzd2_27, BNIL);
											{	/* Expand/case.scm 276 */
												obj_t BgL_list2413z00_613;

												BgL_list2413z00_613 =
													MAKE_PAIR(BgL_arg2412z00_612, BNIL);
												BgL_arg2410z00_610 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BNIL,
													BgL_list2413z00_613);
										}}
										BgL_arg2408z00_608 =
											MAKE_PAIR(BgL_elsezd2namezd2_28, BgL_arg2410z00_610);
									}
									BgL_arg2403z00_603 = MAKE_PAIR(BgL_arg2408z00_608, BNIL);
								}
								{	/* Expand/case.scm 277 */
									obj_t BgL_arg2414z00_614;

									obj_t BgL_arg2415z00_615;

									BgL_arg2414z00_614 = CNST_TABLE_REF(((long) 11));
									{	/* Expand/case.scm 277 */
										obj_t BgL_arg2416z00_616;

										obj_t BgL_arg2417z00_617;

										{	/* Expand/case.scm 277 */
											obj_t BgL_arg2421z00_621;

											{	/* Expand/case.scm 277 */
												obj_t BgL_arg2423z00_623;

												{	/* Expand/case.scm 277 */
													obj_t BgL_arg2424z00_624;

													BgL_arg2424z00_624 =
														PROCEDURE_ENTRY(BgL_ez00_29) (BgL_ez00_29,
														BgL_valuez00_25, BgL_ez00_29, BEOA);
													{	/* Expand/case.scm 277 */
														obj_t BgL_list2426z00_626;

														BgL_list2426z00_626 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg2423z00_623 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2424z00_624, BgL_list2426z00_626);
												}}
												BgL_arg2421z00_621 =
													MAKE_PAIR(BgL_auxz00_23, BgL_arg2423z00_623);
											}
											BgL_arg2416z00_616 = MAKE_PAIR(BgL_arg2421z00_621, BNIL);
										}
										{	/* Expand/case.scm 278 */
											obj_t BgL_arg2427z00_627;

											obj_t BgL_arg2428z00_628;

											BgL_arg2427z00_627 = CNST_TABLE_REF(((long) 12));
											{	/* Expand/case.scm 278 */
												obj_t BgL_arg2429z00_629;

												obj_t BgL_arg2430z00_630;

												{	/* Expand/case.scm 278 */
													obj_t BgL_arg2435z00_635;

													obj_t BgL_arg2436z00_636;

													BgL_arg2435z00_635 = CNST_TABLE_REF(((long) 23));
													{	/* Expand/case.scm 278 */
														obj_t BgL_list2437z00_637;

														BgL_list2437z00_637 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg2436z00_636 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_auxz00_23, BgL_list2437z00_637);
													}
													BgL_arg2429z00_629 =
														MAKE_PAIR(BgL_arg2435z00_635, BgL_arg2436z00_636);
												}
												BgL_arg2430z00_630 =
													MAKE_PAIR(BgL_elsezd2namezd2_28, BNIL);
												{	/* Expand/case.scm 278 */
													obj_t BgL_list2432z00_632;

													{	/* Expand/case.scm 278 */
														obj_t BgL_arg2433z00_633;

														{	/* Expand/case.scm 278 */
															obj_t BgL_arg2434z00_634;

															BgL_arg2434z00_634 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg2433z00_633 =
																MAKE_PAIR(BgL_arg2430z00_630,
																BgL_arg2434z00_634);
														}
														BgL_list2432z00_632 =
															MAKE_PAIR(BgL_casezd2formzd2_26,
															BgL_arg2433z00_633);
													}
													BgL_arg2428z00_628 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2429z00_629, BgL_list2432z00_632);
											}}
											BgL_arg2417z00_617 =
												MAKE_PAIR(BgL_arg2427z00_627, BgL_arg2428z00_628);
										}
										{	/* Expand/case.scm 277 */
											obj_t BgL_list2419z00_619;

											{	/* Expand/case.scm 277 */
												obj_t BgL_arg2420z00_620;

												BgL_arg2420z00_620 = MAKE_PAIR(BNIL, BNIL);
												BgL_list2419z00_619 =
													MAKE_PAIR(BgL_arg2417z00_617, BgL_arg2420z00_620);
											}
											BgL_arg2415z00_615 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg2416z00_616, BgL_list2419z00_619);
									}}
									BgL_arg2404z00_604 =
										MAKE_PAIR(BgL_arg2414z00_614, BgL_arg2415z00_615);
								}
								{	/* Expand/case.scm 276 */
									obj_t BgL_list2406z00_606;

									{	/* Expand/case.scm 276 */
										obj_t BgL_arg2407z00_607;

										BgL_arg2407z00_607 = MAKE_PAIR(BNIL, BNIL);
										BgL_list2406z00_606 =
											MAKE_PAIR(BgL_arg2404z00_604, BgL_arg2407z00_607);
									}
									BgL_arg2402z00_602 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg2403z00_603, BgL_list2406z00_606);
							}}
							return MAKE_PAIR(BgL_arg2401z00_601, BgL_arg2402z00_602);
						}
					else
						{	/* Expand/case.scm 269 */
							if ((BgL_typez00_24 == CNST_TABLE_REF(((long) 4))))
								{	/* Expand/case.scm 282 */
									obj_t BgL_arg2439z00_639;

									obj_t BgL_arg2440z00_640;

									BgL_arg2439z00_639 = CNST_TABLE_REF(((long) 21));
									{	/* Expand/case.scm 282 */
										obj_t BgL_arg2441z00_641;

										obj_t BgL_arg2442z00_642;

										{	/* Expand/case.scm 282 */
											obj_t BgL_arg2446z00_646;

											{	/* Expand/case.scm 282 */
												obj_t BgL_arg2448z00_648;

												{	/* Expand/case.scm 282 */
													obj_t BgL_arg2450z00_650;

													BgL_arg2450z00_650 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_elsezd2bodyzd2_27, BNIL);
													{	/* Expand/case.scm 282 */
														obj_t BgL_list2451z00_651;

														BgL_list2451z00_651 =
															MAKE_PAIR(BgL_arg2450z00_650, BNIL);
														BgL_arg2448z00_648 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BNIL,
															BgL_list2451z00_651);
												}}
												BgL_arg2446z00_646 =
													MAKE_PAIR(BgL_elsezd2namezd2_28, BgL_arg2448z00_648);
											}
											BgL_arg2441z00_641 = MAKE_PAIR(BgL_arg2446z00_646, BNIL);
										}
										{	/* Expand/case.scm 283 */
											obj_t BgL_arg2452z00_652;

											obj_t BgL_arg2453z00_653;

											BgL_arg2452z00_652 = CNST_TABLE_REF(((long) 11));
											{	/* Expand/case.scm 283 */
												obj_t BgL_arg2454z00_654;

												obj_t BgL_arg2455z00_655;

												{	/* Expand/case.scm 283 */
													obj_t BgL_arg2459z00_659;

													{	/* Expand/case.scm 283 */
														obj_t BgL_arg2461z00_661;

														{	/* Expand/case.scm 283 */
															obj_t BgL_arg2462z00_662;

															BgL_arg2462z00_662 =
																PROCEDURE_ENTRY(BgL_ez00_29) (BgL_ez00_29,
																BgL_valuez00_25, BgL_ez00_29, BEOA);
															{	/* Expand/case.scm 283 */
																obj_t BgL_list2464z00_664;

																BgL_list2464z00_664 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg2461z00_661 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg2462z00_662, BgL_list2464z00_664);
														}}
														BgL_arg2459z00_659 =
															MAKE_PAIR(BgL_auxz00_23, BgL_arg2461z00_661);
													}
													BgL_arg2454z00_654 =
														MAKE_PAIR(BgL_arg2459z00_659, BNIL);
												}
												{	/* Expand/case.scm 284 */
													obj_t BgL_arg2465z00_665;

													obj_t BgL_arg2466z00_666;

													BgL_arg2465z00_665 = CNST_TABLE_REF(((long) 12));
													{	/* Expand/case.scm 284 */
														obj_t BgL_arg2467z00_667;

														obj_t BgL_arg2468z00_668;

														{	/* Expand/case.scm 284 */
															obj_t BgL_arg2473z00_673;

															obj_t BgL_arg2475z00_674;

															BgL_arg2473z00_673 = CNST_TABLE_REF(((long) 24));
															{	/* Expand/case.scm 284 */
																obj_t BgL_list2476z00_675;

																BgL_list2476z00_675 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg2475z00_674 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_auxz00_23, BgL_list2476z00_675);
															}
															BgL_arg2467z00_667 =
																MAKE_PAIR(BgL_arg2473z00_673,
																BgL_arg2475z00_674);
														}
														BgL_arg2468z00_668 =
															MAKE_PAIR(BgL_elsezd2namezd2_28, BNIL);
														{	/* Expand/case.scm 284 */
															obj_t BgL_list2470z00_670;

															{	/* Expand/case.scm 284 */
																obj_t BgL_arg2471z00_671;

																{	/* Expand/case.scm 284 */
																	obj_t BgL_arg2472z00_672;

																	BgL_arg2472z00_672 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg2471z00_671 =
																		MAKE_PAIR(BgL_arg2468z00_668,
																		BgL_arg2472z00_672);
																}
																BgL_list2470z00_670 =
																	MAKE_PAIR(BgL_casezd2formzd2_26,
																	BgL_arg2471z00_671);
															}
															BgL_arg2466z00_666 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2467z00_667, BgL_list2470z00_670);
													}}
													BgL_arg2455z00_655 =
														MAKE_PAIR(BgL_arg2465z00_665, BgL_arg2466z00_666);
												}
												{	/* Expand/case.scm 283 */
													obj_t BgL_list2457z00_657;

													{	/* Expand/case.scm 283 */
														obj_t BgL_arg2458z00_658;

														BgL_arg2458z00_658 = MAKE_PAIR(BNIL, BNIL);
														BgL_list2457z00_657 =
															MAKE_PAIR(BgL_arg2455z00_655, BgL_arg2458z00_658);
													}
													BgL_arg2453z00_653 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2454z00_654, BgL_list2457z00_657);
											}}
											BgL_arg2442z00_642 =
												MAKE_PAIR(BgL_arg2452z00_652, BgL_arg2453z00_653);
										}
										{	/* Expand/case.scm 282 */
											obj_t BgL_list2444z00_644;

											{	/* Expand/case.scm 282 */
												obj_t BgL_arg2445z00_645;

												BgL_arg2445z00_645 = MAKE_PAIR(BNIL, BNIL);
												BgL_list2444z00_644 =
													MAKE_PAIR(BgL_arg2442z00_642, BgL_arg2445z00_645);
											}
											BgL_arg2440z00_640 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg2441z00_641, BgL_list2444z00_644);
									}}
									return MAKE_PAIR(BgL_arg2439z00_639, BgL_arg2440z00_640);
								}
							else
								{	/* Expand/case.scm 269 */
									if ((BgL_typez00_24 == CNST_TABLE_REF(((long) 5))))
										{	/* Expand/case.scm 288 */
											obj_t BgL_arg2478z00_677;

											obj_t BgL_arg2479z00_678;

											BgL_arg2478z00_677 = CNST_TABLE_REF(((long) 21));
											{	/* Expand/case.scm 288 */
												obj_t BgL_arg2481z00_679;

												obj_t BgL_arg2482z00_680;

												{	/* Expand/case.scm 288 */
													obj_t BgL_arg2486z00_684;

													{	/* Expand/case.scm 288 */
														obj_t BgL_arg2488z00_686;

														{	/* Expand/case.scm 288 */
															obj_t BgL_arg2490z00_688;

															BgL_arg2490z00_688 =
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																(BgL_elsezd2bodyzd2_27, BNIL);
															{	/* Expand/case.scm 288 */
																obj_t BgL_list2491z00_689;

																BgL_list2491z00_689 =
																	MAKE_PAIR(BgL_arg2490z00_688, BNIL);
																BgL_arg2488z00_686 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BNIL, BgL_list2491z00_689);
														}}
														BgL_arg2486z00_684 =
															MAKE_PAIR(BgL_elsezd2namezd2_28,
															BgL_arg2488z00_686);
													}
													BgL_arg2481z00_679 =
														MAKE_PAIR(BgL_arg2486z00_684, BNIL);
												}
												{	/* Expand/case.scm 289 */
													obj_t BgL_arg2492z00_690;

													obj_t BgL_arg2493z00_691;

													BgL_arg2492z00_690 = CNST_TABLE_REF(((long) 11));
													{	/* Expand/case.scm 289 */
														obj_t BgL_arg2494z00_692;

														obj_t BgL_arg2495z00_693;

														{	/* Expand/case.scm 289 */
															obj_t BgL_arg2499z00_697;

															{	/* Expand/case.scm 289 */
																obj_t BgL_arg2502z00_699;

																{	/* Expand/case.scm 289 */
																	obj_t BgL_arg2503z00_700;

																	BgL_arg2503z00_700 =
																		PROCEDURE_ENTRY(BgL_ez00_29) (BgL_ez00_29,
																		BgL_valuez00_25, BgL_ez00_29, BEOA);
																	{	/* Expand/case.scm 289 */
																		obj_t BgL_list2505z00_702;

																		BgL_list2505z00_702 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg2502z00_699 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2503z00_700, BgL_list2505z00_702);
																}}
																BgL_arg2499z00_697 =
																	MAKE_PAIR(BgL_auxz00_23, BgL_arg2502z00_699);
															}
															BgL_arg2494z00_692 =
																MAKE_PAIR(BgL_arg2499z00_697, BNIL);
														}
														{	/* Expand/case.scm 290 */
															obj_t BgL_arg2506z00_703;

															obj_t BgL_arg2507z00_704;

															BgL_arg2506z00_703 = CNST_TABLE_REF(((long) 12));
															{	/* Expand/case.scm 290 */
																obj_t BgL_arg2508z00_705;

																obj_t BgL_arg2509z00_706;

																{	/* Expand/case.scm 290 */
																	obj_t BgL_arg2514z00_711;

																	obj_t BgL_arg2515z00_712;

																	BgL_arg2514z00_711 =
																		CNST_TABLE_REF(((long) 25));
																	{	/* Expand/case.scm 290 */
																		obj_t BgL_list2516z00_713;

																		BgL_list2516z00_713 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg2515z00_712 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_auxz00_23, BgL_list2516z00_713);
																	}
																	BgL_arg2508z00_705 =
																		MAKE_PAIR(BgL_arg2514z00_711,
																		BgL_arg2515z00_712);
																}
																BgL_arg2509z00_706 =
																	MAKE_PAIR(BgL_elsezd2namezd2_28, BNIL);
																{	/* Expand/case.scm 290 */
																	obj_t BgL_list2511z00_708;

																	{	/* Expand/case.scm 290 */
																		obj_t BgL_arg2512z00_709;

																		{	/* Expand/case.scm 290 */
																			obj_t BgL_arg2513z00_710;

																			BgL_arg2513z00_710 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2512z00_709 =
																				MAKE_PAIR(BgL_arg2509z00_706,
																				BgL_arg2513z00_710);
																		}
																		BgL_list2511z00_708 =
																			MAKE_PAIR(BgL_casezd2formzd2_26,
																			BgL_arg2512z00_709);
																	}
																	BgL_arg2507z00_704 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2508z00_705, BgL_list2511z00_708);
															}}
															BgL_arg2495z00_693 =
																MAKE_PAIR(BgL_arg2506z00_703,
																BgL_arg2507z00_704);
														}
														{	/* Expand/case.scm 289 */
															obj_t BgL_list2497z00_695;

															{	/* Expand/case.scm 289 */
																obj_t BgL_arg2498z00_696;

																BgL_arg2498z00_696 = MAKE_PAIR(BNIL, BNIL);
																BgL_list2497z00_695 =
																	MAKE_PAIR(BgL_arg2495z00_693,
																	BgL_arg2498z00_696);
															}
															BgL_arg2493z00_691 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2494z00_692, BgL_list2497z00_695);
													}}
													BgL_arg2482z00_680 =
														MAKE_PAIR(BgL_arg2492z00_690, BgL_arg2493z00_691);
												}
												{	/* Expand/case.scm 288 */
													obj_t BgL_list2484z00_682;

													{	/* Expand/case.scm 288 */
														obj_t BgL_arg2485z00_683;

														BgL_arg2485z00_683 = MAKE_PAIR(BNIL, BNIL);
														BgL_list2484z00_682 =
															MAKE_PAIR(BgL_arg2482z00_680, BgL_arg2485z00_683);
													}
													BgL_arg2479z00_678 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2481z00_679, BgL_list2484z00_682);
											}}
											return MAKE_PAIR(BgL_arg2478z00_677, BgL_arg2479z00_678);
										}
									else
										{	/* Expand/case.scm 269 */
											return
												BGl_errorz00zz__errorz00
												(BGl_string2644z00zzexpand_casez00,
												BGl_string2645z00zzexpand_casez00, BgL_typez00_24);
										}
								}
						}
				}
		}
	}



/* do-generic-case */
	obj_t BGl_dozd2genericzd2casez00zzexpand_casez00(obj_t BgL_valuez00_30,
		obj_t BgL_clausesz00_31, obj_t BgL_ez00_32)
	{
		AN_OBJECT;
		{	/* Expand/case.scm 300 */
			{	/* Expand/case.scm 301 */
				obj_t BgL_arg2517z00_714;

				{	/* Expand/case.scm 301 */
					obj_t BgL_arg2518z00_715;

					obj_t BgL_arg2520z00_716;

					BgL_arg2518z00_715 = CNST_TABLE_REF(((long) 11));
					{	/* Expand/case.scm 301 */
						obj_t BgL_arg2521z00_717;

						obj_t BgL_arg2522z00_718;

						{	/* Expand/case.scm 301 */
							obj_t BgL_arg2526z00_722;

							{	/* Expand/case.scm 301 */
								obj_t BgL_arg2528z00_724;

								obj_t BgL_arg2529z00_725;

								BgL_arg2528z00_724 = CNST_TABLE_REF(((long) 15));
								{	/* Expand/case.scm 301 */
									obj_t BgL_list2530z00_726;

									BgL_list2530z00_726 = MAKE_PAIR(BNIL, BNIL);
									BgL_arg2529z00_725 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_valuez00_30,
										BgL_list2530z00_726);
								}
								BgL_arg2526z00_722 =
									MAKE_PAIR(BgL_arg2528z00_724, BgL_arg2529z00_725);
							}
							BgL_arg2521z00_717 = MAKE_PAIR(BgL_arg2526z00_722, BNIL);
						}
						BgL_arg2522z00_718 = BGl_loopz00zzexpand_casez00(BgL_clausesz00_31);
						{	/* Expand/case.scm 301 */
							obj_t BgL_list2524z00_720;

							{	/* Expand/case.scm 301 */
								obj_t BgL_arg2525z00_721;

								BgL_arg2525z00_721 = MAKE_PAIR(BNIL, BNIL);
								BgL_list2524z00_720 =
									MAKE_PAIR(BgL_arg2522z00_718, BgL_arg2525z00_721);
							}
							BgL_arg2520z00_716 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg2521z00_717,
								BgL_list2524z00_720);
					}}
					BgL_arg2517z00_714 =
						MAKE_PAIR(BgL_arg2518z00_715, BgL_arg2520z00_716);
				}
				return
					PROCEDURE_ENTRY(BgL_ez00_32) (BgL_ez00_32, BgL_arg2517z00_714,
					BgL_ez00_32, BEOA);
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zzexpand_casez00(obj_t BgL_clausesz00_727)
	{
		AN_OBJECT;
		{	/* Expand/case.scm 302 */
			if (NULLP(BgL_clausesz00_727))
				{	/* Expand/case.scm 303 */
					return BUNSPEC;
				}
			else
				{
					obj_t BgL_datumsz00_733;

					obj_t BgL_bodyz00_734;

					obj_t BgL_datumz00_736;

					obj_t BgL_bodyz00_737;

					{	/* Expand/case.scm 305 */
						obj_t BgL_ezd21657zd2_739;

						BgL_ezd21657zd2_739 = CAR(BgL_clausesz00_727);
						if (NULLP(BgL_ezd21657zd2_739))
							{	/* Expand/case.scm 305 */
								return BUNSPEC;
							}
						else
							{	/* Expand/case.scm 305 */
								if (PAIRP(BgL_ezd21657zd2_739))
									{	/* Expand/case.scm 305 */
										if (
											(CAR(BgL_ezd21657zd2_739) == CNST_TABLE_REF(((long) 9))))
											{	/* Expand/case.scm 305 */
												obj_t BgL_arg2535z00_743;

												BgL_arg2535z00_743 = CDR(BgL_ezd21657zd2_739);
												if (NULLP(BgL_arg2535z00_743))
													{	/* Expand/case.scm 305 */
														return BFALSE;
													}
												else
													{	/* Expand/case.scm 305 */
														return
															BGl_expandzd2prognzd2zz__prognz00
															(BgL_arg2535z00_743);
													}
											}
										else
											{	/* Expand/case.scm 305 */
												obj_t BgL_carzd21673zd2_744;

												BgL_carzd21673zd2_744 = CAR(BgL_ezd21657zd2_739);
												if (PAIRP(BgL_carzd21673zd2_744))
													{	/* Expand/case.scm 305 */
														bool_t BgL_testz00_1800;

														{	/* Expand/case.scm 305 */
															obj_t BgL_auxz00_1801;

															BgL_auxz00_1801 = CDR(BgL_carzd21673zd2_744);
															BgL_testz00_1800 = PAIRP(BgL_auxz00_1801);
														}
														if (BgL_testz00_1800)
															{	/* Expand/case.scm 305 */
																BgL_datumsz00_733 = BgL_carzd21673zd2_744;
																BgL_bodyz00_734 = CDR(BgL_ezd21657zd2_739);
																if (NULLP(BgL_bodyz00_734))
																	{	/* Expand/case.scm 314 */
																		return
																			BGl_errorz00zz__errorz00
																			(BGl_string2640z00zzexpand_casez00,
																			BGl_string2643z00zzexpand_casez00,
																			CAR(BgL_clausesz00_727));
																	}
																else
																	{	/* Expand/case.scm 316 */
																		bool_t BgL_testz00_1808;

																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_datumsz00_733))
																			{	/* Expand/case.scm 316 */
																				BgL_testz00_1808 =
																					(bgl_list_length(BgL_datumsz00_733) <
																					((long) 10));
																			}
																		else
																			{	/* Expand/case.scm 316 */
																				BgL_testz00_1808 = ((bool_t) 0);
																			}
																		if (BgL_testz00_1808)
																			{	/* Expand/case.scm 318 */
																				obj_t BgL_arg2559z00_768;

																				obj_t BgL_arg2560z00_769;

																				BgL_arg2559z00_768 =
																					CNST_TABLE_REF(((long) 12));
																				{	/* Expand/case.scm 318 */
																					obj_t BgL_arg2561z00_770;

																					obj_t BgL_arg2562z00_771;

																					obj_t BgL_arg2563z00_772;

																					{	/* Expand/case.scm 318 */
																						obj_t BgL_arg2568z00_777;

																						obj_t BgL_arg2569z00_778;

																						BgL_arg2568z00_777 =
																							CNST_TABLE_REF(((long) 18));
																						{	/* Expand/case.scm 318 */
																							obj_t BgL_arg2570z00_779;

																							if (NULLP(BgL_datumsz00_733))
																								{	/* Expand/case.scm 318 */
																									BgL_arg2570z00_779 = BNIL;
																								}
																							else
																								{	/* Expand/case.scm 318 */
																									obj_t BgL_head1511z00_783;

																									BgL_head1511z00_783 =
																										MAKE_PAIR(BNIL, BNIL);
																									{
																										obj_t BgL_l1509z00_784;

																										obj_t BgL_tail1512z00_785;

																										BgL_l1509z00_784 =
																											BgL_datumsz00_733;
																										BgL_tail1512z00_785 =
																											BgL_head1511z00_783;
																									BgL_map1510z00_786:
																										if (NULLP(BgL_l1509z00_784))
																											{	/* Expand/case.scm 318 */
																												BgL_arg2570z00_779 =
																													CDR
																													(BgL_head1511z00_783);
																											}
																										else
																											{	/* Expand/case.scm 318 */
																												obj_t
																													BgL_newtail1513z00_788;
																												{	/* Expand/case.scm 318 */
																													obj_t
																														BgL_arg2575z00_790;
																													{	/* Expand/case.scm 318 */
																														obj_t BgL_dz00_792;

																														BgL_dz00_792 =
																															CAR
																															(BgL_l1509z00_784);
																														{	/* Expand/case.scm 318 */
																															obj_t
																																BgL_arg2577z00_793;
																															obj_t
																																BgL_arg2578z00_794;
																															BgL_arg2577z00_793
																																=
																																CNST_TABLE_REF((
																																	(long) 16));
																															{	/* Expand/case.scm 318 */
																																obj_t
																																	BgL_arg2579z00_795;
																																obj_t
																																	BgL_arg2580z00_796;
																																BgL_arg2579z00_795
																																	=
																																	CNST_TABLE_REF
																																	(((long) 15));
																																{	/* Expand/case.scm 318 */
																																	obj_t
																																		BgL_arg2584z00_800;
																																	obj_t
																																		BgL_arg2585z00_801;
																																	BgL_arg2584z00_800
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			17));
																																	{	/* Expand/case.scm 318 */
																																		obj_t
																																			BgL_list2586z00_802;
																																		BgL_list2586z00_802
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg2585z00_801
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_dz00_792,
																																			BgL_list2586z00_802);
																																	}
																																	BgL_arg2580z00_796
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2584z00_800,
																																		BgL_arg2585z00_801);
																																}
																																{	/* Expand/case.scm 318 */
																																	obj_t
																																		BgL_list2582z00_798;
																																	{	/* Expand/case.scm 318 */
																																		obj_t
																																			BgL_arg2583z00_799;
																																		BgL_arg2583z00_799
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_list2582z00_798
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2580z00_796,
																																			BgL_arg2583z00_799);
																																	}
																																	BgL_arg2578z00_794
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_arg2579z00_795,
																																		BgL_list2582z00_798);
																															}}
																															BgL_arg2575z00_790
																																=
																																MAKE_PAIR
																																(BgL_arg2577z00_793,
																																BgL_arg2578z00_794);
																													}}
																													BgL_newtail1513z00_788
																														=
																														MAKE_PAIR
																														(BgL_arg2575z00_790,
																														BNIL);
																												}
																												SET_CDR
																													(BgL_tail1512z00_785,
																													BgL_newtail1513z00_788);
																												{
																													obj_t
																														BgL_tail1512z00_1836;
																													obj_t
																														BgL_l1509z00_1834;
																													BgL_l1509z00_1834 =
																														CDR
																														(BgL_l1509z00_784);
																													BgL_tail1512z00_1836 =
																														BgL_newtail1513z00_788;
																													BgL_tail1512z00_785 =
																														BgL_tail1512z00_1836;
																													BgL_l1509z00_784 =
																														BgL_l1509z00_1834;
																													goto
																														BgL_map1510z00_786;
																												}
																											}
																									}
																								}
																							BgL_arg2569z00_778 =
																								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg2570z00_779, BNIL);
																						}
																						BgL_arg2561z00_770 =
																							MAKE_PAIR(BgL_arg2568z00_777,
																							BgL_arg2569z00_778);
																					}
																					BgL_arg2562z00_771 =
																						BGl_expandzd2prognzd2zz__prognz00
																						(BgL_bodyz00_734);
																					BgL_arg2563z00_772 =
																						BGl_loopz00zzexpand_casez00(CDR
																						(BgL_clausesz00_727));
																					{	/* Expand/case.scm 318 */
																						obj_t BgL_list2565z00_774;

																						{	/* Expand/case.scm 318 */
																							obj_t BgL_arg2566z00_775;

																							{	/* Expand/case.scm 318 */
																								obj_t BgL_arg2567z00_776;

																								BgL_arg2567z00_776 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2566z00_775 =
																									MAKE_PAIR(BgL_arg2563z00_772,
																									BgL_arg2567z00_776);
																							}
																							BgL_list2565z00_774 =
																								MAKE_PAIR(BgL_arg2562z00_771,
																								BgL_arg2566z00_775);
																						}
																						BgL_arg2560z00_769 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2561z00_770,
																							BgL_list2565z00_774);
																					}
																				}
																				return
																					MAKE_PAIR(BgL_arg2559z00_768,
																					BgL_arg2560z00_769);
																			}
																		else
																			{	/* Expand/case.scm 322 */
																				obj_t BgL_arg2588z00_804;

																				obj_t BgL_arg2589z00_805;

																				BgL_arg2588z00_804 =
																					CNST_TABLE_REF(((long) 12));
																				{	/* Expand/case.scm 322 */
																					obj_t BgL_arg2591z00_806;

																					obj_t BgL_arg2592z00_807;

																					obj_t BgL_arg2593z00_808;

																					{	/* Expand/case.scm 322 */
																						obj_t BgL_arg2598z00_813;

																						obj_t BgL_arg2599z00_814;

																						BgL_arg2598z00_813 =
																							CNST_TABLE_REF(((long) 20));
																						{	/* Expand/case.scm 322 */
																							obj_t BgL_arg2600z00_815;

																							obj_t BgL_arg2601z00_816;

																							BgL_arg2600z00_815 =
																								CNST_TABLE_REF(((long) 15));
																							{	/* Expand/case.scm 322 */
																								obj_t BgL_arg2606z00_820;

																								obj_t BgL_arg2607z00_821;

																								BgL_arg2606z00_820 =
																									CNST_TABLE_REF(((long) 17));
																								{	/* Expand/case.scm 322 */
																									obj_t BgL_list2608z00_822;

																									BgL_list2608z00_822 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg2607z00_821 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_datumsz00_733,
																										BgL_list2608z00_822);
																								}
																								BgL_arg2601z00_816 =
																									MAKE_PAIR(BgL_arg2606z00_820,
																									BgL_arg2607z00_821);
																							}
																							{	/* Expand/case.scm 322 */
																								obj_t BgL_list2603z00_818;

																								{	/* Expand/case.scm 322 */
																									obj_t BgL_arg2604z00_819;

																									BgL_arg2604z00_819 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2603z00_818 =
																										MAKE_PAIR
																										(BgL_arg2601z00_816,
																										BgL_arg2604z00_819);
																								}
																								BgL_arg2599z00_814 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2600z00_815,
																									BgL_list2603z00_818);
																						}}
																						BgL_arg2591z00_806 =
																							MAKE_PAIR(BgL_arg2598z00_813,
																							BgL_arg2599z00_814);
																					}
																					BgL_arg2592z00_807 =
																						BGl_expandzd2prognzd2zz__prognz00
																						(BgL_bodyz00_734);
																					BgL_arg2593z00_808 =
																						BGl_loopz00zzexpand_casez00(CDR
																						(BgL_clausesz00_727));
																					{	/* Expand/case.scm 322 */
																						obj_t BgL_list2595z00_810;

																						{	/* Expand/case.scm 322 */
																							obj_t BgL_arg2596z00_811;

																							{	/* Expand/case.scm 322 */
																								obj_t BgL_arg2597z00_812;

																								BgL_arg2597z00_812 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2596z00_811 =
																									MAKE_PAIR(BgL_arg2593z00_808,
																									BgL_arg2597z00_812);
																							}
																							BgL_list2595z00_810 =
																								MAKE_PAIR(BgL_arg2592z00_807,
																								BgL_arg2596z00_811);
																						}
																						BgL_arg2589z00_805 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2591z00_806,
																							BgL_list2595z00_810);
																				}}
																				return
																					MAKE_PAIR(BgL_arg2588z00_804,
																					BgL_arg2589z00_805);
																			}
																	}
															}
														else
															{	/* Expand/case.scm 305 */
																if (NULLP(CDR(BgL_carzd21673zd2_744)))
																	{	/* Expand/case.scm 305 */
																		BgL_datumz00_736 =
																			CAR(BgL_carzd21673zd2_744);
																		BgL_bodyz00_737 = CDR(BgL_ezd21657zd2_739);
																		if (NULLP(BgL_bodyz00_737))
																			{	/* Expand/case.scm 326 */
																				return
																					BGl_errorz00zz__errorz00
																					(BGl_string2640z00zzexpand_casez00,
																					BGl_string2643z00zzexpand_casez00,
																					CAR(BgL_clausesz00_727));
																			}
																		else
																			{	/* Expand/case.scm 328 */
																				obj_t BgL_arg2617z00_831;

																				obj_t BgL_arg2618z00_832;

																				BgL_arg2617z00_831 =
																					CNST_TABLE_REF(((long) 12));
																				{	/* Expand/case.scm 328 */
																					obj_t BgL_arg2619z00_833;

																					obj_t BgL_arg2620z00_834;

																					obj_t BgL_arg2621z00_835;

																					{	/* Expand/case.scm 328 */
																						obj_t BgL_arg2626z00_840;

																						obj_t BgL_arg2627z00_841;

																						BgL_arg2626z00_840 =
																							CNST_TABLE_REF(((long) 16));
																						{	/* Expand/case.scm 328 */
																							obj_t BgL_arg2628z00_842;

																							obj_t BgL_arg2629z00_843;

																							BgL_arg2628z00_842 =
																								CNST_TABLE_REF(((long) 15));
																							{	/* Expand/case.scm 328 */
																								obj_t BgL_arg2633z00_847;

																								obj_t BgL_arg2634z00_848;

																								BgL_arg2633z00_847 =
																									CNST_TABLE_REF(((long) 17));
																								{	/* Expand/case.scm 328 */
																									obj_t BgL_list2635z00_849;

																									BgL_list2635z00_849 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg2634z00_848 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_datumz00_736,
																										BgL_list2635z00_849);
																								}
																								BgL_arg2629z00_843 =
																									MAKE_PAIR(BgL_arg2633z00_847,
																									BgL_arg2634z00_848);
																							}
																							{	/* Expand/case.scm 328 */
																								obj_t BgL_list2631z00_845;

																								{	/* Expand/case.scm 328 */
																									obj_t BgL_arg2632z00_846;

																									BgL_arg2632z00_846 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2631z00_845 =
																										MAKE_PAIR
																										(BgL_arg2629z00_843,
																										BgL_arg2632z00_846);
																								}
																								BgL_arg2627z00_841 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2628z00_842,
																									BgL_list2631z00_845);
																						}}
																						BgL_arg2619z00_833 =
																							MAKE_PAIR(BgL_arg2626z00_840,
																							BgL_arg2627z00_841);
																					}
																					BgL_arg2620z00_834 =
																						BGl_expandzd2prognzd2zz__prognz00
																						(BgL_bodyz00_737);
																					BgL_arg2621z00_835 =
																						BGl_loopz00zzexpand_casez00(CDR
																						(BgL_clausesz00_727));
																					{	/* Expand/case.scm 328 */
																						obj_t BgL_list2623z00_837;

																						{	/* Expand/case.scm 328 */
																							obj_t BgL_arg2624z00_838;

																							{	/* Expand/case.scm 328 */
																								obj_t BgL_arg2625z00_839;

																								BgL_arg2625z00_839 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2624z00_838 =
																									MAKE_PAIR(BgL_arg2621z00_835,
																									BgL_arg2625z00_839);
																							}
																							BgL_list2623z00_837 =
																								MAKE_PAIR(BgL_arg2620z00_834,
																								BgL_arg2624z00_838);
																						}
																						BgL_arg2618z00_832 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2619z00_833,
																							BgL_list2623z00_837);
																				}}
																				return
																					MAKE_PAIR(BgL_arg2617z00_831,
																					BgL_arg2618z00_832);
																			}
																	}
																else
																	{	/* Expand/case.scm 305 */
																		return BFALSE;
																	}
															}
													}
												else
													{	/* Expand/case.scm 305 */
														return BFALSE;
													}
											}
									}
								else
									{	/* Expand/case.scm 305 */
										return BFALSE;
									}
							}
					}
				}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_casez00()
	{
		AN_OBJECT;
		{	/* Expand/case.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_casez00()
	{
		AN_OBJECT;
		{	/* Expand/case.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2646z00zzexpand_casez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2646z00zzexpand_casez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string2646z00zzexpand_casez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2646z00zzexpand_casez00));
			return
				BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2646z00zzexpand_casez00));
		}
	}

#ifdef __cplusplus
}
#endif
