/*===========================================================================*/
/*   (Heap/make.scm)                                                         */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Heap/make.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	BGL_IMPORT obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_getzd2tenvzd2zztype_envz00();
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzheap_makez00 = BUNSPEC;
	static obj_t BGl__preparezd2additionalzd2globalsz12z12zzheap_makez00(obj_t);
	extern obj_t BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00;
	static obj_t BGl__makezd2addzd2heapz00zzheap_makez00(obj_t);
	extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	static obj_t BGl__preparezd2globalsz12zc0zzheap_makez00(obj_t);
	BGL_IMPORT obj_t output_obj(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzheap_makez00();
	static obj_t BGl__makezd2heapzd2zzheap_makez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2addzd2heapz00zzheap_makez00();
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzheap_makez00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00();
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	extern obj_t BGl_za2heapzd2libraryza2zd2zzengine_paramz00;
	static bool_t BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00();
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00;
	static obj_t BGl_zc3anonymousza32317ze3z83zzheap_makez00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl__checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00(obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(obj_t);
	static obj_t BGl_zc3anonymousza32202ze3z83zzheap_makez00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2heapzd2zzheap_makez00();
	static bool_t BGl_preparezd2globalsz12zc0zzheap_makez00();
	extern obj_t BGl_getzd2genvzd2zzast_envz00();
	extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzheap_makez00();
	static obj_t BGl_methodzd2initzd2zzheap_makez00();
	static obj_t __cnst[9];


	   
		 
		DEFINE_STRING(BGl_string2402z00zzheap_makez00,
		BgL_bgl_string2402za700za7za7h2419za7, "Heap", 4);
	      DEFINE_STRING(BGl_string2403z00zzheap_makez00,
		BgL_bgl_string2403za700za7za7h2420za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2404z00zzheap_makez00,
		BgL_bgl_string2404za700za7za7h2421za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2405z00zzheap_makez00,
		BgL_bgl_string2405za700za7za7h2422za7, "make-heap", 9);
	      DEFINE_STRING(BGl_string2406z00zzheap_makez00,
		BgL_bgl_string2406za700za7za7h2423za7, "Can't open output port", 22);
	      DEFINE_STRING(BGl_string2407z00zzheap_makez00,
		BgL_bgl_string2407za700za7za7h2424za7, "Illegal heap's name", 19);
	      DEFINE_STRING(BGl_string2410z00zzheap_makez00,
		BgL_bgl_string2410za700za7za7h2425za7, "make-addd-heap", 14);
	      DEFINE_STRING(BGl_string2409z00zzheap_makez00,
		BgL_bgl_string2409za700za7za7h2426za7, "Library heap", 12);
	      DEFINE_STRING(BGl_string2411z00zzheap_makez00,
		BgL_bgl_string2411za700za7za7h2427za7, "make-add-heap", 13);
	      DEFINE_STRING(BGl_string2412z00zzheap_makez00,
		BgL_bgl_string2412za700za7za7h2428za7,
		"Illegal reserved identifier for additional heap library (see `-heap-library' compiler option)",
		93);
	      DEFINE_STRING(BGl_string2413z00zzheap_makez00,
		BgL_bgl_string2413za700za7za7h2429za7,
		"Missing additional heap library identifier (see `-heap-library' compiler option)",
		80);
	      DEFINE_STRING(BGl_string2415z00zzheap_makez00,
		BgL_bgl_string2415za700za7za7h2430za7, "heap_make", 9);
	      DEFINE_STRING(BGl_string2416z00zzheap_makez00,
		BgL_bgl_string2416za700za7za7h2431za7,
		"make-add-heap bigloo (check-additional-heap-library prepare-additional-globals!) import export static pair pass-started (prepare-globals!) ",
		139);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2addzd2heapzd2envzd2zzheap_makez00,
		BgL_bgl__makeza7d2addza7d2he2432z00,
		BGl__makezd2addzd2heapz00zzheap_makez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_preparezd2globalsz12zd2envz12zzheap_makez00,
		BgL_bgl__prepareza7d2globa2433za7,
		BGl__preparezd2globalsz12zc0zzheap_makez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_checkzd2additionalzd2heapzd2libraryzd2envz00zzheap_makez00,
		BgL_bgl__checkza7d2additio2434za7,
		BGl__checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_preparezd2additionalzd2globalsz12zd2envzc0zzheap_makez00,
		BgL_bgl__prepareza7d2addit2435za7,
		BGl__preparezd2additionalzd2globalsz12z12zzheap_makez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2heapzd2envz00zzheap_makez00,
		BgL_bgl__makeza7d2heapza7d2za72436za7, BGl__makezd2heapzd2zzheap_makez00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2408z00zzheap_makez00,
		BgL_bgl_za7c3anonymousza7a322437z00,
		BGl_zc3anonymousza32202ze3z83zzheap_makez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zzheap_makez00,
		BgL_bgl_za7c3anonymousza7a322438z00,
		BGl_zc3anonymousza32317ze3z83zzheap_makez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long
		BgL_checksumz00_733, char *BgL_fromz00_734)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzheap_makez00))
				{
					BGl_requirezd2initializa7ationz75zzheap_makez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzheap_makez00();
					BGl_cnstzd2initzd2zzheap_makez00();
					BGl_importedzd2moduleszd2initz00zzheap_makez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 15 */
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "heap_make");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "heap_make");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "heap_make");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "heap_make");
			BGl_modulezd2initializa7ationz75zz__intextz00(((long) 0), "heap_make");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 15 */
			{	/* Heap/make.scm 15 */
				obj_t BgL_cportz00_725;

				BgL_cportz00_725 =
					bgl_open_input_string(BGl_string2416z00zzheap_makez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_726;

					BgL_iz00_726 = ((long) 8);
				BgL_loopz00_727:
					if ((BgL_iz00_726 == ((long) -1)))
						{	/* Heap/make.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Heap/make.scm 15 */
							{	/* Heap/make.scm 15 */
								obj_t BgL_arg2418z00_729;

								{	/* Heap/make.scm 15 */

									{	/* Heap/make.scm 15 */
										obj_t BgL_locationz00_731;

										BgL_locationz00_731 = BBOOL(((bool_t) 0));
										{	/* Heap/make.scm 15 */

											BgL_arg2418z00_729 =
												BGl_readz00zz__readerz00(BgL_cportz00_725,
												BgL_locationz00_731);
										}
									}
								}
								{	/* Heap/make.scm 15 */
									int BgL_auxz00_752;

									BgL_auxz00_752 = (int) (BgL_iz00_726);
									CNST_TABLE_SET(BgL_auxz00_752, BgL_arg2418z00_729);
							}}
							{	/* Heap/make.scm 15 */
								int BgL_auxz00_732;

								BgL_auxz00_732 = (int) ((BgL_iz00_726 - ((long) 1)));
								{
									long BgL_iz00_757;

									BgL_iz00_757 = (long) (BgL_auxz00_732);
									BgL_iz00_726 = BgL_iz00_757;
									goto BgL_loopz00_727;
								}
							}
						}
				}
			}
		}
	}



/* make-heap */
	BGL_EXPORTED_DEF obj_t BGl_makezd2heapzd2zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 35 */
			{	/* Heap/make.scm 36 */
				obj_t BgL_list2079z00_412;

				{	/* Heap/make.scm 36 */
					obj_t BgL_arg2087z00_414;

					{	/* Heap/make.scm 36 */
						obj_t BgL_arg2095z00_416;

						BgL_arg2095z00_416 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2087z00_414 =
							MAKE_PAIR(BGl_string2402z00zzheap_makez00, BgL_arg2095z00_416);
					}
					BgL_list2079z00_412 =
						MAKE_PAIR(BGl_string2403z00zzheap_makez00, BgL_arg2087z00_414);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2079z00_412);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2402z00zzheap_makez00;
			{	/* Heap/make.scm 36 */
				obj_t BgL_g2073z00_417;

				obj_t BgL_g2074z00_418;

				{	/* Heap/make.scm 36 */
					obj_t BgL_list2137z00_430;

					BgL_list2137z00_430 =
						MAKE_PAIR(BGl_preparezd2globalsz12zd2envz12zzheap_makez00, BNIL);
					BgL_g2073z00_417 = BgL_list2137z00_430;
				}
				BgL_g2074z00_418 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_419;

					obj_t BgL_hnamesz00_420;

					BgL_hooksz00_419 = BgL_g2073z00_417;
					BgL_hnamesz00_420 = BgL_g2074z00_418;
				BgL_loopz00_421:
					if (NULLP(BgL_hooksz00_419))
						{	/* Heap/make.scm 36 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Heap/make.scm 36 */
							bool_t BgL_testz00_771;

							{	/* Heap/make.scm 36 */
								obj_t BgL_fun2136z00_429;

								BgL_fun2136z00_429 = CAR(BgL_hooksz00_419);
								BgL_testz00_771 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2136z00_429) (BgL_fun2136z00_429,
										BEOA));
							}
							if (BgL_testz00_771)
								{
									obj_t BgL_hnamesz00_778;

									obj_t BgL_hooksz00_776;

									BgL_hooksz00_776 = CDR(BgL_hooksz00_419);
									BgL_hnamesz00_778 = CDR(BgL_hnamesz00_420);
									BgL_hnamesz00_420 = BgL_hnamesz00_778;
									BgL_hooksz00_419 = BgL_hooksz00_776;
									goto BgL_loopz00_421;
								}
							else
								{	/* Heap/make.scm 36 */
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2402z00zzheap_makez00,
										BGl_string2404z00zzheap_makez00, CAR(BgL_hnamesz00_420));
								}
						}
				}
			}
			BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(CNST_TABLE_REF(((long)
						2)));
			if (STRINGP(BGl_za2heapzd2nameza2zd2zzengine_paramz00))
				{	/* Heap/make.scm 40 */
					obj_t BgL_hnamez00_432;

					{	/* Heap/make.scm 40 */
						obj_t BgL_arg2193z00_444;

						BgL_arg2193z00_444 = CAR(BGl_za2libzd2dirza2zd2zzengine_paramz00);
						BgL_hnamez00_432 =
							BGl_makezd2filezd2namez00zz__osz00(BgL_arg2193z00_444,
							BGl_za2heapzd2nameza2zd2zzengine_paramz00);
					}
					{	/* Heap/make.scm 41 */
						obj_t BgL_portz00_433;

						BgL_portz00_433 =
							BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
							(BgL_hnamez00_432);
						if (BINARY_PORTP(BgL_portz00_433))
							{	/* Heap/make.scm 42 */
								{	/* Heap/make.scm 46 */
									obj_t BgL_arg2141z00_435;

									{	/* Heap/make.scm 46 */
										obj_t BgL_v2077z00_436;

										BgL_v2077z00_436 = create_vector((int) (((long) 5)));
										VECTOR_SET(BgL_v2077z00_436,
											(int) (((long) 4)), BGl_getzd2tenvzd2zztype_envz00());
										VECTOR_SET(BgL_v2077z00_436,
											(int) (((long) 3)), BGl_getzd2genvzd2zzast_envz00());
										VECTOR_SET(BgL_v2077z00_436,
											(int) (((long) 2)),
											BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
										VECTOR_SET(BgL_v2077z00_436, (int) (((long) 1)),
											BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
										{	/* Heap/make.scm 46 */
											obj_t BgL_arg2180z00_442;

											{	/* Heap/make.scm 46 */
												obj_t BgL_arg2187z00_443;

												BgL_arg2187z00_443 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												{
													BgL_backendz00_bglt BgL_auxz00_804;

													BgL_auxz00_804 =
														(BgL_backendz00_bglt) (BgL_arg2187z00_443);
													BgL_arg2180z00_442 =
														(((BgL_backendz00_bglt) CREF(BgL_auxz00_804))->
														BgL_languagez00);
											}}
											VECTOR_SET(BgL_v2077z00_436,
												(int) (((long) 0)), BgL_arg2180z00_442);
										}
										BgL_arg2141z00_435 = BgL_v2077z00_436;
									}
									output_obj(BgL_portz00_433, BgL_arg2141z00_435);
								}
								return close_binary_port(BgL_portz00_433);
							}
						else
							{	/* Heap/make.scm 42 */
								return
									BGl_errorz00zz__errorz00(BGl_string2405z00zzheap_makez00,
									BGl_string2406z00zzheap_makez00, BgL_hnamez00_432);
							}
					}
				}
			else
				{	/* Heap/make.scm 38 */
					return
						BGl_userzd2errorzd2zztools_errorz00(BGl_string2405z00zzheap_makez00,
						BGl_string2407z00zzheap_makez00,
						BGl_za2heapzd2nameza2zd2zzengine_paramz00, BNIL);
				}
		}
	}



/* _make-heap */
	obj_t BGl__makezd2heapzd2zzheap_makez00(obj_t BgL_envz00_714)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 35 */
			return BGl_makezd2heapzd2zzheap_makez00();
		}
	}



/* prepare-globals! */
	bool_t BGl_preparezd2globalsz12zc0zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 60 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc2408z00zzheap_makez00,
				BNIL);
			return ((bool_t) 1);
		}
	}



/* _prepare-globals! */
	obj_t BGl__preparezd2globalsz12zc0zzheap_makez00(obj_t BgL_envz00_715)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 60 */
			return BBOOL(BGl_preparezd2globalsz12zc0zzheap_makez00());
		}
	}



/* <anonymous:2202> */
	obj_t BGl_zc3anonymousza32202ze3z83zzheap_makez00(obj_t BgL_envz00_717,
		obj_t BgL_gz00_718)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 61 */
			{
				obj_t BgL_gz00_448;

				BgL_gz00_448 = BgL_gz00_718;
				{	/* Heap/make.scm 64 */
					bool_t BgL_testz00_817;

					{	/* Heap/make.scm 64 */
						obj_t BgL_auxz00_818;

						{
							BgL_globalz00_bglt BgL_auxz00_819;

							BgL_auxz00_819 = (BgL_globalz00_bglt) (BgL_gz00_448);
							BgL_auxz00_818 =
								(((BgL_globalz00_bglt) CREF(BgL_auxz00_819))->BgL_importz00);
						}
						BgL_testz00_817 = (BgL_auxz00_818 == CNST_TABLE_REF(((long) 3)));
					}
					if (BgL_testz00_817)
						{	/* Heap/make.scm 65 */
							obj_t BgL_arg2206z00_451;

							obj_t BgL_arg2219z00_452;

							{
								BgL_variablez00_bglt BgL_auxz00_824;

								BgL_auxz00_824 = (BgL_variablez00_bglt) (BgL_gz00_448);
								BgL_arg2206z00_451 =
									(((BgL_variablez00_bglt) CREF(BgL_auxz00_824))->BgL_idz00);
							}
							{
								BgL_globalz00_bglt BgL_auxz00_827;

								BgL_auxz00_827 = (BgL_globalz00_bglt) (BgL_gz00_448);
								BgL_arg2219z00_452 =
									(((BgL_globalz00_bglt) CREF(BgL_auxz00_827))->BgL_modulez00);
							}
							BGl_unbindzd2globalz12zc0zzast_envz00(BgL_arg2206z00_451,
								BgL_arg2219z00_452);
						}
					else
						{	/* Heap/make.scm 66 */
							bool_t BgL_testz00_831;

							{	/* Heap/make.scm 66 */
								obj_t BgL_auxz00_832;

								{
									BgL_globalz00_bglt BgL_auxz00_833;

									BgL_auxz00_833 = (BgL_globalz00_bglt) (BgL_gz00_448);
									BgL_auxz00_832 =
										(((BgL_globalz00_bglt) CREF(BgL_auxz00_833))->
										BgL_importz00);
								}
								BgL_testz00_831 =
									(BgL_auxz00_832 == CNST_TABLE_REF(((long) 4)));
							}
							if (BgL_testz00_831)
								{	/* Heap/make.scm 67 */
									BgL_globalz00_bglt BgL_obj1556z00_665;

									obj_t BgL_val1555z00_666;

									BgL_obj1556z00_665 = (BgL_globalz00_bglt) (BgL_gz00_448);
									BgL_val1555z00_666 = CNST_TABLE_REF(((long) 5));
									((((BgL_globalz00_bglt) CREF(BgL_obj1556z00_665))->
											BgL_importz00) = ((obj_t) BgL_val1555z00_666), BUNSPEC);
								}
							else
								{	/* Heap/make.scm 66 */
									BUNSPEC;
								}
						}
				}
				{
					BgL_variablez00_bglt BgL_auxz00_841;

					BgL_auxz00_841 = (BgL_variablez00_bglt) (BgL_gz00_448);
					((((BgL_variablez00_bglt) CREF(BgL_auxz00_841))->BgL_occurrencez00) =
						((long) ((long) 0)), BUNSPEC);
				}
				{
					BgL_globalz00_bglt BgL_auxz00_844;

					BgL_auxz00_844 = (BgL_globalz00_bglt) (BgL_gz00_448);
					return
						((((BgL_globalz00_bglt) CREF(BgL_auxz00_844))->BgL_libraryz00) =
						((obj_t) BGl_za2heapzd2libraryza2zd2zzengine_paramz00), BUNSPEC);
				}
			}
		}
	}



/* make-add-heap */
	BGL_EXPORTED_DEF obj_t BGl_makezd2addzd2heapz00zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 81 */
			{	/* Heap/make.scm 82 */
				obj_t BgL_list2247z00_459;

				{	/* Heap/make.scm 82 */
					obj_t BgL_arg2261z00_461;

					{	/* Heap/make.scm 82 */
						obj_t BgL_arg2267z00_463;

						BgL_arg2267z00_463 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2261z00_461 =
							MAKE_PAIR(BGl_string2409z00zzheap_makez00, BgL_arg2267z00_463);
					}
					BgL_list2247z00_459 =
						MAKE_PAIR(BGl_string2403z00zzheap_makez00, BgL_arg2261z00_461);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2247z00_459);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2409z00zzheap_makez00;
			{	/* Heap/make.scm 82 */
				obj_t BgL_g2075z00_464;

				obj_t BgL_g2076z00_465;

				{	/* Heap/make.scm 82 */
					obj_t BgL_list2298z00_477;

					{	/* Heap/make.scm 82 */
						obj_t BgL_arg2302z00_478;

						BgL_arg2302z00_478 =
							MAKE_PAIR
							(BGl_preparezd2additionalzd2globalsz12zd2envzc0zzheap_makez00,
							BNIL);
						BgL_list2298z00_477 =
							MAKE_PAIR
							(BGl_checkzd2additionalzd2heapzd2libraryzd2envz00zzheap_makez00,
							BgL_arg2302z00_478);
					}
					BgL_g2075z00_464 = BgL_list2298z00_477;
				}
				BgL_g2076z00_465 = CNST_TABLE_REF(((long) 6));
				{
					obj_t BgL_hooksz00_466;

					obj_t BgL_hnamesz00_467;

					BgL_hooksz00_466 = BgL_g2075z00_464;
					BgL_hnamesz00_467 = BgL_g2076z00_465;
				BgL_loopz00_468:
					if (NULLP(BgL_hooksz00_466))
						{	/* Heap/make.scm 82 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Heap/make.scm 82 */
							bool_t BgL_testz00_860;

							{	/* Heap/make.scm 82 */
								obj_t BgL_fun2297z00_476;

								BgL_fun2297z00_476 = CAR(BgL_hooksz00_466);
								BgL_testz00_860 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2297z00_476) (BgL_fun2297z00_476,
										BEOA));
							}
							if (BgL_testz00_860)
								{
									obj_t BgL_hnamesz00_867;

									obj_t BgL_hooksz00_865;

									BgL_hooksz00_865 = CDR(BgL_hooksz00_466);
									BgL_hnamesz00_867 = CDR(BgL_hnamesz00_467);
									BgL_hnamesz00_467 = BgL_hnamesz00_867;
									BgL_hooksz00_466 = BgL_hooksz00_865;
									goto BgL_loopz00_468;
								}
							else
								{	/* Heap/make.scm 82 */
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2409z00zzheap_makez00,
										BGl_string2404z00zzheap_makez00, CAR(BgL_hnamesz00_467));
								}
						}
				}
			}
			{	/* Heap/make.scm 85 */
				obj_t BgL_genvz00_479;

				obj_t BgL_tenvz00_480;

				obj_t BgL_langz00_481;

				BgL_genvz00_479 = BGl_getzd2genvzd2zzast_envz00();
				BgL_tenvz00_480 = BGl_getzd2tenvzd2zztype_envz00();
				{	/* Heap/make.scm 87 */
					obj_t BgL_arg2307z00_489;

					BgL_arg2307z00_489 = BGl_thezd2backendzd2zzbackend_backendz00();
					{
						BgL_backendz00_bglt BgL_auxz00_874;

						BgL_auxz00_874 = (BgL_backendz00_bglt) (BgL_arg2307z00_489);
						BgL_langz00_481 =
							(((BgL_backendz00_bglt) CREF(BgL_auxz00_874))->BgL_languagez00);
					}
				}
				BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(CNST_TABLE_REF(((long)
							2)));
				if (STRINGP(BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00))
					{	/* Heap/make.scm 93 */
						obj_t BgL_hnamez00_483;

						BgL_hnamez00_483 =
							BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00;
						{	/* Heap/make.scm 94 */
							obj_t BgL_portz00_484;

							BgL_portz00_484 =
								BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
								(BgL_hnamez00_483);
							if (BINARY_PORTP(BgL_portz00_484))
								{	/* Heap/make.scm 95 */
									{	/* Heap/make.scm 98 */
										obj_t BgL_arg2305z00_486;

										{	/* Heap/make.scm 98 */
											obj_t BgL_v2078z00_487;

											BgL_v2078z00_487 = create_vector((int) (((long) 6)));
											VECTOR_SET(BgL_v2078z00_487,
												(int) (((long) 5)),
												BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00);
											VECTOR_SET(BgL_v2078z00_487, (int) (((long) 4)),
												BgL_tenvz00_480);
											VECTOR_SET(BgL_v2078z00_487, (int) (((long) 3)),
												BgL_genvz00_479);
											VECTOR_SET(BgL_v2078z00_487, (int) (((long) 2)),
												BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
											VECTOR_SET(BgL_v2078z00_487, (int) (((long) 1)),
												BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
											VECTOR_SET(BgL_v2078z00_487, (int) (((long) 0)),
												BgL_langz00_481);
											BgL_arg2305z00_486 = BgL_v2078z00_487;
										}
										output_obj(BgL_portz00_484, BgL_arg2305z00_486);
									}
									return close_binary_port(BgL_portz00_484);
								}
							else
								{	/* Heap/make.scm 95 */
									return
										BGl_errorz00zz__errorz00(BGl_string2410z00zzheap_makez00,
										BGl_string2406z00zzheap_makez00, BgL_hnamez00_483);
								}
						}
					}
				else
					{	/* Heap/make.scm 89 */
						return
							BGl_userzd2errorzd2zztools_errorz00
							(BGl_string2411z00zzheap_makez00, BGl_string2407z00zzheap_makez00,
							BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00, BNIL);
					}
			}
		}
	}



/* _make-add-heap */
	obj_t BGl__makezd2addzd2heapz00zzheap_makez00(obj_t BgL_envz00_719)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 81 */
			return BGl_makezd2addzd2heapz00zzheap_makez00();
		}
	}



/* check-additional-heap-library */
	obj_t BGl_checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 109 */
			if (
				(BGl_za2heapzd2libraryza2zd2zzengine_paramz00 ==
					CNST_TABLE_REF(((long) 7))))
				{	/* Heap/make.scm 111 */
					return
						BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long) 8)),
						BGl_string2412z00zzheap_makez00,
						BGl_za2heapzd2libraryza2zd2zzengine_paramz00, BNIL);
				}
			else
				{	/* Heap/make.scm 111 */
					if (SYMBOLP(BGl_za2heapzd2libraryza2zd2zzengine_paramz00))
						{	/* Heap/make.scm 115 */
							return BTRUE;
						}
					else
						{	/* Heap/make.scm 115 */
							return
								BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long) 8)),
								BGl_string2413z00zzheap_makez00,
								BGl_za2heapzd2libraryza2zd2zzengine_paramz00, BNIL);
		}}}
	}



/* _check-additional-heap-library */
	obj_t BGl__checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00(obj_t
		BgL_envz00_721)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 109 */
			return BGl_checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00();
		}
	}



/* prepare-additional-globals! */
	bool_t BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 129 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc2414z00zzheap_makez00,
				BNIL);
			return ((bool_t) 1);
		}
	}



/* _prepare-additional-globals! */
	obj_t BGl__preparezd2additionalzd2globalsz12z12zzheap_makez00(obj_t
		BgL_envz00_720)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 129 */
			return BBOOL(BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00());
		}
	}



/* <anonymous:2317> */
	obj_t BGl_zc3anonymousza32317ze3z83zzheap_makez00(obj_t BgL_envz00_723,
		obj_t BgL_gz00_724)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 130 */
			{
				obj_t BgL_gz00_496;

				BgL_gz00_496 = BgL_gz00_724;
				{	/* Heap/make.scm 133 */
					bool_t BgL_testz00_916;

					{	/* Heap/make.scm 133 */
						bool_t BgL_testz00_917;

						{	/* Heap/make.scm 133 */
							obj_t BgL_auxz00_918;

							{
								BgL_globalz00_bglt BgL_auxz00_919;

								BgL_auxz00_919 = (BgL_globalz00_bglt) (BgL_gz00_496);
								BgL_auxz00_918 =
									(((BgL_globalz00_bglt) CREF(BgL_auxz00_919))->BgL_importz00);
							}
							BgL_testz00_917 = (BgL_auxz00_918 == CNST_TABLE_REF(((long) 3)));
						}
						if (BgL_testz00_917)
							{	/* Heap/make.scm 133 */
								BgL_testz00_916 = ((bool_t) 1);
							}
						else
							{	/* Heap/make.scm 134 */
								BgL_globalz00_bglt BgL_obj1560z00_704;

								BgL_obj1560z00_704 = (BgL_globalz00_bglt) (BgL_gz00_496);
								BgL_testz00_916 =
									CBOOL(
									(((BgL_globalz00_bglt) CREF(BgL_obj1560z00_704))->
										BgL_libraryz00));
							}
					}
					if (BgL_testz00_916)
						{	/* Heap/make.scm 135 */
							obj_t BgL_arg2330z00_499;

							obj_t BgL_arg2331z00_500;

							{
								BgL_variablez00_bglt BgL_auxz00_927;

								BgL_auxz00_927 = (BgL_variablez00_bglt) (BgL_gz00_496);
								BgL_arg2330z00_499 =
									(((BgL_variablez00_bglt) CREF(BgL_auxz00_927))->BgL_idz00);
							}
							{
								BgL_globalz00_bglt BgL_auxz00_930;

								BgL_auxz00_930 = (BgL_globalz00_bglt) (BgL_gz00_496);
								BgL_arg2331z00_500 =
									(((BgL_globalz00_bglt) CREF(BgL_auxz00_930))->BgL_modulez00);
							}
							BGl_unbindzd2globalz12zc0zzast_envz00(BgL_arg2330z00_499,
								BgL_arg2331z00_500);
						}
					else
						{	/* Heap/make.scm 136 */
							bool_t BgL_testz00_934;

							{	/* Heap/make.scm 136 */
								obj_t BgL_auxz00_935;

								{
									BgL_globalz00_bglt BgL_auxz00_936;

									BgL_auxz00_936 = (BgL_globalz00_bglt) (BgL_gz00_496);
									BgL_auxz00_935 =
										(((BgL_globalz00_bglt) CREF(BgL_auxz00_936))->
										BgL_importz00);
								}
								BgL_testz00_934 =
									(BgL_auxz00_935 == CNST_TABLE_REF(((long) 4)));
							}
							if (BgL_testz00_934)
								{	/* Heap/make.scm 137 */
									BgL_globalz00_bglt BgL_obj1556z00_708;

									obj_t BgL_val1555z00_709;

									BgL_obj1556z00_708 = (BgL_globalz00_bglt) (BgL_gz00_496);
									BgL_val1555z00_709 = CNST_TABLE_REF(((long) 5));
									((((BgL_globalz00_bglt) CREF(BgL_obj1556z00_708))->
											BgL_importz00) = ((obj_t) BgL_val1555z00_709), BUNSPEC);
								}
							else
								{	/* Heap/make.scm 136 */
									BUNSPEC;
								}
						}
				}
				{
					BgL_variablez00_bglt BgL_auxz00_944;

					BgL_auxz00_944 = (BgL_variablez00_bglt) (BgL_gz00_496);
					((((BgL_variablez00_bglt) CREF(BgL_auxz00_944))->BgL_occurrencez00) =
						((long) ((long) 0)), BUNSPEC);
				}
				{
					BgL_globalz00_bglt BgL_auxz00_947;

					BgL_auxz00_947 = (BgL_globalz00_bglt) (BgL_gz00_496);
					return
						((((BgL_globalz00_bglt) CREF(BgL_auxz00_947))->BgL_libraryz00) =
						((obj_t) BGl_za2heapzd2libraryza2zd2zzengine_paramz00), BUNSPEC);
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string2415z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2415z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string2415z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2415z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string2415z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2415z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string2415z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2415z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string2415z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzforeign_libraryz00(((long) 477408199),
				BSTRING_TO_STRING(BGl_string2415z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2415z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 307873065),
				BSTRING_TO_STRING(BGl_string2415z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2415z00zzheap_makez00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2415z00zzheap_makez00));
		}
	}

#ifdef __cplusplus
}
#endif
