/*===========================================================================*/
/*   (Init/extend.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Init/extend.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinit_extendz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzinit_extendz00();
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzinit_extendz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__loadzd2extend1448zd2zzinit_extendz00(obj_t, obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_defaultzd2environmentzd2zz__evalz00();
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinit_extendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzinit_extendz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_za2extendzd2tableza2zd2zzinit_extendz00 = BUNSPEC;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_loadqz00zz__evalz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_loadzd2extendzd2zzinit_extendz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinit_extendz00();
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinit_extendz00();
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1450z00zzinit_extendz00,
		BgL_bgl_string1450za700za7za7i1459za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1449z00zzinit_extendz00,
		BgL_bgl_string1449za700za7za7i1460za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1451z00zzinit_extendz00,
		BgL_bgl_string1451za700za7za7i1461za7, ".init", 5);
	      DEFINE_STRING(BGl_string1452z00zzinit_extendz00,
		BgL_bgl_string1452za700za7za7i1462za7, "parse-args", 10);
	      DEFINE_STRING(BGl_string1453z00zzinit_extendz00,
		BgL_bgl_string1453za700za7za7i1463za7, "Can't find extend file", 22);
	      DEFINE_STRING(BGl_string1454z00zzinit_extendz00,
		BgL_bgl_string1454za700za7za7i1464za7, "init_extend", 11);
	      DEFINE_STRING(BGl_string1455z00zzinit_extendz00,
		BgL_bgl_string1455za700za7za7i1465za7, "pass-started ", 13);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_loadzd2extendzd2envz00zzinit_extendz00,
		BgL_bgl__loadza7d2extend141466za7,
		BGl__loadzd2extend1448zd2zzinit_extendz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinit_extendz00(long
		BgL_checksumz00_108, char *BgL_fromz00_109)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinit_extendz00))
				{
					BGl_requirezd2initializa7ationz75zzinit_extendz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinit_extendz00();
					BGl_cnstzd2initzd2zzinit_extendz00();
					BGl_importedzd2moduleszd2initz00zzinit_extendz00();
					BGl_toplevelzd2initzd2zzinit_extendz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinit_extendz00()
	{
		AN_OBJECT;
		{	/* Init/extend.scm 16 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "init_extend");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "init_extend");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "init_extend");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "init_extend");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"init_extend");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinit_extendz00()
	{
		AN_OBJECT;
		{	/* Init/extend.scm 16 */
			{	/* Init/extend.scm 16 */
				obj_t BgL_cportz00_100;

				BgL_cportz00_100 =
					bgl_open_input_string(BGl_string1455z00zzinit_extendz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_101;

					BgL_iz00_101 = ((long) 0);
				BgL_loopz00_102:
					if ((BgL_iz00_101 == ((long) -1)))
						{	/* Init/extend.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Init/extend.scm 16 */
							{	/* Init/extend.scm 16 */
								obj_t BgL_arg1458z00_104;

								{	/* Init/extend.scm 16 */

									{	/* Init/extend.scm 16 */
										obj_t BgL_locationz00_106;

										BgL_locationz00_106 = BBOOL(((bool_t) 0));
										{	/* Init/extend.scm 16 */

											BgL_arg1458z00_104 =
												BGl_readz00zz__readerz00(BgL_cportz00_100,
												BgL_locationz00_106);
										}
									}
								}
								{	/* Init/extend.scm 16 */
									int BgL_auxz00_128;

									BgL_auxz00_128 = (int) (BgL_iz00_101);
									CNST_TABLE_SET(BgL_auxz00_128, BgL_arg1458z00_104);
							}}
							{	/* Init/extend.scm 16 */
								int BgL_auxz00_107;

								BgL_auxz00_107 = (int) ((BgL_iz00_101 - ((long) 1)));
								{
									long BgL_iz00_133;

									BgL_iz00_133 = (long) (BgL_auxz00_107);
									BgL_iz00_101 = BgL_iz00_133;
									goto BgL_loopz00_102;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinit_extendz00()
	{
		AN_OBJECT;
		{	/* Init/extend.scm 16 */
			return (BGl_za2extendzd2tableza2zd2zzinit_extendz00 = BNIL, BUNSPEC);
		}
	}



/* load-extend */
	BGL_EXPORTED_DEF obj_t BGl_loadzd2extendzd2zzinit_extendz00(obj_t
		BgL_extendzd2namezd2_1)
	{
		AN_OBJECT;
		{	/* Init/extend.scm 25 */
			if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
					(BgL_extendzd2namezd2_1,
						BGl_za2extendzd2tableza2zd2zzinit_extendz00)))
				{	/* Init/extend.scm 26 */
					return BFALSE;
				}
			else
				{	/* Init/extend.scm 26 */
					BGl_za2extendzd2tableza2zd2zzinit_extendz00 =
						MAKE_PAIR(BgL_extendzd2namezd2_1,
						BGl_za2extendzd2tableza2zd2zzinit_extendz00);
					{	/* Init/extend.scm 28 */
						obj_t BgL_fnamez00_43;

						BgL_fnamez00_43 =
							BGl_findzd2filezf2pathz20zz__osz00(BgL_extendzd2namezd2_1,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						if (CBOOL(BgL_fnamez00_43))
							{	/* Init/extend.scm 29 */
								{	/* Init/extend.scm 31 */
									obj_t BgL_list1394z00_44;

									{	/* Init/extend.scm 31 */
										obj_t BgL_arg1404z00_46;

										{	/* Init/extend.scm 31 */
											obj_t BgL_arg1405z00_47;

											BgL_arg1405z00_47 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg1404z00_46 =
												MAKE_PAIR(BgL_fnamez00_43, BgL_arg1405z00_47);
										}
										BgL_list1394z00_44 =
											MAKE_PAIR(BGl_string1449z00zzinit_extendz00,
											BgL_arg1404z00_46);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
										BgL_list1394z00_44);
								}
								BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
									BINT(((long) 0));
								BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_fnamez00_43;
								{
									obj_t BgL_hooksz00_50;

									obj_t BgL_hnamesz00_51;

									BgL_hooksz00_50 = BNIL;
									BgL_hnamesz00_51 = BNIL;
								BgL_loopz00_52:
									if (NULLP(BgL_hooksz00_50))
										{	/* Init/extend.scm 31 */
											CNST_TABLE_REF(((long) 0));
										}
									else
										{	/* Init/extend.scm 31 */
											bool_t BgL_testz00_152;

											{	/* Init/extend.scm 31 */
												obj_t BgL_fun1429z00_59;

												BgL_fun1429z00_59 = CAR(BgL_hooksz00_50);
												BgL_testz00_152 =
													CBOOL(PROCEDURE_ENTRY(BgL_fun1429z00_59)
													(BgL_fun1429z00_59, BEOA));
											}
											if (BgL_testz00_152)
												{
													obj_t BgL_hnamesz00_159;

													obj_t BgL_hooksz00_157;

													BgL_hooksz00_157 = CDR(BgL_hooksz00_50);
													BgL_hnamesz00_159 = CDR(BgL_hnamesz00_51);
													BgL_hnamesz00_51 = BgL_hnamesz00_159;
													BgL_hooksz00_50 = BgL_hooksz00_157;
													goto BgL_loopz00_52;
												}
											else
												{	/* Init/extend.scm 31 */
													BGl_internalzd2errorzd2zztools_errorz00
														(BgL_fnamez00_43, BGl_string1450z00zzinit_extendz00,
														CAR(BgL_hnamesz00_51));
												}
										}
								}
								{	/* Init/extend.scm 32 */
									obj_t BgL_envz00_62;

									BgL_envz00_62 = BGl_defaultzd2environmentzd2zz__evalz00();
									{	/* Init/extend.scm 32 */

										return
											BGl_loadqz00zz__evalz00(BgL_fnamez00_43, BgL_envz00_62);
									}
								}
							}
						else
							{	/* Init/extend.scm 33 */
								obj_t BgL_fnamez00_63;

								{	/* Init/extend.scm 33 */
									obj_t BgL_arg1445z00_83;

									BgL_arg1445z00_83 =
										string_append(BgL_extendzd2namezd2_1,
										BGl_string1451z00zzinit_extendz00);
									BgL_fnamez00_63 =
										BGl_findzd2filezf2pathz20zz__osz00(BgL_arg1445z00_83,
										BGl_za2libzd2dirza2zd2zzengine_paramz00);
								}
								if (CBOOL(BgL_fnamez00_63))
									{	/* Init/extend.scm 35 */
										{	/* Init/extend.scm 37 */
											obj_t BgL_list1431z00_64;

											{	/* Init/extend.scm 37 */
												obj_t BgL_arg1434z00_66;

												{	/* Init/extend.scm 37 */
													obj_t BgL_arg1435z00_67;

													BgL_arg1435z00_67 =
														MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
													BgL_arg1434z00_66 =
														MAKE_PAIR(BgL_fnamez00_63, BgL_arg1435z00_67);
												}
												BgL_list1431z00_64 =
													MAKE_PAIR(BGl_string1449z00zzinit_extendz00,
													BgL_arg1434z00_66);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
												BgL_list1431z00_64);
										}
										BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
											BINT(((long) 0));
										BGl_za2currentzd2passza2zd2zzengine_passz00 =
											BgL_fnamez00_63;
										{
											obj_t BgL_hooksz00_70;

											obj_t BgL_hnamesz00_71;

											BgL_hooksz00_70 = BNIL;
											BgL_hnamesz00_71 = BNIL;
										BgL_loopz00_72:
											if (NULLP(BgL_hooksz00_70))
												{	/* Init/extend.scm 37 */
													CNST_TABLE_REF(((long) 0));
												}
											else
												{	/* Init/extend.scm 37 */
													bool_t BgL_testz00_179;

													{	/* Init/extend.scm 37 */
														obj_t BgL_fun1443z00_79;

														BgL_fun1443z00_79 = CAR(BgL_hooksz00_70);
														BgL_testz00_179 =
															CBOOL(PROCEDURE_ENTRY(BgL_fun1443z00_79)
															(BgL_fun1443z00_79, BEOA));
													}
													if (BgL_testz00_179)
														{
															obj_t BgL_hnamesz00_186;

															obj_t BgL_hooksz00_184;

															BgL_hooksz00_184 = CDR(BgL_hooksz00_70);
															BgL_hnamesz00_186 = CDR(BgL_hnamesz00_71);
															BgL_hnamesz00_71 = BgL_hnamesz00_186;
															BgL_hooksz00_70 = BgL_hooksz00_184;
															goto BgL_loopz00_72;
														}
													else
														{	/* Init/extend.scm 37 */
															BGl_internalzd2errorzd2zztools_errorz00
																(BgL_fnamez00_63,
																BGl_string1450z00zzinit_extendz00,
																CAR(BgL_hnamesz00_71));
														}
												}
										}
										{	/* Init/extend.scm 38 */
											obj_t BgL_envz00_82;

											BgL_envz00_82 = BGl_defaultzd2environmentzd2zz__evalz00();
											{	/* Init/extend.scm 38 */

												return
													BGl_loadqz00zz__evalz00(BgL_fnamez00_63,
													BgL_envz00_82);
											}
										}
									}
								else
									{	/* Init/extend.scm 35 */
										return
											BGl_errorz00zz__errorz00
											(BGl_string1452z00zzinit_extendz00,
											BGl_string1453z00zzinit_extendz00,
											BgL_extendzd2namezd2_1);
									}
							}
					}
				}
		}
	}



/* _load-extend1448 */
	obj_t BGl__loadzd2extend1448zd2zzinit_extendz00(obj_t BgL_envz00_98,
		obj_t BgL_extendzd2namezd2_99)
	{
		AN_OBJECT;
		{	/* Init/extend.scm 25 */
			return BGl_loadzd2extendzd2zzinit_extendz00(BgL_extendzd2namezd2_99);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinit_extendz00()
	{
		AN_OBJECT;
		{	/* Init/extend.scm 16 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinit_extendz00()
	{
		AN_OBJECT;
		{	/* Init/extend.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string1454z00zzinit_extendz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1454z00zzinit_extendz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string1454z00zzinit_extendz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string1454z00zzinit_extendz00));
		}
	}

#ifdef __cplusplus
}
#endif
