/*===========================================================================*/
/*   (Integrate/g.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/g.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sexitzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                       *BgL_sexitzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static bool_t
		BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00();
	extern obj_t BGl_za2phiza2z00zzintegrate_az00;
	static obj_t BGl__Gz12z12zzintegrate_gz00(obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_Gz12z12zzintegrate_gz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_gz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_gz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_gz00();
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_gz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_Gz12zd2envzc0zzintegrate_gz00,
		BgL_bgl__gza712za712za7za7integr3479z00, BGl__Gz12z12zzintegrate_gz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3478z00zzintegrate_gz00,
		BgL_bgl_string3478za700za7za7i3480za7, "integrate_g", 11);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long
		BgL_checksumz00_1388, char *BgL_fromz00_1389)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_gz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_gz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_gz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_gz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_gz00()
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "integrate_g");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "integrate_g");
			return BUNSPEC;
		}
	}



/* G! */
	BGL_EXPORTED_DEF obj_t BGl_Gz12z12zzintegrate_gz00(obj_t BgL_gzf2cnzf2_1)
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 32 */
			{
				bool_t BgL_stopzf3zf3_831;

				long BgL_stampz00_832;

				obj_t BgL_gsz00_833;

				BgL_stopzf3zf3_831 = ((bool_t) 0);
				BgL_stampz00_832 = ((long) 0);
				BgL_gsz00_833 = BgL_gzf2cnzf2_1;
			BgL_loopz00_834:
				if (BgL_stopzf3zf3_831)
					{	/* Integrate/g.scm 37 */
						{
							obj_t BgL_l3370z00_835;

							BgL_l3370z00_835 = BGl_za2phiza2z00zzintegrate_az00;
						BgL_forzd2each3372zd2_836:
							if (PAIRP(BgL_l3370z00_835))
								{	/* Integrate/g.scm 41 */
									{	/* Integrate/g.scm 42 */
										obj_t BgL_fz00_838;

										BgL_fz00_838 = CAR(BgL_l3370z00_835);
										if (BGl_iszd2azf3z21zz__objectz00(BgL_fz00_838,
												BGl_localz00zzast_varz00))
											{	/* Integrate/g.scm 43 */
												BgL_valuez00_bglt BgL_arg3377z00_840;

												{
													BgL_variablez00_bglt BgL_auxz00_1403;

													BgL_auxz00_1403 =
														(BgL_variablez00_bglt) (BgL_fz00_838);
													BgL_arg3377z00_840 =
														(((BgL_variablez00_bglt) CREF(BgL_auxz00_1403))->
														BgL_valuez00);
												}
												{	/* Integrate/g.scm 43 */
													BgL_sfunzf2iinfozf2_bglt BgL_obj3307z00_1317;

													obj_t BgL_val3306z00_1318;

													BgL_obj3307z00_1317 =
														(BgL_sfunzf2iinfozf2_bglt) (BgL_arg3377z00_840);
													BgL_val3306z00_1318 = BINT(((long) -1));
													{
														obj_t BgL_auxz00_1408;

														{	/* Integrate/g.scm 43 */
															BgL_objectz00_bglt BgL_auxz00_1409;

															BgL_auxz00_1409 =
																(BgL_objectz00_bglt) (BgL_obj3307z00_1317);
															BgL_auxz00_1408 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1409);
														}
														((((BgL_sfunzf2iinfozf2_bglt)
																	CREF(BgL_auxz00_1408))->BgL_istampz00) =
															((obj_t) BgL_val3306z00_1318), BUNSPEC);
											}}}
										else
											{	/* Integrate/g.scm 42 */
												BFALSE;
											}
									}
									{
										obj_t BgL_l3370z00_1413;

										BgL_l3370z00_1413 = CDR(BgL_l3370z00_835);
										BgL_l3370z00_835 = BgL_l3370z00_1413;
										goto BgL_forzd2each3372zd2_836;
									}
								}
							else
								{	/* Integrate/g.scm 41 */
									((bool_t) 1);
								}
						}
						BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00
							();
						return BgL_gsz00_833;
					}
				else
					{
						obj_t BgL_phiz00_843;

						bool_t BgL_stopzf3zf3_844;

						obj_t BgL_gsz00_845;

						BgL_phiz00_843 = BGl_za2phiza2z00zzintegrate_az00;
						BgL_stopzf3zf3_844 = ((bool_t) 1);
						BgL_gsz00_845 = BgL_gsz00_833;
					BgL_liipz00_846:
						if (NULLP(BgL_phiz00_843))
							{
								obj_t BgL_gsz00_1421;

								long BgL_stampz00_1419;

								bool_t BgL_stopzf3zf3_1418;

								BgL_stopzf3zf3_1418 = BgL_stopzf3zf3_844;
								BgL_stampz00_1419 = (BgL_stampz00_832 + ((long) 1));
								BgL_gsz00_1421 = BgL_gsz00_845;
								BgL_gsz00_833 = BgL_gsz00_1421;
								BgL_stampz00_832 = BgL_stampz00_1419;
								BgL_stopzf3zf3_831 = BgL_stopzf3zf3_1418;
								goto BgL_loopz00_834;
							}
						else
							{	/* Integrate/g.scm 54 */
								obj_t BgL_fz00_849;

								BgL_fz00_849 = CAR(BgL_phiz00_843);
								{	/* Integrate/g.scm 54 */
									BgL_valuez00_bglt BgL_fifz00_850;

									{
										BgL_variablez00_bglt BgL_auxz00_1423;

										BgL_auxz00_1423 = (BgL_variablez00_bglt) (BgL_fz00_849);
										BgL_fifz00_850 =
											(((BgL_variablez00_bglt) CREF(BgL_auxz00_1423))->
											BgL_valuez00);
									}
									{	/* Integrate/g.scm 55 */

										{	/* Integrate/g.scm 56 */
											obj_t BgL_g3367z00_851;

											{	/* Integrate/g.scm 56 */
												BgL_sfunzf2iinfozf2_bglt BgL_obj3290z00_1325;

												BgL_obj3290z00_1325 =
													(BgL_sfunzf2iinfozf2_bglt) (BgL_fifz00_850);
												{
													obj_t BgL_auxz00_1427;

													{	/* Integrate/g.scm 56 */
														BgL_objectz00_bglt BgL_auxz00_1428;

														BgL_auxz00_1428 =
															(BgL_objectz00_bglt) (BgL_obj3290z00_1325);
														BgL_auxz00_1427 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1428);
													}
													BgL_g3367z00_851 =
														(((BgL_sfunzf2iinfozf2_bglt)
															CREF(BgL_auxz00_1427))->BgL_ctz00);
												}
											}
											{
												obj_t BgL_ctz00_852;

												bool_t BgL_stopzf3zf3_853;

												obj_t BgL_gsz00_854;

												BgL_ctz00_852 = BgL_g3367z00_851;
												BgL_stopzf3zf3_853 = BgL_stopzf3zf3_844;
												BgL_gsz00_854 = BgL_gsz00_845;
											BgL_laapz00_855:
												if (NULLP(BgL_ctz00_852))
													{
														obj_t BgL_gsz00_1437;

														bool_t BgL_stopzf3zf3_1436;

														obj_t BgL_phiz00_1434;

														BgL_phiz00_1434 = CDR(BgL_phiz00_843);
														BgL_stopzf3zf3_1436 = BgL_stopzf3zf3_853;
														BgL_gsz00_1437 = BgL_gsz00_854;
														BgL_gsz00_845 = BgL_gsz00_1437;
														BgL_stopzf3zf3_844 = BgL_stopzf3zf3_1436;
														BgL_phiz00_843 = BgL_phiz00_1434;
														goto BgL_liipz00_846;
													}
												else
													{	/* Integrate/g.scm 61 */
														obj_t BgL_gz00_858;

														BgL_gz00_858 = CAR(BgL_ctz00_852);
														{	/* Integrate/g.scm 61 */
															BgL_valuez00_bglt BgL_gifz00_859;

															{
																BgL_variablez00_bglt BgL_auxz00_1439;

																BgL_auxz00_1439 =
																	(BgL_variablez00_bglt) (BgL_gz00_858);
																BgL_gifz00_859 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_auxz00_1439))->BgL_valuez00);
															}
															{	/* Integrate/g.scm 62 */

																if ((BgL_fz00_849 == BgL_gz00_858))
																	{
																		obj_t BgL_ctz00_1444;

																		BgL_ctz00_1444 = CDR(BgL_ctz00_852);
																		BgL_ctz00_852 = BgL_ctz00_1444;
																		goto BgL_laapz00_855;
																	}
																else
																	{	/* Integrate/g.scm 73 */
																		bool_t BgL_testz00_1446;

																		{	/* Integrate/g.scm 73 */
																			BgL_sfunzf2iinfozf2_bglt
																				BgL_obj3296z00_1331;
																			BgL_obj3296z00_1331 =
																				(BgL_sfunzf2iinfozf2_bglt)
																				(BgL_gifz00_859);
																			{
																				obj_t BgL_auxz00_1448;

																				{	/* Integrate/g.scm 73 */
																					BgL_objectz00_bglt BgL_auxz00_1449;

																					BgL_auxz00_1449 =
																						(BgL_objectz00_bglt)
																						(BgL_obj3296z00_1331);
																					BgL_auxz00_1448 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_1449);
																				}
																				BgL_testz00_1446 =
																					(((BgL_sfunzf2iinfozf2_bglt)
																						CREF(BgL_auxz00_1448))->
																					BgL_gzf3zf3);
																			}
																		}
																		if (BgL_testz00_1446)
																			{
																				obj_t BgL_ctz00_1453;

																				BgL_ctz00_1453 = CDR(BgL_ctz00_852);
																				BgL_ctz00_852 = BgL_ctz00_1453;
																				goto BgL_laapz00_855;
																			}
																		else
																			{	/* Integrate/g.scm 75 */
																				bool_t BgL_testz00_1455;

																				{	/* Integrate/g.scm 75 */
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_obj3296z00_1333;
																					BgL_obj3296z00_1333 =
																						(BgL_sfunzf2iinfozf2_bglt)
																						(BgL_fifz00_850);
																					{
																						obj_t BgL_auxz00_1457;

																						{	/* Integrate/g.scm 75 */
																							BgL_objectz00_bglt
																								BgL_auxz00_1458;
																							BgL_auxz00_1458 =
																								(BgL_objectz00_bglt)
																								(BgL_obj3296z00_1333);
																							BgL_auxz00_1457 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_1458);
																						}
																						BgL_testz00_1455 =
																							(((BgL_sfunzf2iinfozf2_bglt)
																								CREF(BgL_auxz00_1457))->
																							BgL_gzf3zf3);
																					}
																				}
																				if (BgL_testz00_1455)
																					{	/* Integrate/g.scm 77 */
																						bool_t BgL_testz00_1462;

																						{	/* Integrate/g.scm 77 */
																							obj_t BgL_arg3396z00_872;

																							{	/* Integrate/g.scm 77 */
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_obj3299z00_1334;
																								BgL_obj3299z00_1334 =
																									(BgL_sfunzf2iinfozf2_bglt)
																									(BgL_gifz00_859);
																								{
																									obj_t BgL_auxz00_1464;

																									{	/* Integrate/g.scm 77 */
																										BgL_objectz00_bglt
																											BgL_auxz00_1465;
																										BgL_auxz00_1465 =
																											(BgL_objectz00_bglt)
																											(BgL_obj3299z00_1334);
																										BgL_auxz00_1464 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_1465);
																									}
																									BgL_arg3396z00_872 =
																										(((BgL_sfunzf2iinfozf2_bglt)
																											CREF(BgL_auxz00_1464))->
																										BgL_lz00);
																								}
																							}
																							BgL_testz00_1462 =
																								BGl_iszd2azf3z21zz__objectz00
																								(BgL_arg3396z00_872,
																								BGl_variablez00zzast_varz00);
																						}
																						if (BgL_testz00_1462)
																							{	/* Integrate/g.scm 84 */
																								bool_t BgL_testz00_1470;

																								{	/* Integrate/g.scm 84 */
																									obj_t BgL_auxz00_1471;

																									{	/* Integrate/g.scm 84 */
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_obj3299z00_1336;
																										BgL_obj3299z00_1336 =
																											(BgL_sfunzf2iinfozf2_bglt)
																											(BgL_gifz00_859);
																										{
																											obj_t BgL_auxz00_1473;

																											{	/* Integrate/g.scm 84 */
																												BgL_objectz00_bglt
																													BgL_auxz00_1474;
																												BgL_auxz00_1474 =
																													(BgL_objectz00_bglt)
																													(BgL_obj3299z00_1336);
																												BgL_auxz00_1473 =
																													BGL_OBJECT_WIDENING
																													(BgL_auxz00_1474);
																											}
																											BgL_auxz00_1471 =
																												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1473))->BgL_lz00);
																										}
																									}
																									BgL_testz00_1470 =
																										(BgL_auxz00_1471 ==
																										BgL_fz00_849);
																								}
																								if (BgL_testz00_1470)
																									{
																										obj_t BgL_ctz00_1479;

																										BgL_ctz00_1479 =
																											CDR(BgL_ctz00_852);
																										BgL_ctz00_852 =
																											BgL_ctz00_1479;
																										goto BgL_laapz00_855;
																									}
																								else
																									{	/* Integrate/g.scm 84 */
																										{	/* Integrate/g.scm 87 */
																											BgL_sfunzf2iinfozf2_bglt
																												BgL_obj3298z00_1338;
																											bool_t
																												BgL_val3297z00_1339;
																											BgL_obj3298z00_1338 =
																												(BgL_sfunzf2iinfozf2_bglt)
																												(BgL_gifz00_859);
																											BgL_val3297z00_1339 =
																												((bool_t) 1);
																											{
																												obj_t BgL_auxz00_1482;

																												{	/* Integrate/g.scm 87 */
																													BgL_objectz00_bglt
																														BgL_auxz00_1483;
																													BgL_auxz00_1483 =
																														(BgL_objectz00_bglt)
																														(BgL_obj3298z00_1338);
																													BgL_auxz00_1482 =
																														BGL_OBJECT_WIDENING
																														(BgL_auxz00_1483);
																												}
																												((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1482))->BgL_gzf3zf3) = ((bool_t) BgL_val3297z00_1339), BUNSPEC);
																											}
																										}
																										{	/* Integrate/g.scm 91 */
																											obj_t BgL_arg3392z00_868;

																											obj_t BgL_arg3393z00_869;

																											BgL_arg3392z00_868 =
																												CDR(BgL_ctz00_852);
																											BgL_arg3393z00_869 =
																												MAKE_PAIR(BgL_gz00_858,
																												BgL_gsz00_854);
																											{
																												obj_t BgL_gsz00_1491;

																												bool_t
																													BgL_stopzf3zf3_1490;
																												obj_t BgL_ctz00_1489;

																												BgL_ctz00_1489 =
																													BgL_arg3392z00_868;
																												BgL_stopzf3zf3_1490 =
																													((bool_t) 0);
																												BgL_gsz00_1491 =
																													BgL_arg3393z00_869;
																												BgL_gsz00_854 =
																													BgL_gsz00_1491;
																												BgL_stopzf3zf3_853 =
																													BgL_stopzf3zf3_1490;
																												BgL_ctz00_852 =
																													BgL_ctz00_1489;
																												goto BgL_laapz00_855;
																											}
																										}
																									}
																							}
																						else
																							{	/* Integrate/g.scm 77 */
																								{	/* Integrate/g.scm 82 */
																									BgL_sfunzf2iinfozf2_bglt
																										BgL_obj3301z00_1341;
																									obj_t BgL_val3300z00_1342;

																									BgL_obj3301z00_1341 =
																										(BgL_sfunzf2iinfozf2_bglt)
																										(BgL_gifz00_859);
																									BgL_val3300z00_1342 =
																										BgL_fz00_849;
																									{
																										obj_t BgL_auxz00_1493;

																										{	/* Integrate/g.scm 82 */
																											BgL_objectz00_bglt
																												BgL_auxz00_1494;
																											BgL_auxz00_1494 =
																												(BgL_objectz00_bglt)
																												(BgL_obj3301z00_1341);
																											BgL_auxz00_1493 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_1494);
																										}
																										((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1493))->BgL_lz00) = ((obj_t) BgL_val3300z00_1342), BUNSPEC);
																									}
																								}
																								{
																									bool_t BgL_stopzf3zf3_1500;

																									obj_t BgL_ctz00_1498;

																									BgL_ctz00_1498 =
																										CDR(BgL_ctz00_852);
																									BgL_stopzf3zf3_1500 =
																										((bool_t) 0);
																									BgL_stopzf3zf3_853 =
																										BgL_stopzf3zf3_1500;
																									BgL_ctz00_852 =
																										BgL_ctz00_1498;
																									goto BgL_laapz00_855;
																								}
																							}
																					}
																				else
																					{	/* Integrate/g.scm 92 */
																						bool_t BgL_testz00_1501;

																						{	/* Integrate/g.scm 92 */
																							obj_t BgL_arg3415z00_894;

																							{	/* Integrate/g.scm 92 */
																								BgL_sfunzf2iinfozf2_bglt
																									BgL_obj3299z00_1344;
																								BgL_obj3299z00_1344 =
																									(BgL_sfunzf2iinfozf2_bglt)
																									(BgL_gifz00_859);
																								{
																									obj_t BgL_auxz00_1503;

																									{	/* Integrate/g.scm 92 */
																										BgL_objectz00_bglt
																											BgL_auxz00_1504;
																										BgL_auxz00_1504 =
																											(BgL_objectz00_bglt)
																											(BgL_obj3299z00_1344);
																										BgL_auxz00_1503 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_1504);
																									}
																									BgL_arg3415z00_894 =
																										(((BgL_sfunzf2iinfozf2_bglt)
																											CREF(BgL_auxz00_1503))->
																										BgL_lz00);
																								}
																							}
																							BgL_testz00_1501 =
																								BGl_iszd2azf3z21zz__objectz00
																								(BgL_arg3415z00_894,
																								BGl_variablez00zzast_varz00);
																						}
																						if (BgL_testz00_1501)
																							{	/* Integrate/g.scm 116 */
																								bool_t BgL_testz00_1509;

																								{	/* Integrate/g.scm 116 */
																									obj_t BgL_arg3407z00_883;

																									{	/* Integrate/g.scm 116 */
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_obj3299z00_1346;
																										BgL_obj3299z00_1346 =
																											(BgL_sfunzf2iinfozf2_bglt)
																											(BgL_fifz00_850);
																										{
																											obj_t BgL_auxz00_1511;

																											{	/* Integrate/g.scm 116 */
																												BgL_objectz00_bglt
																													BgL_auxz00_1512;
																												BgL_auxz00_1512 =
																													(BgL_objectz00_bglt)
																													(BgL_obj3299z00_1346);
																												BgL_auxz00_1511 =
																													BGL_OBJECT_WIDENING
																													(BgL_auxz00_1512);
																											}
																											BgL_arg3407z00_883 =
																												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1511))->BgL_lz00);
																										}
																									}
																									BgL_testz00_1509 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_arg3407z00_883,
																										BGl_variablez00zzast_varz00);
																								}
																								if (BgL_testz00_1509)
																									{	/* Integrate/g.scm 124 */
																										bool_t BgL_testz00_1517;

																										{	/* Integrate/g.scm 124 */
																											obj_t BgL_auxz00_1525;

																											obj_t BgL_auxz00_1518;

																											{	/* Integrate/g.scm 124 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3299z00_1349;
																												BgL_obj3299z00_1349 =
																													(BgL_sfunzf2iinfozf2_bglt)
																													(BgL_gifz00_859);
																												{
																													obj_t BgL_auxz00_1527;

																													{	/* Integrate/g.scm 124 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1528;
																														BgL_auxz00_1528 =
																															(BgL_objectz00_bglt)
																															(BgL_obj3299z00_1349);
																														BgL_auxz00_1527 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1528);
																													}
																													BgL_auxz00_1525 =
																														(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1527))->BgL_lz00);
																												}
																											}
																											{	/* Integrate/g.scm 124 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3299z00_1348;
																												BgL_obj3299z00_1348 =
																													(BgL_sfunzf2iinfozf2_bglt)
																													(BgL_fifz00_850);
																												{
																													obj_t BgL_auxz00_1520;

																													{	/* Integrate/g.scm 124 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1521;
																														BgL_auxz00_1521 =
																															(BgL_objectz00_bglt)
																															(BgL_obj3299z00_1348);
																														BgL_auxz00_1520 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1521);
																													}
																													BgL_auxz00_1518 =
																														(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1520))->BgL_lz00);
																												}
																											}
																											BgL_testz00_1517 =
																												(BgL_auxz00_1518 ==
																												BgL_auxz00_1525);
																										}
																										if (BgL_testz00_1517)
																											{	/* Integrate/g.scm 124 */
																												{
																													obj_t BgL_ctz00_1533;

																													BgL_ctz00_1533 =
																														CDR(BgL_ctz00_852);
																													BgL_ctz00_852 =
																														BgL_ctz00_1533;
																													goto BgL_laapz00_855;
																												}
																											}
																										else
																											{	/* Integrate/g.scm 124 */
																												{	/* Integrate/g.scm 130 */
																													BgL_sfunzf2iinfozf2_bglt
																														BgL_obj3298z00_1351;
																													bool_t
																														BgL_val3297z00_1352;
																													BgL_obj3298z00_1351 =
																														(BgL_sfunzf2iinfozf2_bglt)
																														(BgL_gifz00_859);
																													BgL_val3297z00_1352 =
																														((bool_t) 1);
																													{
																														obj_t
																															BgL_auxz00_1536;
																														{	/* Integrate/g.scm 130 */
																															BgL_objectz00_bglt
																																BgL_auxz00_1537;
																															BgL_auxz00_1537 =
																																(BgL_objectz00_bglt)
																																(BgL_obj3298z00_1351);
																															BgL_auxz00_1536 =
																																BGL_OBJECT_WIDENING
																																(BgL_auxz00_1537);
																														}
																														((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1536))->BgL_gzf3zf3) = ((bool_t) BgL_val3297z00_1352), BUNSPEC);
																													}
																												}
																												{	/* Integrate/g.scm 133 */
																													obj_t
																														BgL_arg3401z00_877;
																													obj_t
																														BgL_arg3402z00_878;
																													BgL_arg3401z00_877 =
																														CDR(BgL_ctz00_852);
																													BgL_arg3402z00_878 =
																														MAKE_PAIR
																														(BgL_gz00_858,
																														BgL_gsz00_854);
																													{
																														obj_t
																															BgL_gsz00_1545;
																														bool_t
																															BgL_stopzf3zf3_1544;
																														obj_t
																															BgL_ctz00_1543;
																														BgL_ctz00_1543 =
																															BgL_arg3401z00_877;
																														BgL_stopzf3zf3_1544
																															= ((bool_t) 0);
																														BgL_gsz00_1545 =
																															BgL_arg3402z00_878;
																														BgL_gsz00_854 =
																															BgL_gsz00_1545;
																														BgL_stopzf3zf3_853 =
																															BgL_stopzf3zf3_1544;
																														BgL_ctz00_852 =
																															BgL_ctz00_1543;
																														goto
																															BgL_laapz00_855;
																													}
																												}
																											}
																									}
																								else
																									{	/* Integrate/g.scm 116 */
																										{	/* Integrate/g.scm 122 */
																											obj_t BgL_arg3405z00_881;

																											{	/* Integrate/g.scm 122 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3299z00_1354;
																												BgL_obj3299z00_1354 =
																													(BgL_sfunzf2iinfozf2_bglt)
																													(BgL_gifz00_859);
																												{
																													obj_t BgL_auxz00_1547;

																													{	/* Integrate/g.scm 122 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1548;
																														BgL_auxz00_1548 =
																															(BgL_objectz00_bglt)
																															(BgL_obj3299z00_1354);
																														BgL_auxz00_1547 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1548);
																													}
																													BgL_arg3405z00_881 =
																														(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1547))->BgL_lz00);
																												}
																											}
																											{	/* Integrate/g.scm 122 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3301z00_1355;
																												obj_t
																													BgL_val3300z00_1356;
																												BgL_obj3301z00_1355 =
																													(BgL_sfunzf2iinfozf2_bglt)
																													(BgL_fifz00_850);
																												BgL_val3300z00_1356 =
																													BgL_arg3405z00_881;
																												{
																													obj_t BgL_auxz00_1553;

																													{	/* Integrate/g.scm 122 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1554;
																														BgL_auxz00_1554 =
																															(BgL_objectz00_bglt)
																															(BgL_obj3301z00_1355);
																														BgL_auxz00_1553 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1554);
																													}
																													((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1553))->BgL_lz00) = ((obj_t) BgL_val3300z00_1356), BUNSPEC);
																												}
																											}
																										}
																										{
																											bool_t
																												BgL_stopzf3zf3_1560;
																											obj_t BgL_ctz00_1558;

																											BgL_ctz00_1558 =
																												CDR(BgL_ctz00_852);
																											BgL_stopzf3zf3_1560 =
																												((bool_t) 0);
																											BgL_stopzf3zf3_853 =
																												BgL_stopzf3zf3_1560;
																											BgL_ctz00_852 =
																												BgL_ctz00_1558;
																											goto BgL_laapz00_855;
																										}
																									}
																							}
																						else
																							{	/* Integrate/g.scm 94 */
																								bool_t BgL_testz00_1561;

																								{	/* Integrate/g.scm 94 */
																									obj_t BgL_arg3414z00_893;

																									{	/* Integrate/g.scm 94 */
																										BgL_sfunzf2iinfozf2_bglt
																											BgL_obj3299z00_1358;
																										BgL_obj3299z00_1358 =
																											(BgL_sfunzf2iinfozf2_bglt)
																											(BgL_fifz00_850);
																										{
																											obj_t BgL_auxz00_1563;

																											{	/* Integrate/g.scm 94 */
																												BgL_objectz00_bglt
																													BgL_auxz00_1564;
																												BgL_auxz00_1564 =
																													(BgL_objectz00_bglt)
																													(BgL_obj3299z00_1358);
																												BgL_auxz00_1563 =
																													BGL_OBJECT_WIDENING
																													(BgL_auxz00_1564);
																											}
																											BgL_arg3414z00_893 =
																												(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1563))->BgL_lz00);
																										}
																									}
																									BgL_testz00_1561 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_arg3414z00_893,
																										BGl_variablez00zzast_varz00);
																								}
																								if (BgL_testz00_1561)
																									{	/* Integrate/g.scm 94 */
																										{	/* Integrate/g.scm 95 */
																											obj_t BgL_arg3409z00_885;

																											{	/* Integrate/g.scm 95 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3299z00_1360;
																												BgL_obj3299z00_1360 =
																													(BgL_sfunzf2iinfozf2_bglt)
																													(BgL_fifz00_850);
																												{
																													obj_t BgL_auxz00_1570;

																													{	/* Integrate/g.scm 95 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1571;
																														BgL_auxz00_1571 =
																															(BgL_objectz00_bglt)
																															(BgL_obj3299z00_1360);
																														BgL_auxz00_1570 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1571);
																													}
																													BgL_arg3409z00_885 =
																														(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1570))->BgL_lz00);
																												}
																											}
																											{	/* Integrate/g.scm 95 */
																												BgL_sfunzf2iinfozf2_bglt
																													BgL_obj3301z00_1361;
																												obj_t
																													BgL_val3300z00_1362;
																												BgL_obj3301z00_1361 =
																													(BgL_sfunzf2iinfozf2_bglt)
																													(BgL_gifz00_859);
																												BgL_val3300z00_1362 =
																													BgL_arg3409z00_885;
																												{
																													obj_t BgL_auxz00_1576;

																													{	/* Integrate/g.scm 95 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1577;
																														BgL_auxz00_1577 =
																															(BgL_objectz00_bglt)
																															(BgL_obj3301z00_1361);
																														BgL_auxz00_1576 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1577);
																													}
																													((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1576))->BgL_lz00) = ((obj_t) BgL_val3300z00_1362), BUNSPEC);
																												}
																											}
																										}
																										{
																											bool_t
																												BgL_stopzf3zf3_1583;
																											obj_t BgL_ctz00_1581;

																											BgL_ctz00_1581 =
																												CDR(BgL_ctz00_852);
																											BgL_stopzf3zf3_1583 =
																												((bool_t) 0);
																											BgL_stopzf3zf3_853 =
																												BgL_stopzf3zf3_1583;
																											BgL_ctz00_852 =
																												BgL_ctz00_1581;
																											goto BgL_laapz00_855;
																										}
																									}
																								else
																									{	/* Integrate/g.scm 103 */
																										bool_t BgL_stopzf3zf3_887;

																										if (BgL_stopzf3zf3_853)
																											{	/* Integrate/g.scm 105 */
																												bool_t BgL_testz00_1585;

																												{	/* Integrate/g.scm 105 */
																													obj_t BgL_auxz00_1586;

																													{	/* Integrate/g.scm 105 */
																														BgL_sfunzf2iinfozf2_bglt
																															BgL_obj3305z00_1364;
																														BgL_obj3305z00_1364
																															=
																															(BgL_sfunzf2iinfozf2_bglt)
																															(BgL_fifz00_850);
																														{
																															obj_t
																																BgL_auxz00_1588;
																															{	/* Integrate/g.scm 105 */
																																BgL_objectz00_bglt
																																	BgL_auxz00_1589;
																																BgL_auxz00_1589
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_obj3305z00_1364);
																																BgL_auxz00_1588
																																	=
																																	BGL_OBJECT_WIDENING
																																	(BgL_auxz00_1589);
																															}
																															BgL_auxz00_1586 =
																																(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1588))->BgL_istampz00);
																														}
																													}
																													BgL_testz00_1585 =
																														INTEGERP
																														(BgL_auxz00_1586);
																												}
																												if (BgL_testz00_1585)
																													{	/* Integrate/g.scm 107 */
																														long
																															BgL_auxz00_1594;
																														{	/* Integrate/g.scm 107 */
																															BgL_sfunzf2iinfozf2_bglt
																																BgL_obj3305z00_1366;
																															BgL_obj3305z00_1366
																																=
																																(BgL_sfunzf2iinfozf2_bglt)
																																(BgL_fifz00_850);
																															{	/* Integrate/g.scm 107 */
																																obj_t
																																	BgL_auxz00_1596;
																																{
																																	obj_t
																																		BgL_auxz00_1597;
																																	{	/* Integrate/g.scm 107 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_1598;
																																		BgL_auxz00_1598
																																			=
																																			(BgL_objectz00_bglt)
																																			(BgL_obj3305z00_1366);
																																		BgL_auxz00_1597
																																			=
																																			BGL_OBJECT_WIDENING
																																			(BgL_auxz00_1598);
																																	}
																																	BgL_auxz00_1596
																																		=
																																		(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1597))->BgL_istampz00);
																																}
																																BgL_auxz00_1594
																																	=
																																	(long)
																																	CINT
																																	(BgL_auxz00_1596);
																														}}
																														BgL_stopzf3zf3_887 =
																															(BgL_auxz00_1594
																															<=
																															BgL_stampz00_832);
																													}
																												else
																													{	/* Integrate/g.scm 105 */
																														BgL_stopzf3zf3_887 =
																															((bool_t) 0);
																													}
																											}
																										else
																											{	/* Integrate/g.scm 103 */
																												BgL_stopzf3zf3_887 =
																													((bool_t) 0);
																											}
																										{	/* Integrate/g.scm 114 */
																											BgL_sfunzf2iinfozf2_bglt
																												BgL_obj3307z00_1369;
																											obj_t BgL_val3306z00_1370;

																											BgL_obj3307z00_1369 =
																												(BgL_sfunzf2iinfozf2_bglt)
																												(BgL_fifz00_850);
																											BgL_val3306z00_1370 =
																												BINT(BgL_stampz00_832);
																											{
																												obj_t BgL_auxz00_1606;

																												{	/* Integrate/g.scm 114 */
																													BgL_objectz00_bglt
																														BgL_auxz00_1607;
																													BgL_auxz00_1607 =
																														(BgL_objectz00_bglt)
																														(BgL_obj3307z00_1369);
																													BgL_auxz00_1606 =
																														BGL_OBJECT_WIDENING
																														(BgL_auxz00_1607);
																												}
																												((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1606))->BgL_istampz00) = ((obj_t) BgL_val3306z00_1370), BUNSPEC);
																											}
																										}
																										{
																											bool_t
																												BgL_stopzf3zf3_1613;
																											obj_t BgL_ctz00_1611;

																											BgL_ctz00_1611 =
																												CDR(BgL_ctz00_852);
																											BgL_stopzf3zf3_1613 =
																												BgL_stopzf3zf3_887;
																											BgL_stopzf3zf3_853 =
																												BgL_stopzf3zf3_1613;
																											BgL_ctz00_852 =
																												BgL_ctz00_1611;
																											goto BgL_laapz00_855;
																										}
																									}
																							}
																					}
																			}
																	}
															}
														}
													}
											}
										}
									}
								}
							}
					}
			}
		}
	}



/* _G! */
	obj_t BGl__Gz12z12zzintegrate_gz00(obj_t BgL_envz00_1386,
		obj_t BgL_gzf2cnzf2_1387)
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 32 */
			return BGl_Gz12z12zzintegrate_gz00(BgL_gzf2cnzf2_1387);
		}
	}



/* integrate-remaining-local-functions! */
	bool_t BGl_integratezd2remainingzd2localzd2functionsz12zc0zzintegrate_gz00()
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 143 */
			{
				obj_t BgL_l3373z00_895;

				BgL_l3373z00_895 = BGl_za2phiza2z00zzintegrate_az00;
			BgL_forzd2each3374zd2_896:
				if (PAIRP(BgL_l3373z00_895))
					{	/* Integrate/g.scm 144 */
						{	/* Integrate/g.scm 145 */
							obj_t BgL_fz00_898;

							BgL_fz00_898 = CAR(BgL_l3373z00_895);
							{	/* Integrate/g.scm 145 */
								bool_t BgL_testz00_1618;

								if (BGl_iszd2azf3z21zz__objectz00(BgL_fz00_898,
										BGl_localz00zzast_varz00))
									{	/* Integrate/g.scm 146 */
										bool_t BgL_testz00_1621;

										{	/* Integrate/g.scm 146 */
											BgL_sfunzf2iinfozf2_bglt BgL_obj3296z00_1376;

											{	/* Integrate/g.scm 146 */
												BgL_variablez00_bglt BgL_obj1486z00_1375;

												BgL_obj1486z00_1375 =
													(BgL_variablez00_bglt) (BgL_fz00_898);
												BgL_obj3296z00_1376 =
													(BgL_sfunzf2iinfozf2_bglt) (
													(((BgL_variablez00_bglt) CREF(BgL_obj1486z00_1375))->
														BgL_valuez00));
											}
											{
												obj_t BgL_auxz00_1625;

												{	/* Integrate/g.scm 146 */
													BgL_objectz00_bglt BgL_auxz00_1626;

													BgL_auxz00_1626 =
														(BgL_objectz00_bglt) (BgL_obj3296z00_1376);
													BgL_auxz00_1625 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1626);
												}
												BgL_testz00_1621 =
													(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1625))->
													BgL_gzf3zf3);
											}
										}
										if (BgL_testz00_1621)
											{	/* Integrate/g.scm 146 */
												BgL_testz00_1618 = ((bool_t) 0);
											}
										else
											{	/* Integrate/g.scm 147 */
												bool_t BgL_testz00_1630;

												{	/* Integrate/g.scm 147 */
													obj_t BgL_arg3424z00_906;

													{	/* Integrate/g.scm 147 */
														BgL_sfunzf2iinfozf2_bglt BgL_obj3299z00_1378;

														{	/* Integrate/g.scm 147 */
															BgL_variablez00_bglt BgL_obj1486z00_1377;

															BgL_obj1486z00_1377 =
																(BgL_variablez00_bglt) (BgL_fz00_898);
															BgL_obj3299z00_1378 =
																(BgL_sfunzf2iinfozf2_bglt) (
																(((BgL_variablez00_bglt)
																		CREF(BgL_obj1486z00_1377))->BgL_valuez00));
														}
														{
															obj_t BgL_auxz00_1634;

															{	/* Integrate/g.scm 147 */
																BgL_objectz00_bglt BgL_auxz00_1635;

																BgL_auxz00_1635 =
																	(BgL_objectz00_bglt) (BgL_obj3299z00_1378);
																BgL_auxz00_1634 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1635);
															}
															BgL_arg3424z00_906 =
																(((BgL_sfunzf2iinfozf2_bglt)
																	CREF(BgL_auxz00_1634))->BgL_lz00);
														}
													}
													BgL_testz00_1630 =
														BGl_iszd2azf3z21zz__objectz00(BgL_arg3424z00_906,
														BGl_variablez00zzast_varz00);
												}
												if (BgL_testz00_1630)
													{	/* Integrate/g.scm 147 */
														BgL_testz00_1618 = ((bool_t) 0);
													}
												else
													{	/* Integrate/g.scm 147 */
														BgL_testz00_1618 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Integrate/g.scm 145 */
										BgL_testz00_1618 = ((bool_t) 0);
									}
								if (BgL_testz00_1618)
									{	/* Integrate/g.scm 145 */
										{	/* Integrate/g.scm 153 */
											BgL_valuez00_bglt BgL_arg3418z00_900;

											obj_t BgL_arg3419z00_901;

											{
												BgL_variablez00_bglt BgL_auxz00_1640;

												BgL_auxz00_1640 = (BgL_variablez00_bglt) (BgL_fz00_898);
												BgL_arg3418z00_900 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_1640))->
													BgL_valuez00);
											}
											{	/* Integrate/g.scm 154 */
												BgL_sfunzf2iinfozf2_bglt BgL_obj3263z00_1382;

												{	/* Integrate/g.scm 154 */
													BgL_variablez00_bglt BgL_obj1486z00_1381;

													BgL_obj1486z00_1381 =
														(BgL_variablez00_bglt) (BgL_fz00_898);
													BgL_obj3263z00_1382 =
														(BgL_sfunzf2iinfozf2_bglt) (
														(((BgL_variablez00_bglt)
																CREF(BgL_obj1486z00_1381))->BgL_valuez00));
												}
												{
													obj_t BgL_auxz00_1646;

													{	/* Integrate/g.scm 154 */
														BgL_objectz00_bglt BgL_auxz00_1647;

														BgL_auxz00_1647 =
															(BgL_objectz00_bglt) (BgL_obj3263z00_1382);
														BgL_auxz00_1646 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1647);
													}
													BgL_arg3419z00_901 =
														(((BgL_sfunzf2iinfozf2_bglt)
															CREF(BgL_auxz00_1646))->BgL_ownerz00);
												}
											}
											{	/* Integrate/g.scm 153 */
												BgL_sfunzf2iinfozf2_bglt BgL_obj3301z00_1383;

												obj_t BgL_val3300z00_1384;

												BgL_obj3301z00_1383 =
													(BgL_sfunzf2iinfozf2_bglt) (BgL_arg3418z00_900);
												BgL_val3300z00_1384 = BgL_arg3419z00_901;
												{
													obj_t BgL_auxz00_1652;

													{	/* Integrate/g.scm 153 */
														BgL_objectz00_bglt BgL_auxz00_1653;

														BgL_auxz00_1653 =
															(BgL_objectz00_bglt) (BgL_obj3301z00_1383);
														BgL_auxz00_1652 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1653);
													}
													((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_1652))->
															BgL_lz00) =
														((obj_t) BgL_val3300z00_1384), BUNSPEC);
												}
											}
										}
									}
								else
									{	/* Integrate/g.scm 145 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l3373z00_1657;

							BgL_l3373z00_1657 = CDR(BgL_l3373z00_895);
							BgL_l3373z00_895 = BgL_l3373z00_1657;
							goto BgL_forzd2each3374zd2_896;
						}
					}
				else
					{	/* Integrate/g.scm 144 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_gz00()
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_gz00()
	{
		AN_OBJECT;
		{	/* Integrate/g.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3478z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3478z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3478z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3478z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3478z00zzintegrate_gz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3478z00zzintegrate_gz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_az00(((long) 408271643),
				BSTRING_TO_STRING(BGl_string3478z00zzintegrate_gz00));
		}
	}

#ifdef __cplusplus
}
#endif
