/*===========================================================================*/
/*   (Module/include.scm)                                                    */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/include.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	static obj_t BGl__includezd2producerzd2zzmodule_includez00(obj_t, obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	static obj_t
		BGl__getzd2includezd2consumedzd2codezd2zzmodule_includez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_includez00 = BUNSPEC;
	static obj_t BGl_za2toplevelzd2unitza2zd2zzmodule_includez00 = BUNSPEC;
	static obj_t BGl__includezd2consumer1463zd2zzmodule_includez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00();
	static obj_t BGl_includezd2finaliza7erz75zzmodule_includez00();
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl__getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00(obj_t);
	static obj_t BGl__makezd2includezd2compilerz00zzmodule_includez00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_includez00();
	BGL_EXPORTED_DECL obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
	static obj_t BGl_za2producedzd2codeza2zd2zzmodule_includez00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_includez00();
	static obj_t BGl__includezd2finaliza7erz75zzmodule_includez00(obj_t);
	extern obj_t BGl_readzd2includezd2zzread_includez00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2consumedzd2codeza2zd2zzmodule_includez00 = BUNSPEC;
	static obj_t
		BGl__resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_includez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzmodule_includez00();
	static obj_t BGl__getzd2toplevelzd2unitz00zzmodule_includez00(obj_t);
	static obj_t BGl_includezd2consumerzd2zzmodule_includez00(obj_t, obj_t);
	static obj_t BGl_includezd2producerzd2zzmodule_includez00(obj_t);
	static obj_t
		BGl__resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00(obj_t);
	static obj_t BGl_za2consumedzd2directiveza2zd2zzmodule_includez00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
	extern obj_t BGl_consumezd2modulezd2clausez12z12zzmodule_modulez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2includezd2compilerz00zzmodule_includez00();
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00();
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	extern BgL_ccompz00_bglt BGl_makezd2ccompzd2zzmodule_modulez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl__getzd2includezd2consumedzd2directivezd2zzmodule_includez00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_includez00();
	static obj_t BGl_methodzd2initzd2zzmodule_includez00();
	BGL_EXPORTED_DECL obj_t
		BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00();
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2includezd2compilerzd2envzd2zzmodule_includez00,
		BgL_bgl__makeza7d2includeza71470z00,
		BGl__makezd2includezd2compilerz00zzmodule_includez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2includezd2consumedzd2codez12zd2envz12zzmodule_includez00,
		BgL_bgl__resetza7d2include1471za7,
		BGl__resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1464z00zzmodule_includez00,
		BgL_bgl_string1464za700za7za7m1472za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1465z00zzmodule_includez00,
		BgL_bgl_string1465za700za7za7m1473za7, "Illegal `include' clause", 24);
	      DEFINE_STRING(BGl_string1466z00zzmodule_includez00,
		BgL_bgl_string1466za700za7za7m1474za7, "module_include", 14);
	      DEFINE_STRING(BGl_string1467z00zzmodule_includez00,
		BgL_bgl_string1467za700za7za7m1475za7, "unit toplevel include ", 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2includezd2consumedzd2directivezd2envz00zzmodule_includez00,
		BgL_bgl__getza7d2includeza7d1476z00,
		BGl__getzd2includezd2consumedzd2directivezd2zzmodule_includez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_includezd2finaliza7erzd2envza7zzmodule_includez00,
		BgL_bgl__includeza7d2final1477za7,
		BGl__includezd2finaliza7erz75zzmodule_includez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2includezd2consumedzd2codezd2envz00zzmodule_includez00,
		BgL_bgl__getza7d2includeza7d1478z00,
		BGl__getzd2includezd2consumedzd2codezd2zzmodule_includez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_includezd2consumerzd2envz00zzmodule_includez00,
		BgL_bgl__includeza7d2consu1479za7,
		BGl__includezd2consumer1463zd2zzmodule_includez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2toplevelzd2unitzd2envzd2zzmodule_includez00,
		BgL_bgl__getza7d2toplevelza71480z00,
		BGl__getzd2toplevelzd2unitz00zzmodule_includez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2toplevelzd2unitzd2weightzd2envz00zzmodule_includez00,
		BgL_bgl__getza7d2toplevelza71481z00,
		BGl__getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_includezd2producerzd2envz00zzmodule_includez00,
		BgL_bgl__includeza7d2produ1482za7,
		BGl__includezd2producerzd2zzmodule_includez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2includezd2consumedzd2directivez12zd2envz12zzmodule_includez00,
		BgL_bgl__resetza7d2include1483za7,
		BGl__resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00, 0L,
		BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzmodule_includez00(long
		BgL_checksumz00_247, char *BgL_fromz00_248)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_includez00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_includez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_includez00();
					BGl_cnstzd2initzd2zzmodule_includez00();
					BGl_importedzd2moduleszd2initz00zzmodule_includez00();
					BGl_toplevelzd2initzd2zzmodule_includez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"module_include");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_include");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			{	/* Module/include.scm 15 */
				obj_t BgL_cportz00_239;

				BgL_cportz00_239 =
					bgl_open_input_string(BGl_string1467z00zzmodule_includez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_240;

					BgL_iz00_240 = ((long) 2);
				BgL_loopz00_241:
					if ((BgL_iz00_240 == ((long) -1)))
						{	/* Module/include.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/include.scm 15 */
							{	/* Module/include.scm 15 */
								obj_t BgL_arg1469z00_243;

								{	/* Module/include.scm 15 */

									{	/* Module/include.scm 15 */
										obj_t BgL_locationz00_245;

										BgL_locationz00_245 = BBOOL(((bool_t) 0));
										{	/* Module/include.scm 15 */

											BgL_arg1469z00_243 =
												BGl_readz00zz__readerz00(BgL_cportz00_239,
												BgL_locationz00_245);
										}
									}
								}
								{	/* Module/include.scm 15 */
									int BgL_auxz00_264;

									BgL_auxz00_264 = (int) (BgL_iz00_240);
									CNST_TABLE_SET(BgL_auxz00_264, BgL_arg1469z00_243);
							}}
							{	/* Module/include.scm 15 */
								int BgL_auxz00_246;

								BgL_auxz00_246 = (int) ((BgL_iz00_240 - ((long) 1)));
								{
									long BgL_iz00_269;

									BgL_iz00_269 = (long) (BgL_auxz00_246);
									BgL_iz00_240 = BgL_iz00_269;
									goto BgL_loopz00_241;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			BGl_za2producedzd2codeza2zd2zzmodule_includez00 = BNIL;
			BGl_za2consumedzd2directiveza2zd2zzmodule_includez00 = BNIL;
			BGl_za2consumedzd2codeza2zd2zzmodule_includez00 = BNIL;
			return (BGl_za2toplevelzd2unitza2zd2zzmodule_includez00 =
				BFALSE, BUNSPEC);
		}
	}



/* make-include-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2includezd2compilerz00zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 31 */
			return
				(obj_t) (BGl_makezd2ccompzd2zzmodule_modulez00(CNST_TABLE_REF(((long)
							0)), BGl_includezd2producerzd2envz00zzmodule_includez00,
					BGl_includezd2consumerzd2envz00zzmodule_includez00,
					BGl_includezd2finaliza7erzd2envza7zzmodule_includez00));
		}
	}



/* _make-include-compiler */
	obj_t BGl__makezd2includezd2compilerz00zzmodule_includez00(obj_t
		BgL_envz00_225)
	{
		AN_OBJECT;
		{	/* Module/include.scm 31 */
			return BGl_makezd2includezd2compilerz00zzmodule_includez00();
		}
	}



/* include-producer */
	obj_t BGl_includezd2producerzd2zzmodule_includez00(obj_t BgL_clausez00_19)
	{
		AN_OBJECT;
		{	/* Module/include.scm 45 */
			{

				{	/* Module/include.scm 48 */
					obj_t BgL_g1406z00_83;

					BgL_g1406z00_83 = CDR(BgL_clausez00_19);
					{
						obj_t BgL_filesz00_84;

						BgL_filesz00_84 = BgL_g1406z00_83;
					BgL_loopz00_85:
						if (NULLP(BgL_filesz00_84))
							{	/* Module/include.scm 50 */
								return BNIL;
							}
						else
							{	/* Module/include.scm 50 */
								if (PAIRP(BgL_filesz00_84))
									{	/* Module/include.scm 55 */
										obj_t BgL_filez00_88;

										BgL_filez00_88 = CAR(BgL_filesz00_84);
										if (STRINGP(BgL_filez00_88))
											{	/* Module/include.scm 58 */
												obj_t BgL_srcz00_90;

												BgL_srcz00_90 =
													BGl_readzd2includezd2zzread_includez00
													(BgL_filez00_88);
												{	/* Module/include.scm 58 */
													obj_t BgL_directivez00_91;

													BgL_directivez00_91 = CAR(BgL_srcz00_90);
													{	/* Module/include.scm 59 */
														obj_t BgL_srczd2codezd2_92;

														BgL_srczd2codezd2_92 =
															bgl_reverse_bang(CDR(BgL_srcz00_90));
														{	/* Module/include.scm 60 */

															if (PAIRP(BgL_directivez00_91))
																{	/* Module/include.scm 63 */
																	obj_t BgL_g1411z00_94;

																	BgL_g1411z00_94 = CDR(BgL_directivez00_91);
																	{
																		obj_t BgL_l1408z00_95;

																		BgL_l1408z00_95 = BgL_g1411z00_94;
																	BgL_forzd2each1410zd2_96:
																		if (PAIRP(BgL_l1408z00_95))
																			{	/* Module/include.scm 63 */
																				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																					(CAR(BgL_l1408z00_95));
																				{
																					obj_t BgL_l1408z00_294;

																					BgL_l1408z00_294 =
																						CDR(BgL_l1408z00_95);
																					BgL_l1408z00_95 = BgL_l1408z00_294;
																					goto BgL_forzd2each1410zd2_96;
																				}
																			}
																		else
																			{	/* Module/include.scm 63 */
																				((bool_t) 1);
																			}
																	}
																}
															else
																{	/* Module/include.scm 62 */
																	((bool_t) 0);
																}
															BGl_za2producedzd2codeza2zd2zzmodule_includez00 =
																bgl_append2(BgL_srczd2codezd2_92,
																BGl_za2producedzd2codeza2zd2zzmodule_includez00);
															{
																obj_t BgL_filesz00_297;

																BgL_filesz00_297 = CDR(BgL_filesz00_84);
																BgL_filesz00_84 = BgL_filesz00_297;
																goto BgL_loopz00_85;
															}
														}
													}
												}
											}
										else
											{	/* Module/include.scm 56 */
											BgL_zc3anonymousza31443ze3z83_102:
												{	/* Module/include.scm 47 */
													obj_t BgL_list1444z00_103;

													BgL_list1444z00_103 = MAKE_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string1464z00zzmodule_includez00,
														BGl_string1465z00zzmodule_includez00,
														BgL_clausez00_19, BgL_list1444z00_103);
												}
											}
									}
								else
									{	/* Module/include.scm 52 */
										goto BgL_zc3anonymousza31443ze3z83_102;
									}
							}
					}
				}
			}
		}
	}



/* _include-producer */
	obj_t BGl__includezd2producerzd2zzmodule_includez00(obj_t BgL_envz00_226,
		obj_t BgL_clausez00_227)
	{
		AN_OBJECT;
		{	/* Module/include.scm 45 */
			return BGl_includezd2producerzd2zzmodule_includez00(BgL_clausez00_227);
		}
	}



/* get-include-consumed-directive */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 75 */
			return BGl_za2consumedzd2directiveza2zd2zzmodule_includez00;
		}
	}



/* _get-include-consumed-directive */
	obj_t BGl__getzd2includezd2consumedzd2directivezd2zzmodule_includez00(obj_t
		BgL_envz00_232)
	{
		AN_OBJECT;
		{	/* Module/include.scm 75 */
			return BGl_za2consumedzd2directiveza2zd2zzmodule_includez00;
		}
	}



/* reset-include-consumed-directive! */
	BGL_EXPORTED_DEF obj_t
		BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 81 */
			return (BGl_za2consumedzd2directiveza2zd2zzmodule_includez00 =
				BNIL, BUNSPEC);
		}
	}



/* _reset-include-consumed-directive! */
	obj_t
		BGl__resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00(obj_t
		BgL_envz00_233)
	{
		AN_OBJECT;
		{	/* Module/include.scm 81 */
			return
				BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00();
		}
	}



/* get-include-consumed-code */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 92 */
			return BGl_za2consumedzd2codeza2zd2zzmodule_includez00;
		}
	}



/* _get-include-consumed-code */
	obj_t BGl__getzd2includezd2consumedzd2codezd2zzmodule_includez00(obj_t
		BgL_envz00_234)
	{
		AN_OBJECT;
		{	/* Module/include.scm 92 */
			return BGl_za2consumedzd2codeza2zd2zzmodule_includez00;
		}
	}



/* reset-include-consumed-code! */
	BGL_EXPORTED_DEF obj_t
		BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 98 */
			return (BGl_za2consumedzd2codeza2zd2zzmodule_includez00 = BNIL, BUNSPEC);
		}
	}



/* _reset-include-consumed-code! */
	obj_t BGl__resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00(obj_t
		BgL_envz00_235)
	{
		AN_OBJECT;
		{	/* Module/include.scm 98 */
			return BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00();
		}
	}



/* include-consumer */
	obj_t BGl_includezd2consumerzd2zzmodule_includez00(obj_t BgL_modulez00_20,
		obj_t BgL_clausez00_21)
	{
		AN_OBJECT;
		{	/* Module/include.scm 104 */
			{

				{	/* Module/include.scm 107 */
					obj_t BgL_g1407z00_106;

					BgL_g1407z00_106 = CDR(BgL_clausez00_21);
					{
						obj_t BgL_filesz00_107;

						BgL_filesz00_107 = BgL_g1407z00_106;
					BgL_loopz00_108:
						if (NULLP(BgL_filesz00_107))
							{	/* Module/include.scm 109 */
								return BNIL;
							}
						else
							{	/* Module/include.scm 109 */
								if (PAIRP(BgL_filesz00_107))
									{	/* Module/include.scm 114 */
										obj_t BgL_filez00_111;

										BgL_filez00_111 = CAR(BgL_filesz00_107);
										if (STRINGP(BgL_filez00_111))
											{	/* Module/include.scm 117 */
												obj_t BgL_srcz00_113;

												BgL_srcz00_113 =
													BGl_readzd2includezd2zzread_includez00
													(BgL_filez00_111);
												{	/* Module/include.scm 117 */
													obj_t BgL_directivez00_114;

													BgL_directivez00_114 = CAR(BgL_srcz00_113);
													{	/* Module/include.scm 118 */
														obj_t BgL_srczd2codezd2_115;

														BgL_srczd2codezd2_115 = CDR(BgL_srcz00_113);
														{	/* Module/include.scm 119 */

															if (PAIRP(BgL_directivez00_114))
																{	/* Module/include.scm 123 */
																	obj_t BgL_g1414z00_117;

																	BgL_g1414z00_117 = CDR(BgL_directivez00_114);
																	{
																		obj_t BgL_l1412z00_118;

																		BgL_l1412z00_118 = BgL_g1414z00_117;
																	BgL_forzd2each1413zd2_119:
																		if (PAIRP(BgL_l1412z00_118))
																			{	/* Module/include.scm 123 */
																				{	/* Module/include.scm 125 */
																					obj_t BgL_dz00_121;

																					BgL_dz00_121 = CAR(BgL_l1412z00_118);
																					{	/* Module/include.scm 126 */
																						obj_t BgL_arg1450z00_122;

																						BgL_arg1450z00_122 =
																							BGl_consumezd2modulezd2clausez12z12zzmodule_modulez00
																							(BgL_modulez00_20, BgL_dz00_121);
																						BGl_za2consumedzd2directiveza2zd2zzmodule_includez00
																							=
																							bgl_append2(BgL_arg1450z00_122,
																							BGl_za2consumedzd2directiveza2zd2zzmodule_includez00);
																					}
																				}
																				{
																					obj_t BgL_l1412z00_323;

																					BgL_l1412z00_323 =
																						CDR(BgL_l1412z00_118);
																					BgL_l1412z00_118 = BgL_l1412z00_323;
																					goto BgL_forzd2each1413zd2_119;
																				}
																			}
																		else
																			{	/* Module/include.scm 123 */
																				((bool_t) 1);
																			}
																	}
																}
															else
																{	/* Module/include.scm 122 */
																	((bool_t) 0);
																}
															BGl_za2consumedzd2codeza2zd2zzmodule_includez00 =
																bgl_append2(BgL_srczd2codezd2_115,
																BGl_za2consumedzd2codeza2zd2zzmodule_includez00);
															{
																obj_t BgL_filesz00_326;

																BgL_filesz00_326 = CDR(BgL_filesz00_107);
																BgL_filesz00_107 = BgL_filesz00_326;
																goto BgL_loopz00_108;
															}
														}
													}
												}
											}
										else
											{	/* Module/include.scm 115 */
											BgL_zc3anonymousza31453ze3z83_125:
												{	/* Module/include.scm 106 */
													obj_t BgL_list1454z00_126;

													BgL_list1454z00_126 = MAKE_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string1464z00zzmodule_includez00,
														BGl_string1465z00zzmodule_includez00,
														BgL_clausez00_21, BgL_list1454z00_126);
												}
											}
									}
								else
									{	/* Module/include.scm 111 */
										goto BgL_zc3anonymousza31453ze3z83_125;
									}
							}
					}
				}
			}
		}
	}



/* _include-consumer1463 */
	obj_t BGl__includezd2consumer1463zd2zzmodule_includez00(obj_t BgL_envz00_228,
		obj_t BgL_modulez00_229, obj_t BgL_clausez00_230)
	{
		AN_OBJECT;
		{	/* Module/include.scm 104 */
			return
				BGl_includezd2consumerzd2zzmodule_includez00(BgL_modulez00_229,
				BgL_clausez00_230);
		}
	}



/* get-toplevel-unit */
	BGL_EXPORTED_DEF obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 140 */
			return BGl_za2toplevelzd2unitza2zd2zzmodule_includez00;
		}
	}



/* _get-toplevel-unit */
	obj_t BGl__getzd2toplevelzd2unitz00zzmodule_includez00(obj_t BgL_envz00_236)
	{
		AN_OBJECT;
		{	/* Module/include.scm 140 */
			return BGl_za2toplevelzd2unitza2zd2zzmodule_includez00;
		}
	}



/* get-toplevel-unit-weight */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 147 */
			return BINT(((long) 100));
		}
	}



/* _get-toplevel-unit-weight */
	obj_t BGl__getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00(obj_t
		BgL_envz00_237)
	{
		AN_OBJECT;
		{	/* Module/include.scm 147 */
			return BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
		}
	}



/* include-finalizer */
	obj_t BGl_includezd2finaliza7erz75zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 153 */
			{	/* Module/include.scm 154 */
				obj_t BgL_arg1455z00_128;

				obj_t BgL_arg1458z00_130;

				BgL_arg1455z00_128 = CNST_TABLE_REF(((long) 1));
				BgL_arg1458z00_130 =
					bgl_reverse_bang(BGl_za2producedzd2codeza2zd2zzmodule_includez00);
				{	/* Module/include.scm 154 */
					obj_t BgL_newz00_202;

					BgL_newz00_202 =
						create_struct(CNST_TABLE_REF(((long) 2)), (int) (((long) 4)));
					{	/* Module/include.scm 154 */
						int BgL_auxz00_338;

						BgL_auxz00_338 = (int) (((long) 3));
						STRUCT_SET(BgL_newz00_202, BgL_auxz00_338, BTRUE);
					}
					{	/* Module/include.scm 154 */
						int BgL_auxz00_341;

						BgL_auxz00_341 = (int) (((long) 2));
						STRUCT_SET(BgL_newz00_202, BgL_auxz00_341, BgL_arg1458z00_130);
					}
					{	/* Module/include.scm 154 */
						obj_t BgL_auxz00_346;

						int BgL_auxz00_344;

						BgL_auxz00_346 = BINT(((long) 100));
						BgL_auxz00_344 = (int) (((long) 1));
						STRUCT_SET(BgL_newz00_202, BgL_auxz00_344, BgL_auxz00_346);
					}
					{	/* Module/include.scm 154 */
						int BgL_auxz00_349;

						BgL_auxz00_349 = (int) (((long) 0));
						STRUCT_SET(BgL_newz00_202, BgL_auxz00_349, BgL_arg1455z00_128);
					}
					BGl_za2toplevelzd2unitza2zd2zzmodule_includez00 = BgL_newz00_202;
			}}
			{	/* Module/include.scm 158 */
				obj_t BgL_list1459z00_131;

				BgL_list1459z00_131 =
					MAKE_PAIR(BGl_za2toplevelzd2unitza2zd2zzmodule_includez00, BNIL);
				return BgL_list1459z00_131;
			}
		}
	}



/* _include-finalizer */
	obj_t BGl__includezd2finaliza7erz75zzmodule_includez00(obj_t BgL_envz00_231)
	{
		AN_OBJECT;
		{	/* Module/include.scm 153 */
			return BGl_includezd2finaliza7erz75zzmodule_includez00();
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string1466z00zzmodule_includez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1466z00zzmodule_includez00));
			return
				BGl_modulezd2initializa7ationz75zzread_includez00(((long) 273692333),
				BSTRING_TO_STRING(BGl_string1466z00zzmodule_includez00));
		}
	}

#ifdef __cplusplus
}
#endif
