/*===========================================================================*/
/*   (Module/prototype.scm)                                                  */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/prototype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_parsezd2classzd2zzmodule_prototypez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_prototypez00 = BUNSPEC;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_parsezd2expanderzd2zzmodule_prototypez00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_prototypez00();
	static obj_t BGl_parsezd2variablezd2prototypez00zzmodule_prototypez00(obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_prototypez00();
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	static obj_t BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00(obj_t,
		obj_t);
	static obj_t BGl_parsezd2classzd2slotz00zzmodule_prototypez00(obj_t, obj_t);
	static obj_t BGl_parsezd2macrozd2zzmodule_prototypez00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	static bool_t BGl_correctzd2attributzf3z21zzmodule_prototypez00(obj_t);
	extern bool_t BGl_dssslzd2checkzd2prototypezf3zf3zztools_dssslz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
	static obj_t BGl_parsezd2syntaxzd2zzmodule_prototypez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00;
	static obj_t BGl__parsezd2prototypezd2zzmodule_prototypez00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_typezd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	static obj_t BGl_parsezd2classzd2slotsz00zzmodule_prototypez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_prototypez00();
	static obj_t BGl_methodzd2initzd2zzmodule_prototypez00();
	static obj_t __cnst[22];


	   
		 
		DEFINE_STRING(BGl_string1756z00zzmodule_prototypez00,
		BgL_bgl_string1756za700za7za7m1771za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1757z00zzmodule_prototypez00,
		BgL_bgl_string1757za700za7za7m1772za7, "Illegal class field definition",
		30);
	      DEFINE_STRING(BGl_string1758z00zzmodule_prototypez00,
		BgL_bgl_string1758za700za7za7m1773za7, "Illegal macro definition", 24);
	      DEFINE_STRING(BGl_string1760z00zzmodule_prototypez00,
		BgL_bgl_string1760za700za7za7m1774za7, "Illegal expander definition", 27);
	      DEFINE_STRING(BGl_string1759z00zzmodule_prototypez00,
		BgL_bgl_string1759za700za7za7m1775za7, "Illegal syntax definition", 25);
	      DEFINE_STRING(BGl_string1761z00zzmodule_prototypez00,
		BgL_bgl_string1761za700za7za7m1776za7, "module_prototype", 16);
	      DEFINE_STRING(BGl_string1762z00zzmodule_prototypez00,
		BgL_bgl_string1762za700za7za7m1777za7,
		"info default set get (read-only) * id define-macro svar expander syntax macro inline generic abstract-class wide-class final-class class sfun (main module-initialization) sifun sgfun ",
		183);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_parsezd2prototypezd2envz00zzmodule_prototypez00,
		BgL_bgl__parseza7d2prototy1778za7,
		BGl__parsezd2prototypezd2zzmodule_prototypez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long
		BgL_checksumz00_609, char *BgL_fromz00_610)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_prototypez00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_prototypez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_prototypez00();
					BGl_cnstzd2initzd2zzmodule_prototypez00();
					BGl_importedzd2moduleszd2initz00zzmodule_prototypez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_prototypez00()
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_prototype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"module_prototype");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_prototypez00()
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 15 */
			{	/* Module/prototype.scm 15 */
				obj_t BgL_cportz00_601;

				BgL_cportz00_601 =
					bgl_open_input_string(BGl_string1762z00zzmodule_prototypez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_602;

					BgL_iz00_602 = ((long) 21);
				BgL_loopz00_603:
					if ((BgL_iz00_602 == ((long) -1)))
						{	/* Module/prototype.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/prototype.scm 15 */
							{	/* Module/prototype.scm 15 */
								obj_t BgL_arg1770z00_605;

								{	/* Module/prototype.scm 15 */

									{	/* Module/prototype.scm 15 */
										obj_t BgL_locationz00_607;

										BgL_locationz00_607 = BBOOL(((bool_t) 0));
										{	/* Module/prototype.scm 15 */

											BgL_arg1770z00_605 =
												BGl_readz00zz__readerz00(BgL_cportz00_601,
												BgL_locationz00_607);
										}
									}
								}
								{	/* Module/prototype.scm 15 */
									int BgL_auxz00_625;

									BgL_auxz00_625 = (int) (BgL_iz00_602);
									CNST_TABLE_SET(BgL_auxz00_625, BgL_arg1770z00_605);
							}}
							{	/* Module/prototype.scm 15 */
								int BgL_auxz00_608;

								BgL_auxz00_608 = (int) ((BgL_iz00_602 - ((long) 1)));
								{
									long BgL_iz00_630;

									BgL_iz00_630 = (long) (BgL_auxz00_608);
									BgL_iz00_602 = BgL_iz00_630;
									goto BgL_loopz00_603;
								}
							}
						}
				}
			}
		}
	}



/* parse-prototype */
	BGL_EXPORTED_DEF obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t
		BgL_protoz00_1)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 30 */
			{
				obj_t BgL_idz00_116;

				obj_t BgL_classz00_109;

				if (PAIRP(BgL_protoz00_1))
					{	/* Module/prototype.scm 31 */
						obj_t BgL_carzd21217zd2_121;

						BgL_carzd21217zd2_121 = CAR(BgL_protoz00_1);
						if ((BgL_carzd21217zd2_121 == CNST_TABLE_REF(((long) 4))))
							{	/* Module/prototype.scm 31 */
								BgL_classz00_109 = BgL_carzd21217zd2_121;
							BgL_tagzd21205zd2_110:
								return
									BGl_parsezd2classzd2zzmodule_prototypez00(BgL_classz00_109,
									CDR(BgL_protoz00_1));
							}
						else
							{	/* Module/prototype.scm 31 */
								if ((BgL_carzd21217zd2_121 == CNST_TABLE_REF(((long) 5))))
									{
										obj_t BgL_classz00_643;

										BgL_classz00_643 = BgL_carzd21217zd2_121;
										BgL_classz00_109 = BgL_classz00_643;
										goto BgL_tagzd21205zd2_110;
									}
								else
									{	/* Module/prototype.scm 31 */
										if ((BgL_carzd21217zd2_121 == CNST_TABLE_REF(((long) 6))))
											{
												obj_t BgL_classz00_647;

												BgL_classz00_647 = BgL_carzd21217zd2_121;
												BgL_classz00_109 = BgL_classz00_647;
												goto BgL_tagzd21205zd2_110;
											}
										else
											{	/* Module/prototype.scm 31 */
												if (
													(BgL_carzd21217zd2_121 == CNST_TABLE_REF(((long) 7))))
													{
														obj_t BgL_classz00_651;

														BgL_classz00_651 = BgL_carzd21217zd2_121;
														BgL_classz00_109 = BgL_classz00_651;
														goto BgL_tagzd21205zd2_110;
													}
												else
													{	/* Module/prototype.scm 31 */
														if (
															(BgL_carzd21217zd2_121 ==
																CNST_TABLE_REF(((long) 8))))
															{	/* Module/prototype.scm 31 */
																{	/* Module/prototype.scm 35 */
																	obj_t BgL_arg1501z00_145;

																	obj_t BgL_arg1502z00_146;

																	BgL_arg1501z00_145 = CDR(BgL_protoz00_1);
																	BgL_arg1502z00_146 =
																		CNST_TABLE_REF(((long) 0));
																	return
																		BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00
																		(BgL_arg1501z00_145, BgL_arg1502z00_146);
																}
															}
														else
															{	/* Module/prototype.scm 31 */
																if (
																	(CAR(BgL_protoz00_1) ==
																		CNST_TABLE_REF(((long) 9))))
																	{	/* Module/prototype.scm 31 */
																		{	/* Module/prototype.scm 37 */
																			obj_t BgL_arg1503z00_147;

																			obj_t BgL_arg1504z00_148;

																			BgL_arg1503z00_147 = CDR(BgL_protoz00_1);
																			BgL_arg1504z00_148 =
																				CNST_TABLE_REF(((long) 1));
																			return
																				BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00
																				(BgL_arg1503z00_147,
																				BgL_arg1504z00_148);
																		}
																	}
																else
																	{	/* Module/prototype.scm 31 */
																		if (
																			(CAR(BgL_protoz00_1) ==
																				CNST_TABLE_REF(((long) 10))))
																			{	/* Module/prototype.scm 31 */
																				return
																					BGl_parsezd2macrozd2zzmodule_prototypez00
																					(CDR(BgL_protoz00_1));
																			}
																		else
																			{	/* Module/prototype.scm 31 */
																				if (
																					(CAR(BgL_protoz00_1) ==
																						CNST_TABLE_REF(((long) 11))))
																					{	/* Module/prototype.scm 31 */
																						return
																							BGl_parsezd2syntaxzd2zzmodule_prototypez00
																							(CDR(BgL_protoz00_1));
																					}
																				else
																					{	/* Module/prototype.scm 31 */
																						if (
																							(CAR(BgL_protoz00_1) ==
																								CNST_TABLE_REF(((long) 12))))
																							{	/* Module/prototype.scm 31 */
																								return
																									BGl_parsezd2expanderzd2zzmodule_prototypez00
																									(CDR(BgL_protoz00_1));
																							}
																						else
																							{	/* Module/prototype.scm 31 */
																								BgL_idz00_116 =
																									CAR(BgL_protoz00_1);
																								{	/* Module/prototype.scm 45 */
																									bool_t BgL_testz00_683;

																									if (CBOOL
																										(BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00))
																										{	/* Module/prototype.scm 45 */
																											if (CBOOL
																												(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																													(BgL_idz00_116,
																														CNST_TABLE_REF((
																																(long) 2)))))
																												{	/* Module/prototype.scm 46 */
																													BgL_testz00_683 =
																														((bool_t) 1);
																												}
																											else
																												{	/* Module/prototype.scm 47 */
																													bool_t
																														BgL_testz00_690;
																													{	/* Module/prototype.scm 47 */
																														BgL_typez00_bglt
																															BgL_arg1513z00_155;
																														BgL_typez00_bglt
																															BgL_arg1514z00_156;
																														BgL_arg1513z00_155 =
																															BGl_getzd2defaultzd2typez00zztype_cachez00
																															();
																														BgL_arg1514z00_156 =
																															BGl_typezd2ofzd2idz00zzast_identz00
																															(BgL_idz00_116,
																															BGl_findzd2locationzd2zztools_locationz00
																															(BgL_protoz00_1));
																														BgL_testz00_690 =
																															((obj_t)
																															(BgL_arg1513z00_155)
																															==
																															(obj_t)
																															(BgL_arg1514z00_156));
																													}
																													if (BgL_testz00_690)
																														{	/* Module/prototype.scm 47 */
																															BgL_testz00_683 =
																																((bool_t) 0);
																														}
																													else
																														{	/* Module/prototype.scm 47 */
																															BgL_testz00_683 =
																																((bool_t) 1);
																														}
																												}
																										}
																									else
																										{	/* Module/prototype.scm 45 */
																											BgL_testz00_683 =
																												((bool_t) 1);
																										}
																									if (BgL_testz00_683)
																										{	/* Module/prototype.scm 45 */
																											return
																												BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00
																												(BgL_protoz00_1,
																												CNST_TABLE_REF(((long)
																														3)));
																										}
																									else
																										{	/* Module/prototype.scm 45 */
																											return
																												BGl_parsezd2variablezd2prototypez00zzmodule_prototypez00
																												(BgL_idz00_116);
																										}
																								}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Module/prototype.scm 31 */
						return
							BGl_parsezd2variablezd2prototypez00zzmodule_prototypez00
							(BgL_protoz00_1);
					}
			}
		}
	}



/* _parse-prototype */
	obj_t BGl__parsezd2prototypezd2zzmodule_prototypez00(obj_t BgL_envz00_597,
		obj_t BgL_protoz00_598)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 30 */
			return BGl_parsezd2prototypezd2zzmodule_prototypez00(BgL_protoz00_598);
		}
	}



/* parse-function-prototype */
	obj_t BGl_parsezd2functionzd2prototypez00zzmodule_prototypez00(obj_t
		BgL_protoz00_2, obj_t BgL_classz00_3)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 57 */
			{
				obj_t BgL_idz00_158;

				obj_t BgL_thezd2argszd2_159;

				if (PAIRP(BgL_protoz00_2))
					{	/* Module/prototype.scm 58 */
						obj_t BgL_carzd21260zd2_164;

						BgL_carzd21260zd2_164 = CAR(BgL_protoz00_2);
						if (SYMBOLP(BgL_carzd21260zd2_164))
							{	/* Module/prototype.scm 58 */
								BgL_idz00_158 = BgL_carzd21260zd2_164;
								BgL_thezd2argszd2_159 = CDR(BgL_protoz00_2);
								if (BGl_dssslzd2checkzd2prototypezf3zf3zztools_dssslz00
									(BgL_thezd2argszd2_159))
									{	/* Module/prototype.scm 61 */
										obj_t BgL_list1521z00_168;

										{	/* Module/prototype.scm 61 */
											obj_t BgL_arg1522z00_169;

											{	/* Module/prototype.scm 61 */
												obj_t BgL_arg1524z00_170;

												BgL_arg1524z00_170 =
													MAKE_PAIR(BgL_thezd2argszd2_159, BNIL);
												BgL_arg1522z00_169 =
													MAKE_PAIR(BgL_idz00_158, BgL_arg1524z00_170);
											}
											BgL_list1521z00_168 =
												MAKE_PAIR(BgL_classz00_3, BgL_arg1522z00_169);
										}
										return BgL_list1521z00_168;
									}
								else
									{
										obj_t BgL_argsz00_171;

										BgL_argsz00_171 = BgL_thezd2argszd2_159;
									BgL_loopz00_172:
										if (NULLP(BgL_argsz00_171))
											{	/* Module/prototype.scm 65 */
												obj_t BgL_list1526z00_174;

												{	/* Module/prototype.scm 65 */
													obj_t BgL_arg1527z00_175;

													{	/* Module/prototype.scm 65 */
														obj_t BgL_arg1528z00_176;

														BgL_arg1528z00_176 =
															MAKE_PAIR(BgL_thezd2argszd2_159, BNIL);
														BgL_arg1527z00_175 =
															MAKE_PAIR(BgL_idz00_158, BgL_arg1528z00_176);
													}
													BgL_list1526z00_174 =
														MAKE_PAIR(BgL_classz00_3, BgL_arg1527z00_175);
												}
												return BgL_list1526z00_174;
											}
										else
											{	/* Module/prototype.scm 64 */
												if (SYMBOLP(BgL_argsz00_171))
													{	/* Module/prototype.scm 67 */
														obj_t BgL_list1530z00_178;

														{	/* Module/prototype.scm 67 */
															obj_t BgL_arg1531z00_179;

															{	/* Module/prototype.scm 67 */
																obj_t BgL_arg1532z00_180;

																BgL_arg1532z00_180 =
																	MAKE_PAIR(BgL_thezd2argszd2_159, BNIL);
																BgL_arg1531z00_179 =
																	MAKE_PAIR(BgL_idz00_158, BgL_arg1532z00_180);
															}
															BgL_list1530z00_178 =
																MAKE_PAIR(BgL_classz00_3, BgL_arg1531z00_179);
														}
														return BgL_list1530z00_178;
													}
												else
													{	/* Module/prototype.scm 66 */
														if (PAIRP(BgL_argsz00_171))
															{	/* Module/prototype.scm 70 */
																bool_t BgL_testz00_725;

																{	/* Module/prototype.scm 70 */
																	obj_t BgL_auxz00_726;

																	BgL_auxz00_726 = CAR(BgL_argsz00_171);
																	BgL_testz00_725 = SYMBOLP(BgL_auxz00_726);
																}
																if (BgL_testz00_725)
																	{
																		obj_t BgL_argsz00_729;

																		BgL_argsz00_729 = CDR(BgL_argsz00_171);
																		BgL_argsz00_171 = BgL_argsz00_729;
																		goto BgL_loopz00_172;
																	}
																else
																	{	/* Module/prototype.scm 70 */
																		return BFALSE;
																	}
															}
														else
															{	/* Module/prototype.scm 68 */
																return BFALSE;
															}
													}
											}
									}
							}
						else
							{	/* Module/prototype.scm 58 */
								return BFALSE;
							}
					}
				else
					{	/* Module/prototype.scm 58 */
						return BFALSE;
					}
			}
		}
	}



/* parse-variable-prototype */
	obj_t BGl_parsezd2variablezd2prototypez00zzmodule_prototypez00(obj_t
		BgL_protoz00_4)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 80 */
			if (SYMBOLP(BgL_protoz00_4))
				{	/* Module/prototype.scm 82 */
					obj_t BgL_list1540z00_186;

					{	/* Module/prototype.scm 82 */
						obj_t BgL_arg1541z00_187;

						obj_t BgL_arg1547z00_188;

						BgL_arg1541z00_187 = CNST_TABLE_REF(((long) 13));
						BgL_arg1547z00_188 = MAKE_PAIR(BgL_protoz00_4, BNIL);
						BgL_list1540z00_186 =
							MAKE_PAIR(BgL_arg1541z00_187, BgL_arg1547z00_188);
					}
					return BgL_list1540z00_186;
				}
			else
				{	/* Module/prototype.scm 81 */
					return BFALSE;
				}
		}
	}



/* parse-class */
	obj_t BGl_parsezd2classzd2zzmodule_prototypez00(obj_t BgL_classz00_5,
		obj_t BgL_classzd2defzd2_6)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 88 */
			{	/* Module/prototype.scm 89 */
				obj_t BgL_locz00_189;

				BgL_locz00_189 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_classzd2defzd2_6);
				{
					obj_t BgL_namez00_195;

					obj_t BgL_slotsz00_196;

					if (PAIRP(BgL_classzd2defzd2_6))
						{	/* Module/prototype.scm 108 */
							obj_t BgL_carzd21275zd2_201;

							obj_t BgL_cdrzd21276zd2_202;

							BgL_carzd21275zd2_201 = CAR(BgL_classzd2defzd2_6);
							BgL_cdrzd21276zd2_202 = CDR(BgL_classzd2defzd2_6);
							if (SYMBOLP(BgL_carzd21275zd2_201))
								{	/* Module/prototype.scm 108 */
									if (PAIRP(BgL_cdrzd21276zd2_202))
										{	/* Module/prototype.scm 108 */
											obj_t BgL_carzd21281zd2_205;

											BgL_carzd21281zd2_205 = CAR(BgL_cdrzd21276zd2_202);
											if (PAIRP(BgL_carzd21281zd2_205))
												{	/* Module/prototype.scm 108 */
													if (NULLP(CDR(BgL_carzd21281zd2_205)))
														{	/* Module/prototype.scm 108 */
															obj_t BgL_arg1553z00_208;

															obj_t BgL_arg1554z00_209;

															BgL_arg1553z00_208 = CAR(BgL_carzd21281zd2_205);
															BgL_arg1554z00_209 = CDR(BgL_cdrzd21276zd2_202);
															{	/* Module/prototype.scm 108 */
																obj_t BgL_arg1568z00_489;

																{	/* Module/prototype.scm 108 */
																	obj_t BgL_arg1569z00_490;

																	BgL_arg1569z00_490 =
																		BGl_parsezd2classzd2slotsz00zzmodule_prototypez00
																		(BgL_classzd2defzd2_6, BgL_locz00_189,
																		BgL_arg1554z00_209);
																	{	/* Module/prototype.scm 108 */
																		obj_t BgL_list1570z00_491;

																		{	/* Module/prototype.scm 108 */
																			obj_t BgL_arg1571z00_492;

																			BgL_arg1571z00_492 =
																				MAKE_PAIR(BgL_arg1569z00_490, BNIL);
																			BgL_list1570z00_491 =
																				MAKE_PAIR(BgL_arg1553z00_208,
																				BgL_arg1571z00_492);
																		}
																		BgL_arg1568z00_489 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_carzd21275zd2_201,
																			BgL_list1570z00_491);
																	}
																}
																return
																	MAKE_PAIR(BgL_classz00_5, BgL_arg1568z00_489);
															}
														}
													else
														{	/* Module/prototype.scm 108 */
															BgL_namez00_195 = BgL_carzd21275zd2_201;
															BgL_slotsz00_196 = BgL_cdrzd21276zd2_202;
														BgL_tagzd21266zd2_197:
															{	/* Module/prototype.scm 112 */
																obj_t BgL_arg1573z00_227;

																{	/* Module/prototype.scm 112 */
																	obj_t BgL_arg1574z00_228;

																	BgL_arg1574z00_228 =
																		BGl_parsezd2classzd2slotsz00zzmodule_prototypez00
																		(BgL_classzd2defzd2_6, BgL_locz00_189,
																		BgL_slotsz00_196);
																	{	/* Module/prototype.scm 112 */
																		obj_t BgL_list1575z00_229;

																		{	/* Module/prototype.scm 112 */
																			obj_t BgL_arg1576z00_230;

																			BgL_arg1576z00_230 =
																				MAKE_PAIR(BgL_arg1574z00_228, BNIL);
																			BgL_list1575z00_229 =
																				MAKE_PAIR(BFALSE, BgL_arg1576z00_230);
																		}
																		BgL_arg1573z00_227 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_namez00_195, BgL_list1575z00_229);
																	}
																}
																return
																	MAKE_PAIR(BgL_classz00_5, BgL_arg1573z00_227);
															}
														}
												}
											else
												{
													obj_t BgL_slotsz00_765;

													obj_t BgL_namez00_764;

													BgL_namez00_764 = BgL_carzd21275zd2_201;
													BgL_slotsz00_765 = BgL_cdrzd21276zd2_202;
													BgL_slotsz00_196 = BgL_slotsz00_765;
													BgL_namez00_195 = BgL_namez00_764;
													goto BgL_tagzd21266zd2_197;
												}
										}
									else
										{
											obj_t BgL_slotsz00_767;

											obj_t BgL_namez00_766;

											BgL_namez00_766 = BgL_carzd21275zd2_201;
											BgL_slotsz00_767 = BgL_cdrzd21276zd2_202;
											BgL_slotsz00_196 = BgL_slotsz00_767;
											BgL_namez00_195 = BgL_namez00_766;
											goto BgL_tagzd21266zd2_197;
										}
								}
							else
								{	/* Module/prototype.scm 108 */
									return BFALSE;
								}
						}
					else
						{	/* Module/prototype.scm 108 */
							return BFALSE;
						}
				}
			}
		}
	}



/* parse-class-slots */
	obj_t BGl_parsezd2classzd2slotsz00zzmodule_prototypez00(obj_t
		BgL_classzd2defzd2_600, obj_t BgL_locz00_599, obj_t BgL_slotsz00_231)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 107 */
			{
				obj_t BgL_slotsz00_234;

				obj_t BgL_resz00_235;

				BgL_slotsz00_234 = BgL_slotsz00_231;
				BgL_resz00_235 = BNIL;
			BgL_loopz00_236:
				if (NULLP(BgL_slotsz00_234))
					{	/* Module/prototype.scm 94 */
						return bgl_reverse_bang(BgL_resz00_235);
					}
				else
					{	/* Module/prototype.scm 94 */
						if (PAIRP(BgL_slotsz00_234))
							{	/* Module/prototype.scm 99 */
								obj_t BgL_slotz00_239;

								BgL_slotz00_239 =
									BGl_parsezd2classzd2slotz00zzmodule_prototypez00(CAR
									(BgL_slotsz00_234), BgL_locz00_599);
								if (CBOOL(BgL_slotz00_239))
									{	/* Module/prototype.scm 106 */
										obj_t BgL_arg1582z00_240;

										obj_t BgL_arg1583z00_241;

										BgL_arg1582z00_240 = CDR(BgL_slotsz00_234);
										BgL_arg1583z00_241 =
											MAKE_PAIR(BgL_slotz00_239, BgL_resz00_235);
										{
											obj_t BgL_resz00_780;

											obj_t BgL_slotsz00_779;

											BgL_slotsz00_779 = BgL_arg1582z00_240;
											BgL_resz00_780 = BgL_arg1583z00_241;
											BgL_resz00_235 = BgL_resz00_780;
											BgL_slotsz00_234 = BgL_slotsz00_779;
											goto BgL_loopz00_236;
										}
									}
								else
									{	/* Module/prototype.scm 101 */
										obj_t BgL_arg1591z00_244;

										{	/* Module/prototype.scm 103 */
											bool_t BgL_testz00_781;

											{	/* Module/prototype.scm 103 */
												obj_t BgL_auxz00_782;

												BgL_auxz00_782 = CAR(BgL_slotsz00_234);
												BgL_testz00_781 = PAIRP(BgL_auxz00_782);
											}
											if (BgL_testz00_781)
												{	/* Module/prototype.scm 103 */
													BgL_arg1591z00_244 = CAR(BgL_slotsz00_234);
												}
											else
												{	/* Module/prototype.scm 103 */
													BgL_arg1591z00_244 = BgL_classzd2defzd2_600;
												}
										}
										return
											BGl_userzd2errorzd2zztools_errorz00
											(BGl_string1756z00zzmodule_prototypez00,
											BGl_string1757z00zzmodule_prototypez00,
											BgL_arg1591z00_244, BNIL);
									}
							}
						else
							{	/* Module/prototype.scm 96 */
								return BFALSE;
							}
					}
			}
		}
	}



/* parse-macro */
	obj_t BGl_parsezd2macrozd2zzmodule_prototypez00(obj_t BgL_macrozd2defzd2_7)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 119 */
			{
				obj_t BgL_idz00_253;

				obj_t BgL_thezd2argszd2_254;

				obj_t BgL_bodyz00_255;

				obj_t BgL_idz00_250;

				obj_t BgL_restz00_251;

				if (PAIRP(BgL_macrozd2defzd2_7))
					{	/* Module/prototype.scm 120 */
						obj_t BgL_carzd21350zd2_260;

						BgL_carzd21350zd2_260 = CAR(BgL_macrozd2defzd2_7);
						if (SYMBOLP(BgL_carzd21350zd2_260))
							{	/* Module/prototype.scm 120 */
								BgL_idz00_250 = BgL_carzd21350zd2_260;
								BgL_restz00_251 = CDR(BgL_macrozd2defzd2_7);
								{
									obj_t BgL_argsz00_269;

									BgL_argsz00_269 = BgL_restz00_251;
								BgL_loopz00_270:
									if (NULLP(BgL_argsz00_269))
										{	/* Module/prototype.scm 124 */
											return
												MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
												BgL_macrozd2defzd2_7);
										}
									else
										{	/* Module/prototype.scm 124 */
											if (SYMBOLP(BgL_argsz00_269))
												{	/* Module/prototype.scm 126 */
													return
														MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
														BgL_macrozd2defzd2_7);
												}
											else
												{	/* Module/prototype.scm 126 */
													if (PAIRP(BgL_argsz00_269))
														{	/* Module/prototype.scm 130 */
															bool_t BgL_testz00_802;

															{	/* Module/prototype.scm 130 */
																obj_t BgL_auxz00_803;

																BgL_auxz00_803 = CAR(BgL_argsz00_269);
																BgL_testz00_802 = SYMBOLP(BgL_auxz00_803);
															}
															if (BgL_testz00_802)
																{
																	obj_t BgL_argsz00_806;

																	BgL_argsz00_806 = CDR(BgL_argsz00_269);
																	BgL_argsz00_269 = BgL_argsz00_806;
																	goto BgL_loopz00_270;
																}
															else
																{	/* Module/prototype.scm 130 */
																	return
																		BGl_userzd2errorzd2zztools_errorz00
																		(BGl_string1756z00zzmodule_prototypez00,
																		BGl_string1758z00zzmodule_prototypez00,
																		BgL_macrozd2defzd2_7, BNIL);
																}
														}
													else
														{	/* Module/prototype.scm 128 */
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string1756z00zzmodule_prototypez00,
																BGl_string1758z00zzmodule_prototypez00,
																BgL_macrozd2defzd2_7, BNIL);
														}
												}
										}
								}
							}
						else
							{	/* Module/prototype.scm 120 */
								if (PAIRP(BgL_carzd21350zd2_260))
									{	/* Module/prototype.scm 120 */
										obj_t BgL_carzd21365zd2_265;

										BgL_carzd21365zd2_265 = CAR(BgL_carzd21350zd2_260);
										if (SYMBOLP(BgL_carzd21365zd2_265))
											{	/* Module/prototype.scm 120 */
												BgL_idz00_253 = BgL_carzd21365zd2_265;
												BgL_thezd2argszd2_254 = CDR(BgL_carzd21350zd2_260);
												BgL_bodyz00_255 = CDR(BgL_macrozd2defzd2_7);
												{
													obj_t BgL_argsz00_279;

													BgL_argsz00_279 = BgL_thezd2argszd2_254;
												BgL_loopz00_280:
													if (NULLP(BgL_bodyz00_255))
														{	/* Module/prototype.scm 137 */
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string1756z00zzmodule_prototypez00,
																BGl_string1758z00zzmodule_prototypez00,
																BgL_macrozd2defzd2_7, BNIL);
														}
													else
														{	/* Module/prototype.scm 137 */
															if (NULLP(BgL_argsz00_279))
																{	/* Module/prototype.scm 139 */
																	return
																		MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																		BgL_macrozd2defzd2_7);
																}
															else
																{	/* Module/prototype.scm 139 */
																	if (SYMBOLP(BgL_argsz00_279))
																		{	/* Module/prototype.scm 141 */
																			return
																				MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																				BgL_macrozd2defzd2_7);
																		}
																	else
																		{	/* Module/prototype.scm 141 */
																			if (PAIRP(BgL_argsz00_279))
																				{	/* Module/prototype.scm 145 */
																					bool_t BgL_testz00_829;

																					{	/* Module/prototype.scm 145 */
																						obj_t BgL_auxz00_830;

																						BgL_auxz00_830 =
																							CAR(BgL_argsz00_279);
																						BgL_testz00_829 =
																							SYMBOLP(BgL_auxz00_830);
																					}
																					if (BgL_testz00_829)
																						{
																							obj_t BgL_argsz00_833;

																							BgL_argsz00_833 =
																								CDR(BgL_argsz00_279);
																							BgL_argsz00_279 = BgL_argsz00_833;
																							goto BgL_loopz00_280;
																						}
																					else
																						{	/* Module/prototype.scm 145 */
																							return
																								BGl_userzd2errorzd2zztools_errorz00
																								(BGl_string1756z00zzmodule_prototypez00,
																								BGl_string1758z00zzmodule_prototypez00,
																								BgL_macrozd2defzd2_7, BNIL);
																						}
																				}
																			else
																				{	/* Module/prototype.scm 143 */
																					return
																						BGl_userzd2errorzd2zztools_errorz00
																						(BGl_string1756z00zzmodule_prototypez00,
																						BGl_string1758z00zzmodule_prototypez00,
																						BgL_macrozd2defzd2_7, BNIL);
																				}
																		}
																}
														}
												}
											}
										else
											{	/* Module/prototype.scm 120 */
											BgL_tagzd21342zd2_257:
												return
													BGl_userzd2errorzd2zztools_errorz00
													(BGl_string1756z00zzmodule_prototypez00,
													BGl_string1758z00zzmodule_prototypez00,
													BgL_macrozd2defzd2_7, BNIL);
											}
									}
								else
									{	/* Module/prototype.scm 120 */
										goto BgL_tagzd21342zd2_257;
									}
							}
					}
				else
					{	/* Module/prototype.scm 120 */
						goto BgL_tagzd21342zd2_257;
					}
			}
		}
	}



/* parse-syntax */
	obj_t BGl_parsezd2syntaxzd2zzmodule_prototypez00(obj_t BgL_syntaxzd2defzd2_8)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 155 */
			{

				if (PAIRP(BgL_syntaxzd2defzd2_8))
					{	/* Module/prototype.scm 156 */
						obj_t BgL_carzd21382zd2_297;

						BgL_carzd21382zd2_297 = CAR(BgL_syntaxzd2defzd2_8);
						if (SYMBOLP(BgL_carzd21382zd2_297))
							{	/* Module/prototype.scm 156 */
								if (NULLP(CDR(BgL_syntaxzd2defzd2_8)))
									{	/* Module/prototype.scm 156 */
										return
											MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
											BgL_syntaxzd2defzd2_8);
									}
								else
									{	/* Module/prototype.scm 156 */
									BgL_tagzd21378zd2_294:
										return
											BGl_userzd2errorzd2zztools_errorz00
											(BGl_string1756z00zzmodule_prototypez00,
											BGl_string1759z00zzmodule_prototypez00,
											BgL_syntaxzd2defzd2_8, BNIL);
									}
							}
						else
							{	/* Module/prototype.scm 156 */
								goto BgL_tagzd21378zd2_294;
							}
					}
				else
					{	/* Module/prototype.scm 156 */
						goto BgL_tagzd21378zd2_294;
					}
			}
		}
	}



/* parse-expander */
	obj_t BGl_parsezd2expanderzd2zzmodule_prototypez00(obj_t
		BgL_expanderzd2defzd2_9)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 165 */
			{

				if (PAIRP(BgL_expanderzd2defzd2_9))
					{	/* Module/prototype.scm 166 */
						obj_t BgL_carzd21391zd2_307;

						BgL_carzd21391zd2_307 = CAR(BgL_expanderzd2defzd2_9);
						if (SYMBOLP(BgL_carzd21391zd2_307))
							{	/* Module/prototype.scm 166 */
								if (NULLP(CDR(BgL_expanderzd2defzd2_9)))
									{	/* Module/prototype.scm 166 */
										return
											MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
											BgL_expanderzd2defzd2_9);
									}
								else
									{	/* Module/prototype.scm 166 */
									BgL_tagzd21387zd2_304:
										return
											BGl_userzd2errorzd2zztools_errorz00
											(BGl_string1756z00zzmodule_prototypez00,
											BGl_string1760z00zzmodule_prototypez00,
											BgL_expanderzd2defzd2_9, BNIL);
									}
							}
						else
							{	/* Module/prototype.scm 166 */
								goto BgL_tagzd21387zd2_304;
							}
					}
				else
					{	/* Module/prototype.scm 166 */
						goto BgL_tagzd21387zd2_304;
					}
			}
		}
	}



/* parse-class-slot */
	obj_t BGl_parsezd2classzd2slotz00zzmodule_prototypez00(obj_t BgL_slotz00_10,
		obj_t BgL_locz00_11)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 175 */
			{	/* Module/prototype.scm 176 */
				obj_t BgL_locz00_312;

				BgL_locz00_312 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_slotz00_10,
					BgL_locz00_11);
				{
					obj_t BgL_idz00_317;

					obj_t BgL_attz00_318;

					obj_t BgL_idz00_314;

					obj_t BgL_attz00_315;

					if (SYMBOLP(BgL_slotz00_10))
						{	/* Module/prototype.scm 177 */
							{	/* Module/prototype.scm 179 */
								obj_t BgL_arg1659z00_341;

								{	/* Module/prototype.scm 179 */
									obj_t BgL_arg1660z00_342;

									obj_t BgL_arg1661z00_343;

									BgL_arg1660z00_342 = CNST_TABLE_REF(((long) 15));
									{	/* Module/prototype.scm 179 */
										obj_t BgL_arg1663z00_344;

										BgL_arg1663z00_344 =
											BGl_parsezd2idzd2zzast_identz00(BgL_slotz00_10,
											BgL_locz00_312);
										{	/* Module/prototype.scm 179 */
											obj_t BgL_list1665z00_346;

											BgL_list1665z00_346 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg1661z00_343 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg1663z00_344, BgL_list1665z00_346);
									}}
									BgL_arg1659z00_341 =
										MAKE_PAIR(BgL_arg1660z00_342, BgL_arg1661z00_343);
								}
								return
									BGl_epairifyz00zztools_miscz00(BgL_arg1659z00_341,
									BgL_slotz00_10);
							}
						}
					else
						{	/* Module/prototype.scm 177 */
							if (PAIRP(BgL_slotz00_10))
								{	/* Module/prototype.scm 177 */
									obj_t BgL_cdrzd21407zd2_324;

									BgL_cdrzd21407zd2_324 = CDR(BgL_slotz00_10);
									if ((CAR(BgL_slotz00_10) == CNST_TABLE_REF(((long) 16))))
										{	/* Module/prototype.scm 177 */
											if (PAIRP(BgL_cdrzd21407zd2_324))
												{	/* Module/prototype.scm 177 */
													obj_t BgL_carzd21410zd2_327;

													BgL_carzd21410zd2_327 = CAR(BgL_cdrzd21407zd2_324);
													if (SYMBOLP(BgL_carzd21410zd2_327))
														{	/* Module/prototype.scm 177 */
															BgL_idz00_314 = BgL_carzd21410zd2_327;
															BgL_attz00_315 = CDR(BgL_cdrzd21407zd2_324);
															if (BGl_correctzd2attributzf3z21zzmodule_prototypez00(BgL_attz00_315))
																{	/* Module/prototype.scm 182 */
																	obj_t BgL_arg1668z00_348;

																	{	/* Module/prototype.scm 182 */
																		obj_t BgL_arg1669z00_349;

																		obj_t BgL_arg1670z00_350;

																		BgL_arg1669z00_349 =
																			CNST_TABLE_REF(((long) 16));
																		{	/* Module/prototype.scm 182 */
																			obj_t BgL_arg1671z00_351;

																			obj_t BgL_arg1672z00_352;

																			{	/* Module/prototype.scm 182 */
																				obj_t BgL_arg1674z00_354;

																				obj_t BgL_arg1675z00_355;

																				BgL_arg1674z00_354 =
																					CNST_TABLE_REF(((long) 15));
																				{	/* Module/prototype.scm 182 */
																					obj_t BgL_arg1676z00_356;

																					BgL_arg1676z00_356 =
																						BGl_parsezd2idzd2zzast_identz00
																						(BgL_idz00_314, BgL_locz00_312);
																					{	/* Module/prototype.scm 182 */
																						obj_t BgL_list1679z00_358;

																						BgL_list1679z00_358 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg1675z00_355 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg1676z00_356,
																							BgL_list1679z00_358);
																				}}
																				BgL_arg1671z00_351 =
																					MAKE_PAIR(BgL_arg1674z00_354,
																					BgL_arg1675z00_355);
																			}
																			BgL_arg1672z00_352 =
																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																				(BgL_attz00_315, BNIL);
																			{	/* Module/prototype.scm 182 */
																				obj_t BgL_list1673z00_353;

																				BgL_list1673z00_353 =
																					MAKE_PAIR(BgL_arg1672z00_352, BNIL);
																				BgL_arg1670z00_350 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg1671z00_351,
																					BgL_list1673z00_353);
																		}}
																		BgL_arg1668z00_348 =
																			MAKE_PAIR(BgL_arg1669z00_349,
																			BgL_arg1670z00_350);
																	}
																	return
																		BGl_epairifyz00zztools_miscz00
																		(BgL_arg1668z00_348, BgL_slotz00_10);
																}
															else
																{	/* Module/prototype.scm 181 */
																	return BFALSE;
																}
														}
													else
														{	/* Module/prototype.scm 177 */
															obj_t BgL_carzd21419zd2_330;

															BgL_carzd21419zd2_330 = CAR(BgL_slotz00_10);
															if (SYMBOLP(BgL_carzd21419zd2_330))
																{	/* Module/prototype.scm 177 */
																	BgL_idz00_317 = BgL_carzd21419zd2_330;
																	BgL_attz00_318 = BgL_cdrzd21407zd2_324;
																BgL_tagzd21397zd2_319:
																	if (BGl_correctzd2attributzf3z21zzmodule_prototypez00(BgL_attz00_318))
																		{	/* Module/prototype.scm 186 */
																			obj_t BgL_arg1682z00_360;

																			{	/* Module/prototype.scm 186 */
																				obj_t BgL_arg1683z00_361;

																				obj_t BgL_arg1684z00_362;

																				{	/* Module/prototype.scm 186 */
																					obj_t BgL_arg1685z00_363;

																					obj_t BgL_arg1686z00_364;

																					BgL_arg1685z00_363 =
																						CNST_TABLE_REF(((long) 15));
																					{	/* Module/prototype.scm 186 */
																						obj_t BgL_arg1687z00_365;

																						BgL_arg1687z00_365 =
																							BGl_parsezd2idzd2zzast_identz00
																							(BgL_idz00_317, BgL_locz00_312);
																						{	/* Module/prototype.scm 186 */
																							obj_t BgL_list1689z00_367;

																							BgL_list1689z00_367 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg1686z00_364 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg1687z00_365,
																								BgL_list1689z00_367);
																					}}
																					BgL_arg1683z00_361 =
																						MAKE_PAIR(BgL_arg1685z00_363,
																						BgL_arg1686z00_364);
																				}
																				BgL_arg1684z00_362 =
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BgL_attz00_318, BNIL);
																				BgL_arg1682z00_360 =
																					MAKE_PAIR(BgL_arg1683z00_361,
																					BgL_arg1684z00_362);
																			}
																			return
																				BGl_epairifyz00zztools_miscz00
																				(BgL_arg1682z00_360, BgL_slotz00_10);
																		}
																	else
																		{	/* Module/prototype.scm 185 */
																			return BFALSE;
																		}
																}
															else
																{	/* Module/prototype.scm 177 */
																	return BFALSE;
																}
														}
												}
											else
												{	/* Module/prototype.scm 177 */
													obj_t BgL_carzd21428zd2_333;

													BgL_carzd21428zd2_333 = CAR(BgL_slotz00_10);
													if (SYMBOLP(BgL_carzd21428zd2_333))
														{
															obj_t BgL_attz00_914;

															obj_t BgL_idz00_913;

															BgL_idz00_913 = BgL_carzd21428zd2_333;
															BgL_attz00_914 = BgL_cdrzd21407zd2_324;
															BgL_attz00_318 = BgL_attz00_914;
															BgL_idz00_317 = BgL_idz00_913;
															goto BgL_tagzd21397zd2_319;
														}
													else
														{	/* Module/prototype.scm 177 */
															return BFALSE;
														}
												}
										}
									else
										{	/* Module/prototype.scm 177 */
											obj_t BgL_carzd21437zd2_336;

											BgL_carzd21437zd2_336 = CAR(BgL_slotz00_10);
											if (SYMBOLP(BgL_carzd21437zd2_336))
												{
													obj_t BgL_attz00_919;

													obj_t BgL_idz00_918;

													BgL_idz00_918 = BgL_carzd21437zd2_336;
													BgL_attz00_919 = BgL_cdrzd21407zd2_324;
													BgL_attz00_318 = BgL_attz00_919;
													BgL_idz00_317 = BgL_idz00_918;
													goto BgL_tagzd21397zd2_319;
												}
											else
												{	/* Module/prototype.scm 177 */
													return BFALSE;
												}
										}
								}
							else
								{	/* Module/prototype.scm 177 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* correct-attribut? */
	bool_t BGl_correctzd2attributzf3z21zzmodule_prototypez00(obj_t
		BgL_attributz00_12)
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 194 */
			{
				obj_t BgL_attributz00_368;

				BgL_attributz00_368 = BgL_attributz00_12;
			BgL_loopz00_369:
				if (NULLP(BgL_attributz00_368))
					{	/* Module/prototype.scm 197 */
						return ((bool_t) 1);
					}
				else
					{	/* Module/prototype.scm 197 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR
									(BgL_attributz00_368), CNST_TABLE_REF(((long) 17)))))
							{
								obj_t BgL_attributz00_927;

								BgL_attributz00_927 = CDR(BgL_attributz00_368);
								BgL_attributz00_368 = BgL_attributz00_927;
								goto BgL_loopz00_369;
							}
						else
							{

								{	/* Module/prototype.scm 202 */
									obj_t BgL_ezd21451zd2_378;

									BgL_ezd21451zd2_378 = CAR(BgL_attributz00_368);
									if (PAIRP(BgL_ezd21451zd2_378))
										{	/* Module/prototype.scm 202 */
											obj_t BgL_cdrzd21453zd2_380;

											BgL_cdrzd21453zd2_380 = CDR(BgL_ezd21451zd2_378);
											if (
												(CAR(BgL_ezd21451zd2_378) ==
													CNST_TABLE_REF(((long) 18))))
												{	/* Module/prototype.scm 202 */
													if (PAIRP(BgL_cdrzd21453zd2_380))
														{	/* Module/prototype.scm 202 */
															if (NULLP(CDR(BgL_cdrzd21453zd2_380)))
																{	/* Module/prototype.scm 202 */
																	{
																		obj_t BgL_attributz00_942;

																		BgL_attributz00_942 =
																			CDR(BgL_attributz00_368);
																		BgL_attributz00_368 = BgL_attributz00_942;
																		goto BgL_loopz00_369;
																	}
																}
															else
																{	/* Module/prototype.scm 202 */
																	return ((bool_t) 0);
																}
														}
													else
														{	/* Module/prototype.scm 202 */
															return ((bool_t) 0);
														}
												}
											else
												{	/* Module/prototype.scm 202 */
													if (
														(CAR(BgL_ezd21451zd2_378) ==
															CNST_TABLE_REF(((long) 19))))
														{	/* Module/prototype.scm 202 */
															if (PAIRP(BgL_cdrzd21453zd2_380))
																{	/* Module/prototype.scm 202 */
																	if (NULLP(CDR(BgL_cdrzd21453zd2_380)))
																		{	/* Module/prototype.scm 202 */
																			{
																				obj_t BgL_attributz00_953;

																				BgL_attributz00_953 =
																					CDR(BgL_attributz00_368);
																				BgL_attributz00_368 =
																					BgL_attributz00_953;
																				goto BgL_loopz00_369;
																			}
																		}
																	else
																		{	/* Module/prototype.scm 202 */
																			return ((bool_t) 0);
																		}
																}
															else
																{	/* Module/prototype.scm 202 */
																	return ((bool_t) 0);
																}
														}
													else
														{	/* Module/prototype.scm 202 */
															obj_t BgL_cdrzd21461zd2_390;

															BgL_cdrzd21461zd2_390 = CDR(BgL_ezd21451zd2_378);
															if (
																(CAR(BgL_ezd21451zd2_378) ==
																	CNST_TABLE_REF(((long) 20))))
																{	/* Module/prototype.scm 202 */
																	if (PAIRP(BgL_cdrzd21461zd2_390))
																		{	/* Module/prototype.scm 202 */
																			if (NULLP(CDR(BgL_cdrzd21461zd2_390)))
																				{	/* Module/prototype.scm 202 */
																					{
																						obj_t BgL_attributz00_965;

																						BgL_attributz00_965 =
																							CDR(BgL_attributz00_368);
																						BgL_attributz00_368 =
																							BgL_attributz00_965;
																						goto BgL_loopz00_369;
																					}
																				}
																			else
																				{	/* Module/prototype.scm 202 */
																					return ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Module/prototype.scm 202 */
																			return ((bool_t) 0);
																		}
																}
															else
																{	/* Module/prototype.scm 202 */
																	if (
																		(CAR(BgL_ezd21451zd2_378) ==
																			CNST_TABLE_REF(((long) 21))))
																		{	/* Module/prototype.scm 202 */
																			if (PAIRP(BgL_cdrzd21461zd2_390))
																				{	/* Module/prototype.scm 202 */
																					if (NULLP(CDR(BgL_cdrzd21461zd2_390)))
																						{	/* Module/prototype.scm 202 */
																							{
																								obj_t BgL_attributz00_976;

																								BgL_attributz00_976 =
																									CDR(BgL_attributz00_368);
																								BgL_attributz00_368 =
																									BgL_attributz00_976;
																								goto BgL_loopz00_369;
																							}
																						}
																					else
																						{	/* Module/prototype.scm 202 */
																							return ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Module/prototype.scm 202 */
																					return ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Module/prototype.scm 202 */
																			return ((bool_t) 0);
																		}
																}
														}
												}
										}
									else
										{	/* Module/prototype.scm 202 */
											return ((bool_t) 0);
										}
								}
							}
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_prototypez00()
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_prototypez00()
	{
		AN_OBJECT;
		{	/* Module/prototype.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1761z00zzmodule_prototypez00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 315458190),
				BSTRING_TO_STRING(BGl_string1761z00zzmodule_prototypez00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string1761z00zzmodule_prototypez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string1761z00zzmodule_prototypez00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string1761z00zzmodule_prototypez00));
			BGl_modulezd2initializa7ationz75zzmodule_evalz00(((long) 158085554),
				BSTRING_TO_STRING(BGl_string1761z00zzmodule_prototypez00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string1761z00zzmodule_prototypez00));
			return
				BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string1761z00zzmodule_prototypez00));
		}
	}

#ifdef __cplusplus
}
#endif
