/*===========================================================================*/
/*   (Object/nil.scm)                                                        */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/nil.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_indexedz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_jarrayz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_jarrayz00_bglt;


	extern obj_t BGl_za2charza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_nilz00 = BUNSPEC;
	extern obj_t BGl_jarrayz00zzforeign_jtypez00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00(obj_t,
		obj_t);
	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_nilz00();
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_nilz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2classzd2nilz00zzobject_nilz00(BgL_tclassz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	static obj_t BGl__genzd2widezd2classzd2nilzd2zzobject_nilz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_jclassz00zzobject_classz00;
	extern obj_t BGl_za2bllongza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzobject_nilz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(BgL_tclassz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_fillzd2nilzd2zzobject_nilz00(obj_t);
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_za2classzd2nilzf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2cellza2z00zztype_cachez00;
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_za2stringza2z00zztype_cachez00;
	static obj_t BGl_externzd2typezd2nilz00zzobject_nilz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(BgL_tclassz00_bglt, obj_t,
		obj_t);
	static obj_t BGl__genzd2plainzd2classzd2nilzd2zzobject_nilz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_slotzd2getzd2nilz00zzobject_nilz00(obj_t);
	extern obj_t BGl_za2llongza2z00zztype_cachez00;
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__importzd2classzd2nilz00zzobject_nilz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_nilz00();
	static obj_t BGl_methodzd2initzd2zzobject_nilz00();
	static obj_t __cnst[80];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2plainzd2classzd2nilzd2envz00zzobject_nilz00,
		BgL_bgl__genza7d2plainza7d2c2888z00,
		BGl__genzd2plainzd2classzd2nilzd2zzobject_nilz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2widezd2classzd2nilzd2envz00zzobject_nilz00,
		BgL_bgl__genza7d2wideza7d2cl2889z00,
		BGl__genzd2widezd2classzd2nilzd2zzobject_nilz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2881z00zzobject_nilz00,
		BgL_bgl_string2881za700za7za7o2890za7, "", 0);
	      DEFINE_STRING(BGl_string2882z00zzobject_nilz00,
		BgL_bgl_string2882za700za7za7o2891za7, "Illegal slot type `~a'", 22);
	      DEFINE_STRING(BGl_string2883z00zzobject_nilz00,
		BgL_bgl_string2883za700za7za7o2892za7, "0L", 2);
	      DEFINE_STRING(BGl_string2884z00zzobject_nilz00,
		BgL_bgl_string2884za700za7za7o2893za7, "object_nil", 10);
	      DEFINE_STRING(BGl_string2885z00zzobject_nilz00,
		BgL_bgl_string2885za700za7za7o2894za7,
		"free-pragma string char double real long int cast-null (condition-variable-nil) condvar (mutex-nil) mutex (utf8-string->ucs2-string \"\") ucs2string (char->ucs2 #\\_) bucs2 (make-server-socket) socket (opaque-nil) opaque (custom-nil) custom (process-nil) process procedure make-struct struct vector keyword symbol bstring epair pair pair-nil nil bchar breal bbool bool (string->elong \"0\") elong llong bint cell unspec (current-date) date binary-port error-port (current-output-port) output-port (current-input-port) input-port cons (quote #()) :_ (quote _) (econs #f #f #f) (cons #f #f) (quote ()) (string->llong \"0\") (make-cell #unspecified) make- quote list->tvector object-widening-set! @ class-num object-class-num-set! - set! eq? when define ! fill- %allocate- obj %the- -nil ",
		778);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2classzd2nilzd2envzd2zzobject_nilz00,
		BgL_bgl__importza7d2classza72895z00,
		BGl__importzd2classzd2nilz00zzobject_nilz00, 0L, BUNSPEC, 3);
	      DEFINE_REAL(BGl_real2880z00zzobject_nilz00,
		BgL_bgl_real2880za700za7za7obj2896za7, 0.0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_nilz00(long
		BgL_checksumz00_1204, char *BgL_fromz00_1205)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_nilz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_nilz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_nilz00();
					BGl_cnstzd2initzd2zzobject_nilz00();
					BGl_importedzd2moduleszd2initz00zzobject_nilz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "object_nil");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_nil");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"object_nil");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			{	/* Object/nil.scm 15 */
				obj_t BgL_cportz00_1196;

				BgL_cportz00_1196 =
					bgl_open_input_string(BGl_string2885z00zzobject_nilz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1197;

					BgL_iz00_1197 = ((long) 79);
				BgL_loopz00_1198:
					if ((BgL_iz00_1197 == ((long) -1)))
						{	/* Object/nil.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/nil.scm 15 */
							{	/* Object/nil.scm 15 */
								obj_t BgL_arg2887z00_1200;

								{	/* Object/nil.scm 15 */

									{	/* Object/nil.scm 15 */
										obj_t BgL_locationz00_1202;

										BgL_locationz00_1202 = BBOOL(((bool_t) 0));
										{	/* Object/nil.scm 15 */

											BgL_arg2887z00_1200 =
												BGl_readz00zz__readerz00(BgL_cportz00_1196,
												BgL_locationz00_1202);
										}
									}
								}
								{	/* Object/nil.scm 15 */
									int BgL_auxz00_1225;

									BgL_auxz00_1225 = (int) (BgL_iz00_1197);
									CNST_TABLE_SET(BgL_auxz00_1225, BgL_arg2887z00_1200);
							}}
							{	/* Object/nil.scm 15 */
								int BgL_auxz00_1203;

								BgL_auxz00_1203 = (int) ((BgL_iz00_1197 - ((long) 1)));
								{
									long BgL_iz00_1230;

									BgL_iz00_1230 = (long) (BgL_auxz00_1203);
									BgL_iz00_1197 = BgL_iz00_1230;
									goto BgL_loopz00_1198;
								}
							}
						}
				}
			}
		}
	}



/* import-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2classzd2nilz00zzobject_nilz00(BgL_tclassz00_bglt
		BgL_classz00_1, obj_t BgL_srczd2defzd2_2, obj_t BgL_modulez00_3)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 44 */
			if (CBOOL(BGl_za2classzd2nilzf3za2z21zzengine_paramz00))
				{	/* Object/nil.scm 46 */
					obj_t BgL_idz00_517;

					{
						BgL_typez00_bglt BgL_auxz00_1234;

						BgL_auxz00_1234 = (BgL_typez00_bglt) (BgL_classz00_1);
						BgL_idz00_517 =
							(((BgL_typez00_bglt) CREF(BgL_auxz00_1234))->BgL_idz00);
					}
					{	/* Object/nil.scm 46 */
						obj_t BgL_idzd2nilzd2_518;

						{	/* Object/nil.scm 47 */
							obj_t BgL_arg2516z00_522;

							{	/* Object/nil.scm 47 */
								obj_t BgL_arg2517z00_523;

								obj_t BgL_arg2518z00_524;

								BgL_arg2517z00_523 = SYMBOL_TO_STRING(BgL_idz00_517);
								{	/* Object/nil.scm 47 */
									obj_t BgL_symbolz00_1048;

									BgL_symbolz00_1048 = CNST_TABLE_REF(((long) 0));
									BgL_arg2518z00_524 = SYMBOL_TO_STRING(BgL_symbolz00_1048);
								}
								{	/* Object/nil.scm 47 */
									obj_t BgL_list2519z00_525;

									{	/* Object/nil.scm 47 */
										obj_t BgL_arg2520z00_526;

										BgL_arg2520z00_526 = MAKE_PAIR(BgL_arg2518z00_524, BNIL);
										BgL_list2519z00_525 =
											MAKE_PAIR(BgL_arg2517z00_523, BgL_arg2520z00_526);
									}
									BgL_arg2516z00_522 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list2519z00_525);
							}}
							BgL_idzd2nilzd2_518 =
								string_to_symbol(BSTRING_TO_STRING(BgL_arg2516z00_522));
						}
						{	/* Object/nil.scm 47 */
							obj_t BgL_tidzd2nilzd2_519;

							BgL_tidzd2nilzd2_519 =
								BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzd2nilzd2_518,
								BgL_idz00_517);
							{	/* Object/nil.scm 48 */

								{	/* Object/nil.scm 49 */
									obj_t BgL_arg2514z00_520;

									BgL_arg2514z00_520 = MAKE_PAIR(BgL_tidzd2nilzd2_519, BNIL);
									return
										BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_3,
										BgL_arg2514z00_520, BNIL);
								}
							}
						}
					}
				}
			else
				{	/* Object/nil.scm 45 */
					return BFALSE;
				}
		}
	}



/* _import-class-nil */
	obj_t BGl__importzd2classzd2nilz00zzobject_nilz00(obj_t BgL_envz00_1184,
		obj_t BgL_classz00_1185, obj_t BgL_srczd2defzd2_1186,
		obj_t BgL_modulez00_1187)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 44 */
			return
				BGl_importzd2classzd2nilz00zzobject_nilz00(
				(BgL_tclassz00_bglt) (BgL_classz00_1185), BgL_srczd2defzd2_1186,
				BgL_modulez00_1187);
		}
	}



/* gen-plain-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(BgL_tclassz00_bglt
		BgL_classz00_4, obj_t BgL_srczd2defzd2_5, obj_t BgL_importz00_6)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 56 */
			if (CBOOL(BGl_za2classzd2nilzf3za2z21zzengine_paramz00))
				{	/* Object/nil.scm 59 */
					obj_t BgL_idz00_528;

					{
						BgL_typez00_bglt BgL_auxz00_1252;

						BgL_auxz00_1252 = (BgL_typez00_bglt) (BgL_classz00_4);
						BgL_idz00_528 =
							(((BgL_typez00_bglt) CREF(BgL_auxz00_1252))->BgL_idz00);
					}
					{	/* Object/nil.scm 59 */
						obj_t BgL_idzd2nilzd2_529;

						{	/* Object/nil.scm 60 */
							obj_t BgL_arg2586z00_596;

							{	/* Object/nil.scm 60 */
								obj_t BgL_arg2587z00_597;

								obj_t BgL_arg2588z00_598;

								BgL_arg2587z00_597 = SYMBOL_TO_STRING(BgL_idz00_528);
								{	/* Object/nil.scm 60 */
									obj_t BgL_symbolz00_1052;

									BgL_symbolz00_1052 = CNST_TABLE_REF(((long) 0));
									BgL_arg2588z00_598 = SYMBOL_TO_STRING(BgL_symbolz00_1052);
								}
								{	/* Object/nil.scm 60 */
									obj_t BgL_list2589z00_599;

									{	/* Object/nil.scm 60 */
										obj_t BgL_arg2591z00_600;

										BgL_arg2591z00_600 = MAKE_PAIR(BgL_arg2588z00_598, BNIL);
										BgL_list2589z00_599 =
											MAKE_PAIR(BgL_arg2587z00_597, BgL_arg2591z00_600);
									}
									BgL_arg2586z00_596 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list2589z00_599);
							}}
							BgL_idzd2nilzd2_529 =
								string_to_symbol(BSTRING_TO_STRING(BgL_arg2586z00_596));
						}
						{	/* Object/nil.scm 60 */
							obj_t BgL_tidzd2nilzd2_530;

							BgL_tidzd2nilzd2_530 =
								BGl_makezd2typedzd2identz00zzast_identz00(BgL_idzd2nilzd2_529,
								BgL_idz00_528);
							{	/* Object/nil.scm 61 */
								obj_t BgL_thezd2idzd2nilz00_531;

								{	/* Object/nil.scm 62 */
									obj_t BgL_arg2581z00_591;

									{	/* Object/nil.scm 62 */
										obj_t BgL_arg2582z00_592;

										obj_t BgL_arg2583z00_593;

										{	/* Object/nil.scm 62 */
											obj_t BgL_symbolz00_1054;

											BgL_symbolz00_1054 = CNST_TABLE_REF(((long) 1));
											BgL_arg2582z00_592 = SYMBOL_TO_STRING(BgL_symbolz00_1054);
										}
										BgL_arg2583z00_593 = SYMBOL_TO_STRING(BgL_idzd2nilzd2_529);
										{	/* Object/nil.scm 62 */
											obj_t BgL_list2584z00_594;

											{	/* Object/nil.scm 62 */
												obj_t BgL_arg2585z00_595;

												BgL_arg2585z00_595 =
													MAKE_PAIR(BgL_arg2583z00_593, BNIL);
												BgL_list2584z00_594 =
													MAKE_PAIR(BgL_arg2582z00_592, BgL_arg2585z00_595);
											}
											BgL_arg2581z00_591 =
												BGl_stringzd2appendzd2zz__r4_strings_6_7z00
												(BgL_list2584z00_594);
									}}
									BgL_thezd2idzd2nilz00_531 =
										string_to_symbol(BSTRING_TO_STRING(BgL_arg2581z00_591));
								}
								{	/* Object/nil.scm 62 */
									obj_t BgL_thezd2tidzd2nilz00_532;

									BgL_thezd2tidzd2nilz00_532 =
										BGl_makezd2typedzd2identz00zzast_identz00
										(BgL_thezd2idzd2nilz00_531, CNST_TABLE_REF(((long) 2)));
									{	/* Object/nil.scm 63 */
										obj_t BgL_allocz00_533;

										{	/* Object/nil.scm 64 */
											obj_t BgL_arg2576z00_586;

											{	/* Object/nil.scm 64 */
												obj_t BgL_arg2577z00_587;

												obj_t BgL_arg2578z00_588;

												{	/* Object/nil.scm 64 */
													obj_t BgL_symbolz00_1057;

													BgL_symbolz00_1057 = CNST_TABLE_REF(((long) 3));
													BgL_arg2577z00_587 =
														SYMBOL_TO_STRING(BgL_symbolz00_1057);
												}
												BgL_arg2578z00_588 = SYMBOL_TO_STRING(BgL_idz00_528);
												{	/* Object/nil.scm 64 */
													obj_t BgL_list2579z00_589;

													{	/* Object/nil.scm 64 */
														obj_t BgL_arg2580z00_590;

														BgL_arg2580z00_590 =
															MAKE_PAIR(BgL_arg2578z00_588, BNIL);
														BgL_list2579z00_589 =
															MAKE_PAIR(BgL_arg2577z00_587, BgL_arg2580z00_590);
													}
													BgL_arg2576z00_586 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list2579z00_589);
											}}
											BgL_allocz00_533 =
												string_to_symbol(BSTRING_TO_STRING(BgL_arg2576z00_586));
										}
										{	/* Object/nil.scm 64 */
											obj_t BgL_fillz00_534;

											{	/* Object/nil.scm 65 */
												obj_t BgL_list2572z00_582;

												{	/* Object/nil.scm 65 */
													obj_t BgL_arg2573z00_583;

													obj_t BgL_arg2574z00_584;

													BgL_arg2573z00_583 = CNST_TABLE_REF(((long) 4));
													{	/* Object/nil.scm 65 */
														obj_t BgL_arg2575z00_585;

														BgL_arg2575z00_585 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
														BgL_arg2574z00_584 =
															MAKE_PAIR(BgL_idz00_528, BgL_arg2575z00_585);
													}
													BgL_list2572z00_582 =
														MAKE_PAIR(BgL_arg2573z00_583, BgL_arg2574z00_584);
												}
												BgL_fillz00_534 =
													BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
													(BgL_list2572z00_582);
											}
											{	/* Object/nil.scm 65 */

												{	/* Object/nil.scm 66 */
													obj_t BgL_arg2521z00_535;

													{	/* Object/nil.scm 66 */
														obj_t BgL_arg2522z00_536;

														{	/* Object/nil.scm 66 */
															obj_t BgL_arg2523z00_537;

															BgL_arg2523z00_537 =
																MAKE_PAIR(BgL_tidzd2nilzd2_530, BNIL);
															{	/* Object/nil.scm 66 */
																obj_t BgL_list2526z00_539;

																BgL_list2526z00_539 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg2522z00_536 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg2523z00_537, BgL_list2526z00_539);
														}}
														BgL_arg2521z00_535 =
															MAKE_PAIR(BgL_importz00_6, BgL_arg2522z00_536);
													}
													BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
														(BgL_arg2521z00_535);
												}
												{	/* Object/nil.scm 68 */
													obj_t BgL_arg2527z00_540;

													obj_t BgL_arg2528z00_541;

													{	/* Object/nil.scm 68 */
														obj_t BgL_arg2531z00_544;

														obj_t BgL_arg2532z00_545;

														BgL_arg2531z00_544 = CNST_TABLE_REF(((long) 6));
														{	/* Object/nil.scm 68 */
															obj_t BgL_list2533z00_546;

															{	/* Object/nil.scm 68 */
																obj_t BgL_arg2534z00_547;

																BgL_arg2534z00_547 = MAKE_PAIR(BNIL, BNIL);
																BgL_list2533z00_546 =
																	MAKE_PAIR(BUNSPEC, BgL_arg2534z00_547);
															}
															BgL_arg2532z00_545 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_thezd2tidzd2nilz00_532,
																BgL_list2533z00_546);
														}
														BgL_arg2527z00_540 =
															MAKE_PAIR(BgL_arg2531z00_544, BgL_arg2532z00_545);
													}
													{	/* Object/nil.scm 69 */
														obj_t BgL_arg2535z00_548;

														{	/* Object/nil.scm 69 */
															obj_t BgL_arg2536z00_549;

															obj_t BgL_arg2537z00_550;

															BgL_arg2536z00_549 = CNST_TABLE_REF(((long) 6));
															{	/* Object/nil.scm 69 */
																obj_t BgL_arg2538z00_551;

																obj_t BgL_arg2539z00_552;

																BgL_arg2538z00_551 =
																	MAKE_PAIR(BgL_tidzd2nilzd2_530, BNIL);
																{	/* Object/nil.scm 70 */
																	obj_t BgL_arg2544z00_557;

																	obj_t BgL_arg2545z00_558;

																	BgL_arg2544z00_557 =
																		CNST_TABLE_REF(((long) 7));
																	{	/* Object/nil.scm 70 */
																		obj_t BgL_arg2547z00_559;

																		obj_t BgL_arg2548z00_560;

																		obj_t BgL_arg2549z00_561;

																		{	/* Object/nil.scm 70 */
																			obj_t BgL_arg2556z00_566;

																			obj_t BgL_arg2557z00_567;

																			BgL_arg2556z00_566 =
																				CNST_TABLE_REF(((long) 8));
																			{	/* Object/nil.scm 70 */
																				obj_t BgL_list2558z00_568;

																				{	/* Object/nil.scm 70 */
																					obj_t BgL_arg2559z00_569;

																					BgL_arg2559z00_569 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_list2558z00_568 =
																						MAKE_PAIR(BUNSPEC,
																						BgL_arg2559z00_569);
																				}
																				BgL_arg2557z00_567 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_thezd2idzd2nilz00_531,
																					BgL_list2558z00_568);
																			}
																			BgL_arg2547z00_559 =
																				MAKE_PAIR(BgL_arg2556z00_566,
																				BgL_arg2557z00_567);
																		}
																		{	/* Object/nil.scm 71 */
																			obj_t BgL_arg2560z00_570;

																			obj_t BgL_arg2561z00_571;

																			BgL_arg2560z00_570 =
																				CNST_TABLE_REF(((long) 9));
																			{	/* Object/nil.scm 71 */
																				obj_t BgL_arg2562z00_572;

																				BgL_arg2562z00_572 =
																					MAKE_PAIR(BgL_allocz00_533, BNIL);
																				{	/* Object/nil.scm 71 */
																					obj_t BgL_list2564z00_574;

																					{	/* Object/nil.scm 71 */
																						obj_t BgL_arg2565z00_575;

																						BgL_arg2565z00_575 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_list2564z00_574 =
																							MAKE_PAIR(BgL_arg2562z00_572,
																							BgL_arg2565z00_575);
																					}
																					BgL_arg2561z00_571 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_thezd2idzd2nilz00_531,
																						BgL_list2564z00_574);
																			}}
																			BgL_arg2548z00_560 =
																				MAKE_PAIR(BgL_arg2560z00_570,
																				BgL_arg2561z00_571);
																		}
																		{	/* Object/nil.scm 72 */
																			obj_t BgL_arg2566z00_576;

																			{	/* Object/nil.scm 72 */
																				obj_t BgL_arg2567z00_577;

																				{	/* Object/nil.scm 72 */
																					obj_t BgL_arg2569z00_579;

																					{	/* Object/nil.scm 72 */
																						obj_t BgL_arg2571z00_581;

																						{
																							obj_t BgL_auxz00_1312;

																							{	/* Object/nil.scm 72 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1313;
																								BgL_auxz00_1313 =
																									(BgL_objectz00_bglt)
																									(BgL_classz00_4);
																								BgL_auxz00_1312 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1313);
																							}
																							BgL_arg2571z00_581 =
																								(((BgL_tclassz00_bglt)
																									CREF(BgL_auxz00_1312))->
																								BgL_slotsz00);
																						}
																						BgL_arg2569z00_579 =
																							BGl_fillzd2nilzd2zzobject_nilz00
																							(BgL_arg2571z00_581);
																					}
																					BgL_arg2567z00_577 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2569z00_579, BNIL);
																				}
																				{	/* Object/nil.scm 72 */
																					obj_t BgL_list2568z00_578;

																					BgL_list2568z00_578 =
																						MAKE_PAIR(BgL_arg2567z00_577, BNIL);
																					BgL_arg2566z00_576 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_thezd2idzd2nilz00_531,
																						BgL_list2568z00_578);
																			}}
																			BgL_arg2549z00_561 =
																				MAKE_PAIR(BgL_fillz00_534,
																				BgL_arg2566z00_576);
																		}
																		{	/* Object/nil.scm 70 */
																			obj_t BgL_list2551z00_563;

																			{	/* Object/nil.scm 70 */
																				obj_t BgL_arg2552z00_564;

																				{	/* Object/nil.scm 70 */
																					obj_t BgL_arg2555z00_565;

																					BgL_arg2555z00_565 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2552z00_564 =
																						MAKE_PAIR(BgL_arg2549z00_561,
																						BgL_arg2555z00_565);
																				}
																				BgL_list2551z00_563 =
																					MAKE_PAIR(BgL_arg2548z00_560,
																					BgL_arg2552z00_564);
																			}
																			BgL_arg2545z00_558 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2547z00_559,
																				BgL_list2551z00_563);
																	}}
																	BgL_arg2539z00_552 =
																		MAKE_PAIR(BgL_arg2544z00_557,
																		BgL_arg2545z00_558);
																}
																{	/* Object/nil.scm 69 */
																	obj_t BgL_list2541z00_554;

																	{	/* Object/nil.scm 69 */
																		obj_t BgL_arg2542z00_555;

																		{	/* Object/nil.scm 69 */
																			obj_t BgL_arg2543z00_556;

																			BgL_arg2543z00_556 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2542z00_555 =
																				MAKE_PAIR(BgL_thezd2idzd2nilz00_531,
																				BgL_arg2543z00_556);
																		}
																		BgL_list2541z00_554 =
																			MAKE_PAIR(BgL_arg2539z00_552,
																			BgL_arg2542z00_555);
																	}
																	BgL_arg2537z00_550 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2538z00_551, BgL_list2541z00_554);
															}}
															BgL_arg2535z00_548 =
																MAKE_PAIR(BgL_arg2536z00_549,
																BgL_arg2537z00_550);
														}
														BgL_arg2528z00_541 =
															BGl_epairifyz00zztools_miscz00(BgL_arg2535z00_548,
															BgL_srczd2defzd2_5);
													}
													{	/* Object/nil.scm 67 */
														obj_t BgL_list2529z00_542;

														{	/* Object/nil.scm 67 */
															obj_t BgL_arg2530z00_543;

															BgL_arg2530z00_543 =
																MAKE_PAIR(BgL_arg2528z00_541, BNIL);
															BgL_list2529z00_542 =
																MAKE_PAIR(BgL_arg2527z00_540,
																BgL_arg2530z00_543);
														}
														return BgL_list2529z00_542;
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			else
				{	/* Object/nil.scm 57 */
					return BFALSE;
				}
		}
	}



/* _gen-plain-class-nil */
	obj_t BGl__genzd2plainzd2classzd2nilzd2zzobject_nilz00(obj_t BgL_envz00_1188,
		obj_t BgL_classz00_1189, obj_t BgL_srczd2defzd2_1190,
		obj_t BgL_importz00_1191)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 56 */
			return
				BGl_genzd2plainzd2classzd2nilzd2zzobject_nilz00(
				(BgL_tclassz00_bglt) (BgL_classz00_1189), BgL_srczd2defzd2_1190,
				BgL_importz00_1191);
		}
	}



/* gen-wide-class-nil */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(BgL_tclassz00_bglt
		BgL_classz00_7, obj_t BgL_srczd2defzd2_8, obj_t BgL_importz00_9)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 81 */
			if (CBOOL(BGl_za2classzd2nilzf3za2z21zzengine_paramz00))
				{	/* Object/nil.scm 84 */
					obj_t BgL_idz00_602;

					{
						BgL_typez00_bglt BgL_auxz00_1339;

						BgL_auxz00_1339 = (BgL_typez00_bglt) (BgL_classz00_7);
						BgL_idz00_602 =
							(((BgL_typez00_bglt) CREF(BgL_auxz00_1339))->BgL_idz00);
					}
					{	/* Object/nil.scm 84 */
						obj_t BgL_superzd2idzd2_603;

						{	/* Object/nil.scm 85 */
							BgL_typez00_bglt BgL_obj1385z00_1065;

							{	/* Object/nil.scm 85 */
								obj_t BgL_auxz00_1342;

								{
									obj_t BgL_auxz00_1343;

									{	/* Object/nil.scm 85 */
										BgL_objectz00_bglt BgL_auxz00_1344;

										BgL_auxz00_1344 = (BgL_objectz00_bglt) (BgL_classz00_7);
										BgL_auxz00_1343 = BGL_OBJECT_WIDENING(BgL_auxz00_1344);
									}
									BgL_auxz00_1342 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1343))->
										BgL_itszd2superzd2);
								}
								BgL_obj1385z00_1065 = (BgL_typez00_bglt) (BgL_auxz00_1342);
							}
							BgL_superzd2idzd2_603 =
								(((BgL_typez00_bglt) CREF(BgL_obj1385z00_1065))->BgL_idz00);
						}
						{	/* Object/nil.scm 85 */
							obj_t BgL_superzd2slotszd2_604;

							{	/* Object/nil.scm 86 */
								BgL_tclassz00_bglt BgL_obj2162z00_1067;

								{	/* Object/nil.scm 86 */
									obj_t BgL_auxz00_1350;

									{
										obj_t BgL_auxz00_1351;

										{	/* Object/nil.scm 86 */
											BgL_objectz00_bglt BgL_auxz00_1352;

											BgL_auxz00_1352 = (BgL_objectz00_bglt) (BgL_classz00_7);
											BgL_auxz00_1351 = BGL_OBJECT_WIDENING(BgL_auxz00_1352);
										}
										BgL_auxz00_1350 =
											(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1351))->
											BgL_itszd2superzd2);
									}
									BgL_obj2162z00_1067 = (BgL_tclassz00_bglt) (BgL_auxz00_1350);
								}
								{
									obj_t BgL_auxz00_1357;

									{	/* Object/nil.scm 86 */
										BgL_objectz00_bglt BgL_auxz00_1358;

										BgL_auxz00_1358 =
											(BgL_objectz00_bglt) (BgL_obj2162z00_1067);
										BgL_auxz00_1357 = BGL_OBJECT_WIDENING(BgL_auxz00_1358);
									}
									BgL_superzd2slotszd2_604 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1357))->
										BgL_slotsz00);
								}
							}
							{	/* Object/nil.scm 86 */
								obj_t BgL_idzd2nilzd2_605;

								{	/* Object/nil.scm 87 */
									obj_t BgL_arg2697z00_711;

									{	/* Object/nil.scm 87 */
										obj_t BgL_arg2698z00_712;

										obj_t BgL_arg2699z00_713;

										BgL_arg2698z00_712 = SYMBOL_TO_STRING(BgL_idz00_602);
										{	/* Object/nil.scm 87 */
											obj_t BgL_symbolz00_1069;

											BgL_symbolz00_1069 = CNST_TABLE_REF(((long) 0));
											BgL_arg2699z00_713 = SYMBOL_TO_STRING(BgL_symbolz00_1069);
										}
										{	/* Object/nil.scm 87 */
											obj_t BgL_list2700z00_714;

											{	/* Object/nil.scm 87 */
												obj_t BgL_arg2701z00_715;

												BgL_arg2701z00_715 =
													MAKE_PAIR(BgL_arg2699z00_713, BNIL);
												BgL_list2700z00_714 =
													MAKE_PAIR(BgL_arg2698z00_712, BgL_arg2701z00_715);
											}
											BgL_arg2697z00_711 =
												BGl_stringzd2appendzd2zz__r4_strings_6_7z00
												(BgL_list2700z00_714);
									}}
									BgL_idzd2nilzd2_605 =
										string_to_symbol(BSTRING_TO_STRING(BgL_arg2697z00_711));
								}
								{	/* Object/nil.scm 87 */
									obj_t BgL_tidzd2nilzd2_606;

									BgL_tidzd2nilzd2_606 =
										BGl_makezd2typedzd2identz00zzast_identz00
										(BgL_idzd2nilzd2_605, BgL_idz00_602);
									{	/* Object/nil.scm 88 */
										obj_t BgL_thezd2idzd2nilz00_607;

										{	/* Object/nil.scm 89 */
											obj_t BgL_arg2691z00_706;

											{	/* Object/nil.scm 89 */
												obj_t BgL_arg2693z00_707;

												obj_t BgL_arg2694z00_708;

												{	/* Object/nil.scm 89 */
													obj_t BgL_symbolz00_1071;

													BgL_symbolz00_1071 = CNST_TABLE_REF(((long) 1));
													BgL_arg2693z00_707 =
														SYMBOL_TO_STRING(BgL_symbolz00_1071);
												}
												BgL_arg2694z00_708 =
													SYMBOL_TO_STRING(BgL_idzd2nilzd2_605);
												{	/* Object/nil.scm 89 */
													obj_t BgL_list2695z00_709;

													{	/* Object/nil.scm 89 */
														obj_t BgL_arg2696z00_710;

														BgL_arg2696z00_710 =
															MAKE_PAIR(BgL_arg2694z00_708, BNIL);
														BgL_list2695z00_709 =
															MAKE_PAIR(BgL_arg2693z00_707, BgL_arg2696z00_710);
													}
													BgL_arg2691z00_706 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list2695z00_709);
											}}
											BgL_thezd2idzd2nilz00_607 =
												string_to_symbol(BSTRING_TO_STRING(BgL_arg2691z00_706));
										}
										{	/* Object/nil.scm 89 */
											obj_t BgL_thezd2tidzd2nilz00_608;

											BgL_thezd2tidzd2nilz00_608 =
												BGl_makezd2typedzd2identz00zzast_identz00
												(BgL_thezd2idzd2nilz00_607, CNST_TABLE_REF(((long) 2)));
											{	/* Object/nil.scm 90 */
												obj_t BgL_wideningz00_609;

												{	/* Object/nil.scm 91 */
													obj_t BgL_arg2686z00_701;

													obj_t BgL_arg2687z00_702;

													{
														obj_t BgL_auxz00_1381;

														{	/* Object/nil.scm 91 */
															BgL_objectz00_bglt BgL_auxz00_1382;

															BgL_auxz00_1382 =
																(BgL_objectz00_bglt) (BgL_classz00_7);
															BgL_auxz00_1381 =
																BGL_OBJECT_WIDENING(BgL_auxz00_1382);
														}
														BgL_arg2686z00_701 =
															(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1381))->
															BgL_wideningz00);
													}
													BgL_arg2687z00_702 = CNST_TABLE_REF(((long) 10));
													{	/* Object/nil.scm 91 */
														obj_t BgL_list2688z00_703;

														{	/* Object/nil.scm 91 */
															obj_t BgL_arg2689z00_704;

															{	/* Object/nil.scm 91 */
																obj_t BgL_arg2690z00_705;

																BgL_arg2690z00_705 =
																	MAKE_PAIR(BgL_idz00_602, BNIL);
																BgL_arg2689z00_704 =
																	MAKE_PAIR(BgL_arg2687z00_702,
																	BgL_arg2690z00_705);
															}
															BgL_list2688z00_703 =
																MAKE_PAIR(BgL_arg2686z00_701,
																BgL_arg2689z00_704);
														}
														BgL_wideningz00_609 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list2688z00_703);
												}}
												{	/* Object/nil.scm 91 */
													obj_t BgL_superzd2alloczd2_610;

													{	/* Object/nil.scm 92 */
														obj_t BgL_arg2681z00_696;

														{	/* Object/nil.scm 92 */
															obj_t BgL_arg2682z00_697;

															obj_t BgL_arg2683z00_698;

															{	/* Object/nil.scm 92 */
																obj_t BgL_symbolz00_1075;

																BgL_symbolz00_1075 = CNST_TABLE_REF(((long) 3));
																BgL_arg2682z00_697 =
																	SYMBOL_TO_STRING(BgL_symbolz00_1075);
															}
															BgL_arg2683z00_698 =
																SYMBOL_TO_STRING(BgL_superzd2idzd2_603);
															{	/* Object/nil.scm 92 */
																obj_t BgL_list2684z00_699;

																{	/* Object/nil.scm 92 */
																	obj_t BgL_arg2685z00_700;

																	BgL_arg2685z00_700 =
																		MAKE_PAIR(BgL_arg2683z00_698, BNIL);
																	BgL_list2684z00_699 =
																		MAKE_PAIR(BgL_arg2682z00_697,
																		BgL_arg2685z00_700);
																}
																BgL_arg2681z00_696 =
																	BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																	(BgL_list2684z00_699);
														}}
														BgL_superzd2alloczd2_610 =
															string_to_symbol(BSTRING_TO_STRING
															(BgL_arg2681z00_696));
													}
													{	/* Object/nil.scm 92 */
														obj_t BgL_superzd2fillzd2_611;

														{	/* Object/nil.scm 93 */
															obj_t BgL_list2677z00_692;

															{	/* Object/nil.scm 93 */
																obj_t BgL_arg2678z00_693;

																obj_t BgL_arg2679z00_694;

																BgL_arg2678z00_693 = CNST_TABLE_REF(((long) 4));
																{	/* Object/nil.scm 93 */
																	obj_t BgL_arg2680z00_695;

																	BgL_arg2680z00_695 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 5)), BNIL);
																	BgL_arg2679z00_694 =
																		MAKE_PAIR(BgL_superzd2idzd2_603,
																		BgL_arg2680z00_695);
																}
																BgL_list2677z00_692 =
																	MAKE_PAIR(BgL_arg2678z00_693,
																	BgL_arg2679z00_694);
															}
															BgL_superzd2fillzd2_611 =
																BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																(BgL_list2677z00_692);
														}
														{	/* Object/nil.scm 93 */

															{	/* Object/nil.scm 94 */
																obj_t BgL_arg2592z00_612;

																{	/* Object/nil.scm 94 */
																	obj_t BgL_arg2593z00_613;

																	{	/* Object/nil.scm 94 */
																		obj_t BgL_arg2594z00_614;

																		BgL_arg2594z00_614 =
																			MAKE_PAIR(BgL_tidzd2nilzd2_606, BNIL);
																		{	/* Object/nil.scm 94 */
																			obj_t BgL_list2596z00_616;

																			BgL_list2596z00_616 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2593z00_613 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2594z00_614,
																				BgL_list2596z00_616);
																	}}
																	BgL_arg2592z00_612 =
																		MAKE_PAIR(BgL_importz00_9,
																		BgL_arg2593z00_613);
																}
																BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																	(BgL_arg2592z00_612);
															}
															{	/* Object/nil.scm 96 */
																obj_t BgL_arg2597z00_617;

																obj_t BgL_arg2598z00_618;

																{	/* Object/nil.scm 96 */
																	obj_t BgL_arg2601z00_621;

																	obj_t BgL_arg2602z00_622;

																	BgL_arg2601z00_621 =
																		CNST_TABLE_REF(((long) 6));
																	{	/* Object/nil.scm 96 */
																		obj_t BgL_list2603z00_623;

																		{	/* Object/nil.scm 96 */
																			obj_t BgL_arg2604z00_624;

																			BgL_arg2604z00_624 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list2603z00_623 =
																				MAKE_PAIR(BUNSPEC, BgL_arg2604z00_624);
																		}
																		BgL_arg2602z00_622 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_thezd2tidzd2nilz00_608,
																			BgL_list2603z00_623);
																	}
																	BgL_arg2597z00_617 =
																		MAKE_PAIR(BgL_arg2601z00_621,
																		BgL_arg2602z00_622);
																}
																{	/* Object/nil.scm 97 */
																	obj_t BgL_arg2606z00_625;

																	{	/* Object/nil.scm 97 */
																		obj_t BgL_arg2607z00_626;

																		obj_t BgL_arg2608z00_627;

																		BgL_arg2607z00_626 =
																			CNST_TABLE_REF(((long) 6));
																		{	/* Object/nil.scm 97 */
																			obj_t BgL_arg2609z00_628;

																			obj_t BgL_arg2610z00_629;

																			BgL_arg2609z00_628 =
																				MAKE_PAIR(BgL_tidzd2nilzd2_606, BNIL);
																			{	/* Object/nil.scm 98 */
																				obj_t BgL_arg2616z00_634;

																				obj_t BgL_arg2617z00_635;

																				BgL_arg2616z00_634 =
																					CNST_TABLE_REF(((long) 7));
																				{	/* Object/nil.scm 98 */
																					obj_t BgL_arg2618z00_636;

																					obj_t BgL_arg2619z00_637;

																					obj_t BgL_arg2620z00_638;

																					obj_t BgL_arg2621z00_639;

																					obj_t BgL_arg2622z00_640;

																					{	/* Object/nil.scm 98 */
																						obj_t BgL_arg2629z00_647;

																						obj_t BgL_arg2630z00_648;

																						BgL_arg2629z00_647 =
																							CNST_TABLE_REF(((long) 8));
																						{	/* Object/nil.scm 98 */
																							obj_t BgL_list2631z00_649;

																							{	/* Object/nil.scm 98 */
																								obj_t BgL_arg2632z00_650;

																								BgL_arg2632z00_650 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_list2631z00_649 =
																									MAKE_PAIR(BUNSPEC,
																									BgL_arg2632z00_650);
																							}
																							BgL_arg2630z00_648 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_thezd2idzd2nilz00_607,
																								BgL_list2631z00_649);
																						}
																						BgL_arg2618z00_636 =
																							MAKE_PAIR(BgL_arg2629z00_647,
																							BgL_arg2630z00_648);
																					}
																					{	/* Object/nil.scm 100 */
																						obj_t BgL_arg2633z00_651;

																						obj_t BgL_arg2634z00_652;

																						BgL_arg2633z00_651 =
																							CNST_TABLE_REF(((long) 9));
																						{	/* Object/nil.scm 100 */
																							obj_t BgL_arg2636z00_653;

																							BgL_arg2636z00_653 =
																								MAKE_PAIR
																								(BgL_superzd2alloczd2_610,
																								BNIL);
																							{	/* Object/nil.scm 100 */
																								obj_t BgL_list2638z00_655;

																								{	/* Object/nil.scm 100 */
																									obj_t BgL_arg2639z00_656;

																									BgL_arg2639z00_656 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2638z00_655 =
																										MAKE_PAIR
																										(BgL_arg2636z00_653,
																										BgL_arg2639z00_656);
																								}
																								BgL_arg2634z00_652 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_thezd2idzd2nilz00_607,
																									BgL_list2638z00_655);
																						}}
																						BgL_arg2619z00_637 =
																							MAKE_PAIR(BgL_arg2633z00_651,
																							BgL_arg2634z00_652);
																					}
																					{	/* Object/nil.scm 103 */
																						obj_t BgL_arg2640z00_657;

																						{	/* Object/nil.scm 103 */
																							obj_t BgL_arg2642z00_658;

																							BgL_arg2642z00_658 =
																								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																								(BGl_fillzd2nilzd2zzobject_nilz00
																								(BgL_superzd2slotszd2_604),
																								BNIL);
																							{	/* Object/nil.scm 102 */
																								obj_t BgL_list2643z00_659;

																								BgL_list2643z00_659 =
																									MAKE_PAIR(BgL_arg2642z00_658,
																									BNIL);
																								BgL_arg2640z00_657 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_thezd2idzd2nilz00_607,
																									BgL_list2643z00_659);
																						}}
																						BgL_arg2620z00_638 =
																							MAKE_PAIR(BgL_superzd2fillzd2_611,
																							BgL_arg2640z00_657);
																					}
																					{	/* Object/nil.scm 105 */
																						obj_t BgL_arg2646z00_662;

																						obj_t BgL_arg2647z00_663;

																						BgL_arg2646z00_662 =
																							CNST_TABLE_REF(((long) 11));
																						{	/* Object/nil.scm 107 */
																							obj_t BgL_arg2648z00_664;

																							{	/* Object/nil.scm 107 */
																								obj_t BgL_arg2652z00_668;

																								obj_t BgL_arg2653z00_669;

																								BgL_arg2652z00_668 =
																									CNST_TABLE_REF(((long) 12));
																								{	/* Object/nil.scm 107 */
																									obj_t BgL_arg2654z00_670;

																									{	/* Object/nil.scm 107 */
																										obj_t BgL_arg2657z00_673;

																										obj_t BgL_arg2658z00_674;

																										BgL_arg2657z00_673 =
																											CNST_TABLE_REF(((long)
																												13));
																										{	/* Object/nil.scm 107 */
																											obj_t BgL_arg2659z00_675;

																											obj_t BgL_arg2660z00_676;

																											{	/* Object/nil.scm 107 */
																												BgL_variablez00_bglt
																													BgL_obj1624z00_1079;
																												{	/* Object/nil.scm 107 */
																													BgL_globalz00_bglt
																														BgL_auxz00_1437;
																													{
																														obj_t
																															BgL_auxz00_1438;
																														{	/* Object/nil.scm 107 */
																															BgL_objectz00_bglt
																																BgL_auxz00_1439;
																															BgL_auxz00_1439 =
																																(BgL_objectz00_bglt)
																																(BgL_classz00_7);
																															BgL_auxz00_1438 =
																																BGL_OBJECT_WIDENING
																																(BgL_auxz00_1439);
																														}
																														BgL_auxz00_1437 =
																															(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1438))->BgL_holderz00);
																													}
																													BgL_obj1624z00_1079 =
																														(BgL_variablez00_bglt)
																														(BgL_auxz00_1437);
																												}
																												BgL_arg2659z00_675 =
																													(((BgL_variablez00_bglt) CREF(BgL_obj1624z00_1079))->BgL_idz00);
																											}
																											{	/* Object/nil.scm 108 */
																												BgL_globalz00_bglt
																													BgL_obj1697z00_1081;
																												{
																													obj_t BgL_auxz00_1445;

																													{	/* Object/nil.scm 108 */
																														BgL_objectz00_bglt
																															BgL_auxz00_1446;
																														BgL_auxz00_1446 =
																															(BgL_objectz00_bglt)
																															(BgL_classz00_7);
																														BgL_auxz00_1445 =
																															BGL_OBJECT_WIDENING
																															(BgL_auxz00_1446);
																													}
																													BgL_obj1697z00_1081 =
																														(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1445))->BgL_holderz00);
																												}
																												BgL_arg2660z00_676 =
																													(((BgL_globalz00_bglt)
																														CREF
																														(BgL_obj1697z00_1081))->
																													BgL_modulez00);
																											}
																											{	/* Object/nil.scm 107 */
																												obj_t
																													BgL_list2662z00_678;
																												{	/* Object/nil.scm 107 */
																													obj_t
																														BgL_arg2663z00_679;
																													BgL_arg2663z00_679 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list2662z00_678 =
																														MAKE_PAIR
																														(BgL_arg2660z00_676,
																														BgL_arg2663z00_679);
																												}
																												BgL_arg2658z00_674 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg2659z00_675,
																													BgL_list2662z00_678);
																										}}
																										BgL_arg2654z00_670 =
																											MAKE_PAIR
																											(BgL_arg2657z00_673,
																											BgL_arg2658z00_674);
																									}
																									{	/* Object/nil.scm 107 */
																										obj_t BgL_list2656z00_672;

																										BgL_list2656z00_672 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2653z00_669 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2654z00_670,
																											BgL_list2656z00_672);
																								}}
																								BgL_arg2648z00_664 =
																									MAKE_PAIR(BgL_arg2652z00_668,
																									BgL_arg2653z00_669);
																							}
																							{	/* Object/nil.scm 105 */
																								obj_t BgL_list2650z00_666;

																								{	/* Object/nil.scm 105 */
																									obj_t BgL_arg2651z00_667;

																									BgL_arg2651z00_667 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2650z00_666 =
																										MAKE_PAIR
																										(BgL_arg2648z00_664,
																										BgL_arg2651z00_667);
																								}
																								BgL_arg2647z00_663 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_thezd2idzd2nilz00_607,
																									BgL_list2650z00_666);
																						}}
																						BgL_arg2621z00_639 =
																							MAKE_PAIR(BgL_arg2646z00_662,
																							BgL_arg2647z00_663);
																					}
																					{	/* Object/nil.scm 110 */
																						obj_t BgL_arg2666z00_682;

																						obj_t BgL_arg2668z00_683;

																						BgL_arg2666z00_682 =
																							CNST_TABLE_REF(((long) 14));
																						{	/* Object/nil.scm 112 */
																							obj_t BgL_arg2669z00_684;

																							{	/* Object/nil.scm 112 */
																								obj_t BgL_arg2673z00_688;

																								{	/* Object/nil.scm 112 */
																									obj_t BgL_arg2674z00_689;

																									{	/* Object/nil.scm 112 */
																										obj_t BgL_arg2676z00_691;

																										{
																											obj_t BgL_auxz00_1463;

																											{	/* Object/nil.scm 112 */
																												BgL_objectz00_bglt
																													BgL_auxz00_1464;
																												BgL_auxz00_1464 =
																													(BgL_objectz00_bglt)
																													(BgL_classz00_7);
																												BgL_auxz00_1463 =
																													BGL_OBJECT_WIDENING
																													(BgL_auxz00_1464);
																											}
																											BgL_arg2676z00_691 =
																												(((BgL_tclassz00_bglt)
																													CREF
																													(BgL_auxz00_1463))->
																												BgL_slotsz00);
																										}
																										BgL_arg2674z00_689 =
																											BGl_fillzd2nilzd2zzobject_nilz00
																											(BgL_arg2676z00_691);
																									}
																									BgL_arg2673z00_688 =
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2674z00_689, BNIL);
																								}
																								BgL_arg2669z00_684 =
																									MAKE_PAIR(BgL_wideningz00_609,
																									BgL_arg2673z00_688);
																							}
																							{	/* Object/nil.scm 110 */
																								obj_t BgL_list2671z00_686;

																								{	/* Object/nil.scm 110 */
																									obj_t BgL_arg2672z00_687;

																									BgL_arg2672z00_687 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2671z00_686 =
																										MAKE_PAIR
																										(BgL_arg2669z00_684,
																										BgL_arg2672z00_687);
																								}
																								BgL_arg2668z00_683 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_thezd2idzd2nilz00_607,
																									BgL_list2671z00_686);
																						}}
																						BgL_arg2622z00_640 =
																							MAKE_PAIR(BgL_arg2666z00_682,
																							BgL_arg2668z00_683);
																					}
																					{	/* Object/nil.scm 98 */
																						obj_t BgL_list2624z00_642;

																						{	/* Object/nil.scm 98 */
																							obj_t BgL_arg2625z00_643;

																							{	/* Object/nil.scm 98 */
																								obj_t BgL_arg2626z00_644;

																								{	/* Object/nil.scm 98 */
																									obj_t BgL_arg2627z00_645;

																									{	/* Object/nil.scm 98 */
																										obj_t BgL_arg2628z00_646;

																										BgL_arg2628z00_646 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2627z00_645 =
																											MAKE_PAIR
																											(BgL_arg2622z00_640,
																											BgL_arg2628z00_646);
																									}
																									BgL_arg2626z00_644 =
																										MAKE_PAIR
																										(BgL_arg2621z00_639,
																										BgL_arg2627z00_645);
																								}
																								BgL_arg2625z00_643 =
																									MAKE_PAIR(BgL_arg2620z00_638,
																									BgL_arg2626z00_644);
																							}
																							BgL_list2624z00_642 =
																								MAKE_PAIR(BgL_arg2619z00_637,
																								BgL_arg2625z00_643);
																						}
																						BgL_arg2617z00_635 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2618z00_636,
																							BgL_list2624z00_642);
																				}}
																				BgL_arg2610z00_629 =
																					MAKE_PAIR(BgL_arg2616z00_634,
																					BgL_arg2617z00_635);
																			}
																			{	/* Object/nil.scm 97 */
																				obj_t BgL_list2612z00_631;

																				{	/* Object/nil.scm 97 */
																					obj_t BgL_arg2614z00_632;

																					{	/* Object/nil.scm 97 */
																						obj_t BgL_arg2615z00_633;

																						BgL_arg2615z00_633 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg2614z00_632 =
																							MAKE_PAIR
																							(BgL_thezd2idzd2nilz00_607,
																							BgL_arg2615z00_633);
																					}
																					BgL_list2612z00_631 =
																						MAKE_PAIR(BgL_arg2610z00_629,
																						BgL_arg2614z00_632);
																				}
																				BgL_arg2608z00_627 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2609z00_628,
																					BgL_list2612z00_631);
																		}}
																		BgL_arg2606z00_625 =
																			MAKE_PAIR(BgL_arg2607z00_626,
																			BgL_arg2608z00_627);
																	}
																	BgL_arg2598z00_618 =
																		BGl_epairifyz00zztools_miscz00
																		(BgL_arg2606z00_625, BgL_srczd2defzd2_8);
																}
																{	/* Object/nil.scm 95 */
																	obj_t BgL_list2599z00_619;

																	{	/* Object/nil.scm 95 */
																		obj_t BgL_arg2600z00_620;

																		BgL_arg2600z00_620 =
																			MAKE_PAIR(BgL_arg2598z00_618, BNIL);
																		BgL_list2599z00_619 =
																			MAKE_PAIR(BgL_arg2597z00_617,
																			BgL_arg2600z00_620);
																	}
																	return BgL_list2599z00_619;
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			else
				{	/* Object/nil.scm 82 */
					return BFALSE;
				}
		}
	}



/* _gen-wide-class-nil */
	obj_t BGl__genzd2widezd2classzd2nilzd2zzobject_nilz00(obj_t BgL_envz00_1192,
		obj_t BgL_classz00_1193, obj_t BgL_srczd2defzd2_1194,
		obj_t BgL_importz00_1195)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 81 */
			return
				BGl_genzd2widezd2classzd2nilzd2zzobject_nilz00(
				(BgL_tclassz00_bglt) (BgL_classz00_1193), BgL_srczd2defzd2_1194,
				BgL_importz00_1195);
		}
	}



/* fill-nil */
	obj_t BGl_fillzd2nilzd2zzobject_nilz00(obj_t BgL_slotsz00_10)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 119 */
			{
				obj_t BgL_slotsz00_719;

				obj_t BgL_initsz00_720;

				BgL_slotsz00_719 = BgL_slotsz00_10;
				BgL_initsz00_720 = BNIL;
			BgL_loopz00_721:
				if (NULLP(BgL_slotsz00_719))
					{	/* Object/nil.scm 122 */
						return bgl_reverse_bang(BgL_initsz00_720);
					}
				else
					{	/* Object/nil.scm 124 */
						obj_t BgL_slotz00_723;

						BgL_slotz00_723 = CAR(BgL_slotsz00_719);
						{	/* Object/nil.scm 126 */
							bool_t BgL_testz00_1496;

							{	/* Object/nil.scm 126 */
								BgL_slotz00_bglt BgL_obj2374z00_1087;

								BgL_obj2374z00_1087 = (BgL_slotz00_bglt) (BgL_slotz00_723);
								BgL_testz00_1496 =
									CBOOL(
									(((BgL_slotz00_bglt) CREF(BgL_obj2374z00_1087))->
										BgL_indexedz00));
							}
							if (BgL_testz00_1496)
								{	/* Object/nil.scm 127 */
									obj_t BgL_arg2706z00_725;

									obj_t BgL_arg2707z00_726;

									BgL_arg2706z00_725 = CDR(BgL_slotsz00_719);
									BgL_arg2707z00_726 =
										MAKE_PAIR(BGl_slotzd2getzd2nilz00zzobject_nilz00
										(BgL_slotz00_723), BgL_initsz00_720);
									{
										obj_t BgL_initsz00_1504;

										obj_t BgL_slotsz00_1503;

										BgL_slotsz00_1503 = BgL_arg2706z00_725;
										BgL_initsz00_1504 = BgL_arg2707z00_726;
										BgL_initsz00_720 = BgL_initsz00_1504;
										BgL_slotsz00_719 = BgL_slotsz00_1503;
										goto BgL_loopz00_721;
									}
								}
							else
								{	/* Object/nil.scm 126 */
									if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
											(BgL_slotz00_bglt) (BgL_slotz00_723)))
										{
											obj_t BgL_slotsz00_1508;

											BgL_slotsz00_1508 = CDR(BgL_slotsz00_719);
											BgL_slotsz00_719 = BgL_slotsz00_1508;
											goto BgL_loopz00_721;
										}
									else
										{	/* Object/nil.scm 132 */
											obj_t BgL_arg2712z00_730;

											obj_t BgL_arg2713z00_731;

											BgL_arg2712z00_730 = CDR(BgL_slotsz00_719);
											BgL_arg2713z00_731 =
												MAKE_PAIR(BGl_slotzd2getzd2nilz00zzobject_nilz00
												(BgL_slotz00_723), BgL_initsz00_720);
											{
												obj_t BgL_initsz00_1514;

												obj_t BgL_slotsz00_1513;

												BgL_slotsz00_1513 = BgL_arg2712z00_730;
												BgL_initsz00_1514 = BgL_arg2713z00_731;
												BgL_initsz00_720 = BgL_initsz00_1514;
												BgL_slotsz00_719 = BgL_slotsz00_1513;
												goto BgL_loopz00_721;
											}
										}
								}
						}
					}
			}
		}
	}



/* slot-get-nil */
	obj_t BGl_slotzd2getzd2nilz00zzobject_nilz00(obj_t BgL_slotz00_11)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 138 */
			{	/* Object/nil.scm 141 */
				bool_t BgL_testz00_1515;

				{	/* Object/nil.scm 141 */
					obj_t BgL_arg2762z00_778;

					{
						BgL_slotz00_bglt BgL_auxz00_1516;

						BgL_auxz00_1516 = (BgL_slotz00_bglt) (BgL_slotz00_11);
						BgL_arg2762z00_778 =
							(((BgL_slotz00_bglt) CREF(BgL_auxz00_1516))->BgL_typez00);
					}
					BgL_testz00_1515 =
						BGl_iszd2azf3z21zz__objectz00(BgL_arg2762z00_778,
						BGl_tclassz00zzobject_classz00);
				}
				if (BgL_testz00_1515)
					{	/* Object/nil.scm 142 */
						obj_t BgL_arg2717z00_735;

						{	/* Object/nil.scm 142 */
							obj_t BgL_arg2719z00_737;

							{	/* Object/nil.scm 142 */
								obj_t BgL_arg2720z00_738;

								obj_t BgL_arg2721z00_739;

								{	/* Object/nil.scm 142 */
									obj_t BgL_arg2724z00_742;

									{	/* Object/nil.scm 142 */
										BgL_typez00_bglt BgL_obj1385z00_1094;

										{	/* Object/nil.scm 142 */
											BgL_slotz00_bglt BgL_obj2362z00_1093;

											BgL_obj2362z00_1093 = (BgL_slotz00_bglt) (BgL_slotz00_11);
											BgL_obj1385z00_1094 =
												(BgL_typez00_bglt) (
												(((BgL_slotz00_bglt) CREF(BgL_obj2362z00_1093))->
													BgL_typez00));
										}
										BgL_arg2724z00_742 =
											(((BgL_typez00_bglt) CREF(BgL_obj1385z00_1094))->
											BgL_idz00);
									}
									BgL_arg2720z00_738 = SYMBOL_TO_STRING(BgL_arg2724z00_742);
								}
								{	/* Object/nil.scm 142 */
									obj_t BgL_symbolz00_1096;

									BgL_symbolz00_1096 = CNST_TABLE_REF(((long) 0));
									BgL_arg2721z00_739 = SYMBOL_TO_STRING(BgL_symbolz00_1096);
								}
								{	/* Object/nil.scm 142 */
									obj_t BgL_list2722z00_740;

									{	/* Object/nil.scm 142 */
										obj_t BgL_arg2723z00_741;

										BgL_arg2723z00_741 = MAKE_PAIR(BgL_arg2721z00_739, BNIL);
										BgL_list2722z00_740 =
											MAKE_PAIR(BgL_arg2720z00_738, BgL_arg2723z00_741);
									}
									BgL_arg2719z00_737 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list2722z00_740);
							}}
							BgL_arg2717z00_735 =
								string_to_symbol(BSTRING_TO_STRING(BgL_arg2719z00_737));
						}
						return MAKE_PAIR(BgL_arg2717z00_735, BNIL);
					}
				else
					{	/* Object/nil.scm 143 */
						bool_t BgL_testz00_1533;

						{	/* Object/nil.scm 143 */
							obj_t BgL_arg2761z00_777;

							{
								BgL_slotz00_bglt BgL_auxz00_1534;

								BgL_auxz00_1534 = (BgL_slotz00_bglt) (BgL_slotz00_11);
								BgL_arg2761z00_777 =
									(((BgL_slotz00_bglt) CREF(BgL_auxz00_1534))->BgL_typez00);
							}
							BgL_testz00_1533 =
								BGl_iszd2azf3z21zz__objectz00(BgL_arg2761z00_777,
								BGl_tvecz00zztvector_tvectorz00);
						}
						if (BgL_testz00_1533)
							{	/* Object/nil.scm 144 */
								obj_t BgL_arg2727z00_745;

								obj_t BgL_arg2728z00_746;

								BgL_arg2727z00_745 = CNST_TABLE_REF(((long) 15));
								{	/* Object/nil.scm 144 */
									obj_t BgL_arg2729z00_747;

									obj_t BgL_arg2730z00_748;

									{	/* Object/nil.scm 144 */
										obj_t BgL_arg2734z00_752;

										obj_t BgL_arg2735z00_753;

										BgL_arg2734z00_752 = CNST_TABLE_REF(((long) 16));
										{	/* Object/nil.scm 144 */
											obj_t BgL_arg2736z00_754;

											{	/* Object/nil.scm 144 */
												BgL_typez00_bglt BgL_obj1385z00_1101;

												{	/* Object/nil.scm 144 */
													BgL_slotz00_bglt BgL_obj2362z00_1100;

													BgL_obj2362z00_1100 =
														(BgL_slotz00_bglt) (BgL_slotz00_11);
													BgL_obj1385z00_1101 =
														(BgL_typez00_bglt) (
														(((BgL_slotz00_bglt) CREF(BgL_obj2362z00_1100))->
															BgL_typez00));
												}
												BgL_arg2736z00_754 =
													(((BgL_typez00_bglt) CREF(BgL_obj1385z00_1101))->
													BgL_idz00);
											}
											{	/* Object/nil.scm 144 */
												obj_t BgL_list2738z00_756;

												BgL_list2738z00_756 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg2735z00_753 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg2736z00_754, BgL_list2738z00_756);
										}}
										BgL_arg2729z00_747 =
											MAKE_PAIR(BgL_arg2734z00_752, BgL_arg2735z00_753);
									}
									{	/* Object/nil.scm 144 */
										obj_t BgL_arg2740z00_758;

										obj_t BgL_arg2741z00_759;

										BgL_arg2740z00_758 = CNST_TABLE_REF(((long) 16));
										{	/* Object/nil.scm 144 */
											obj_t BgL_list2742z00_760;

											BgL_list2742z00_760 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg2741z00_759 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BNIL,
												BgL_list2742z00_760);
										}
										BgL_arg2730z00_748 =
											MAKE_PAIR(BgL_arg2740z00_758, BgL_arg2741z00_759);
									}
									{	/* Object/nil.scm 144 */
										obj_t BgL_list2732z00_750;

										{	/* Object/nil.scm 144 */
											obj_t BgL_arg2733z00_751;

											BgL_arg2733z00_751 = MAKE_PAIR(BNIL, BNIL);
											BgL_list2732z00_750 =
												MAKE_PAIR(BgL_arg2730z00_748, BgL_arg2733z00_751);
										}
										BgL_arg2728z00_746 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg2729z00_747, BgL_list2732z00_750);
								}}
								return MAKE_PAIR(BgL_arg2727z00_745, BgL_arg2728z00_746);
							}
						else
							{	/* Object/nil.scm 145 */
								bool_t BgL_testz00_1555;

								{	/* Object/nil.scm 145 */
									obj_t BgL_arg2760z00_776;

									{
										BgL_slotz00_bglt BgL_auxz00_1556;

										BgL_auxz00_1556 = (BgL_slotz00_bglt) (BgL_slotz00_11);
										BgL_arg2760z00_776 =
											(((BgL_slotz00_bglt) CREF(BgL_auxz00_1556))->BgL_typez00);
									}
									BgL_testz00_1555 =
										BGl_iszd2azf3z21zz__objectz00(BgL_arg2760z00_776,
										BGl_jarrayz00zzforeign_jtypez00);
								}
								if (BgL_testz00_1555)
									{	/* Object/nil.scm 146 */
										obj_t BgL_arg2744z00_762;

										obj_t BgL_arg2745z00_763;

										{	/* Object/nil.scm 146 */
											obj_t BgL_arg2747z00_764;

											{	/* Object/nil.scm 146 */
												obj_t BgL_arg2748z00_765;

												obj_t BgL_arg2749z00_766;

												{	/* Object/nil.scm 146 */
													obj_t BgL_symbolz00_1104;

													BgL_symbolz00_1104 = CNST_TABLE_REF(((long) 17));
													BgL_arg2748z00_765 =
														SYMBOL_TO_STRING(BgL_symbolz00_1104);
												}
												{	/* Object/nil.scm 146 */
													obj_t BgL_arg2753z00_769;

													{	/* Object/nil.scm 146 */
														BgL_typez00_bglt BgL_obj1385z00_1106;

														{	/* Object/nil.scm 146 */
															BgL_slotz00_bglt BgL_obj2362z00_1105;

															BgL_obj2362z00_1105 =
																(BgL_slotz00_bglt) (BgL_slotz00_11);
															BgL_obj1385z00_1106 =
																(BgL_typez00_bglt) (
																(((BgL_slotz00_bglt)
																		CREF(BgL_obj2362z00_1105))->BgL_typez00));
														}
														BgL_arg2753z00_769 =
															(((BgL_typez00_bglt) CREF(BgL_obj1385z00_1106))->
															BgL_idz00);
													}
													BgL_arg2749z00_766 =
														SYMBOL_TO_STRING(BgL_arg2753z00_769);
												}
												{	/* Object/nil.scm 146 */
													obj_t BgL_list2750z00_767;

													{	/* Object/nil.scm 146 */
														obj_t BgL_arg2751z00_768;

														BgL_arg2751z00_768 =
															MAKE_PAIR(BgL_arg2749z00_766, BNIL);
														BgL_list2750z00_767 =
															MAKE_PAIR(BgL_arg2748z00_765, BgL_arg2751z00_768);
													}
													BgL_arg2747z00_764 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list2750z00_767);
											}}
											BgL_arg2744z00_762 =
												string_to_symbol(BSTRING_TO_STRING(BgL_arg2747z00_764));
										}
										{	/* Object/nil.scm 146 */
											obj_t BgL_list2755z00_771;

											BgL_list2755z00_771 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg2745z00_763 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BINT(((long)
														0)), BgL_list2755z00_771);
										}
										return MAKE_PAIR(BgL_arg2744z00_762, BgL_arg2745z00_763);
									}
								else
									{	/* Object/nil.scm 147 */
										bool_t BgL_testz00_1576;

										{	/* Object/nil.scm 147 */
											obj_t BgL_arg2759z00_775;

											{
												BgL_slotz00_bglt BgL_auxz00_1577;

												BgL_auxz00_1577 = (BgL_slotz00_bglt) (BgL_slotz00_11);
												BgL_arg2759z00_775 =
													(((BgL_slotz00_bglt) CREF(BgL_auxz00_1577))->
													BgL_typez00);
											}
											BgL_testz00_1576 =
												BGl_bigloozd2typezf3z21zztype_typez00(
												(BgL_typez00_bglt) (BgL_arg2759z00_775));
										}
										if (BgL_testz00_1576)
											{	/* Object/nil.scm 148 */
												obj_t BgL_arg2757z00_773;

												{
													BgL_slotz00_bglt BgL_auxz00_1582;

													BgL_auxz00_1582 = (BgL_slotz00_bglt) (BgL_slotz00_11);
													BgL_arg2757z00_773 =
														(((BgL_slotz00_bglt) CREF(BgL_auxz00_1582))->
														BgL_typez00);
												}
												return
													BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00
													(BgL_arg2757z00_773, BgL_slotz00_11);
											}
										else
											{	/* Object/nil.scm 150 */
												obj_t BgL_arg2758z00_774;

												{
													BgL_slotz00_bglt BgL_auxz00_1586;

													BgL_auxz00_1586 = (BgL_slotz00_bglt) (BgL_slotz00_11);
													BgL_arg2758z00_774 =
														(((BgL_slotz00_bglt) CREF(BgL_auxz00_1586))->
														BgL_typez00);
												}
												return
													BGl_externzd2typezd2nilz00zzobject_nilz00
													(BgL_arg2758z00_774, BgL_slotz00_11);
											}
									}
							}
					}
			}
		}
	}



/* bigloo-primitive-type-nil */
	obj_t BGl_bigloozd2primitivezd2typezd2nilzd2zzobject_nilz00(obj_t
		BgL_typez00_12, obj_t BgL_slotz00_13)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 155 */
			{	/* Object/nil.scm 157 */
				bool_t BgL_testz00_1590;

				if ((BgL_typez00_12 == BGl_za2objza2z00zztype_cachez00))
					{	/* Object/nil.scm 157 */
						BgL_testz00_1590 = ((bool_t) 1);
					}
				else
					{	/* Object/nil.scm 157 */
						BgL_testz00_1590 =
							(BgL_typez00_12 == BGl_za2unspecza2z00zztype_cachez00);
					}
				if (BgL_testz00_1590)
					{	/* Object/nil.scm 157 */
						return BUNSPEC;
					}
				else
					{	/* Object/nil.scm 157 */
						if ((BgL_typez00_12 == BGl_za2cellza2z00zztype_cachez00))
							{	/* Object/nil.scm 158 */
								return CNST_TABLE_REF(((long) 18));
							}
						else
							{	/* Object/nil.scm 158 */
								if ((BgL_typez00_12 == BGl_za2bintza2z00zztype_cachez00))
									{	/* Object/nil.scm 159 */
										return BINT(((long) 0));
									}
								else
									{	/* Object/nil.scm 159 */
										if ((BgL_typez00_12 == BGl_za2bllongza2z00zztype_cachez00))
											{	/* Object/nil.scm 160 */
												return CNST_TABLE_REF(((long) 19));
											}
										else
											{	/* Object/nil.scm 160 */
												if (
													(BgL_typez00_12 == BGl_za2boolza2z00zztype_cachez00))
													{	/* Object/nil.scm 161 */
														return BFALSE;
													}
												else
													{	/* Object/nil.scm 161 */
														if (
															(BgL_typez00_12 ==
																BGl_za2brealza2z00zztype_cachez00))
															{	/* Object/nil.scm 162 */
																return BGl_real2880z00zzobject_nilz00;
															}
														else
															{	/* Object/nil.scm 162 */
																if (
																	(BgL_typez00_12 ==
																		BGl_za2bcharza2z00zztype_cachez00))
																	{	/* Object/nil.scm 163 */
																		return BCHAR(((unsigned char) '_'));
																	}
																else
																	{	/* Object/nil.scm 164 */
																		bool_t BgL_testz00_1610;

																		if (
																			(BgL_typez00_12 ==
																				BGl_za2bnilza2z00zztype_cachez00))
																			{	/* Object/nil.scm 164 */
																				BgL_testz00_1610 = ((bool_t) 1);
																			}
																		else
																			{	/* Object/nil.scm 164 */
																				BgL_testz00_1610 =
																					(BgL_typez00_12 ==
																					BGl_za2pairzd2nilza2zd2zztype_cachez00);
																			}
																		if (BgL_testz00_1610)
																			{	/* Object/nil.scm 164 */
																				return CNST_TABLE_REF(((long) 20));
																			}
																		else
																			{	/* Object/nil.scm 164 */
																				if (
																					(BgL_typez00_12 ==
																						BGl_za2pairza2z00zztype_cachez00))
																					{	/* Object/nil.scm 165 */
																						return CNST_TABLE_REF(((long) 21));
																					}
																				else
																					{	/* Object/nil.scm 165 */
																						if (
																							(BgL_typez00_12 ==
																								BGl_za2epairza2z00zztype_cachez00))
																							{	/* Object/nil.scm 166 */
																								return
																									CNST_TABLE_REF(((long) 22));
																							}
																						else
																							{	/* Object/nil.scm 166 */
																								if (
																									(BgL_typez00_12 ==
																										BGl_za2bstringza2z00zztype_cachez00))
																									{	/* Object/nil.scm 167 */
																										return
																											BGl_string2881z00zzobject_nilz00;
																									}
																								else
																									{	/* Object/nil.scm 167 */
																										if (
																											(BgL_typez00_12 ==
																												BGl_za2symbolza2z00zztype_cachez00))
																											{	/* Object/nil.scm 168 */
																												return
																													CNST_TABLE_REF(((long)
																														23));
																											}
																										else
																											{	/* Object/nil.scm 168 */
																												if (
																													(BgL_typez00_12 ==
																														BGl_za2keywordza2z00zztype_cachez00))
																													{	/* Object/nil.scm 169 */
																														return
																															CNST_TABLE_REF((
																																(long) 24));
																													}
																												else
																													{	/* Object/nil.scm 169 */
																														if (
																															(BgL_typez00_12 ==
																																BGl_za2vectorza2z00zztype_cachez00))
																															{	/* Object/nil.scm 170 */
																																return
																																	CNST_TABLE_REF
																																	(((long) 25));
																															}
																														else
																															{	/* Object/nil.scm 170 */
																																if (
																																	(BgL_typez00_12
																																		==
																																		BGl_za2procedureza2z00zztype_cachez00))
																																	{	/* Object/nil.scm 171 */
																																		return
																																			CNST_TABLE_REF
																																			(((long)
																																				26));
																																	}
																																else
																																	{	/* Object/nil.scm 173 */
																																		obj_t
																																			BgL_casezd2valuezd2_794;
																																		{
																																			BgL_typez00_bglt
																																				BgL_auxz00_1635;
																																			BgL_auxz00_1635
																																				=
																																				(BgL_typez00_bglt)
																																				(BgL_typez00_12);
																																			BgL_casezd2valuezd2_794
																																				=
																																				(((BgL_typez00_bglt) CREF(BgL_auxz00_1635))->BgL_idz00);
																																		}
																																		if (
																																			(BgL_casezd2valuezd2_794
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						27))))
																																			{	/* Object/nil.scm 173 */
																																				return
																																					CNST_TABLE_REF
																																					(((long) 28));
																																			}
																																		else
																																			{	/* Object/nil.scm 173 */
																																				if (
																																					(BgL_casezd2valuezd2_794
																																						==
																																						CNST_TABLE_REF
																																						(((long) 29))))
																																					{	/* Object/nil.scm 173 */
																																						return
																																							CNST_TABLE_REF
																																							(((long) 30));
																																					}
																																				else
																																					{	/* Object/nil.scm 173 */
																																						if (
																																							(BgL_casezd2valuezd2_794
																																								==
																																								CNST_TABLE_REF
																																								(((long) 31))))
																																							{	/* Object/nil.scm 173 */
																																								return
																																									CNST_TABLE_REF
																																									(
																																									((long) 30));
																																							}
																																						else
																																							{	/* Object/nil.scm 173 */
																																								if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 32))))
																																									{	/* Object/nil.scm 173 */
																																										return
																																											CNST_TABLE_REF
																																											(
																																											((long) 30));
																																									}
																																								else
																																									{	/* Object/nil.scm 173 */
																																										if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 33))))
																																											{	/* Object/nil.scm 173 */
																																												return
																																													CNST_TABLE_REF
																																													(
																																													((long) 34));
																																											}
																																										else
																																											{	/* Object/nil.scm 173 */
																																												bool_t
																																													BgL_testz00_1658;
																																												{	/* Object/nil.scm 173 */
																																													bool_t
																																														BgL__ortest_2509z00_848;
																																													BgL__ortest_2509z00_848
																																														=
																																														(BgL_casezd2valuezd2_794
																																														==
																																														CNST_TABLE_REF
																																														(((long) 2)));
																																													if (BgL__ortest_2509z00_848)
																																														{	/* Object/nil.scm 173 */
																																															BgL_testz00_1658
																																																=
																																																BgL__ortest_2509z00_848;
																																														}
																																													else
																																														{	/* Object/nil.scm 173 */
																																															BgL_testz00_1658
																																																=
																																																(BgL_casezd2valuezd2_794
																																																==
																																																CNST_TABLE_REF
																																																(((long) 35)));
																																												}}
																																												if (BgL_testz00_1658)
																																													{	/* Object/nil.scm 173 */
																																														return
																																															BUNSPEC;
																																													}
																																												else
																																													{	/* Object/nil.scm 173 */
																																														if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 36))))
																																															{	/* Object/nil.scm 173 */
																																																return
																																																	CNST_TABLE_REF
																																																	(
																																																	((long) 18));
																																															}
																																														else
																																															{	/* Object/nil.scm 173 */
																																																if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 37))))
																																																	{	/* Object/nil.scm 173 */
																																																		return
																																																			BINT
																																																			(
																																																			((long) 0));
																																																	}
																																																else
																																																	{	/* Object/nil.scm 173 */
																																																		if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 38))))
																																																			{	/* Object/nil.scm 173 */
																																																				return
																																																					CNST_TABLE_REF
																																																					(
																																																					((long) 19));
																																																			}
																																																		else
																																																			{	/* Object/nil.scm 173 */
																																																				if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 39))))
																																																					{	/* Object/nil.scm 173 */
																																																						return
																																																							CNST_TABLE_REF
																																																							(
																																																							((long) 40));
																																																					}
																																																				else
																																																					{	/* Object/nil.scm 173 */
																																																						bool_t
																																																							BgL_testz00_1680;
																																																						{	/* Object/nil.scm 173 */
																																																							bool_t
																																																								BgL__ortest_2510z00_847;
																																																							BgL__ortest_2510z00_847
																																																								=
																																																								(BgL_casezd2valuezd2_794
																																																								==
																																																								CNST_TABLE_REF
																																																								(((long) 41)));
																																																							if (BgL__ortest_2510z00_847)
																																																								{	/* Object/nil.scm 173 */
																																																									BgL_testz00_1680
																																																										=
																																																										BgL__ortest_2510z00_847;
																																																								}
																																																							else
																																																								{	/* Object/nil.scm 173 */
																																																									BgL_testz00_1680
																																																										=
																																																										(BgL_casezd2valuezd2_794
																																																										==
																																																										CNST_TABLE_REF
																																																										(((long) 42)));
																																																						}}
																																																						if (BgL_testz00_1680)
																																																							{	/* Object/nil.scm 173 */
																																																								return
																																																									BFALSE;
																																																							}
																																																						else
																																																							{	/* Object/nil.scm 173 */
																																																								if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 43))))
																																																									{	/* Object/nil.scm 173 */
																																																										return
																																																											BGl_real2880z00zzobject_nilz00;
																																																									}
																																																								else
																																																									{	/* Object/nil.scm 173 */
																																																										if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 44))))
																																																											{	/* Object/nil.scm 173 */
																																																												return
																																																													BCHAR
																																																													(
																																																													((unsigned char) '_'));
																																																											}
																																																										else
																																																											{	/* Object/nil.scm 173 */
																																																												bool_t
																																																													BgL_testz00_1693;
																																																												{	/* Object/nil.scm 173 */
																																																													bool_t
																																																														BgL__ortest_2511z00_846;
																																																													BgL__ortest_2511z00_846
																																																														=
																																																														(BgL_casezd2valuezd2_794
																																																														==
																																																														CNST_TABLE_REF
																																																														(((long) 45)));
																																																													if (BgL__ortest_2511z00_846)
																																																														{	/* Object/nil.scm 173 */
																																																															BgL_testz00_1693
																																																																=
																																																																BgL__ortest_2511z00_846;
																																																														}
																																																													else
																																																														{	/* Object/nil.scm 173 */
																																																															BgL_testz00_1693
																																																																=
																																																																(BgL_casezd2valuezd2_794
																																																																==
																																																																CNST_TABLE_REF
																																																																(((long) 46)));
																																																												}}
																																																												if (BgL_testz00_1693)
																																																													{	/* Object/nil.scm 173 */
																																																														return
																																																															CNST_TABLE_REF
																																																															(
																																																															((long) 20));
																																																													}
																																																												else
																																																													{	/* Object/nil.scm 173 */
																																																														if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 47))))
																																																															{	/* Object/nil.scm 173 */
																																																																return
																																																																	CNST_TABLE_REF
																																																																	(
																																																																	((long) 21));
																																																															}
																																																														else
																																																															{	/* Object/nil.scm 173 */
																																																																if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 48))))
																																																																	{	/* Object/nil.scm 173 */
																																																																		return
																																																																			CNST_TABLE_REF
																																																																			(
																																																																			((long) 22));
																																																																	}
																																																																else
																																																																	{	/* Object/nil.scm 173 */
																																																																		if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 49))))
																																																																			{	/* Object/nil.scm 173 */
																																																																				return
																																																																					BGl_string2881z00zzobject_nilz00;
																																																																			}
																																																																		else
																																																																			{	/* Object/nil.scm 173 */
																																																																				if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 50))))
																																																																					{	/* Object/nil.scm 173 */
																																																																						return
																																																																							CNST_TABLE_REF
																																																																							(
																																																																							((long) 23));
																																																																					}
																																																																				else
																																																																					{	/* Object/nil.scm 173 */
																																																																						if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 51))))
																																																																							{	/* Object/nil.scm 173 */
																																																																								return
																																																																									CNST_TABLE_REF
																																																																									(
																																																																									((long) 24));
																																																																							}
																																																																						else
																																																																							{	/* Object/nil.scm 173 */
																																																																								if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 52))))
																																																																									{	/* Object/nil.scm 173 */
																																																																										return
																																																																											CNST_TABLE_REF
																																																																											(
																																																																											((long) 25));
																																																																									}
																																																																								else
																																																																									{	/* Object/nil.scm 173 */
																																																																										if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 53))))
																																																																											{	/* Object/nil.scm 194 */
																																																																												obj_t
																																																																													BgL_arg2799z00_816;
																																																																												obj_t
																																																																													BgL_arg2800z00_817;
																																																																												BgL_arg2799z00_816
																																																																													=
																																																																													CNST_TABLE_REF
																																																																													(
																																																																													((long) 54));
																																																																												{	/* Object/nil.scm 194 */
																																																																													obj_t
																																																																														BgL_arg2801z00_818;
																																																																													{	/* Object/nil.scm 194 */
																																																																														obj_t
																																																																															BgL_arg2807z00_824;
																																																																														obj_t
																																																																															BgL_arg2808z00_825;
																																																																														BgL_arg2807z00_824
																																																																															=
																																																																															CNST_TABLE_REF
																																																																															(
																																																																															((long) 16));
																																																																														{	/* Object/nil.scm 194 */
																																																																															obj_t
																																																																																BgL_arg2809z00_826;
																																																																															{	/* Object/nil.scm 194 */

																																																																																{	/* Object/nil.scm 194 */

																																																																																	BgL_arg2809z00_826
																																																																																		=
																																																																																		BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																		(BFALSE);
																																																																															}}
																																																																															{	/* Object/nil.scm 194 */
																																																																																obj_t
																																																																																	BgL_list2811z00_828;
																																																																																BgL_list2811z00_828
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(BNIL,
																																																																																	BNIL);
																																																																																BgL_arg2808z00_825
																																																																																	=
																																																																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																																																																	(BgL_arg2809z00_826,
																																																																																	BgL_list2811z00_828);
																																																																														}}
																																																																														BgL_arg2801z00_818
																																																																															=
																																																																															MAKE_PAIR
																																																																															(BgL_arg2807z00_824,
																																																																															BgL_arg2808z00_825);
																																																																													}
																																																																													{	/* Object/nil.scm 194 */
																																																																														obj_t
																																																																															BgL_list2804z00_821;
																																																																														{	/* Object/nil.scm 194 */
																																																																															obj_t
																																																																																BgL_arg2805z00_822;
																																																																															{	/* Object/nil.scm 194 */
																																																																																obj_t
																																																																																	BgL_arg2806z00_823;
																																																																																BgL_arg2806z00_823
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(BNIL,
																																																																																	BNIL);
																																																																																BgL_arg2805z00_822
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(BFALSE,
																																																																																	BgL_arg2806z00_823);
																																																																															}
																																																																															BgL_list2804z00_821
																																																																																=
																																																																																MAKE_PAIR
																																																																																(BINT
																																																																																(((long) 0)), BgL_arg2805z00_822);
																																																																														}
																																																																														BgL_arg2800z00_817
																																																																															=
																																																																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																																																															(BgL_arg2801z00_818,
																																																																															BgL_list2804z00_821);
																																																																												}}
																																																																												return
																																																																													MAKE_PAIR
																																																																													(BgL_arg2799z00_816,
																																																																													BgL_arg2800z00_817);
																																																																											}
																																																																										else
																																																																											{	/* Object/nil.scm 173 */
																																																																												if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 55))))
																																																																													{	/* Object/nil.scm 173 */
																																																																														return
																																																																															CNST_TABLE_REF
																																																																															(
																																																																															((long) 26));
																																																																													}
																																																																												else
																																																																													{	/* Object/nil.scm 173 */
																																																																														if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 56))))
																																																																															{	/* Object/nil.scm 173 */
																																																																																return
																																																																																	CNST_TABLE_REF
																																																																																	(
																																																																																	((long) 57));
																																																																															}
																																																																														else
																																																																															{	/* Object/nil.scm 173 */
																																																																																if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 58))))
																																																																																	{	/* Object/nil.scm 173 */
																																																																																		return
																																																																																			CNST_TABLE_REF
																																																																																			(
																																																																																			((long) 59));
																																																																																	}
																																																																																else
																																																																																	{	/* Object/nil.scm 173 */
																																																																																		if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 60))))
																																																																																			{	/* Object/nil.scm 173 */
																																																																																				return
																																																																																					CNST_TABLE_REF
																																																																																					(
																																																																																					((long) 61));
																																																																																			}
																																																																																		else
																																																																																			{	/* Object/nil.scm 173 */
																																																																																				if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 62))))
																																																																																					{	/* Object/nil.scm 173 */
																																																																																						return
																																																																																							CNST_TABLE_REF
																																																																																							(
																																																																																							((long) 63));
																																																																																					}
																																																																																				else
																																																																																					{	/* Object/nil.scm 173 */
																																																																																						if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 64))))
																																																																																							{	/* Object/nil.scm 173 */
																																																																																								return
																																																																																									CNST_TABLE_REF
																																																																																									(
																																																																																									((long) 65));
																																																																																							}
																																																																																						else
																																																																																							{	/* Object/nil.scm 173 */
																																																																																								if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 66))))
																																																																																									{	/* Object/nil.scm 173 */
																																																																																										return
																																																																																											CNST_TABLE_REF
																																																																																											(
																																																																																											((long) 67));
																																																																																									}
																																																																																								else
																																																																																									{	/* Object/nil.scm 173 */
																																																																																										if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 68))))
																																																																																											{	/* Object/nil.scm 173 */
																																																																																												return
																																																																																													CNST_TABLE_REF
																																																																																													(
																																																																																													((long) 69));
																																																																																											}
																																																																																										else
																																																																																											{	/* Object/nil.scm 173 */
																																																																																												if ((BgL_casezd2valuezd2_794 == CNST_TABLE_REF(((long) 70))))
																																																																																													{	/* Object/nil.scm 173 */
																																																																																														return
																																																																																															CNST_TABLE_REF
																																																																																															(
																																																																																															((long) 71));
																																																																																													}
																																																																																												else
																																																																																													{	/* Object/nil.scm 204 */
																																																																																														obj_t
																																																																																															BgL_arg2821z00_839;
																																																																																														obj_t
																																																																																															BgL_arg2822z00_840;
																																																																																														obj_t
																																																																																															BgL_arg2823z00_841;
																																																																																														{	/* Object/nil.scm 204 */
																																																																																															BgL_typez00_bglt
																																																																																																BgL_obj1385z00_1168;
																																																																																															{	/* Object/nil.scm 204 */
																																																																																																BgL_slotz00_bglt
																																																																																																	BgL_obj2361z00_1167;
																																																																																																BgL_obj2361z00_1167
																																																																																																	=
																																																																																																	(BgL_slotz00_bglt)
																																																																																																	(BgL_slotz00_13);
																																																																																																BgL_obj1385z00_1168
																																																																																																	=
																																																																																																	(BgL_typez00_bglt)
																																																																																																	(
																																																																																																	(((BgL_slotz00_bglt) CREF(BgL_obj2361z00_1167))->BgL_classzd2ownerzd2));
																																																																																															}
																																																																																															BgL_arg2821z00_839
																																																																																																=
																																																																																																(
																																																																																																((BgL_typez00_bglt) CREF(BgL_obj1385z00_1168))->BgL_idz00);
																																																																																														}
																																																																																														{	/* Object/nil.scm 205 */
																																																																																															obj_t
																																																																																																BgL_list2827z00_845;
																																																																																															BgL_list2827z00_845
																																																																																																=
																																																																																																MAKE_PAIR
																																																																																																(BgL_casezd2valuezd2_794,
																																																																																																BNIL);
																																																																																															BgL_arg2822z00_840
																																																																																																=
																																																																																																BGl_formatz00zz__r4_output_6_10_3z00
																																																																																																(BGl_string2882z00zzobject_nilz00,
																																																																																																BgL_list2827z00_845);
																																																																																														}
																																																																																														{
																																																																																															BgL_slotz00_bglt
																																																																																																BgL_auxz00_1780;
																																																																																															BgL_auxz00_1780
																																																																																																=
																																																																																																(BgL_slotz00_bglt)
																																																																																																(BgL_slotz00_13);
																																																																																															BgL_arg2823z00_841
																																																																																																=
																																																																																																(
																																																																																																((BgL_slotz00_bglt) CREF(BgL_auxz00_1780))->BgL_idz00);
																																																																																														}
																																																																																														return
																																																																																															BGl_errorz00zz__errorz00
																																																																																															(BgL_arg2821z00_839,
																																																																																															BgL_arg2822z00_840,
																																																																																															BgL_arg2823z00_841);
																																																																																													}
																																																																																											}
																																																																																									}
																																																																																							}
																																																																																					}
																																																																																			}
																																																																																	}
																																																																															}
																																																																													}
																																																																											}
																																																																									}
																																																																							}
																																																																					}
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}
	}



/* extern-type-nil */
	obj_t BGl_externzd2typezd2nilz00zzobject_nilz00(obj_t BgL_typez00_14,
		obj_t BgL_slotz00_15)
	{
		AN_OBJECT;
		{	/* Object/nil.scm 211 */
			{	/* Object/nil.scm 213 */
				bool_t BgL_testz00_1784;

				if ((BgL_typez00_14 == BGl_za2intza2z00zztype_cachez00))
					{	/* Object/nil.scm 213 */
						BgL_testz00_1784 = ((bool_t) 1);
					}
				else
					{	/* Object/nil.scm 213 */
						BgL_testz00_1784 =
							(BgL_typez00_14 == BGl_za2longza2z00zztype_cachez00);
					}
				if (BgL_testz00_1784)
					{	/* Object/nil.scm 213 */
						return BINT(((long) 0));
					}
				else
					{	/* Object/nil.scm 213 */
						if ((BgL_typez00_14 == BGl_za2boolza2z00zztype_cachez00))
							{	/* Object/nil.scm 214 */
								return BFALSE;
							}
						else
							{	/* Object/nil.scm 214 */
								if ((BgL_typez00_14 == BGl_za2realza2z00zztype_cachez00))
									{	/* Object/nil.scm 215 */
										return BGl_real2880z00zzobject_nilz00;
									}
								else
									{	/* Object/nil.scm 215 */
										if ((BgL_typez00_14 == BGl_za2elongza2z00zztype_cachez00))
											{	/* Object/nil.scm 216 */
												return CNST_TABLE_REF(((long) 40));
											}
										else
											{	/* Object/nil.scm 216 */
												if (
													(BgL_typez00_14 == BGl_za2llongza2z00zztype_cachez00))
													{	/* Object/nil.scm 217 */
														return CNST_TABLE_REF(((long) 19));
													}
												else
													{	/* Object/nil.scm 217 */
														if (
															(BgL_typez00_14 ==
																BGl_za2charza2z00zztype_cachez00))
															{	/* Object/nil.scm 218 */
																return BCHAR(((unsigned char) '_'));
															}
														else
															{	/* Object/nil.scm 218 */
																if (
																	(BgL_typez00_14 ==
																		BGl_za2stringza2z00zztype_cachez00))
																	{	/* Object/nil.scm 219 */
																		return BGl_string2881z00zzobject_nilz00;
																	}
																else
																	{	/* Object/nil.scm 220 */
																		bool_t BgL_testz00_1804;

																		if (BGl_iszd2azf3z21zz__objectz00
																			(BgL_typez00_14,
																				BGl_jclassz00zzobject_classz00))
																			{	/* Object/nil.scm 220 */
																				BgL_testz00_1804 = ((bool_t) 1);
																			}
																		else
																			{	/* Object/nil.scm 220 */
																				BgL_testz00_1804 =
																					BGl_iszd2azf3z21zz__objectz00
																					(BgL_typez00_14,
																					BGl_jarrayz00zzforeign_jtypez00);
																			}
																		if (BgL_testz00_1804)
																			{	/* Object/nil.scm 221 */
																				obj_t BgL_arg2838z00_859;

																				obj_t BgL_arg2839z00_860;

																				BgL_arg2838z00_859 =
																					CNST_TABLE_REF(((long) 72));
																				{
																					BgL_typez00_bglt BgL_auxz00_1809;

																					BgL_auxz00_1809 =
																						(BgL_typez00_bglt) (BgL_typez00_14);
																					BgL_arg2839z00_860 =
																						(((BgL_typez00_bglt)
																							CREF(BgL_auxz00_1809))->
																						BgL_idz00);
																				}
																				return
																					BGl_makezd2privatezd2sexpz00zzast_privatez00
																					(BgL_arg2838z00_859,
																					BgL_arg2839z00_860, BNIL);
																			}
																		else
																			{	/* Object/nil.scm 223 */
																				obj_t BgL_casezd2valuezd2_862;

																				{
																					BgL_typez00_bglt BgL_auxz00_1813;

																					BgL_auxz00_1813 =
																						(BgL_typez00_bglt) (BgL_typez00_14);
																					BgL_casezd2valuezd2_862 =
																						(((BgL_typez00_bglt)
																							CREF(BgL_auxz00_1813))->
																						BgL_idz00);
																				}
																				{	/* Object/nil.scm 223 */
																					bool_t BgL_testz00_1816;

																					{	/* Object/nil.scm 223 */
																						bool_t BgL__ortest_2512z00_879;

																						BgL__ortest_2512z00_879 =
																							(BgL_casezd2valuezd2_862 ==
																							CNST_TABLE_REF(((long) 73)));
																						if (BgL__ortest_2512z00_879)
																							{	/* Object/nil.scm 223 */
																								BgL_testz00_1816 =
																									BgL__ortest_2512z00_879;
																							}
																						else
																							{	/* Object/nil.scm 223 */
																								BgL_testz00_1816 =
																									(BgL_casezd2valuezd2_862 ==
																									CNST_TABLE_REF(((long) 74)));
																					}}
																					if (BgL_testz00_1816)
																						{	/* Object/nil.scm 223 */
																							return BINT(((long) 0));
																						}
																					else
																						{	/* Object/nil.scm 223 */
																							if (
																								(BgL_casezd2valuezd2_862 ==
																									CNST_TABLE_REF(((long) 41))))
																								{	/* Object/nil.scm 223 */
																									return BFALSE;
																								}
																							else
																								{	/* Object/nil.scm 223 */
																									bool_t BgL_testz00_1826;

																									{	/* Object/nil.scm 223 */
																										bool_t
																											BgL__ortest_2513z00_878;
																										BgL__ortest_2513z00_878 =
																											(BgL_casezd2valuezd2_862
																											==
																											CNST_TABLE_REF(((long)
																													75)));
																										if (BgL__ortest_2513z00_878)
																											{	/* Object/nil.scm 223 */
																												BgL_testz00_1826 =
																													BgL__ortest_2513z00_878;
																											}
																										else
																											{	/* Object/nil.scm 223 */
																												BgL_testz00_1826 =
																													(BgL_casezd2valuezd2_862
																													==
																													CNST_TABLE_REF(((long)
																															76)));
																									}}
																									if (BgL_testz00_1826)
																										{	/* Object/nil.scm 223 */
																											return
																												BGl_real2880z00zzobject_nilz00;
																										}
																									else
																										{	/* Object/nil.scm 223 */
																											if (
																												(BgL_casezd2valuezd2_862
																													==
																													CNST_TABLE_REF(((long)
																															77))))
																												{	/* Object/nil.scm 223 */
																													return
																														BCHAR(((unsigned
																																char) '_'));
																												}
																											else
																												{	/* Object/nil.scm 223 */
																													if (
																														(BgL_casezd2valuezd2_862
																															==
																															CNST_TABLE_REF((
																																	(long) 78))))
																														{	/* Object/nil.scm 223 */
																															return
																																BGl_string2881z00zzobject_nilz00;
																														}
																													else
																														{	/* Object/nil.scm 230 */
																															bool_t
																																BgL_testz00_1839;
																															{	/* Object/nil.scm 230 */
																																obj_t
																																	BgL_arg2855z00_877;
																																BgL_arg2855z00_877
																																	=
																																	BGl_thezd2backendzd2zzbackend_backendz00
																																	();
																																{
																																	BgL_backendz00_bglt
																																		BgL_auxz00_1841;
																																	BgL_auxz00_1841
																																		=
																																		(BgL_backendz00_bglt)
																																		(BgL_arg2855z00_877);
																																	BgL_testz00_1839
																																		=
																																		(((BgL_backendz00_bglt) CREF(BgL_auxz00_1841))->BgL_pragmazd2supportzd2);
																																}
																															}
																															if (BgL_testz00_1839)
																																{	/* Object/nil.scm 231 */
																																	obj_t
																																		BgL_arg2847z00_869;
																																	obj_t
																																		BgL_arg2848z00_870;
																																	{	/* Object/nil.scm 231 */
																																		obj_t
																																			BgL_arg2849z00_871;
																																		obj_t
																																			BgL_arg2850z00_872;
																																		BgL_arg2849z00_871
																																			=
																																			CNST_TABLE_REF
																																			(((long)
																																				79));
																																		{
																																			BgL_typez00_bglt
																																				BgL_auxz00_1845;
																																			BgL_auxz00_1845
																																				=
																																				(BgL_typez00_bglt)
																																				(BgL_typez00_14);
																																			BgL_arg2850z00_872
																																				=
																																				(((BgL_typez00_bglt) CREF(BgL_auxz00_1845))->BgL_idz00);
																																		}
																																		BgL_arg2847z00_869
																																			=
																																			BGl_makezd2typedzd2identz00zzast_identz00
																																			(BgL_arg2849z00_871,
																																			BgL_arg2850z00_872);
																																	}
																																	{	/* Object/nil.scm 231 */
																																		obj_t
																																			BgL_list2851z00_873;
																																		BgL_list2851z00_873
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg2848z00_870
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BGl_string2883z00zzobject_nilz00,
																																			BgL_list2851z00_873);
																																	}
																																	return
																																		MAKE_PAIR
																																		(BgL_arg2847z00_869,
																																		BgL_arg2848z00_870);
																																}
																															else
																																{	/* Object/nil.scm 232 */
																																	obj_t
																																		BgL_arg2852z00_874;
																																	obj_t
																																		BgL_arg2853z00_875;
																																	BgL_arg2852z00_874
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			72));
																																	{
																																		BgL_typez00_bglt
																																			BgL_auxz00_1853;
																																		BgL_auxz00_1853
																																			=
																																			(BgL_typez00_bglt)
																																			(BgL_typez00_14);
																																		BgL_arg2853z00_875
																																			=
																																			(((BgL_typez00_bglt) CREF(BgL_auxz00_1853))->BgL_idz00);
																																	}
																																	return
																																		BGl_makezd2privatezd2sexpz00zzast_privatez00
																																		(BgL_arg2852z00_874,
																																		BgL_arg2853z00_875,
																																		BNIL);
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																			}
																	}
															}
													}
											}
									}
							}
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_nilz00()
	{
		AN_OBJECT;
		{	/* Object/nil.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 195902195),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 2222742),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 453255680),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_structz00(((long) 112894054),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 17869975),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 405988581),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 457322990),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
			return
				BGl_modulezd2initializa7ationz75zzforeign_jtypez00(((long) 302809955),
				BSTRING_TO_STRING(BGl_string2884z00zzobject_nilz00));
		}
	}

#ifdef __cplusplus
}
#endif
