/*===========================================================================*/
/*   (Tools/misc.scm)                                                        */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tools/misc.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	static obj_t BGl__replacez12z12zztools_miscz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_uncygdrivez00zztools_miscz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztools_miscz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl__epairifyzd2propagatezd2zztools_miscz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(char *);
	BGL_EXPORTED_DECL obj_t BGl_epairifyzd2propagatezd2zztools_miscz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl__epairifyzd2reczd2zztools_miscz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_mingwzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	BGL_EXPORTED_DECL obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stringza2zd2ze3stringz93zztools_miscz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	BGL_IMPORT obj_t rgc_buffer_substring(obj_t, long, long);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_oszd2classzd2zz__osz00();
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	static obj_t BGl__stringza2zd2ze3stringz93zztools_miscz00(obj_t, obj_t);
	static obj_t BGl__epairifyza2za2zztools_miscz00(obj_t, obj_t, obj_t);
	static obj_t BGl_loopz00zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_buildzd2pathzd2fromzd2shellzd2variablez00zztools_miscz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stringzd2splitzd2charz00zztools_miscz00(obj_t,
		obj_t);
	static obj_t BGl__uncygdrivez00zztools_miscz00(obj_t, obj_t);
	static obj_t
		BGl_unixzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza31534ze3z83zztools_miscz00(obj_t);
	static obj_t BGl__buildzd2pathzd2fromzd2she1646zd2zztools_miscz00(obj_t,
		obj_t);
	static obj_t BGl_normaliza7ezd2mingwzd2pathza7zztools_miscz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztools_miscz00();
	static obj_t BGl_ignorez00zztools_miscz00(obj_t);
	BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl__stringzd2splitzd2charz00zztools_miscz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zztools_miscz00();
	static obj_t BGl__epairify1645z00zztools_miscz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_buildzd2pathzd2fromzd2shellzd2variablezd2envzd2zztools_miscz00,
		BgL_bgl__buildza7d2pathza7d21654z00,
		BGl__buildzd2pathzd2fromzd2she1646zd2zztools_miscz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_epairifyzd2propagatezd2envz00zztools_miscz00,
		BgL_bgl__epairifyza7d2prop1655za7,
		BGl__epairifyzd2propagatezd2zztools_miscz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_epairifyzd2reczd2envz00zztools_miscz00,
		BgL_bgl__epairifyza7d2recza71656z00, BGl__epairifyzd2reczd2zztools_miscz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_replacez12zd2envzc0zztools_miscz00,
		BgL_bgl__replaceza712za712za7za71657z00, BGl__replacez12z12zztools_miscz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_epairifyza2zd2envz70zztools_miscz00,
		BgL_bgl__epairifyza7a2za7a2za71658za7, va_generic_entry,
		BGl__epairifyza2za2zztools_miscz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncygdrivezd2envzd2zztools_miscz00,
		BgL_bgl__uncygdriveza700za7za71659za7, BGl__uncygdrivez00zztools_miscz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1647z00zztools_miscz00,
		BgL_bgl_string1647za700za7za7t1660za7, " ", 1);
	      DEFINE_STRING(BGl_string1648z00zztools_miscz00,
		BgL_bgl_string1648za700za7za7t1661za7, "", 0);
	      DEFINE_STRING(BGl_string1650z00zztools_miscz00,
		BgL_bgl_string1650za700za7za7t1662za7, ":/", 2);
	      DEFINE_STRING(BGl_string1649z00zztools_miscz00,
		BgL_bgl_string1649za700za7za7t1663za7, "mingw", 5);
	      DEFINE_STRING(BGl_string1651z00zztools_miscz00,
		BgL_bgl_string1651za700za7za7t1664za7, "regular-grammar", 15);
	      DEFINE_STRING(BGl_string1652z00zztools_miscz00,
		BgL_bgl_string1652za700za7za7t1665za7, "Illegal match", 13);
	      DEFINE_STRING(BGl_string1653z00zztools_miscz00,
		BgL_bgl_string1653za700za7za7t1666za7, "/cygdrive/", 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_epairifyzd2envzd2zztools_miscz00,
		BgL_bgl__epairify1645za7001667za7, BGl__epairify1645z00zztools_miscz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2splitzd2charzd2envzd2zztools_miscz00,
		BgL_bgl__stringza7d2splitza71668z00,
		BGl__stringzd2splitzd2charz00zztools_miscz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringza2zd2ze3stringzd2envz41zztools_miscz00,
		BgL_bgl__stringza7a2za7d2za7e31669za7,
		BGl__stringza2zd2ze3stringz93zztools_miscz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long
		BgL_checksumz00_612, char *BgL_fromz00_613)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztools_miscz00))
				{
					BGl_requirezd2initializa7ationz75zztools_miscz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztools_miscz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztools_miscz00()
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 15 */
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "tools_misc");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "tools_misc");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "tools_misc");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tools_misc");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"tools_misc");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"tools_misc");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "tools_misc");
			return BUNSPEC;
		}
	}



/* string*->string */
	BGL_EXPORTED_DEF obj_t BGl_stringza2zd2ze3stringz93zztools_miscz00(obj_t
		BgL_lz00_1)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 29 */
			{	/* Tools/misc.scm 30 */
				obj_t BgL_g1385z00_58;

				BgL_g1385z00_58 = bgl_reverse(BgL_lz00_1);
				{
					obj_t BgL_lz00_59;

					obj_t BgL_rz00_60;

					BgL_lz00_59 = BgL_g1385z00_58;
					BgL_rz00_60 = BGl_string1648z00zztools_miscz00;
				BgL_loopz00_61:
					if (NULLP(BgL_lz00_59))
						{	/* Tools/misc.scm 32 */
							return BgL_rz00_60;
						}
					else
						{
							obj_t BgL_rz00_630;

							obj_t BgL_lz00_628;

							BgL_lz00_628 = CDR(BgL_lz00_59);
							BgL_rz00_630 =
								string_append_3(CAR(BgL_lz00_59),
								BGl_string1647z00zztools_miscz00, BgL_rz00_60);
							BgL_rz00_60 = BgL_rz00_630;
							BgL_lz00_59 = BgL_lz00_628;
							goto BgL_loopz00_61;
						}
				}
			}
		}
	}



/* _string*->string */
	obj_t BGl__stringza2zd2ze3stringz93zztools_miscz00(obj_t BgL_envz00_557,
		obj_t BgL_lz00_558)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 29 */
			return BGl_stringza2zd2ze3stringz93zztools_miscz00(BgL_lz00_558);
		}
	}



/* replace! */
	BGL_EXPORTED_DEF obj_t BGl_replacez12z12zztools_miscz00(obj_t BgL_p1z00_2,
		obj_t BgL_p2z00_3)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 40 */
			{	/* Tools/misc.scm 41 */
				bool_t BgL_testz00_634;

				if (PAIRP(BgL_p1z00_2))
					{	/* Tools/misc.scm 41 */
						if (PAIRP(BgL_p2z00_3))
							{	/* Tools/misc.scm 41 */
								if (EXTENDED_PAIRP(BgL_p2z00_3))
									{	/* Tools/misc.scm 41 */
										BgL_testz00_634 = ((bool_t) 0);
									}
								else
									{	/* Tools/misc.scm 41 */
										BgL_testz00_634 = ((bool_t) 1);
									}
							}
						else
							{	/* Tools/misc.scm 41 */
								BgL_testz00_634 = ((bool_t) 0);
							}
					}
				else
					{	/* Tools/misc.scm 41 */
						BgL_testz00_634 = ((bool_t) 0);
					}
				if (BgL_testz00_634)
					{	/* Tools/misc.scm 41 */
						{	/* Tools/misc.scm 43 */
							obj_t BgL_auxz00_641;

							BgL_auxz00_641 = CAR(BgL_p2z00_3);
							SET_CAR(BgL_p1z00_2, BgL_auxz00_641);
						}
						{	/* Tools/misc.scm 44 */
							obj_t BgL_auxz00_644;

							BgL_auxz00_644 = CDR(BgL_p2z00_3);
							SET_CDR(BgL_p1z00_2, BgL_auxz00_644);
						}
						return BgL_p1z00_2;
					}
				else
					{	/* Tools/misc.scm 41 */
						return BgL_p2z00_3;
					}
			}
		}
	}



/* _replace! */
	obj_t BGl__replacez12z12zztools_miscz00(obj_t BgL_envz00_559,
		obj_t BgL_p1z00_560, obj_t BgL_p2z00_561)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 40 */
			return BGl_replacez12z12zztools_miscz00(BgL_p1z00_560, BgL_p2z00_561);
		}
	}



/* string-split-char */
	BGL_EXPORTED_DEF obj_t BGl_stringzd2splitzd2charz00zztools_miscz00(obj_t
		BgL_strz00_4, obj_t BgL_separatorz00_5)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 51 */
		BGl_stringzd2splitzd2charz00zztools_miscz00:
			{	/* Tools/misc.scm 52 */
				long BgL_strzd2lengthzd2_73;

				BgL_strzd2lengthzd2_73 = STRING_LENGTH(BgL_strz00_4);
				if ((BgL_strzd2lengthzd2_73 == ((long) 0)))
					{	/* Tools/misc.scm 53 */
						return BNIL;
					}
				else
					{
						long BgL_iz00_75;

						BgL_iz00_75 = ((long) 0);
					BgL_loopz00_76:
						if ((BgL_iz00_75 >= BgL_strzd2lengthzd2_73))
							{	/* Tools/misc.scm 57 */
								obj_t BgL_list1437z00_78;

								BgL_list1437z00_78 = MAKE_PAIR(BgL_strz00_4, BNIL);
								return BgL_list1437z00_78;
							}
						else
							{	/* Tools/misc.scm 56 */
								if (
									(STRING_REF(BgL_strz00_4, BgL_iz00_75) ==
										CCHAR(BgL_separatorz00_5)))
									{	/* Tools/misc.scm 58 */
										if ((BgL_iz00_75 == ((long) 0)))
											{
												obj_t BgL_strz00_660;

												BgL_strz00_660 =
													c_substring(BgL_strz00_4, ((long) 1),
													BgL_strzd2lengthzd2_73);
												BgL_strz00_4 = BgL_strz00_660;
												goto BGl_stringzd2splitzd2charz00zztools_miscz00;
											}
										else
											{	/* Tools/misc.scm 59 */
												return
													MAKE_PAIR(c_substring(BgL_strz00_4, ((long) 0),
														BgL_iz00_75),
													BGl_stringzd2splitzd2charz00zztools_miscz00
													(c_substring(BgL_strz00_4, (BgL_iz00_75 + ((long) 1)),
															BgL_strzd2lengthzd2_73), BgL_separatorz00_5));
									}}
								else
									{
										long BgL_iz00_667;

										BgL_iz00_667 = (BgL_iz00_75 + ((long) 1));
										BgL_iz00_75 = BgL_iz00_667;
										goto BgL_loopz00_76;
									}
							}
					}
			}
		}
	}



/* _string-split-char */
	obj_t BGl__stringzd2splitzd2charz00zztools_miscz00(obj_t BgL_envz00_562,
		obj_t BgL_strz00_563, obj_t BgL_separatorz00_564)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 51 */
			return
				BGl_stringzd2splitzd2charz00zztools_miscz00(BgL_strz00_563,
				BgL_separatorz00_564);
		}
	}



/* epairify */
	BGL_EXPORTED_DEF obj_t BGl_epairifyz00zztools_miscz00(obj_t BgL_pairz00_6,
		obj_t BgL_epairz00_7)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 77 */
			if (EXTENDED_PAIRP(BgL_epairz00_7))
				{	/* Tools/misc.scm 79 */
					obj_t BgL_arg1448z00_89;

					obj_t BgL_arg1449z00_90;

					obj_t BgL_arg1450z00_91;

					BgL_arg1448z00_89 = CAR(BgL_pairz00_6);
					BgL_arg1449z00_90 = CDR(BgL_pairz00_6);
					BgL_arg1450z00_91 = CER(BgL_epairz00_7);
					{	/* Tools/misc.scm 79 */
						obj_t BgL_res1640z00_412;

						BgL_res1640z00_412 =
							MAKE_EXTENDED_PAIR(BgL_arg1448z00_89, BgL_arg1449z00_90,
							BgL_arg1450z00_91);
						return BgL_res1640z00_412;
					}
				}
			else
				{	/* Tools/misc.scm 78 */
					return BgL_pairz00_6;
				}
		}
	}



/* _epairify1645 */
	obj_t BGl__epairify1645z00zztools_miscz00(obj_t BgL_envz00_565,
		obj_t BgL_pairz00_566, obj_t BgL_epairz00_567)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 77 */
			return BGl_epairifyz00zztools_miscz00(BgL_pairz00_566, BgL_epairz00_567);
		}
	}



/* epairify-rec */
	BGL_EXPORTED_DEF obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t BgL_pz00_8,
		obj_t BgL_epz00_9)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 87 */
			if (PAIRP(BgL_pz00_8))
				{	/* Tools/misc.scm 89 */
					if (EXTENDED_PAIRP(BgL_epz00_9))
						{	/* Tools/misc.scm 91 */
							if (EXTENDED_PAIRP(BgL_pz00_8))
								{	/* Tools/misc.scm 93 */
									return BgL_pz00_8;
								}
							else
								{	/* Tools/misc.scm 96 */
									obj_t BgL_arg1455z00_95;

									obj_t BgL_arg1456z00_96;

									obj_t BgL_arg1458z00_97;

									BgL_arg1455z00_95 =
										BGl_epairifyzd2reczd2zztools_miscz00(CAR(BgL_pz00_8),
										CAR(BgL_epz00_9));
									BgL_arg1456z00_96 =
										BGl_epairifyzd2reczd2zztools_miscz00(CDR(BgL_pz00_8),
										CDR(BgL_epz00_9));
									BgL_arg1458z00_97 = CER(BgL_epz00_9);
									{	/* Tools/misc.scm 96 */
										obj_t BgL_res1641z00_424;

										BgL_res1641z00_424 =
											MAKE_EXTENDED_PAIR(BgL_arg1455z00_95, BgL_arg1456z00_96,
											BgL_arg1458z00_97);
										return BgL_res1641z00_424;
									}
								}
						}
					else
						{	/* Tools/misc.scm 91 */
							return BgL_pz00_8;
						}
				}
			else
				{	/* Tools/misc.scm 89 */
					return BgL_pz00_8;
				}
		}
	}



/* _epairify-rec */
	obj_t BGl__epairifyzd2reczd2zztools_miscz00(obj_t BgL_envz00_568,
		obj_t BgL_pz00_569, obj_t BgL_epz00_570)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 87 */
			return BGl_epairifyzd2reczd2zztools_miscz00(BgL_pz00_569, BgL_epz00_570);
		}
	}



/* epairify-propagate */
	BGL_EXPORTED_DEF obj_t BGl_epairifyzd2propagatezd2zztools_miscz00(obj_t
		BgL_pz00_10, obj_t BgL_epz00_11)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 105 */
			if (EXTENDED_PAIRP(BgL_epz00_11))
				{	/* Tools/misc.scm 106 */
					return BGl_loopz00zztools_miscz00(BgL_epz00_11, BgL_pz00_10);
				}
			else
				{	/* Tools/misc.scm 106 */
					return BgL_pz00_10;
				}
		}
	}



/* loop */
	obj_t BGl_loopz00zztools_miscz00(obj_t BgL_epz00_583, obj_t BgL_pz00_103)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 108 */
			if (PAIRP(BgL_pz00_103))
				{	/* Tools/misc.scm 110 */
					if (EXTENDED_PAIRP(BgL_pz00_103))
						{	/* Tools/misc.scm 112 */
							return BgL_pz00_103;
						}
					else
						{	/* Tools/misc.scm 115 */
							obj_t BgL_arg1468z00_107;

							obj_t BgL_arg1469z00_108;

							obj_t BgL_arg1470z00_109;

							BgL_arg1468z00_107 =
								BGl_loopz00zztools_miscz00(BgL_epz00_583, CAR(BgL_pz00_103));
							BgL_arg1469z00_108 =
								BGl_loopz00zztools_miscz00(BgL_epz00_583, CDR(BgL_pz00_103));
							BgL_arg1470z00_109 = CER(BgL_epz00_583);
							{	/* Tools/misc.scm 115 */
								obj_t BgL_res1642z00_434;

								BgL_res1642z00_434 =
									MAKE_EXTENDED_PAIR(BgL_arg1468z00_107, BgL_arg1469z00_108,
									BgL_arg1470z00_109);
								return BgL_res1642z00_434;
							}
						}
				}
			else
				{	/* Tools/misc.scm 110 */
					return BgL_pz00_103;
				}
		}
	}



/* _epairify-propagate */
	obj_t BGl__epairifyzd2propagatezd2zztools_miscz00(obj_t BgL_envz00_571,
		obj_t BgL_pz00_572, obj_t BgL_epz00_573)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 105 */
			return
				BGl_epairifyzd2propagatezd2zztools_miscz00(BgL_pz00_572, BgL_epz00_573);
		}
	}



/* epairify* */
	BGL_EXPORTED_DEF obj_t BGl_epairifyza2za2zztools_miscz00(obj_t BgL_defz00_12,
		obj_t BgL_srcsz00_13)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 122 */
			{
				obj_t BgL_srcsz00_112;

				BgL_srcsz00_112 = BgL_srcsz00_13;
			BgL_loopz00_113:
				if (NULLP(BgL_srcsz00_112))
					{	/* Tools/misc.scm 125 */
						return BgL_defz00_12;
					}
				else
					{	/* Tools/misc.scm 127 */
						bool_t BgL_testz00_708;

						{	/* Tools/misc.scm 127 */
							obj_t BgL_auxz00_709;

							BgL_auxz00_709 = CAR(BgL_srcsz00_112);
							BgL_testz00_708 = EXTENDED_PAIRP(BgL_auxz00_709);
						}
						if (BgL_testz00_708)
							{	/* Tools/misc.scm 128 */
								obj_t BgL_arg1476z00_116;

								obj_t BgL_arg1477z00_117;

								obj_t BgL_arg1478z00_118;

								BgL_arg1476z00_116 = CAR(BgL_defz00_12);
								BgL_arg1477z00_117 = CDR(BgL_defz00_12);
								BgL_arg1478z00_118 = CER(CAR(BgL_srcsz00_112));
								{	/* Tools/misc.scm 128 */
									obj_t BgL_res1643z00_445;

									BgL_res1643z00_445 =
										MAKE_EXTENDED_PAIR(BgL_arg1476z00_116, BgL_arg1477z00_117,
										BgL_arg1478z00_118);
									return BgL_res1643z00_445;
								}
							}
						else
							{
								obj_t BgL_srcsz00_717;

								BgL_srcsz00_717 = CDR(BgL_srcsz00_112);
								BgL_srcsz00_112 = BgL_srcsz00_717;
								goto BgL_loopz00_113;
							}
					}
			}
		}
	}



/* _epairify* */
	obj_t BGl__epairifyza2za2zztools_miscz00(obj_t BgL_envz00_574,
		obj_t BgL_defz00_575, obj_t BgL_srcsz00_576)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 122 */
			return BGl_epairifyza2za2zztools_miscz00(BgL_defz00_575, BgL_srcsz00_576);
		}
	}



/* build-path-from-shell-variable */
	BGL_EXPORTED_DEF obj_t
		BGl_buildzd2pathzd2fromzd2shellzd2variablez00zztools_miscz00(obj_t
		BgL_varz00_14)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 135 */
			if (bigloo_strcmp(BGl_oszd2classzd2zz__osz00(),
					BGl_string1649z00zztools_miscz00))
				{	/* Tools/misc.scm 136 */
					return
						BGl_mingwzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00
						(BgL_varz00_14);
				}
			else
				{	/* Tools/misc.scm 136 */
					return
						BGl_unixzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00
						(BgL_varz00_14);
				}
		}
	}



/* _build-path-from-she1646 */
	obj_t BGl__buildzd2pathzd2fromzd2she1646zd2zztools_miscz00(obj_t
		BgL_envz00_577, obj_t BgL_varz00_578)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 135 */
			return
				BGl_buildzd2pathzd2fromzd2shellzd2variablez00zztools_miscz00
				(BgL_varz00_578);
		}
	}



/* mingw-build-path-from-shell-variable */
	obj_t
		BGl_mingwzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00(obj_t
		BgL_varz00_15)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 143 */
			{	/* Tools/misc.scm 156 */
				obj_t BgL_valz00_126;

				obj_t BgL_resz00_127;

				BgL_valz00_126 =
					BGl_getenvz00zz__osz00(BSTRING_TO_STRING(BgL_varz00_15));
				BgL_resz00_127 = BNIL;
				if (STRINGP(BgL_valz00_126))
					{	/* Tools/misc.scm 160 */
						long BgL_nz00_129;

						long BgL_kz00_130;

						BgL_nz00_129 = STRING_LENGTH(BgL_valz00_126);
						BgL_kz00_130 = ((long) 0);
						{
							long BgL_iz00_158;

							{
								long BgL_iz00_133;

								BgL_iz00_133 = ((long) 0);
							BgL_zc3anonymousza31487ze3z83_134:
								if ((BgL_iz00_133 >= BgL_nz00_129))
									{	/* Tools/misc.scm 171 */
										obj_t BgL_l1399z00_136;

										{	/* Tools/misc.scm 172 */
											obj_t BgL_arg1500z00_152;

											{	/* Tools/misc.scm 172 */
												obj_t BgL_arg1501z00_153;

												BgL_arg1501z00_153 =
													c_substring(BgL_valz00_126, BgL_kz00_130,
													BgL_iz00_133);
												BgL_arg1500z00_152 =
													MAKE_PAIR(BgL_arg1501z00_153, BgL_resz00_127);
											}
											BgL_l1399z00_136 = bgl_reverse(BgL_arg1500z00_152);
										}
										if (NULLP(BgL_l1399z00_136))
											{	/* Tools/misc.scm 171 */
												return BNIL;
											}
										else
											{	/* Tools/misc.scm 171 */
												obj_t BgL_head1401z00_138;

												BgL_head1401z00_138 =
													MAKE_PAIR
													(BGl_normaliza7ezd2mingwzd2pathza7zztools_miscz00(CAR
														(BgL_l1399z00_136)), BNIL);
												{	/* Tools/misc.scm 171 */
													obj_t BgL_g1404z00_139;

													BgL_g1404z00_139 = CDR(BgL_l1399z00_136);
													{
														obj_t BgL_l1399z00_140;

														obj_t BgL_tail1402z00_141;

														BgL_l1399z00_140 = BgL_g1404z00_139;
														BgL_tail1402z00_141 = BgL_head1401z00_138;
													BgL_map1400z00_142:
														if (NULLP(BgL_l1399z00_140))
															{	/* Tools/misc.scm 171 */
																return BgL_head1401z00_138;
															}
														else
															{	/* Tools/misc.scm 171 */
																obj_t BgL_newtail1403z00_144;

																BgL_newtail1403z00_144 =
																	MAKE_PAIR
																	(BGl_normaliza7ezd2mingwzd2pathza7zztools_miscz00
																	(CAR(BgL_l1399z00_140)), BNIL);
																SET_CDR(BgL_tail1402z00_141,
																	BgL_newtail1403z00_144);
																{
																	obj_t BgL_tail1402z00_750;

																	obj_t BgL_l1399z00_748;

																	BgL_l1399z00_748 = CDR(BgL_l1399z00_140);
																	BgL_tail1402z00_750 = BgL_newtail1403z00_144;
																	BgL_tail1402z00_141 = BgL_tail1402z00_750;
																	BgL_l1399z00_140 = BgL_l1399z00_748;
																	goto BgL_map1400z00_142;
																}
															}
													}
												}
											}
									}
								else
									{	/* Tools/misc.scm 170 */
										{	/* Tools/misc.scm 173 */
											bool_t BgL_testz00_751;

											BgL_iz00_158 = BgL_iz00_133;
											if (
												(STRING_REF(BgL_valz00_126,
														BgL_iz00_158) == ((unsigned char) ':')))
												{	/* Tools/misc.scm 163 */
													if ((BgL_iz00_158 < (BgL_nz00_129 - ((long) 1))))
														{	/* Tools/misc.scm 165 */
															bool_t BgL_testz00_758;

															if (
																(STRING_REF(BgL_valz00_126,
																		(BgL_iz00_158 + ((long) 1))) ==
																	((unsigned char) '/')))
																{	/* Tools/misc.scm 166 */
																	BgL_testz00_758 = ((bool_t) 1);
																}
															else
																{	/* Tools/misc.scm 166 */
																	BgL_testz00_758 =
																		(STRING_REF(BgL_valz00_126,
																			(BgL_iz00_158 + ((long) 1))) ==
																		((unsigned char) '\\'));
																}
															if (BgL_testz00_758)
																{	/* Tools/misc.scm 165 */
																	BgL_testz00_751 = ((bool_t) 0);
																}
															else
																{	/* Tools/misc.scm 165 */
																	BgL_testz00_751 = ((bool_t) 1);
																}
														}
													else
														{	/* Tools/misc.scm 164 */
															BgL_testz00_751 = ((bool_t) 0);
														}
												}
											else
												{	/* Tools/misc.scm 163 */
													BgL_testz00_751 = ((bool_t) 0);
												}
											if (BgL_testz00_751)
												{	/* Tools/misc.scm 173 */
													{	/* Tools/misc.scm 175 */
														obj_t BgL_arg1503z00_155;

														BgL_arg1503z00_155 =
															c_substring(BgL_valz00_126, BgL_kz00_130,
															BgL_iz00_133);
														BgL_resz00_127 =
															MAKE_PAIR(BgL_arg1503z00_155, BgL_resz00_127);
													}
													BgL_kz00_130 = (BgL_iz00_133 + ((long) 1));
												}
											else
												{	/* Tools/misc.scm 173 */
													BFALSE;
												}
										}
										{
											long BgL_iz00_769;

											BgL_iz00_769 = (BgL_iz00_133 + ((long) 1));
											BgL_iz00_133 = BgL_iz00_769;
											goto BgL_zc3anonymousza31487ze3z83_134;
										}
									}
							}
						}
					}
				else
					{	/* Tools/misc.scm 158 */
						return BNIL;
					}
			}
		}
	}



/* normalize-mingw-path */
	obj_t BGl_normaliza7ezd2mingwzd2pathza7zztools_miscz00(obj_t BgL_pathz00_171)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 155 */
			{	/* Tools/misc.scm 145 */
				long BgL_nz00_173;

				BgL_nz00_173 = STRING_LENGTH(BgL_pathz00_171);
				if ((BgL_nz00_173 < ((long) 3)))
					{	/* Tools/misc.scm 147 */
						return BgL_pathz00_171;
					}
				else
					{	/* Tools/misc.scm 147 */
						if (
							(STRING_REF(BgL_pathz00_171,
									((long) 0)) == ((unsigned char) '/')))
							{	/* Tools/misc.scm 149 */
								if (
									(STRING_REF(BgL_pathz00_171,
											((long) 2)) == ((unsigned char) '/')))
									{	/* Tools/misc.scm 151 */
										obj_t BgL_arg1522z00_178;

										obj_t BgL_arg1525z00_180;

										{	/* Tools/misc.scm 151 */
											unsigned char BgL_arg1526z00_181;

											BgL_arg1526z00_181 =
												STRING_REF(BgL_pathz00_171, ((long) 1));
											{	/* Tools/misc.scm 151 */
												obj_t BgL_list1527z00_182;

												BgL_list1527z00_182 =
													MAKE_PAIR(BCHAR(BgL_arg1526z00_181), BNIL);
												BgL_arg1522z00_178 =
													BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
													(BgL_list1527z00_182);
										}}
										BgL_arg1525z00_180 =
											c_substring(BgL_pathz00_171, ((long) 3), BgL_nz00_173);
										return
											string_append_3(BgL_arg1522z00_178,
											BGl_string1650z00zztools_miscz00, BgL_arg1525z00_180);
									}
								else
									{	/* Tools/misc.scm 150 */
										return BgL_pathz00_171;
									}
							}
						else
							{	/* Tools/misc.scm 149 */
								return BgL_pathz00_171;
							}
					}
			}
		}
	}



/* unix-build-path-from-shell-variable */
	obj_t
		BGl_unixzd2buildzd2pathzd2fromzd2shellzd2variablezd2zztools_miscz00(obj_t
		BgL_varz00_16)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 181 */
			{	/* Tools/misc.scm 182 */
				obj_t BgL_valz00_186;

				BgL_valz00_186 =
					BGl_getenvz00zz__osz00(BSTRING_TO_STRING(BgL_varz00_16));
				if (STRINGP(BgL_valz00_186))
					{	/* Tools/misc.scm 184 */
						obj_t BgL_port1388z00_188;

						{	/* Tools/misc.scm 184 */

							BgL_port1388z00_188 =
								BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00
								(BgL_valz00_186, BINT(((long) 0)));
						}
						{	/* Tools/misc.scm 184 */
							obj_t BgL_val1389z00_189;

							BgL_val1389z00_189 =
								BGl_zc3exitza31534ze3z83zztools_miscz00(BgL_port1388z00_188);
							bgl_close_input_port(BgL_port1388z00_188);
							if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
									(BgL_val1389z00_189)))
								{	/* Tools/misc.scm 184 */
									return
										BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
										(BgL_val1389z00_189), CDR(BgL_val1389z00_189));
								}
							else
								{	/* Tools/misc.scm 184 */
									return BgL_val1389z00_189;
								}
						}
					}
				else
					{	/* Tools/misc.scm 183 */
						return BNIL;
					}
			}
		}
	}



/* ignore */
	obj_t BGl_ignorez00zztools_miscz00(obj_t BgL_inputzd2portzd2_581)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 184 */
		BGl_ignorez00zztools_miscz00:
			{
				obj_t BgL_inputzd2portzd2_301;

				long BgL_lastzd2matchzd2_302;

				obj_t BgL_inputzd2portzd2_314;

				long BgL_lastzd2matchzd2_315;

				obj_t BgL_inputzd2portzd2_323;

				long BgL_lastzd2matchzd2_324;

				RGC_START_MATCH(BgL_inputzd2portzd2_581);
				{	/* Tools/misc.scm 184 */
					long BgL_matchz00_227;

					BgL_inputzd2portzd2_323 = BgL_inputzd2portzd2_581;
					BgL_lastzd2matchzd2_324 = ((long) 2);
				BgL_zc3anonymousza31616ze3z83_325:
					{	/* Tools/misc.scm 184 */
						int BgL_currentzd2charzd2_326;

						BgL_currentzd2charzd2_326 =
							RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_323);
						if (((long) (BgL_currentzd2charzd2_326) == ((long) 0)))
							{	/* Tools/misc.scm 184 */
								if (RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_323))
									{	/* Tools/misc.scm 184 */
										if (rgc_fill_buffer(BgL_inputzd2portzd2_323))
											{

												goto BgL_zc3anonymousza31616ze3z83_325;
											}
										else
											{	/* Tools/misc.scm 184 */
												BgL_matchz00_227 = BgL_lastzd2matchzd2_324;
											}
									}
								else
									{	/* Tools/misc.scm 184 */
										BgL_inputzd2portzd2_314 = BgL_inputzd2portzd2_323;
										BgL_lastzd2matchzd2_315 = BgL_lastzd2matchzd2_324;
									BgL_zc3anonymousza31611ze3z83_316:
										{	/* Tools/misc.scm 184 */
											long BgL_newzd2matchzd2_317;

											RGC_STOP_MATCH(BgL_inputzd2portzd2_314);
											BgL_newzd2matchzd2_317 = ((long) 0);
											{	/* Tools/misc.scm 184 */
												int BgL_currentzd2charzd2_318;

												BgL_currentzd2charzd2_318 =
													RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_314);
												if (((long) (BgL_currentzd2charzd2_318) == ((long) 0)))
													{	/* Tools/misc.scm 184 */
														if (RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_314))
															{	/* Tools/misc.scm 184 */
																if (rgc_fill_buffer(BgL_inputzd2portzd2_314))
																	{

																		goto BgL_zc3anonymousza31611ze3z83_316;
																	}
																else
																	{	/* Tools/misc.scm 184 */
																		BgL_matchz00_227 = BgL_newzd2matchzd2_317;
																	}
															}
														else
															{	/* Tools/misc.scm 184 */
																BgL_inputzd2portzd2_301 =
																	BgL_inputzd2portzd2_314;
																BgL_lastzd2matchzd2_302 =
																	BgL_newzd2matchzd2_317;
															BgL_zc3anonymousza31605ze3z83_303:
																{	/* Tools/misc.scm 184 */
																	long BgL_newzd2matchzd2_304;

																	RGC_STOP_MATCH(BgL_inputzd2portzd2_301);
																	BgL_newzd2matchzd2_304 = ((long) 0);
																	{	/* Tools/misc.scm 184 */
																		int BgL_currentzd2charzd2_305;

																		BgL_currentzd2charzd2_305 =
																			RGC_BUFFER_GET_CHAR
																			(BgL_inputzd2portzd2_301);
																		if (((long) (BgL_currentzd2charzd2_305) ==
																				((long) 0)))
																			{	/* Tools/misc.scm 184 */
																				if (RGC_BUFFER_EMPTY
																					(BgL_inputzd2portzd2_301))
																					{	/* Tools/misc.scm 184 */
																						if (rgc_fill_buffer
																							(BgL_inputzd2portzd2_301))
																							{

																								goto
																									BgL_zc3anonymousza31605ze3z83_303;
																							}
																						else
																							{	/* Tools/misc.scm 184 */
																								BgL_matchz00_227 =
																									BgL_newzd2matchzd2_304;
																							}
																					}
																				else
																					{
																						long BgL_lastzd2matchzd2_827;

																						BgL_lastzd2matchzd2_827 =
																							BgL_newzd2matchzd2_304;
																						BgL_lastzd2matchzd2_302 =
																							BgL_lastzd2matchzd2_827;
																						goto
																							BgL_zc3anonymousza31605ze3z83_303;
																					}
																			}
																		else
																			{	/* Tools/misc.scm 184 */
																				if (
																					((long) (BgL_currentzd2charzd2_305) ==
																						((long) 58)))
																					{	/* Tools/misc.scm 184 */
																						BgL_matchz00_227 =
																							BgL_newzd2matchzd2_304;
																					}
																				else
																					{
																						long BgL_lastzd2matchzd2_831;

																						BgL_lastzd2matchzd2_831 =
																							BgL_newzd2matchzd2_304;
																						BgL_lastzd2matchzd2_302 =
																							BgL_lastzd2matchzd2_831;
																						goto
																							BgL_zc3anonymousza31605ze3z83_303;
																					}
																			}
																	}
																}
															}
													}
												else
													{	/* Tools/misc.scm 184 */
														if (
															((long) (BgL_currentzd2charzd2_318) ==
																((long) 58)))
															{	/* Tools/misc.scm 184 */
																BgL_matchz00_227 = BgL_newzd2matchzd2_317;
															}
														else
															{
																long BgL_lastzd2matchzd2_836;

																obj_t BgL_inputzd2portzd2_835;

																BgL_inputzd2portzd2_835 =
																	BgL_inputzd2portzd2_314;
																BgL_lastzd2matchzd2_836 =
																	BgL_newzd2matchzd2_317;
																BgL_lastzd2matchzd2_302 =
																	BgL_lastzd2matchzd2_836;
																BgL_inputzd2portzd2_301 =
																	BgL_inputzd2portzd2_835;
																goto BgL_zc3anonymousza31605ze3z83_303;
															}
													}
											}
										}
									}
							}
						else
							{	/* Tools/misc.scm 184 */
								if (((long) (BgL_currentzd2charzd2_326) == ((long) 58)))
									{	/* Tools/misc.scm 184 */
										long BgL_newzd2matchzd2_532;

										RGC_STOP_MATCH(BgL_inputzd2portzd2_323);
										BgL_newzd2matchzd2_532 = ((long) 1);
										BgL_matchz00_227 = BgL_newzd2matchzd2_532;
									}
								else
									{
										long BgL_lastzd2matchzd2_842;

										obj_t BgL_inputzd2portzd2_841;

										BgL_inputzd2portzd2_841 = BgL_inputzd2portzd2_323;
										BgL_lastzd2matchzd2_842 = BgL_lastzd2matchzd2_324;
										BgL_lastzd2matchzd2_315 = BgL_lastzd2matchzd2_842;
										BgL_inputzd2portzd2_314 = BgL_inputzd2portzd2_841;
										goto BgL_zc3anonymousza31611ze3z83_316;
									}
							}
					}
					RGC_SET_FILEPOS(BgL_inputzd2portzd2_581);
					{

						switch (BgL_matchz00_227)
							{
							case ((long) 2):

								return BNIL;
								break;
							case ((long) 1):

								{

									goto BGl_ignorez00zztools_miscz00;
								}
								break;
							case ((long) 0):

								{	/* Tools/misc.scm 186 */
									obj_t BgL_strz00_234;

									{	/* Tools/misc.scm 184 */
										int BgL_arg1599z00_292;

										{	/* Tools/misc.scm 184 */
											int BgL_res1644z00_501;

											{	/* Tools/misc.scm 184 */
												obj_t BgL_inputzd2portzd2_500;

												BgL_inputzd2portzd2_500 = BgL_inputzd2portzd2_581;
												BgL_res1644z00_501 =
													(int) (RGC_BUFFER_LENGTH(BgL_inputzd2portzd2_500));
											}
											BgL_arg1599z00_292 = BgL_res1644z00_501;
										}
										BgL_strz00_234 =
											rgc_buffer_substring(BgL_inputzd2portzd2_581, ((long) 0),
											(long) (BgL_arg1599z00_292));
									}
									{	/* Tools/misc.scm 186 */
										obj_t BgL_resz00_235;

										BgL_resz00_235 =
											BGl_ignorez00zztools_miscz00(BgL_inputzd2portzd2_581);
										{	/* Tools/misc.scm 187 */

											return MAKE_PAIR(BgL_strz00_234, BgL_resz00_235);
										}
									}
								}
								break;
							default:
								return
									BGl_errorz00zz__errorz00(BGl_string1651z00zztools_miscz00,
									BGl_string1652z00zztools_miscz00, BINT(BgL_matchz00_227));
							}
					}
				}
			}
		}
	}



/* <exit:1534> */
	obj_t BGl_zc3exitza31534ze3z83zztools_miscz00(obj_t BgL_port1388z00_582)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 184 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit1390z00_194;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit1390z00_194))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit1390z00_194 = (void *) jmpbuf;
						{	/* Tools/misc.scm 184 */

							PUSH_EXIT(BgL_an_exit1390z00_194, ((long) 0));
							{	/* Tools/misc.scm 184 */
								obj_t BgL_val1391z00_195;

								BgL_val1391z00_195 =
									BGl_ignorez00zztools_miscz00(BgL_port1388z00_582);
								POP_EXIT();
								return BgL_val1391z00_195;
							}
						}
					}
			}
		}
	}



/* uncygdrive */
	BGL_EXPORTED_DEF obj_t BGl_uncygdrivez00zztools_miscz00(obj_t BgL_strz00_17)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 201 */
			if (bigloo_strncmp(BGl_string1653z00zztools_miscz00, BgL_strz00_17,
					((long) 10)))
				{	/* Tools/misc.scm 203 */
					bool_t BgL_testz00_860;

					if ((STRING_LENGTH(BgL_strz00_17) > ((long) 12)))
						{	/* Tools/misc.scm 204 */
							bool_t BgL_testz00_864;

							{	/* Tools/misc.scm 204 */
								unsigned char BgL_auxz00_865;

								BgL_auxz00_865 = STRING_REF(BgL_strz00_17, ((long) 10));
								BgL_testz00_864 = isalpha(BgL_auxz00_865);
							}
							if (BgL_testz00_864)
								{	/* Tools/misc.scm 204 */
									BgL_testz00_860 =
										(STRING_REF(BgL_strz00_17,
											((long) 11)) == ((unsigned char) '/'));
								}
							else
								{	/* Tools/misc.scm 204 */
									BgL_testz00_860 = ((bool_t) 0);
								}
						}
					else
						{	/* Tools/misc.scm 203 */
							BgL_testz00_860 = ((bool_t) 0);
						}
					if (BgL_testz00_860)
						{	/* Tools/misc.scm 206 */
							obj_t BgL_arg1623z00_363;

							obj_t BgL_arg1624z00_364;

							{	/* Tools/misc.scm 206 */
								unsigned char BgL_arg1625z00_365;

								BgL_arg1625z00_365 = STRING_REF(BgL_strz00_17, ((long) 10));
								{	/* Tools/misc.scm 206 */
									obj_t BgL_list1626z00_366;

									{	/* Tools/misc.scm 206 */
										obj_t BgL_arg1627z00_367;

										{	/* Tools/misc.scm 206 */
											obj_t BgL_arg1628z00_368;

											BgL_arg1628z00_368 =
												MAKE_PAIR(BCHAR(((unsigned char) '/')), BNIL);
											BgL_arg1627z00_367 =
												MAKE_PAIR(BCHAR(((unsigned char) ':')),
												BgL_arg1628z00_368);
										}
										BgL_list1626z00_366 =
											MAKE_PAIR(BCHAR(BgL_arg1625z00_365), BgL_arg1627z00_367);
									}
									BgL_arg1623z00_363 =
										BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
										(BgL_list1626z00_366);
							}}
							BgL_arg1624z00_364 =
								c_substring(BgL_strz00_17, ((long) 12),
								STRING_LENGTH(BgL_strz00_17));
							return string_append(BgL_arg1623z00_363, BgL_arg1624z00_364);
						}
					else
						{	/* Tools/misc.scm 203 */
							return BgL_strz00_17;
						}
				}
			else
				{	/* Tools/misc.scm 202 */
					return BgL_strz00_17;
				}
		}
	}



/* _uncygdrive */
	obj_t BGl__uncygdrivez00zztools_miscz00(obj_t BgL_envz00_579,
		obj_t BgL_strz00_580)
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 201 */
			return BGl_uncygdrivez00zztools_miscz00(BgL_strz00_580);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztools_miscz00()
	{
		AN_OBJECT;
		{	/* Tools/misc.scm 15 */
			return BUNSPEC;
		}
	}

#ifdef __cplusplus
}
#endif
