/*===========================================================================*/
/*   (Type/tenv.scm)                                                         */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Type/tenv.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_caliasz00_bgl
	{
		bool_t BgL_arrayzf3zf3;
	}                *BgL_caliasz00_bglt;

	typedef struct BgL_cenumz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		obj_t BgL_literalsz00;
	}               *BgL_cenumz00_bglt;

	typedef struct BgL_copaquez00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
	}                 *BgL_copaquez00_bglt;

	typedef struct BgL_cfunctionz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		long BgL_arityz00;
		struct BgL_typez00_bgl *BgL_typezd2reszd2;
		obj_t BgL_typezd2argszd2;
	}                   *BgL_cfunctionz00_bglt;

	typedef struct BgL_cptrz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		struct BgL_typez00_bgl *BgL_pointzd2tozd2;
		bool_t BgL_arrayzf3zf3;
	}              *BgL_cptrz00_bglt;

	typedef struct BgL_cstructz00_bgl
	{
		bool_t BgL_structzf3zf3;
		obj_t BgL_fieldsz00;
		obj_t BgL_cstructza2za2;
	}                 *BgL_cstructz00_bglt;

	typedef struct BgL_cstructza2za2_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		struct BgL_cstructz00_bgl *BgL_cstructz00;
	}                    *BgL_cstructza2za2_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;


	static obj_t BGl__typezd2existszf3z21zztype_envz00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_bindzd2typez12zc0zztype_envz00(obj_t, bool_t,
		obj_t);
	extern bool_t BGl_ctypezf3zf3zzforeign_ctypez00(obj_t);
	extern BgL_typez00_bglt BGl_makezd2typezd2zztype_typez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2tenvzd2zztype_envz00();
	extern obj_t BGl_z42zd2inzd2namezf3zb1zztype_toolsz00(obj_t);
	extern obj_t BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztype_envz00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza32948ze3z83zztype_envz00(obj_t);
	static obj_t BGl__findzd2typezd2zztype_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_usezd2foreignzd2typez12z12zztype_envz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32815ze3z83zztype_envz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_typezd2existszf3z21zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
	static obj_t BGl__usezd2typez12zc0zztype_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl__declarezd2subtypez12zc0zztype_envz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2allowzd2typezd2redefinitionza2z00zzengine_paramz00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_zc3anonymousza32822ze3z83zztype_envz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
	static obj_t BGl_cnstzd2initzd2zztype_envz00();
	static obj_t BGl__usezd2foreignzd2typez12z12zztype_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza32839ze3z83zztype_envz00(obj_t);
	static obj_t BGl__subzd2typezf3z21zztype_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl__findzd2typezf2locationz20zztype_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl__getzd2tenvzd2zztype_envz00(obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	static obj_t BGl_zc3anonymousza32843ze3z83zztype_envz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztype_envz00();
	BGL_EXPORTED_DECL obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(obj_t, obj_t, obj_t);
	extern obj_t
		BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2
		(BgL_tclassz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2typeszd2zztype_envz00();
	extern obj_t BGl_heapzd2addzd2jclassz12z12zzmodule_javaz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__declarezd2aliastypez12zc0zztype_envz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_delayzd2tvectorz12zc0zzmodule_typez00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(BgL_typez00_bglt,
		obj_t);
	static obj_t BGl__usezd2typezf2importzd2locz12ze0zztype_envz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_findzd2typezf2locationz20zztype_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_jclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_foreignz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_creatorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_plainzd2accesszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_widezd2accesszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_declarezd2aliastypez12zc0zztype_envz00(obj_t, obj_t, obj_t,
		BgL_typez00_bglt);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zztype_envz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT bool_t BGl_hashtablezf3zf3zz__hashz00(obj_t);
	extern obj_t
		BGl_heapzd2addzd2classz12z12zzobject_classz00(BgL_tclassz00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	static obj_t BGl__addzd2tenvz12zc0zztype_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t,
		obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t
		BGl_heapzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2
		(BgL_tclassz00_bglt);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__forzd2eachzd2typez12z12zztype_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_declarezd2subtypez12zc0zztype_envz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__checkzd2typeszd2zztype_envz00(obj_t);
	extern obj_t
		BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl__initializa7ezd2Tenvz12z67zztype_envz00(obj_t);
	static obj_t BGl__declarezd2typez12zc0zztype_envz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_za2Tenvza2z00zztype_envz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2typez12z12zztype_envz00(obj_t);
	static obj_t BGl_zc3anonymousza32920ze3z83zztype_envz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_declarezd2typez12zc0zztype_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32922ze3z83zztype_envz00(obj_t, obj_t);
	static obj_t BGl__setzd2tenvz12zc0zztype_envz00(obj_t, obj_t);
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	static obj_t
		BGl__usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00;
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_envz00();
	static obj_t BGl_zc3anonymousza32930ze3z83zztype_envz00(obj_t);
	static obj_t BGl_uninitializa7edzd2typesz75zztype_envz00();
	static obj_t BGl_methodzd2initzd2zztype_envz00();
	static obj_t __cnst[8];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_findzd2typezf2locationzd2envzf2zztype_envz00,
		BgL_bgl__findza7d2typeza7f2l3005z00,
		BGl__findzd2typezf2locationz20zztype_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2tenvz12zd2envz12zztype_envz00,
		BgL_bgl__setza7d2tenvza712za7c3006za7, BGl__setzd2tenvz12zc0zztype_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_usezd2foreignzd2typezf2importzd2locz12zd2envze0zztype_envz00,
		BgL_bgl__useza7d2foreignza7d3007z00,
		BGl__usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_usezd2typezf2importzd2locz12zd2envz32zztype_envz00,
		BgL_bgl__useza7d2typeza7f2im3008z00,
		BGl__usezd2typezf2importzd2locz12ze0zztype_envz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_usezd2foreignzd2typez12zd2envzc0zztype_envz00,
		BgL_bgl__useza7d2foreignza7d3009z00,
		BGl__usezd2foreignzd2typez12z12zztype_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2987z00zztype_envz00,
		BgL_bgl_za7c3anonymousza7a323010z00,
		BGl_zc3anonymousza32822ze3z83zztype_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2989z00zztype_envz00,
		BgL_bgl_za7c3anonymousza7a323011z00,
		BGl_zc3anonymousza32843ze3z83zztype_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_declarezd2subtypez12zd2envz12zztype_envz00,
		BgL_bgl__declareza7d2subty3012za7,
		BGl__declarezd2subtypez12zc0zztype_envz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3000z00zztype_envz00,
		BgL_bgl_string3000za700za7za7t3013za7, "Undefined type", 14);
	      DEFINE_STRING(BGl_string3001z00zztype_envz00,
		BgL_bgl_string3001za700za7za7t3014za7, "type_env", 8);
	      DEFINE_STRING(BGl_string3002z00zztype_envz00,
		BgL_bgl_string3002za700za7za7t3015za7,
		"(bigloo C _ java) use-type! bigloo bind-type! find-type heap add-Tenv the-global-environment ",
		93);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2typezd2envz00zztype_envz00,
		BgL_bgl__findza7d2typeza7d2za73016za7, BGl__findzd2typezd2zztype_envz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2988z00zztype_envz00,
		BgL_bgl_string2988za700za7za7t3017za7, "Can't find super class of", 25);
	      DEFINE_STRING(BGl_string2990z00zztype_envz00,
		BgL_bgl_string2990za700za7za7t3018za7, "add-Tenv!", 9);
	      DEFINE_STRING(BGl_string2991z00zztype_envz00,
		BgL_bgl_string2991za700za7za7t3019za7, "Illegal type heap redefinition",
		30);
	      DEFINE_STRING(BGl_string2992z00zztype_envz00,
		BgL_bgl_string2992za700za7za7t3020za7, "Can't find type", 15);
	      DEFINE_STRING(BGl_string2993z00zztype_envz00,
		BgL_bgl_string2993za700za7za7t3021za7, "Type redefinition", 17);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_declarezd2typez12zd2envz12zztype_envz00,
		BgL_bgl__declareza7d2typeza73022z00, BGl__declarezd2typez12zc0zztype_envz00,
		0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2994z00zztype_envz00,
		BgL_bgl_string2994za700za7za7t3023za7, "declare-type!", 13);
	      DEFINE_STRING(BGl_string2995z00zztype_envz00,
		BgL_bgl_string2995za700za7za7t3024za7, "Illegal type class", 18);
	      DEFINE_STRING(BGl_string2996z00zztype_envz00,
		BgL_bgl_string2996za700za7za7t3025za7, " type(s) used but not defined.",
		30);
	      DEFINE_STRING(BGl_string2997z00zztype_envz00,
		BgL_bgl_string2997za700za7za7t3026za7, "Stopping compilation...", 23);
	      DEFINE_STRING(BGl_string2998z00zztype_envz00,
		BgL_bgl_string2998za700za7za7t3027za7,
		"Undefined type used in export clause", 36);
	      DEFINE_STRING(BGl_string2999z00zztype_envz00,
		BgL_bgl_string2999za700za7za7t3028za7, "Undefined used type", 19);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2typez12zd2envz12zztype_envz00,
		BgL_bgl__useza7d2typeza712za7c3029za7, BGl__usezd2typez12zc0zztype_envz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_subzd2typezf3zd2envzf3zztype_envz00,
		BgL_bgl__subza7d2typeza7f3za723030za7, BGl__subzd2typezf3z21zztype_envz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2existszf3zd2envzf3zztype_envz00,
		BgL_bgl__typeza7d2existsza7f3031z00, BGl__typezd2existszf3z21zztype_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2aliastypez12zd2envz12zztype_envz00,
		BgL_bgl__declareza7d2alias3032za7,
		BGl__declarezd2aliastypez12zc0zztype_envz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2typez12zd2envzc0zztype_envz00,
		BgL_bgl__forza7d2eachza7d2ty3033z00,
		BGl__forzd2eachzd2typez12z12zztype_envz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2tenvz12zd2envz12zztype_envz00,
		BgL_bgl__addza7d2tenvza712za7c3034za7, BGl__addzd2tenvz12zc0zztype_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initializa7ezd2Tenvz12zd2envzb5zztype_envz00,
		BgL_bgl__initializa7a7eza7d23035z00,
		BGl__initializa7ezd2Tenvz12z67zztype_envz00, 0L, BUNSPEC, 0);
	BGL_IMPORT obj_t BGl_errorzd2notifyzd2envz00zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2tenvzd2envz00zztype_envz00,
		BgL_bgl__getza7d2tenvza7d2za7za73036z00, BGl__getzd2tenvzd2zztype_envz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2typeszd2envz00zztype_envz00,
		BgL_bgl__checkza7d2typesza7d3037z00, BGl__checkzd2typeszd2zztype_envz00, 0L,
		BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long
		BgL_checksumz00_1188, char *BgL_fromz00_1189)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_envz00))
				{
					BGl_requirezd2initializa7ationz75zztype_envz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztype_envz00();
					BGl_cnstzd2initzd2zztype_envz00();
					BGl_importedzd2moduleszd2initz00zztype_envz00();
					BGl_toplevelzd2initzd2zztype_envz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "type_env");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "type_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "type_env");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"type_env");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"type_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "type_env");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"type_env");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 15 */
			{	/* Type/tenv.scm 15 */
				obj_t BgL_cportz00_1180;

				BgL_cportz00_1180 =
					bgl_open_input_string(BGl_string3002z00zztype_envz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1181;

					BgL_iz00_1181 = ((long) 7);
				BgL_loopz00_1182:
					if ((BgL_iz00_1181 == ((long) -1)))
						{	/* Type/tenv.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/tenv.scm 15 */
							{	/* Type/tenv.scm 15 */
								obj_t BgL_arg3004z00_1184;

								{	/* Type/tenv.scm 15 */

									{	/* Type/tenv.scm 15 */
										obj_t BgL_locationz00_1186;

										BgL_locationz00_1186 = BBOOL(((bool_t) 0));
										{	/* Type/tenv.scm 15 */

											BgL_arg3004z00_1184 =
												BGl_readz00zz__readerz00(BgL_cportz00_1180,
												BgL_locationz00_1186);
										}
									}
								}
								{	/* Type/tenv.scm 15 */
									int BgL_auxz00_1210;

									BgL_auxz00_1210 = (int) (BgL_iz00_1181);
									CNST_TABLE_SET(BgL_auxz00_1210, BgL_arg3004z00_1184);
							}}
							{	/* Type/tenv.scm 15 */
								int BgL_auxz00_1187;

								BgL_auxz00_1187 = (int) ((BgL_iz00_1181 - ((long) 1)));
								{
									long BgL_iz00_1215;

									BgL_iz00_1215 = (long) (BgL_auxz00_1187);
									BgL_iz00_1181 = BgL_iz00_1215;
									goto BgL_loopz00_1182;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 15 */
			BGl_za2Tenvza2z00zztype_envz00 = CNST_TABLE_REF(((long) 0));
			return (BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00 =
				((bool_t) 0), BUNSPEC);
		}
	}



/* initialize-Tenv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 76 */
			if (BGl_hashtablezf3zf3zz__hashz00(BGl_za2Tenvza2z00zztype_envz00))
				{	/* Type/tenv.scm 78 */
					return BFALSE;
				}
			else
				{	/* Type/tenv.scm 78 */
					return (BGl_za2Tenvza2z00zztype_envz00 =
						BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
				}
		}
	}



/* _initialize-Tenv! */
	obj_t BGl__initializa7ezd2Tenvz12z67zztype_envz00(obj_t BgL_envz00_1095)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 76 */
			return BGl_initializa7ezd2Tenvz12z67zztype_envz00();
		}
	}



/* get-tenv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2tenvzd2zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 84 */
			return BGl_za2Tenvza2z00zztype_envz00;
		}
	}



/* _get-tenv */
	obj_t BGl__getzd2tenvzd2zztype_envz00(obj_t BgL_envz00_1096)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 84 */
			return BGl_za2Tenvza2z00zztype_envz00;
		}
	}



/* set-tenv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t BgL_tenvz00_19)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 90 */
			BGl_initializa7ezd2Tenvz12z67zztype_envz00();
			return BGl_addzd2tenvz12zc0zztype_envz00(BgL_tenvz00_19);
		}
	}



/* _set-tenv! */
	obj_t BGl__setzd2tenvz12zc0zztype_envz00(obj_t BgL_envz00_1097,
		obj_t BgL_tenvz00_1098)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 90 */
			return BGl_setzd2tenvz12zc0zztype_envz00(BgL_tenvz00_1098);
		}
	}



/* add-tenv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t BgL_tenvz00_20)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 102 */
			{	/* Type/tenv.scm 142 */
				obj_t BgL_rememberzd2listzd2_503;

				obj_t BgL_tvectorzd2listzd2_504;

				BgL_rememberzd2listzd2_503 = MAKE_CELL(BNIL);
				BgL_tvectorzd2listzd2_504 = MAKE_CELL(BNIL);
				{	/* Type/tenv.scm 154 */
					obj_t BgL_zc3anonymousza32815ze3z83_1102;

					BgL_zc3anonymousza32815ze3z83_1102 =
						make_fx_procedure(BGl_zc3anonymousza32815ze3z83zztype_envz00,
						(int) (((long) 2)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3anonymousza32815ze3z83_1102,
						(int) (((long) 0)), BgL_rememberzd2listzd2_503);
					PROCEDURE_SET(BgL_zc3anonymousza32815ze3z83_1102,
						(int) (((long) 1)), BgL_tvectorzd2listzd2_504);
					BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_20,
						BgL_zc3anonymousza32815ze3z83_1102);
				}
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_20,
					BGl_proc2987z00zztype_envz00);
				{
					obj_t BgL_l2789z00_527;

					BgL_l2789z00_527 = CELL_REF(BgL_rememberzd2listzd2_503);
				BgL_forzd2each2790zd2_528:
					if (PAIRP(BgL_l2789z00_527))
						{	/* Type/tenv.scm 187 */
							{	/* Type/tenv.scm 188 */
								obj_t BgL_newz00_530;

								BgL_newz00_530 = CAR(BgL_l2789z00_527);
								if (BGl_iszd2azf3z21zz__objectz00(BgL_newz00_530,
										BGl_tclassz00zzobject_classz00))
									{	/* Type/tenv.scm 189 */
										obj_t BgL_superz00_532;

										{	/* Type/tenv.scm 189 */
											BgL_tclassz00_bglt BgL_obj2512z00_936;

											BgL_obj2512z00_936 =
												(BgL_tclassz00_bglt) (BgL_newz00_530);
											{
												obj_t BgL_auxz00_1240;

												{	/* Type/tenv.scm 189 */
													BgL_objectz00_bglt BgL_auxz00_1241;

													BgL_auxz00_1241 =
														(BgL_objectz00_bglt) (BgL_obj2512z00_936);
													BgL_auxz00_1240 =
														BGL_OBJECT_WIDENING(BgL_auxz00_1241);
												}
												BgL_superz00_532 =
													(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1240))->
													BgL_itszd2superzd2);
											}
										}
										if (BGl_iszd2azf3z21zz__objectz00(BgL_superz00_532,
												BGl_tclassz00zzobject_classz00))
											{	/* Type/tenv.scm 191 */
												obj_t BgL_superzd2idzd2_534;

												{
													BgL_typez00_bglt BgL_auxz00_1247;

													BgL_auxz00_1247 =
														(BgL_typez00_bglt) (BgL_superz00_532);
													BgL_superzd2idzd2_534 =
														(((BgL_typez00_bglt) CREF(BgL_auxz00_1247))->
														BgL_idz00);
												}
												{	/* Type/tenv.scm 191 */
													BgL_typez00_bglt BgL_oldzd2szd2_535;

													BgL_oldzd2szd2_535 =
														BGl_findzd2typezd2zztype_envz00
														(BgL_superzd2idzd2_534);
													{	/* Type/tenv.scm 192 */

														{	/* Type/tenv.scm 193 */
															bool_t BgL_testz00_1251;

															{	/* Type/tenv.scm 193 */
																obj_t BgL_obj2511z00_939;

																BgL_obj2511z00_939 =
																	(obj_t) (BgL_oldzd2szd2_535);
																BgL_testz00_1251 =
																	BGl_iszd2azf3z21zz__objectz00
																	(BgL_obj2511z00_939,
																	BGl_tclassz00zzobject_classz00);
															}
															if (BgL_testz00_1251)
																{	/* Type/tenv.scm 197 */
																	BgL_tclassz00_bglt BgL_obj2514z00_940;

																	obj_t BgL_val2513z00_941;

																	BgL_obj2514z00_940 =
																		(BgL_tclassz00_bglt) (BgL_newz00_530);
																	BgL_val2513z00_941 =
																		(obj_t) (BgL_oldzd2szd2_535);
																	{
																		obj_t BgL_auxz00_1256;

																		{	/* Type/tenv.scm 197 */
																			BgL_objectz00_bglt BgL_auxz00_1257;

																			BgL_auxz00_1257 =
																				(BgL_objectz00_bglt)
																				(BgL_obj2514z00_940);
																			BgL_auxz00_1256 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1257);
																		}
																		((((BgL_tclassz00_bglt)
																					CREF(BgL_auxz00_1256))->
																				BgL_itszd2superzd2) =
																			((obj_t) BgL_val2513z00_941), BUNSPEC);
																	}
																}
															else
																{	/* Type/tenv.scm 194 */
																	obj_t BgL_arg2829z00_537;

																	obj_t BgL_arg2831z00_539;

																	BgL_arg2829z00_537 =
																		CNST_TABLE_REF(((long) 1));
																	{
																		BgL_typez00_bglt BgL_auxz00_1262;

																		BgL_auxz00_1262 =
																			(BgL_typez00_bglt) (BgL_newz00_530);
																		BgL_arg2831z00_539 =
																			(((BgL_typez00_bglt)
																				CREF(BgL_auxz00_1262))->BgL_namez00);
																	}
																	BGl_errorz00zz__errorz00(BgL_arg2829z00_537,
																		BGl_string2988z00zztype_envz00,
																		BgL_arg2831z00_539);
											}}}}}
										else
											{	/* Type/tenv.scm 190 */
												BFALSE;
											}
									}
								else
									{	/* Type/tenv.scm 188 */
										BFALSE;
									}
							}
							{
								obj_t BgL_l2789z00_1266;

								BgL_l2789z00_1266 = CDR(BgL_l2789z00_527);
								BgL_l2789z00_527 = BgL_l2789z00_1266;
								goto BgL_forzd2each2790zd2_528;
							}
						}
					else
						{	/* Type/tenv.scm 187 */
							((bool_t) 1);
						}
				}
				{
					obj_t BgL_l2791z00_541;

					BgL_l2791z00_541 = CELL_REF(BgL_tvectorzd2listzd2_504);
				BgL_forzd2each2792zd2_542:
					if (PAIRP(BgL_l2791z00_541))
						{	/* Type/tenv.scm 200 */
							{	/* Type/tenv.scm 201 */
								obj_t BgL_newz00_544;

								BgL_newz00_544 = CAR(BgL_l2791z00_541);
								BGl_delayzd2tvectorz12zc0zzmodule_typez00(BgL_newz00_544,
									CNST_TABLE_REF(((long) 2)));
							}
							{
								obj_t BgL_l2791z00_1273;

								BgL_l2791z00_1273 = CDR(BgL_l2791z00_541);
								BgL_l2791z00_541 = BgL_l2791z00_1273;
								goto BgL_forzd2each2792zd2_542;
							}
						}
					else
						{	/* Type/tenv.scm 200 */
							((bool_t) 1);
						}
				}
				{
					obj_t BgL_l2793z00_546;

					BgL_l2793z00_546 = CELL_REF(BgL_rememberzd2listzd2_503);
				BgL_forzd2each2794zd2_547:
					if (PAIRP(BgL_l2793z00_546))
						{	/* Type/tenv.scm 211 */
							{	/* Type/tenv.scm 212 */
								obj_t BgL_nz00_549;

								BgL_nz00_549 = CAR(BgL_l2793z00_546);
								if (BGl_iszd2azf3z21zz__objectz00(BgL_nz00_549,
										BGl_tclassz00zzobject_classz00))
									{	/* Type/tenv.scm 216 */
										obj_t BgL_arg2837z00_551;

										{	/* Type/tenv.scm 216 */
											obj_t BgL_zc3anonymousza32839ze3z83_1100;

											BgL_zc3anonymousza32839ze3z83_1100 =
												make_fx_procedure
												(BGl_zc3anonymousza32839ze3z83zztype_envz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza32839ze3z83_1100,
												(int) (((long) 0)), BgL_nz00_549);
											BgL_arg2837z00_551 =
												BGl_makezd2promisezd2zz__r4_control_features_6_9z00
												(BgL_zc3anonymousza32839ze3z83_1100);
										}
										(obj_t)
											(BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(
												(BgL_typez00_bglt) (BgL_nz00_549), BgL_arg2837z00_551));
									}
								else
									{	/* Type/tenv.scm 212 */
										BFALSE;
									}
							}
							{
								obj_t BgL_l2793z00_1289;

								BgL_l2793z00_1289 = CDR(BgL_l2793z00_546);
								BgL_l2793z00_546 = BgL_l2793z00_1289;
								goto BgL_forzd2each2794zd2_547;
							}
						}
					else
						{	/* Type/tenv.scm 211 */
							((bool_t) 1);
						}
				}
			}
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
				BGl_proc2989z00zztype_envz00);
		}
	}



/* _add-tenv! */
	obj_t BGl__addzd2tenvz12zc0zztype_envz00(obj_t BgL_envz00_1103,
		obj_t BgL_tenvz00_1104)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 102 */
			return BGl_addzd2tenvz12zc0zztype_envz00(BgL_tenvz00_1104);
		}
	}



/* <anonymous:2843> */
	obj_t BGl_zc3anonymousza32843ze3z83zztype_envz00(obj_t BgL_envz00_1105,
		obj_t BgL_kz00_1106, obj_t BgL_newz00_1107)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 227 */
			{
				obj_t BgL_kz00_558;

				obj_t BgL_newz00_559;

				{	/* Type/tenv.scm 228 */
					bool_t BgL_auxz00_1293;

					BgL_kz00_558 = BgL_kz00_1106;
					BgL_newz00_559 = BgL_newz00_1107;
					{
						obj_t BgL_typez00_591;

						BgL_typez00_591 = BgL_newz00_559;
						{	/* Type/tenv.scm 105 */
							bool_t BgL_testz00_1294;

							{	/* Type/tenv.scm 105 */
								obj_t BgL_arg2863z00_597;

								{
									BgL_typez00_bglt BgL_auxz00_1295;

									BgL_auxz00_1295 = (BgL_typez00_bglt) (BgL_typez00_591);
									BgL_arg2863z00_597 =
										(((BgL_typez00_bglt) CREF(BgL_auxz00_1295))->BgL_aliasz00);
								}
								BgL_testz00_1294 =
									BGl_iszd2azf3z21zz__objectz00(BgL_arg2863z00_597,
									BGl_typez00zztype_typez00);
							}
							if (BgL_testz00_1294)
								{	/* Type/tenv.scm 106 */
									BgL_typez00_bglt BgL_arg2860z00_594;

									{	/* Type/tenv.scm 106 */
										obj_t BgL_arg2861z00_595;

										{	/* Type/tenv.scm 106 */
											BgL_typez00_bglt BgL_obj1902z00_977;

											{	/* Type/tenv.scm 106 */
												BgL_typez00_bglt BgL_obj1928z00_976;

												BgL_obj1928z00_976 =
													(BgL_typez00_bglt) (BgL_typez00_591);
												BgL_obj1902z00_977 =
													(BgL_typez00_bglt) (
													(((BgL_typez00_bglt) CREF(BgL_obj1928z00_976))->
														BgL_aliasz00));
											}
											BgL_arg2861z00_595 =
												(((BgL_typez00_bglt) CREF(BgL_obj1902z00_977))->
												BgL_idz00);
										}
										BgL_arg2860z00_594 =
											BGl_findzd2typezd2zztype_envz00(BgL_arg2861z00_595);
									}
									{
										obj_t BgL_auxz00_1306;

										BgL_typez00_bglt BgL_auxz00_1304;

										BgL_auxz00_1306 = (obj_t) (BgL_arg2860z00_594);
										BgL_auxz00_1304 = (BgL_typez00_bglt) (BgL_typez00_591);
										((((BgL_typez00_bglt) CREF(BgL_auxz00_1304))->
												BgL_aliasz00) = ((obj_t) BgL_auxz00_1306), BUNSPEC);
									}
								}
							else
								{	/* Type/tenv.scm 105 */
									BFALSE;
								}
						}
						{	/* Type/tenv.scm 109 */
							obj_t BgL_arg2864z00_598;

							{	/* Type/tenv.scm 109 */
								obj_t BgL_l2781z00_599;

								{
									BgL_typez00_bglt BgL_auxz00_1309;

									BgL_auxz00_1309 = (BgL_typez00_bglt) (BgL_typez00_591);
									BgL_l2781z00_599 =
										(((BgL_typez00_bglt) CREF(BgL_auxz00_1309))->
										BgL_parentsz00);
								}
								if (NULLP(BgL_l2781z00_599))
									{	/* Type/tenv.scm 109 */
										BgL_arg2864z00_598 = BNIL;
									}
								else
									{	/* Type/tenv.scm 109 */
										obj_t BgL_head2783z00_601;

										BgL_head2783z00_601 = MAKE_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l2781z00_602;

											obj_t BgL_tail2784z00_603;

											BgL_l2781z00_602 = BgL_l2781z00_599;
											BgL_tail2784z00_603 = BgL_head2783z00_601;
										BgL_map2782z00_604:
											if (NULLP(BgL_l2781z00_602))
												{	/* Type/tenv.scm 109 */
													BgL_arg2864z00_598 = CDR(BgL_head2783z00_601);
												}
											else
												{	/* Type/tenv.scm 109 */
													obj_t BgL_newtail2785z00_606;

													{	/* Type/tenv.scm 109 */
														BgL_typez00_bglt BgL_arg2868z00_608;

														{	/* Type/tenv.scm 109 */
															obj_t BgL_parentz00_610;

															BgL_parentz00_610 = CAR(BgL_l2781z00_602);
															{	/* Type/tenv.scm 110 */
																obj_t BgL_arg2870z00_611;

																{
																	BgL_typez00_bglt BgL_auxz00_1319;

																	BgL_auxz00_1319 =
																		(BgL_typez00_bglt) (BgL_parentz00_610);
																	BgL_arg2870z00_611 =
																		(((BgL_typez00_bglt)
																			CREF(BgL_auxz00_1319))->BgL_idz00);
																}
																BgL_arg2868z00_608 =
																	BGl_findzd2typezd2zztype_envz00
																	(BgL_arg2870z00_611);
															}
														}
														BgL_newtail2785z00_606 =
															MAKE_PAIR((obj_t) (BgL_arg2868z00_608), BNIL);
													}
													SET_CDR(BgL_tail2784z00_603, BgL_newtail2785z00_606);
													{
														obj_t BgL_tail2784z00_1328;

														obj_t BgL_l2781z00_1326;

														BgL_l2781z00_1326 = CDR(BgL_l2781z00_602);
														BgL_tail2784z00_1328 = BgL_newtail2785z00_606;
														BgL_tail2784z00_603 = BgL_tail2784z00_1328;
														BgL_l2781z00_602 = BgL_l2781z00_1326;
														goto BgL_map2782z00_604;
													}
												}
										}
									}
							}
							{
								BgL_typez00_bglt BgL_auxz00_1329;

								BgL_auxz00_1329 = (BgL_typez00_bglt) (BgL_typez00_591);
								((((BgL_typez00_bglt) CREF(BgL_auxz00_1329))->BgL_parentsz00) =
									((obj_t) BgL_arg2864z00_598), BUNSPEC);
							}
						}
						{	/* Type/tenv.scm 113 */
							obj_t BgL_g2788z00_612;

							{
								BgL_typez00_bglt BgL_auxz00_1332;

								BgL_auxz00_1332 = (BgL_typez00_bglt) (BgL_typez00_591);
								BgL_g2788z00_612 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_1332))->
									BgL_coercezd2tozd2);
							}
							{
								obj_t BgL_l2786z00_613;

								BgL_l2786z00_613 = BgL_g2788z00_612;
							BgL_forzd2each2787zd2_614:
								if (PAIRP(BgL_l2786z00_613))
									{	/* Type/tenv.scm 113 */
										{	/* Type/tenv.scm 114 */
											obj_t BgL_coercerz00_616;

											BgL_coercerz00_616 = CAR(BgL_l2786z00_613);
											{	/* Type/tenv.scm 114 */
												obj_t BgL_fromz00_617;

												obj_t BgL_toz00_618;

												BgL_fromz00_617 =
													STRUCT_REF(BgL_coercerz00_616, (int) (((long) 0)));
												BgL_toz00_618 =
													STRUCT_REF(BgL_coercerz00_616, (int) (((long) 1)));
												{	/* Type/tenv.scm 116 */
													BgL_typez00_bglt BgL_arg2872z00_619;

													{	/* Type/tenv.scm 116 */
														obj_t BgL_arg2873z00_620;

														{
															BgL_typez00_bglt BgL_auxz00_1342;

															BgL_auxz00_1342 =
																(BgL_typez00_bglt) (BgL_fromz00_617);
															BgL_arg2873z00_620 =
																(((BgL_typez00_bglt) CREF(BgL_auxz00_1342))->
																BgL_idz00);
														}
														BgL_arg2872z00_619 =
															BGl_findzd2typezd2zztype_envz00
															(BgL_arg2873z00_620);
													}
													{	/* Type/tenv.scm 116 */
														obj_t BgL_auxz00_1348;

														int BgL_auxz00_1346;

														BgL_auxz00_1348 = (obj_t) (BgL_arg2872z00_619);
														BgL_auxz00_1346 = (int) (((long) 0));
														STRUCT_SET(BgL_coercerz00_616, BgL_auxz00_1346,
															BgL_auxz00_1348);
												}}
												{	/* Type/tenv.scm 117 */
													BgL_typez00_bglt BgL_arg2874z00_621;

													{	/* Type/tenv.scm 117 */
														obj_t BgL_arg2875z00_622;

														{
															BgL_typez00_bglt BgL_auxz00_1351;

															BgL_auxz00_1351 =
																(BgL_typez00_bglt) (BgL_toz00_618);
															BgL_arg2875z00_622 =
																(((BgL_typez00_bglt) CREF(BgL_auxz00_1351))->
																BgL_idz00);
														}
														BgL_arg2874z00_621 =
															BGl_findzd2typezd2zztype_envz00
															(BgL_arg2875z00_622);
													}
													{	/* Type/tenv.scm 117 */
														obj_t BgL_auxz00_1357;

														int BgL_auxz00_1355;

														BgL_auxz00_1357 = (obj_t) (BgL_arg2874z00_621);
														BgL_auxz00_1355 = (int) (((long) 1));
														STRUCT_SET(BgL_coercerz00_616, BgL_auxz00_1355,
															BgL_auxz00_1357);
										}}}}
										{
											obj_t BgL_l2786z00_1360;

											BgL_l2786z00_1360 = CDR(BgL_l2786z00_613);
											BgL_l2786z00_613 = BgL_l2786z00_1360;
											goto BgL_forzd2each2787zd2_614;
										}
									}
								else
									{	/* Type/tenv.scm 113 */
										BgL_auxz00_1293 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_1293);
				}
			}
		}
	}



/* <anonymous:2839> */
	obj_t BGl_zc3anonymousza32839ze3z83zztype_envz00(obj_t BgL_envz00_1108)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 215 */
			{	/* Type/tenv.scm 216 */
				obj_t BgL_nz00_1109;

				BgL_nz00_1109 = PROCEDURE_REF(BgL_envz00_1108, (int) (((long) 0)));
				{

					{	/* Type/tenv.scm 216 */
						bool_t BgL_testz00_1365;

						{	/* Type/tenv.scm 216 */
							BgL_tclassz00_bglt BgL_obj2519z00_950;

							BgL_obj2519z00_950 = (BgL_tclassz00_bglt) (BgL_nz00_1109);
							{	/* Type/tenv.scm 216 */
								obj_t BgL_auxz00_1367;

								{
									obj_t BgL_auxz00_1368;

									{	/* Type/tenv.scm 216 */
										BgL_objectz00_bglt BgL_auxz00_1369;

										BgL_auxz00_1369 = (BgL_objectz00_bglt) (BgL_obj2519z00_950);
										BgL_auxz00_1368 = BGL_OBJECT_WIDENING(BgL_auxz00_1369);
									}
									BgL_auxz00_1367 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1368))->
										BgL_wideningz00);
								}
								BgL_testz00_1365 = CBOOL(BgL_auxz00_1367);
						}}
						if (BgL_testz00_1365)
							{	/* Type/tenv.scm 216 */
								return
									BGl_heapzd2widezd2classzd2accessorsz12zc0zzobject_widezd2accesszd2
									((BgL_tclassz00_bglt) (BgL_nz00_1109));
							}
						else
							{	/* Type/tenv.scm 216 */
								return
									BGl_heapzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2
									((BgL_tclassz00_bglt) (BgL_nz00_1109));
							}
					}
				}
			}
		}
	}



/* <anonymous:2822> */
	obj_t BGl_zc3anonymousza32822ze3z83zztype_envz00(obj_t BgL_envz00_1110,
		obj_t BgL_kz00_1111, obj_t BgL_newz00_1112)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 178 */
			{
				obj_t BgL_kz00_518;

				obj_t BgL_newz00_519;

				BgL_kz00_518 = BgL_kz00_1111;
				BgL_newz00_519 = BgL_newz00_1112;
				{	/* Type/tenv.scm 179 */
					obj_t BgL_idz00_521;

					{
						BgL_typez00_bglt BgL_auxz00_1378;

						BgL_auxz00_1378 = (BgL_typez00_bglt) (BgL_newz00_519);
						BgL_idz00_521 =
							(((BgL_typez00_bglt) CREF(BgL_auxz00_1378))->BgL_idz00);
					}
					{	/* Type/tenv.scm 179 */
						obj_t BgL_oldz00_522;

						BgL_oldz00_522 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
							BgL_idz00_521);
						{	/* Type/tenv.scm 180 */

							if (BGl_ctypezf3zf3zzforeign_ctypez00(BgL_oldz00_522))
								{	/* Type/tenv.scm 182 */
									obj_t BgL_lz00_524;

									{
										BgL_typez00_bglt BgL_auxz00_1384;

										BgL_auxz00_1384 = (BgL_typez00_bglt) (BgL_oldz00_522);
										BgL_lz00_524 =
											(((BgL_typez00_bglt) CREF(BgL_auxz00_1384))->
											BgL_locationz00);
									}
									return
										BGl_foreignzd2accesseszd2addz12z12zzmodule_foreignz00
										(BGl_makezd2ctypezd2accessesz12z12zzforeign_accessz00(
											(BgL_typez00_bglt) (BgL_oldz00_522),
											(BgL_typez00_bglt) (BgL_oldz00_522), BgL_lz00_524));
								}
							else
								{	/* Type/tenv.scm 181 */
									return BFALSE;
								}
						}
					}
				}
			}
		}
	}



/* <anonymous:2815> */
	obj_t BGl_zc3anonymousza32815ze3z83zztype_envz00(obj_t BgL_envz00_1113,
		obj_t BgL_kz00_1116, obj_t BgL_newz00_1117)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 153 */
			{	/* Type/tenv.scm 154 */
				obj_t BgL_rememberzd2listzd2_1114;

				obj_t BgL_tvectorzd2listzd2_1115;

				BgL_rememberzd2listzd2_1114 =
					PROCEDURE_REF(BgL_envz00_1113, (int) (((long) 0)));
				BgL_tvectorzd2listzd2_1115 =
					PROCEDURE_REF(BgL_envz00_1113, (int) (((long) 1)));
				{
					obj_t BgL_kz00_506;

					obj_t BgL_newz00_507;

					BgL_kz00_506 = BgL_kz00_1116;
					BgL_newz00_507 = BgL_newz00_1117;
					{
						obj_t BgL_oldz00_562;

						obj_t BgL_newz00_563;

						obj_t BgL_fromz00_580;

						BgL_typez00_bglt BgL_toz00_581;

						{	/* Type/tenv.scm 154 */
							obj_t BgL_idz00_509;

							{
								BgL_typez00_bglt BgL_auxz00_1395;

								BgL_auxz00_1395 = (BgL_typez00_bglt) (BgL_newz00_507);
								BgL_idz00_509 =
									(((BgL_typez00_bglt) CREF(BgL_auxz00_1395))->BgL_idz00);
							}
							{	/* Type/tenv.scm 154 */
								obj_t BgL_oldz00_510;

								BgL_oldz00_510 =
									BGl_hashtablezd2getzd2zz__hashz00
									(BGl_za2Tenvza2z00zztype_envz00, BgL_idz00_509);
								{	/* Type/tenv.scm 155 */

									if (BGl_iszd2azf3z21zz__objectz00(BgL_oldz00_510,
											BGl_typez00zztype_typez00))
										{	/* Type/tenv.scm 168 */
											bool_t BgL_testz00_1401;

											{
												BgL_typez00_bglt BgL_auxz00_1402;

												BgL_auxz00_1402 = (BgL_typez00_bglt) (BgL_oldz00_510);
												BgL_testz00_1401 =
													(((BgL_typez00_bglt) CREF(BgL_auxz00_1402))->
													BgL_initzf3zf3);
											}
											if (BgL_testz00_1401)
												{	/* Type/tenv.scm 176 */
													bool_t BgL_auxz00_1405;

													BgL_oldz00_562 = BgL_oldz00_510;
													BgL_newz00_563 = BgL_newz00_507;
													{	/* Type/tenv.scm 129 */
														obj_t BgL_g2780z00_565;

														{
															BgL_typez00_bglt BgL_auxz00_1406;

															BgL_auxz00_1406 =
																(BgL_typez00_bglt) (BgL_newz00_563);
															BgL_g2780z00_565 =
																(((BgL_typez00_bglt) CREF(BgL_auxz00_1406))->
																BgL_coercezd2tozd2);
														}
														{
															obj_t BgL_l2778z00_566;

															BgL_l2778z00_566 = BgL_g2780z00_565;
														BgL_forzd2each2779zd2_567:
															if (PAIRP(BgL_l2778z00_566))
																{	/* Type/tenv.scm 129 */
																	{	/* Type/tenv.scm 130 */
																		obj_t BgL_coercerz00_569;

																		BgL_coercerz00_569 = CAR(BgL_l2778z00_566);
																		{	/* Type/tenv.scm 130 */
																			obj_t BgL_toz00_571;

																			BgL_toz00_571 =
																				STRUCT_REF(BgL_coercerz00_569,
																				(int) (((long) 1)));
																			{	/* Type/tenv.scm 131 */
																				obj_t BgL_tidz00_572;

																				{
																					BgL_typez00_bglt BgL_auxz00_1414;

																					BgL_auxz00_1414 =
																						(BgL_typez00_bglt) (BgL_toz00_571);
																					BgL_tidz00_572 =
																						(((BgL_typez00_bglt)
																							CREF(BgL_auxz00_1414))->
																						BgL_idz00);
																				}
																				{	/* Type/tenv.scm 132 */
																					bool_t BgL_tidzd2existszf3z21_573;

																					BgL_tidzd2existszf3z21_573 =
																						BGl_typezd2existszf3z21zztype_envz00
																						(BgL_tidz00_572);
																					{	/* Type/tenv.scm 133 */

																						{	/* Type/tenv.scm 134 */
																							bool_t BgL_testz00_1418;

																							if (BgL_tidzd2existszf3z21_573)
																								{	/* Type/tenv.scm 135 */
																									bool_t BgL_testz00_1420;

																									{	/* Type/tenv.scm 135 */
																										BgL_typez00_bglt
																											BgL_arg2850z00_578;
																										BgL_arg2850z00_578 =
																											BGl_findzd2typezd2zztype_envz00
																											(BgL_tidz00_572);
																										{	/* Type/tenv.scm 135 */
																											obj_t BgL_auxz00_1422;

																											BgL_fromz00_580 =
																												BgL_oldz00_562;
																											BgL_toz00_581 =
																												BgL_arg2850z00_578;
																											{
																												obj_t
																													BgL_coercerz00_584;
																												{
																													BgL_typez00_bglt
																														BgL_auxz00_1434;
																													BgL_auxz00_1434 =
																														(BgL_typez00_bglt)
																														(BgL_fromz00_580);
																													BgL_coercerz00_584 =
																														(((BgL_typez00_bglt)
																															CREF
																															(BgL_auxz00_1434))->
																														BgL_coercezd2tozd2);
																												}
																											BgL_loopz00_585:
																												if (NULLP
																													(BgL_coercerz00_584))
																													{	/* Type/tenv.scm 122 */
																														BgL_auxz00_1422 =
																															BFALSE;
																													}
																												else
																													{	/* Type/tenv.scm 122 */
																														if (
																															(STRUCT_REF(CAR
																																	(BgL_coercerz00_584),
																																	(int) (((long)
																																			1))) ==
																																(obj_t)
																																(BgL_toz00_581)))
																															{	/* Type/tenv.scm 124 */
																																BgL_auxz00_1422
																																	=
																																	CAR
																																	(BgL_coercerz00_584);
																															}
																														else
																															{
																																obj_t
																																	BgL_coercerz00_1432;
																																BgL_coercerz00_1432
																																	=
																																	CDR
																																	(BgL_coercerz00_584);
																																BgL_coercerz00_584
																																	=
																																	BgL_coercerz00_1432;
																																goto
																																	BgL_loopz00_585;
																															}
																													}
																											}
																											BgL_testz00_1420 =
																												CBOOL(BgL_auxz00_1422);
																										}
																									}
																									if (BgL_testz00_1420)
																										{	/* Type/tenv.scm 135 */
																											BgL_testz00_1418 =
																												((bool_t) 0);
																										}
																									else
																										{	/* Type/tenv.scm 135 */
																											BgL_testz00_1418 =
																												((bool_t) 1);
																										}
																								}
																							else
																								{	/* Type/tenv.scm 134 */
																									BgL_testz00_1418 =
																										((bool_t) 1);
																								}
																							if (BgL_testz00_1418)
																								{	/* Type/tenv.scm 138 */
																									obj_t BgL_arg2847z00_575;

																									{	/* Type/tenv.scm 138 */
																										obj_t BgL_arg2848z00_576;

																										{
																											BgL_typez00_bglt
																												BgL_auxz00_1438;
																											BgL_auxz00_1438 =
																												(BgL_typez00_bglt)
																												(BgL_oldz00_562);
																											BgL_arg2848z00_576 =
																												(((BgL_typez00_bglt)
																													CREF
																													(BgL_auxz00_1438))->
																												BgL_coercezd2tozd2);
																										}
																										BgL_arg2847z00_575 =
																											MAKE_PAIR
																											(BgL_coercerz00_569,
																											BgL_arg2848z00_576);
																									}
																									{
																										BgL_typez00_bglt
																											BgL_auxz00_1442;
																										BgL_auxz00_1442 =
																											(BgL_typez00_bglt)
																											(BgL_oldz00_562);
																										((((BgL_typez00_bglt)
																													CREF
																													(BgL_auxz00_1442))->
																												BgL_coercezd2tozd2) =
																											((obj_t)
																												BgL_arg2847z00_575),
																											BUNSPEC);
																									}
																								}
																							else
																								{	/* Type/tenv.scm 134 */
																									BFALSE;
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																	{
																		obj_t BgL_l2778z00_1445;

																		BgL_l2778z00_1445 = CDR(BgL_l2778z00_566);
																		BgL_l2778z00_566 = BgL_l2778z00_1445;
																		goto BgL_forzd2each2779zd2_567;
																	}
																}
															else
																{	/* Type/tenv.scm 129 */
																	BgL_auxz00_1405 = ((bool_t) 1);
																}
														}
													}
													return BBOOL(BgL_auxz00_1405);
												}
											else
												{	/* Type/tenv.scm 168 */
													BGl_errorz00zz__errorz00
														(BGl_string2990z00zztype_envz00,
														BGl_string2991z00zztype_envz00, BgL_idz00_509);
													return
														BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long)
																55)));
										}}
									else
										{	/* Type/tenv.scm 157 */
											BGl_hashtablezd2putz12zc0zz__hashz00
												(BGl_za2Tenvza2z00zztype_envz00, BgL_idz00_509,
												BgL_newz00_507);
											if (BGl_iszd2azf3z21zz__objectz00(BgL_newz00_507,
													BGl_tclassz00zzobject_classz00))
												{	/* Type/tenv.scm 159 */
													BGl_heapzd2addzd2classz12z12zzobject_classz00(
														(BgL_tclassz00_bglt) (BgL_newz00_507));
													{	/* Type/tenv.scm 161 */
														obj_t BgL_auxz00_1118;

														BgL_auxz00_1118 =
															MAKE_PAIR(BgL_newz00_507,
															CELL_REF(BgL_rememberzd2listzd2_1114));
														CELL_SET(BgL_rememberzd2listzd2_1114,
															BgL_auxz00_1118);
													}
												}
											else
												{	/* Type/tenv.scm 159 */
													BFALSE;
												}
											if (BGl_iszd2azf3z21zz__objectz00(BgL_newz00_507,
													BGl_jclassz00zzobject_classz00))
												{	/* Type/tenv.scm 163 */
													BGl_heapzd2addzd2jclassz12z12zzmodule_javaz00
														(BgL_newz00_507);
												}
											else
												{	/* Type/tenv.scm 163 */
													BFALSE;
												}
											if (BGl_iszd2azf3z21zz__objectz00(BgL_newz00_507,
													BGl_tvecz00zztvector_tvectorz00))
												{	/* Type/tenv.scm 166 */
													obj_t BgL_auxz00_1119;

													BgL_auxz00_1119 =
														MAKE_PAIR(BgL_newz00_507,
														CELL_REF(BgL_tvectorzd2listzd2_1115));
													return
														CELL_SET(BgL_tvectorzd2listzd2_1115,
														BgL_auxz00_1119);
												}
											else
												{	/* Type/tenv.scm 165 */
													return BFALSE;
												}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* find-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t
		BgL_idz00_21)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 233 */
			{	/* Type/tenv.scm 234 */
				obj_t BgL_typez00_627;

				BgL_typez00_627 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_21);
				if (BGl_iszd2azf3z21zz__objectz00(BgL_typez00_627,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 235 */
						return (BgL_typez00_bglt) (BgL_typez00_627);
					}
				else
					{	/* Type/tenv.scm 235 */
						return
							(BgL_typez00_bglt) (BGl_errorz00zz__errorz00(CNST_TABLE_REF((
										(long) 3)), BGl_string2992z00zztype_envz00, BgL_idz00_21));
		}}}
	}



/* _find-type */
	obj_t BGl__findzd2typezd2zztype_envz00(obj_t BgL_envz00_1120,
		obj_t BgL_idz00_1121)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 233 */
			return (obj_t) (BGl_findzd2typezd2zztype_envz00(BgL_idz00_1121));
		}
	}



/* find-type/location */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_findzd2typezf2locationz20zztype_envz00(obj_t BgL_idz00_22,
		obj_t BgL_locz00_23)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 242 */
			{	/* Type/tenv.scm 243 */
				obj_t BgL_typez00_629;

				BgL_typez00_629 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_22);
				if (BGl_iszd2azf3z21zz__objectz00(BgL_typez00_629,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 244 */
						return (BgL_typez00_bglt) (BgL_typez00_629);
					}
				else
					{	/* Type/tenv.scm 244 */
						return
							(BgL_typez00_bglt) (BGl_userzd2errorzf2locationz20zztools_errorz00
							(BgL_locz00_23, CNST_TABLE_REF(((long) 3)),
								BGl_string2992z00zztype_envz00, BgL_idz00_22, BNIL));
		}}}
	}



/* _find-type/location */
	obj_t BGl__findzd2typezf2locationz20zztype_envz00(obj_t BgL_envz00_1122,
		obj_t BgL_idz00_1123, obj_t BgL_locz00_1124)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 242 */
			return
				(obj_t) (BGl_findzd2typezf2locationz20zztype_envz00(BgL_idz00_1123,
					BgL_locz00_1124));
		}
	}



/* type-exists? */
	BGL_EXPORTED_DEF bool_t BGl_typezd2existszf3z21zztype_envz00(obj_t
		BgL_idz00_24)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 253 */
			{	/* Type/tenv.scm 254 */
				obj_t BgL_typez00_632;

				BgL_typez00_632 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_24);
				if (BGl_iszd2azf3z21zz__objectz00(BgL_typez00_632,
						BGl_typez00zztype_typez00))
					{
						BgL_typez00_bglt BgL_auxz00_1484;

						BgL_auxz00_1484 = (BgL_typez00_bglt) (BgL_typez00_632);
						return (((BgL_typez00_bglt) CREF(BgL_auxz00_1484))->BgL_initzf3zf3);
					}
				else
					{	/* Type/tenv.scm 255 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _type-exists? */
	obj_t BGl__typezd2existszf3z21zztype_envz00(obj_t BgL_envz00_1125,
		obj_t BgL_idz00_1126)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 253 */
			return BBOOL(BGl_typezd2existszf3z21zztype_envz00(BgL_idz00_1126));
		}
	}



/* bind-type! */
	BgL_typez00_bglt BGl_bindzd2typez12zc0zztype_envz00(obj_t BgL_idz00_25,
		bool_t BgL_initzf3zf3_26, obj_t BgL_locz00_27)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 262 */
			{	/* Type/tenv.scm 263 */
				obj_t BgL_typez00_634;

				BgL_typez00_634 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_25);
				if (BGl_iszd2azf3z21zz__objectz00(BgL_typez00_634,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 265 */
						bool_t BgL_testz00_1492;

						if (CBOOL
							(BGl_za2allowzd2typezd2redefinitionza2z00zzengine_paramz00))
							{	/* Type/tenv.scm 265 */
								BgL_testz00_1492 = ((bool_t) 0);
							}
						else
							{	/* Type/tenv.scm 265 */
								if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
									{	/* Type/tenv.scm 266 */
										BgL_testz00_1492 = ((bool_t) 0);
									}
								else
									{
										BgL_typez00_bglt BgL_auxz00_1497;

										BgL_auxz00_1497 = (BgL_typez00_bglt) (BgL_typez00_634);
										BgL_testz00_1492 =
											(((BgL_typez00_bglt) CREF(BgL_auxz00_1497))->
											BgL_initzf3zf3);
									}
							}
						if (BgL_testz00_1492)
							{	/* Type/tenv.scm 268 */
								obj_t BgL_arg2883z00_637;

								obj_t BgL_arg2885z00_639;

								BgL_arg2883z00_637 = CNST_TABLE_REF(((long) 4));
								BgL_arg2885z00_639 =
									BGl_shapez00zztools_shapez00(BgL_typez00_634);
								return
									(BgL_typez00_bglt) (BGl_userzd2errorzd2zztools_errorz00
									(BgL_arg2883z00_637, BGl_string2993z00zztype_envz00,
										BgL_arg2885z00_639, BNIL));
							}
						else
							{	/* Type/tenv.scm 265 */
								{	/* Type/tenv.scm 270 */
									bool_t BgL_testz00_1504;

									if (BGl_iszd2azf3z21zz__objectz00(BgL_typez00_634,
											BGl_typez00zztype_typez00))
										{	/* Type/tenv.scm 270 */
											if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
												{	/* Type/tenv.scm 271 */
													BgL_testz00_1504 = ((bool_t) 0);
												}
											else
												{
													BgL_typez00_bglt BgL_auxz00_1509;

													BgL_auxz00_1509 =
														(BgL_typez00_bglt) (BgL_typez00_634);
													BgL_testz00_1504 =
														(((BgL_typez00_bglt) CREF(BgL_auxz00_1509))->
														BgL_initzf3zf3);
												}
										}
									else
										{	/* Type/tenv.scm 270 */
											BgL_testz00_1504 = ((bool_t) 0);
										}
									if (BgL_testz00_1504)
										{	/* Type/tenv.scm 270 */
											if (CBOOL
												(BGl_za2allowzd2typezd2redefinitionza2z00zzengine_paramz00))
												{	/* Type/tenv.scm 273 */
													BFALSE;
												}
											else
												{	/* Type/tenv.scm 274 */
													obj_t BgL_arg2889z00_642;

													obj_t BgL_arg2892z00_644;

													BgL_arg2889z00_642 = CNST_TABLE_REF(((long) 4));
													BgL_arg2892z00_644 =
														BGl_shapez00zztools_shapez00(BgL_typez00_634);
													BGl_userzd2warningzd2zztools_errorz00
														(BgL_arg2889z00_642, BGl_string2993z00zztype_envz00,
														BgL_arg2892z00_644);
										}}
									else
										{	/* Type/tenv.scm 270 */
											BFALSE;
										}
								}
								if (BgL_initzf3zf3_26)
									{
										BgL_typez00_bglt BgL_auxz00_1518;

										BgL_auxz00_1518 = (BgL_typez00_bglt) (BgL_typez00_634);
										((((BgL_typez00_bglt) CREF(BgL_auxz00_1518))->
												BgL_initzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
									}
								else
									{	/* Type/tenv.scm 279 */
										BFALSE;
									}
								return (BgL_typez00_bglt) (BgL_typez00_634);
							}
					}
				else
					{	/* Type/tenv.scm 282 */
						BgL_typez00_bglt BgL_newz00_646;

						BgL_newz00_646 =
							BGl_makezd2typezd2zztype_typez00(BgL_idz00_25, BUNSPEC, BUNSPEC,
							CNST_TABLE_REF(((long) 5)), BNIL, BNIL, BgL_initzf3zf3_26,
							((bool_t) 0), BTRUE, BFALSE, BFALSE, BUNSPEC, BgL_locz00_27,
							BFALSE);
						BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
							BgL_idz00_25, (obj_t) (BgL_newz00_646));
						return BgL_newz00_646;
					}
			}
		}
	}



/* use-type! */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t
		BgL_idz00_28, obj_t BgL_locz00_29)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 289 */
			{	/* Type/tenv.scm 291 */
				obj_t BgL_typez00_647;

				BgL_typez00_647 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_28);
				if (BGl_iszd2azf3z21zz__objectz00(BgL_typez00_647,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 293 */
						return (BgL_typez00_bglt) (BgL_typez00_647);
					}
				else
					{	/* Type/tenv.scm 293 */
						if (BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00)
							{	/* Type/tenv.scm 295 */
								return
									(BgL_typez00_bglt)
									(BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_29,
										CNST_TABLE_REF(((long) 6)), BGl_string2992z00zztype_envz00,
										BgL_idz00_28, BNIL));
							}
						else
							{	/* Type/tenv.scm 295 */
								return
									BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_28, ((bool_t) 0),
									BgL_locz00_29);
							}
					}
			}
		}
	}



/* _use-type! */
	obj_t BGl__usezd2typez12zc0zztype_envz00(obj_t BgL_envz00_1127,
		obj_t BgL_idz00_1128, obj_t BgL_locz00_1129)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 289 */
			return
				(obj_t) (BGl_usezd2typez12zc0zztype_envz00(BgL_idz00_1128,
					BgL_locz00_1129));
		}
	}



/* use-type/import-loc! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(obj_t BgL_idz00_30,
		obj_t BgL_locz00_31, obj_t BgL_lociz00_32)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 304 */
			{	/* Type/tenv.scm 306 */
				obj_t BgL_typez00_650;

				BgL_typez00_650 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Tenvza2z00zztype_envz00,
					BgL_idz00_30);
				if (BGl_iszd2azf3z21zz__objectz00(BgL_typez00_650,
						BGl_typez00zztype_typez00))
					{	/* Type/tenv.scm 308 */
						return (BgL_typez00_bglt) (BgL_typez00_650);
					}
				else
					{	/* Type/tenv.scm 308 */
						if (BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00)
							{	/* Type/tenv.scm 310 */
								return
									(BgL_typez00_bglt)
									(BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_31,
										CNST_TABLE_REF(((long) 6)), BGl_string2992z00zztype_envz00,
										BgL_idz00_30, BNIL));
							}
						else
							{	/* Type/tenv.scm 310 */
								{	/* Type/tenv.scm 314 */
									BgL_typez00_bglt BgL_typez00_653;

									BgL_typez00_653 =
										BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_30,
										((bool_t) 0), BgL_locz00_31);
									((((BgL_typez00_bglt) CREF(BgL_typez00_653))->
											BgL_importzd2locationzd2) =
										((obj_t) BgL_lociz00_32), BUNSPEC);
									return BgL_typez00_653;
								}
							}
					}
			}
		}
	}



/* _use-type/import-loc! */
	obj_t BGl__usezd2typezf2importzd2locz12ze0zztype_envz00(obj_t BgL_envz00_1130,
		obj_t BgL_idz00_1131, obj_t BgL_locz00_1132, obj_t BgL_lociz00_1133)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 304 */
			return
				(obj_t) (BGl_usezd2typezf2importzd2locz12ze0zztype_envz00
				(BgL_idz00_1131, BgL_locz00_1132, BgL_lociz00_1133));
		}
	}



/* use-foreign-type! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_usezd2foreignzd2typez12z12zztype_envz00(obj_t BgL_idz00_33,
		obj_t BgL_locz00_34)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 327 */
			{	/* Type/tenv.scm 329 */
				obj_t BgL_tidz00_654;

				BgL_tidz00_654 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_33, BgL_locz00_34);
				{	/* Type/tenv.scm 334 */
					bool_t BgL_testz00_1550;

					{	/* Type/tenv.scm 334 */
						obj_t BgL_arg2900z00_657;

						BgL_typez00_bglt BgL_arg2901z00_658;

						BgL_arg2900z00_657 = CDR(BgL_tidz00_654);
						BgL_arg2901z00_658 = BGl_getzd2defaultzd2typez00zztype_cachez00();
						BgL_testz00_1550 =
							(BgL_arg2900z00_657 == (obj_t) (BgL_arg2901z00_658));
					}
					if (BgL_testz00_1550)
						{	/* Type/tenv.scm 334 */
							return
								BGl_usezd2typez12zc0zztype_envz00(CAR(BgL_tidz00_654),
								BgL_locz00_34);
						}
					else
						{	/* Type/tenv.scm 334 */
							return (BgL_typez00_bglt) (CDR(BgL_tidz00_654));
						}
				}
			}
		}
	}



/* _use-foreign-type! */
	obj_t BGl__usezd2foreignzd2typez12z12zztype_envz00(obj_t BgL_envz00_1134,
		obj_t BgL_idz00_1135, obj_t BgL_locz00_1136)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 327 */
			return
				(obj_t) (BGl_usezd2foreignzd2typez12z12zztype_envz00(BgL_idz00_1135,
					BgL_locz00_1136));
		}
	}



/* use-foreign-type/import-loc! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(obj_t
		BgL_idz00_35, obj_t BgL_locz00_36, obj_t BgL_lociz00_37)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 349 */
			{	/* Type/tenv.scm 351 */
				obj_t BgL_tidz00_659;

				BgL_tidz00_659 =
					BGl_parsezd2idzd2zzast_identz00(BgL_idz00_35, BgL_locz00_36);
				{	/* Type/tenv.scm 356 */
					bool_t BgL_testz00_1562;

					{	/* Type/tenv.scm 356 */
						obj_t BgL_arg2904z00_662;

						BgL_typez00_bglt BgL_arg2905z00_663;

						BgL_arg2904z00_662 = CDR(BgL_tidz00_659);
						BgL_arg2905z00_663 = BGl_getzd2defaultzd2typez00zztype_cachez00();
						BgL_testz00_1562 =
							(BgL_arg2904z00_662 == (obj_t) (BgL_arg2905z00_663));
					}
					if (BgL_testz00_1562)
						{	/* Type/tenv.scm 356 */
							return
								BGl_usezd2typezf2importzd2locz12ze0zztype_envz00(CAR
								(BgL_tidz00_659), BgL_locz00_36, BgL_lociz00_37);
						}
					else
						{	/* Type/tenv.scm 356 */
							return (BgL_typez00_bglt) (CDR(BgL_tidz00_659));
						}
				}
			}
		}
	}



/* _use-foreign-type/import-loc! */
	obj_t BGl__usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00(obj_t
		BgL_envz00_1137, obj_t BgL_idz00_1138, obj_t BgL_locz00_1139,
		obj_t BgL_lociz00_1140)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 349 */
			return
				(obj_t) (BGl_usezd2foreignzd2typezf2importzd2locz12z32zztype_envz00
				(BgL_idz00_1138, BgL_locz00_1139, BgL_lociz00_1140));
		}
	}



/* declare-type! */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_declarezd2typez12zc0zztype_envz00(obj_t
		BgL_idz00_38, obj_t BgL_namez00_39, obj_t BgL_classz00_40)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 365 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_classz00_40,
						CNST_TABLE_REF(((long) 7)))))
				{	/* Type/tenv.scm 371 */
					BgL_typez00_bglt BgL_typez00_665;

					BgL_typez00_665 =
						BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_38, ((bool_t) 1),
						BUNSPEC);
					((((BgL_typez00_bglt) CREF(BgL_typez00_665))->BgL_namez00) =
						((obj_t) BgL_namez00_39), BUNSPEC);
					{
						obj_t BgL_auxz00_1579;

						BgL_auxz00_1579 =
							BGl_z42zd2inzd2namezf3zb1zztype_toolsz00(BgL_namez00_39);
						((((BgL_typez00_bglt) CREF(BgL_typez00_665))->BgL_z42z42) =
							((obj_t) BgL_auxz00_1579), BUNSPEC);
					}
					((((BgL_typez00_bglt) CREF(BgL_typez00_665))->BgL_classz00) =
						((obj_t) BgL_classz00_40), BUNSPEC);
					return BgL_typez00_665;
				}
			else
				{	/* Type/tenv.scm 367 */
					return
						(BgL_typez00_bglt) (BGl_userzd2errorzd2zztools_errorz00
						(BGl_string2994z00zztype_envz00, BGl_string2995z00zztype_envz00,
							BgL_classz00_40, BNIL));
				}
		}
	}



/* _declare-type! */
	obj_t BGl__declarezd2typez12zc0zztype_envz00(obj_t BgL_envz00_1141,
		obj_t BgL_idz00_1142, obj_t BgL_namez00_1143, obj_t BgL_classz00_1144)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 365 */
			return
				(obj_t) (BGl_declarezd2typez12zc0zztype_envz00(BgL_idz00_1142,
					BgL_namez00_1143, BgL_classz00_1144));
		}
	}



/* declare-subtype! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_declarezd2subtypez12zc0zztype_envz00(obj_t BgL_idz00_41,
		obj_t BgL_namez00_42, obj_t BgL_parentsz00_43, obj_t BgL_classz00_44)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 382 */
			{	/* Type/tenv.scm 385 */
				BgL_typez00_bglt BgL_typez00_668;

				obj_t BgL_parentsz00_669;

				BgL_typez00_668 =
					BGl_bindzd2typez12zc0zztype_envz00(BgL_idz00_41, ((bool_t) 1),
					BUNSPEC);
				if (NULLP(BgL_parentsz00_43))
					{	/* Type/tenv.scm 386 */
						BgL_parentsz00_669 = BNIL;
					}
				else
					{	/* Type/tenv.scm 386 */
						obj_t BgL_head2797z00_673;

						{	/* Type/tenv.scm 386 */
							BgL_typez00_bglt BgL_arg2916z00_684;

							BgL_arg2916z00_684 =
								BGl_findzd2typezd2zztype_envz00(CAR(BgL_parentsz00_43));
							BgL_head2797z00_673 =
								MAKE_PAIR((obj_t) (BgL_arg2916z00_684), BNIL);
						}
						{	/* Type/tenv.scm 386 */
							obj_t BgL_g2800z00_674;

							BgL_g2800z00_674 = CDR(BgL_parentsz00_43);
							{
								obj_t BgL_l2795z00_675;

								obj_t BgL_tail2798z00_676;

								BgL_l2795z00_675 = BgL_g2800z00_674;
								BgL_tail2798z00_676 = BgL_head2797z00_673;
							BgL_map2796z00_677:
								if (NULLP(BgL_l2795z00_675))
									{	/* Type/tenv.scm 386 */
										BgL_parentsz00_669 = BgL_head2797z00_673;
									}
								else
									{	/* Type/tenv.scm 386 */
										obj_t BgL_newtail2799z00_679;

										{	/* Type/tenv.scm 386 */
											BgL_typez00_bglt BgL_arg2913z00_681;

											BgL_arg2913z00_681 =
												BGl_findzd2typezd2zztype_envz00(CAR(BgL_l2795z00_675));
											BgL_newtail2799z00_679 =
												MAKE_PAIR((obj_t) (BgL_arg2913z00_681), BNIL);
										}
										SET_CDR(BgL_tail2798z00_676, BgL_newtail2799z00_679);
										{
											obj_t BgL_tail2798z00_1604;

											obj_t BgL_l2795z00_1602;

											BgL_l2795z00_1602 = CDR(BgL_l2795z00_675);
											BgL_tail2798z00_1604 = BgL_newtail2799z00_679;
											BgL_tail2798z00_676 = BgL_tail2798z00_1604;
											BgL_l2795z00_675 = BgL_l2795z00_1602;
											goto BgL_map2796z00_677;
										}
									}
							}
						}
					}
				((((BgL_typez00_bglt) CREF(BgL_typez00_668))->BgL_namez00) =
					((obj_t) BgL_namez00_42), BUNSPEC);
				{
					obj_t BgL_auxz00_1606;

					BgL_auxz00_1606 =
						BGl_z42zd2inzd2namezf3zb1zztype_toolsz00(BgL_namez00_42);
					((((BgL_typez00_bglt) CREF(BgL_typez00_668))->BgL_z42z42) =
						((obj_t) BgL_auxz00_1606), BUNSPEC);
				}
				((((BgL_typez00_bglt) CREF(BgL_typez00_668))->BgL_classz00) =
					((obj_t) BgL_classz00_44), BUNSPEC);
				((((BgL_typez00_bglt) CREF(BgL_typez00_668))->BgL_parentsz00) =
					((obj_t) BgL_parentsz00_669), BUNSPEC);
				return BgL_typez00_668;
			}
		}
	}



/* _declare-subtype! */
	obj_t BGl__declarezd2subtypez12zc0zztype_envz00(obj_t BgL_envz00_1145,
		obj_t BgL_idz00_1146, obj_t BgL_namez00_1147, obj_t BgL_parentsz00_1148,
		obj_t BgL_classz00_1149)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 382 */
			return
				(obj_t) (BGl_declarezd2subtypez12zc0zztype_envz00(BgL_idz00_1146,
					BgL_namez00_1147, BgL_parentsz00_1148, BgL_classz00_1149));
		}
	}



/* declare-aliastype! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_declarezd2aliastypez12zc0zztype_envz00(obj_t BgL_idz00_45,
		obj_t BgL_namez00_46, obj_t BgL_classz00_47,
		BgL_typez00_bglt BgL_aliasz00_48)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 396 */
			{	/* Type/tenv.scm 398 */
				BgL_typez00_bglt BgL_typez00_1063;

				BgL_typez00_1063 =
					BGl_declarezd2typez12zc0zztype_envz00(BgL_idz00_45, BgL_namez00_46,
					BgL_classz00_47);
				{
					obj_t BgL_auxz00_1614;

					BgL_auxz00_1614 = (obj_t) (BgL_aliasz00_48);
					((((BgL_typez00_bglt) CREF(BgL_typez00_1063))->BgL_aliasz00) =
						((obj_t) BgL_auxz00_1614), BUNSPEC);
				}
				return BgL_typez00_1063;
			}
		}
	}



/* _declare-aliastype! */
	obj_t BGl__declarezd2aliastypez12zc0zztype_envz00(obj_t BgL_envz00_1150,
		obj_t BgL_idz00_1151, obj_t BgL_namez00_1152, obj_t BgL_classz00_1153,
		obj_t BgL_aliasz00_1154)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 396 */
			return
				(obj_t) (BGl_declarezd2aliastypez12zc0zztype_envz00(BgL_idz00_1151,
					BgL_namez00_1152, BgL_classz00_1153,
					(BgL_typez00_bglt) (BgL_aliasz00_1154)));
		}
	}



/* for-each-type! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2typez12z12zztype_envz00(obj_t
		BgL_procz00_49)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 405 */
			{	/* Type/tenv.scm 406 */
				obj_t BgL_zc3anonymousza32920ze3z83_1155;

				BgL_zc3anonymousza32920ze3z83_1155 =
					make_fx_procedure(BGl_zc3anonymousza32920ze3z83zztype_envz00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza32920ze3z83_1155,
					(int) (((long) 0)), BgL_procz00_49);
				return
					BGl_hashtablezd2forzd2eachz00zz__hashz00
					(BGl_za2Tenvza2z00zztype_envz00, BgL_zc3anonymousza32920ze3z83_1155);
			}
		}
	}



/* _for-each-type! */
	obj_t BGl__forzd2eachzd2typez12z12zztype_envz00(obj_t BgL_envz00_1156,
		obj_t BgL_procz00_1157)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 405 */
			return BGl_forzd2eachzd2typez12z12zztype_envz00(BgL_procz00_1157);
		}
	}



/* <anonymous:2920> */
	obj_t BGl_zc3anonymousza32920ze3z83zztype_envz00(obj_t BgL_envz00_1158,
		obj_t BgL_kz00_1160, obj_t BgL_xz00_1161)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 406 */
			{	/* Type/tenv.scm 406 */
				obj_t BgL_procz00_1159;

				BgL_procz00_1159 = PROCEDURE_REF(BgL_envz00_1158, (int) (((long) 0)));
				{
					obj_t BgL_kz00_689;

					obj_t BgL_xz00_690;

					BgL_kz00_689 = BgL_kz00_1160;
					BgL_xz00_690 = BgL_xz00_1161;
					return
						PROCEDURE_ENTRY(BgL_procz00_1159) (BgL_procz00_1159, BgL_xz00_690,
						BEOA);
				}
			}
		}
	}



/* uninitialized-types */
	obj_t BGl_uninitializa7edzd2typesz75zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 413 */
			{	/* Type/tenv.scm 414 */
				obj_t BgL_uninitz00_693;

				BgL_uninitz00_693 = MAKE_CELL(BNIL);
				{	/* Type/tenv.scm 416 */
					obj_t BgL_zc3anonymousza32922ze3z83_1162;

					BgL_zc3anonymousza32922ze3z83_1162 =
						make_fx_procedure(BGl_zc3anonymousza32922ze3z83zztype_envz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32922ze3z83_1162,
						(int) (((long) 0)), BgL_uninitz00_693);
					BGl_forzd2eachzd2typez12z12zztype_envz00
						(BgL_zc3anonymousza32922ze3z83_1162);
				}
				return CELL_REF(BgL_uninitz00_693);
			}
		}
	}



/* <anonymous:2922> */
	obj_t BGl_zc3anonymousza32922ze3z83zztype_envz00(obj_t BgL_envz00_1163,
		obj_t BgL_tz00_1165)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 415 */
			{	/* Type/tenv.scm 416 */
				obj_t BgL_uninitz00_1164;

				BgL_uninitz00_1164 = PROCEDURE_REF(BgL_envz00_1163, (int) (((long) 0)));
				{
					obj_t BgL_tz00_695;

					BgL_tz00_695 = BgL_tz00_1165;
					{	/* Type/tenv.scm 416 */
						bool_t BgL_testz00_1639;

						{
							BgL_typez00_bglt BgL_auxz00_1640;

							BgL_auxz00_1640 = (BgL_typez00_bglt) (BgL_tz00_695);
							BgL_testz00_1639 =
								(((BgL_typez00_bglt) CREF(BgL_auxz00_1640))->BgL_initzf3zf3);
						}
						if (BgL_testz00_1639)
							{	/* Type/tenv.scm 416 */
								return BFALSE;
							}
						else
							{	/* Type/tenv.scm 417 */
								obj_t BgL_auxz00_1166;

								BgL_auxz00_1166 =
									MAKE_PAIR(BgL_tz00_695, CELL_REF(BgL_uninitz00_1164));
								return CELL_SET(BgL_uninitz00_1164, BgL_auxz00_1166);
							}
					}
				}
			}
		}
	}



/* check-types */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2typeszd2zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 434 */
			{	/* Type/tenv.scm 435 */
				obj_t BgL_utz00_699;

				BgL_utz00_699 = BGl_uninitializa7edzd2typesz75zztype_envz00();
				if (PAIRP(BgL_utz00_699))
					{	/* Type/tenv.scm 436 */
						{	/* Type/tenv.scm 437 */
							obj_t BgL_arg2925z00_701;

							{	/* Type/tenv.scm 437 */
								obj_t BgL_res2983z00_1069;

								{	/* Type/tenv.scm 437 */
									obj_t BgL_auxz00_1647;

									BgL_auxz00_1647 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res2983z00_1069 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1647);
								}
								BgL_arg2925z00_701 = BgL_res2983z00_1069;
							}
							bgl_display_char(((unsigned char) '\n'), BgL_arg2925z00_701);
						}
						{	/* Type/tenv.scm 438 */
							obj_t BgL_port2801z00_702;

							{	/* Type/tenv.scm 438 */
								obj_t BgL_res2984z00_1072;

								{	/* Type/tenv.scm 438 */
									obj_t BgL_auxz00_1651;

									BgL_auxz00_1651 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res2984z00_1072 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1651);
								}
								BgL_port2801z00_702 = BgL_res2984z00_1072;
							}
							{	/* Type/tenv.scm 439 */
								long BgL_arg2926z00_703;

								BgL_arg2926z00_703 = bgl_list_length(BgL_utz00_699);
								bgl_display_obj(BINT(BgL_arg2926z00_703), BgL_port2801z00_702);
							}
							bgl_display_string(BGl_string2996z00zztype_envz00,
								BgL_port2801z00_702);
							bgl_display_char(((unsigned char) '\n'), BgL_port2801z00_702);
						}
						{
							obj_t BgL_utz00_704;

							BgL_utz00_704 = BgL_utz00_699;
						BgL_loopz00_705:
							if (NULLP(BgL_utz00_704))
								{	/* Type/tenv.scm 442 */
									{	/* Type/tenv.scm 443 */
										obj_t BgL_port2802z00_707;

										{	/* Type/tenv.scm 443 */
											obj_t BgL_res2985z00_1078;

											{	/* Type/tenv.scm 443 */
												obj_t BgL_auxz00_1661;

												BgL_auxz00_1661 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res2985z00_1078 =
													BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1661);
											}
											BgL_port2802z00_707 = BgL_res2985z00_1078;
										}
										bgl_display_string(BGl_string2997z00zztype_envz00,
											BgL_port2802z00_707);
										bgl_display_char(((unsigned char) '\n'),
											BgL_port2802z00_707);
									}
									BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 56)));
								}
							else
								{	/* Type/tenv.scm 445 */
									bool_t BgL_testz00_1668;

									{	/* Type/tenv.scm 445 */
										obj_t BgL_arg2953z00_733;

										BgL_arg2953z00_733 = CAR(BgL_utz00_704);
										BgL_testz00_1668 =
											BGl_iszd2azf3z21zz__objectz00(BgL_arg2953z00_733,
											BGl_typez00zztype_typez00);
									}
									if (BgL_testz00_1668)
										{	/* Type/tenv.scm 445 */
											{	/* Type/tenv.scm 449 */
												obj_t BgL_zc3anonymousza32930ze3z83_1167;

												BgL_zc3anonymousza32930ze3z83_1167 =
													make_fx_procedure
													(BGl_zc3anonymousza32930ze3z83zztype_envz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza32930ze3z83_1167,
													(int) (((long) 0)), BgL_utz00_704);
												BGl_withzd2exceptionzd2handlerz00zz__errorz00
													(BGl_errorzd2notifyzd2envz00zz__errorz00,
													BgL_zc3anonymousza32930ze3z83_1167);
											}
											{
												obj_t BgL_utz00_1677;

												BgL_utz00_1677 = CDR(BgL_utz00_704);
												BgL_utz00_704 = BgL_utz00_1677;
												goto BgL_loopz00_705;
											}
										}
									else
										{	/* Type/tenv.scm 463 */
											obj_t BgL_zc3anonymousza32948ze3z83_1168;

											BgL_zc3anonymousza32948ze3z83_1168 =
												make_fx_procedure
												(BGl_zc3anonymousza32948ze3z83zztype_envz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza32948ze3z83_1168,
												(int) (((long) 0)), BgL_utz00_704);
											BGl_withzd2exceptionzd2handlerz00zz__errorz00
												(BGl_errorzd2notifyzd2envz00zz__errorz00,
												BgL_zc3anonymousza32948ze3z83_1168);
					}}}}
				else
					{	/* Type/tenv.scm 436 */
						BFALSE;
					}
				return (BGl_za2typeszd2alreadyzd2checkedzf3za2zf3zztype_envz00 =
					((bool_t) 1), BUNSPEC);
			}
		}
	}



/* _check-types */
	obj_t BGl__checkzd2typeszd2zztype_envz00(obj_t BgL_envz00_1169)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 434 */
			return BGl_checkzd2typeszd2zztype_envz00();
		}
	}



/* <anonymous:2930> */
	obj_t BGl_zc3anonymousza32930ze3z83zztype_envz00(obj_t BgL_envz00_1170)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 448 */
			{	/* Type/tenv.scm 449 */
				obj_t BgL_utz00_1171;

				BgL_utz00_1171 = PROCEDURE_REF(BgL_envz00_1170, (int) (((long) 0)));
				{

					{	/* Type/tenv.scm 449 */
						bool_t BgL_testz00_1688;

						{	/* Type/tenv.scm 449 */
							BgL_typez00_bglt BgL_obj1940z00_1085;

							{	/* Type/tenv.scm 449 */
								obj_t BgL_pairz00_1084;

								BgL_pairz00_1084 = BgL_utz00_1171;
								BgL_obj1940z00_1085 =
									(BgL_typez00_bglt) (CAR(BgL_pairz00_1084));
							}
							BgL_testz00_1688 =
								CBOOL(
								(((BgL_typez00_bglt) CREF(BgL_obj1940z00_1085))->
									BgL_importzd2locationzd2));
						}
						if (BgL_testz00_1688)
							{	/* Type/tenv.scm 450 */
								obj_t BgL_arg2932z00_712;

								obj_t BgL_arg2934z00_714;

								{	/* Type/tenv.scm 450 */
									BgL_typez00_bglt BgL_obj1940z00_1087;

									{	/* Type/tenv.scm 450 */
										obj_t BgL_pairz00_1086;

										BgL_pairz00_1086 = BgL_utz00_1171;
										BgL_obj1940z00_1087 =
											(BgL_typez00_bglt) (CAR(BgL_pairz00_1086));
									}
									BgL_arg2932z00_712 =
										(((BgL_typez00_bglt) CREF(BgL_obj1940z00_1087))->
										BgL_importzd2locationzd2);
								}
								BgL_arg2934z00_714 =
									BGl_shapez00zztools_shapez00(CAR(BgL_utz00_1171));
								return
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_arg2932z00_712, BGl_za2moduleza2z00zzmodule_modulez00,
									BGl_string2998z00zztype_envz00, BgL_arg2934z00_714, BNIL);
							}
						else
							{	/* Type/tenv.scm 454 */
								obj_t BgL_arg2938z00_718;

								obj_t BgL_arg2941z00_720;

								{	/* Type/tenv.scm 454 */
									BgL_typez00_bglt BgL_obj1937z00_1090;

									{	/* Type/tenv.scm 454 */
										obj_t BgL_pairz00_1089;

										BgL_pairz00_1089 = BgL_utz00_1171;
										BgL_obj1937z00_1090 =
											(BgL_typez00_bglt) (CAR(BgL_pairz00_1089));
									}
									BgL_arg2938z00_718 =
										(((BgL_typez00_bglt) CREF(BgL_obj1937z00_1090))->
										BgL_locationz00);
								}
								BgL_arg2941z00_720 =
									BGl_shapez00zztools_shapez00(CAR(BgL_utz00_1171));
								return
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_arg2938z00_718, BGl_za2moduleza2z00zzmodule_modulez00,
									BGl_string2999z00zztype_envz00, BgL_arg2941z00_720, BNIL);
							}
					}
				}
			}
		}
	}



/* <anonymous:2948> */
	obj_t BGl_zc3anonymousza32948ze3z83zztype_envz00(obj_t BgL_envz00_1172)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 462 */
			{	/* Type/tenv.scm 463 */
				obj_t BgL_utz00_1173;

				BgL_utz00_1173 = PROCEDURE_REF(BgL_envz00_1172, (int) (((long) 0)));
				{

					{	/* Type/tenv.scm 463 */
						obj_t BgL_arg2951z00_730;

						BgL_arg2951z00_730 =
							BGl_shapez00zztools_shapez00(CAR(BgL_utz00_1173));
						return
							BGl_errorz00zz__errorz00(BGl_za2moduleza2z00zzmodule_modulez00,
							BGl_string3000z00zztype_envz00, BgL_arg2951z00_730);
					}
				}
			}
		}
	}



/* sub-type? */
	BGL_EXPORTED_DEF bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt
		BgL_minorz00_50, BgL_typez00_bglt BgL_majorz00_51)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 471 */
			if (((obj_t) (BgL_minorz00_50) == (obj_t) (BgL_majorz00_51)))
				{	/* Type/tenv.scm 473 */
					return ((bool_t) 1);
				}
			else
				{	/* Type/tenv.scm 473 */
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								(obj_t) (BgL_majorz00_51),
								(((BgL_typez00_bglt) CREF(BgL_minorz00_50))->BgL_parentsz00))))
						{	/* Type/tenv.scm 475 */
							return ((bool_t) 1);
						}
					else
						{	/* Type/tenv.scm 475 */
							return ((bool_t) 0);
						}
				}
		}
	}



/* _sub-type? */
	obj_t BGl__subzd2typezf3z21zztype_envz00(obj_t BgL_envz00_1176,
		obj_t BgL_minorz00_1177, obj_t BgL_majorz00_1178)
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 471 */
			return
				BBOOL(BGl_subzd2typezf3z21zztype_envz00(
					(BgL_typez00_bglt) (BgL_minorz00_1177),
					(BgL_typez00_bglt) (BgL_majorz00_1178)));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_envz00()
	{
		AN_OBJECT;
		{	/* Type/tenv.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 230845835),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_classz00(((long) 392866270),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 195902195),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzforeign_ctypez00(((long) 178768066),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzobject_widezd2accesszd2(((long)
					171489227), BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzobject_plainzd2accesszd2(((long)
					29596083), BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzobject_predicatez00(((long) 444447869),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzobject_creatorz00(((long) 371328867),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 2222742),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzforeign_accessz00(((long) 477377954),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_foreignz00(((long) 117332816),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_javaz00(((long) 198447312),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_typez00(((long) 450116231),
				BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
			return BGl_modulezd2initializa7ationz75zztvector_accessz00(((long)
					457342318), BSTRING_TO_STRING(BGl_string3001z00zztype_envz00));
		}
	}

#ifdef __cplusplus
}
#endif
