/*===========================================================================*/
/*   (Ieee/symbol.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -c Ieee/symbol.scm -indent -o objs/obj_s/Ieee/symbol.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Object type definitions */
typedef struct BgL_z62conditionz62_bgl {
   header_t header;
   obj_t widening;
} *BgL_z62conditionz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62typezd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
   obj_t BgL_typez00;
} *BgL_z62typezd2errorzb0_bglt;

typedef struct BgL_z62iozd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2errorzb0_bglt;

typedef struct BgL_z62iozd2portzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2portzd2errorz62_bglt;

typedef struct BgL_z62iozd2readzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2readzd2errorz62_bglt;

typedef struct BgL_z62iozd2writezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2writezd2errorz62_bglt;

typedef struct BgL_z62iozd2closedzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2closedzd2errorz62_bglt;

typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

typedef struct BgL_z62iozd2parsezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2parsezd2errorz62_bglt;

typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2sigpipezd2errorz62_bglt;

typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2timeoutzd2errorz62_bglt;

typedef struct BgL_z62processzd2exceptionzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62processzd2exceptionzb0_bglt;

typedef struct BgL_z62securityzd2exceptionzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_messagez00;
} *BgL_z62securityzd2exceptionzb0_bglt;

typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_messagez00;
   obj_t BgL_permissionz00;
} *BgL_z62accesszd2controlzd2exceptionz62_bglt;

typedef struct BgL_z62warningz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_argsz00;
} *BgL_z62warningz62_bglt;

typedef struct BgL_z62evalzd2warningzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_argsz00;
} *BgL_z62evalzd2warningzb0_bglt;

typedef struct BgL_threadzd2backendzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadzd2backendzd2_bglt;

typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl__putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00();
static obj_t BGl_za2gensymzd2counterza2zd2zz__r4_symbols_6_4z00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_keywordzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__keywordzd2ze3stringz122111z23zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t string_to_symbol(char *);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl__stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t, obj_t);
extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__symbolzd2ze3keyword2112z31zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl__keywordzf3zf3zz__r4_symbols_6_4z00(obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl__keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__symbolzd2ze3stringz122110z23zz__r4_symbols_6_4z00(obj_t, obj_t);
extern obj_t bgl_gensym(obj_t);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__symbolzf3zf3zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_symbolzf3zf3zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl__keywordzd2ze3symbol2113z31zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__r4_symbols_6_4z00();
static obj_t BGl__gensymz00zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_keywordzf3zf3zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl__rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00();
BGL_EXPORTED_DECL obj_t BGl_keywordzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_symbol2188z00zz__r4_symbols_6_4z00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2191z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2202z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2193z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2196z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2208z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2199z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2211z00zz__r4_symbols_6_4z00 = BUNSPEC;
extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_symbol2214z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2216z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2218z00zz__r4_symbols_6_4z00 = BUNSPEC;
static obj_t BGl_symbol2220z00zz__r4_symbols_6_4z00 = BUNSPEC;
extern obj_t string_to_keyword(char *);
static obj_t BGl__symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_methodzd2initzd2zz__r4_symbols_6_4z00();
static obj_t BGl__stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_symbolzd2plistzd2envz00zz__r4_symbols_6_4z00, BgL_bgl__symbolza7d2plistza72223z00, BGl__symbolzd2plistzd2zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_gensymzd2envzd2zz__r4_symbols_6_4z00, BgL_bgl__gensymza700za7za7__r42224za7, opt_generic_entry, BGl__gensymz00zz__r4_symbols_6_4z00, BFALSE,-1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_symbolzd2ze3stringzd2envze3zz__r4_symbols_6_4z00, BgL_bgl__symbolza7d2za7e3str2225z00, BGl__symbolzd2ze3stringz31zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_stringzd2ze3symbolzd2cizd2envz31zz__r4_symbols_6_4z00, BgL_bgl__stringza7d2za7e3sym2226z00, BGl__stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_symbolzf3zd2envz21zz__r4_symbols_6_4z00, BgL_bgl__symbolza7f3za7f3za7za7_2227z00, BGl__symbolzf3zf3zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_keywordzd2ze3stringz12zd2envzf1zz__r4_symbols_6_4z00, BgL_bgl__keywordza7d2za7e3st2228z00, BGl__keywordzd2ze3stringz122111z23zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_symbolzd2ze3keywordzd2envze3zz__r4_symbols_6_4z00, BgL_bgl__symbolza7d2za7e3key2229z00, BGl__symbolzd2ze3keyword2112z31zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getpropzd2envzd2zz__r4_symbols_6_4z00, BgL_bgl__getpropza700za7za7__r2230za7, BGl__getpropz00zz__r4_symbols_6_4z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_symbolzd2ze3stringz12zd2envzf1zz__r4_symbols_6_4z00, BgL_bgl__symbolza7d2za7e3str2231z00, BGl__symbolzd2ze3stringz122110z23zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_symbolzd2appendzd2envz00zz__r4_symbols_6_4z00, BgL_bgl__symbolza7d2append2232za7, va_generic_entry, BGl__symbolzd2appendzd2zz__r4_symbols_6_4z00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_stringzd2ze3keywordzd2envze3zz__r4_symbols_6_4z00, BgL_bgl__stringza7d2za7e3key2233z00, BGl__stringzd2ze3keywordz31zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_putpropz12zd2envzc0zz__r4_symbols_6_4z00, BgL_bgl__putpropza712za712za7za72234z00, BGl__putpropz12z12zz__r4_symbols_6_4z00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_keywordzf3zd2envz21zz__r4_symbols_6_4z00, BgL_bgl__keywordza7f3za7f3za7za72235z00, BGl__keywordzf3zf3zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_rempropz12zd2envzc0zz__r4_symbols_6_4z00, BgL_bgl__rempropza712za712za7za72236z00, BGl__rempropz12z12zz__r4_symbols_6_4z00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2200z00zz__r4_symbols_6_4z00, BgL_bgl_string2200za700za7za7_2237za7, "symbol-append'", 14 );
DEFINE_STRING( BGl_string2190z00zz__r4_symbols_6_4z00, BgL_bgl_string2190za700za7za7_2238za7, "symbol", 6 );
DEFINE_STRING( BGl_string2189z00zz__r4_symbols_6_4z00, BgL_bgl_string2189za700za7za7_2239za7, "_symbol->string", 15 );
DEFINE_STRING( BGl_string2201z00zz__r4_symbols_6_4z00, BgL_bgl_string2201za700za7za7_2240za7, "pair", 4 );
DEFINE_STRING( BGl_string2192z00zz__r4_symbols_6_4z00, BgL_bgl_string2192za700za7za7_2241za7, "_symbol->string!2110", 20 );
DEFINE_STRING( BGl_string2203z00zz__r4_symbols_6_4z00, BgL_bgl_string2203za700za7za7_2242za7, "gensym", 6 );
DEFINE_STRING( BGl_string2204z00zz__r4_symbols_6_4z00, BgL_bgl_string2204za700za7za7_2243za7, "wrong number of arguments: [0..1] expected, provided", 52 );
DEFINE_STRING( BGl_string2194z00zz__r4_symbols_6_4z00, BgL_bgl_string2194za700za7za7_2244za7, "_string->symbol", 15 );
DEFINE_STRING( BGl_string2205z00zz__r4_symbols_6_4z00, BgL_bgl_string2205za700za7za7_2245za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string2195z00zz__r4_symbols_6_4z00, BgL_bgl_string2195za700za7za7_2246za7, "bstring", 7 );
DEFINE_STRING( BGl_string2206z00zz__r4_symbols_6_4z00, BgL_bgl_string2206za700za7za7_2247za7, "symbol-plist", 12 );
DEFINE_STRING( BGl_string2207z00zz__r4_symbols_6_4z00, BgL_bgl_string2207za700za7za7_2248za7, "argument is neither a symbol nor a keyword", 42 );
DEFINE_STRING( BGl_string2197z00zz__r4_symbols_6_4z00, BgL_bgl_string2197za700za7za7_2249za7, "_string->symbol-ci", 18 );
DEFINE_STRING( BGl_string2198z00zz__r4_symbols_6_4z00, BgL_bgl_string2198za700za7za7_2250za7, "", 0 );
DEFINE_STRING( BGl_string2210z00zz__r4_symbols_6_4z00, BgL_bgl_string2210za700za7za7_2251za7, "getprop", 7 );
DEFINE_STRING( BGl_string2209z00zz__r4_symbols_6_4z00, BgL_bgl_string2209za700za7za7_2252za7, "loop", 4 );
DEFINE_STRING( BGl_string2212z00zz__r4_symbols_6_4z00, BgL_bgl_string2212za700za7za7_2253za7, "_keyword->string", 16 );
DEFINE_STRING( BGl_string2213z00zz__r4_symbols_6_4z00, BgL_bgl_string2213za700za7za7_2254za7, "keyword", 7 );
DEFINE_STRING( BGl_string2215z00zz__r4_symbols_6_4z00, BgL_bgl_string2215za700za7za7_2255za7, "_keyword->string!2111", 21 );
DEFINE_STRING( BGl_string2217z00zz__r4_symbols_6_4z00, BgL_bgl_string2217za700za7za7_2256za7, "_string->keyword", 16 );
DEFINE_STRING( BGl_string2219z00zz__r4_symbols_6_4z00, BgL_bgl_string2219za700za7za7_2257za7, "_symbol->keyword2112", 20 );
DEFINE_STRING( BGl_string2221z00zz__r4_symbols_6_4z00, BgL_bgl_string2221za700za7za7_2258za7, "_keyword->symbol2113", 20 );
DEFINE_STRING( BGl_string2222z00zz__r4_symbols_6_4z00, BgL_bgl_string2222za700za7za7_2259za7, "__r4_symbols_6_4", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_stringzd2ze3symbolzd2envze3zz__r4_symbols_6_4z00, BgL_bgl__stringza7d2za7e3sym2260z00, BGl__stringzd2ze3symbolz31zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_keywordzd2ze3stringzd2envze3zz__r4_symbols_6_4z00, BgL_bgl__keywordza7d2za7e3st2261z00, BGl__keywordzd2ze3stringz31zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_keywordzd2ze3symbolzd2envze3zz__r4_symbols_6_4z00, BgL_bgl__keywordza7d2za7e3sy2262z00, BGl__keywordzd2ze3symbol2113z31zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long BgL_checksumz00_1600, char * BgL_fromz00_1601)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00))
{ 
BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__r4_symbols_6_4z00(); 
BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00(); 
BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__r4_symbols_6_4z00()
{ AN_OBJECT;
{ /* Ieee/symbol.scm 14 */
BGl_symbol2188z00zz__r4_symbols_6_4z00 = 
bstring_to_symbol(BGl_string2189z00zz__r4_symbols_6_4z00); 
BGl_symbol2191z00zz__r4_symbols_6_4z00 = 
bstring_to_symbol(BGl_string2192z00zz__r4_symbols_6_4z00); 
BGl_symbol2193z00zz__r4_symbols_6_4z00 = 
bstring_to_symbol(BGl_string2194z00zz__r4_symbols_6_4z00); 
BGl_symbol2196z00zz__r4_symbols_6_4z00 = 
bstring_to_symbol(BGl_string2197z00zz__r4_symbols_6_4z00); 
BGl_symbol2199z00zz__r4_symbols_6_4z00 = 
bstring_to_symbol(BGl_string2200z00zz__r4_symbols_6_4z00); 
BGl_symbol2202z00zz__r4_symbols_6_4z00 = 
bstring_to_symbol(BGl_string2203z00zz__r4_symbols_6_4z00); 
BGl_symbol2208z00zz__r4_symbols_6_4z00 = 
bstring_to_symbol(BGl_string2209z00zz__r4_symbols_6_4z00); 
BGl_symbol2211z00zz__r4_symbols_6_4z00 = 
bstring_to_symbol(BGl_string2212z00zz__r4_symbols_6_4z00); 
BGl_symbol2214z00zz__r4_symbols_6_4z00 = 
bstring_to_symbol(BGl_string2215z00zz__r4_symbols_6_4z00); 
BGl_symbol2216z00zz__r4_symbols_6_4z00 = 
bstring_to_symbol(BGl_string2217z00zz__r4_symbols_6_4z00); 
BGl_symbol2218z00zz__r4_symbols_6_4z00 = 
bstring_to_symbol(BGl_string2219z00zz__r4_symbols_6_4z00); 
return ( 
BGl_symbol2220z00zz__r4_symbols_6_4z00 = 
bstring_to_symbol(BGl_string2221z00zz__r4_symbols_6_4z00), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00()
{ AN_OBJECT;
{ /* Ieee/symbol.scm 14 */
return ( 
BGl_za2gensymzd2counterza2zd2zz__r4_symbols_6_4z00 = 
BINT(((long)999)), BUNSPEC) ;} 
}



/* symbol? */
BGL_EXPORTED_DEF bool_t BGl_symbolzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 128 */
return 
SYMBOLP(BgL_objz00_1);} 
}



/* _symbol? */
obj_t BGl__symbolzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_envz00_1481, obj_t BgL_objz00_1482)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 128 */
return 
BBOOL(
SYMBOLP(BgL_objz00_1482));} 
}



/* symbol->string */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_2)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 134 */
return 
SYMBOL_TO_STRING(BgL_symbolz00_2);} 
}



/* _symbol->string */
obj_t BGl__symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t BgL_envz00_1483, obj_t BgL_symbolz00_1484)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 134 */
{ /* Ieee/symbol.scm 135 */
obj_t BgL_symbolz00_1592;
if(
SYMBOLP(BgL_symbolz00_1484))
{ /* Ieee/symbol.scm 135 */
BgL_symbolz00_1592 = BgL_symbolz00_1484; }  else 
{ /* Ieee/symbol.scm 135 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2188z00zz__r4_symbols_6_4z00, BGl_string2190z00zz__r4_symbols_6_4z00, BgL_symbolz00_1484); 
exit( -1 );} 
return 
SYMBOL_TO_STRING(BgL_symbolz00_1592);} } 
}



/* symbol->string! */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_3)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 140 */
return 
SYMBOL_TO_STRING(BgL_symbolz00_3);} 
}



/* _symbol->string!2110 */
obj_t BGl__symbolzd2ze3stringz122110z23zz__r4_symbols_6_4z00(obj_t BgL_envz00_1485, obj_t BgL_symbolz00_1486)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 140 */
{ /* Ieee/symbol.scm 141 */
obj_t BgL_symbolz00_1593;
if(
SYMBOLP(BgL_symbolz00_1486))
{ /* Ieee/symbol.scm 141 */
BgL_symbolz00_1593 = BgL_symbolz00_1486; }  else 
{ /* Ieee/symbol.scm 141 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2191z00zz__r4_symbols_6_4z00, BGl_string2190z00zz__r4_symbols_6_4z00, BgL_symbolz00_1486); 
exit( -1 );} 
return 
SYMBOL_TO_STRING(BgL_symbolz00_1593);} } 
}



/* string->symbol */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t BgL_stringz00_4)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 146 */
return 
string_to_symbol(
BSTRING_TO_STRING(BgL_stringz00_4));} 
}



/* _string->symbol */
obj_t BGl__stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t BgL_envz00_1487, obj_t BgL_stringz00_1488)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 146 */
{ /* Ieee/symbol.scm 147 */
obj_t BgL_stringz00_1594;
if(
STRINGP(BgL_stringz00_1488))
{ /* Ieee/symbol.scm 147 */
BgL_stringz00_1594 = BgL_stringz00_1488; }  else 
{ /* Ieee/symbol.scm 147 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2193z00zz__r4_symbols_6_4z00, BGl_string2195z00zz__r4_symbols_6_4z00, BgL_stringz00_1488); 
exit( -1 );} 
return 
string_to_symbol(
BSTRING_TO_STRING(BgL_stringz00_1594));} } 
}



/* string->symbol-ci */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t BgL_stringz00_5)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 152 */
{ /* Ieee/symbol.scm 153 */
obj_t BgL_arg1733z00_1198;
BgL_arg1733z00_1198 = 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(BgL_stringz00_5); 
return 
string_to_symbol(
BSTRING_TO_STRING(BgL_arg1733z00_1198));} } 
}



/* _string->symbol-ci */
obj_t BGl__stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t BgL_envz00_1489, obj_t BgL_stringz00_1490)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 152 */
{ /* Ieee/symbol.scm 153 */
obj_t BgL_auxz00_1647;
if(
STRINGP(BgL_stringz00_1490))
{ /* Ieee/symbol.scm 153 */
BgL_auxz00_1647 = BgL_stringz00_1490
; }  else 
{ /* Ieee/symbol.scm 153 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2196z00zz__r4_symbols_6_4z00, BGl_string2195z00zz__r4_symbols_6_4z00, BgL_stringz00_1490); 
exit( -1 );} 
return 
BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(BgL_auxz00_1647);} } 
}



/* symbol-append */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t BgL_listz00_6)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 158 */
{ /* Ieee/symbol.scm 160 */
obj_t BgL_arg1734z00_671;
if(
NULLP(BgL_listz00_6))
{ /* Ieee/symbol.scm 160 */
BgL_arg1734z00_671 = BGl_string2198z00zz__r4_symbols_6_4z00; }  else 
{ /* Ieee/symbol.scm 160 */
BgL_arg1734z00_671 = 
BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(BgL_listz00_6); } 
return 
string_to_symbol(
BSTRING_TO_STRING(BgL_arg1734z00_671));} } 
}



/* symbol-append' */
obj_t BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(obj_t BgL_listz00_673)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 162 */
{ /* Ieee/symbol.scm 163 */
bool_t BgL_testz00_1658;
{ /* Ieee/symbol.scm 163 */
obj_t BgL_auxz00_1659;
{ /* Ieee/symbol.scm 163 */
obj_t BgL_pairz00_1200;
if(
PAIRP(BgL_listz00_673))
{ /* Ieee/symbol.scm 163 */
BgL_pairz00_1200 = BgL_listz00_673; }  else 
{ /* Ieee/symbol.scm 163 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2199z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_listz00_673); 
exit( -1 );} 
BgL_auxz00_1659 = 
CDR(BgL_pairz00_1200); } 
BgL_testz00_1658 = 
NULLP(BgL_auxz00_1659); } 
if(BgL_testz00_1658)
{ /* Ieee/symbol.scm 164 */
obj_t BgL_arg1737z00_676;
{ /* Ieee/symbol.scm 164 */
obj_t BgL_pairz00_1202;
if(
PAIRP(BgL_listz00_673))
{ /* Ieee/symbol.scm 164 */
BgL_pairz00_1202 = BgL_listz00_673; }  else 
{ /* Ieee/symbol.scm 164 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2199z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_listz00_673); 
exit( -1 );} 
BgL_arg1737z00_676 = 
CAR(BgL_pairz00_1202); } 
{ /* Ieee/symbol.scm 164 */
obj_t BgL_symbolz00_1203;
if(
SYMBOLP(BgL_arg1737z00_676))
{ /* Ieee/symbol.scm 164 */
BgL_symbolz00_1203 = BgL_arg1737z00_676; }  else 
{ /* Ieee/symbol.scm 164 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2199z00zz__r4_symbols_6_4z00, BGl_string2190z00zz__r4_symbols_6_4z00, BgL_arg1737z00_676); 
exit( -1 );} 
return 
SYMBOL_TO_STRING(BgL_symbolz00_1203);} }  else 
{ /* Ieee/symbol.scm 165 */
obj_t BgL_arg1738z00_677;obj_t BgL_arg1739z00_678;
{ /* Ieee/symbol.scm 165 */
obj_t BgL_arg1740z00_679;
{ /* Ieee/symbol.scm 165 */
obj_t BgL_pairz00_1204;
if(
PAIRP(BgL_listz00_673))
{ /* Ieee/symbol.scm 165 */
BgL_pairz00_1204 = BgL_listz00_673; }  else 
{ /* Ieee/symbol.scm 165 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2199z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_listz00_673); 
exit( -1 );} 
BgL_arg1740z00_679 = 
CAR(BgL_pairz00_1204); } 
{ /* Ieee/symbol.scm 165 */
obj_t BgL_symbolz00_1205;
if(
SYMBOLP(BgL_arg1740z00_679))
{ /* Ieee/symbol.scm 165 */
BgL_symbolz00_1205 = BgL_arg1740z00_679; }  else 
{ /* Ieee/symbol.scm 165 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2199z00zz__r4_symbols_6_4z00, BGl_string2190z00zz__r4_symbols_6_4z00, BgL_arg1740z00_679); 
exit( -1 );} 
BgL_arg1738z00_677 = 
SYMBOL_TO_STRING(BgL_symbolz00_1205); } } 
{ /* Ieee/symbol.scm 166 */
obj_t BgL_arg1741z00_680;
{ /* Ieee/symbol.scm 166 */
obj_t BgL_pairz00_1206;
if(
PAIRP(BgL_listz00_673))
{ /* Ieee/symbol.scm 166 */
BgL_pairz00_1206 = BgL_listz00_673; }  else 
{ /* Ieee/symbol.scm 166 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2199z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_listz00_673); 
exit( -1 );} 
BgL_arg1741z00_680 = 
CDR(BgL_pairz00_1206); } 
BgL_arg1739z00_678 = 
BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(BgL_arg1741z00_680); } 
return 
string_append(BgL_arg1738z00_677, BgL_arg1739z00_678);} } } 
}



/* _symbol-append */
obj_t BGl__symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t BgL_envz00_1491, obj_t BgL_listz00_1492)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 158 */
return 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_listz00_1492);} 
}



/* _gensym */
obj_t BGl__gensymz00zz__r4_symbols_6_4z00(obj_t BgL_envz00_9, obj_t BgL_optz00_8)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 176 */
{ /* Ieee/symbol.scm 176 */

{ 

{ /* Ieee/symbol.scm 176 */
int BgL_aux1705z00_683;
BgL_aux1705z00_683 = 
VECTOR_LENGTH(BgL_optz00_8); 
switch( 
(long)(BgL_aux1705z00_683)) { case ((long)0) : 

{ /* Ieee/symbol.scm 176 */

return 
BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);} break;case ((long)1) : 

{ /* Ieee/symbol.scm 176 */
obj_t BgL_argz00_686;
BgL_argz00_686 = 
VECTOR_REF(BgL_optz00_8,
(int)(((long)0))); 
{ /* Ieee/symbol.scm 176 */

return 
BGl_gensymz00zz__r4_symbols_6_4z00(BgL_argz00_686);} } break;
default: 
{ /* Ieee/symbol.scm 176 */
obj_t BgL_arg1744z00_687;int BgL_arg1746z00_689;
BgL_arg1744z00_687 = BGl_symbol2202z00zz__r4_symbols_6_4z00; 
BgL_arg1746z00_689 = 
VECTOR_LENGTH(BgL_optz00_8); 
return 
BGl_errorz00zz__errorz00(BgL_arg1744z00_687, BGl_string2204z00zz__r4_symbols_6_4z00, 
BINT(BgL_arg1746z00_689));} } } } } } 
}



/* gensym */
BGL_EXPORTED_DEF obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t BgL_argz00_7)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 176 */
{ /* Ieee/symbol.scm 179 */
obj_t BgL_argz00_690;
if(
CBOOL(BgL_argz00_7))
{ /* Ieee/symbol.scm 180 */
if(
SYMBOLP(BgL_argz00_7))
{ /* Ieee/symbol.scm 181 */
BgL_argz00_690 = 
SYMBOL_TO_STRING(BgL_argz00_7); }  else 
{ /* Ieee/symbol.scm 181 */
if(
STRINGP(BgL_argz00_7))
{ /* Ieee/symbol.scm 182 */
BgL_argz00_690 = BgL_argz00_7; }  else 
{ /* Ieee/symbol.scm 182 */
BgL_argz00_690 = 
BGl_errorz00zz__errorz00(BGl_string2203z00zz__r4_symbols_6_4z00, BGl_string2205z00zz__r4_symbols_6_4z00, BgL_argz00_7); } } }  else 
{ /* Ieee/symbol.scm 180 */
BgL_argz00_690 = BgL_argz00_7; } 
return 
bgl_gensym(BgL_argz00_690);} } 
}



/* symbol-plist */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_10)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 202 */
if(
SYMBOLP(BgL_symbolz00_10))
{ /* Ieee/symbol.scm 204 */
return 
GET_SYMBOL_PLIST(BgL_symbolz00_10);}  else 
{ /* Ieee/symbol.scm 204 */
if(
KEYWORDP(BgL_symbolz00_10))
{ /* Ieee/symbol.scm 204 */
return 
GET_KEYWORD_PLIST(BgL_symbolz00_10);}  else 
{ /* Ieee/symbol.scm 204 */
return 
BGl_errorz00zz__errorz00(BGl_string2206z00zz__r4_symbols_6_4z00, BGl_string2207z00zz__r4_symbols_6_4z00, BgL_symbolz00_10);} } } 
}



/* _symbol-plist */
obj_t BGl__symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t BgL_envz00_1493, obj_t BgL_symbolz00_1494)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 202 */
if(
SYMBOLP(BgL_symbolz00_1494))
{ /* Ieee/symbol.scm 204 */
return 
GET_SYMBOL_PLIST(BgL_symbolz00_1494);}  else 
{ /* Ieee/symbol.scm 204 */
if(
KEYWORDP(BgL_symbolz00_1494))
{ /* Ieee/symbol.scm 204 */
return 
GET_KEYWORD_PLIST(BgL_symbolz00_1494);}  else 
{ /* Ieee/symbol.scm 204 */
return 
BGl_errorz00zz__errorz00(BGl_string2206z00zz__r4_symbols_6_4z00, BGl_string2207z00zz__r4_symbols_6_4z00, BgL_symbolz00_1494);} } } 
}



/* getprop */
BGL_EXPORTED_DEF obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_11, obj_t BgL_keyz00_12)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 216 */
{ /* Ieee/symbol.scm 217 */
bool_t BgL_testz00_1727;
if(
SYMBOLP(BgL_symbolz00_11))
{ /* Ieee/symbol.scm 217 */
BgL_testz00_1727 = ((bool_t)1)
; }  else 
{ /* Ieee/symbol.scm 217 */
BgL_testz00_1727 = 
KEYWORDP(BgL_symbolz00_11)
; } 
if(BgL_testz00_1727)
{ /* Ieee/symbol.scm 218 */
obj_t BgL_g1670z00_696;
if(
SYMBOLP(BgL_symbolz00_11))
{ /* Ieee/symbol.scm 218 */
BgL_g1670z00_696 = 
GET_SYMBOL_PLIST(BgL_symbolz00_11); }  else 
{ /* Ieee/symbol.scm 218 */
if(
KEYWORDP(BgL_symbolz00_11))
{ /* Ieee/symbol.scm 218 */
BgL_g1670z00_696 = 
GET_KEYWORD_PLIST(BgL_symbolz00_11); }  else 
{ /* Ieee/symbol.scm 218 */
BgL_g1670z00_696 = 
BGl_errorz00zz__errorz00(BGl_string2206z00zz__r4_symbols_6_4z00, BGl_string2207z00zz__r4_symbols_6_4z00, BgL_symbolz00_11); } } 
{ 
obj_t BgL_plz00_697;
BgL_plz00_697 = BgL_g1670z00_696; 
BgL_loopz00_698:
if(
NULLP(BgL_plz00_697))
{ /* Ieee/symbol.scm 220 */
return BFALSE;}  else 
{ /* Ieee/symbol.scm 222 */
bool_t BgL_testz00_1740;
{ /* Ieee/symbol.scm 222 */
obj_t BgL_auxz00_1741;
{ /* Ieee/symbol.scm 222 */
obj_t BgL_pairz00_1223;
if(
PAIRP(BgL_plz00_697))
{ /* Ieee/symbol.scm 222 */
BgL_pairz00_1223 = BgL_plz00_697; }  else 
{ /* Ieee/symbol.scm 222 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_plz00_697); 
exit( -1 );} 
BgL_auxz00_1741 = 
CAR(BgL_pairz00_1223); } 
BgL_testz00_1740 = 
(BgL_auxz00_1741==BgL_keyz00_12); } 
if(BgL_testz00_1740)
{ /* Ieee/symbol.scm 223 */
obj_t BgL_pairz00_1224;
if(
PAIRP(BgL_plz00_697))
{ /* Ieee/symbol.scm 223 */
BgL_pairz00_1224 = BgL_plz00_697; }  else 
{ /* Ieee/symbol.scm 223 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_plz00_697); 
exit( -1 );} 
{ /* Ieee/symbol.scm 223 */
obj_t BgL_pairz00_1227;
{ /* Ieee/symbol.scm 223 */
obj_t BgL_aux2140z00_1543;
BgL_aux2140z00_1543 = 
CDR(BgL_pairz00_1224); 
if(
PAIRP(BgL_aux2140z00_1543))
{ /* Ieee/symbol.scm 223 */
BgL_pairz00_1227 = BgL_aux2140z00_1543; }  else 
{ /* Ieee/symbol.scm 223 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_aux2140z00_1543); 
exit( -1 );} } 
return 
CAR(BgL_pairz00_1227);} }  else 
{ /* Ieee/symbol.scm 225 */
obj_t BgL_arg1754z00_701;
{ /* Ieee/symbol.scm 225 */
obj_t BgL_pairz00_1228;
if(
PAIRP(BgL_plz00_697))
{ /* Ieee/symbol.scm 225 */
BgL_pairz00_1228 = BgL_plz00_697; }  else 
{ /* Ieee/symbol.scm 225 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_plz00_697); 
exit( -1 );} 
{ /* Ieee/symbol.scm 225 */
obj_t BgL_pairz00_1231;
{ /* Ieee/symbol.scm 225 */
obj_t BgL_aux2144z00_1547;
BgL_aux2144z00_1547 = 
CDR(BgL_pairz00_1228); 
if(
PAIRP(BgL_aux2144z00_1547))
{ /* Ieee/symbol.scm 225 */
BgL_pairz00_1231 = BgL_aux2144z00_1547; }  else 
{ /* Ieee/symbol.scm 225 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_aux2144z00_1547); 
exit( -1 );} } 
BgL_arg1754z00_701 = 
CDR(BgL_pairz00_1231); } } 
{ 
obj_t BgL_plz00_1768;
BgL_plz00_1768 = BgL_arg1754z00_701; 
BgL_plz00_697 = BgL_plz00_1768; 
goto BgL_loopz00_698;} } } } }  else 
{ /* Ieee/symbol.scm 217 */
return 
BGl_errorz00zz__errorz00(BGl_string2210z00zz__r4_symbols_6_4z00, BGl_string2207z00zz__r4_symbols_6_4z00, BgL_symbolz00_11);} } } 
}



/* _getprop */
obj_t BGl__getpropz00zz__r4_symbols_6_4z00(obj_t BgL_envz00_1495, obj_t BgL_symbolz00_1496, obj_t BgL_keyz00_1497)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 216 */
return 
BGl_getpropz00zz__r4_symbols_6_4z00(BgL_symbolz00_1496, BgL_keyz00_1497);} 
}



/* putprop! */
BGL_EXPORTED_DEF obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_13, obj_t BgL_keyz00_14, obj_t BgL_valz00_15)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 231 */
{ /* Ieee/symbol.scm 232 */
bool_t BgL_testz00_1771;
if(
SYMBOLP(BgL_symbolz00_13))
{ /* Ieee/symbol.scm 232 */
BgL_testz00_1771 = ((bool_t)1)
; }  else 
{ /* Ieee/symbol.scm 232 */
BgL_testz00_1771 = 
KEYWORDP(BgL_symbolz00_13)
; } 
if(BgL_testz00_1771)
{ /* Ieee/symbol.scm 233 */
obj_t BgL_g1671z00_705;
if(
SYMBOLP(BgL_symbolz00_13))
{ /* Ieee/symbol.scm 233 */
BgL_g1671z00_705 = 
GET_SYMBOL_PLIST(BgL_symbolz00_13); }  else 
{ /* Ieee/symbol.scm 233 */
if(
KEYWORDP(BgL_symbolz00_13))
{ /* Ieee/symbol.scm 233 */
BgL_g1671z00_705 = 
GET_KEYWORD_PLIST(BgL_symbolz00_13); }  else 
{ /* Ieee/symbol.scm 233 */
BgL_g1671z00_705 = 
BGl_errorz00zz__errorz00(BGl_string2206z00zz__r4_symbols_6_4z00, BGl_string2207z00zz__r4_symbols_6_4z00, BgL_symbolz00_13); } } 
{ 
obj_t BgL_plz00_706;
BgL_plz00_706 = BgL_g1671z00_705; 
BgL_loopz00_707:
if(
NULLP(BgL_plz00_706))
{ /* Ieee/symbol.scm 236 */
obj_t BgL_newz00_709;
{ /* Ieee/symbol.scm 236 */
obj_t BgL_arg1760z00_711;
{ /* Ieee/symbol.scm 236 */
obj_t BgL_arg1762z00_712;
if(
SYMBOLP(BgL_symbolz00_13))
{ /* Ieee/symbol.scm 236 */
BgL_arg1762z00_712 = 
GET_SYMBOL_PLIST(BgL_symbolz00_13); }  else 
{ /* Ieee/symbol.scm 236 */
if(
KEYWORDP(BgL_symbolz00_13))
{ /* Ieee/symbol.scm 236 */
BgL_arg1762z00_712 = 
GET_KEYWORD_PLIST(BgL_symbolz00_13); }  else 
{ /* Ieee/symbol.scm 236 */
BgL_arg1762z00_712 = 
BGl_errorz00zz__errorz00(BGl_string2206z00zz__r4_symbols_6_4z00, BGl_string2207z00zz__r4_symbols_6_4z00, BgL_symbolz00_13); } } 
{ /* Ieee/symbol.scm 236 */
obj_t BgL_list1763z00_713;
BgL_list1763z00_713 = 
MAKE_PAIR(BgL_arg1762z00_712, BNIL); 
BgL_arg1760z00_711 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_valz00_15, BgL_list1763z00_713); } } 
BgL_newz00_709 = 
MAKE_PAIR(BgL_keyz00_14, BgL_arg1760z00_711); } 
if(
SYMBOLP(BgL_symbolz00_13))
{ /* Ieee/symbol.scm 237 */
SET_SYMBOL_PLIST(BgL_symbolz00_13, BgL_newz00_709); }  else 
{ /* Ieee/symbol.scm 237 */
SET_KEYWORD_PLIST(BgL_symbolz00_13, BgL_newz00_709); } 
return BgL_newz00_709;}  else 
{ /* Ieee/symbol.scm 241 */
bool_t BgL_testz00_1798;
{ /* Ieee/symbol.scm 241 */
obj_t BgL_auxz00_1799;
{ /* Ieee/symbol.scm 241 */
obj_t BgL_pairz00_1246;
if(
PAIRP(BgL_plz00_706))
{ /* Ieee/symbol.scm 241 */
BgL_pairz00_1246 = BgL_plz00_706; }  else 
{ /* Ieee/symbol.scm 241 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_plz00_706); 
exit( -1 );} 
BgL_auxz00_1799 = 
CAR(BgL_pairz00_1246); } 
BgL_testz00_1798 = 
(BgL_auxz00_1799==BgL_keyz00_14); } 
if(BgL_testz00_1798)
{ /* Ieee/symbol.scm 242 */
obj_t BgL_arg1765z00_715;
{ /* Ieee/symbol.scm 242 */
obj_t BgL_pairz00_1247;
if(
PAIRP(BgL_plz00_706))
{ /* Ieee/symbol.scm 242 */
BgL_pairz00_1247 = BgL_plz00_706; }  else 
{ /* Ieee/symbol.scm 242 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_plz00_706); 
exit( -1 );} 
BgL_arg1765z00_715 = 
CDR(BgL_pairz00_1247); } 
{ /* Ieee/symbol.scm 242 */
obj_t BgL_pairz00_1248;
if(
PAIRP(BgL_arg1765z00_715))
{ /* Ieee/symbol.scm 242 */
BgL_pairz00_1248 = BgL_arg1765z00_715; }  else 
{ /* Ieee/symbol.scm 242 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_arg1765z00_715); 
exit( -1 );} 
return 
SET_CAR(BgL_pairz00_1248, BgL_valz00_15);} }  else 
{ /* Ieee/symbol.scm 244 */
obj_t BgL_arg1766z00_716;
{ /* Ieee/symbol.scm 244 */
obj_t BgL_pairz00_1250;
if(
PAIRP(BgL_plz00_706))
{ /* Ieee/symbol.scm 244 */
BgL_pairz00_1250 = BgL_plz00_706; }  else 
{ /* Ieee/symbol.scm 244 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_plz00_706); 
exit( -1 );} 
{ /* Ieee/symbol.scm 244 */
obj_t BgL_pairz00_1253;
{ /* Ieee/symbol.scm 244 */
obj_t BgL_aux2154z00_1557;
BgL_aux2154z00_1557 = 
CDR(BgL_pairz00_1250); 
if(
PAIRP(BgL_aux2154z00_1557))
{ /* Ieee/symbol.scm 244 */
BgL_pairz00_1253 = BgL_aux2154z00_1557; }  else 
{ /* Ieee/symbol.scm 244 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_aux2154z00_1557); 
exit( -1 );} } 
BgL_arg1766z00_716 = 
CDR(BgL_pairz00_1253); } } 
{ 
obj_t BgL_plz00_1826;
BgL_plz00_1826 = BgL_arg1766z00_716; 
BgL_plz00_706 = BgL_plz00_1826; 
goto BgL_loopz00_707;} } } } }  else 
{ /* Ieee/symbol.scm 232 */
return 
BGl_errorz00zz__errorz00(BGl_string2210z00zz__r4_symbols_6_4z00, BGl_string2207z00zz__r4_symbols_6_4z00, BgL_symbolz00_13);} } } 
}



/* _putprop! */
obj_t BGl__putpropz12z12zz__r4_symbols_6_4z00(obj_t BgL_envz00_1498, obj_t BgL_symbolz00_1499, obj_t BgL_keyz00_1500, obj_t BgL_valz00_1501)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 231 */
return 
BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_1499, BgL_keyz00_1500, BgL_valz00_1501);} 
}



/* remprop! */
BGL_EXPORTED_DEF obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_16, obj_t BgL_keyz00_17)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 250 */
{ /* Ieee/symbol.scm 251 */
bool_t BgL_testz00_1829;
if(
SYMBOLP(BgL_symbolz00_16))
{ /* Ieee/symbol.scm 251 */
BgL_testz00_1829 = ((bool_t)1)
; }  else 
{ /* Ieee/symbol.scm 251 */
BgL_testz00_1829 = 
KEYWORDP(BgL_symbolz00_16)
; } 
if(BgL_testz00_1829)
{ /* Ieee/symbol.scm 252 */
obj_t BgL_g1673z00_721;
if(
SYMBOLP(BgL_symbolz00_16))
{ /* Ieee/symbol.scm 253 */
BgL_g1673z00_721 = 
GET_SYMBOL_PLIST(BgL_symbolz00_16); }  else 
{ /* Ieee/symbol.scm 253 */
if(
KEYWORDP(BgL_symbolz00_16))
{ /* Ieee/symbol.scm 253 */
BgL_g1673z00_721 = 
GET_KEYWORD_PLIST(BgL_symbolz00_16); }  else 
{ /* Ieee/symbol.scm 253 */
BgL_g1673z00_721 = 
BGl_errorz00zz__errorz00(BGl_string2206z00zz__r4_symbols_6_4z00, BGl_string2207z00zz__r4_symbols_6_4z00, BgL_symbolz00_16); } } 
{ 
obj_t BgL_oldz00_722;obj_t BgL_lz00_723;
BgL_oldz00_722 = BNIL; 
BgL_lz00_723 = BgL_g1673z00_721; 
BgL_loopz00_724:
if(
NULLP(BgL_lz00_723))
{ /* Ieee/symbol.scm 255 */
return BFALSE;}  else 
{ /* Ieee/symbol.scm 257 */
bool_t BgL_testz00_1842;
{ /* Ieee/symbol.scm 257 */
obj_t BgL_auxz00_1843;
{ /* Ieee/symbol.scm 257 */
obj_t BgL_pairz00_1262;
if(
PAIRP(BgL_lz00_723))
{ /* Ieee/symbol.scm 257 */
BgL_pairz00_1262 = BgL_lz00_723; }  else 
{ /* Ieee/symbol.scm 257 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_lz00_723); 
exit( -1 );} 
BgL_auxz00_1843 = 
CAR(BgL_pairz00_1262); } 
BgL_testz00_1842 = 
(BgL_auxz00_1843==BgL_keyz00_17); } 
if(BgL_testz00_1842)
{ /* Ieee/symbol.scm 257 */
if(
PAIRP(BgL_oldz00_722))
{ /* Ieee/symbol.scm 260 */
obj_t BgL_arg1773z00_728;obj_t BgL_arg1774z00_729;
BgL_arg1773z00_728 = 
CDR(BgL_oldz00_722); 
{ /* Ieee/symbol.scm 260 */
obj_t BgL_pairz00_1265;
if(
PAIRP(BgL_lz00_723))
{ /* Ieee/symbol.scm 260 */
BgL_pairz00_1265 = BgL_lz00_723; }  else 
{ /* Ieee/symbol.scm 260 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_lz00_723); 
exit( -1 );} 
{ /* Ieee/symbol.scm 260 */
obj_t BgL_pairz00_1268;
{ /* Ieee/symbol.scm 260 */
obj_t BgL_aux2162z00_1565;
BgL_aux2162z00_1565 = 
CDR(BgL_pairz00_1265); 
if(
PAIRP(BgL_aux2162z00_1565))
{ /* Ieee/symbol.scm 260 */
BgL_pairz00_1268 = BgL_aux2162z00_1565; }  else 
{ /* Ieee/symbol.scm 260 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_aux2162z00_1565); 
exit( -1 );} } 
BgL_arg1774z00_729 = 
CDR(BgL_pairz00_1268); } } 
{ /* Ieee/symbol.scm 260 */
obj_t BgL_pairz00_1269;
if(
PAIRP(BgL_arg1773z00_728))
{ /* Ieee/symbol.scm 260 */
BgL_pairz00_1269 = BgL_arg1773z00_728; }  else 
{ /* Ieee/symbol.scm 260 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_arg1773z00_728); 
exit( -1 );} 
return 
SET_CDR(BgL_pairz00_1269, BgL_arg1774z00_729);} }  else 
{ /* Ieee/symbol.scm 259 */
if(
SYMBOLP(BgL_symbolz00_16))
{ /* Ieee/symbol.scm 263 */
obj_t BgL_arg1776z00_731;
{ /* Ieee/symbol.scm 263 */
obj_t BgL_pairz00_1272;
if(
PAIRP(BgL_lz00_723))
{ /* Ieee/symbol.scm 263 */
BgL_pairz00_1272 = BgL_lz00_723; }  else 
{ /* Ieee/symbol.scm 263 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_lz00_723); 
exit( -1 );} 
{ /* Ieee/symbol.scm 263 */
obj_t BgL_pairz00_1275;
{ /* Ieee/symbol.scm 263 */
obj_t BgL_aux2168z00_1571;
BgL_aux2168z00_1571 = 
CDR(BgL_pairz00_1272); 
if(
PAIRP(BgL_aux2168z00_1571))
{ /* Ieee/symbol.scm 263 */
BgL_pairz00_1275 = BgL_aux2168z00_1571; }  else 
{ /* Ieee/symbol.scm 263 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_aux2168z00_1571); 
exit( -1 );} } 
BgL_arg1776z00_731 = 
CDR(BgL_pairz00_1275); } } 
return 
SET_SYMBOL_PLIST(BgL_symbolz00_16, BgL_arg1776z00_731);}  else 
{ /* Ieee/symbol.scm 264 */
obj_t BgL_arg1778z00_732;
{ /* Ieee/symbol.scm 264 */
obj_t BgL_pairz00_1276;
if(
PAIRP(BgL_lz00_723))
{ /* Ieee/symbol.scm 264 */
BgL_pairz00_1276 = BgL_lz00_723; }  else 
{ /* Ieee/symbol.scm 264 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_lz00_723); 
exit( -1 );} 
{ /* Ieee/symbol.scm 264 */
obj_t BgL_pairz00_1279;
{ /* Ieee/symbol.scm 264 */
obj_t BgL_aux2172z00_1575;
BgL_aux2172z00_1575 = 
CDR(BgL_pairz00_1276); 
if(
PAIRP(BgL_aux2172z00_1575))
{ /* Ieee/symbol.scm 264 */
BgL_pairz00_1279 = BgL_aux2172z00_1575; }  else 
{ /* Ieee/symbol.scm 264 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_aux2172z00_1575); 
exit( -1 );} } 
BgL_arg1778z00_732 = 
CDR(BgL_pairz00_1279); } } 
return 
SET_KEYWORD_PLIST(BgL_symbolz00_16, BgL_arg1778z00_732);} } }  else 
{ /* Ieee/symbol.scm 266 */
obj_t BgL_arg1780z00_733;
{ /* Ieee/symbol.scm 266 */
obj_t BgL_pairz00_1280;
if(
PAIRP(BgL_lz00_723))
{ /* Ieee/symbol.scm 266 */
BgL_pairz00_1280 = BgL_lz00_723; }  else 
{ /* Ieee/symbol.scm 266 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_lz00_723); 
exit( -1 );} 
{ /* Ieee/symbol.scm 266 */
obj_t BgL_pairz00_1283;
{ /* Ieee/symbol.scm 266 */
obj_t BgL_aux2176z00_1579;
BgL_aux2176z00_1579 = 
CDR(BgL_pairz00_1280); 
if(
PAIRP(BgL_aux2176z00_1579))
{ /* Ieee/symbol.scm 266 */
BgL_pairz00_1283 = BgL_aux2176z00_1579; }  else 
{ /* Ieee/symbol.scm 266 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2208z00zz__r4_symbols_6_4z00, BGl_string2201z00zz__r4_symbols_6_4z00, BgL_aux2176z00_1579); 
exit( -1 );} } 
BgL_arg1780z00_733 = 
CDR(BgL_pairz00_1283); } } 
{ 
obj_t BgL_lz00_1903;obj_t BgL_oldz00_1902;
BgL_oldz00_1902 = BgL_lz00_723; 
BgL_lz00_1903 = BgL_arg1780z00_733; 
BgL_lz00_723 = BgL_lz00_1903; 
BgL_oldz00_722 = BgL_oldz00_1902; 
goto BgL_loopz00_724;} } } } }  else 
{ /* Ieee/symbol.scm 251 */
return 
BGl_errorz00zz__errorz00(BGl_string2210z00zz__r4_symbols_6_4z00, BGl_string2207z00zz__r4_symbols_6_4z00, BgL_symbolz00_16);} } } 
}



/* _remprop! */
obj_t BGl__rempropz12z12zz__r4_symbols_6_4z00(obj_t BgL_envz00_1502, obj_t BgL_symbolz00_1503, obj_t BgL_keyz00_1504)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 250 */
return 
BGl_rempropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_1503, BgL_keyz00_1504);} 
}



/* keyword? */
BGL_EXPORTED_DEF bool_t BGl_keywordzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_objz00_18)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 272 */
return 
KEYWORDP(BgL_objz00_18);} 
}



/* _keyword? */
obj_t BGl__keywordzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_envz00_1505, obj_t BgL_objz00_1506)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 272 */
return 
BBOOL(
KEYWORDP(BgL_objz00_1506));} 
}



/* keyword->string */
BGL_EXPORTED_DEF obj_t BGl_keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t BgL_keywordz00_19)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 278 */
return 
KEYWORD_TO_STRING(BgL_keywordz00_19);} 
}



/* _keyword->string */
obj_t BGl__keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t BgL_envz00_1507, obj_t BgL_keywordz00_1508)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 278 */
{ /* Ieee/symbol.scm 279 */
obj_t BgL_keywordz00_1597;
if(
KEYWORDP(BgL_keywordz00_1508))
{ /* Ieee/symbol.scm 279 */
BgL_keywordz00_1597 = BgL_keywordz00_1508; }  else 
{ /* Ieee/symbol.scm 279 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2211z00zz__r4_symbols_6_4z00, BGl_string2213z00zz__r4_symbols_6_4z00, BgL_keywordz00_1508); 
exit( -1 );} 
return 
KEYWORD_TO_STRING(BgL_keywordz00_1597);} } 
}



/* keyword->string! */
BGL_EXPORTED_DEF obj_t BGl_keywordzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t BgL_keywordz00_20)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 284 */
return 
KEYWORD_TO_STRING(BgL_keywordz00_20);} 
}



/* _keyword->string!2111 */
obj_t BGl__keywordzd2ze3stringz122111z23zz__r4_symbols_6_4z00(obj_t BgL_envz00_1509, obj_t BgL_keywordz00_1510)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 284 */
{ /* Ieee/symbol.scm 285 */
obj_t BgL_keywordz00_1598;
if(
KEYWORDP(BgL_keywordz00_1510))
{ /* Ieee/symbol.scm 285 */
BgL_keywordz00_1598 = BgL_keywordz00_1510; }  else 
{ /* Ieee/symbol.scm 285 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2214z00zz__r4_symbols_6_4z00, BGl_string2213z00zz__r4_symbols_6_4z00, BgL_keywordz00_1510); 
exit( -1 );} 
return 
KEYWORD_TO_STRING(BgL_keywordz00_1598);} } 
}



/* string->keyword */
BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t BgL_stringz00_21)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 290 */
return 
string_to_keyword(
BSTRING_TO_STRING(BgL_stringz00_21));} 
}



/* _string->keyword */
obj_t BGl__stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t BgL_envz00_1511, obj_t BgL_stringz00_1512)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 290 */
{ /* Ieee/symbol.scm 291 */
obj_t BgL_stringz00_1599;
if(
STRINGP(BgL_stringz00_1512))
{ /* Ieee/symbol.scm 291 */
BgL_stringz00_1599 = BgL_stringz00_1512; }  else 
{ /* Ieee/symbol.scm 291 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2216z00zz__r4_symbols_6_4z00, BGl_string2195z00zz__r4_symbols_6_4z00, BgL_stringz00_1512); 
exit( -1 );} 
return 
string_to_keyword(
BSTRING_TO_STRING(BgL_stringz00_1599));} } 
}



/* symbol->keyword */
BGL_EXPORTED_DEF obj_t BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t BgL_symbolz00_22)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 296 */
{ /* Ieee/symbol.scm 297 */
obj_t BgL_arg1783z00_1284;
BgL_arg1783z00_1284 = 
SYMBOL_TO_STRING(BgL_symbolz00_22); 
return 
string_to_keyword(
BSTRING_TO_STRING(BgL_arg1783z00_1284));} } 
}



/* _symbol->keyword2112 */
obj_t BGl__symbolzd2ze3keyword2112z31zz__r4_symbols_6_4z00(obj_t BgL_envz00_1513, obj_t BgL_symbolz00_1514)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 296 */
{ /* Ieee/symbol.scm 297 */
obj_t BgL_auxz00_1932;
if(
SYMBOLP(BgL_symbolz00_1514))
{ /* Ieee/symbol.scm 297 */
BgL_auxz00_1932 = BgL_symbolz00_1514
; }  else 
{ /* Ieee/symbol.scm 297 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2218z00zz__r4_symbols_6_4z00, BGl_string2190z00zz__r4_symbols_6_4z00, BgL_symbolz00_1514); 
exit( -1 );} 
return 
BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(BgL_auxz00_1932);} } 
}



/* keyword->symbol */
BGL_EXPORTED_DEF obj_t BGl_keywordzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t BgL_keywordz00_23)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 302 */
{ /* Ieee/symbol.scm 303 */
obj_t BgL_arg1785z00_1287;
BgL_arg1785z00_1287 = 
KEYWORD_TO_STRING(BgL_keywordz00_23); 
return 
string_to_symbol(
BSTRING_TO_STRING(BgL_arg1785z00_1287));} } 
}



/* _keyword->symbol2113 */
obj_t BGl__keywordzd2ze3symbol2113z31zz__r4_symbols_6_4z00(obj_t BgL_envz00_1515, obj_t BgL_keywordz00_1516)
{ AN_OBJECT;
{ /* Ieee/symbol.scm 302 */
{ /* Ieee/symbol.scm 303 */
obj_t BgL_auxz00_1941;
if(
KEYWORDP(BgL_keywordz00_1516))
{ /* Ieee/symbol.scm 303 */
BgL_auxz00_1941 = BgL_keywordz00_1516
; }  else 
{ /* Ieee/symbol.scm 303 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2220z00zz__r4_symbols_6_4z00, BGl_string2213z00zz__r4_symbols_6_4z00, BgL_keywordz00_1516); 
exit( -1 );} 
return 
BGl_keywordzd2ze3symbolz31zz__r4_symbols_6_4z00(BgL_auxz00_1941);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__r4_symbols_6_4z00()
{ AN_OBJECT;
{ /* Ieee/symbol.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00()
{ AN_OBJECT;
{ /* Ieee/symbol.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)19987059), 
BSTRING_TO_STRING(BGl_string2222z00zz__r4_symbols_6_4z00)); 
return 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)23161561), 
BSTRING_TO_STRING(BGl_string2222z00zz__r4_symbols_6_4z00));} 
}

#ifdef __cplusplus
}
#endif
