/*===========================================================================*/
/*   (Eval/evenv.scm)                                                        */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Eval/evenv.scm -indent -o objs/obj_u/Eval/evenv.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evenvz00 = BUNSPEC;
	static obj_t BGl__evalzd2globalzd2valuez00zz__evenvz00(obj_t, obj_t);
	static obj_t BGl__evalzd2globalzd2namez00zz__evenvz00(obj_t, obj_t);
	extern obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_initzd2thezd2globalzd2environmentz12zc0zz__evenvz00();
	static obj_t BGl_symbol2064z00zz__evenvz00 = BUNSPEC;
	static obj_t BGl_symbol2066z00zz__evenvz00 = BUNSPEC;
	static obj_t BGl_symbol2068z00zz__evenvz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__evenvz00();
	static obj_t BGl__definezd2primopzd2refz12z12zz__evenvz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evenvz00();
	BGL_EXPORTED_DECL obj_t BGl_definezd2primopzd2refz12z12zz__evenvz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bindzd2evalzd2globalz12z12zz__evenvz00(obj_t,
		obj_t);
	static obj_t BGl__unbindzd2primopz12zc0zz__evenvz00(obj_t, obj_t);
	static obj_t BGl__initzd2thezd2globalzd2environmentz12zc0zz__evenvz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2tagz00zz__evenvz00(obj_t);
	extern obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl__evalzd2globalzf3z21zz__evenvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2lookupzd2zz__evenvz00(obj_t);
	static obj_t BGl__bindzd2evalzd2globalz12z12zz__evenvz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2primopz12zc0zz__evenvz00(obj_t);
	static obj_t BGl__setzd2evalzd2globalzd2valuez12zc0zz__evenvz00(obj_t, obj_t,
		obj_t);
	extern BgL_z62evalzd2warningzb0_bglt
		BGl_makezd2z62evalzd2warningz62zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl__evalzd2globalzd2tagz00zz__evenvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evalzd2globalzd2valuez12zc0zz__evenvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2namez00zz__evenvz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzf3z21zz__evenvz00(obj_t);
	extern obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_warningzd2notifyzd2zz__errorz00(obj_t);
	static obj_t BGl__definezd2primopz12zc0zz__evenvz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2valuez00zz__evenvz00(obj_t);
	static obj_t BGl__evalzd2lookupzd2zz__evenvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evenvz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2primopz12zd2envz12zz__evenvz00,
		BgL_bgl__unbindza7d2primop2072za7, BGl__unbindzd2primopz12zc0zz__evenvz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initzd2thezd2globalzd2environmentz12zd2envz12zz__evenvz00,
		BgL_bgl__initza7d2theza7d2gl2073z00,
		BGl__initzd2thezd2globalzd2environmentz12zc0zz__evenvz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzf3zd2envzf3zz__evenvz00,
		BgL_bgl__evalza7d2globalza7f2074z00, BGl__evalzd2globalzf3z21zz__evenvz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evalzd2globalzd2valuez12zd2envz12zz__evenvz00,
		BgL_bgl__setza7d2evalza7d2gl2075z00,
		BGl__setzd2evalzd2globalzd2valuez12zc0zz__evenvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2lookupzd2envz00zz__evenvz00,
		BgL_bgl__evalza7d2lookupza7d2076z00, BGl__evalzd2lookupzd2zz__evenvz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bindzd2evalzd2globalz12zd2envzc0zz__evenvz00,
		BgL_bgl__bindza7d2evalza7d2g2077z00,
		BGl__bindzd2evalzd2globalz12z12zz__evenvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzd2namezd2envzd2zz__evenvz00,
		BgL_bgl__evalza7d2globalza7d2078z00,
		BGl__evalzd2globalzd2namez00zz__evenvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzd2tagzd2envzd2zz__evenvz00,
		BgL_bgl__evalza7d2globalza7d2079z00,
		BGl__evalzd2globalzd2tagz00zz__evenvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzd2valuezd2envzd2zz__evenvz00,
		BgL_bgl__evalza7d2globalza7d2080z00,
		BGl__evalzd2globalzd2valuez00zz__evenvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_definezd2primopz12zd2envz12zz__evenvz00,
		BgL_bgl__defineza7d2primop2081za7, BGl__definezd2primopz12zc0zz__evenvz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refz12zd2envzc0zz__evenvz00,
		BgL_bgl__defineza7d2primop2082za7,
		BGl__definezd2primopzd2refz12z12zz__evenvz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2065z00zz__evenvz00,
		BgL_bgl_string2065za700za7za7_2083za7, "nothing", 7);
	      DEFINE_STRING(BGl_string2067z00zz__evenvz00,
		BgL_bgl_string2067za700za7za7_2084za7, "_0000", 5);
	      DEFINE_STRING(BGl_string2070z00zz__evenvz00,
		BgL_bgl_string2070za700za7za7_2085za7, "Rebinding compiled constant", 27);
	      DEFINE_STRING(BGl_string2069z00zz__evenvz00,
		BgL_bgl_string2069za700za7za7_2086za7, "_0000_assert", 12);
	      DEFINE_STRING(BGl_string2071z00zz__evenvz00,
		BgL_bgl_string2071za700za7za7_2087za7, "__evenv", 7);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long
		BgL_checksumz00_1477, char *BgL_fromz00_1478)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evenvz00))
				{
					BGl_requirezd2initializa7ationz75zz__evenvz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evenvz00();
					BGl_importedzd2moduleszd2initz00zz__evenvz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evenvz00()
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 14 */
			BGl_symbol2064z00zz__evenvz00 =
				bstring_to_symbol(BGl_string2065z00zz__evenvz00);
			BGl_symbol2066z00zz__evenvz00 =
				bstring_to_symbol(BGl_string2067z00zz__evenvz00);
			return (BGl_symbol2068z00zz__evenvz00 =
				bstring_to_symbol(BGl_string2069z00zz__evenvz00), BUNSPEC);
		}
	}



/* init-the-global-environment! */
	BGL_EXPORTED_DEF obj_t
		BGl_initzd2thezd2globalzd2environmentz12zc0zz__evenvz00()
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 80 */
			return BGl_symbol2064z00zz__evenvz00;
		}
	}



/* _init-the-global-environment! */
	obj_t BGl__initzd2thezd2globalzd2environmentz12zc0zz__evenvz00(obj_t
		BgL_envz00_1444)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 80 */
			return BGl_symbol2064z00zz__evenvz00;
		}
	}



/* eval-global? */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzf3z21zz__evenvz00(obj_t
		BgL_variablez00_1)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 91 */
			if (VECTORP(BgL_variablez00_1))
				{	/* Eval/evenv.scm 92 */
					int BgL_arg1739z00_1469;

					BgL_arg1739z00_1469 = VECTOR_LENGTH(BgL_variablez00_1);
					return BBOOL(((long) (BgL_arg1739z00_1469) == ((long) 3)));
				}
			else
				{	/* Eval/evenv.scm 92 */
					return BFALSE;
				}
		}
	}



/* _eval-global? */
	obj_t BGl__evalzd2globalzf3z21zz__evenvz00(obj_t BgL_envz00_1445,
		obj_t BgL_variablez00_1446)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 91 */
			{	/* Eval/evenv.scm 92 */
				obj_t BgL_variablez00_1470;

				BgL_variablez00_1470 = BgL_variablez00_1446;
				if (VECTORP(BgL_variablez00_1470))
					{	/* Eval/evenv.scm 92 */
						int BgL_arg1739z00_1471;

						BgL_arg1739z00_1471 = VECTOR_LENGTH(BgL_variablez00_1470);
						return BBOOL(((long) (BgL_arg1739z00_1471) == ((long) 3)));
					}
				else
					{	/* Eval/evenv.scm 92 */
						return BFALSE;
					}
			}
		}
	}



/* bind-eval-global! */
	BGL_EXPORTED_DEF obj_t BGl_bindzd2evalzd2globalz12z12zz__evenvz00(obj_t
		BgL_namez00_2, obj_t BgL_varz00_3)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 99 */
			return
				BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_namez00_2,
				BGl_symbol2066z00zz__evenvz00, BgL_varz00_3);
		}
	}



/* _bind-eval-global! */
	obj_t BGl__bindzd2evalzd2globalz12z12zz__evenvz00(obj_t BgL_envz00_1447,
		obj_t BgL_namez00_1448, obj_t BgL_varz00_1449)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 99 */
			return
				BGl_bindzd2evalzd2globalz12z12zz__evenvz00(BgL_namez00_1448,
				BgL_varz00_1449);
		}
	}



/* unbind-primop! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2primopz12zc0zz__evenvz00(obj_t
		BgL_namez00_6)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 111 */
			return
				BGl_rempropz12z12zz__r4_symbols_6_4z00(BgL_namez00_6,
				BGl_symbol2066z00zz__evenvz00);
		}
	}



/* _unbind-primop! */
	obj_t BGl__unbindzd2primopz12zc0zz__evenvz00(obj_t BgL_envz00_1450,
		obj_t BgL_namez00_1451)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 111 */
			return BGl_unbindzd2primopz12zc0zz__evenvz00(BgL_namez00_1451);
		}
	}



/* define-primop! */
	BGL_EXPORTED_DEF obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t
		BgL_varz00_8, obj_t BgL_valz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 123 */
			{	/* Eval/evenv.scm 124 */
				obj_t BgL_cellz00_716;

				{	/* Eval/evenv.scm 124 */
					obj_t BgL_propz00_1200;

					BgL_propz00_1200 =
						BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_8,
						BGl_symbol2068z00zz__evenvz00);
					if (CBOOL(BgL_propz00_1200))
						{	/* Eval/evenv.scm 124 */
							BgL_cellz00_716 = BgL_propz00_1200;
						}
					else
						{	/* Eval/evenv.scm 124 */
							obj_t BgL_propz00_1201;

							BgL_propz00_1201 =
								BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_8,
								BGl_symbol2066z00zz__evenvz00);
							if (CBOOL(BgL_propz00_1201))
								{	/* Eval/evenv.scm 124 */
									BgL_cellz00_716 = BgL_propz00_1201;
								}
							else
								{	/* Eval/evenv.scm 124 */
									BgL_cellz00_716 = BFALSE;
								}
						}
				}
				{	/* Eval/evenv.scm 125 */
					bool_t BgL_testz00_1509;

					if (VECTORP(BgL_cellz00_716))
						{	/* Eval/evenv.scm 125 */
							int BgL_arg1739z00_1204;

							BgL_arg1739z00_1204 = VECTOR_LENGTH(BgL_cellz00_716);
							BgL_testz00_1509 = ((long) (BgL_arg1739z00_1204) == ((long) 3));
						}
					else
						{	/* Eval/evenv.scm 125 */
							BgL_testz00_1509 = ((bool_t) 0);
						}
					if (BgL_testz00_1509)
						{	/* Eval/evenv.scm 125 */
							return
								VECTOR_SET(BgL_cellz00_716, (int) (((long) 2)), BgL_valz00_9);
						}
					else
						{	/* Eval/evenv.scm 126 */
							obj_t BgL_arg1742z00_718;

							{	/* Eval/evenv.scm 126 */
								obj_t BgL_v1694z00_719;

								BgL_v1694z00_719 = create_vector((int) (((long) 3)));
								VECTOR_SET(BgL_v1694z00_719, (int) (((long) 2)), BgL_valz00_9);
								VECTOR_SET(BgL_v1694z00_719, (int) (((long) 1)), BgL_varz00_8);
								VECTOR_SET(BgL_v1694z00_719,
									(int) (((long) 0)), BINT(((long) 0)));
								BgL_arg1742z00_718 = BgL_v1694z00_719;
							}
							return
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_varz00_8,
								BGl_symbol2066z00zz__evenvz00, BgL_arg1742z00_718);
						}
				}
			}
		}
	}



/* _define-primop! */
	obj_t BGl__definezd2primopz12zc0zz__evenvz00(obj_t BgL_envz00_1452,
		obj_t BgL_varz00_1453, obj_t BgL_valz00_1454)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 123 */
			return
				BGl_definezd2primopz12zc0zz__evenvz00(BgL_varz00_1453, BgL_valz00_1454);
		}
	}



/* define-primop-ref! */
	BGL_EXPORTED_DEF obj_t BGl_definezd2primopzd2refz12z12zz__evenvz00(obj_t
		BgL_varz00_10, obj_t BgL_addrz00_11)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 132 */
			{	/* Eval/evenv.scm 133 */
				obj_t BgL_cellz00_720;

				{	/* Eval/evenv.scm 133 */
					obj_t BgL_propz00_1227;

					BgL_propz00_1227 =
						BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_10,
						BGl_symbol2068z00zz__evenvz00);
					if (CBOOL(BgL_propz00_1227))
						{	/* Eval/evenv.scm 133 */
							BgL_cellz00_720 = BgL_propz00_1227;
						}
					else
						{	/* Eval/evenv.scm 133 */
							obj_t BgL_propz00_1228;

							BgL_propz00_1228 =
								BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_10,
								BGl_symbol2066z00zz__evenvz00);
							if (CBOOL(BgL_propz00_1228))
								{	/* Eval/evenv.scm 133 */
									BgL_cellz00_720 = BgL_propz00_1228;
								}
							else
								{	/* Eval/evenv.scm 133 */
									BgL_cellz00_720 = BFALSE;
								}
						}
				}
				{	/* Eval/evenv.scm 134 */
					bool_t BgL_testz00_1534;

					if (VECTORP(BgL_cellz00_720))
						{	/* Eval/evenv.scm 134 */
							int BgL_arg1739z00_1231;

							BgL_arg1739z00_1231 = VECTOR_LENGTH(BgL_cellz00_720);
							BgL_testz00_1534 = ((long) (BgL_arg1739z00_1231) == ((long) 3));
						}
					else
						{	/* Eval/evenv.scm 134 */
							BgL_testz00_1534 = ((bool_t) 0);
						}
					if (BgL_testz00_1534)
						{	/* Eval/evenv.scm 134 */
							VECTOR_SET(BgL_cellz00_720, (int) (((long) 2)), BgL_addrz00_11);
							{	/* Eval/evenv.scm 142 */
								BgL_z62evalzd2warningzb0_bglt BgL_arg1744z00_722;

								{	/* Eval/evenv.scm 142 */
									obj_t BgL_arg1745z00_723;

									{	/* Eval/evenv.scm 142 */
										obj_t BgL_list1746z00_724;

										{	/* Eval/evenv.scm 142 */
											obj_t BgL_arg1748z00_726;

											BgL_arg1748z00_726 = MAKE_PAIR(BgL_varz00_10, BNIL);
											BgL_list1746z00_724 =
												MAKE_PAIR(BGl_string2070z00zz__evenvz00,
												BgL_arg1748z00_726);
										}
										BgL_arg1745z00_723 = BgL_list1746z00_724;
									}
									BgL_arg1744z00_722 =
										BGl_makezd2z62evalzd2warningz62zz__objectz00(BFALSE, BFALSE,
										BgL_arg1745z00_723);
								}
								return
									BGl_warningzd2notifyzd2zz__errorz00(
									(obj_t) (BgL_arg1744z00_722));
							}
						}
					else
						{	/* Eval/evenv.scm 135 */
							obj_t BgL_arg1749z00_727;

							{	/* Eval/evenv.scm 135 */
								obj_t BgL_v1695z00_728;

								BgL_v1695z00_728 = create_vector((int) (((long) 3)));
								VECTOR_SET(BgL_v1695z00_728,
									(int) (((long) 2)), BgL_addrz00_11);
								VECTOR_SET(BgL_v1695z00_728, (int) (((long) 1)), BgL_varz00_10);
								VECTOR_SET(BgL_v1695z00_728,
									(int) (((long) 0)), BINT(((long) 1)));
								BgL_arg1749z00_727 = BgL_v1695z00_728;
							}
							return
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_varz00_10,
								BGl_symbol2066z00zz__evenvz00, BgL_arg1749z00_727);
						}
				}
			}
		}
	}



/* _define-primop-ref! */
	obj_t BGl__definezd2primopzd2refz12z12zz__evenvz00(obj_t BgL_envz00_1455,
		obj_t BgL_varz00_1456, obj_t BgL_addrz00_1457)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 132 */
			return
				BGl_definezd2primopzd2refz12z12zz__evenvz00(BgL_varz00_1456,
				BgL_addrz00_1457);
		}
	}



/* eval-lookup */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2lookupzd2zz__evenvz00(obj_t BgL_varz00_14)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 153 */
			{	/* Eval/evenv.scm 154 */
				obj_t BgL_propz00_1255;

				BgL_propz00_1255 =
					BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_14,
					BGl_symbol2068z00zz__evenvz00);
				if (CBOOL(BgL_propz00_1255))
					{	/* Eval/evenv.scm 154 */
						return BgL_propz00_1255;
					}
				else
					{	/* Eval/evenv.scm 154 */
						obj_t BgL_propz00_1256;

						BgL_propz00_1256 =
							BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_14,
							BGl_symbol2066z00zz__evenvz00);
						if (CBOOL(BgL_propz00_1256))
							{	/* Eval/evenv.scm 154 */
								return BgL_propz00_1256;
							}
						else
							{	/* Eval/evenv.scm 154 */
								return BFALSE;
							}
					}
			}
		}
	}



/* _eval-lookup */
	obj_t BGl__evalzd2lookupzd2zz__evenvz00(obj_t BgL_envz00_1458,
		obj_t BgL_varz00_1459)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 153 */
			return BGl_evalzd2lookupzd2zz__evenvz00(BgL_varz00_1459);
		}
	}



/* eval-global-tag */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2tagz00zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_15)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 165 */
			return VECTOR_REF(BgL_evalzd2globalzd2_15, (int) (((long) 0)));
		}
	}



/* _eval-global-tag */
	obj_t BGl__evalzd2globalzd2tagz00zz__evenvz00(obj_t BgL_envz00_1460,
		obj_t BgL_evalzd2globalzd2_1461)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 165 */
			return VECTOR_REF(BgL_evalzd2globalzd2_1461, (int) (((long) 0)));
		}
	}



/* eval-global-name */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2namez00zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_16)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 171 */
			return VECTOR_REF(BgL_evalzd2globalzd2_16, (int) (((long) 1)));
		}
	}



/* _eval-global-name */
	obj_t BGl__evalzd2globalzd2namez00zz__evenvz00(obj_t BgL_envz00_1462,
		obj_t BgL_evalzd2globalzd2_1463)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 171 */
			return VECTOR_REF(BgL_evalzd2globalzd2_1463, (int) (((long) 1)));
		}
	}



/* eval-global-value */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2valuez00zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_17)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 177 */
			return VECTOR_REF(BgL_evalzd2globalzd2_17, (int) (((long) 2)));
		}
	}



/* _eval-global-value */
	obj_t BGl__evalzd2globalzd2valuez00zz__evenvz00(obj_t BgL_envz00_1464,
		obj_t BgL_evalzd2globalzd2_1465)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 177 */
			return VECTOR_REF(BgL_evalzd2globalzd2_1465, (int) (((long) 2)));
		}
	}



/* set-eval-global-value! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2evalzd2globalzd2valuez12zc0zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_18, obj_t BgL_valuez00_19)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 183 */
			return
				VECTOR_SET(BgL_evalzd2globalzd2_18,
				(int) (((long) 2)), BgL_valuez00_19);
		}
	}



/* _set-eval-global-value! */
	obj_t BGl__setzd2evalzd2globalzd2valuez12zc0zz__evenvz00(obj_t
		BgL_envz00_1466, obj_t BgL_evalzd2globalzd2_1467, obj_t BgL_valuez00_1468)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 183 */
			return
				VECTOR_SET(BgL_evalzd2globalzd2_1467,
				(int) (((long) 2)), BgL_valuez00_1468);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evenvz00()
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evenvz00()
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)
					504082187), BSTRING_TO_STRING(BGl_string2071z00zz__evenvz00));
		}
	}

#ifdef __cplusplus
}
#endif
