/*===========================================================================*/
/*   (Eval/expddo.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Eval/expddo.scm -indent -o objs/obj_u/Eval/expddo.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__expander_doz00 = BUNSPEC;
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl__expandzd2dozd2zz__expander_doz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__expander_doz00();
	static obj_t BGl_symbol2119z00zz__expander_doz00 = BUNSPEC;
	static obj_t BGl_symbol2121z00zz__expander_doz00 = BUNSPEC;
	static obj_t BGl_symbol2123z00zz__expander_doz00 = BUNSPEC;
	static obj_t BGl_symbol2125z00zz__expander_doz00 = BUNSPEC;
	static obj_t BGl_symbol2127z00zz__expander_doz00 = BUNSPEC;
	static obj_t BGl_symbol2129z00zz__expander_doz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__expander_doz00();
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__expander_doz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern long bgl_list_length(obj_t);
	extern obj_t bgl_reverse(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2dozd2zz__expander_doz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__expander_doz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2dozd2envz00zz__expander_doz00,
		BgL_bgl__expandza7d2doza7d2za72132za7,
		BGl__expandzd2dozd2zz__expander_doz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2116z00zz__expander_doz00,
		BgL_bgl_string2116za700za7za7_2133za7, "do-loop--", 9);
	      DEFINE_STRING(BGl_string2117z00zz__expander_doz00,
		BgL_bgl_string2117za700za7za7_2134za7, "do", 2);
	      DEFINE_STRING(BGl_string2118z00zz__expander_doz00,
		BgL_bgl_string2118za700za7za7_2135za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2120z00zz__expander_doz00,
		BgL_bgl_string2120za700za7za7_2136za7, "Illegal form:", 13);
	      DEFINE_STRING(BGl_string2122z00zz__expander_doz00,
		BgL_bgl_string2122za700za7za7_2137za7, "letrec", 6);
	      DEFINE_STRING(BGl_string2124z00zz__expander_doz00,
		BgL_bgl_string2124za700za7za7_2138za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2126z00zz__expander_doz00,
		BgL_bgl_string2126za700za7za7_2139za7, "if", 2);
	      DEFINE_STRING(BGl_string2128z00zz__expander_doz00,
		BgL_bgl_string2128za700za7za7_2140za7, "begin", 5);
	      DEFINE_STRING(BGl_string2130z00zz__expander_doz00,
		BgL_bgl_string2130za700za7za7_2141za7, "exp", 3);
	      DEFINE_STRING(BGl_string2131z00zz__expander_doz00,
		BgL_bgl_string2131za700za7za7_2142za7, "__expander_do", 13);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__expander_doz00(long
		BgL_checksumz00_1466, char *BgL_fromz00_1467)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expander_doz00))
				{
					BGl_requirezd2initializa7ationz75zz__expander_doz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__expander_doz00();
					BGl_importedzd2moduleszd2initz00zz__expander_doz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__expander_doz00()
	{
		AN_OBJECT;
		{	/* Eval/expddo.scm 14 */
			BGl_symbol2119z00zz__expander_doz00 =
				bstring_to_symbol(BGl_string2117z00zz__expander_doz00);
			BGl_symbol2121z00zz__expander_doz00 =
				bstring_to_symbol(BGl_string2122z00zz__expander_doz00);
			BGl_symbol2123z00zz__expander_doz00 =
				bstring_to_symbol(BGl_string2124z00zz__expander_doz00);
			BGl_symbol2125z00zz__expander_doz00 =
				bstring_to_symbol(BGl_string2126z00zz__expander_doz00);
			BGl_symbol2127z00zz__expander_doz00 =
				bstring_to_symbol(BGl_string2128z00zz__expander_doz00);
			return (BGl_symbol2129z00zz__expander_doz00 =
				bstring_to_symbol(BGl_string2130z00zz__expander_doz00), BUNSPEC);
		}
	}



/* expand-do */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2dozd2zz__expander_doz00(obj_t
		BgL_expz00_1, obj_t BgL_ez00_2)
	{
		AN_OBJECT;
		{	/* Eval/expddo.scm 57 */
			{
				obj_t BgL_bindingsz00_700;

				obj_t BgL_endz00_701;

				obj_t BgL_commandz00_702;

				if (PAIRP(BgL_expz00_1))
					{	/* Eval/expddo.scm 58 */
						obj_t BgL_cdrzd21215zd2_707;

						BgL_cdrzd21215zd2_707 = CDR(BgL_expz00_1);
						if (PAIRP(BgL_cdrzd21215zd2_707))
							{	/* Eval/expddo.scm 58 */
								obj_t BgL_cdrzd21220zd2_709;

								BgL_cdrzd21220zd2_709 = CDR(BgL_cdrzd21215zd2_707);
								if (PAIRP(BgL_cdrzd21220zd2_709))
									{	/* Eval/expddo.scm 58 */
										BgL_bindingsz00_700 = CAR(BgL_cdrzd21215zd2_707);
										BgL_endz00_701 = CAR(BgL_cdrzd21220zd2_709);
										BgL_commandz00_702 = CDR(BgL_cdrzd21220zd2_709);
										{	/* Eval/expddo.scm 60 */
											obj_t BgL_varsz00_715;

											BgL_varsz00_715 = BNIL;
											{	/* Eval/expddo.scm 61 */
												obj_t BgL_initsz00_716;

												BgL_initsz00_716 = BNIL;
												{	/* Eval/expddo.scm 62 */
													obj_t BgL_stepsz00_717;

													BgL_stepsz00_717 = BNIL;
													{	/* Eval/expddo.scm 63 */
														obj_t BgL_loopz00_718;

														BgL_loopz00_718 =
															BGl_gensymz00zz__r4_symbols_6_4z00
															(BGl_string2116z00zz__expander_doz00);
														{	/* Eval/expddo.scm 64 */
															obj_t BgL_testz00_719;

															if (PAIRP(BgL_endz00_701))
																{	/* Eval/expddo.scm 65 */
																	BgL_testz00_719 = CAR(BgL_endz00_701);
																}
															else
																{	/* Eval/expddo.scm 65 */
																	BgL_testz00_719 =
																		BGl_errorz00zz__errorz00
																		(BGl_string2117z00zz__expander_doz00,
																		BGl_string2118z00zz__expander_doz00,
																		BgL_expz00_1);
																}
															{	/* Eval/expddo.scm 65 */
																obj_t BgL_endingz00_720;

																if (NULLP(CDR(BgL_endz00_701)))
																	{	/* Eval/expddo.scm 69 */
																		obj_t BgL_list1797z00_778;

																		BgL_list1797z00_778 =
																			MAKE_PAIR(BFALSE, BNIL);
																		BgL_endingz00_720 = BgL_list1797z00_778;
																	}
																else
																	{	/* Eval/expddo.scm 68 */
																		BgL_endingz00_720 = CDR(BgL_endz00_701);
																	}
																{	/* Eval/expddo.scm 71 */

																	{	/* Eval/expddo.scm 72 */
																		obj_t BgL_g1696z00_722;

																		BgL_g1696z00_722 =
																			bgl_reverse(BgL_bindingsz00_700);
																		{
																			obj_t BgL_l1694z00_723;

																			BgL_l1694z00_723 = BgL_g1696z00_722;
																		BgL_forzd2each1695zd2_724:
																			if (PAIRP(BgL_l1694z00_723))
																				{	/* Eval/expddo.scm 72 */
																					{	/* Eval/expddo.scm 74 */
																						obj_t BgL_varzd2initzd2stepz00_726;

																						BgL_varzd2initzd2stepz00_726 =
																							CAR(BgL_l1694z00_723);
																						{	/* Eval/expddo.scm 74 */
																							bool_t BgL_testz00_1501;

																							if (
																								(bgl_list_length
																									(BgL_varzd2initzd2stepz00_726)
																									>= ((long) 2)))
																								{	/* Eval/expddo.scm 74 */
																									BgL_testz00_1501 =
																										(bgl_list_length
																										(BgL_varzd2initzd2stepz00_726)
																										<= ((long) 3));
																								}
																							else
																								{	/* Eval/expddo.scm 74 */
																									BgL_testz00_1501 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_1501)
																								{	/* Eval/expddo.scm 76 */
																									obj_t BgL_varz00_728;

																									BgL_varz00_728 =
																										CAR
																										(BgL_varzd2initzd2stepz00_726);
																									{	/* Eval/expddo.scm 76 */
																										obj_t BgL_initz00_729;

																										{	/* Eval/expddo.scm 77 */
																											obj_t BgL_pairz00_1264;

																											BgL_pairz00_1264 =
																												BgL_varzd2initzd2stepz00_726;
																											BgL_initz00_729 =
																												CAR(CDR
																												(BgL_pairz00_1264));
																										}
																										{	/* Eval/expddo.scm 77 */
																											obj_t BgL_stepz00_730;

																											{	/* Eval/expddo.scm 78 */
																												bool_t BgL_testz00_1510;

																												{	/* Eval/expddo.scm 78 */
																													obj_t BgL_auxz00_1511;

																													{	/* Eval/expddo.scm 78 */
																														obj_t
																															BgL_pairz00_1268;
																														BgL_pairz00_1268 =
																															BgL_varzd2initzd2stepz00_726;
																														BgL_auxz00_1511 =
																															CDR(CDR
																															(BgL_pairz00_1268));
																													}
																													BgL_testz00_1510 =
																														NULLP
																														(BgL_auxz00_1511);
																												}
																												if (BgL_testz00_1510)
																													{	/* Eval/expddo.scm 78 */
																														BgL_stepz00_730 =
																															BgL_varz00_728;
																													}
																												else
																													{	/* Eval/expddo.scm 79 */
																														obj_t
																															BgL_pairz00_1277;
																														{	/* Eval/expddo.scm 79 */
																															obj_t
																																BgL_pairz00_1273;
																															BgL_pairz00_1273 =
																																BgL_varzd2initzd2stepz00_726;
																															BgL_pairz00_1277 =
																																CDR(CDR
																																(BgL_pairz00_1273));
																														}
																														BgL_stepz00_730 =
																															CAR
																															(BgL_pairz00_1277);
																													}
																											}
																											{	/* Eval/expddo.scm 78 */

																												BgL_varsz00_715 =
																													MAKE_PAIR
																													(BgL_varz00_728,
																													BgL_varsz00_715);
																												BgL_stepsz00_717 =
																													MAKE_PAIR
																													(BgL_stepz00_730,
																													BgL_stepsz00_717);
																												BgL_initsz00_716 =
																													MAKE_PAIR
																													(BgL_initz00_729,
																													BgL_initsz00_716);
																											}
																										}
																									}
																								}
																							else
																								{	/* Eval/expddo.scm 74 */
																									BGl_errorz00zz__errorz00
																										(BGl_symbol2119z00zz__expander_doz00,
																										BGl_string2120z00zz__expander_doz00,
																										BgL_varzd2initzd2stepz00_726);
																								}
																						}
																					}
																					{
																						obj_t BgL_l1694z00_1522;

																						BgL_l1694z00_1522 =
																							CDR(BgL_l1694z00_723);
																						BgL_l1694z00_723 =
																							BgL_l1694z00_1522;
																						goto BgL_forzd2each1695zd2_724;
																					}
																				}
																			else
																				{	/* Eval/expddo.scm 72 */
																					((bool_t) 1);
																				}
																		}
																	}
																	{	/* Eval/expddo.scm 86 */
																		obj_t BgL_arg1755z00_740;

																		{	/* Eval/expddo.scm 86 */
																			obj_t BgL_arg1756z00_741;

																			obj_t BgL_arg1757z00_742;

																			BgL_arg1756z00_741 =
																				BGl_symbol2121z00zz__expander_doz00;
																			{	/* Eval/expddo.scm 86 */
																				obj_t BgL_arg1758z00_743;

																				obj_t BgL_arg1759z00_744;

																				{	/* Eval/expddo.scm 86 */
																					obj_t BgL_arg1763z00_748;

																					{	/* Eval/expddo.scm 86 */
																						obj_t BgL_arg1766z00_750;

																						{	/* Eval/expddo.scm 86 */
																							obj_t BgL_arg1767z00_751;

																							{	/* Eval/expddo.scm 86 */
																								obj_t BgL_arg1770z00_754;

																								obj_t BgL_arg1771z00_755;

																								BgL_arg1770z00_754 =
																									BGl_symbol2123z00zz__expander_doz00;
																								{	/* Eval/expddo.scm 87 */
																									obj_t BgL_arg1772z00_756;

																									{	/* Eval/expddo.scm 87 */
																										obj_t BgL_arg1776z00_760;

																										obj_t BgL_arg1778z00_761;

																										BgL_arg1776z00_760 =
																											BGl_symbol2125z00zz__expander_doz00;
																										{	/* Eval/expddo.scm 88 */
																											obj_t BgL_arg1780z00_762;

																											obj_t BgL_arg1781z00_763;

																											BgL_arg1780z00_762 =
																												MAKE_PAIR
																												(BGl_symbol2127z00zz__expander_doz00,
																												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																												(BgL_endingz00_720,
																													BNIL));
																											{	/* Eval/expddo.scm 89 */
																												obj_t
																													BgL_arg1789z00_770;
																												obj_t
																													BgL_arg1790z00_771;
																												BgL_arg1789z00_770 =
																													BGl_symbol2127z00zz__expander_doz00;
																												{	/* Eval/expddo.scm 90 */
																													obj_t
																														BgL_arg1791z00_772;
																													{	/* Eval/expddo.scm 90 */
																														obj_t
																															BgL_arg1792z00_773;
																														BgL_arg1792z00_773 =
																															MAKE_PAIR
																															(BgL_loopz00_718,
																															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																															(BgL_stepsz00_717,
																																BNIL));
																														BgL_arg1791z00_772 =
																															MAKE_PAIR
																															(BgL_arg1792z00_773,
																															BNIL);
																													}
																													BgL_arg1790z00_771 =
																														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																														(BgL_commandz00_702,
																														BgL_arg1791z00_772);
																												}
																												BgL_arg1781z00_763 =
																													MAKE_PAIR
																													(BgL_arg1789z00_770,
																													BgL_arg1790z00_771);
																											}
																											{	/* Eval/expddo.scm 87 */
																												obj_t
																													BgL_list1783z00_765;
																												{	/* Eval/expddo.scm 87 */
																													obj_t
																														BgL_arg1785z00_766;
																													{	/* Eval/expddo.scm 87 */
																														obj_t
																															BgL_arg1786z00_767;
																														BgL_arg1786z00_767 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg1785z00_766 =
																															MAKE_PAIR
																															(BgL_arg1781z00_763,
																															BgL_arg1786z00_767);
																													}
																													BgL_list1783z00_765 =
																														MAKE_PAIR
																														(BgL_arg1780z00_762,
																														BgL_arg1785z00_766);
																												}
																												BgL_arg1778z00_761 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_testz00_719,
																													BgL_list1783z00_765);
																											}
																										}
																										BgL_arg1772z00_756 =
																											MAKE_PAIR
																											(BgL_arg1776z00_760,
																											BgL_arg1778z00_761);
																									}
																									{	/* Eval/expddo.scm 86 */
																										obj_t BgL_list1774z00_758;

																										{	/* Eval/expddo.scm 86 */
																											obj_t BgL_arg1775z00_759;

																											BgL_arg1775z00_759 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_list1774z00_758 =
																												MAKE_PAIR
																												(BgL_arg1772z00_756,
																												BgL_arg1775z00_759);
																										}
																										BgL_arg1771z00_755 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_varsz00_715,
																											BgL_list1774z00_758);
																									}
																								}
																								BgL_arg1767z00_751 =
																									MAKE_PAIR(BgL_arg1770z00_754,
																									BgL_arg1771z00_755);
																							}
																							{	/* Eval/expddo.scm 86 */
																								obj_t BgL_list1769z00_753;

																								BgL_list1769z00_753 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg1766z00_750 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg1767z00_751,
																									BgL_list1769z00_753);
																							}
																						}
																						BgL_arg1763z00_748 =
																							MAKE_PAIR(BgL_loopz00_718,
																							BgL_arg1766z00_750);
																					}
																					BgL_arg1758z00_743 =
																						MAKE_PAIR(BgL_arg1763z00_748, BNIL);
																				}
																				BgL_arg1759z00_744 =
																					MAKE_PAIR(BgL_loopz00_718,
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BgL_initsz00_716, BNIL));
																				{	/* Eval/expddo.scm 86 */
																					obj_t BgL_list1761z00_746;

																					{	/* Eval/expddo.scm 86 */
																						obj_t BgL_arg1762z00_747;

																						BgL_arg1762z00_747 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_list1761z00_746 =
																							MAKE_PAIR(BgL_arg1759z00_744,
																							BgL_arg1762z00_747);
																					}
																					BgL_arg1757z00_742 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg1758z00_743,
																						BgL_list1761z00_746);
																				}
																			}
																			BgL_arg1755z00_740 =
																				MAKE_PAIR(BgL_arg1756z00_741,
																				BgL_arg1757z00_742);
																		}
																		return
																			PROCEDURE_ENTRY(BgL_ez00_2) (BgL_ez00_2,
																			BgL_arg1755z00_740, BgL_ez00_2, BEOA);
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								else
									{	/* Eval/expddo.scm 58 */
										return
											BGl_errorz00zz__errorz00
											(BGl_symbol2119z00zz__expander_doz00,
											BGl_string2118z00zz__expander_doz00,
											BGl_symbol2129z00zz__expander_doz00);
									}
							}
						else
							{	/* Eval/expddo.scm 58 */
								return
									BGl_errorz00zz__errorz00(BGl_symbol2119z00zz__expander_doz00,
									BGl_string2118z00zz__expander_doz00,
									BGl_symbol2129z00zz__expander_doz00);
							}
					}
				else
					{	/* Eval/expddo.scm 58 */
						return
							BGl_errorz00zz__errorz00(BGl_symbol2119z00zz__expander_doz00,
							BGl_string2118z00zz__expander_doz00,
							BGl_symbol2129z00zz__expander_doz00);
					}
			}
		}
	}



/* _expand-do */
	obj_t BGl__expandzd2dozd2zz__expander_doz00(obj_t BgL_envz00_1463,
		obj_t BgL_expz00_1464, obj_t BgL_ez00_1465)
	{
		AN_OBJECT;
		{	/* Eval/expddo.scm 57 */
			return
				BGl_expandzd2dozd2zz__expander_doz00(BgL_expz00_1464, BgL_ez00_1465);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expander_doz00()
	{
		AN_OBJECT;
		{	/* Eval/expddo.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expander_doz00()
	{
		AN_OBJECT;
		{	/* Eval/expddo.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 36890192),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 89651882),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 333500458),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 503395061),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 289987165),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 23161561),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 441587319),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 216567556),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 271963892),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					233590657), BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					7848053), BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					400650732), BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					459721289), BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 123701502),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 504082187),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 54020034),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					523281442), BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 98427014),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					159305184), BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 294143011),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 239780569),
				BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					298558382), BSTRING_TO_STRING(BGl_string2131z00zz__expander_doz00));
		}
	}

#ifdef __cplusplus
}
#endif
