/*===========================================================================*/
/*   (Eval/expdtry.scm)                                                      */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Eval/expdtry.scm -indent -o objs/obj_u/Eval/expdtry.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2tryzd2zz__expander_tryz00(obj_t, obj_t);
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__expander_tryz00 = BUNSPEC;
	extern obj_t BGl_evepairifyz00zz__prognz00(obj_t, obj_t);
	static obj_t BGl_symbol2069z00zz__expander_tryz00 = BUNSPEC;
	static obj_t BGl_symbol2071z00zz__expander_tryz00 = BUNSPEC;
	static obj_t BGl_symbol2073z00zz__expander_tryz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__expander_tryz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__expander_tryz00();
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__expander_tryz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl__expandzd2tryzd2zz__expander_tryz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__expander_tryz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2tryzd2envz00zz__expander_tryz00,
		BgL_bgl__expandza7d2tryza7d22077z00,
		BGl__expandzd2tryzd2zz__expander_tryz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2070z00zz__expander_tryz00,
		BgL_bgl_string2070za700za7za7_2078za7, "&try", 4);
	      DEFINE_STRING(BGl_string2072z00zz__expander_tryz00,
		BgL_bgl_string2072za700za7za7_2079za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2074z00zz__expander_tryz00,
		BgL_bgl_string2074za700za7za7_2080za7, "try", 3);
	      DEFINE_STRING(BGl_string2075z00zz__expander_tryz00,
		BgL_bgl_string2075za700za7za7_2081za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2076z00zz__expander_tryz00,
		BgL_bgl_string2076za700za7za7_2082za7, "__expander_try", 14);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__expander_tryz00(long
		BgL_checksumz00_1379, char *BgL_fromz00_1380)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expander_tryz00))
				{
					BGl_requirezd2initializa7ationz75zz__expander_tryz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__expander_tryz00();
					BGl_importedzd2moduleszd2initz00zz__expander_tryz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__expander_tryz00()
	{
		AN_OBJECT;
		{	/* Eval/expdtry.scm 14 */
			BGl_symbol2069z00zz__expander_tryz00 =
				bstring_to_symbol(BGl_string2070z00zz__expander_tryz00);
			BGl_symbol2071z00zz__expander_tryz00 =
				bstring_to_symbol(BGl_string2072z00zz__expander_tryz00);
			return (BGl_symbol2073z00zz__expander_tryz00 =
				bstring_to_symbol(BGl_string2074z00zz__expander_tryz00), BUNSPEC);
		}
	}



/* expand-try */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2tryzd2zz__expander_tryz00(obj_t
		BgL_xz00_1, obj_t BgL_ez00_2)
	{
		AN_OBJECT;
		{	/* Eval/expdtry.scm 51 */
			{
				obj_t BgL_bodyz00_700;

				obj_t BgL_handlerz00_701;

				if (PAIRP(BgL_xz00_1))
					{	/* Eval/expdtry.scm 52 */
						obj_t BgL_cdrzd21213zd2_706;

						BgL_cdrzd21213zd2_706 = CDR(BgL_xz00_1);
						if (PAIRP(BgL_cdrzd21213zd2_706))
							{	/* Eval/expdtry.scm 52 */
								obj_t BgL_carzd21216zd2_708;

								obj_t BgL_cdrzd21217zd2_709;

								BgL_carzd21216zd2_708 = CAR(BgL_cdrzd21213zd2_706);
								BgL_cdrzd21217zd2_709 = CDR(BgL_cdrzd21213zd2_706);
								if (NULLP(BgL_carzd21216zd2_708))
									{	/* Eval/expdtry.scm 52 */
										return
											BGl_errorz00zz__errorz00
											(BGl_symbol2073z00zz__expander_tryz00,
											BGl_string2075z00zz__expander_tryz00, BgL_xz00_1);
									}
								else
									{	/* Eval/expdtry.scm 52 */
										if (PAIRP(BgL_cdrzd21217zd2_709))
											{	/* Eval/expdtry.scm 52 */
												if (NULLP(CDR(BgL_cdrzd21217zd2_709)))
													{	/* Eval/expdtry.scm 52 */
														BgL_bodyz00_700 = BgL_carzd21216zd2_708;
														BgL_handlerz00_701 = CAR(BgL_cdrzd21217zd2_709);
														{	/* Eval/expdtry.scm 54 */
															obj_t BgL_nz00_715;

															{	/* Eval/expdtry.scm 54 */
																obj_t BgL_arg1742z00_716;

																{	/* Eval/expdtry.scm 54 */
																	obj_t BgL_arg1743z00_717;

																	obj_t BgL_arg1744z00_718;

																	BgL_arg1743z00_717 =
																		BGl_symbol2069z00zz__expander_tryz00;
																	{	/* Eval/expdtry.scm 54 */
																		obj_t BgL_arg1745z00_719;

																		{	/* Eval/expdtry.scm 54 */
																			obj_t BgL_arg1749z00_723;

																			obj_t BgL_arg1750z00_724;

																			BgL_arg1749z00_723 =
																				BGl_symbol2071z00zz__expander_tryz00;
																			{	/* Eval/expdtry.scm 54 */
																				obj_t BgL_list1751z00_725;

																				{	/* Eval/expdtry.scm 54 */
																					obj_t BgL_arg1752z00_726;

																					BgL_arg1752z00_726 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_list1751z00_725 =
																						MAKE_PAIR(BgL_bodyz00_700,
																						BgL_arg1752z00_726);
																				}
																				BgL_arg1750z00_724 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BNIL, BgL_list1751z00_725);
																			}
																			BgL_arg1745z00_719 =
																				MAKE_PAIR(BgL_arg1749z00_723,
																				BgL_arg1750z00_724);
																		}
																		{	/* Eval/expdtry.scm 54 */
																			obj_t BgL_list1747z00_721;

																			{	/* Eval/expdtry.scm 54 */
																				obj_t BgL_arg1748z00_722;

																				BgL_arg1748z00_722 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list1747z00_721 =
																					MAKE_PAIR(BgL_handlerz00_701,
																					BgL_arg1748z00_722);
																			}
																			BgL_arg1744z00_718 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg1745z00_719,
																				BgL_list1747z00_721);
																		}
																	}
																	BgL_arg1742z00_716 =
																		MAKE_PAIR(BgL_arg1743z00_717,
																		BgL_arg1744z00_718);
																}
																BgL_nz00_715 =
																	PROCEDURE_ENTRY(BgL_ez00_2) (BgL_ez00_2,
																	BgL_arg1742z00_716, BgL_ez00_2, BEOA);
															}
															return
																BGl_evepairifyz00zz__prognz00(BgL_nz00_715,
																BgL_xz00_1);
														}
													}
												else
													{	/* Eval/expdtry.scm 52 */
														return
															BGl_errorz00zz__errorz00
															(BGl_symbol2073z00zz__expander_tryz00,
															BGl_string2075z00zz__expander_tryz00, BgL_xz00_1);
													}
											}
										else
											{	/* Eval/expdtry.scm 52 */
												return
													BGl_errorz00zz__errorz00
													(BGl_symbol2073z00zz__expander_tryz00,
													BGl_string2075z00zz__expander_tryz00, BgL_xz00_1);
											}
									}
							}
						else
							{	/* Eval/expdtry.scm 52 */
								return
									BGl_errorz00zz__errorz00(BGl_symbol2073z00zz__expander_tryz00,
									BGl_string2075z00zz__expander_tryz00, BgL_xz00_1);
							}
					}
				else
					{	/* Eval/expdtry.scm 52 */
						return
							BGl_errorz00zz__errorz00(BGl_symbol2073z00zz__expander_tryz00,
							BGl_string2075z00zz__expander_tryz00, BgL_xz00_1);
					}
			}
		}
	}



/* _expand-try */
	obj_t BGl__expandzd2tryzd2zz__expander_tryz00(obj_t BgL_envz00_1376,
		obj_t BgL_xz00_1377, obj_t BgL_ez00_1378)
	{
		AN_OBJECT;
		{	/* Eval/expdtry.scm 51 */
			return
				BGl_expandzd2tryzd2zz__expander_tryz00(BgL_xz00_1377, BgL_ez00_1378);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expander_tryz00()
	{
		AN_OBJECT;
		{	/* Eval/expdtry.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expander_tryz00()
	{
		AN_OBJECT;
		{	/* Eval/expdtry.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 36890192),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 89651882),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 333500458),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 503395061),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 289987165),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 23161561),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 441587319),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 216567556),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 271963892),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					233590657), BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					7848053), BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					400650732), BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					459721289), BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 123701502),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 504082187),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 54020034),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					523281442), BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 98427014),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					159305184), BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 294143011),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 239780569),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					298558382), BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
			return BGl_modulezd2initializa7ationz75zz__prognz00(((long) 361745055),
				BSTRING_TO_STRING(BGl_string2076z00zz__expander_tryz00));
		}
	}

#ifdef __cplusplus
}
#endif
