/*===========================================================================*/
/*   (Eval/library.scm)                                                      */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Eval/library.scm -indent -o objs/obj_u/Eval/library.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	extern obj_t BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(obj_t);
	static obj_t BGl_list2286z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_list2287z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_list2292z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_list2293z00zz__libraryz00 = BUNSPEC;
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__libraryz00 = BUNSPEC;
	static obj_t BGl_zc3exitza31853ze3z83zz__libraryz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_libraryzd2translationzd2tablezd2addz12zc0zz__libraryz00(obj_t, obj_t,
		obj_t);
	extern obj_t bigloo_mangle(obj_t);
	extern obj_t BGl_interactionzd2environmentzd2zz__evalz00();
	static obj_t BGl__libraryzd2translation2199zd2zz__libraryz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_evalzd2modulezd2zz__evmodulez00();
	extern bool_t fexists(char *);
	extern bool_t bigloo_strcmp(obj_t, obj_t);
	extern obj_t BGl_evalz00zz__evalz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_declarezd2libraryz12zc0zz__libraryz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t create_struct(obj_t, int);
	extern obj_t BGl_makezd2sharedzd2libzd2namezd2zz__osz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_libraryzd2infozd2zz__libraryz00(obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_za2libraryzd2mutexza2zd2zz__libraryz00 = BUNSPEC;
	extern obj_t BGl_getenvz00zz__osz00(char *);
	static obj_t BGl_cnstzd2initzd2zz__libraryz00();
	static obj_t BGl__libraryzd2loadzd2zz__libraryz00(obj_t, obj_t, obj_t);
	static obj_t BGl_untranslatezd2libraryzd2namez00zz__libraryz00(obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__libraryz00();
	static obj_t BGl__libraryzd2existszf32201z21zz__libraryz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2216z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_symbol2238z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_symbol2242z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_symbol2244z00zz__libraryz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_libraryzd2loadzd2zz__libraryz00(obj_t, obj_t);
	static obj_t BGl_symbol2247z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_symbol2254z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_symbol2257z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_symbol2262z00zz__libraryz00 = BUNSPEC;
	extern obj_t BGl_dynamiczd2loadzd2zz__osz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2267z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_symbol2269z00zz__libraryz00 = BUNSPEC;
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl_symbol2271z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_symbol2274z00zz__libraryz00 = BUNSPEC;
	extern obj_t BGl_defaultzd2environmentzd2zz__evalz00();
	static obj_t BGl_symbol2282z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_symbol2288z00zz__libraryz00 = BUNSPEC;
	extern obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	static obj_t BGl_symbol2290z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_symbol2294z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_symbol2297z00zz__libraryz00 = BUNSPEC;
	extern obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zz__libraryz00();
	static obj_t BGl_keyword2218z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_keyword2220z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_keyword2222z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_keyword2224z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_keyword2226z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_keyword2228z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl__libraryzd2filezd2name2200z00zz__libraryz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_keyword2230z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_keyword2232z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_keyword2234z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl_keyword2236z00zz__libraryz00 = BUNSPEC;
	extern obj_t BGl_unixzd2pathzd2ze3listze3zz__osz00(obj_t);
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_oszd2classzd2zz__osz00();
	extern obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_loadqz00zz__evalz00(obj_t, obj_t);
	extern obj_t string_to_bstring(char *);
	static obj_t BGl__declarezd2libraryz12zc0zz__libraryz00(obj_t, obj_t);
	static obj_t BGl_za2librariesza2z00zz__libraryz00 = BUNSPEC;
	static obj_t BGl__libraryzd2info2198zd2zz__libraryz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_libraryzd2filezd2namez00zz__libraryz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2libraryzd2pathz00zz__paramz00();
	extern bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	extern obj_t BGl_evmeaningzd2warningzd2zz__everrorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_libraryzd2existszf3z21zz__libraryz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__libraryz00();
	extern obj_t bgl_register_eval_srfi(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_libraryzd2translationzd2tablezd2addz12zd2envz12zz__libraryz00,
		BgL_bgl__libraryza7d2trans2300za7, va_generic_entry,
		BGl__libraryzd2translation2199zd2zz__libraryz00, BUNSPEC, -3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_libraryzd2filezd2namezd2envzd2zz__libraryz00,
		BgL_bgl__libraryza7d2fileza72301z00,
		BGl__libraryzd2filezd2name2200z00zz__libraryz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_libraryzd2loadzd2envz00zz__libraryz00,
		BgL_bgl__libraryza7d2loadza72302z00, va_generic_entry,
		BGl__libraryzd2loadzd2zz__libraryz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_declarezd2libraryz12zd2envz12zz__libraryz00,
		BgL_bgl__declareza7d2libra2303za7, opt_generic_entry,
		BGl__declarezd2libraryz12zc0zz__libraryz00, BFALSE, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_libraryzd2infozd2envz00zz__libraryz00,
		BgL_bgl__libraryza7d2info22304za7, BGl__libraryzd2info2198zd2zz__libraryz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_libraryzd2existszf3zd2envzf3zz__libraryz00,
		BgL_bgl__libraryza7d2exist2305za7, va_generic_entry,
		BGl__libraryzd2existszf32201z21zz__libraryz00, BUNSPEC, -2);
	      DEFINE_STRING(BGl_string2217z00zz__libraryz00,
		BgL_bgl_string2217za700za7za7_2306za7, "library", 7);
	      DEFINE_STRING(BGl_string2219z00zz__libraryz00,
		BgL_bgl_string2219za700za7za7_2307za7, "basename", 8);
	      DEFINE_STRING(BGl_string2221z00zz__libraryz00,
		BgL_bgl_string2221za700za7za7_2308za7, "class-eval", 10);
	      DEFINE_STRING(BGl_string2223z00zz__libraryz00,
		BgL_bgl_string2223za700za7za7_2309za7, "class-init", 10);
	      DEFINE_STRING(BGl_string2225z00zz__libraryz00,
		BgL_bgl_string2225za700za7za7_2310za7, "dlopen-init", 11);
	      DEFINE_STRING(BGl_string2227z00zz__libraryz00,
		BgL_bgl_string2227za700za7za7_2311za7, "eval", 4);
	      DEFINE_STRING(BGl_string2229z00zz__libraryz00,
		BgL_bgl_string2229za700za7za7_2312za7, "init", 4);
	      DEFINE_STRING(BGl_string2231z00zz__libraryz00,
		BgL_bgl_string2231za700za7za7_2313za7, "module-eval", 11);
	      DEFINE_STRING(BGl_string2233z00zz__libraryz00,
		BgL_bgl_string2233za700za7za7_2314za7, "module-init", 11);
	      DEFINE_STRING(BGl_string2235z00zz__libraryz00,
		BgL_bgl_string2235za700za7za7_2315za7, "srfi", 4);
	      DEFINE_STRING(BGl_string2237z00zz__libraryz00,
		BgL_bgl_string2237za700za7za7_2316za7, "version", 7);
	      DEFINE_STRING(BGl_string2240z00zz__libraryz00,
		BgL_bgl_string2240za700za7za7_2317za7, "~a_s", 4);
	      DEFINE_STRING(BGl_string2239z00zz__libraryz00,
		BgL_bgl_string2239za700za7za7_2318za7, "release-number", 14);
	      DEFINE_STRING(BGl_string2241z00zz__libraryz00,
		BgL_bgl_string2241za700za7za7_2319za7, "~a_e", 4);
	      DEFINE_STRING(BGl_string2243z00zz__libraryz00,
		BgL_bgl_string2243za700za7za7_2320za7, "libinfo", 7);
	      DEFINE_STRING(BGl_string2245z00zz__libraryz00,
		BgL_bgl_string2245za700za7za7_2321za7, "_library-info2198", 17);
	      DEFINE_STRING(BGl_string2246z00zz__libraryz00,
		BgL_bgl_string2246za700za7za7_2322za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2248z00zz__libraryz00,
		BgL_bgl_string2248za700za7za7_2323za7, "library-translation-table-add!",
		30);
	      DEFINE_STRING(BGl_string2250z00zz__libraryz00,
		BgL_bgl_string2250za700za7za7_2324za7, "Illegal :dlopen-init value", 26);
	      DEFINE_STRING(BGl_string2249z00zz__libraryz00,
		BgL_bgl_string2249za700za7za7_2325za7, "Illegal :dlopen-init argument", 29);
	      DEFINE_STRING(BGl_string2251z00zz__libraryz00,
		BgL_bgl_string2251za700za7za7_2326za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2252z00zz__libraryz00,
		BgL_bgl_string2252za700za7za7_2327za7, "_s", 2);
	      DEFINE_STRING(BGl_string2253z00zz__libraryz00,
		BgL_bgl_string2253za700za7za7_2328za7, "_e", 2);
	      DEFINE_STRING(BGl_string2255z00zz__libraryz00,
		BgL_bgl_string2255za700za7za7_2329za7, "_library-translation2199", 24);
	      DEFINE_STRING(BGl_string2256z00zz__libraryz00,
		BgL_bgl_string2256za700za7za7_2330za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2258z00zz__libraryz00,
		BgL_bgl_string2258za700za7za7_2331za7, "bigloo-c", 8);
	      DEFINE_STRING(BGl_string2260z00zz__libraryz00,
		BgL_bgl_string2260za700za7za7_2332za7, "mingw", 5);
	      DEFINE_STRING(BGl_string2259z00zz__libraryz00,
		BgL_bgl_string2259za700za7za7_2333za7, "unix", 4);
	      DEFINE_STRING(BGl_string2261z00zz__libraryz00,
		BgL_bgl_string2261za700za7za7_2334za7, "-", 1);
	      DEFINE_STRING(BGl_string2263z00zz__libraryz00,
		BgL_bgl_string2263za700za7za7_2335za7, "library-file-name", 17);
	      DEFINE_STRING(BGl_string2264z00zz__libraryz00,
		BgL_bgl_string2264za700za7za7_2336za7, "Illegal version", 15);
	      DEFINE_STRING(BGl_string2265z00zz__libraryz00,
		BgL_bgl_string2265za700za7za7_2337za7, "win32", 5);
	      DEFINE_STRING(BGl_string2266z00zz__libraryz00,
		BgL_bgl_string2266za700za7za7_2338za7, "Unknown os", 10);
	      DEFINE_STRING(BGl_string2268z00zz__libraryz00,
		BgL_bgl_string2268za700za7za7_2339za7, "bigloo-jvm", 10);
	      DEFINE_STRING(BGl_string2270z00zz__libraryz00,
		BgL_bgl_string2270za700za7za7_2340za7, "bigloo-.net", 11);
	      DEFINE_STRING(BGl_string2272z00zz__libraryz00,
		BgL_bgl_string2272za700za7za7_2341za7, "bigloo.net", 10);
	      DEFINE_STRING(BGl_string2273z00zz__libraryz00,
		BgL_bgl_string2273za700za7za7_2342za7, "Illegal backend", 15);
	      DEFINE_STRING(BGl_string2275z00zz__libraryz00,
		BgL_bgl_string2275za700za7za7_2343za7, "_library-file-name2200", 22);
	      DEFINE_STRING(BGl_string2276z00zz__libraryz00,
		BgL_bgl_string2276za700za7za7_2344za7, "BIGLOOLIB", 9);
	      DEFINE_STRING(BGl_string2277z00zz__libraryz00,
		BgL_bgl_string2277za700za7za7_2345za7, ".", 1);
	      DEFINE_STRING(BGl_string2278z00zz__libraryz00,
		BgL_bgl_string2278za700za7za7_2346za7, ".init", 5);
	      DEFINE_STRING(BGl_string2280z00zz__libraryz00,
		BgL_bgl_string2280za700za7za7_2347za7, "/resource/bigloo/", 17);
	      DEFINE_STRING(BGl_string2279z00zz__libraryz00,
		BgL_bgl_string2279za700za7za7_2348za7, "", 0);
	      DEFINE_STRING(BGl_string2281z00zz__libraryz00,
		BgL_bgl_string2281za700za7za7_2349za7, "/make-lib.class", 15);
	      DEFINE_STRING(BGl_string2283z00zz__libraryz00,
		BgL_bgl_string2283za700za7za7_2350za7, "library-load", 12);
	      DEFINE_STRING(BGl_string2284z00zz__libraryz00,
		BgL_bgl_string2284za700za7za7_2351za7, "Can't find library `~a' (`~a')",
		30);
	      DEFINE_STRING(BGl_string2285z00zz__libraryz00,
		BgL_bgl_string2285za700za7za7_2352za7,
		"Can't find _e library `~a' (`~a') in path ", 42);
	      DEFINE_STRING(BGl_string2289z00zz__libraryz00,
		BgL_bgl_string2289za700za7za7_2353za7, "libinfo-init", 12);
	      DEFINE_STRING(BGl_string2291z00zz__libraryz00,
		BgL_bgl_string2291za700za7za7_2354za7, "info", 4);
	      DEFINE_STRING(BGl_string2295z00zz__libraryz00,
		BgL_bgl_string2295za700za7za7_2355za7, "libinfo-eval", 12);
	      DEFINE_STRING(BGl_string2296z00zz__libraryz00,
		BgL_bgl_string2296za700za7za7_2356za7, ".heap", 5);
	      DEFINE_STRING(BGl_string2298z00zz__libraryz00,
		BgL_bgl_string2298za700za7za7_2357za7, "_library-exists?2201", 20);
	      DEFINE_STRING(BGl_string2299z00zz__libraryz00,
		BgL_bgl_string2299za700za7za7_2358za7, "__library", 9);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long
		BgL_checksumz00_2379, char *BgL_fromz00_2380)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__libraryz00))
				{
					BGl_requirezd2initializa7ationz75zz__libraryz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__libraryz00();
					BGl_importedzd2moduleszd2initz00zz__libraryz00();
					BGl_toplevelzd2initzd2zz__libraryz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__libraryz00()
	{
		AN_OBJECT;
		{	/* Eval/library.scm 15 */
			BGl_symbol2216z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2217z00zz__libraryz00);
			BGl_keyword2218z00zz__libraryz00 =
				bstring_to_keyword(BGl_string2219z00zz__libraryz00);
			BGl_keyword2220z00zz__libraryz00 =
				bstring_to_keyword(BGl_string2221z00zz__libraryz00);
			BGl_keyword2222z00zz__libraryz00 =
				bstring_to_keyword(BGl_string2223z00zz__libraryz00);
			BGl_keyword2224z00zz__libraryz00 =
				bstring_to_keyword(BGl_string2225z00zz__libraryz00);
			BGl_keyword2226z00zz__libraryz00 =
				bstring_to_keyword(BGl_string2227z00zz__libraryz00);
			BGl_keyword2228z00zz__libraryz00 =
				bstring_to_keyword(BGl_string2229z00zz__libraryz00);
			BGl_keyword2230z00zz__libraryz00 =
				bstring_to_keyword(BGl_string2231z00zz__libraryz00);
			BGl_keyword2232z00zz__libraryz00 =
				bstring_to_keyword(BGl_string2233z00zz__libraryz00);
			BGl_keyword2234z00zz__libraryz00 =
				bstring_to_keyword(BGl_string2235z00zz__libraryz00);
			BGl_keyword2236z00zz__libraryz00 =
				bstring_to_keyword(BGl_string2237z00zz__libraryz00);
			BGl_symbol2238z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2239z00zz__libraryz00);
			BGl_symbol2242z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2243z00zz__libraryz00);
			BGl_symbol2244z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2245z00zz__libraryz00);
			BGl_symbol2247z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2248z00zz__libraryz00);
			BGl_symbol2254z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2255z00zz__libraryz00);
			BGl_symbol2257z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2258z00zz__libraryz00);
			BGl_symbol2262z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2263z00zz__libraryz00);
			BGl_symbol2267z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2268z00zz__libraryz00);
			BGl_symbol2269z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2270z00zz__libraryz00);
			BGl_symbol2271z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2272z00zz__libraryz00);
			BGl_symbol2274z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2275z00zz__libraryz00);
			BGl_symbol2282z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2283z00zz__libraryz00);
			BGl_symbol2288z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2289z00zz__libraryz00);
			BGl_symbol2290z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2291z00zz__libraryz00);
			BGl_list2287z00zz__libraryz00 =
				MAKE_PAIR(BGl_symbol2288z00zz__libraryz00,
				MAKE_PAIR(BGl_symbol2290z00zz__libraryz00, BNIL));
			BGl_list2286z00zz__libraryz00 =
				MAKE_PAIR(BGl_list2287z00zz__libraryz00, BNIL);
			BGl_symbol2294z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2295z00zz__libraryz00);
			BGl_list2293z00zz__libraryz00 =
				MAKE_PAIR(BGl_symbol2294z00zz__libraryz00,
				MAKE_PAIR(BGl_symbol2290z00zz__libraryz00, BNIL));
			BGl_list2292z00zz__libraryz00 =
				MAKE_PAIR(BGl_list2293z00zz__libraryz00, BNIL);
			return (BGl_symbol2297z00zz__libraryz00 =
				bstring_to_symbol(BGl_string2298z00zz__libraryz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__libraryz00()
	{
		AN_OBJECT;
		{	/* Eval/library.scm 15 */
			BGl_za2libraryzd2mutexza2zd2zz__libraryz00 =
				bgl_make_mutex(BGl_symbol2216z00zz__libraryz00);
			return (BGl_za2librariesza2z00zz__libraryz00 = BNIL, BUNSPEC);
		}
	}



/* _declare-library! */
	obj_t BGl__declarezd2libraryz12zc0zz__libraryz00(obj_t BgL_envz00_63,
		obj_t BgL_opt1722z00_62)
	{
		AN_OBJECT;
		{	/* Eval/library.scm 95 */
			{	/* Eval/library.scm 95 */
				int BgL_l1723z00_777;

				BgL_l1723z00_777 = VECTOR_LENGTH(BgL_opt1722z00_62);
				{	/* Eval/library.scm 95 */
					obj_t BgL_idz00_781;

					BgL_idz00_781 = VECTOR_REF(BgL_opt1722z00_62, (int) (((long) 0)));
					{	/* Eval/library.scm 95 */
						obj_t BgL_basenamez00_782;

						BgL_basenamez00_782 = BFALSE;
						{	/* Eval/library.scm 95 */
							obj_t BgL_classzd2evalzd2_783;

							BgL_classzd2evalzd2_783 = BFALSE;
							{	/* Eval/library.scm 95 */
								obj_t BgL_classzd2initzd2_784;

								BgL_classzd2initzd2_784 = BFALSE;
								{	/* Eval/library.scm 95 */
									obj_t BgL_dlopenzd2initzd2_785;

									BgL_dlopenzd2initzd2_785 = BFALSE;
									{	/* Eval/library.scm 95 */
										obj_t BgL_evalz00_786;

										BgL_evalz00_786 = BFALSE;
										{	/* Eval/library.scm 95 */
											obj_t BgL_initz00_787;

											BgL_initz00_787 = BFALSE;
											{	/* Eval/library.scm 95 */
												obj_t BgL_modulezd2evalzd2_788;

												BgL_modulezd2evalzd2_788 = BFALSE;
												{	/* Eval/library.scm 95 */
													obj_t BgL_modulezd2initzd2_789;

													BgL_modulezd2initzd2_789 = BFALSE;
													{	/* Eval/library.scm 95 */
														obj_t BgL_srfiz00_790;

														BgL_srfiz00_790 = BFALSE;
														{	/* Eval/library.scm 95 */
															obj_t BgL_versionz00_791;

															BgL_versionz00_791 = BFALSE;
															{	/* Eval/library.scm 95 */

																{	/* Eval/library.scm 95 */
																	long BgL_index1727z00_792;

																	{
																		long BgL_iz00_1561;

																		BgL_iz00_1561 = ((long) 1);
																	BgL_search1724z00_1560:
																		if (
																			(BgL_iz00_1561 ==
																				(long) (BgL_l1723z00_777)))
																			{	/* Eval/library.scm 95 */
																				BgL_index1727z00_792 = ((long) -1);
																			}
																		else
																			{	/* Eval/library.scm 95 */
																				obj_t BgL_vz00_1563;

																				BgL_vz00_1563 =
																					VECTOR_REF(BgL_opt1722z00_62,
																					(int) (BgL_iz00_1561));
																				if (
																					(BgL_vz00_1563 ==
																						BGl_keyword2218z00zz__libraryz00))
																					{	/* Eval/library.scm 95 */
																						BgL_index1727z00_792 =
																							(BgL_iz00_1561 + ((long) 1));
																					}
																				else
																					{
																						long BgL_iz00_2432;

																						BgL_iz00_2432 =
																							(BgL_iz00_1561 + ((long) 2));
																						BgL_iz00_1561 = BgL_iz00_2432;
																						goto BgL_search1724z00_1560;
																					}
																			}
																	}
																	if ((BgL_index1727z00_792 >= ((long) 0)))
																		{	/* Eval/library.scm 95 */
																			BgL_basenamez00_782 =
																				VECTOR_REF(BgL_opt1722z00_62,
																				(int) (BgL_index1727z00_792));
																		}
																	else
																		{	/* Eval/library.scm 95 */
																			BgL_basenamez00_782 =
																				SYMBOL_TO_STRING(BgL_idz00_781);
																		}
																}
																{	/* Eval/library.scm 95 */
																	long BgL_index1728z00_794;

																	{
																		long BgL_iz00_1576;

																		BgL_iz00_1576 = ((long) 1);
																	BgL_search1724z00_1575:
																		if (
																			(BgL_iz00_1576 ==
																				(long) (BgL_l1723z00_777)))
																			{	/* Eval/library.scm 95 */
																				BgL_index1728z00_794 = ((long) -1);
																			}
																		else
																			{	/* Eval/library.scm 95 */
																				obj_t BgL_vz00_1578;

																				BgL_vz00_1578 =
																					VECTOR_REF(BgL_opt1722z00_62,
																					(int) (BgL_iz00_1576));
																				if (
																					(BgL_vz00_1578 ==
																						BGl_keyword2220z00zz__libraryz00))
																					{	/* Eval/library.scm 95 */
																						BgL_index1728z00_794 =
																							(BgL_iz00_1576 + ((long) 1));
																					}
																				else
																					{
																						long BgL_iz00_2447;

																						BgL_iz00_2447 =
																							(BgL_iz00_1576 + ((long) 2));
																						BgL_iz00_1576 = BgL_iz00_2447;
																						goto BgL_search1724z00_1575;
																					}
																			}
																	}
																	if ((BgL_index1728z00_794 >= ((long) 0)))
																		{	/* Eval/library.scm 95 */
																			BgL_classzd2evalzd2_783 =
																				VECTOR_REF(BgL_opt1722z00_62,
																				(int) (BgL_index1728z00_794));
																		}
																	else
																		{	/* Eval/library.scm 95 */
																			BgL_classzd2evalzd2_783 = BFALSE;
																		}
																}
																{	/* Eval/library.scm 95 */
																	long BgL_index1729z00_796;

																	{
																		long BgL_iz00_1590;

																		BgL_iz00_1590 = ((long) 1);
																	BgL_search1724z00_1589:
																		if (
																			(BgL_iz00_1590 ==
																				(long) (BgL_l1723z00_777)))
																			{	/* Eval/library.scm 95 */
																				BgL_index1729z00_796 = ((long) -1);
																			}
																		else
																			{	/* Eval/library.scm 95 */
																				obj_t BgL_vz00_1592;

																				BgL_vz00_1592 =
																					VECTOR_REF(BgL_opt1722z00_62,
																					(int) (BgL_iz00_1590));
																				if (
																					(BgL_vz00_1592 ==
																						BGl_keyword2222z00zz__libraryz00))
																					{	/* Eval/library.scm 95 */
																						BgL_index1729z00_796 =
																							(BgL_iz00_1590 + ((long) 1));
																					}
																				else
																					{
																						long BgL_iz00_2461;

																						BgL_iz00_2461 =
																							(BgL_iz00_1590 + ((long) 2));
																						BgL_iz00_1590 = BgL_iz00_2461;
																						goto BgL_search1724z00_1589;
																					}
																			}
																	}
																	if ((BgL_index1729z00_796 >= ((long) 0)))
																		{	/* Eval/library.scm 95 */
																			BgL_classzd2initzd2_784 =
																				VECTOR_REF(BgL_opt1722z00_62,
																				(int) (BgL_index1729z00_796));
																		}
																	else
																		{	/* Eval/library.scm 95 */
																			BgL_classzd2initzd2_784 = BFALSE;
																		}
																}
																{	/* Eval/library.scm 95 */
																	long BgL_index1730z00_798;

																	{
																		long BgL_iz00_1604;

																		BgL_iz00_1604 = ((long) 1);
																	BgL_search1724z00_1603:
																		if (
																			(BgL_iz00_1604 ==
																				(long) (BgL_l1723z00_777)))
																			{	/* Eval/library.scm 95 */
																				BgL_index1730z00_798 = ((long) -1);
																			}
																		else
																			{	/* Eval/library.scm 95 */
																				obj_t BgL_vz00_1606;

																				BgL_vz00_1606 =
																					VECTOR_REF(BgL_opt1722z00_62,
																					(int) (BgL_iz00_1604));
																				if (
																					(BgL_vz00_1606 ==
																						BGl_keyword2224z00zz__libraryz00))
																					{	/* Eval/library.scm 95 */
																						BgL_index1730z00_798 =
																							(BgL_iz00_1604 + ((long) 1));
																					}
																				else
																					{
																						long BgL_iz00_2475;

																						BgL_iz00_2475 =
																							(BgL_iz00_1604 + ((long) 2));
																						BgL_iz00_1604 = BgL_iz00_2475;
																						goto BgL_search1724z00_1603;
																					}
																			}
																	}
																	if ((BgL_index1730z00_798 >= ((long) 0)))
																		{	/* Eval/library.scm 95 */
																			BgL_dlopenzd2initzd2_785 =
																				VECTOR_REF(BgL_opt1722z00_62,
																				(int) (BgL_index1730z00_798));
																		}
																	else
																		{	/* Eval/library.scm 95 */
																			BgL_dlopenzd2initzd2_785 = BFALSE;
																		}
																}
																{	/* Eval/library.scm 95 */
																	long BgL_index1731z00_800;

																	{
																		long BgL_iz00_1618;

																		BgL_iz00_1618 = ((long) 1);
																	BgL_search1724z00_1617:
																		if (
																			(BgL_iz00_1618 ==
																				(long) (BgL_l1723z00_777)))
																			{	/* Eval/library.scm 95 */
																				BgL_index1731z00_800 = ((long) -1);
																			}
																		else
																			{	/* Eval/library.scm 95 */
																				obj_t BgL_vz00_1620;

																				BgL_vz00_1620 =
																					VECTOR_REF(BgL_opt1722z00_62,
																					(int) (BgL_iz00_1618));
																				if (
																					(BgL_vz00_1620 ==
																						BGl_keyword2226z00zz__libraryz00))
																					{	/* Eval/library.scm 95 */
																						BgL_index1731z00_800 =
																							(BgL_iz00_1618 + ((long) 1));
																					}
																				else
																					{
																						long BgL_iz00_2489;

																						BgL_iz00_2489 =
																							(BgL_iz00_1618 + ((long) 2));
																						BgL_iz00_1618 = BgL_iz00_2489;
																						goto BgL_search1724z00_1617;
																					}
																			}
																	}
																	if ((BgL_index1731z00_800 >= ((long) 0)))
																		{	/* Eval/library.scm 95 */
																			BgL_evalz00_786 =
																				VECTOR_REF(BgL_opt1722z00_62,
																				(int) (BgL_index1731z00_800));
																		}
																	else
																		{	/* Eval/library.scm 95 */
																			BgL_evalz00_786 = BFALSE;
																		}
																}
																{	/* Eval/library.scm 95 */
																	long BgL_index1732z00_802;

																	{
																		long BgL_iz00_1632;

																		BgL_iz00_1632 = ((long) 1);
																	BgL_search1724z00_1631:
																		if (
																			(BgL_iz00_1632 ==
																				(long) (BgL_l1723z00_777)))
																			{	/* Eval/library.scm 95 */
																				BgL_index1732z00_802 = ((long) -1);
																			}
																		else
																			{	/* Eval/library.scm 95 */
																				obj_t BgL_vz00_1634;

																				BgL_vz00_1634 =
																					VECTOR_REF(BgL_opt1722z00_62,
																					(int) (BgL_iz00_1632));
																				if (
																					(BgL_vz00_1634 ==
																						BGl_keyword2228z00zz__libraryz00))
																					{	/* Eval/library.scm 95 */
																						BgL_index1732z00_802 =
																							(BgL_iz00_1632 + ((long) 1));
																					}
																				else
																					{
																						long BgL_iz00_2503;

																						BgL_iz00_2503 =
																							(BgL_iz00_1632 + ((long) 2));
																						BgL_iz00_1632 = BgL_iz00_2503;
																						goto BgL_search1724z00_1631;
																					}
																			}
																	}
																	if ((BgL_index1732z00_802 >= ((long) 0)))
																		{	/* Eval/library.scm 95 */
																			BgL_initz00_787 =
																				VECTOR_REF(BgL_opt1722z00_62,
																				(int) (BgL_index1732z00_802));
																		}
																	else
																		{	/* Eval/library.scm 95 */
																			BgL_initz00_787 = BFALSE;
																		}
																}
																{	/* Eval/library.scm 95 */
																	long BgL_index1733z00_804;

																	{
																		long BgL_iz00_1646;

																		BgL_iz00_1646 = ((long) 1);
																	BgL_search1724z00_1645:
																		if (
																			(BgL_iz00_1646 ==
																				(long) (BgL_l1723z00_777)))
																			{	/* Eval/library.scm 95 */
																				BgL_index1733z00_804 = ((long) -1);
																			}
																		else
																			{	/* Eval/library.scm 95 */
																				obj_t BgL_vz00_1648;

																				BgL_vz00_1648 =
																					VECTOR_REF(BgL_opt1722z00_62,
																					(int) (BgL_iz00_1646));
																				if (
																					(BgL_vz00_1648 ==
																						BGl_keyword2230z00zz__libraryz00))
																					{	/* Eval/library.scm 95 */
																						BgL_index1733z00_804 =
																							(BgL_iz00_1646 + ((long) 1));
																					}
																				else
																					{
																						long BgL_iz00_2517;

																						BgL_iz00_2517 =
																							(BgL_iz00_1646 + ((long) 2));
																						BgL_iz00_1646 = BgL_iz00_2517;
																						goto BgL_search1724z00_1645;
																					}
																			}
																	}
																	if ((BgL_index1733z00_804 >= ((long) 0)))
																		{	/* Eval/library.scm 95 */
																			BgL_modulezd2evalzd2_788 =
																				VECTOR_REF(BgL_opt1722z00_62,
																				(int) (BgL_index1733z00_804));
																		}
																	else
																		{	/* Eval/library.scm 95 */
																			BgL_modulezd2evalzd2_788 = BFALSE;
																		}
																}
																{	/* Eval/library.scm 95 */
																	long BgL_index1734z00_806;

																	{
																		long BgL_iz00_1660;

																		BgL_iz00_1660 = ((long) 1);
																	BgL_search1724z00_1659:
																		if (
																			(BgL_iz00_1660 ==
																				(long) (BgL_l1723z00_777)))
																			{	/* Eval/library.scm 95 */
																				BgL_index1734z00_806 = ((long) -1);
																			}
																		else
																			{	/* Eval/library.scm 95 */
																				obj_t BgL_vz00_1662;

																				BgL_vz00_1662 =
																					VECTOR_REF(BgL_opt1722z00_62,
																					(int) (BgL_iz00_1660));
																				if (
																					(BgL_vz00_1662 ==
																						BGl_keyword2232z00zz__libraryz00))
																					{	/* Eval/library.scm 95 */
																						BgL_index1734z00_806 =
																							(BgL_iz00_1660 + ((long) 1));
																					}
																				else
																					{
																						long BgL_iz00_2531;

																						BgL_iz00_2531 =
																							(BgL_iz00_1660 + ((long) 2));
																						BgL_iz00_1660 = BgL_iz00_2531;
																						goto BgL_search1724z00_1659;
																					}
																			}
																	}
																	if ((BgL_index1734z00_806 >= ((long) 0)))
																		{	/* Eval/library.scm 95 */
																			BgL_modulezd2initzd2_789 =
																				VECTOR_REF(BgL_opt1722z00_62,
																				(int) (BgL_index1734z00_806));
																		}
																	else
																		{	/* Eval/library.scm 95 */
																			BgL_modulezd2initzd2_789 = BFALSE;
																		}
																}
																{	/* Eval/library.scm 95 */
																	long BgL_index1735z00_808;

																	{
																		long BgL_iz00_1674;

																		BgL_iz00_1674 = ((long) 1);
																	BgL_search1724z00_1673:
																		if (
																			(BgL_iz00_1674 ==
																				(long) (BgL_l1723z00_777)))
																			{	/* Eval/library.scm 95 */
																				BgL_index1735z00_808 = ((long) -1);
																			}
																		else
																			{	/* Eval/library.scm 95 */
																				obj_t BgL_vz00_1676;

																				BgL_vz00_1676 =
																					VECTOR_REF(BgL_opt1722z00_62,
																					(int) (BgL_iz00_1674));
																				if (
																					(BgL_vz00_1676 ==
																						BGl_keyword2234z00zz__libraryz00))
																					{	/* Eval/library.scm 95 */
																						BgL_index1735z00_808 =
																							(BgL_iz00_1674 + ((long) 1));
																					}
																				else
																					{
																						long BgL_iz00_2545;

																						BgL_iz00_2545 =
																							(BgL_iz00_1674 + ((long) 2));
																						BgL_iz00_1674 = BgL_iz00_2545;
																						goto BgL_search1724z00_1673;
																					}
																			}
																	}
																	if ((BgL_index1735z00_808 >= ((long) 0)))
																		{	/* Eval/library.scm 95 */
																			BgL_srfiz00_790 =
																				VECTOR_REF(BgL_opt1722z00_62,
																				(int) (BgL_index1735z00_808));
																		}
																	else
																		{	/* Eval/library.scm 95 */
																			BgL_srfiz00_790 = BNIL;
																		}
																}
																{	/* Eval/library.scm 95 */
																	long BgL_index1736z00_810;

																	{
																		long BgL_iz00_1688;

																		BgL_iz00_1688 = ((long) 1);
																	BgL_search1724z00_1687:
																		if (
																			(BgL_iz00_1688 ==
																				(long) (BgL_l1723z00_777)))
																			{	/* Eval/library.scm 95 */
																				BgL_index1736z00_810 = ((long) -1);
																			}
																		else
																			{	/* Eval/library.scm 95 */
																				obj_t BgL_vz00_1690;

																				BgL_vz00_1690 =
																					VECTOR_REF(BgL_opt1722z00_62,
																					(int) (BgL_iz00_1688));
																				if (
																					(BgL_vz00_1690 ==
																						BGl_keyword2236z00zz__libraryz00))
																					{	/* Eval/library.scm 95 */
																						BgL_index1736z00_810 =
																							(BgL_iz00_1688 + ((long) 1));
																					}
																				else
																					{
																						long BgL_iz00_2559;

																						BgL_iz00_2559 =
																							(BgL_iz00_1688 + ((long) 2));
																						BgL_iz00_1688 = BgL_iz00_2559;
																						goto BgL_search1724z00_1687;
																					}
																			}
																	}
																	if ((BgL_index1736z00_810 >= ((long) 0)))
																		{	/* Eval/library.scm 95 */
																			BgL_versionz00_791 =
																				VECTOR_REF(BgL_opt1722z00_62,
																				(int) (BgL_index1736z00_810));
																		}
																	else
																		{	/* Eval/library.scm 95 */
																			BgL_versionz00_791 =
																				BGl_bigloozd2configzd2zz__configurez00
																				(BGl_symbol2238z00zz__libraryz00);
																		}
																}
																{	/* Eval/library.scm 95 */
																	obj_t BgL_arg1787z00_812;

																	BgL_arg1787z00_812 =
																		VECTOR_REF(BgL_opt1722z00_62,
																		(int) (((long) 0)));
																	{	/* Eval/library.scm 95 */
																		obj_t BgL_basenamez00_813;

																		BgL_basenamez00_813 = BgL_basenamez00_782;
																		{	/* Eval/library.scm 95 */
																			obj_t BgL_classzd2evalzd2_814;

																			BgL_classzd2evalzd2_814 =
																				BgL_classzd2evalzd2_783;
																			{	/* Eval/library.scm 95 */
																				obj_t BgL_classzd2initzd2_815;

																				BgL_classzd2initzd2_815 =
																					BgL_classzd2initzd2_784;
																				{	/* Eval/library.scm 95 */
																					obj_t BgL_dlopenzd2initzd2_816;

																					BgL_dlopenzd2initzd2_816 =
																						BgL_dlopenzd2initzd2_785;
																					{	/* Eval/library.scm 95 */
																						obj_t BgL_evalz00_817;

																						BgL_evalz00_817 = BgL_evalz00_786;
																						{	/* Eval/library.scm 95 */
																							obj_t BgL_initz00_818;

																							BgL_initz00_818 = BgL_initz00_787;
																							{	/* Eval/library.scm 95 */
																								obj_t BgL_modulezd2evalzd2_819;

																								BgL_modulezd2evalzd2_819 =
																									BgL_modulezd2evalzd2_788;
																								{	/* Eval/library.scm 95 */
																									obj_t
																										BgL_modulezd2initzd2_820;
																									BgL_modulezd2initzd2_820 =
																										BgL_modulezd2initzd2_789;
																									{	/* Eval/library.scm 95 */
																										obj_t BgL_srfiz00_821;

																										BgL_srfiz00_821 =
																											BgL_srfiz00_790;
																										{	/* Eval/library.scm 95 */
																											obj_t BgL_versionz00_822;

																											BgL_versionz00_822 =
																												BgL_versionz00_791;
																											{	/* Eval/library.scm 95 */
																												obj_t BgL_g1760z00_1712;

																												BgL_g1760z00_1712 =
																													BGl_za2libraryzd2mutexza2zd2zz__libraryz00;
																												{	/* Eval/library.scm 95 */

																													if (
																														(((long) 0) ==
																															((long) 0)))
																														{	/* Eval/library.scm 95 */
																															bgl_mutex_lock
																																(BgL_g1760z00_1712);
																														}
																													else
																														{	/* Eval/library.scm 95 */
																															bgl_mutex_timed_lock
																																(BgL_g1760z00_1712,
																																((long) 0));
																											}}}
																											if (CBOOL
																												(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg1787z00_812,
																														BGl_za2librariesza2z00zz__libraryz00)))
																												{	/* Eval/library.scm 95 */
																													((bool_t) 0);
																												}
																											else
																												{	/* Eval/library.scm 95 */
																													{	/* Eval/library.scm 95 */
																														obj_t
																															BgL_arg1792z00_1715;
																														{	/* Eval/library.scm 95 */
																															obj_t
																																BgL_arg1793z00_1716;
																															{	/* Eval/library.scm 95 */
																																obj_t
																																	BgL_arg1794z00_1717;
																																obj_t
																																	BgL_arg1795z00_1718;
																																if (CBOOL
																																	(BgL_dlopenzd2initzd2_816))
																																	{	/* Eval/library.scm 95 */
																																		obj_t
																																			BgL_list1796z00_1719;
																																		BgL_list1796z00_1719
																																			=
																																			MAKE_PAIR
																																			(BgL_dlopenzd2initzd2_816,
																																			BNIL);
																																		BgL_arg1794z00_1717
																																			=
																																			BGl_formatz00zz__r4_output_6_10_3z00
																																			(BGl_string2240z00zz__libraryz00,
																																			BgL_list1796z00_1719);
																																	}
																																else
																																	{	/* Eval/library.scm 95 */
																																		BgL_arg1794z00_1717
																																			= BFALSE;
																																	}
																																if (CBOOL
																																	(BgL_dlopenzd2initzd2_816))
																																	{	/* Eval/library.scm 95 */
																																		obj_t
																																			BgL_list1797z00_1720;
																																		BgL_list1797z00_1720
																																			=
																																			MAKE_PAIR
																																			(BgL_dlopenzd2initzd2_816,
																																			BNIL);
																																		BgL_arg1795z00_1718
																																			=
																																			BGl_formatz00zz__r4_output_6_10_3z00
																																			(BGl_string2241z00zz__libraryz00,
																																			BgL_list1797z00_1720);
																																	}
																																else
																																	{	/* Eval/library.scm 95 */
																																		BgL_arg1795z00_1718
																																			= BFALSE;
																																	}
																																{	/* Eval/library.scm 95 */
																																	obj_t
																																		BgL_newz00_1743;
																																	BgL_newz00_1743
																																		=
																																		create_struct
																																		(BGl_symbol2242z00zz__libraryz00,
																																		(int) ((
																																				(long)
																																				12)));
																																	{	/* Eval/library.scm 95 */
																																		int
																																			BgL_auxz00_2585;
																																		BgL_auxz00_2585
																																			=
																																			(int) ((
																																				(long)
																																				11));
																																		STRUCT_SET
																																			(BgL_newz00_1743,
																																			BgL_auxz00_2585,
																																			BgL_srfiz00_821);
																																	}
																																	{	/* Eval/library.scm 95 */
																																		int
																																			BgL_auxz00_2588;
																																		BgL_auxz00_2588
																																			=
																																			(int) ((
																																				(long)
																																				10));
																																		STRUCT_SET
																																			(BgL_newz00_1743,
																																			BgL_auxz00_2588,
																																			BgL_evalz00_817);
																																	}
																																	{	/* Eval/library.scm 95 */
																																		int
																																			BgL_auxz00_2591;
																																		BgL_auxz00_2591
																																			=
																																			(int) ((
																																				(long)
																																				9));
																																		STRUCT_SET
																																			(BgL_newz00_1743,
																																			BgL_auxz00_2591,
																																			BgL_initz00_818);
																																	}
																																	{	/* Eval/library.scm 95 */
																																		int
																																			BgL_auxz00_2594;
																																		BgL_auxz00_2594
																																			=
																																			(int) ((
																																				(long)
																																				8));
																																		STRUCT_SET
																																			(BgL_newz00_1743,
																																			BgL_auxz00_2594,
																																			BgL_classzd2evalzd2_814);
																																	}
																																	{	/* Eval/library.scm 95 */
																																		int
																																			BgL_auxz00_2597;
																																		BgL_auxz00_2597
																																			=
																																			(int) ((
																																				(long)
																																				7));
																																		STRUCT_SET
																																			(BgL_newz00_1743,
																																			BgL_auxz00_2597,
																																			BgL_classzd2initzd2_815);
																																	}
																																	{	/* Eval/library.scm 95 */
																																		int
																																			BgL_auxz00_2600;
																																		BgL_auxz00_2600
																																			=
																																			(int) ((
																																				(long)
																																				6));
																																		STRUCT_SET
																																			(BgL_newz00_1743,
																																			BgL_auxz00_2600,
																																			BgL_modulezd2evalzd2_819);
																																	}
																																	{	/* Eval/library.scm 95 */
																																		int
																																			BgL_auxz00_2603;
																																		BgL_auxz00_2603
																																			=
																																			(int) ((
																																				(long)
																																				5));
																																		STRUCT_SET
																																			(BgL_newz00_1743,
																																			BgL_auxz00_2603,
																																			BgL_modulezd2initzd2_820);
																																	}
																																	{	/* Eval/library.scm 95 */
																																		int
																																			BgL_auxz00_2606;
																																		BgL_auxz00_2606
																																			=
																																			(int) ((
																																				(long)
																																				4));
																																		STRUCT_SET
																																			(BgL_newz00_1743,
																																			BgL_auxz00_2606,
																																			BgL_arg1795z00_1718);
																																	}
																																	{	/* Eval/library.scm 95 */
																																		int
																																			BgL_auxz00_2609;
																																		BgL_auxz00_2609
																																			=
																																			(int) ((
																																				(long)
																																				3));
																																		STRUCT_SET
																																			(BgL_newz00_1743,
																																			BgL_auxz00_2609,
																																			BgL_arg1794z00_1717);
																																	}
																																	{	/* Eval/library.scm 95 */
																																		int
																																			BgL_auxz00_2612;
																																		BgL_auxz00_2612
																																			=
																																			(int) ((
																																				(long)
																																				2));
																																		STRUCT_SET
																																			(BgL_newz00_1743,
																																			BgL_auxz00_2612,
																																			BgL_versionz00_822);
																																	}
																																	{	/* Eval/library.scm 95 */
																																		int
																																			BgL_auxz00_2615;
																																		BgL_auxz00_2615
																																			=
																																			(int) ((
																																				(long)
																																				1));
																																		STRUCT_SET
																																			(BgL_newz00_1743,
																																			BgL_auxz00_2615,
																																			BgL_basenamez00_813);
																																	}
																																	{	/* Eval/library.scm 95 */
																																		int
																																			BgL_auxz00_2618;
																																		BgL_auxz00_2618
																																			=
																																			(int) ((
																																				(long)
																																				0));
																																		STRUCT_SET
																																			(BgL_newz00_1743,
																																			BgL_auxz00_2618,
																																			BgL_arg1787z00_812);
																																	}
																																	BgL_arg1793z00_1716
																																		=
																																		BgL_newz00_1743;
																															}}
																															BgL_arg1792z00_1715
																																=
																																MAKE_PAIR
																																(BgL_arg1787z00_812,
																																BgL_arg1793z00_1716);
																														}
																														BGl_za2librariesza2z00zz__libraryz00
																															=
																															MAKE_PAIR
																															(BgL_arg1792z00_1715,
																															BGl_za2librariesza2z00zz__libraryz00);
																													}
																													{
																														obj_t
																															BgL_l1706z00_1722;
																														BgL_l1706z00_1722 =
																															BgL_srfiz00_821;
																													BgL_forzd2each1707zd2_1721:
																														if (PAIRP
																															(BgL_l1706z00_1722))
																															{	/* Eval/library.scm 95 */
																																{	/* Eval/library.scm 95 */
																																	obj_t
																																		BgL_sz00_1805;
																																	BgL_sz00_1805
																																		=
																																		CAR
																																		(BgL_l1706z00_1722);
																																	BGl_registerzd2srfiz12zc0zz__expander_srfi0z00
																																		(BgL_sz00_1805);
																																	bgl_register_eval_srfi
																																		(BgL_sz00_1805);
																																}
																																{
																																	obj_t
																																		BgL_l1706z00_2628;
																																	BgL_l1706z00_2628
																																		=
																																		CDR
																																		(BgL_l1706z00_1722);
																																	BgL_l1706z00_1722
																																		=
																																		BgL_l1706z00_2628;
																																	goto
																																		BgL_forzd2each1707zd2_1721;
																																}
																															}
																														else
																															{	/* Eval/library.scm 95 */
																																((bool_t) 1);
																															}
																													}
																												}
																											{	/* Eval/library.scm 95 */
																												obj_t BgL_mz00_1810;

																												BgL_mz00_1810 =
																													BGl_za2libraryzd2mutexza2zd2zz__libraryz00;
																												return
																													BBOOL(bgl_mutex_unlock
																													(BgL_mz00_1810));
																											}
																										}
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* declare-library! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2libraryz12zc0zz__libraryz00(obj_t
		BgL_idz00_51, obj_t BgL_basenamez00_52, obj_t BgL_classzd2evalzd2_53,
		obj_t BgL_classzd2initzd2_54, obj_t BgL_dlopenzd2initzd2_55,
		obj_t BgL_evalz00_56, obj_t BgL_initz00_57, obj_t BgL_modulezd2evalzd2_58,
		obj_t BgL_modulezd2initzd2_59, obj_t BgL_srfiz00_60,
		obj_t BgL_versionz00_61)
	{
		AN_OBJECT;
		{	/* Eval/library.scm 95 */
			{	/* Eval/library.scm 105 */
				obj_t BgL_g1760z00_1833;

				BgL_g1760z00_1833 = BGl_za2libraryzd2mutexza2zd2zz__libraryz00;
				{	/* Eval/library.scm 105 */

					if ((((long) 0) == ((long) 0)))
						{	/* Eval/library.scm 105 */
							bgl_mutex_lock(BgL_g1760z00_1833);
						}
					else
						{	/* Eval/library.scm 105 */
							bgl_mutex_timed_lock(BgL_g1760z00_1833, ((long) 0));
			}}}
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_51,
						BGl_za2librariesza2z00zz__libraryz00)))
				{	/* Eval/library.scm 105 */
					((bool_t) 0);
				}
			else
				{	/* Eval/library.scm 105 */
					{	/* Eval/library.scm 105 */
						obj_t BgL_arg1792z00_1836;

						{	/* Eval/library.scm 105 */
							obj_t BgL_arg1793z00_1837;

							{	/* Eval/library.scm 105 */
								obj_t BgL_arg1794z00_1838;

								obj_t BgL_arg1795z00_1839;

								if (CBOOL(BgL_dlopenzd2initzd2_55))
									{	/* Eval/library.scm 105 */
										obj_t BgL_list1796z00_1840;

										BgL_list1796z00_1840 =
											MAKE_PAIR(BgL_dlopenzd2initzd2_55, BNIL);
										BgL_arg1794z00_1838 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string2240z00zz__libraryz00, BgL_list1796z00_1840);
									}
								else
									{	/* Eval/library.scm 105 */
										BgL_arg1794z00_1838 = BFALSE;
									}
								if (CBOOL(BgL_dlopenzd2initzd2_55))
									{	/* Eval/library.scm 105 */
										obj_t BgL_list1797z00_1841;

										BgL_list1797z00_1841 =
											MAKE_PAIR(BgL_dlopenzd2initzd2_55, BNIL);
										BgL_arg1795z00_1839 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string2241z00zz__libraryz00, BgL_list1797z00_1841);
									}
								else
									{	/* Eval/library.scm 105 */
										BgL_arg1795z00_1839 = BFALSE;
									}
								{	/* Eval/library.scm 105 */
									obj_t BgL_newz00_1864;

									BgL_newz00_1864 =
										create_struct(BGl_symbol2242z00zz__libraryz00,
										(int) (((long) 12)));
									{	/* Eval/library.scm 105 */
										int BgL_auxz00_2649;

										BgL_auxz00_2649 = (int) (((long) 11));
										STRUCT_SET(BgL_newz00_1864, BgL_auxz00_2649,
											BgL_srfiz00_60);
									}
									{	/* Eval/library.scm 105 */
										int BgL_auxz00_2652;

										BgL_auxz00_2652 = (int) (((long) 10));
										STRUCT_SET(BgL_newz00_1864, BgL_auxz00_2652,
											BgL_evalz00_56);
									}
									{	/* Eval/library.scm 105 */
										int BgL_auxz00_2655;

										BgL_auxz00_2655 = (int) (((long) 9));
										STRUCT_SET(BgL_newz00_1864, BgL_auxz00_2655,
											BgL_initz00_57);
									}
									{	/* Eval/library.scm 105 */
										int BgL_auxz00_2658;

										BgL_auxz00_2658 = (int) (((long) 8));
										STRUCT_SET(BgL_newz00_1864, BgL_auxz00_2658,
											BgL_classzd2evalzd2_53);
									}
									{	/* Eval/library.scm 105 */
										int BgL_auxz00_2661;

										BgL_auxz00_2661 = (int) (((long) 7));
										STRUCT_SET(BgL_newz00_1864, BgL_auxz00_2661,
											BgL_classzd2initzd2_54);
									}
									{	/* Eval/library.scm 105 */
										int BgL_auxz00_2664;

										BgL_auxz00_2664 = (int) (((long) 6));
										STRUCT_SET(BgL_newz00_1864, BgL_auxz00_2664,
											BgL_modulezd2evalzd2_58);
									}
									{	/* Eval/library.scm 105 */
										int BgL_auxz00_2667;

										BgL_auxz00_2667 = (int) (((long) 5));
										STRUCT_SET(BgL_newz00_1864, BgL_auxz00_2667,
											BgL_modulezd2initzd2_59);
									}
									{	/* Eval/library.scm 105 */
										int BgL_auxz00_2670;

										BgL_auxz00_2670 = (int) (((long) 4));
										STRUCT_SET(BgL_newz00_1864, BgL_auxz00_2670,
											BgL_arg1795z00_1839);
									}
									{	/* Eval/library.scm 105 */
										int BgL_auxz00_2673;

										BgL_auxz00_2673 = (int) (((long) 3));
										STRUCT_SET(BgL_newz00_1864, BgL_auxz00_2673,
											BgL_arg1794z00_1838);
									}
									{	/* Eval/library.scm 105 */
										int BgL_auxz00_2676;

										BgL_auxz00_2676 = (int) (((long) 2));
										STRUCT_SET(BgL_newz00_1864, BgL_auxz00_2676,
											BgL_versionz00_61);
									}
									{	/* Eval/library.scm 105 */
										int BgL_auxz00_2679;

										BgL_auxz00_2679 = (int) (((long) 1));
										STRUCT_SET(BgL_newz00_1864, BgL_auxz00_2679,
											BgL_basenamez00_52);
									}
									{	/* Eval/library.scm 105 */
										int BgL_auxz00_2682;

										BgL_auxz00_2682 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_1864, BgL_auxz00_2682, BgL_idz00_51);
									}
									BgL_arg1793z00_1837 = BgL_newz00_1864;
							}}
							BgL_arg1792z00_1836 =
								MAKE_PAIR(BgL_idz00_51, BgL_arg1793z00_1837);
						}
						BGl_za2librariesza2z00zz__libraryz00 =
							MAKE_PAIR(BgL_arg1792z00_1836,
							BGl_za2librariesza2z00zz__libraryz00);
					}
					{
						obj_t BgL_l1706z00_1926;

						BgL_l1706z00_1926 = BgL_srfiz00_60;
					BgL_forzd2each1707zd2_1925:
						if (PAIRP(BgL_l1706z00_1926))
							{	/* Eval/library.scm 105 */
								{	/* Eval/library.scm 105 */
									obj_t BgL_sz00_1931;

									BgL_sz00_1931 = CAR(BgL_l1706z00_1926);
									BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(BgL_sz00_1931);
									bgl_register_eval_srfi(BgL_sz00_1931);
								}
								{
									obj_t BgL_l1706z00_2692;

									BgL_l1706z00_2692 = CDR(BgL_l1706z00_1926);
									BgL_l1706z00_1926 = BgL_l1706z00_2692;
									goto BgL_forzd2each1707zd2_1925;
								}
							}
						else
							{	/* Eval/library.scm 105 */
								((bool_t) 1);
							}
					}
				}
			{	/* Eval/library.scm 105 */
				obj_t BgL_mz00_1949;

				BgL_mz00_1949 = BGl_za2libraryzd2mutexza2zd2zz__libraryz00;
				return BBOOL(bgl_mutex_unlock(BgL_mz00_1949));
			}
		}
	}



/* library-info */
	BGL_EXPORTED_DEF obj_t BGl_libraryzd2infozd2zz__libraryz00(obj_t BgL_idz00_64)
	{
		AN_OBJECT;
		{	/* Eval/library.scm 125 */
			{	/* Eval/library.scm 126 */
				obj_t BgL_testzd2resultzd2_841;

				BgL_testzd2resultzd2_841 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_64,
					BGl_za2librariesza2z00zz__libraryz00);
				if (CBOOL(BgL_testzd2resultzd2_841))
					{	/* Eval/library.scm 126 */
						return CDR(BgL_testzd2resultzd2_841);
					}
				else
					{	/* Eval/library.scm 126 */
						return BFALSE;
					}
			}
		}
	}



/* _library-info2198 */
	obj_t BGl__libraryzd2info2198zd2zz__libraryz00(obj_t BgL_envz00_2346,
		obj_t BgL_idz00_2347)
	{
		AN_OBJECT;
		{	/* Eval/library.scm 125 */
			{	/* Eval/library.scm 126 */
				obj_t BgL_auxz00_2700;

				if (SYMBOLP(BgL_idz00_2347))
					{	/* Eval/library.scm 126 */
						BgL_auxz00_2700 = BgL_idz00_2347;
					}
				else
					{	/* Eval/library.scm 126 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2244z00zz__libraryz00, BGl_string2246z00zz__libraryz00,
							BgL_idz00_2347);
						exit(-1);
					}
				return BGl_libraryzd2infozd2zz__libraryz00(BgL_auxz00_2700);
			}
		}
	}



/* library-translation-table-add! */
	BGL_EXPORTED_DEF obj_t
		BGl_libraryzd2translationzd2tablezd2addz12zc0zz__libraryz00(obj_t
		BgL_namez00_65, obj_t BgL_translationz00_66, obj_t BgL_optz00_67)
	{
		AN_OBJECT;
		{	/* Eval/library.scm 131 */
			{	/* Eval/library.scm 132 */
				obj_t BgL_versionz00_849;

				obj_t BgL_dlopenzd2initzd2_850;

				BgL_versionz00_849 =
					BGl_bigloozd2configzd2zz__configurez00
					(BGl_symbol2238z00zz__libraryz00);
				BgL_dlopenzd2initzd2_850 = SYMBOL_TO_STRING(BgL_namez00_65);
				{
					obj_t BgL_optz00_851;

					BgL_optz00_851 = BgL_optz00_67;
				BgL_loopz00_852:
					if (PAIRP(BgL_optz00_851))
						{	/* Eval/library.scm 137 */
							bool_t BgL_testz00_2710;

							{	/* Eval/library.scm 137 */
								obj_t BgL_auxz00_2711;

								BgL_auxz00_2711 = CAR(BgL_optz00_851);
								BgL_testz00_2710 = STRINGP(BgL_auxz00_2711);
							}
							if (BgL_testz00_2710)
								{	/* Eval/library.scm 137 */
									BgL_versionz00_849 = CAR(BgL_optz00_851);
									{
										obj_t BgL_optz00_2715;

										BgL_optz00_2715 = CDR(BgL_optz00_851);
										BgL_optz00_851 = BgL_optz00_2715;
										goto BgL_loopz00_852;
									}
								}
							else
								{	/* Eval/library.scm 140 */
									bool_t BgL_testz00_2717;

									{	/* Eval/library.scm 140 */
										obj_t BgL_pairz00_1959;

										BgL_pairz00_1959 = BgL_optz00_851;
										BgL_testz00_2717 = CBOOL(CAR(BgL_pairz00_1959));
									}
									if (BgL_testz00_2717)
										{	/* Eval/library.scm 140 */
											if (
												(CAR(BgL_optz00_851) ==
													BGl_keyword2224z00zz__libraryz00))
												{	/* Eval/library.scm 143 */
													if (NULLP(CDR(BgL_optz00_851)))
														{	/* Eval/library.scm 145 */
															BGl_errorz00zz__errorz00
																(BGl_symbol2247z00zz__libraryz00,
																BGl_string2249z00zz__libraryz00,
																BgL_optz00_851);
														}
													else
														{	/* Eval/library.scm 149 */
															bool_t BgL_testz00_2727;

															{	/* Eval/library.scm 149 */
																obj_t BgL_auxz00_2728;

																{	/* Eval/library.scm 149 */
																	obj_t BgL_pairz00_1963;

																	BgL_pairz00_1963 = BgL_optz00_851;
																	BgL_auxz00_2728 = CAR(CDR(BgL_pairz00_1963));
																}
																BgL_testz00_2727 = STRINGP(BgL_auxz00_2728);
															}
															if (BgL_testz00_2727)
																{	/* Eval/library.scm 149 */
																	{	/* Eval/library.scm 154 */
																		obj_t BgL_pairz00_1968;

																		BgL_pairz00_1968 = BgL_optz00_851;
																		BgL_dlopenzd2initzd2_850 =
																			CAR(CDR(BgL_pairz00_1968));
																	}
																	{	/* Eval/library.scm 155 */
																		obj_t BgL_arg1809z00_860;

																		{	/* Eval/library.scm 155 */
																			obj_t BgL_pairz00_1972;

																			BgL_pairz00_1972 = BgL_optz00_851;
																			BgL_arg1809z00_860 =
																				CDR(CDR(BgL_pairz00_1972));
																		}
																		{
																			obj_t BgL_optz00_2736;

																			BgL_optz00_2736 = BgL_arg1809z00_860;
																			BgL_optz00_851 = BgL_optz00_2736;
																			goto BgL_loopz00_852;
																		}
																	}
																}
															else
																{	/* Eval/library.scm 149 */
																	BGl_errorz00zz__errorz00
																		(BGl_symbol2247z00zz__libraryz00,
																		BGl_string2250z00zz__libraryz00,
																		BgL_optz00_851);
																}
														}
												}
											else
												{	/* Eval/library.scm 143 */
													BGl_errorz00zz__errorz00
														(BGl_symbol2247z00zz__libraryz00,
														BGl_string2251z00zz__libraryz00, BgL_optz00_851);
												}
										}
									else
										{	/* Eval/library.scm 140 */
											BgL_versionz00_849 = BFALSE;
											{
												obj_t BgL_optz00_2739;

												BgL_optz00_2739 = CDR(BgL_optz00_851);
												BgL_optz00_851 = BgL_optz00_2739;
												goto BgL_loopz00_852;
											}
										}
								}
						}
					else
						{	/* Eval/library.scm 135 */
							BFALSE;
						}
				}
				{	/* Eval/library.scm 160 */
					obj_t BgL_g1760z00_866;

					BgL_g1760z00_866 = BGl_za2libraryzd2mutexza2zd2zz__libraryz00;
					{	/* Llib/thread.scm 198 */

						if ((((long) 0) == ((long) 0)))
							{	/* Llib/thread.scm 198 */
								bgl_mutex_lock(BgL_g1760z00_866);
							}
						else
							{	/* Llib/thread.scm 198 */
								bgl_mutex_timed_lock(BgL_g1760z00_866, ((long) 0));
				}}}
				{	/* Eval/library.scm 164 */
					obj_t BgL_arg1815z00_868;

					{	/* Eval/library.scm 164 */
						obj_t BgL_arg1816z00_869;

						{	/* Eval/library.scm 164 */
							obj_t BgL_arg1817z00_870;

							obj_t BgL_arg1818z00_871;

							if (CBOOL(BgL_dlopenzd2initzd2_850))
								{	/* Eval/library.scm 165 */
									obj_t BgL_arg1819z00_872;

									{	/* Eval/library.scm 165 */
										obj_t BgL_namez00_1982;

										BgL_namez00_1982 = BgL_dlopenzd2initzd2_850;
										if (BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00
											(BgL_namez00_1982))
											{	/* Eval/library.scm 165 */
												BgL_arg1819z00_872 = bigloo_mangle(BgL_namez00_1982);
											}
										else
											{	/* Eval/library.scm 165 */
												BgL_arg1819z00_872 = BgL_namez00_1982;
											}
									}
									BgL_arg1817z00_870 =
										string_append(BgL_arg1819z00_872,
										BGl_string2252z00zz__libraryz00);
								}
							else
								{	/* Eval/library.scm 164 */
									BgL_arg1817z00_870 = BFALSE;
								}
							if (CBOOL(BgL_dlopenzd2initzd2_850))
								{	/* Eval/library.scm 167 */
									obj_t BgL_arg1821z00_874;

									{	/* Eval/library.scm 167 */
										obj_t BgL_namez00_1984;

										BgL_namez00_1984 = BgL_dlopenzd2initzd2_850;
										if (BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00
											(BgL_namez00_1984))
											{	/* Eval/library.scm 167 */
												BgL_arg1821z00_874 = bigloo_mangle(BgL_namez00_1984);
											}
										else
											{	/* Eval/library.scm 167 */
												BgL_arg1821z00_874 = BgL_namez00_1984;
											}
									}
									BgL_arg1818z00_871 =
										string_append(BgL_arg1821z00_874,
										BGl_string2253z00zz__libraryz00);
								}
							else
								{	/* Eval/library.scm 166 */
									BgL_arg1818z00_871 = BFALSE;
								}
							{	/* Eval/library.scm 163 */
								obj_t BgL_versionz00_1988;

								BgL_versionz00_1988 = BgL_versionz00_849;
								{	/* Eval/library.scm 163 */
									obj_t BgL_newz00_1998;

									BgL_newz00_1998 =
										create_struct(BGl_symbol2242z00zz__libraryz00,
										(int) (((long) 12)));
									{	/* Eval/library.scm 163 */
										int BgL_auxz00_2759;

										BgL_auxz00_2759 = (int) (((long) 11));
										STRUCT_SET(BgL_newz00_1998, BgL_auxz00_2759, BFALSE);
									}
									{	/* Eval/library.scm 163 */
										int BgL_auxz00_2762;

										BgL_auxz00_2762 = (int) (((long) 10));
										STRUCT_SET(BgL_newz00_1998, BgL_auxz00_2762, BFALSE);
									}
									{	/* Eval/library.scm 163 */
										int BgL_auxz00_2765;

										BgL_auxz00_2765 = (int) (((long) 9));
										STRUCT_SET(BgL_newz00_1998, BgL_auxz00_2765, BFALSE);
									}
									{	/* Eval/library.scm 163 */
										int BgL_auxz00_2768;

										BgL_auxz00_2768 = (int) (((long) 8));
										STRUCT_SET(BgL_newz00_1998, BgL_auxz00_2768, BFALSE);
									}
									{	/* Eval/library.scm 163 */
										int BgL_auxz00_2771;

										BgL_auxz00_2771 = (int) (((long) 7));
										STRUCT_SET(BgL_newz00_1998, BgL_auxz00_2771, BFALSE);
									}
									{	/* Eval/library.scm 163 */
										int BgL_auxz00_2774;

										BgL_auxz00_2774 = (int) (((long) 6));
										STRUCT_SET(BgL_newz00_1998, BgL_auxz00_2774, BFALSE);
									}
									{	/* Eval/library.scm 163 */
										int BgL_auxz00_2777;

										BgL_auxz00_2777 = (int) (((long) 5));
										STRUCT_SET(BgL_newz00_1998, BgL_auxz00_2777, BFALSE);
									}
									{	/* Eval/library.scm 163 */
										int BgL_auxz00_2780;

										BgL_auxz00_2780 = (int) (((long) 4));
										STRUCT_SET(BgL_newz00_1998, BgL_auxz00_2780,
											BgL_arg1818z00_871);
									}
									{	/* Eval/library.scm 163 */
										int BgL_auxz00_2783;

										BgL_auxz00_2783 = (int) (((long) 3));
										STRUCT_SET(BgL_newz00_1998, BgL_auxz00_2783,
											BgL_arg1817z00_870);
									}
									{	/* Eval/library.scm 163 */
										int BgL_auxz00_2786;

										BgL_auxz00_2786 = (int) (((long) 2));
										STRUCT_SET(BgL_newz00_1998, BgL_auxz00_2786,
											BgL_versionz00_1988);
									}
									{	/* Eval/library.scm 163 */
										int BgL_auxz00_2789;

										BgL_auxz00_2789 = (int) (((long) 1));
										STRUCT_SET(BgL_newz00_1998, BgL_auxz00_2789,
											BgL_translationz00_66);
									}
									{	/* Eval/library.scm 163 */
										int BgL_auxz00_2792;

										BgL_auxz00_2792 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_1998, BgL_auxz00_2792,
											BgL_namez00_65);
									}
									BgL_arg1816z00_869 = BgL_newz00_1998;
						}}}
						BgL_arg1815z00_868 = MAKE_PAIR(BgL_namez00_65, BgL_arg1816z00_869);
					}
					BGl_za2librariesza2z00zz__libraryz00 =
						MAKE_PAIR(BgL_arg1815z00_868, BGl_za2librariesza2z00zz__libraryz00);
				}
				{	/* Eval/library.scm 172 */
					obj_t BgL_mz00_2059;

					BgL_mz00_2059 = BGl_za2libraryzd2mutexza2zd2zz__libraryz00;
					return BBOOL(bgl_mutex_unlock(BgL_mz00_2059));
				}
			}
		}
	}



/* _library-translation2199 */
	obj_t BGl__libraryzd2translation2199zd2zz__libraryz00(obj_t BgL_envz00_2348,
		obj_t BgL_namez00_2349, obj_t BgL_translationz00_2350,
		obj_t BgL_optz00_2351)
	{
		AN_OBJECT;
		{	/* Eval/library.scm 131 */
			{	/* Eval/library.scm 132 */
				obj_t BgL_auxz00_2804;

				obj_t BgL_auxz00_2799;

				if (STRINGP(BgL_translationz00_2350))
					{	/* Eval/library.scm 132 */
						BgL_auxz00_2804 = BgL_translationz00_2350;
					}
				else
					{	/* Eval/library.scm 132 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2254z00zz__libraryz00, BGl_string2256z00zz__libraryz00,
							BgL_translationz00_2350);
						exit(-1);
					}
				if (SYMBOLP(BgL_namez00_2349))
					{	/* Eval/library.scm 132 */
						BgL_auxz00_2799 = BgL_namez00_2349;
					}
				else
					{	/* Eval/library.scm 132 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2254z00zz__libraryz00, BGl_string2246z00zz__libraryz00,
							BgL_namez00_2349);
						exit(-1);
					}
				return
					BGl_libraryzd2translationzd2tablezd2addz12zc0zz__libraryz00
					(BgL_auxz00_2799, BgL_auxz00_2804, BgL_optz00_2351);
			}
		}
	}



/* untranslate-library-name */
	obj_t BGl_untranslatezd2libraryzd2namez00zz__libraryz00(obj_t
		BgL_libraryz00_69)
	{
		AN_OBJECT;
		{	/* Eval/library.scm 183 */
			{	/* Eval/library.scm 184 */
				obj_t BgL_infoz00_878;

				BgL_infoz00_878 =
					BGl_libraryzd2infozd2zz__libraryz00(BgL_libraryz00_69);
				if (CBOOL(BgL_infoz00_878))
					{	/* Eval/library.scm 186 */
						obj_t BgL_val0_1708z00_879;

						obj_t BgL_val1_1709z00_880;

						BgL_val0_1708z00_879 =
							STRUCT_REF(BgL_infoz00_878, (int) (((long) 1)));
						BgL_val1_1709z00_880 =
							STRUCT_REF(BgL_infoz00_878, (int) (((long) 2)));
						{	/* Eval/library.scm 186 */
							int BgL_auxz00_2817;

							BgL_auxz00_2817 = (int) (((long) 2));
							BGL_MVALUES_NUMBER_SET(BgL_auxz00_2817);
						}
						{	/* Eval/library.scm 186 */
							int BgL_auxz00_2820;

							BgL_auxz00_2820 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_2820, BgL_val1_1709z00_880);
						}
						return BgL_val0_1708z00_879;
					}
				else
					{	/* Eval/library.scm 187 */
						obj_t BgL_val0_1710z00_881;

						obj_t BgL_val1_1711z00_882;

						BgL_val0_1710z00_881 = SYMBOL_TO_STRING(BgL_libraryz00_69);
						BgL_val1_1711z00_882 =
							BGl_bigloozd2configzd2zz__configurez00
							(BGl_symbol2238z00zz__libraryz00);
						{	/* Eval/library.scm 187 */
							int BgL_auxz00_2825;

							BgL_auxz00_2825 = (int) (((long) 2));
							BGL_MVALUES_NUMBER_SET(BgL_auxz00_2825);
						}
						{	/* Eval/library.scm 187 */
							int BgL_auxz00_2828;

							BgL_auxz00_2828 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_auxz00_2828, BgL_val1_1711z00_882);
						}
						return BgL_val0_1710z00_881;
					}
			}
		}
	}



/* library-file-name */
	BGL_EXPORTED_DEF obj_t BGl_libraryzd2filezd2namez00zz__libraryz00(obj_t
		BgL_libraryz00_70, obj_t BgL_suffixz00_71, obj_t BgL_backendz00_72)
	{
		AN_OBJECT;
		{	/* Eval/library.scm 192 */
			{	/* Eval/library.scm 201 */
				obj_t BgL_basez00_884;

				BgL_basez00_884 =
					BGl_untranslatezd2libraryzd2namez00zz__libraryz00(BgL_libraryz00_70);
				{	/* Eval/library.scm 203 */
					obj_t BgL_versionz00_885;

					{	/* Eval/library.scm 203 */
						int BgL_auxz00_2832;

						BgL_auxz00_2832 = (int) (((long) 1));
						BgL_versionz00_885 = BGL_MVALUES_VAL(BgL_auxz00_2832);
					}
					if ((BgL_backendz00_72 == BGl_symbol2257z00zz__libraryz00))
						{	/* Eval/library.scm 206 */
							bool_t BgL_testz00_2837;

							if (bigloo_strcmp(BGl_oszd2classzd2zz__osz00(),
									BGl_string2259z00zz__libraryz00))
								{	/* Eval/library.scm 206 */
									BgL_testz00_2837 = ((bool_t) 1);
								}
							else
								{	/* Eval/library.scm 206 */
									BgL_testz00_2837 =
										bigloo_strcmp(BGl_oszd2classzd2zz__osz00(),
										BGl_string2260z00zz__libraryz00);
								}
							if (BgL_testz00_2837)
								{	/* Eval/library.scm 206 */
									if (CBOOL(BgL_versionz00_885))
										{	/* Eval/library.scm 208 */
											if (STRINGP(BgL_versionz00_885))
												{	/* Eval/library.scm 208 */
													obj_t BgL_list1842z00_2087;

													{	/* Eval/library.scm 208 */
														obj_t BgL_arg1843z00_2088;

														{	/* Eval/library.scm 208 */
															obj_t BgL_arg1844z00_2089;

															{	/* Eval/library.scm 208 */
																obj_t BgL_arg1846z00_2091;

																BgL_arg1846z00_2091 =
																	MAKE_PAIR(BgL_versionz00_885, BNIL);
																BgL_arg1844z00_2089 =
																	MAKE_PAIR(BGl_string2261z00zz__libraryz00,
																	BgL_arg1846z00_2091);
															}
															BgL_arg1843z00_2088 =
																MAKE_PAIR(BgL_suffixz00_71,
																BgL_arg1844z00_2089);
														}
														BgL_list1842z00_2087 =
															MAKE_PAIR(BgL_basez00_884, BgL_arg1843z00_2088);
													}
													return
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list1842z00_2087);
												}
											else
												{	/* Eval/library.scm 208 */
													return
														BGl_errorz00zz__errorz00
														(BGl_symbol2262z00zz__libraryz00,
														BGl_string2264z00zz__libraryz00,
														BgL_versionz00_885);
												}
										}
									else
										{	/* Eval/library.scm 208 */
											return string_append(BgL_basez00_884, BgL_suffixz00_71);
										}
								}
							else
								{	/* Eval/library.scm 206 */
									if (bigloo_strcmp(BGl_oszd2classzd2zz__osz00(),
											BGl_string2265z00zz__libraryz00))
										{	/* Eval/library.scm 209 */
											return string_append(BgL_basez00_884, BgL_suffixz00_71);
										}
									else
										{	/* Eval/library.scm 209 */
											return
												BGl_errorz00zz__errorz00
												(BGl_symbol2262z00zz__libraryz00,
												BGl_string2266z00zz__libraryz00,
												BGl_oszd2classzd2zz__osz00());
										}
								}
						}
					else
						{	/* Eval/library.scm 203 */
							if ((BgL_backendz00_72 == BGl_symbol2267z00zz__libraryz00))
								{	/* Eval/library.scm 203 */
									if (CBOOL(BgL_versionz00_885))
										{	/* Eval/library.scm 214 */
											if (STRINGP(BgL_versionz00_885))
												{	/* Eval/library.scm 214 */
													obj_t BgL_list1842z00_2101;

													{	/* Eval/library.scm 214 */
														obj_t BgL_arg1843z00_2102;

														{	/* Eval/library.scm 214 */
															obj_t BgL_arg1844z00_2103;

															{	/* Eval/library.scm 214 */
																obj_t BgL_arg1846z00_2105;

																BgL_arg1846z00_2105 =
																	MAKE_PAIR(BgL_versionz00_885, BNIL);
																BgL_arg1844z00_2103 =
																	MAKE_PAIR(BGl_string2261z00zz__libraryz00,
																	BgL_arg1846z00_2105);
															}
															BgL_arg1843z00_2102 =
																MAKE_PAIR(BgL_suffixz00_71,
																BgL_arg1844z00_2103);
														}
														BgL_list1842z00_2101 =
															MAKE_PAIR(BgL_basez00_884, BgL_arg1843z00_2102);
													}
													return
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list1842z00_2101);
												}
											else
												{	/* Eval/library.scm 214 */
													return
														BGl_errorz00zz__errorz00
														(BGl_symbol2262z00zz__libraryz00,
														BGl_string2264z00zz__libraryz00,
														BgL_versionz00_885);
												}
										}
									else
										{	/* Eval/library.scm 214 */
											return string_append(BgL_basez00_884, BgL_suffixz00_71);
										}
								}
							else
								{	/* Eval/library.scm 203 */
									bool_t BgL_testz00_2873;

									{	/* Eval/library.scm 203 */
										bool_t BgL__ortest_1671z00_902;

										BgL__ortest_1671z00_902 =
											(BgL_backendz00_72 == BGl_symbol2269z00zz__libraryz00);
										if (BgL__ortest_1671z00_902)
											{	/* Eval/library.scm 203 */
												BgL_testz00_2873 = BgL__ortest_1671z00_902;
											}
										else
											{	/* Eval/library.scm 203 */
												BgL_testz00_2873 =
													(BgL_backendz00_72 ==
													BGl_symbol2271z00zz__libraryz00);
											}
									}
									if (BgL_testz00_2873)
										{	/* Eval/library.scm 203 */
											if (CBOOL(BgL_versionz00_885))
												{	/* Eval/library.scm 216 */
													if (STRINGP(BgL_versionz00_885))
														{	/* Eval/library.scm 216 */
															obj_t BgL_list1842z00_2111;

															{	/* Eval/library.scm 216 */
																obj_t BgL_arg1843z00_2112;

																{	/* Eval/library.scm 216 */
																	obj_t BgL_arg1844z00_2113;

																	{	/* Eval/library.scm 216 */
																		obj_t BgL_arg1846z00_2115;

																		BgL_arg1846z00_2115 =
																			MAKE_PAIR(BgL_versionz00_885, BNIL);
																		BgL_arg1844z00_2113 =
																			MAKE_PAIR(BGl_string2261z00zz__libraryz00,
																			BgL_arg1846z00_2115);
																	}
																	BgL_arg1843z00_2112 =
																		MAKE_PAIR(BgL_suffixz00_71,
																		BgL_arg1844z00_2113);
																}
																BgL_list1842z00_2111 =
																	MAKE_PAIR(BgL_basez00_884,
																	BgL_arg1843z00_2112);
															}
															return
																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																(BgL_list1842z00_2111);
														}
													else
														{	/* Eval/library.scm 216 */
															return
																BGl_errorz00zz__errorz00
																(BGl_symbol2262z00zz__libraryz00,
																BGl_string2264z00zz__libraryz00,
																BgL_versionz00_885);
														}
												}
											else
												{	/* Eval/library.scm 216 */
													return
														string_append(BgL_basez00_884, BgL_suffixz00_71);
												}
										}
									else
										{	/* Eval/library.scm 203 */
											return
												BGl_errorz00zz__errorz00
												(BGl_symbol2262z00zz__libraryz00,
												BGl_string2273z00zz__libraryz00, BgL_backendz00_72);
										}
								}
						}
				}
			}
		}
	}



/* _library-file-name2200 */
	obj_t BGl__libraryzd2filezd2name2200z00zz__libraryz00(obj_t BgL_envz00_2352,
		obj_t BgL_libraryz00_2353, obj_t BgL_suffixz00_2354,
		obj_t BgL_backendz00_2355)
	{
		AN_OBJECT;
		{	/* Eval/library.scm 192 */
			{	/* Eval/library.scm 201 */
				obj_t BgL_auxz00_2899;

				obj_t BgL_auxz00_2894;

				obj_t BgL_auxz00_2889;

				if (SYMBOLP(BgL_backendz00_2355))
					{	/* Eval/library.scm 201 */
						BgL_auxz00_2899 = BgL_backendz00_2355;
					}
				else
					{	/* Eval/library.scm 201 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2274z00zz__libraryz00, BGl_string2246z00zz__libraryz00,
							BgL_backendz00_2355);
						exit(-1);
					}
				if (STRINGP(BgL_suffixz00_2354))
					{	/* Eval/library.scm 201 */
						BgL_auxz00_2894 = BgL_suffixz00_2354;
					}
				else
					{	/* Eval/library.scm 201 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2274z00zz__libraryz00, BGl_string2256z00zz__libraryz00,
							BgL_suffixz00_2354);
						exit(-1);
					}
				if (SYMBOLP(BgL_libraryz00_2353))
					{	/* Eval/library.scm 201 */
						BgL_auxz00_2889 = BgL_libraryz00_2353;
					}
				else
					{	/* Eval/library.scm 201 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2274z00zz__libraryz00, BGl_string2246z00zz__libraryz00,
							BgL_libraryz00_2353);
						exit(-1);
					}
				return
					BGl_libraryzd2filezd2namez00zz__libraryz00(BgL_auxz00_2889,
					BgL_auxz00_2894, BgL_auxz00_2899);
			}
		}
	}



/* library-load */
	BGL_EXPORTED_DEF obj_t BGl_libraryzd2loadzd2zz__libraryz00(obj_t
		BgL_libz00_74, obj_t BgL_pathz00_75)
	{
		AN_OBJECT;
		{	/* Eval/library.scm 231 */
			{	/* Eval/library.scm 232 */
				obj_t BgL_modz00_915;

				BgL_modz00_915 = BGl_evalzd2modulezd2zz__evmodulez00();
				{	/* Eval/library.scm 233 */
					obj_t BgL_auxz00_2906;

					BgL_auxz00_2906 = BGl_interactionzd2environmentzd2zz__evalz00();
					BGL_MODULE_SET(BgL_auxz00_2906);
				}
				{	/* Eval/library.scm 234 */
					obj_t BgL_val1672z00_917;

					BgL_val1672z00_917 =
						BGl_zc3exitza31853ze3z83zz__libraryz00(BgL_pathz00_75,
						BgL_libz00_74);
					BGL_MODULE_SET(BgL_modz00_915);
					if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
							(BgL_val1672z00_917)))
						{	/* Eval/library.scm 305 */
							return
								BGl_unwindzd2untilz12zc0zz__bexitz00(CAR(BgL_val1672z00_917),
								CDR(BgL_val1672z00_917));
						}
					else
						{	/* Eval/library.scm 305 */
							return BgL_val1672z00_917;
						}
				}
			}
		}
	}



/* <exit:1853> */
	obj_t BGl_zc3exitza31853ze3z83zz__libraryz00(obj_t BgL_pathz00_2363,
		obj_t BgL_libz00_2362)
	{
		AN_OBJECT;
		{	/* Eval/library.scm 305 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit1673z00_922;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit1673z00_922))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit1673z00_922 = (void *) jmpbuf;
						{	/* Eval/library.scm 305 */

							PUSH_EXIT(BgL_an_exit1673z00_922, ((long) 0));
							{	/* Eval/library.scm 235 */
								obj_t BgL_val1674z00_923;

								if (STRINGP(BgL_libz00_2362))
									{	/* Llib/os.scm 189 */

										BgL_val1674z00_923 =
											BGl_dynamiczd2loadzd2zz__osz00(BgL_libz00_2362,
											string_to_bstring(BGL_DYNAMIC_LOAD_INIT), BFALSE);
									}
								else
									{	/* Eval/library.scm 237 */
										obj_t BgL_pathz00_928;

										if (PAIRP(BgL_pathz00_2363))
											{	/* Eval/library.scm 237 */
												BgL_pathz00_928 = BgL_pathz00_2363;
											}
										else
											{	/* Eval/library.scm 239 */
												obj_t BgL_venvz00_982;

												BgL_venvz00_982 =
													BGl_getenvz00zz__osz00(BSTRING_TO_STRING
													(BGl_string2276z00zz__libraryz00));
												if (CBOOL(BgL_venvz00_982))
													{	/* Eval/library.scm 240 */
														BgL_pathz00_928 =
															MAKE_PAIR(BGl_string2277z00zz__libraryz00,
															BGl_unixzd2pathzd2ze3listze3zz__osz00
															(BgL_venvz00_982));
													}
												else
													{	/* Eval/library.scm 240 */
														BgL_pathz00_928 =
															BGl_bigloozd2libraryzd2pathz00zz__paramz00();
													}
											}
										{	/* Eval/library.scm 237 */
											obj_t BgL_initz00_929;

											{	/* Eval/library.scm 243 */
												obj_t BgL_arg1884z00_980;

												{	/* Eval/library.scm 243 */
													obj_t BgL_arg1823z00_2128;

													BgL_arg1823z00_2128 =
														SYMBOL_TO_STRING(BgL_libz00_2362);
													BgL_arg1884z00_980 =
														string_append(BgL_arg1823z00_2128,
														BGl_string2278z00zz__libraryz00);
												}
												BgL_initz00_929 =
													BGl_findzd2filezf2pathz20zz__osz00(BgL_arg1884z00_980,
													BgL_pathz00_928);
											}
											{	/* Eval/library.scm 243 */
												obj_t BgL_bez00_930;

												BgL_bez00_930 = BGl_symbol2257z00zz__libraryz00;
												{	/* Eval/library.scm 244 */

													if (CBOOL(BgL_initz00_929))
														{	/* Eval/eval.scm 88 */
															obj_t BgL_envz00_932;

															BgL_envz00_932 =
																BGl_defaultzd2environmentzd2zz__evalz00();
															{	/* Eval/eval.scm 88 */

																BGl_loadqz00zz__evalz00(BgL_initz00_929,
																	BgL_envz00_932);
															}
														}
													else
														{	/* Eval/library.scm 248 */
															BFALSE;
														}
													{	/* Eval/library.scm 249 */
														obj_t BgL_infoz00_933;

														BgL_infoz00_933 =
															BGl_libraryzd2infozd2zz__libraryz00
															(BgL_libz00_2362);
														{	/* Eval/library.scm 249 */
															obj_t BgL_nz00_934;

															BgL_nz00_934 =
																BGl_makezd2sharedzd2libzd2namezd2zz__osz00
																(BGl_libraryzd2filezd2namez00zz__libraryz00
																(BgL_libz00_2362,
																	BGl_string2279z00zz__libraryz00,
																	BgL_bez00_930), BgL_bez00_930);
															{	/* Eval/library.scm 250 */
																obj_t BgL_nsz00_935;

																BgL_nsz00_935 =
																	BGl_makezd2sharedzd2libzd2namezd2zz__osz00
																	(BGl_libraryzd2filezd2namez00zz__libraryz00
																	(BgL_libz00_2362,
																		BGl_string2252z00zz__libraryz00,
																		BgL_bez00_930), BgL_bez00_930);
																{	/* Eval/library.scm 252 */
																	obj_t BgL_nez00_936;

																	BgL_nez00_936 =
																		BGl_makezd2sharedzd2libzd2namezd2zz__osz00
																		(BGl_libraryzd2filezd2namez00zz__libraryz00
																		(BgL_libz00_2362,
																			BGl_string2253z00zz__libraryz00,
																			BgL_bez00_930), BgL_bez00_930);
																	{	/* Eval/library.scm 254 */
																		obj_t BgL_rscz00_937;

																		{	/* Eval/library.scm 256 */
																			obj_t BgL_pz00_972;

																			{	/* Eval/library.scm 256 */
																				obj_t BgL_arg1877z00_975;

																				BgL_arg1877z00_975 =
																					SYMBOL_TO_STRING(BgL_libz00_2362);
																				BgL_pz00_972 =
																					string_append_3
																					(BGl_string2280z00zz__libraryz00,
																					BgL_arg1877z00_975,
																					BGl_string2281z00zz__libraryz00);
																			}
																			if (fexists(BSTRING_TO_STRING
																					(BgL_pz00_972)))
																				{	/* Eval/library.scm 265 */
																					BgL_rscz00_937 = BgL_pz00_972;
																				}
																			else
																				{	/* Eval/library.scm 265 */
																					BgL_rscz00_937 = BFALSE;
																				}
																		}
																		{	/* Eval/library.scm 256 */
																			obj_t BgL_libsz00_938;

																			BgL_libsz00_938 =
																				BGl_findzd2filezf2pathz20zz__osz00
																				(BgL_nsz00_935, BgL_pathz00_928);
																			{	/* Eval/library.scm 266 */
																				obj_t BgL_libez00_939;

																				BgL_libez00_939 =
																					BGl_findzd2filezf2pathz20zz__osz00
																					(BgL_nez00_936, BgL_pathz00_928);
																				{	/* Eval/library.scm 267 */
																					obj_t BgL_namez00_940;

																					BgL_namez00_940 =
																						SYMBOL_TO_STRING(BgL_libz00_2362);
																					{	/* Eval/library.scm 268 */
																						obj_t BgL_init_sz00_941;

																						if (CBOOL(BgL_infoz00_933))
																							{	/* Eval/library.scm 269 */
																								BgL_init_sz00_941 =
																									STRUCT_REF(BgL_infoz00_933,
																									(int) (((long) 3)));
																							}
																						else
																							{	/* Eval/library.scm 269 */
																								BgL_init_sz00_941 = BFALSE;
																							}
																						{	/* Eval/library.scm 269 */
																							obj_t BgL_init_ez00_942;

																							if (CBOOL(BgL_infoz00_933))
																								{	/* Eval/library.scm 270 */
																									BgL_init_ez00_942 =
																										STRUCT_REF(BgL_infoz00_933,
																										(int) (((long) 4)));
																								}
																							else
																								{	/* Eval/library.scm 270 */
																									BgL_init_ez00_942 = BFALSE;
																								}
																							{	/* Eval/library.scm 270 */
																								obj_t BgL_module_sz00_943;

																								if (CBOOL(BgL_infoz00_933))
																									{	/* Eval/library.scm 271 */
																										BgL_module_sz00_943 =
																											STRUCT_REF
																											(BgL_infoz00_933,
																											(int) (((long) 5)));
																									}
																								else
																									{	/* Eval/library.scm 271 */
																										BgL_module_sz00_943 =
																											BFALSE;
																									}
																								{	/* Eval/library.scm 271 */
																									obj_t BgL_module_ez00_944;

																									if (CBOOL(BgL_infoz00_933))
																										{	/* Eval/library.scm 275 */
																											BgL_module_ez00_944 =
																												STRUCT_REF
																												(BgL_infoz00_933,
																												(int) (((long) 6)));
																										}
																									else
																										{	/* Eval/library.scm 275 */
																											BgL_module_ez00_944 =
																												BFALSE;
																										}
																									{	/* Eval/library.scm 275 */

																										{	/* Eval/library.scm 280 */
																											bool_t BgL_testz00_2971;

																											if (STRINGP
																												(BgL_rscz00_937))
																												{	/* Eval/library.scm 280 */
																													BgL_testz00_2971 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Eval/library.scm 280 */
																													if (STRINGP
																														(BgL_libsz00_938))
																														{	/* Eval/library.scm 280 */
																															BgL_testz00_2971 =
																																((bool_t) 0);
																														}
																													else
																														{	/* Eval/library.scm 280 */
																															BgL_testz00_2971 =
																																((bool_t) 1);
																														}
																												}
																											if (BgL_testz00_2971)
																												{	/* Eval/library.scm 281 */
																													obj_t
																														BgL_arg1857z00_946;
																													obj_t
																														BgL_arg1858z00_947;
																													BgL_arg1857z00_946 =
																														BGl_symbol2282z00zz__libraryz00;
																													{	/* Eval/library.scm 282 */
																														obj_t
																															BgL_list1859z00_948;
																														{	/* Eval/library.scm 282 */
																															obj_t
																																BgL_arg1860z00_949;
																															BgL_arg1860z00_949
																																=
																																MAKE_PAIR
																																(BgL_nsz00_935,
																																BNIL);
																															BgL_list1859z00_948
																																=
																																MAKE_PAIR
																																(BgL_libz00_2362,
																																BgL_arg1860z00_949);
																														}
																														BgL_arg1858z00_947 =
																															BGl_formatz00zz__r4_output_6_10_3z00
																															(BGl_string2284z00zz__libraryz00,
																															BgL_list1859z00_948);
																													}
																													BGl_errorz00zz__errorz00
																														(BgL_arg1857z00_946,
																														BgL_arg1858z00_947,
																														BgL_pathz00_928);
																												}
																											else
																												{	/* Eval/library.scm 280 */
																													if (STRINGP
																														(BgL_libez00_939))
																														{	/* Eval/library.scm 284 */
																															if (STRINGP
																																(BgL_libsz00_938))
																																{	/* Eval/library.scm 297 */
																																	BGl_dynamiczd2loadzd2zz__osz00
																																		(BgL_libsz00_938,
																																		BgL_init_sz00_941,
																																		BgL_module_sz00_943);
																																}
																															else
																																{	/* Eval/library.scm 297 */
																																	BGl_dynamiczd2loadzd2zz__osz00
																																		(BgL_rscz00_937,
																																		BgL_init_sz00_941,
																																		BgL_module_sz00_943);
																																}
																															BGl_dynamiczd2loadzd2zz__osz00
																																(BgL_libez00_939,
																																BgL_init_ez00_942,
																																BgL_module_ez00_944);
																														}
																													else
																														{	/* Eval/library.scm 284 */
																															{	/* Eval/library.scm 289 */
																																obj_t
																																	BgL_arg1863z00_952;
																																obj_t
																																	BgL_arg1864z00_953;
																																BgL_arg1863z00_952
																																	=
																																	BGl_symbol2282z00zz__libraryz00;
																																{	/* Eval/library.scm 290 */
																																	obj_t
																																		BgL_list1868z00_957;
																																	{	/* Eval/library.scm 290 */
																																		obj_t
																																			BgL_arg1869z00_958;
																																		BgL_arg1869z00_958
																																			=
																																			MAKE_PAIR
																																			(BgL_nez00_936,
																																			BNIL);
																																		BgL_list1868z00_957
																																			=
																																			MAKE_PAIR
																																			(BgL_libz00_2362,
																																			BgL_arg1869z00_958);
																																	}
																																	BgL_arg1864z00_953
																																		=
																																		BGl_formatz00zz__r4_output_6_10_3z00
																																		(BGl_string2285z00zz__libraryz00,
																																		BgL_list1868z00_957);
																																}
																																{	/* Eval/library.scm 287 */
																																	obj_t
																																		BgL_list1865z00_954;
																																	{	/* Eval/library.scm 287 */
																																		obj_t
																																			BgL_arg1866z00_955;
																																		{	/* Eval/library.scm 287 */
																																			obj_t
																																				BgL_arg1867z00_956;
																																			BgL_arg1867z00_956
																																				=
																																				MAKE_PAIR
																																				(BgL_pathz00_928,
																																				BNIL);
																																			BgL_arg1866z00_955
																																				=
																																				MAKE_PAIR
																																				(BgL_arg1864z00_953,
																																				BgL_arg1867z00_956);
																																		}
																																		BgL_list1865z00_954
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1863z00_952,
																																			BgL_arg1866z00_955);
																																	}
																																	BGl_evmeaningzd2warningzd2zz__everrorz00
																																		(BFALSE,
																																		BgL_list1865z00_954);
																																}
																															}
																															if (STRINGP
																																(BgL_libsz00_938))
																																{	/* Eval/library.scm 293 */
																																	BGl_dynamiczd2loadzd2zz__osz00
																																		(BgL_libsz00_938,
																																		BgL_init_sz00_941,
																																		BgL_module_sz00_943);
																																}
																															else
																																{	/* Eval/library.scm 293 */
																																	BGl_dynamiczd2loadzd2zz__osz00
																																		(BgL_rscz00_937,
																																		BgL_init_sz00_941,
																																		BgL_module_sz00_943);
																																}
																														}
																												}
																										}
																										{	/* Eval/library.scm 301 */
																											bool_t BgL_testz00_2998;

																											if (CBOOL
																												(BgL_infoz00_933))
																												{	/* Eval/library.scm 301 */
																													obj_t BgL_sz00_2152;

																													BgL_sz00_2152 =
																														BgL_infoz00_933;
																													BgL_testz00_2998 =
																														CBOOL(STRUCT_REF
																														(BgL_sz00_2152,
																															(int) (((long)
																																	9))));
																												}
																											else
																												{	/* Eval/library.scm 301 */
																													BgL_testz00_2998 =
																														((bool_t) 0);
																												}
																											if (BgL_testz00_2998)
																												{	/* Eval/library.scm 302 */
																													obj_t
																														BgL_g1874z00_963;
																													BgL_g1874z00_963 =
																														BGl_list2286z00zz__libraryz00;
																													{	/* Eval/eval.scm 79 */
																														obj_t
																															BgL_envz00_964;
																														BgL_envz00_964 =
																															BGl_defaultzd2environmentzd2zz__evalz00
																															();
																														{	/* Eval/eval.scm 79 */

																															BGl_evalz00zz__evalz00
																																(BgL_g1874z00_963,
																																BgL_envz00_964);
																														}
																													}
																												}
																											else
																												{	/* Eval/library.scm 301 */
																													BFALSE;
																												}
																										}
																										{	/* Eval/library.scm 303 */
																											bool_t BgL_testz00_3006;

																											if (CBOOL
																												(BgL_infoz00_933))
																												{	/* Eval/library.scm 303 */
																													obj_t BgL_sz00_2155;

																													BgL_sz00_2155 =
																														BgL_infoz00_933;
																													BgL_testz00_3006 =
																														CBOOL(STRUCT_REF
																														(BgL_sz00_2155,
																															(int) (((long)
																																	10))));
																												}
																											else
																												{	/* Eval/library.scm 303 */
																													BgL_testz00_3006 =
																														((bool_t) 0);
																												}
																											if (BgL_testz00_3006)
																												{	/* Eval/library.scm 304 */
																													obj_t
																														BgL_g1874z00_966;
																													BgL_g1874z00_966 =
																														BGl_list2292z00zz__libraryz00;
																													{	/* Eval/eval.scm 79 */
																														obj_t
																															BgL_envz00_967;
																														BgL_envz00_967 =
																															BGl_defaultzd2environmentzd2zz__evalz00
																															();
																														{	/* Eval/eval.scm 79 */

																															BgL_val1674z00_923
																																=
																																BGl_evalz00zz__evalz00
																																(BgL_g1874z00_966,
																																BgL_envz00_967);
																														}
																													}
																												}
																											else
																												{	/* Eval/library.scm 303 */
																													BgL_val1674z00_923 =
																														BFALSE;
																												}
																										}
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								POP_EXIT();
								return BgL_val1674z00_923;
							}
						}
					}
			}
		}
	}



/* _library-load */
	obj_t BGl__libraryzd2loadzd2zz__libraryz00(obj_t BgL_envz00_2356,
		obj_t BgL_libz00_2357, obj_t BgL_pathz00_2358)
	{
		AN_OBJECT;
		{	/* Eval/library.scm 231 */
			return
				BGl_libraryzd2loadzd2zz__libraryz00(BgL_libz00_2357, BgL_pathz00_2358);
		}
	}



/* library-exists? */
	BGL_EXPORTED_DEF obj_t BGl_libraryzd2existszf3z21zz__libraryz00(obj_t
		BgL_libz00_76, obj_t BgL_pathz00_77)
	{
		AN_OBJECT;
		{	/* Eval/library.scm 310 */
			{	/* Eval/library.scm 311 */
				obj_t BgL_pathz00_985;

				if (PAIRP(BgL_pathz00_77))
					{	/* Eval/library.scm 311 */
						BgL_pathz00_985 = BgL_pathz00_77;
					}
				else
					{	/* Eval/library.scm 313 */
						obj_t BgL_venvz00_991;

						BgL_venvz00_991 =
							BGl_getenvz00zz__osz00(BSTRING_TO_STRING
							(BGl_string2276z00zz__libraryz00));
						if (CBOOL(BgL_venvz00_991))
							{	/* Eval/library.scm 314 */
								BgL_pathz00_985 =
									MAKE_PAIR(BGl_string2277z00zz__libraryz00,
									BGl_unixzd2pathzd2ze3listze3zz__osz00(BgL_venvz00_991));
							}
						else
							{	/* Eval/library.scm 314 */
								BgL_pathz00_985 = BGl_bigloozd2libraryzd2pathz00zz__paramz00();
							}
					}
				{	/* Eval/library.scm 317 */
					obj_t BgL_heapz00_987;

					{	/* Eval/library.scm 321 */
						obj_t BgL_arg1890z00_989;

						BgL_arg1890z00_989 = SYMBOL_TO_STRING(BgL_libz00_76);
						BgL_heapz00_987 =
							string_append(BgL_arg1890z00_989,
							BGl_string2296z00zz__libraryz00);
					}
					{	/* Eval/library.scm 321 */

						{	/* Eval/library.scm 322 */
							obj_t BgL_arg1889z00_988;

							BgL_arg1889z00_988 =
								BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_987,
								BgL_pathz00_985);
							return BBOOL(STRINGP(BgL_arg1889z00_988));
						}
					}
				}
			}
		}
	}



/* _library-exists?2201 */
	obj_t BGl__libraryzd2existszf32201z21zz__libraryz00(obj_t BgL_envz00_2359,
		obj_t BgL_libz00_2360, obj_t BgL_pathz00_2361)
	{
		AN_OBJECT;
		{	/* Eval/library.scm 310 */
			{	/* Eval/library.scm 311 */
				obj_t BgL_auxz00_3030;

				if (SYMBOLP(BgL_libz00_2360))
					{	/* Eval/library.scm 311 */
						BgL_auxz00_3030 = BgL_libz00_2360;
					}
				else
					{	/* Eval/library.scm 311 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2297z00zz__libraryz00, BGl_string2246z00zz__libraryz00,
							BgL_libz00_2360);
						exit(-1);
					}
				return
					BGl_libraryzd2existszf3z21zz__libraryz00(BgL_auxz00_3030,
					BgL_pathz00_2361);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__libraryz00()
	{
		AN_OBJECT;
		{	/* Eval/library.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__libraryz00()
	{
		AN_OBJECT;
		{	/* Eval/library.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2299z00zz__libraryz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 441587319),
				BSTRING_TO_STRING(BGl_string2299z00zz__libraryz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 216567556),
				BSTRING_TO_STRING(BGl_string2299z00zz__libraryz00));
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 424578329),
				BSTRING_TO_STRING(BGl_string2299z00zz__libraryz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 36890192),
				BSTRING_TO_STRING(BGl_string2299z00zz__libraryz00));
			BGl_modulezd2initializa7ationz75zz__configurez00(((long) 24741532),
				BSTRING_TO_STRING(BGl_string2299z00zz__libraryz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 23161561),
				BSTRING_TO_STRING(BGl_string2299z00zz__libraryz00));
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 496250641),
				BSTRING_TO_STRING(BGl_string2299z00zz__libraryz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					183289170), BSTRING_TO_STRING(BGl_string2299z00zz__libraryz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 109594605),
				BSTRING_TO_STRING(BGl_string2299z00zz__libraryz00));
			return BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(((long)
					128610536), BSTRING_TO_STRING(BGl_string2299z00zz__libraryz00));
		}
	}

#ifdef __cplusplus
}
#endif
