/*===========================================================================*/
/*   (Ieee/symbol.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Ieee/symbol.scm -indent -o objs/obj_u/Ieee/symbol.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl__putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00();
	static obj_t BGl__keywordzd2ze3stringz122077z23zz__r4_symbols_6_4z00(obj_t,
		obj_t);
	static long BGl_za2gensymzd2counterza2zd2zz__r4_symbols_6_4z00;
	BGL_EXPORTED_DECL obj_t
		BGl_keywordzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl__symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t string_to_symbol(char *);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl__symbolzd2ze3keyword2078z31zz__r4_symbols_6_4z00(obj_t,
		obj_t);
	static obj_t BGl__stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl__symbolzd2ze3stringz122076z23zz__r4_symbols_6_4z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00 = BUNSPEC;
	static obj_t BGl__keywordzf3zf3zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t string_append(obj_t, obj_t);
	static obj_t BGl__keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t bgl_gensym(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl__symbolzf3zf3zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl__getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_symbolzf3zf3zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_symbolzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl__keywordzd2ze3symbol2079z31zz__r4_symbols_6_4z00(obj_t,
		obj_t);
	static obj_t BGl__symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl__stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__r4_symbols_6_4z00();
	static obj_t BGl_symbol2101z00zz__r4_symbols_6_4z00 = BUNSPEC;
	static obj_t BGl__gensymz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_symbol2103z00zz__r4_symbols_6_4z00 = BUNSPEC;
	static obj_t BGl_symbol2106z00zz__r4_symbols_6_4z00 = BUNSPEC;
	static obj_t BGl_symbol2098z00zz__r4_symbols_6_4z00 = BUNSPEC;
	static obj_t BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_keywordzf3zf3zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl__rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2114z00zz__r4_symbols_6_4z00 = BUNSPEC;
	static obj_t BGl_symbol2117z00zz__r4_symbols_6_4z00 = BUNSPEC;
	static obj_t BGl_symbol2119z00zz__r4_symbols_6_4z00 = BUNSPEC;
	static obj_t BGl_symbol2121z00zz__r4_symbols_6_4z00 = BUNSPEC;
	static obj_t BGl_symbol2123z00zz__r4_symbols_6_4z00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00();
	BGL_EXPORTED_DECL obj_t
		BGl_keywordzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t string_to_keyword(char *);
	static obj_t BGl__symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__r4_symbols_6_4z00();
	static obj_t BGl__stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_symbolzd2plistzd2envz00zz__r4_symbols_6_4z00,
		BgL_bgl__symbolza7d2plistza72126z00,
		BGl__symbolzd2plistzd2zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_gensymzd2envzd2zz__r4_symbols_6_4z00,
		BgL_bgl__gensymza700za7za7__r42127za7, opt_generic_entry,
		BGl__gensymz00zz__r4_symbols_6_4z00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_symbolzd2ze3stringzd2envze3zz__r4_symbols_6_4z00,
		BgL_bgl__symbolza7d2za7e3str2128z00,
		BGl__symbolzd2ze3stringz31zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2ze3symbolzd2cizd2envz31zz__r4_symbols_6_4z00,
		BgL_bgl__stringza7d2za7e3sym2129z00,
		BGl__stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_symbolzf3zd2envz21zz__r4_symbols_6_4z00,
		BgL_bgl__symbolza7f3za7f3za7za7_2130z00,
		BGl__symbolzf3zf3zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_keywordzd2ze3stringz12zd2envzf1zz__r4_symbols_6_4z00,
		BgL_bgl__keywordza7d2za7e3st2131z00,
		BGl__keywordzd2ze3stringz122077z23zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_symbolzd2ze3keywordzd2envze3zz__r4_symbols_6_4z00,
		BgL_bgl__symbolza7d2za7e3key2132z00,
		BGl__symbolzd2ze3keyword2078z31zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getpropzd2envzd2zz__r4_symbols_6_4z00,
		BgL_bgl__getpropza700za7za7__r2133za7, BGl__getpropz00zz__r4_symbols_6_4z00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_symbolzd2ze3stringz12zd2envzf1zz__r4_symbols_6_4z00,
		BgL_bgl__symbolza7d2za7e3str2134z00,
		BGl__symbolzd2ze3stringz122076z23zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_symbolzd2appendzd2envz00zz__r4_symbols_6_4z00,
		BgL_bgl__symbolza7d2append2135za7, va_generic_entry,
		BGl__symbolzd2appendzd2zz__r4_symbols_6_4z00, BUNSPEC, -1);
	      DEFINE_STRING(BGl_string2100z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2100za700za7za7_2136za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2102z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2102za700za7za7_2137za7, "_symbol->string!2076", 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2ze3keywordzd2envze3zz__r4_symbols_6_4z00,
		BgL_bgl__stringza7d2za7e3key2138z00,
		BGl__stringzd2ze3keywordz31zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2104z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2104za700za7za7_2139za7, "_string->symbol", 15);
	      DEFINE_STRING(BGl_string2105z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2105za700za7za7_2140za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2107z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2107za700za7za7_2141za7, "_string->symbol-ci", 18);
	      DEFINE_STRING(BGl_string2108z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2108za700za7za7_2142za7, "", 0);
	      DEFINE_STRING(BGl_string2110z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2110za700za7za7_2143za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2109z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2109za700za7za7_2144za7, "gensym", 6);
	      DEFINE_STRING(BGl_string2099z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2099za700za7za7_2145za7, "_symbol->string", 15);
	      DEFINE_STRING(BGl_string2111z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2111za700za7za7_2146za7, "symbol-plist", 12);
	      DEFINE_STRING(BGl_string2112z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2112za700za7za7_2147za7,
		"argument is neither a symbol nor a keyword", 42);
	      DEFINE_STRING(BGl_string2113z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2113za700za7za7_2148za7, "getprop", 7);
	      DEFINE_STRING(BGl_string2115z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2115za700za7za7_2149za7, "_keyword->string", 16);
	      DEFINE_STRING(BGl_string2116z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2116za700za7za7_2150za7, "keyword", 7);
	      DEFINE_STRING(BGl_string2118z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2118za700za7za7_2151za7, "_keyword->string!2077", 21);
	      DEFINE_STRING(BGl_string2120z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2120za700za7za7_2152za7, "_string->keyword", 16);
	      DEFINE_STRING(BGl_string2122z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2122za700za7za7_2153za7, "_symbol->keyword2078", 20);
	      DEFINE_STRING(BGl_string2124z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2124za700za7za7_2154za7, "_keyword->symbol2079", 20);
	      DEFINE_STRING(BGl_string2125z00zz__r4_symbols_6_4z00,
		BgL_bgl_string2125za700za7za7_2155za7, "__r4_symbols_6_4", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_putpropz12zd2envzc0zz__r4_symbols_6_4z00,
		BgL_bgl__putpropza712za712za7za72156z00,
		BGl__putpropz12z12zz__r4_symbols_6_4z00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_keywordzf3zd2envz21zz__r4_symbols_6_4z00,
		BgL_bgl__keywordza7f3za7f3za7za72157z00,
		BGl__keywordzf3zf3zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rempropz12zd2envzc0zz__r4_symbols_6_4z00,
		BgL_bgl__rempropza712za712za7za72158z00,
		BGl__rempropz12z12zz__r4_symbols_6_4z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2ze3symbolzd2envze3zz__r4_symbols_6_4z00,
		BgL_bgl__stringza7d2za7e3sym2159z00,
		BGl__stringzd2ze3symbolz31zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_keywordzd2ze3stringzd2envze3zz__r4_symbols_6_4z00,
		BgL_bgl__keywordza7d2za7e3st2160z00,
		BGl__keywordzd2ze3stringz31zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_keywordzd2ze3symbolzd2envze3zz__r4_symbols_6_4z00,
		BgL_bgl__keywordza7d2za7e3sy2161z00,
		BGl__keywordzd2ze3symbol2079z31zz__r4_symbols_6_4z00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long
		BgL_checksumz00_1493, char *BgL_fromz00_1494)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00))
				{
					BGl_requirezd2initializa7ationz75zz__r4_symbols_6_4z00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__r4_symbols_6_4z00();
					BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00();
					BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__r4_symbols_6_4z00()
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 14 */
			BGl_symbol2098z00zz__r4_symbols_6_4z00 =
				bstring_to_symbol(BGl_string2099z00zz__r4_symbols_6_4z00);
			BGl_symbol2101z00zz__r4_symbols_6_4z00 =
				bstring_to_symbol(BGl_string2102z00zz__r4_symbols_6_4z00);
			BGl_symbol2103z00zz__r4_symbols_6_4z00 =
				bstring_to_symbol(BGl_string2104z00zz__r4_symbols_6_4z00);
			BGl_symbol2106z00zz__r4_symbols_6_4z00 =
				bstring_to_symbol(BGl_string2107z00zz__r4_symbols_6_4z00);
			BGl_symbol2114z00zz__r4_symbols_6_4z00 =
				bstring_to_symbol(BGl_string2115z00zz__r4_symbols_6_4z00);
			BGl_symbol2117z00zz__r4_symbols_6_4z00 =
				bstring_to_symbol(BGl_string2118z00zz__r4_symbols_6_4z00);
			BGl_symbol2119z00zz__r4_symbols_6_4z00 =
				bstring_to_symbol(BGl_string2120z00zz__r4_symbols_6_4z00);
			BGl_symbol2121z00zz__r4_symbols_6_4z00 =
				bstring_to_symbol(BGl_string2122z00zz__r4_symbols_6_4z00);
			return (BGl_symbol2123z00zz__r4_symbols_6_4z00 =
				bstring_to_symbol(BGl_string2124z00zz__r4_symbols_6_4z00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__r4_symbols_6_4z00()
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 14 */
			return (BGl_za2gensymzd2counterza2zd2zz__r4_symbols_6_4z00 =
				((long) 999), BUNSPEC);
		}
	}



/* symbol? */
	BGL_EXPORTED_DEF bool_t BGl_symbolzf3zf3zz__r4_symbols_6_4z00(obj_t
		BgL_objz00_1)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 128 */
			return SYMBOLP(BgL_objz00_1);
		}
	}



/* _symbol? */
	obj_t BGl__symbolzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_envz00_1430,
		obj_t BgL_objz00_1431)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 128 */
			return BBOOL(SYMBOLP(BgL_objz00_1431));
		}
	}



/* symbol->string */
	BGL_EXPORTED_DEF obj_t BGl_symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t
		BgL_symbolz00_2)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 134 */
			return SYMBOL_TO_STRING(BgL_symbolz00_2);
		}
	}



/* _symbol->string */
	obj_t BGl__symbolzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t BgL_envz00_1432,
		obj_t BgL_symbolz00_1433)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 134 */
			{	/* Ieee/symbol.scm 135 */
				obj_t BgL_symbolz00_1485;

				if (SYMBOLP(BgL_symbolz00_1433))
					{	/* Ieee/symbol.scm 135 */
						BgL_symbolz00_1485 = BgL_symbolz00_1433;
					}
				else
					{	/* Ieee/symbol.scm 135 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2098z00zz__r4_symbols_6_4z00,
							BGl_string2100z00zz__r4_symbols_6_4z00, BgL_symbolz00_1433);
						exit(-1);
					}
				return SYMBOL_TO_STRING(BgL_symbolz00_1485);
			}
		}
	}



/* symbol->string! */
	BGL_EXPORTED_DEF obj_t BGl_symbolzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t
		BgL_symbolz00_3)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 140 */
			return SYMBOL_TO_STRING(BgL_symbolz00_3);
		}
	}



/* _symbol->string!2076 */
	obj_t BGl__symbolzd2ze3stringz122076z23zz__r4_symbols_6_4z00(obj_t
		BgL_envz00_1434, obj_t BgL_symbolz00_1435)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 140 */
			{	/* Ieee/symbol.scm 141 */
				obj_t BgL_symbolz00_1486;

				if (SYMBOLP(BgL_symbolz00_1435))
					{	/* Ieee/symbol.scm 141 */
						BgL_symbolz00_1486 = BgL_symbolz00_1435;
					}
				else
					{	/* Ieee/symbol.scm 141 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2101z00zz__r4_symbols_6_4z00,
							BGl_string2100z00zz__r4_symbols_6_4z00, BgL_symbolz00_1435);
						exit(-1);
					}
				return SYMBOL_TO_STRING(BgL_symbolz00_1486);
			}
		}
	}



/* string->symbol */
	BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t
		BgL_stringz00_4)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 146 */
			return string_to_symbol(BSTRING_TO_STRING(BgL_stringz00_4));
		}
	}



/* _string->symbol */
	obj_t BGl__stringzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t BgL_envz00_1436,
		obj_t BgL_stringz00_1437)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 146 */
			{	/* Ieee/symbol.scm 147 */
				obj_t BgL_stringz00_1487;

				if (STRINGP(BgL_stringz00_1437))
					{	/* Ieee/symbol.scm 147 */
						BgL_stringz00_1487 = BgL_stringz00_1437;
					}
				else
					{	/* Ieee/symbol.scm 147 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2103z00zz__r4_symbols_6_4z00,
							BGl_string2105z00zz__r4_symbols_6_4z00, BgL_stringz00_1437);
						exit(-1);
					}
				return string_to_symbol(BSTRING_TO_STRING(BgL_stringz00_1487));
			}
		}
	}



/* string->symbol-ci */
	BGL_EXPORTED_DEF obj_t
		BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t BgL_stringz00_5)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 152 */
			{	/* Ieee/symbol.scm 153 */
				obj_t BgL_arg1733z00_1171;

				BgL_arg1733z00_1171 =
					BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(BgL_stringz00_5);
				return string_to_symbol(BSTRING_TO_STRING(BgL_arg1733z00_1171));
			}
		}
	}



/* _string->symbol-ci */
	obj_t BGl__stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(obj_t
		BgL_envz00_1438, obj_t BgL_stringz00_1439)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 152 */
			{	/* Ieee/symbol.scm 153 */
				obj_t BgL_auxz00_1536;

				if (STRINGP(BgL_stringz00_1439))
					{	/* Ieee/symbol.scm 153 */
						BgL_auxz00_1536 = BgL_stringz00_1439;
					}
				else
					{	/* Ieee/symbol.scm 153 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2106z00zz__r4_symbols_6_4z00,
							BGl_string2105z00zz__r4_symbols_6_4z00, BgL_stringz00_1439);
						exit(-1);
					}
				return
					BGl_stringzd2ze3symbolzd2cize3zz__r4_symbols_6_4z00(BgL_auxz00_1536);
			}
		}
	}



/* symbol-append */
	BGL_EXPORTED_DEF obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t
		BgL_listz00_6)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 158 */
			{	/* Ieee/symbol.scm 160 */
				obj_t BgL_arg1734z00_671;

				if (NULLP(BgL_listz00_6))
					{	/* Ieee/symbol.scm 160 */
						BgL_arg1734z00_671 = BGl_string2108z00zz__r4_symbols_6_4z00;
					}
				else
					{	/* Ieee/symbol.scm 160 */
						BgL_arg1734z00_671 =
							BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(BgL_listz00_6);
					}
				return string_to_symbol(BSTRING_TO_STRING(BgL_arg1734z00_671));
			}
		}
	}



/* symbol-append' */
	obj_t BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(obj_t BgL_listz00_673)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 162 */
			if (NULLP(CDR(BgL_listz00_673)))
				{	/* Ieee/symbol.scm 163 */
					return SYMBOL_TO_STRING(CAR(BgL_listz00_673));
				}
			else
				{	/* Ieee/symbol.scm 165 */
					obj_t BgL_arg1738z00_677;

					obj_t BgL_arg1739z00_678;

					BgL_arg1738z00_677 = SYMBOL_TO_STRING(CAR(BgL_listz00_673));
					BgL_arg1739z00_678 =
						BGl_symbolzd2appendz72za0zz__r4_symbols_6_4z00(CDR
						(BgL_listz00_673));
					return string_append(BgL_arg1738z00_677, BgL_arg1739z00_678);
				}
		}
	}



/* _symbol-append */
	obj_t BGl__symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t BgL_envz00_1440,
		obj_t BgL_listz00_1441)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 158 */
			return BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_listz00_1441);
		}
	}



/* _gensym */
	obj_t BGl__gensymz00zz__r4_symbols_6_4z00(obj_t BgL_envz00_9,
		obj_t BgL_optz00_8)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 176 */
			{	/* Ieee/symbol.scm 176 */

				{	/* Ieee/symbol.scm 176 */
					int BgL_aux1705z00_683;

					BgL_aux1705z00_683 = VECTOR_LENGTH(BgL_optz00_8);
					switch ((long) (BgL_aux1705z00_683))
						{
						case ((long) 0):

							{	/* Ieee/symbol.scm 176 */

								return BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
							}
							break;
						case ((long) 1):

							{	/* Ieee/symbol.scm 176 */
								obj_t BgL_argz00_686;

								BgL_argz00_686 = VECTOR_REF(BgL_optz00_8, (int) (((long) 0)));
								{	/* Ieee/symbol.scm 176 */

									return BGl_gensymz00zz__r4_symbols_6_4z00(BgL_argz00_686);
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* gensym */
	BGL_EXPORTED_DEF obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t BgL_argz00_7)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 176 */
			{	/* Ieee/symbol.scm 179 */
				obj_t BgL_argz00_687;

				if (CBOOL(BgL_argz00_7))
					{	/* Ieee/symbol.scm 180 */
						if (SYMBOLP(BgL_argz00_7))
							{	/* Ieee/symbol.scm 181 */
								BgL_argz00_687 = SYMBOL_TO_STRING(BgL_argz00_7);
							}
						else
							{	/* Ieee/symbol.scm 181 */
								if (STRINGP(BgL_argz00_7))
									{	/* Ieee/symbol.scm 182 */
										BgL_argz00_687 = BgL_argz00_7;
									}
								else
									{	/* Ieee/symbol.scm 182 */
										BgL_argz00_687 =
											BGl_errorz00zz__errorz00
											(BGl_string2109z00zz__r4_symbols_6_4z00,
											BGl_string2110z00zz__r4_symbols_6_4z00, BgL_argz00_7);
									}
							}
					}
				else
					{	/* Ieee/symbol.scm 180 */
						BgL_argz00_687 = BgL_argz00_7;
					}
				return bgl_gensym(BgL_argz00_687);
			}
		}
	}



/* symbol-plist */
	BGL_EXPORTED_DEF obj_t BGl_symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t
		BgL_symbolz00_10)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 202 */
			if (SYMBOLP(BgL_symbolz00_10))
				{	/* Ieee/symbol.scm 204 */
					return GET_SYMBOL_PLIST(BgL_symbolz00_10);
				}
			else
				{	/* Ieee/symbol.scm 204 */
					if (KEYWORDP(BgL_symbolz00_10))
						{	/* Ieee/symbol.scm 204 */
							return GET_KEYWORD_PLIST(BgL_symbolz00_10);
						}
					else
						{	/* Ieee/symbol.scm 204 */
							return
								BGl_errorz00zz__errorz00(BGl_string2111z00zz__r4_symbols_6_4z00,
								BGl_string2112z00zz__r4_symbols_6_4z00, BgL_symbolz00_10);
						}
				}
		}
	}



/* _symbol-plist */
	obj_t BGl__symbolzd2plistzd2zz__r4_symbols_6_4z00(obj_t BgL_envz00_1442,
		obj_t BgL_symbolz00_1443)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 202 */
			if (SYMBOLP(BgL_symbolz00_1443))
				{	/* Ieee/symbol.scm 204 */
					return GET_SYMBOL_PLIST(BgL_symbolz00_1443);
				}
			else
				{	/* Ieee/symbol.scm 204 */
					if (KEYWORDP(BgL_symbolz00_1443))
						{	/* Ieee/symbol.scm 204 */
							return GET_KEYWORD_PLIST(BgL_symbolz00_1443);
						}
					else
						{	/* Ieee/symbol.scm 204 */
							return
								BGl_errorz00zz__errorz00(BGl_string2111z00zz__r4_symbols_6_4z00,
								BGl_string2112z00zz__r4_symbols_6_4z00, BgL_symbolz00_1443);
						}
				}
		}
	}



/* getprop */
	BGL_EXPORTED_DEF obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t
		BgL_symbolz00_11, obj_t BgL_keyz00_12)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 216 */
			{	/* Ieee/symbol.scm 217 */
				bool_t BgL_testz00_1588;

				if (SYMBOLP(BgL_symbolz00_11))
					{	/* Ieee/symbol.scm 217 */
						BgL_testz00_1588 = ((bool_t) 1);
					}
				else
					{	/* Ieee/symbol.scm 217 */
						BgL_testz00_1588 = KEYWORDP(BgL_symbolz00_11);
					}
				if (BgL_testz00_1588)
					{	/* Ieee/symbol.scm 218 */
						obj_t BgL_g1670z00_693;

						if (SYMBOLP(BgL_symbolz00_11))
							{	/* Ieee/symbol.scm 218 */
								BgL_g1670z00_693 = GET_SYMBOL_PLIST(BgL_symbolz00_11);
							}
						else
							{	/* Ieee/symbol.scm 218 */
								if (KEYWORDP(BgL_symbolz00_11))
									{	/* Ieee/symbol.scm 218 */
										BgL_g1670z00_693 = GET_KEYWORD_PLIST(BgL_symbolz00_11);
									}
								else
									{	/* Ieee/symbol.scm 218 */
										BgL_g1670z00_693 =
											BGl_errorz00zz__errorz00
											(BGl_string2111z00zz__r4_symbols_6_4z00,
											BGl_string2112z00zz__r4_symbols_6_4z00, BgL_symbolz00_11);
									}
							}
						{
							obj_t BgL_plz00_694;

							BgL_plz00_694 = BgL_g1670z00_693;
						BgL_loopz00_695:
							if (NULLP(BgL_plz00_694))
								{	/* Ieee/symbol.scm 220 */
									return BFALSE;
								}
							else
								{	/* Ieee/symbol.scm 220 */
									if ((CAR(BgL_plz00_694) == BgL_keyz00_12))
										{	/* Ieee/symbol.scm 223 */
											obj_t BgL_pairz00_1197;

											BgL_pairz00_1197 = BgL_plz00_694;
											return CAR(CDR(BgL_pairz00_1197));
										}
									else
										{	/* Ieee/symbol.scm 225 */
											obj_t BgL_arg1751z00_698;

											{	/* Ieee/symbol.scm 225 */
												obj_t BgL_pairz00_1201;

												BgL_pairz00_1201 = BgL_plz00_694;
												BgL_arg1751z00_698 = CDR(CDR(BgL_pairz00_1201));
											}
											{
												obj_t BgL_plz00_1608;

												BgL_plz00_1608 = BgL_arg1751z00_698;
												BgL_plz00_694 = BgL_plz00_1608;
												goto BgL_loopz00_695;
											}
										}
								}
						}
					}
				else
					{	/* Ieee/symbol.scm 217 */
						return
							BGl_errorz00zz__errorz00(BGl_string2113z00zz__r4_symbols_6_4z00,
							BGl_string2112z00zz__r4_symbols_6_4z00, BgL_symbolz00_11);
					}
			}
		}
	}



/* _getprop */
	obj_t BGl__getpropz00zz__r4_symbols_6_4z00(obj_t BgL_envz00_1444,
		obj_t BgL_symbolz00_1445, obj_t BgL_keyz00_1446)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 216 */
			return
				BGl_getpropz00zz__r4_symbols_6_4z00(BgL_symbolz00_1445,
				BgL_keyz00_1446);
		}
	}



/* putprop! */
	BGL_EXPORTED_DEF obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t
		BgL_symbolz00_13, obj_t BgL_keyz00_14, obj_t BgL_valz00_15)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 231 */
			{	/* Ieee/symbol.scm 232 */
				bool_t BgL_testz00_1611;

				if (SYMBOLP(BgL_symbolz00_13))
					{	/* Ieee/symbol.scm 232 */
						BgL_testz00_1611 = ((bool_t) 1);
					}
				else
					{	/* Ieee/symbol.scm 232 */
						BgL_testz00_1611 = KEYWORDP(BgL_symbolz00_13);
					}
				if (BgL_testz00_1611)
					{	/* Ieee/symbol.scm 233 */
						obj_t BgL_g1671z00_702;

						if (SYMBOLP(BgL_symbolz00_13))
							{	/* Ieee/symbol.scm 233 */
								BgL_g1671z00_702 = GET_SYMBOL_PLIST(BgL_symbolz00_13);
							}
						else
							{	/* Ieee/symbol.scm 233 */
								if (KEYWORDP(BgL_symbolz00_13))
									{	/* Ieee/symbol.scm 233 */
										BgL_g1671z00_702 = GET_KEYWORD_PLIST(BgL_symbolz00_13);
									}
								else
									{	/* Ieee/symbol.scm 233 */
										BgL_g1671z00_702 =
											BGl_errorz00zz__errorz00
											(BGl_string2111z00zz__r4_symbols_6_4z00,
											BGl_string2112z00zz__r4_symbols_6_4z00, BgL_symbolz00_13);
									}
							}
						{
							obj_t BgL_plz00_703;

							BgL_plz00_703 = BgL_g1671z00_702;
						BgL_loopz00_704:
							if (NULLP(BgL_plz00_703))
								{	/* Ieee/symbol.scm 236 */
									obj_t BgL_newz00_706;

									{	/* Ieee/symbol.scm 236 */
										obj_t BgL_arg1757z00_708;

										{	/* Ieee/symbol.scm 236 */
											obj_t BgL_arg1758z00_709;

											if (SYMBOLP(BgL_symbolz00_13))
												{	/* Ieee/symbol.scm 236 */
													BgL_arg1758z00_709 =
														GET_SYMBOL_PLIST(BgL_symbolz00_13);
												}
											else
												{	/* Ieee/symbol.scm 236 */
													if (KEYWORDP(BgL_symbolz00_13))
														{	/* Ieee/symbol.scm 236 */
															BgL_arg1758z00_709 =
																GET_KEYWORD_PLIST(BgL_symbolz00_13);
														}
													else
														{	/* Ieee/symbol.scm 236 */
															BgL_arg1758z00_709 =
																BGl_errorz00zz__errorz00
																(BGl_string2111z00zz__r4_symbols_6_4z00,
																BGl_string2112z00zz__r4_symbols_6_4z00,
																BgL_symbolz00_13);
														}
												}
											{	/* Ieee/symbol.scm 236 */
												obj_t BgL_list1759z00_710;

												BgL_list1759z00_710 =
													MAKE_PAIR(BgL_arg1758z00_709, BNIL);
												BgL_arg1757z00_708 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_valz00_15, BgL_list1759z00_710);
											}
										}
										BgL_newz00_706 =
											MAKE_PAIR(BgL_keyz00_14, BgL_arg1757z00_708);
									}
									if (SYMBOLP(BgL_symbolz00_13))
										{	/* Ieee/symbol.scm 237 */
											SET_SYMBOL_PLIST(BgL_symbolz00_13, BgL_newz00_706);
										}
									else
										{	/* Ieee/symbol.scm 237 */
											SET_KEYWORD_PLIST(BgL_symbolz00_13, BgL_newz00_706);
										}
									return BgL_newz00_706;
								}
							else
								{	/* Ieee/symbol.scm 235 */
									if ((CAR(BgL_plz00_703) == BgL_keyz00_14))
										{	/* Ieee/symbol.scm 242 */
											obj_t BgL_auxz00_1641;

											BgL_auxz00_1641 = CDR(BgL_plz00_703);
											return SET_CAR(BgL_auxz00_1641, BgL_valz00_15);
										}
									else
										{	/* Ieee/symbol.scm 244 */
											obj_t BgL_arg1763z00_713;

											{	/* Ieee/symbol.scm 244 */
												obj_t BgL_pairz00_1223;

												BgL_pairz00_1223 = BgL_plz00_703;
												BgL_arg1763z00_713 = CDR(CDR(BgL_pairz00_1223));
											}
											{
												obj_t BgL_plz00_1646;

												BgL_plz00_1646 = BgL_arg1763z00_713;
												BgL_plz00_703 = BgL_plz00_1646;
												goto BgL_loopz00_704;
											}
										}
								}
						}
					}
				else
					{	/* Ieee/symbol.scm 232 */
						return
							BGl_errorz00zz__errorz00(BGl_string2113z00zz__r4_symbols_6_4z00,
							BGl_string2112z00zz__r4_symbols_6_4z00, BgL_symbolz00_13);
					}
			}
		}
	}



/* _putprop! */
	obj_t BGl__putpropz12z12zz__r4_symbols_6_4z00(obj_t BgL_envz00_1447,
		obj_t BgL_symbolz00_1448, obj_t BgL_keyz00_1449, obj_t BgL_valz00_1450)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 231 */
			return
				BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_1448,
				BgL_keyz00_1449, BgL_valz00_1450);
		}
	}



/* remprop! */
	BGL_EXPORTED_DEF obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t
		BgL_symbolz00_16, obj_t BgL_keyz00_17)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 250 */
			{	/* Ieee/symbol.scm 251 */
				bool_t BgL_testz00_1649;

				if (SYMBOLP(BgL_symbolz00_16))
					{	/* Ieee/symbol.scm 251 */
						BgL_testz00_1649 = ((bool_t) 1);
					}
				else
					{	/* Ieee/symbol.scm 251 */
						BgL_testz00_1649 = KEYWORDP(BgL_symbolz00_16);
					}
				if (BgL_testz00_1649)
					{	/* Ieee/symbol.scm 252 */
						obj_t BgL_g1673z00_718;

						if (SYMBOLP(BgL_symbolz00_16))
							{	/* Ieee/symbol.scm 253 */
								BgL_g1673z00_718 = GET_SYMBOL_PLIST(BgL_symbolz00_16);
							}
						else
							{	/* Ieee/symbol.scm 253 */
								if (KEYWORDP(BgL_symbolz00_16))
									{	/* Ieee/symbol.scm 253 */
										BgL_g1673z00_718 = GET_KEYWORD_PLIST(BgL_symbolz00_16);
									}
								else
									{	/* Ieee/symbol.scm 253 */
										BgL_g1673z00_718 =
											BGl_errorz00zz__errorz00
											(BGl_string2111z00zz__r4_symbols_6_4z00,
											BGl_string2112z00zz__r4_symbols_6_4z00, BgL_symbolz00_16);
									}
							}
						{
							obj_t BgL_oldz00_719;

							obj_t BgL_lz00_720;

							BgL_oldz00_719 = BNIL;
							BgL_lz00_720 = BgL_g1673z00_718;
						BgL_loopz00_721:
							if (NULLP(BgL_lz00_720))
								{	/* Ieee/symbol.scm 255 */
									return BFALSE;
								}
							else
								{	/* Ieee/symbol.scm 255 */
									if ((CAR(BgL_lz00_720) == BgL_keyz00_17))
										{	/* Ieee/symbol.scm 257 */
											if (PAIRP(BgL_oldz00_719))
												{	/* Ieee/symbol.scm 260 */
													obj_t BgL_arg1771z00_725;

													obj_t BgL_arg1772z00_726;

													BgL_arg1771z00_725 = CDR(BgL_oldz00_719);
													{	/* Ieee/symbol.scm 260 */
														obj_t BgL_pairz00_1238;

														BgL_pairz00_1238 = BgL_lz00_720;
														BgL_arg1772z00_726 = CDR(CDR(BgL_pairz00_1238));
													}
													return
														SET_CDR(BgL_arg1771z00_725, BgL_arg1772z00_726);
												}
											else
												{	/* Ieee/symbol.scm 259 */
													if (SYMBOLP(BgL_symbolz00_16))
														{	/* Ieee/symbol.scm 263 */
															obj_t BgL_arg1774z00_728;

															{	/* Ieee/symbol.scm 263 */
																obj_t BgL_pairz00_1245;

																BgL_pairz00_1245 = BgL_lz00_720;
																BgL_arg1774z00_728 = CDR(CDR(BgL_pairz00_1245));
															}
															return
																SET_SYMBOL_PLIST(BgL_symbolz00_16,
																BgL_arg1774z00_728);
														}
													else
														{	/* Ieee/symbol.scm 264 */
															obj_t BgL_arg1775z00_729;

															{	/* Ieee/symbol.scm 264 */
																obj_t BgL_pairz00_1249;

																BgL_pairz00_1249 = BgL_lz00_720;
																BgL_arg1775z00_729 = CDR(CDR(BgL_pairz00_1249));
															}
															return
																SET_KEYWORD_PLIST(BgL_symbolz00_16,
																BgL_arg1775z00_729);
														}
												}
										}
									else
										{	/* Ieee/symbol.scm 266 */
											obj_t BgL_arg1776z00_730;

											{	/* Ieee/symbol.scm 266 */
												obj_t BgL_pairz00_1253;

												BgL_pairz00_1253 = BgL_lz00_720;
												BgL_arg1776z00_730 = CDR(CDR(BgL_pairz00_1253));
											}
											{
												obj_t BgL_lz00_1682;

												obj_t BgL_oldz00_1681;

												BgL_oldz00_1681 = BgL_lz00_720;
												BgL_lz00_1682 = BgL_arg1776z00_730;
												BgL_lz00_720 = BgL_lz00_1682;
												BgL_oldz00_719 = BgL_oldz00_1681;
												goto BgL_loopz00_721;
											}
										}
								}
						}
					}
				else
					{	/* Ieee/symbol.scm 251 */
						return
							BGl_errorz00zz__errorz00(BGl_string2113z00zz__r4_symbols_6_4z00,
							BGl_string2112z00zz__r4_symbols_6_4z00, BgL_symbolz00_16);
					}
			}
		}
	}



/* _remprop! */
	obj_t BGl__rempropz12z12zz__r4_symbols_6_4z00(obj_t BgL_envz00_1451,
		obj_t BgL_symbolz00_1452, obj_t BgL_keyz00_1453)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 250 */
			return
				BGl_rempropz12z12zz__r4_symbols_6_4z00(BgL_symbolz00_1452,
				BgL_keyz00_1453);
		}
	}



/* keyword? */
	BGL_EXPORTED_DEF bool_t BGl_keywordzf3zf3zz__r4_symbols_6_4z00(obj_t
		BgL_objz00_18)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 272 */
			return KEYWORDP(BgL_objz00_18);
		}
	}



/* _keyword? */
	obj_t BGl__keywordzf3zf3zz__r4_symbols_6_4z00(obj_t BgL_envz00_1454,
		obj_t BgL_objz00_1455)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 272 */
			return BBOOL(KEYWORDP(BgL_objz00_1455));
		}
	}



/* keyword->string */
	BGL_EXPORTED_DEF obj_t BGl_keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t
		BgL_keywordz00_19)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 278 */
			return KEYWORD_TO_STRING(BgL_keywordz00_19);
		}
	}



/* _keyword->string */
	obj_t BGl__keywordzd2ze3stringz31zz__r4_symbols_6_4z00(obj_t BgL_envz00_1456,
		obj_t BgL_keywordz00_1457)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 278 */
			{	/* Ieee/symbol.scm 279 */
				obj_t BgL_keywordz00_1490;

				if (KEYWORDP(BgL_keywordz00_1457))
					{	/* Ieee/symbol.scm 279 */
						BgL_keywordz00_1490 = BgL_keywordz00_1457;
					}
				else
					{	/* Ieee/symbol.scm 279 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2114z00zz__r4_symbols_6_4z00,
							BGl_string2116z00zz__r4_symbols_6_4z00, BgL_keywordz00_1457);
						exit(-1);
					}
				return KEYWORD_TO_STRING(BgL_keywordz00_1490);
			}
		}
	}



/* keyword->string! */
	BGL_EXPORTED_DEF obj_t
		BGl_keywordzd2ze3stringz12z23zz__r4_symbols_6_4z00(obj_t BgL_keywordz00_20)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 284 */
			return KEYWORD_TO_STRING(BgL_keywordz00_20);
		}
	}



/* _keyword->string!2077 */
	obj_t BGl__keywordzd2ze3stringz122077z23zz__r4_symbols_6_4z00(obj_t
		BgL_envz00_1458, obj_t BgL_keywordz00_1459)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 284 */
			{	/* Ieee/symbol.scm 285 */
				obj_t BgL_keywordz00_1491;

				if (KEYWORDP(BgL_keywordz00_1459))
					{	/* Ieee/symbol.scm 285 */
						BgL_keywordz00_1491 = BgL_keywordz00_1459;
					}
				else
					{	/* Ieee/symbol.scm 285 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2117z00zz__r4_symbols_6_4z00,
							BGl_string2116z00zz__r4_symbols_6_4z00, BgL_keywordz00_1459);
						exit(-1);
					}
				return KEYWORD_TO_STRING(BgL_keywordz00_1491);
			}
		}
	}



/* string->keyword */
	BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t
		BgL_stringz00_21)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 290 */
			return string_to_keyword(BSTRING_TO_STRING(BgL_stringz00_21));
		}
	}



/* _string->keyword */
	obj_t BGl__stringzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t BgL_envz00_1460,
		obj_t BgL_stringz00_1461)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 290 */
			{	/* Ieee/symbol.scm 291 */
				obj_t BgL_stringz00_1492;

				if (STRINGP(BgL_stringz00_1461))
					{	/* Ieee/symbol.scm 291 */
						BgL_stringz00_1492 = BgL_stringz00_1461;
					}
				else
					{	/* Ieee/symbol.scm 291 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2119z00zz__r4_symbols_6_4z00,
							BGl_string2105z00zz__r4_symbols_6_4z00, BgL_stringz00_1461);
						exit(-1);
					}
				return string_to_keyword(BSTRING_TO_STRING(BgL_stringz00_1492));
			}
		}
	}



/* symbol->keyword */
	BGL_EXPORTED_DEF obj_t BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t
		BgL_symbolz00_22)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 296 */
			{	/* Ieee/symbol.scm 297 */
				obj_t BgL_arg1780z00_1257;

				BgL_arg1780z00_1257 = SYMBOL_TO_STRING(BgL_symbolz00_22);
				return string_to_keyword(BSTRING_TO_STRING(BgL_arg1780z00_1257));
			}
		}
	}



/* _symbol->keyword2078 */
	obj_t BGl__symbolzd2ze3keyword2078z31zz__r4_symbols_6_4z00(obj_t
		BgL_envz00_1462, obj_t BgL_symbolz00_1463)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 296 */
			{	/* Ieee/symbol.scm 297 */
				obj_t BgL_auxz00_1711;

				if (SYMBOLP(BgL_symbolz00_1463))
					{	/* Ieee/symbol.scm 297 */
						BgL_auxz00_1711 = BgL_symbolz00_1463;
					}
				else
					{	/* Ieee/symbol.scm 297 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2121z00zz__r4_symbols_6_4z00,
							BGl_string2100z00zz__r4_symbols_6_4z00, BgL_symbolz00_1463);
						exit(-1);
					}
				return BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(BgL_auxz00_1711);
			}
		}
	}



/* keyword->symbol */
	BGL_EXPORTED_DEF obj_t BGl_keywordzd2ze3symbolz31zz__r4_symbols_6_4z00(obj_t
		BgL_keywordz00_23)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 302 */
			{	/* Ieee/symbol.scm 303 */
				obj_t BgL_arg1781z00_1260;

				BgL_arg1781z00_1260 = KEYWORD_TO_STRING(BgL_keywordz00_23);
				return string_to_symbol(BSTRING_TO_STRING(BgL_arg1781z00_1260));
			}
		}
	}



/* _keyword->symbol2079 */
	obj_t BGl__keywordzd2ze3symbol2079z31zz__r4_symbols_6_4z00(obj_t
		BgL_envz00_1464, obj_t BgL_keywordz00_1465)
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 302 */
			{	/* Ieee/symbol.scm 303 */
				obj_t BgL_auxz00_1720;

				if (KEYWORDP(BgL_keywordz00_1465))
					{	/* Ieee/symbol.scm 303 */
						BgL_auxz00_1720 = BgL_keywordz00_1465;
					}
				else
					{	/* Ieee/symbol.scm 303 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2123z00zz__r4_symbols_6_4z00,
							BGl_string2116z00zz__r4_symbols_6_4z00, BgL_keywordz00_1465);
						exit(-1);
					}
				return BGl_keywordzd2ze3symbolz31zz__r4_symbols_6_4z00(BgL_auxz00_1720);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__r4_symbols_6_4z00()
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r4_symbols_6_4z00()
	{
		AN_OBJECT;
		{	/* Ieee/symbol.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2125z00zz__r4_symbols_6_4z00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 23161561),
				BSTRING_TO_STRING(BGl_string2125z00zz__r4_symbols_6_4z00));
		}
	}

#ifdef __cplusplus
}
#endif
