/*===========================================================================*/
/*   (Llib/bconfigure.scm)                                                   */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Llib/bconfigure.scm -indent -o objs/obj_u/Llib/bconfigure.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zz__configurez00();
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__configurez00 = BUNSPEC;
	static obj_t BGl_za2bigloozd2configurationza2zd2zz__configurez00 = BUNSPEC;
	static obj_t BGl__bigloozd2configuratio2145zd2zz__configurez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bigloozd2configurationzd2zz__configurez00();
	extern obj_t BGl_listzd2copyzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t string_to_bstring(char *);
	static obj_t BGl__bigloozd2configurationzd2zz__configurez00(obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__configurez00();
	static obj_t BGl_symbol2150z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2152z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2154z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2156z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2158z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2160z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2162z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2164z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__configurez00();
	static obj_t BGl_symbol2166z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2168z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2170z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2172z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2174z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2176z00zz__configurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_bigloozd2configurationzd2addzd2entryz12zc0zz__configurez00(obj_t,
		obj_t);
	static obj_t BGl_symbol2178z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2180z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2182z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2184z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2186z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2188z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2200z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2190z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2202z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2192z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2204z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2194z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2206z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2196z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2208z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2198z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2210z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2212z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2214z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2216z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2218z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2220z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2222z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2224z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2226z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2228z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2230z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2232z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2234z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2236z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2238z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2240z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2242z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2244z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2246z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2248z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2250z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2252z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2254z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2256z00zz__configurez00 = BUNSPEC;
	static obj_t BGl__bigloozd2configzd2zz__configurez00(obj_t, obj_t);
	static obj_t BGl_symbol2258z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_symbol2261z00zz__configurez00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__configurez00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2configurationzd2envz00zz__configurez00,
		BgL_bgl__biglooza7d2config2264za7,
		BGl__bigloozd2configurationzd2zz__configurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2configzd2envz00zz__configurez00,
		BgL_bgl__biglooza7d2config2265za7, BGl__bigloozd2configzd2zz__configurez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2151z00zz__configurez00,
		BgL_bgl_string2151za700za7za7_2266za7, "release-number", 14);
	      DEFINE_STRING(BGl_string2153z00zz__configurez00,
		BgL_bgl_string2153za700za7za7_2267za7, "specific-version", 16);
	      DEFINE_STRING(BGl_string2155z00zz__configurez00,
		BgL_bgl_string2155za700za7za7_2268za7, "homeurl", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2configurationzd2addzd2entryz12zd2envz12zz__configurez00,
		BgL_bgl__biglooza7d2config2269za7,
		BGl__bigloozd2configuratio2145zd2zz__configurez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2157z00zz__configurez00,
		BgL_bgl_string2157za700za7za7_2270za7, "shell", 5);
	      DEFINE_STRING(BGl_string2159z00zz__configurez00,
		BgL_bgl_string2159za700za7za7_2271za7, "c-compiler-style", 16);
	      DEFINE_STRING(BGl_string2161z00zz__configurez00,
		BgL_bgl_string2161za700za7za7_2272za7, "c-compiler", 10);
	      DEFINE_STRING(BGl_string2163z00zz__configurez00,
		BgL_bgl_string2163za700za7za7_2273za7, "c-compiler-o-option", 19);
	      DEFINE_STRING(BGl_string2165z00zz__configurez00,
		BgL_bgl_string2165za700za7za7_2274za7, "c-compiler-debug-option", 23);
	      DEFINE_STRING(BGl_string2167z00zz__configurez00,
		BgL_bgl_string2167za700za7za7_2275za7, "c-compiler-optim-flag", 21);
	      DEFINE_STRING(BGl_string2169z00zz__configurez00,
		BgL_bgl_string2169za700za7za7_2276za7, "c-flag", 6);
	      DEFINE_STRING(BGl_string2171z00zz__configurez00,
		BgL_bgl_string2171za700za7za7_2277za7, "c-strip-flag", 12);
	      DEFINE_STRING(BGl_string2173z00zz__configurez00,
		BgL_bgl_string2173za700za7za7_2278za7, "c-prof-flag", 11);
	      DEFINE_STRING(BGl_string2175z00zz__configurez00,
		BgL_bgl_string2175za700za7za7_2279za7, "c-object-file-extension", 23);
	      DEFINE_STRING(BGl_string2177z00zz__configurez00,
		BgL_bgl_string2177za700za7za7_2280za7, "c-string-split", 14);
	      DEFINE_STRING(BGl_string2179z00zz__configurez00,
		BgL_bgl_string2179za700za7za7_2281za7, "c-linker-style", 14);
	      DEFINE_STRING(BGl_string2181z00zz__configurez00,
		BgL_bgl_string2181za700za7za7_2282za7, "c-linker-o-option", 17);
	      DEFINE_STRING(BGl_string2183z00zz__configurez00,
		BgL_bgl_string2183za700za7za7_2283za7, "c-linker-debug-option", 21);
	      DEFINE_STRING(BGl_string2185z00zz__configurez00,
		BgL_bgl_string2185za700za7za7_2284za7, "c-linker-optim-flags", 20);
	      DEFINE_STRING(BGl_string2187z00zz__configurez00,
		BgL_bgl_string2187za700za7za7_2285za7, "ld-library-dir", 14);
	      DEFINE_STRING(BGl_string2189z00zz__configurez00,
		BgL_bgl_string2189za700za7za7_2286za7, "library-directory", 17);
	      DEFINE_STRING(BGl_string2201z00zz__configurez00,
		BgL_bgl_string2201za700za7za7_2287za7, "dirname-cmd", 11);
	      DEFINE_STRING(BGl_string2191z00zz__configurez00,
		BgL_bgl_string2191za700za7za7_2288za7, "non-custom-gc-directory", 23);
	      DEFINE_STRING(BGl_string2203z00zz__configurez00,
		BgL_bgl_string2203za700za7za7_2289za7, "library-base-name", 17);
	      DEFINE_STRING(BGl_string2193z00zz__configurez00,
		BgL_bgl_string2193za700za7za7_2290za7, "zip-directory", 13);
	      DEFINE_STRING(BGl_string2205z00zz__configurez00,
		BgL_bgl_string2205za700za7za7_2291za7, "heap-debug-copt", 15);
	      DEFINE_STRING(BGl_string2195z00zz__configurez00,
		BgL_bgl_string2195za700za7za7_2292za7, "dll-directory", 13);
	      DEFINE_STRING(BGl_string2207z00zz__configurez00,
		BgL_bgl_string2207za700za7za7_2293za7, "have-shared-library", 19);
	      DEFINE_STRING(BGl_string2197z00zz__configurez00,
		BgL_bgl_string2197za700za7za7_2294za7, "user-libraries", 14);
	      DEFINE_STRING(BGl_string2209z00zz__configurez00,
		BgL_bgl_string2209za700za7za7_2295za7, "shared-link-option", 18);
	      DEFINE_STRING(BGl_string2199z00zz__configurez00,
		BgL_bgl_string2199za700za7za7_2296za7, "c-beautifier", 12);
	      DEFINE_STRING(BGl_string2211z00zz__configurez00,
		BgL_bgl_string2211za700za7za7_2297za7, "static-link-option", 18);
	      DEFINE_STRING(BGl_string2213z00zz__configurez00,
		BgL_bgl_string2213za700za7za7_2298za7, "auto-finalizer", 14);
	      DEFINE_STRING(BGl_string2215z00zz__configurez00,
		BgL_bgl_string2215za700za7za7_2299za7, "have-dlopen", 11);
	      DEFINE_STRING(BGl_string2217z00zz__configurez00,
		BgL_bgl_string2217za700za7za7_2300za7, "dlopen-lib", 10);
	      DEFINE_STRING(BGl_string2219z00zz__configurez00,
		BgL_bgl_string2219za700za7za7_2301za7, "have-bigloo-abort", 17);
	      DEFINE_STRING(BGl_string2221z00zz__configurez00,
		BgL_bgl_string2221za700za7za7_2302za7, "java", 4);
	      DEFINE_STRING(BGl_string2223z00zz__configurez00,
		BgL_bgl_string2223za700za7za7_2303za7, "jar", 3);
	      DEFINE_STRING(BGl_string2225z00zz__configurez00,
		BgL_bgl_string2225za700za7za7_2304za7, "java-shell", 10);
	      DEFINE_STRING(BGl_string2227z00zz__configurez00,
		BgL_bgl_string2227za700za7za7_2305za7, "jflags", 6);
	      DEFINE_STRING(BGl_string2229z00zz__configurez00,
		BgL_bgl_string2229za700za7za7_2306za7, "jvflags", 7);
	      DEFINE_STRING(BGl_string2231z00zz__configurez00,
		BgL_bgl_string2231za700za7za7_2307za7, "dotnet-shell", 12);
	      DEFINE_STRING(BGl_string2233z00zz__configurez00,
		BgL_bgl_string2233za700za7za7_2308za7, "dotnet-ld", 9);
	      DEFINE_STRING(BGl_string2235z00zz__configurez00,
		BgL_bgl_string2235za700za7za7_2309za7, "dotnet-ld-style", 15);
	      DEFINE_STRING(BGl_string2237z00zz__configurez00,
		BgL_bgl_string2237za700za7za7_2310za7, "dotnet-clr", 10);
	      DEFINE_STRING(BGl_string2239z00zz__configurez00,
		BgL_bgl_string2239za700za7za7_2311za7, "dotnet-clr-style", 16);
	      DEFINE_STRING(BGl_string2241z00zz__configurez00,
		BgL_bgl_string2241za700za7za7_2312za7, "dotnet-clr-opt", 14);
	      DEFINE_STRING(BGl_string2243z00zz__configurez00,
		BgL_bgl_string2243za700za7za7_2313za7, "dotnet-asm", 10);
	      DEFINE_STRING(BGl_string2245z00zz__configurez00,
		BgL_bgl_string2245za700za7za7_2314za7, "default-back-end", 16);
	      DEFINE_STRING(BGl_string2247z00zz__configurez00,
		BgL_bgl_string2247za700za7za7_2315za7, "gc-lib", 6);
	      DEFINE_STRING(BGl_string2249z00zz__configurez00,
		BgL_bgl_string2249za700za7za7_2316za7, "gc-custom", 9);
	      DEFINE_STRING(BGl_string2251z00zz__configurez00,
		BgL_bgl_string2251za700za7za7_2317za7, "have-bdb", 8);
	      DEFINE_STRING(BGl_string2253z00zz__configurez00,
		BgL_bgl_string2253za700za7za7_2318za7, "dns-cache-enabled", 17);
	      DEFINE_STRING(BGl_string2255z00zz__configurez00,
		BgL_bgl_string2255za700za7za7_2319za7, "shell-mv", 8);
	      DEFINE_STRING(BGl_string2257z00zz__configurez00,
		BgL_bgl_string2257za700za7za7_2320za7, "shell-rm", 8);
	      DEFINE_STRING(BGl_string2260z00zz__configurez00,
		BgL_bgl_string2260za700za7za7_2321za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2259z00zz__configurez00,
		BgL_bgl_string2259za700za7za7_2322za7, "_bigloo-config", 14);
	      DEFINE_STRING(BGl_string2262z00zz__configurez00,
		BgL_bgl_string2262za700za7za7_2323za7, "_bigloo-configuratio2145", 24);
	      DEFINE_STRING(BGl_string2263z00zz__configurez00,
		BgL_bgl_string2263za700za7za7_2324za7, "__configure", 11);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long
		BgL_checksumz00_1422, char *BgL_fromz00_1423)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__configurez00))
				{
					BGl_requirezd2initializa7ationz75zz__configurez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__configurez00();
					BGl_importedzd2moduleszd2initz00zz__configurez00();
					BGl_toplevelzd2initzd2zz__configurez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__configurez00()
	{
		AN_OBJECT;
		{	/* Llib/bconfigure.scm 19 */
			BGl_symbol2150z00zz__configurez00 =
				bstring_to_symbol(BGl_string2151z00zz__configurez00);
			BGl_symbol2152z00zz__configurez00 =
				bstring_to_symbol(BGl_string2153z00zz__configurez00);
			BGl_symbol2154z00zz__configurez00 =
				bstring_to_symbol(BGl_string2155z00zz__configurez00);
			BGl_symbol2156z00zz__configurez00 =
				bstring_to_symbol(BGl_string2157z00zz__configurez00);
			BGl_symbol2158z00zz__configurez00 =
				bstring_to_symbol(BGl_string2159z00zz__configurez00);
			BGl_symbol2160z00zz__configurez00 =
				bstring_to_symbol(BGl_string2161z00zz__configurez00);
			BGl_symbol2162z00zz__configurez00 =
				bstring_to_symbol(BGl_string2163z00zz__configurez00);
			BGl_symbol2164z00zz__configurez00 =
				bstring_to_symbol(BGl_string2165z00zz__configurez00);
			BGl_symbol2166z00zz__configurez00 =
				bstring_to_symbol(BGl_string2167z00zz__configurez00);
			BGl_symbol2168z00zz__configurez00 =
				bstring_to_symbol(BGl_string2169z00zz__configurez00);
			BGl_symbol2170z00zz__configurez00 =
				bstring_to_symbol(BGl_string2171z00zz__configurez00);
			BGl_symbol2172z00zz__configurez00 =
				bstring_to_symbol(BGl_string2173z00zz__configurez00);
			BGl_symbol2174z00zz__configurez00 =
				bstring_to_symbol(BGl_string2175z00zz__configurez00);
			BGl_symbol2176z00zz__configurez00 =
				bstring_to_symbol(BGl_string2177z00zz__configurez00);
			BGl_symbol2178z00zz__configurez00 =
				bstring_to_symbol(BGl_string2179z00zz__configurez00);
			BGl_symbol2180z00zz__configurez00 =
				bstring_to_symbol(BGl_string2181z00zz__configurez00);
			BGl_symbol2182z00zz__configurez00 =
				bstring_to_symbol(BGl_string2183z00zz__configurez00);
			BGl_symbol2184z00zz__configurez00 =
				bstring_to_symbol(BGl_string2185z00zz__configurez00);
			BGl_symbol2186z00zz__configurez00 =
				bstring_to_symbol(BGl_string2187z00zz__configurez00);
			BGl_symbol2188z00zz__configurez00 =
				bstring_to_symbol(BGl_string2189z00zz__configurez00);
			BGl_symbol2190z00zz__configurez00 =
				bstring_to_symbol(BGl_string2191z00zz__configurez00);
			BGl_symbol2192z00zz__configurez00 =
				bstring_to_symbol(BGl_string2193z00zz__configurez00);
			BGl_symbol2194z00zz__configurez00 =
				bstring_to_symbol(BGl_string2195z00zz__configurez00);
			BGl_symbol2196z00zz__configurez00 =
				bstring_to_symbol(BGl_string2197z00zz__configurez00);
			BGl_symbol2198z00zz__configurez00 =
				bstring_to_symbol(BGl_string2199z00zz__configurez00);
			BGl_symbol2200z00zz__configurez00 =
				bstring_to_symbol(BGl_string2201z00zz__configurez00);
			BGl_symbol2202z00zz__configurez00 =
				bstring_to_symbol(BGl_string2203z00zz__configurez00);
			BGl_symbol2204z00zz__configurez00 =
				bstring_to_symbol(BGl_string2205z00zz__configurez00);
			BGl_symbol2206z00zz__configurez00 =
				bstring_to_symbol(BGl_string2207z00zz__configurez00);
			BGl_symbol2208z00zz__configurez00 =
				bstring_to_symbol(BGl_string2209z00zz__configurez00);
			BGl_symbol2210z00zz__configurez00 =
				bstring_to_symbol(BGl_string2211z00zz__configurez00);
			BGl_symbol2212z00zz__configurez00 =
				bstring_to_symbol(BGl_string2213z00zz__configurez00);
			BGl_symbol2214z00zz__configurez00 =
				bstring_to_symbol(BGl_string2215z00zz__configurez00);
			BGl_symbol2216z00zz__configurez00 =
				bstring_to_symbol(BGl_string2217z00zz__configurez00);
			BGl_symbol2218z00zz__configurez00 =
				bstring_to_symbol(BGl_string2219z00zz__configurez00);
			BGl_symbol2220z00zz__configurez00 =
				bstring_to_symbol(BGl_string2221z00zz__configurez00);
			BGl_symbol2222z00zz__configurez00 =
				bstring_to_symbol(BGl_string2223z00zz__configurez00);
			BGl_symbol2224z00zz__configurez00 =
				bstring_to_symbol(BGl_string2225z00zz__configurez00);
			BGl_symbol2226z00zz__configurez00 =
				bstring_to_symbol(BGl_string2227z00zz__configurez00);
			BGl_symbol2228z00zz__configurez00 =
				bstring_to_symbol(BGl_string2229z00zz__configurez00);
			BGl_symbol2230z00zz__configurez00 =
				bstring_to_symbol(BGl_string2231z00zz__configurez00);
			BGl_symbol2232z00zz__configurez00 =
				bstring_to_symbol(BGl_string2233z00zz__configurez00);
			BGl_symbol2234z00zz__configurez00 =
				bstring_to_symbol(BGl_string2235z00zz__configurez00);
			BGl_symbol2236z00zz__configurez00 =
				bstring_to_symbol(BGl_string2237z00zz__configurez00);
			BGl_symbol2238z00zz__configurez00 =
				bstring_to_symbol(BGl_string2239z00zz__configurez00);
			BGl_symbol2240z00zz__configurez00 =
				bstring_to_symbol(BGl_string2241z00zz__configurez00);
			BGl_symbol2242z00zz__configurez00 =
				bstring_to_symbol(BGl_string2243z00zz__configurez00);
			BGl_symbol2244z00zz__configurez00 =
				bstring_to_symbol(BGl_string2245z00zz__configurez00);
			BGl_symbol2246z00zz__configurez00 =
				bstring_to_symbol(BGl_string2247z00zz__configurez00);
			BGl_symbol2248z00zz__configurez00 =
				bstring_to_symbol(BGl_string2249z00zz__configurez00);
			BGl_symbol2250z00zz__configurez00 =
				bstring_to_symbol(BGl_string2251z00zz__configurez00);
			BGl_symbol2252z00zz__configurez00 =
				bstring_to_symbol(BGl_string2253z00zz__configurez00);
			BGl_symbol2254z00zz__configurez00 =
				bstring_to_symbol(BGl_string2255z00zz__configurez00);
			BGl_symbol2256z00zz__configurez00 =
				bstring_to_symbol(BGl_string2257z00zz__configurez00);
			BGl_symbol2258z00zz__configurez00 =
				bstring_to_symbol(BGl_string2259z00zz__configurez00);
			return (BGl_symbol2261z00zz__configurez00 =
				bstring_to_symbol(BGl_string2262z00zz__configurez00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__configurez00()
	{
		AN_OBJECT;
		{	/* Llib/bconfigure.scm 19 */
			{	/* Llib/bconfigure.scm 170 */
				obj_t BgL_arg1725z00_696;

				obj_t BgL_arg1726z00_697;

				BgL_arg1725z00_696 =
					MAKE_PAIR(BGl_symbol2150z00zz__configurez00,
					string_to_bstring(BGL_RELEASE_NUMBER));
				{	/* Llib/bconfigure.scm 171 */
					obj_t BgL_arg1727z00_698;

					obj_t BgL_arg1729z00_699;

					obj_t BgL_arg1730z00_700;

					obj_t BgL_arg1731z00_701;

					obj_t BgL_arg1732z00_702;

					obj_t BgL_arg1733z00_703;

					obj_t BgL_arg1734z00_704;

					obj_t BgL_arg1735z00_705;

					obj_t BgL_arg1736z00_706;

					obj_t BgL_arg1737z00_707;

					obj_t BgL_arg1738z00_708;

					obj_t BgL_arg1739z00_709;

					obj_t BgL_arg1740z00_710;

					obj_t BgL_arg1741z00_711;

					obj_t BgL_arg1742z00_712;

					obj_t BgL_arg1743z00_713;

					obj_t BgL_arg1744z00_714;

					obj_t BgL_arg1745z00_715;

					obj_t BgL_arg1746z00_716;

					obj_t BgL_arg1747z00_717;

					obj_t BgL_arg1748z00_718;

					obj_t BgL_arg1749z00_719;

					obj_t BgL_arg1750z00_720;

					obj_t BgL_arg1751z00_721;

					obj_t BgL_arg1752z00_722;

					obj_t BgL_arg1753z00_723;

					obj_t BgL_arg1754z00_724;

					obj_t BgL_arg1755z00_725;

					obj_t BgL_arg1756z00_726;

					obj_t BgL_arg1757z00_727;

					obj_t BgL_arg1758z00_728;

					obj_t BgL_arg1759z00_729;

					obj_t BgL_arg1760z00_730;

					obj_t BgL_arg1762z00_731;

					obj_t BgL_arg1763z00_732;

					obj_t BgL_arg1765z00_733;

					obj_t BgL_arg1766z00_734;

					obj_t BgL_arg1767z00_735;

					obj_t BgL_arg1768z00_736;

					obj_t BgL_arg1770z00_737;

					obj_t BgL_arg1771z00_738;

					obj_t BgL_arg1772z00_739;

					obj_t BgL_arg1773z00_740;

					obj_t BgL_arg1774z00_741;

					obj_t BgL_arg1775z00_742;

					obj_t BgL_arg1776z00_743;

					obj_t BgL_arg1778z00_744;

					obj_t BgL_arg1780z00_745;

					obj_t BgL_arg1781z00_746;

					obj_t BgL_arg1782z00_747;

					obj_t BgL_arg1783z00_748;

					obj_t BgL_arg1785z00_749;

					obj_t BgL_arg1786z00_750;

					BgL_arg1727z00_698 =
						MAKE_PAIR(BGl_symbol2152z00zz__configurez00,
						string_to_bstring(BGL_SPECIFIC_VERSION));
					BgL_arg1729z00_699 =
						MAKE_PAIR(BGl_symbol2154z00zz__configurez00,
						string_to_bstring(BGL_HOMEURL));
					BgL_arg1730z00_700 =
						MAKE_PAIR(BGl_symbol2156z00zz__configurez00,
						string_to_bstring(SHELL));
					BgL_arg1731z00_701 =
						MAKE_PAIR(BGl_symbol2158z00zz__configurez00,
						string_to_bstring(C_COMPILER_STYLE));
					BgL_arg1732z00_702 =
						MAKE_PAIR(BGl_symbol2160z00zz__configurez00,
						string_to_bstring(C_COMPILER));
					BgL_arg1733z00_703 =
						MAKE_PAIR(BGl_symbol2162z00zz__configurez00,
						string_to_bstring(C_COMPILER_O_OPTION));
					BgL_arg1734z00_704 =
						MAKE_PAIR(BGl_symbol2164z00zz__configurez00,
						string_to_bstring(C_COMPILER_DEBUG_OPTION));
					BgL_arg1735z00_705 =
						MAKE_PAIR(BGl_symbol2166z00zz__configurez00,
						string_to_bstring(C_COMPILER_OPTIM_FLAGS));
					BgL_arg1736z00_706 =
						MAKE_PAIR(BGl_symbol2168z00zz__configurez00,
						string_to_bstring(C_FLAGS));
					BgL_arg1737z00_707 =
						MAKE_PAIR(BGl_symbol2170z00zz__configurez00,
						string_to_bstring(C_STRIP_FLAGS));
					BgL_arg1738z00_708 =
						MAKE_PAIR(BGl_symbol2172z00zz__configurez00,
						string_to_bstring(C_PROFILE_FLAGS));
					BgL_arg1739z00_709 =
						MAKE_PAIR(BGl_symbol2174z00zz__configurez00,
						string_to_bstring(C_OBJECT_FILE_EXTENSION));
					BgL_arg1740z00_710 =
						MAKE_PAIR(BGl_symbol2176z00zz__configurez00, BBOOL(C_STRING_SPLIT));
					BgL_arg1741z00_711 =
						MAKE_PAIR(BGl_symbol2178z00zz__configurez00,
						string_to_bstring(C_LINKER_STYLE));
					BgL_arg1742z00_712 =
						MAKE_PAIR(BGl_symbol2180z00zz__configurez00,
						string_to_bstring(C_LINKER_O_OPTION));
					BgL_arg1743z00_713 =
						MAKE_PAIR(BGl_symbol2182z00zz__configurez00,
						string_to_bstring(C_LINKER_DEBUG_OPTION));
					BgL_arg1744z00_714 =
						MAKE_PAIR(BGl_symbol2184z00zz__configurez00,
						string_to_bstring(C_LINKER_OPTIM_FLAGS));
					BgL_arg1745z00_715 =
						MAKE_PAIR(BGl_symbol2186z00zz__configurez00,
						string_to_bstring(BGL_LD_LIBRARY_DIR));
					BgL_arg1746z00_716 =
						MAKE_PAIR(BGl_symbol2188z00zz__configurez00,
						string_to_bstring(LIBRARY_DIRECTORY));
					BgL_arg1747z00_717 =
						MAKE_PAIR(BGl_symbol2190z00zz__configurez00,
						string_to_bstring(BGL_NON_CUSTOM_GC_DIR));
					BgL_arg1748z00_718 =
						MAKE_PAIR(BGl_symbol2192z00zz__configurez00,
						string_to_bstring(ZIP_DIRECTORY));
					BgL_arg1749z00_719 =
						MAKE_PAIR(BGl_symbol2194z00zz__configurez00,
						string_to_bstring(DLL_DIRECTORY));
					BgL_arg1750z00_720 =
						MAKE_PAIR(BGl_symbol2196z00zz__configurez00,
						string_to_bstring(USER_LIBRARIES));
					BgL_arg1751z00_721 =
						MAKE_PAIR(BGl_symbol2198z00zz__configurez00,
						string_to_bstring(C_BEAUTIFIER));
					BgL_arg1752z00_722 =
						MAKE_PAIR(BGl_symbol2200z00zz__configurez00,
						string_to_bstring(DIRNAME_CMD));
					BgL_arg1753z00_723 =
						MAKE_PAIR(BGl_symbol2202z00zz__configurez00,
						string_to_bstring(LIBRARY_BASE_NAME));
					BgL_arg1754z00_724 =
						MAKE_PAIR(BGl_symbol2204z00zz__configurez00,
						string_to_bstring(BGL_HEAP_DEBUG_COPT));
					BgL_arg1755z00_725 =
						MAKE_PAIR(BGl_symbol2206z00zz__configurez00,
						BBOOL(HAVE_SHARED_LIBRARY));
					BgL_arg1756z00_726 =
						MAKE_PAIR(BGl_symbol2208z00zz__configurez00,
						string_to_bstring(ADDITIONAL_SHARED_LINK_OPTION));
					BgL_arg1757z00_727 =
						MAKE_PAIR(BGl_symbol2210z00zz__configurez00,
						string_to_bstring(ADDITIONAL_STATIC_LINK_OPTION));
					BgL_arg1758z00_728 =
						MAKE_PAIR(BGl_symbol2212z00zz__configurez00,
						BBOOL(BGL_AUTO_FINALIZER));
					BgL_arg1759z00_729 =
						MAKE_PAIR(BGl_symbol2214z00zz__configurez00, BBOOL(HAVE_DLOPEN));
					BgL_arg1760z00_730 =
						MAKE_PAIR(BGl_symbol2216z00zz__configurez00,
						string_to_bstring(DLOPEN_LD_OPT));
					BgL_arg1762z00_731 =
						MAKE_PAIR(BGl_symbol2218z00zz__configurez00,
						BBOOL(BGL_HAVE_BIGLOO_ABORT));
					BgL_arg1763z00_732 =
						MAKE_PAIR(BGl_symbol2220z00zz__configurez00,
						string_to_bstring(BGL_JAVA));
					BgL_arg1765z00_733 =
						MAKE_PAIR(BGl_symbol2222z00zz__configurez00,
						string_to_bstring(BGL_JAR));
					BgL_arg1766z00_734 =
						MAKE_PAIR(BGl_symbol2224z00zz__configurez00,
						string_to_bstring(BGL_JAVA_SHELL));
					BgL_arg1767z00_735 =
						MAKE_PAIR(BGl_symbol2226z00zz__configurez00,
						string_to_bstring(BGL_JAVA_OPT));
					BgL_arg1768z00_736 =
						MAKE_PAIR(BGl_symbol2228z00zz__configurez00,
						string_to_bstring(BGL_JAVA_VOPT));
					BgL_arg1770z00_737 =
						MAKE_PAIR(BGl_symbol2230z00zz__configurez00,
						string_to_bstring(BGL_DOTNET_SHELL));
					BgL_arg1771z00_738 =
						MAKE_PAIR(BGl_symbol2232z00zz__configurez00,
						string_to_bstring(BGL_DOTNET_LD));
					BgL_arg1772z00_739 =
						MAKE_PAIR(BGl_symbol2234z00zz__configurez00,
						string_to_bstring(BGL_DOTNET_LD_STYLE));
					BgL_arg1773z00_740 =
						MAKE_PAIR(BGl_symbol2236z00zz__configurez00,
						string_to_bstring(BGL_DOTNET_CLR));
					BgL_arg1774z00_741 =
						MAKE_PAIR(BGl_symbol2238z00zz__configurez00,
						string_to_bstring(BGL_DOTNET_CLR_STYLE));
					BgL_arg1775z00_742 =
						MAKE_PAIR(BGl_symbol2240z00zz__configurez00,
						string_to_bstring(BGL_DOTNET_CLR_OPT));
					BgL_arg1776z00_743 =
						MAKE_PAIR(BGl_symbol2242z00zz__configurez00,
						string_to_bstring(BGL_DOTNET_ASM));
					BgL_arg1778z00_744 =
						MAKE_PAIR(BGl_symbol2244z00zz__configurez00,
						string_to_bstring(BGL_DEFAULT_BACK_END));
					BgL_arg1780z00_745 =
						MAKE_PAIR(BGl_symbol2246z00zz__configurez00,
						string_to_bstring(BGL_GC_LIBRARY));
					BgL_arg1781z00_746 =
						MAKE_PAIR(BGl_symbol2248z00zz__configurez00, BBOOL(BGL_GC_CUSTOM));
					BgL_arg1782z00_747 =
						MAKE_PAIR(BGl_symbol2250z00zz__configurez00, BBOOL(BGL_HAVE_BDB));
					BgL_arg1783z00_748 =
						MAKE_PAIR(BGl_symbol2252z00zz__configurez00, BBOOL(BGL_DNS_CACHE));
					BgL_arg1785z00_749 =
						MAKE_PAIR(BGl_symbol2254z00zz__configurez00,
						string_to_bstring(BGL_SHELL_MV));
					BgL_arg1786z00_750 =
						MAKE_PAIR(BGl_symbol2256z00zz__configurez00,
						string_to_bstring(BGL_SHELL_RM));
					{	/* Llib/bconfigure.scm 170 */
						obj_t BgL_list1788z00_752;

						{	/* Llib/bconfigure.scm 170 */
							obj_t BgL_arg1789z00_753;

							{	/* Llib/bconfigure.scm 170 */
								obj_t BgL_arg1790z00_754;

								{	/* Llib/bconfigure.scm 170 */
									obj_t BgL_arg1791z00_755;

									{	/* Llib/bconfigure.scm 170 */
										obj_t BgL_arg1792z00_756;

										{	/* Llib/bconfigure.scm 170 */
											obj_t BgL_arg1793z00_757;

											{	/* Llib/bconfigure.scm 170 */
												obj_t BgL_arg1794z00_758;

												{	/* Llib/bconfigure.scm 170 */
													obj_t BgL_arg1795z00_759;

													{	/* Llib/bconfigure.scm 170 */
														obj_t BgL_arg1796z00_760;

														{	/* Llib/bconfigure.scm 170 */
															obj_t BgL_arg1797z00_761;

															{	/* Llib/bconfigure.scm 170 */
																obj_t BgL_arg1798z00_762;

																{	/* Llib/bconfigure.scm 170 */
																	obj_t BgL_arg1799z00_763;

																	{	/* Llib/bconfigure.scm 170 */
																		obj_t BgL_arg1800z00_764;

																		{	/* Llib/bconfigure.scm 170 */
																			obj_t BgL_arg1801z00_765;

																			{	/* Llib/bconfigure.scm 170 */
																				obj_t BgL_arg1802z00_766;

																				{	/* Llib/bconfigure.scm 170 */
																					obj_t BgL_arg1803z00_767;

																					{	/* Llib/bconfigure.scm 170 */
																						obj_t BgL_arg1804z00_768;

																						{	/* Llib/bconfigure.scm 170 */
																							obj_t BgL_arg1805z00_769;

																							{	/* Llib/bconfigure.scm 170 */
																								obj_t BgL_arg1806z00_770;

																								{	/* Llib/bconfigure.scm 170 */
																									obj_t BgL_arg1807z00_771;

																									{	/* Llib/bconfigure.scm 170 */
																										obj_t BgL_arg1808z00_772;

																										{	/* Llib/bconfigure.scm 170 */
																											obj_t BgL_arg1809z00_773;

																											{	/* Llib/bconfigure.scm 170 */
																												obj_t
																													BgL_arg1810z00_774;
																												{	/* Llib/bconfigure.scm 170 */
																													obj_t
																														BgL_arg1811z00_775;
																													{	/* Llib/bconfigure.scm 170 */
																														obj_t
																															BgL_arg1812z00_776;
																														{	/* Llib/bconfigure.scm 170 */
																															obj_t
																																BgL_arg1813z00_777;
																															{	/* Llib/bconfigure.scm 170 */
																																obj_t
																																	BgL_arg1814z00_778;
																																{	/* Llib/bconfigure.scm 170 */
																																	obj_t
																																		BgL_arg1815z00_779;
																																	{	/* Llib/bconfigure.scm 170 */
																																		obj_t
																																			BgL_arg1816z00_780;
																																		{	/* Llib/bconfigure.scm 170 */
																																			obj_t
																																				BgL_arg1817z00_781;
																																			{	/* Llib/bconfigure.scm 170 */
																																				obj_t
																																					BgL_arg1818z00_782;
																																				{	/* Llib/bconfigure.scm 170 */
																																					obj_t
																																						BgL_arg1819z00_783;
																																					{	/* Llib/bconfigure.scm 170 */
																																						obj_t
																																							BgL_arg1820z00_784;
																																						{	/* Llib/bconfigure.scm 170 */
																																							obj_t
																																								BgL_arg1821z00_785;
																																							{	/* Llib/bconfigure.scm 170 */
																																								obj_t
																																									BgL_arg1822z00_786;
																																								{	/* Llib/bconfigure.scm 170 */
																																									obj_t
																																										BgL_arg1823z00_787;
																																									{	/* Llib/bconfigure.scm 170 */
																																										obj_t
																																											BgL_arg1824z00_788;
																																										{	/* Llib/bconfigure.scm 170 */
																																											obj_t
																																												BgL_arg1825z00_789;
																																											{	/* Llib/bconfigure.scm 170 */
																																												obj_t
																																													BgL_arg1826z00_790;
																																												{	/* Llib/bconfigure.scm 170 */
																																													obj_t
																																														BgL_arg1827z00_791;
																																													{	/* Llib/bconfigure.scm 170 */
																																														obj_t
																																															BgL_arg1828z00_792;
																																														{	/* Llib/bconfigure.scm 170 */
																																															obj_t
																																																BgL_arg1829z00_793;
																																															{	/* Llib/bconfigure.scm 170 */
																																																obj_t
																																																	BgL_arg1830z00_794;
																																																{	/* Llib/bconfigure.scm 170 */
																																																	obj_t
																																																		BgL_arg1831z00_795;
																																																	{	/* Llib/bconfigure.scm 170 */
																																																		obj_t
																																																			BgL_arg1832z00_796;
																																																		{	/* Llib/bconfigure.scm 170 */
																																																			obj_t
																																																				BgL_arg1833z00_797;
																																																			{	/* Llib/bconfigure.scm 170 */
																																																				obj_t
																																																					BgL_arg1834z00_798;
																																																				{	/* Llib/bconfigure.scm 170 */
																																																					obj_t
																																																						BgL_arg1835z00_799;
																																																					{	/* Llib/bconfigure.scm 170 */
																																																						obj_t
																																																							BgL_arg1836z00_800;
																																																						{	/* Llib/bconfigure.scm 170 */
																																																							obj_t
																																																								BgL_arg1837z00_801;
																																																							{	/* Llib/bconfigure.scm 170 */
																																																								obj_t
																																																									BgL_arg1838z00_802;
																																																								{	/* Llib/bconfigure.scm 170 */
																																																									obj_t
																																																										BgL_arg1839z00_803;
																																																									{	/* Llib/bconfigure.scm 170 */
																																																										obj_t
																																																											BgL_arg1840z00_804;
																																																										BgL_arg1840z00_804
																																																											=
																																																											MAKE_PAIR
																																																											(BNIL,
																																																											BNIL);
																																																										BgL_arg1839z00_803
																																																											=
																																																											MAKE_PAIR
																																																											(BgL_arg1786z00_750,
																																																											BgL_arg1840z00_804);
																																																									}
																																																									BgL_arg1838z00_802
																																																										=
																																																										MAKE_PAIR
																																																										(BgL_arg1785z00_749,
																																																										BgL_arg1839z00_803);
																																																								}
																																																								BgL_arg1837z00_801
																																																									=
																																																									MAKE_PAIR
																																																									(BgL_arg1783z00_748,
																																																									BgL_arg1838z00_802);
																																																							}
																																																							BgL_arg1836z00_800
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_arg1782z00_747,
																																																								BgL_arg1837z00_801);
																																																						}
																																																						BgL_arg1835z00_799
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_arg1781z00_746,
																																																							BgL_arg1836z00_800);
																																																					}
																																																					BgL_arg1834z00_798
																																																						=
																																																						MAKE_PAIR
																																																						(BgL_arg1780z00_745,
																																																						BgL_arg1835z00_799);
																																																				}
																																																				BgL_arg1833z00_797
																																																					=
																																																					MAKE_PAIR
																																																					(BgL_arg1778z00_744,
																																																					BgL_arg1834z00_798);
																																																			}
																																																			BgL_arg1832z00_796
																																																				=
																																																				MAKE_PAIR
																																																				(BgL_arg1776z00_743,
																																																				BgL_arg1833z00_797);
																																																		}
																																																		BgL_arg1831z00_795
																																																			=
																																																			MAKE_PAIR
																																																			(BgL_arg1775z00_742,
																																																			BgL_arg1832z00_796);
																																																	}
																																																	BgL_arg1830z00_794
																																																		=
																																																		MAKE_PAIR
																																																		(BgL_arg1774z00_741,
																																																		BgL_arg1831z00_795);
																																																}
																																																BgL_arg1829z00_793
																																																	=
																																																	MAKE_PAIR
																																																	(BgL_arg1773z00_740,
																																																	BgL_arg1830z00_794);
																																															}
																																															BgL_arg1828z00_792
																																																=
																																																MAKE_PAIR
																																																(BgL_arg1772z00_739,
																																																BgL_arg1829z00_793);
																																														}
																																														BgL_arg1827z00_791
																																															=
																																															MAKE_PAIR
																																															(BgL_arg1771z00_738,
																																															BgL_arg1828z00_792);
																																													}
																																													BgL_arg1826z00_790
																																														=
																																														MAKE_PAIR
																																														(BgL_arg1770z00_737,
																																														BgL_arg1827z00_791);
																																												}
																																												BgL_arg1825z00_789
																																													=
																																													MAKE_PAIR
																																													(BgL_arg1768z00_736,
																																													BgL_arg1826z00_790);
																																											}
																																											BgL_arg1824z00_788
																																												=
																																												MAKE_PAIR
																																												(BgL_arg1767z00_735,
																																												BgL_arg1825z00_789);
																																										}
																																										BgL_arg1823z00_787
																																											=
																																											MAKE_PAIR
																																											(BgL_arg1766z00_734,
																																											BgL_arg1824z00_788);
																																									}
																																									BgL_arg1822z00_786
																																										=
																																										MAKE_PAIR
																																										(BgL_arg1765z00_733,
																																										BgL_arg1823z00_787);
																																								}
																																								BgL_arg1821z00_785
																																									=
																																									MAKE_PAIR
																																									(BgL_arg1763z00_732,
																																									BgL_arg1822z00_786);
																																							}
																																							BgL_arg1820z00_784
																																								=
																																								MAKE_PAIR
																																								(BgL_arg1762z00_731,
																																								BgL_arg1821z00_785);
																																						}
																																						BgL_arg1819z00_783
																																							=
																																							MAKE_PAIR
																																							(BgL_arg1760z00_730,
																																							BgL_arg1820z00_784);
																																					}
																																					BgL_arg1818z00_782
																																						=
																																						MAKE_PAIR
																																						(BgL_arg1759z00_729,
																																						BgL_arg1819z00_783);
																																				}
																																				BgL_arg1817z00_781
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1758z00_728,
																																					BgL_arg1818z00_782);
																																			}
																																			BgL_arg1816z00_780
																																				=
																																				MAKE_PAIR
																																				(BgL_arg1757z00_727,
																																				BgL_arg1817z00_781);
																																		}
																																		BgL_arg1815z00_779
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1756z00_726,
																																			BgL_arg1816z00_780);
																																	}
																																	BgL_arg1814z00_778
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1755z00_725,
																																		BgL_arg1815z00_779);
																																}
																																BgL_arg1813z00_777
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1754z00_724,
																																	BgL_arg1814z00_778);
																															}
																															BgL_arg1812z00_776
																																=
																																MAKE_PAIR
																																(BgL_arg1753z00_723,
																																BgL_arg1813z00_777);
																														}
																														BgL_arg1811z00_775 =
																															MAKE_PAIR
																															(BgL_arg1752z00_722,
																															BgL_arg1812z00_776);
																													}
																													BgL_arg1810z00_774 =
																														MAKE_PAIR
																														(BgL_arg1751z00_721,
																														BgL_arg1811z00_775);
																												}
																												BgL_arg1809z00_773 =
																													MAKE_PAIR
																													(BgL_arg1750z00_720,
																													BgL_arg1810z00_774);
																											}
																											BgL_arg1808z00_772 =
																												MAKE_PAIR
																												(BgL_arg1749z00_719,
																												BgL_arg1809z00_773);
																										}
																										BgL_arg1807z00_771 =
																											MAKE_PAIR
																											(BgL_arg1748z00_718,
																											BgL_arg1808z00_772);
																									}
																									BgL_arg1806z00_770 =
																										MAKE_PAIR
																										(BgL_arg1747z00_717,
																										BgL_arg1807z00_771);
																								}
																								BgL_arg1805z00_769 =
																									MAKE_PAIR(BgL_arg1746z00_716,
																									BgL_arg1806z00_770);
																							}
																							BgL_arg1804z00_768 =
																								MAKE_PAIR(BgL_arg1745z00_715,
																								BgL_arg1805z00_769);
																						}
																						BgL_arg1803z00_767 =
																							MAKE_PAIR(BgL_arg1744z00_714,
																							BgL_arg1804z00_768);
																					}
																					BgL_arg1802z00_766 =
																						MAKE_PAIR(BgL_arg1743z00_713,
																						BgL_arg1803z00_767);
																				}
																				BgL_arg1801z00_765 =
																					MAKE_PAIR(BgL_arg1742z00_712,
																					BgL_arg1802z00_766);
																			}
																			BgL_arg1800z00_764 =
																				MAKE_PAIR(BgL_arg1741z00_711,
																				BgL_arg1801z00_765);
																		}
																		BgL_arg1799z00_763 =
																			MAKE_PAIR(BgL_arg1740z00_710,
																			BgL_arg1800z00_764);
																	}
																	BgL_arg1798z00_762 =
																		MAKE_PAIR(BgL_arg1739z00_709,
																		BgL_arg1799z00_763);
																}
																BgL_arg1797z00_761 =
																	MAKE_PAIR(BgL_arg1738z00_708,
																	BgL_arg1798z00_762);
															}
															BgL_arg1796z00_760 =
																MAKE_PAIR(BgL_arg1737z00_707,
																BgL_arg1797z00_761);
														}
														BgL_arg1795z00_759 =
															MAKE_PAIR(BgL_arg1736z00_706, BgL_arg1796z00_760);
													}
													BgL_arg1794z00_758 =
														MAKE_PAIR(BgL_arg1735z00_705, BgL_arg1795z00_759);
												}
												BgL_arg1793z00_757 =
													MAKE_PAIR(BgL_arg1734z00_704, BgL_arg1794z00_758);
											}
											BgL_arg1792z00_756 =
												MAKE_PAIR(BgL_arg1733z00_703, BgL_arg1793z00_757);
										}
										BgL_arg1791z00_755 =
											MAKE_PAIR(BgL_arg1732z00_702, BgL_arg1792z00_756);
									}
									BgL_arg1790z00_754 =
										MAKE_PAIR(BgL_arg1731z00_701, BgL_arg1791z00_755);
								}
								BgL_arg1789z00_753 =
									MAKE_PAIR(BgL_arg1730z00_700, BgL_arg1790z00_754);
							}
							BgL_list1788z00_752 =
								MAKE_PAIR(BgL_arg1729z00_699, BgL_arg1789z00_753);
						}
						BgL_arg1726z00_697 =
							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1727z00_698,
							BgL_list1788z00_752);
					}
				}
				return (BGl_za2bigloozd2configurationza2zd2zz__configurez00 =
					MAKE_PAIR(BgL_arg1725z00_696, BgL_arg1726z00_697), BUNSPEC);
			}
		}
	}



/* bigloo-config */
	BGL_EXPORTED_DEF obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t
		BgL_configz00_1)
	{
		AN_OBJECT;
		{	/* Llib/bconfigure.scm 228 */
			{	/* Llib/bconfigure.scm 229 */
				obj_t BgL_cz00_1244;

				BgL_cz00_1244 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_configz00_1,
					BGl_listzd2copyzd2zz__r4_pairs_and_lists_6_3z00
					(BGl_za2bigloozd2configurationza2zd2zz__configurez00));
				if (PAIRP(BgL_cz00_1244))
					{	/* Llib/bconfigure.scm 229 */
						return CDR(BgL_cz00_1244);
					}
				else
					{	/* Llib/bconfigure.scm 229 */
						return BUNSPEC;
					}
			}
		}
	}



/* _bigloo-config */
	obj_t BGl__bigloozd2configzd2zz__configurez00(obj_t BgL_envz00_1412,
		obj_t BgL_configz00_1413)
	{
		AN_OBJECT;
		{	/* Llib/bconfigure.scm 228 */
			{	/* Llib/bconfigure.scm 229 */
				obj_t BgL_auxz00_1654;

				if (SYMBOLP(BgL_configz00_1413))
					{	/* Llib/bconfigure.scm 229 */
						BgL_auxz00_1654 = BgL_configz00_1413;
					}
				else
					{	/* Llib/bconfigure.scm 229 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2258z00zz__configurez00,
							BGl_string2260z00zz__configurez00, BgL_configz00_1413);
						exit(-1);
					}
				return BGl_bigloozd2configzd2zz__configurez00(BgL_auxz00_1654);
			}
		}
	}



/* bigloo-configuration */
	BGL_EXPORTED_DEF obj_t BGl_bigloozd2configurationzd2zz__configurez00()
	{
		AN_OBJECT;
		{	/* Llib/bconfigure.scm 237 */
			return
				BGl_listzd2copyzd2zz__r4_pairs_and_lists_6_3z00
				(BGl_za2bigloozd2configurationza2zd2zz__configurez00);
		}
	}



/* _bigloo-configuration */
	obj_t BGl__bigloozd2configurationzd2zz__configurez00(obj_t BgL_envz00_1414)
	{
		AN_OBJECT;
		{	/* Llib/bconfigure.scm 237 */
			return BGl_bigloozd2configurationzd2zz__configurez00();
		}
	}



/* bigloo-configuration-add-entry! */
	BGL_EXPORTED_DEF obj_t
		BGl_bigloozd2configurationzd2addzd2entryz12zc0zz__configurez00(obj_t
		BgL_keyz00_2, obj_t BgL_valz00_3)
	{
		AN_OBJECT;
		{	/* Llib/bconfigure.scm 243 */
			{	/* Llib/bconfigure.scm 244 */
				obj_t BgL_arg1843z00_1250;

				BgL_arg1843z00_1250 = MAKE_PAIR(BgL_keyz00_2, BgL_valz00_3);
				return (BGl_za2bigloozd2configurationza2zd2zz__configurez00 =
					MAKE_PAIR(BgL_arg1843z00_1250,
						BGl_za2bigloozd2configurationza2zd2zz__configurez00), BUNSPEC);
			}
		}
	}



/* _bigloo-configuratio2145 */
	obj_t BGl__bigloozd2configuratio2145zd2zz__configurez00(obj_t BgL_envz00_1415,
		obj_t BgL_keyz00_1416, obj_t BgL_valz00_1417)
	{
		AN_OBJECT;
		{	/* Llib/bconfigure.scm 243 */
			{	/* Llib/bconfigure.scm 244 */
				obj_t BgL_auxz00_1664;

				if (SYMBOLP(BgL_keyz00_1416))
					{	/* Llib/bconfigure.scm 244 */
						BgL_auxz00_1664 = BgL_keyz00_1416;
					}
				else
					{	/* Llib/bconfigure.scm 244 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2261z00zz__configurez00,
							BGl_string2260z00zz__configurez00, BgL_keyz00_1416);
						exit(-1);
					}
				return
					BGl_bigloozd2configurationzd2addzd2entryz12zc0zz__configurez00
					(BgL_auxz00_1664, BgL_valz00_1417);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__configurez00()
	{
		AN_OBJECT;
		{	/* Llib/bconfigure.scm 19 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__configurez00()
	{
		AN_OBJECT;
		{	/* Llib/bconfigure.scm 19 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2263z00zz__configurez00));
		}
	}

#ifdef __cplusplus
}
#endif
