/*===========================================================================*/
/*   (Llib/custom.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Llib/custom.scm -indent -o objs/obj_u/Llib/custom.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__customz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl__customzf3zf3zz__customz00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_customzf3zf3zz__customz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_customzd2nilzd2zz__customz00();
	static obj_t BGl_requirezd2initializa7ationz75zz__customz00 = BUNSPEC;
	static obj_t BGl__customzd2identifierzd2zz__customz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_customzd2hashzd2zz__customz00(obj_t, int);
	extern obj_t bgl_custom_nil();
	extern obj_t string_to_bstring(char *);
	static obj_t BGl__customzd2equalzf3z21zz__customz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2033z00zz__customz00 = BUNSPEC;
	static obj_t BGl_symbol2036z00zz__customz00 = BUNSPEC;
	static obj_t BGl_symbol2038z00zz__customz00 = BUNSPEC;
	static obj_t BGl_symbol2041z00zz__customz00 = BUNSPEC;
	static obj_t BGl__customzd2nilzd2zz__customz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__customz00();
	BGL_EXPORTED_DECL bool_t BGl_customzd2equalzf3z21zz__customz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__customz00();
	static obj_t BGl__customzd2identifierzd2setz12z12zz__customz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_customzd2identifierzd2setz12z12zz__customz00(obj_t, char *);
	BGL_EXPORTED_DECL char *BGl_customzd2identifierzd2zz__customz00(obj_t);
	static obj_t BGl__customzd2hashzd2zz__customz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__customz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_customzd2equalzf3zd2envzf3zz__customz00,
		BgL_bgl__customza7d2equalza72045z00, BGl__customzd2equalzf3z21zz__customz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2034z00zz__customz00,
		BgL_bgl_string2034za700za7za7_2046za7, "_custom-equal?", 14);
	      DEFINE_STRING(BGl_string2035z00zz__customz00,
		BgL_bgl_string2035za700za7za7_2047za7, "custom", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_customzd2identifierzd2envz00zz__customz00,
		BgL_bgl__customza7d2identi2048za7, BGl__customzd2identifierzd2zz__customz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2037z00zz__customz00,
		BgL_bgl_string2037za700za7za7_2049za7, "_custom-identifier", 18);
	      DEFINE_STRING(BGl_string2040z00zz__customz00,
		BgL_bgl_string2040za700za7za7_2050za7, "string", 6);
	      DEFINE_STRING(BGl_string2039z00zz__customz00,
		BgL_bgl_string2039za700za7za7_2051za7, "_custom-identifier-set!", 23);
	      DEFINE_STRING(BGl_string2042z00zz__customz00,
		BgL_bgl_string2042za700za7za7_2052za7, "_custom-hash", 12);
	      DEFINE_STRING(BGl_string2043z00zz__customz00,
		BgL_bgl_string2043za700za7za7_2053za7, "int", 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_customzf3zd2envz21zz__customz00,
		BgL_bgl__customza7f3za7f3za7za7_2054z00, BGl__customzf3zf3zz__customz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2044z00zz__customz00,
		BgL_bgl_string2044za700za7za7_2055za7, "__custom", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_customzd2identifierzd2setz12zd2envzc0zz__customz00,
		BgL_bgl__customza7d2identi2056za7,
		BGl__customzd2identifierzd2setz12z12zz__customz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_customzd2hashzd2envz00zz__customz00,
		BgL_bgl__customza7d2hashza7d2057z00, BGl__customzd2hashzd2zz__customz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_customzd2nilzd2envz00zz__customz00,
		BgL_bgl__customza7d2nilza7d22058z00, BGl__customzd2nilzd2zz__customz00, 0L,
		BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__customz00(long
		BgL_checksumz00_1314, char *BgL_fromz00_1315)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__customz00))
				{
					BGl_requirezd2initializa7ationz75zz__customz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__customz00();
					BGl_importedzd2moduleszd2initz00zz__customz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__customz00()
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 14 */
			BGl_symbol2033z00zz__customz00 =
				bstring_to_symbol(BGl_string2034z00zz__customz00);
			BGl_symbol2036z00zz__customz00 =
				bstring_to_symbol(BGl_string2037z00zz__customz00);
			BGl_symbol2038z00zz__customz00 =
				bstring_to_symbol(BGl_string2039z00zz__customz00);
			return (BGl_symbol2041z00zz__customz00 =
				bstring_to_symbol(BGl_string2042z00zz__customz00), BUNSPEC);
		}
	}



/* custom? */
	BGL_EXPORTED_DEF bool_t BGl_customzf3zf3zz__customz00(obj_t BgL_objz00_1)
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 83 */
			return CUSTOMP(BgL_objz00_1);
		}
	}



/* _custom? */
	obj_t BGl__customzf3zf3zz__customz00(obj_t BgL_envz00_1280,
		obj_t BgL_objz00_1281)
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 83 */
			return BBOOL(CUSTOMP(BgL_objz00_1281));
		}
	}



/* custom-nil */
	BGL_EXPORTED_DEF obj_t BGl_customzd2nilzd2zz__customz00()
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 89 */
			return bgl_custom_nil();
		}
	}



/* _custom-nil */
	obj_t BGl__customzd2nilzd2zz__customz00(obj_t BgL_envz00_1282)
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 89 */
			return bgl_custom_nil();
		}
	}



/* custom-equal? */
	BGL_EXPORTED_DEF bool_t BGl_customzd2equalzf3z21zz__customz00(obj_t
		BgL_obj1z00_2, obj_t BgL_obj2z00_3)
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 95 */
			return CUSTOM_CMP(BgL_obj1z00_2, BgL_obj2z00_3);
		}
	}



/* _custom-equal? */
	obj_t BGl__customzd2equalzf3z21zz__customz00(obj_t BgL_envz00_1283,
		obj_t BgL_obj1z00_1284, obj_t BgL_obj2z00_1285)
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 95 */
			{	/* Llib/custom.scm 96 */
				bool_t BgL_auxz00_1331;

				{	/* Llib/custom.scm 96 */
					obj_t BgL_obj1z00_1309;

					obj_t BgL_obj2z00_1310;

					if (CUSTOMP(BgL_obj1z00_1284))
						{	/* Llib/custom.scm 96 */
							BgL_obj1z00_1309 = BgL_obj1z00_1284;
						}
					else
						{	/* Llib/custom.scm 96 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2033z00zz__customz00, BGl_string2035z00zz__customz00,
								BgL_obj1z00_1284);
							exit(-1);
						}
					if (CUSTOMP(BgL_obj2z00_1285))
						{	/* Llib/custom.scm 96 */
							BgL_obj2z00_1310 = BgL_obj2z00_1285;
						}
					else
						{	/* Llib/custom.scm 96 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2033z00zz__customz00, BGl_string2035z00zz__customz00,
								BgL_obj2z00_1285);
							exit(-1);
						}
					BgL_auxz00_1331 = CUSTOM_CMP(BgL_obj1z00_1309, BgL_obj2z00_1310);
				}
				return BBOOL(BgL_auxz00_1331);
			}
		}
	}



/* custom-identifier */
	BGL_EXPORTED_DEF char *BGl_customzd2identifierzd2zz__customz00(obj_t
		BgL_customz00_4)
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 101 */
			return CUSTOM_IDENTIFIER(BgL_customz00_4);
		}
	}



/* _custom-identifier */
	obj_t BGl__customzd2identifierzd2zz__customz00(obj_t BgL_envz00_1286,
		obj_t BgL_customz00_1287)
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 101 */
			{	/* Llib/custom.scm 102 */
				char *BgL_auxz00_1343;

				{	/* Llib/custom.scm 102 */
					obj_t BgL_customz00_1311;

					if (CUSTOMP(BgL_customz00_1287))
						{	/* Llib/custom.scm 102 */
							BgL_customz00_1311 = BgL_customz00_1287;
						}
					else
						{	/* Llib/custom.scm 102 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2036z00zz__customz00, BGl_string2035z00zz__customz00,
								BgL_customz00_1287);
							exit(-1);
						}
					BgL_auxz00_1343 = CUSTOM_IDENTIFIER(BgL_customz00_1311);
				}
				return string_to_bstring(BgL_auxz00_1343);
			}
		}
	}



/* custom-identifier-set! */
	BGL_EXPORTED_DEF obj_t BGl_customzd2identifierzd2setz12z12zz__customz00(obj_t
		BgL_customz00_5, char *BgL_strz00_6)
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 107 */
			return CUSTOM_IDENTIFIER_SET(BgL_customz00_5, BgL_strz00_6);
		}
	}



/* _custom-identifier-set! */
	obj_t BGl__customzd2identifierzd2setz12z12zz__customz00(obj_t BgL_envz00_1288,
		obj_t BgL_customz00_1289, obj_t BgL_strz00_1290)
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 107 */
			{	/* Llib/custom.scm 108 */
				obj_t BgL_customz00_1312;

				char *BgL_strz00_1313;

				if (CUSTOMP(BgL_customz00_1289))
					{	/* Llib/custom.scm 108 */
						BgL_customz00_1312 = BgL_customz00_1289;
					}
				else
					{	/* Llib/custom.scm 108 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2038z00zz__customz00, BGl_string2035z00zz__customz00,
							BgL_customz00_1289);
						exit(-1);
					}
				{	/* Llib/custom.scm 108 */
					obj_t BgL_auxz00_1355;

					if (STRINGP(BgL_strz00_1290))
						{	/* Llib/custom.scm 108 */
							BgL_auxz00_1355 = BgL_strz00_1290;
						}
					else
						{	/* Llib/custom.scm 108 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2038z00zz__customz00, BGl_string2040z00zz__customz00,
								BgL_strz00_1290);
							exit(-1);
						}
					BgL_strz00_1313 = BSTRING_TO_STRING(BgL_auxz00_1355);
				}
				return CUSTOM_IDENTIFIER_SET(BgL_customz00_1312, BgL_strz00_1313);
			}
		}
	}



/* custom-hash */
	BGL_EXPORTED_DEF obj_t BGl_customzd2hashzd2zz__customz00(obj_t
		BgL_customz00_7, int BgL_modz00_8)
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 113 */
			{	/* Llib/custom.scm 114 */
				int BgL_numz00_1116;

				BgL_numz00_1116 = CUSTOM_HASH_NUMBER(BgL_customz00_7);
				{	/* Llib/custom.scm 114 */
					long BgL_n1z00_1117;

					long BgL_n2z00_1118;

					BgL_n1z00_1117 = (long) (BgL_numz00_1116);
					BgL_n2z00_1118 = (long) (BgL_modz00_8);
					return BINT((BgL_n1z00_1117 % BgL_n2z00_1118));
				}
			}
		}
	}



/* _custom-hash */
	obj_t BGl__customzd2hashzd2zz__customz00(obj_t BgL_envz00_1291,
		obj_t BgL_customz00_1292, obj_t BgL_modz00_1293)
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 113 */
			{	/* Llib/custom.scm 114 */
				int BgL_auxz00_1372;

				obj_t BgL_auxz00_1367;

				{	/* Llib/custom.scm 114 */
					obj_t BgL_auxz00_1373;

					if (INTEGERP(BgL_modz00_1293))
						{	/* Llib/custom.scm 114 */
							BgL_auxz00_1373 = BgL_modz00_1293;
						}
					else
						{	/* Llib/custom.scm 114 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2041z00zz__customz00, BGl_string2043z00zz__customz00,
								BgL_modz00_1293);
							exit(-1);
						}
					BgL_auxz00_1372 = CINT(BgL_auxz00_1373);
				}
				if (CUSTOMP(BgL_customz00_1292))
					{	/* Llib/custom.scm 114 */
						BgL_auxz00_1367 = BgL_customz00_1292;
					}
				else
					{	/* Llib/custom.scm 114 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2041z00zz__customz00, BGl_string2035z00zz__customz00,
							BgL_customz00_1292);
						exit(-1);
					}
				return
					BGl_customzd2hashzd2zz__customz00(BgL_auxz00_1367, BgL_auxz00_1372);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__customz00()
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__customz00()
	{
		AN_OBJECT;
		{	/* Llib/custom.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2044z00zz__customz00));
		}
	}

#ifdef __cplusplus
}
#endif
