/*===========================================================================*/
/*   (Llib/dsssl.scm)                                                        */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Llib/dsssl.scm -indent -o objs/obj_u/Llib/dsssl.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_restzd2statezd2zz__dssslz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t string_to_symbol(char *);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_symbol2433z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol2435z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol2438z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_keyzd2statezd2zz__dssslz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol2442z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol2444z00zz__dssslz00 = BUNSPEC;
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_symbol2446z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol2448z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol2453z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol2455z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol2457z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol2459z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol2461z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol2463z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol2465z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol2470z00zz__dssslz00 = BUNSPEC;
	static obj_t BGl_symbol2479z00zz__dssslz00 = BUNSPEC;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t c_substring(obj_t, long, long);
	static obj_t BGl__makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_list2473z00zz__dssslz00 = BUNSPEC;
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_dssslzd2formalszd2ze3schemezd2formalsz31zz__dssslz00(obj_t, obj_t);
	static obj_t BGl_nozd2restzd2keyzd2statezd2zz__dssslz00(obj_t, obj_t, obj_t);
	static obj_t BGl_onezd2keyzd2argz00zz__dssslz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_loopz00zz__dssslz00(obj_t, obj_t, obj_t, bool_t);
	extern obj_t bgl_reverse_bang(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_optionalzd2statez72za0zz__dssslz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__dssslz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__dssslz00();
	static obj_t BGl_idzd2sanszd2typez00zz__dssslz00(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_dssslzd2checkzd2keyzd2argsz12zc0zz__dssslz00(obj_t, obj_t);
	static obj_t BGl__dssslzd2formalszd2ze3schemezd2formalsz31zz__dssslz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl__dssslzd2checkzd2keyzd2argsz12zc0zz__dssslz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_optionalzd2statezd2zz__dssslz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__dssslz00();
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl__dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dssslzd2formalszd2ze3schemezd2formalszd2envze3zz__dssslz00,
		BgL_bgl__dssslza7d2formals2482za7,
		BGl__dssslzd2formalszd2ze3schemezd2formalsz31zz__dssslz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dssslzd2checkzd2keyzd2argsz12zd2envz12zz__dssslz00,
		BgL_bgl__dssslza7d2checkza7d2483z00,
		BGl__dssslzd2checkzd2keyzd2argsz12zc0zz__dssslz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2434z00zz__dssslz00,
		BgL_bgl_string2434za700za7za7_2484za7, "dsssl", 5);
	      DEFINE_STRING(BGl_string2436z00zz__dssslz00,
		BgL_bgl_string2436za700za7za7_2485za7, "let", 3);
	      DEFINE_STRING(BGl_string2437z00zz__dssslz00,
		BgL_bgl_string2437za700za7za7_2486za7, "Illegal formal list", 19);
	      DEFINE_STRING(BGl_string2440z00zz__dssslz00,
		BgL_bgl_string2440za700za7za7_2487za7, "procedure", 9);
	      DEFINE_STRING(BGl_string2439z00zz__dssslz00,
		BgL_bgl_string2439za700za7za7_2488za7, "_make-dsssl-function-prelude", 28);
	      DEFINE_STRING(BGl_string2441z00zz__dssslz00,
		BgL_bgl_string2441za700za7za7_2489za7, "Illegal Dsssl formal list (#!key)",
		33);
	      DEFINE_STRING(BGl_string2443z00zz__dssslz00,
		BgL_bgl_string2443za700za7za7_2490za7, "dsssl-get-key-arg", 17);
	      DEFINE_STRING(BGl_string2445z00zz__dssslz00,
		BgL_bgl_string2445za700za7za7_2491za7, "begin", 5);
	      DEFINE_STRING(BGl_string2447z00zz__dssslz00,
		BgL_bgl_string2447za700za7za7_2492za7, "dsssl-check-key-args!", 21);
	      DEFINE_STRING(BGl_string2450z00zz__dssslz00,
		BgL_bgl_string2450za700za7za7_2493za7, "dsssl formal parsing", 20);
	      DEFINE_STRING(BGl_string2449z00zz__dssslz00,
		BgL_bgl_string2449za700za7za7_2494za7, "quote", 5);
	      DEFINE_STRING(BGl_string2451z00zz__dssslz00,
		BgL_bgl_string2451za700za7za7_2495za7, "Illegal #!keys parameters", 25);
	      DEFINE_STRING(BGl_string2452z00zz__dssslz00,
		BgL_bgl_string2452za700za7za7_2496za7, "Illegal Dsssl formal list (#!rest)",
		34);
	      DEFINE_STRING(BGl_string2454z00zz__dssslz00,
		BgL_bgl_string2454za700za7za7_2497za7, "tmp", 3);
	      DEFINE_STRING(BGl_string2456z00zz__dssslz00,
		BgL_bgl_string2456za700za7za7_2498za7, "if", 2);
	      DEFINE_STRING(BGl_string2458z00zz__dssslz00,
		BgL_bgl_string2458za700za7za7_2499za7, "null?", 5);
	      DEFINE_STRING(BGl_string2460z00zz__dssslz00,
		BgL_bgl_string2460za700za7za7_2500za7, "memq", 4);
	      DEFINE_STRING(BGl_string2462z00zz__dssslz00,
		BgL_bgl_string2462za700za7za7_2501za7, "car", 3);
	      DEFINE_STRING(BGl_string2464z00zz__dssslz00,
		BgL_bgl_string2464za700za7za7_2502za7, "set!", 4);
	      DEFINE_STRING(BGl_string2466z00zz__dssslz00,
		BgL_bgl_string2466za700za7za7_2503za7, "cdr", 3);
	      DEFINE_STRING(BGl_string2467z00zz__dssslz00,
		BgL_bgl_string2467za700za7za7_2504za7,
		"Illegal Dsssl formal list (#!optional)", 38);
	      DEFINE_STRING(BGl_string2468z00zz__dssslz00,
		BgL_bgl_string2468za700za7za7_2505za7, "Unexpected #!keys parameters", 28);
	      DEFINE_STRING(BGl_string2469z00zz__dssslz00,
		BgL_bgl_string2469za700za7za7_2506za7, "keyword argument misses value", 29);
	      DEFINE_STRING(BGl_string2471z00zz__dssslz00,
		BgL_bgl_string2471za700za7za7_2507za7, "_dsssl-get-key-arg", 18);
	      DEFINE_STRING(BGl_string2472z00zz__dssslz00,
		BgL_bgl_string2472za700za7za7_2508za7, "keyword", 7);
	      DEFINE_STRING(BGl_string2474z00zz__dssslz00,
		BgL_bgl_string2474za700za7za7_2509za7, "Illegal formal parameter", 24);
	      DEFINE_STRING(BGl_string2475z00zz__dssslz00,
		BgL_bgl_string2475za700za7za7_2510za7, "symbol or named constant expected",
		33);
	      DEFINE_STRING(BGl_string2476z00zz__dssslz00,
		BgL_bgl_string2476za700za7za7_2511za7, "symbol expected", 15);
	      DEFINE_STRING(BGl_string2477z00zz__dssslz00,
		BgL_bgl_string2477za700za7za7_2512za7,
		"Can't use both DSSSL named constant", 35);
	      DEFINE_STRING(BGl_string2478z00zz__dssslz00,
		BgL_bgl_string2478za700za7za7_2513za7, "and `.' notation", 16);
	      DEFINE_STRING(BGl_string2480z00zz__dssslz00,
		BgL_bgl_string2480za700za7za7_2514za7, "_dsssl-formals->scheme-formals",
		30);
	      DEFINE_STRING(BGl_string2481z00zz__dssslz00,
		BgL_bgl_string2481za700za7za7_2515za7, "__dsssl", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dssslzd2getzd2keyzd2argzd2envz00zz__dssslz00,
		BgL_bgl__dssslza7d2getza7d2k2516z00,
		BGl__dssslzd2getzd2keyzd2argzd2zz__dssslz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2dssslzd2functionzd2preludezd2envz00zz__dssslz00,
		BgL_bgl__makeza7d2dssslza7d22517z00,
		BGl__makezd2dssslzd2functionzd2preludezd2zz__dssslz00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long
		BgL_checksumz00_2099, char *BgL_fromz00_2100)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__dssslz00))
				{
					BGl_requirezd2initializa7ationz75zz__dssslz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__dssslz00();
					BGl_importedzd2moduleszd2initz00zz__dssslz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__dssslz00()
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 14 */
			BGl_symbol2433z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2434z00zz__dssslz00);
			BGl_symbol2435z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2436z00zz__dssslz00);
			BGl_symbol2438z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2439z00zz__dssslz00);
			BGl_symbol2442z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2443z00zz__dssslz00);
			BGl_symbol2444z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2445z00zz__dssslz00);
			BGl_symbol2446z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2447z00zz__dssslz00);
			BGl_symbol2448z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2449z00zz__dssslz00);
			BGl_symbol2453z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2454z00zz__dssslz00);
			BGl_symbol2455z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2456z00zz__dssslz00);
			BGl_symbol2457z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2458z00zz__dssslz00);
			BGl_symbol2459z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2460z00zz__dssslz00);
			BGl_symbol2461z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2462z00zz__dssslz00);
			BGl_symbol2463z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2464z00zz__dssslz00);
			BGl_symbol2465z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2466z00zz__dssslz00);
			BGl_symbol2470z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2471z00zz__dssslz00);
			BGl_list2473z00zz__dssslz00 =
				MAKE_PAIR(BCNST(258),
				MAKE_PAIR(BCNST(259), MAKE_PAIR(BCNST(262), BNIL)));
			return (BGl_symbol2479z00zz__dssslz00 =
				bstring_to_symbol(BGl_string2480z00zz__dssslz00), BUNSPEC);
		}
	}



/* make-dsssl-function-prelude */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t BgL_wherez00_1,
		obj_t BgL_formalsz00_2, obj_t BgL_bodyz00_3, obj_t BgL_errz00_4)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 58 */
			{	/* Llib/dsssl.scm 225 */
				obj_t BgL_optionalzd2statezd2_2036;

				obj_t BgL_restzd2statezd2_2035;

				obj_t BgL_nozd2restzd2keyzd2statezd2_2034;

				BgL_optionalzd2statezd2_2036 =
					make_fx_procedure(BGl_optionalzd2statezd2zz__dssslz00,
					(int) (((long) 2)), (int) (((long) 6)));
				BgL_restzd2statezd2_2035 =
					make_fx_procedure(BGl_restzd2statezd2zz__dssslz00,
					(int) (((long) 2)), (int) (((long) 4)));
				BgL_nozd2restzd2keyzd2statezd2_2034 =
					make_fx_procedure(BGl_nozd2restzd2keyzd2statezd2zz__dssslz00,
					(int) (((long) 2)), (int) (((long) 4)));
				PROCEDURE_SET(BgL_optionalzd2statezd2_2036,
					(int) (((long) 0)), BgL_errz00_4);
				PROCEDURE_SET(BgL_optionalzd2statezd2_2036,
					(int) (((long) 1)), BgL_wherez00_1);
				PROCEDURE_SET(BgL_optionalzd2statezd2_2036,
					(int) (((long) 2)), BgL_formalsz00_2);
				PROCEDURE_SET(BgL_optionalzd2statezd2_2036,
					(int) (((long) 3)), BgL_restzd2statezd2_2035);
				PROCEDURE_SET(BgL_optionalzd2statezd2_2036,
					(int) (((long) 4)), BgL_nozd2restzd2keyzd2statezd2_2034);
				PROCEDURE_SET(BgL_optionalzd2statezd2_2036,
					(int) (((long) 5)), BgL_bodyz00_3);
				PROCEDURE_SET(BgL_restzd2statezd2_2035,
					(int) (((long) 0)), BgL_errz00_4);
				PROCEDURE_SET(BgL_restzd2statezd2_2035,
					(int) (((long) 1)), BgL_wherez00_1);
				PROCEDURE_SET(BgL_restzd2statezd2_2035,
					(int) (((long) 2)), BgL_formalsz00_2);
				PROCEDURE_SET(BgL_restzd2statezd2_2035,
					(int) (((long) 3)), BgL_bodyz00_3);
				PROCEDURE_SET(BgL_nozd2restzd2keyzd2statezd2_2034,
					(int) (((long) 0)), BgL_errz00_4);
				PROCEDURE_SET(BgL_nozd2restzd2keyzd2statezd2_2034,
					(int) (((long) 1)), BgL_wherez00_1);
				PROCEDURE_SET(BgL_nozd2restzd2keyzd2statezd2_2034,
					(int) (((long) 2)), BgL_formalsz00_2);
				PROCEDURE_SET(BgL_nozd2restzd2keyzd2statezd2_2034,
					(int) (((long) 3)), BgL_bodyz00_3);
				{
					obj_t BgL_argsz00_1055;

					obj_t BgL_argsz00_1002;

					obj_t BgL_nextzd2statezd2_1003;

					BgL_argsz00_1055 = BgL_formalsz00_2;
				BgL_zc3anonymousza32061ze3z83_1056:
					if (PAIRP(BgL_argsz00_1055))
						{	/* Llib/dsssl.scm 64 */
							bool_t BgL_testz00_2164;

							{	/* Llib/dsssl.scm 64 */
								bool_t BgL_testz00_2165;

								{	/* Llib/dsssl.scm 64 */
									obj_t BgL_auxz00_2166;

									BgL_auxz00_2166 = CAR(BgL_argsz00_1055);
									BgL_testz00_2165 = SYMBOLP(BgL_auxz00_2166);
								}
								if (BgL_testz00_2165)
									{	/* Llib/dsssl.scm 64 */
										BgL_testz00_2164 = ((bool_t) 0);
									}
								else
									{	/* Llib/dsssl.scm 64 */
										bool_t BgL_testz00_2169;

										{	/* Llib/dsssl.scm 64 */
											obj_t BgL_auxz00_2170;

											BgL_auxz00_2170 = CAR(BgL_argsz00_1055);
											BgL_testz00_2169 = PAIRP(BgL_auxz00_2170);
										}
										if (BgL_testz00_2169)
											{	/* Llib/dsssl.scm 64 */
												BgL_testz00_2164 = ((bool_t) 0);
											}
										else
											{	/* Llib/dsssl.scm 64 */
												BgL_testz00_2164 = ((bool_t) 1);
											}
									}
							}
							if (BgL_testz00_2164)
								{	/* Llib/dsssl.scm 66 */
									long BgL_aux1671z00_1060;

									{	/* Llib/dsssl.scm 66 */
										obj_t BgL_aux1669z00_1065;

										BgL_aux1669z00_1065 = CAR(BgL_argsz00_1055);
										if (CNSTP(BgL_aux1669z00_1065))
											{	/* Llib/dsssl.scm 66 */
												BgL_aux1671z00_1060 = CCNST(BgL_aux1669z00_1065);
											}
										else
											{	/* Llib/dsssl.scm 66 */
												BgL_aux1671z00_1060 = ((long) -1);
									}}
									switch (BgL_aux1671z00_1060)
										{
										case ((long) 258):

											BgL_argsz00_1002 = CDR(BgL_argsz00_1055);
											BgL_nextzd2statezd2_1003 = BgL_optionalzd2statezd2_2036;
										BgL_zc3anonymousza32009ze3z83_1004:
											{
												obj_t BgL_asz00_1005;

												BgL_asz00_1005 = BgL_argsz00_1002;
											BgL_loopz00_1006:
												if (NULLP(BgL_asz00_1005))
													{	/* Llib/dsssl.scm 82 */
														return
															PROCEDURE_ENTRY(BgL_nextzd2statezd2_1003)
															(BgL_nextzd2statezd2_1003, BgL_argsz00_1002,
															BUNSPEC, BEOA);
													}
												else
													{	/* Llib/dsssl.scm 82 */
														if (PAIRP(BgL_asz00_1005))
															{	/* Llib/dsssl.scm 86 */
																bool_t BgL_testz00_2183;

																{	/* Llib/dsssl.scm 86 */
																	bool_t BgL_testz00_2184;

																	{	/* Llib/dsssl.scm 86 */
																		obj_t BgL_auxz00_2185;

																		BgL_auxz00_2185 = CAR(BgL_asz00_1005);
																		BgL_testz00_2184 = SYMBOLP(BgL_auxz00_2185);
																	}
																	if (BgL_testz00_2184)
																		{	/* Llib/dsssl.scm 86 */
																			BgL_testz00_2183 = ((bool_t) 0);
																		}
																	else
																		{	/* Llib/dsssl.scm 86 */
																			bool_t BgL_testz00_2188;

																			{	/* Llib/dsssl.scm 86 */
																				obj_t BgL_auxz00_2189;

																				BgL_auxz00_2189 = CAR(BgL_asz00_1005);
																				BgL_testz00_2188 =
																					PAIRP(BgL_auxz00_2189);
																			}
																			if (BgL_testz00_2188)
																				{	/* Llib/dsssl.scm 86 */
																					BgL_testz00_2183 = ((bool_t) 0);
																				}
																			else
																				{	/* Llib/dsssl.scm 86 */
																					BgL_testz00_2183 = ((bool_t) 1);
																				}
																		}
																}
																if (BgL_testz00_2183)
																	{
																		obj_t BgL_asz00_2192;

																		BgL_asz00_2192 = CDR(BgL_asz00_1005);
																		BgL_asz00_1005 = BgL_asz00_2192;
																		goto BgL_loopz00_1006;
																	}
																else
																	{

																		{	/* Llib/dsssl.scm 89 */
																			obj_t BgL_ezd21207zd2_1013;

																			BgL_ezd21207zd2_1013 =
																				CAR(BgL_asz00_1005);
																			if (SYMBOLP(BgL_ezd21207zd2_1013))
																				{	/* Llib/dsssl.scm 89 */
																					{	/* Llib/dsssl.scm 91 */
																						obj_t BgL_dssslzd2argzd2_1022;

																						BgL_dssslzd2argzd2_1022 =
																							BGl_gensymz00zz__r4_symbols_6_4z00
																							(BGl_symbol2433z00zz__dssslz00);
																						{	/* Llib/dsssl.scm 92 */
																							obj_t BgL_arg2022z00_1023;

																							obj_t BgL_arg2025z00_1024;

																							BgL_arg2022z00_1023 =
																								BGl_symbol2435z00zz__dssslz00;
																							{	/* Llib/dsssl.scm 92 */
																								obj_t BgL_arg2026z00_1025;

																								obj_t BgL_arg2027z00_1026;

																								{	/* Llib/dsssl.scm 92 */
																									obj_t BgL_arg2031z00_1030;

																									{	/* Llib/dsssl.scm 92 */
																										obj_t BgL_arg2033z00_1032;

																										{	/* Llib/dsssl.scm 92 */
																											obj_t BgL_arg2034z00_1033;

																											BgL_arg2034z00_1033 =
																												CAR(BgL_asz00_1005);
																											{	/* Llib/dsssl.scm 92 */
																												obj_t
																													BgL_list2038z00_1035;
																												BgL_list2038z00_1035 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg2033z00_1032 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg2034z00_1033,
																													BgL_list2038z00_1035);
																											}
																										}
																										BgL_arg2031z00_1030 =
																											MAKE_PAIR
																											(BgL_dssslzd2argzd2_1022,
																											BgL_arg2033z00_1032);
																									}
																									BgL_arg2026z00_1025 =
																										MAKE_PAIR
																										(BgL_arg2031z00_1030, BNIL);
																								}
																								BgL_arg2027z00_1026 =
																									PROCEDURE_ENTRY
																									(BgL_nextzd2statezd2_1003)
																									(BgL_nextzd2statezd2_1003,
																									BgL_argsz00_1002,
																									BgL_dssslzd2argzd2_1022,
																									BEOA);
																								{	/* Llib/dsssl.scm 92 */
																									obj_t BgL_list2029z00_1028;

																									{	/* Llib/dsssl.scm 92 */
																										obj_t BgL_arg2030z00_1029;

																										BgL_arg2030z00_1029 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_list2029z00_1028 =
																											MAKE_PAIR
																											(BgL_arg2027z00_1026,
																											BgL_arg2030z00_1029);
																									}
																									BgL_arg2025z00_1024 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg2026z00_1025,
																										BgL_list2029z00_1028);
																								}
																							}
																							return
																								MAKE_PAIR(BgL_arg2022z00_1023,
																								BgL_arg2025z00_1024);
																						}
																					}
																				}
																			else
																				{	/* Llib/dsssl.scm 89 */
																					if (PAIRP(BgL_ezd21207zd2_1013))
																						{	/* Llib/dsssl.scm 89 */
																							obj_t BgL_cdrzd21209zd2_1016;

																							BgL_cdrzd21209zd2_1016 =
																								CDR(BgL_ezd21207zd2_1013);
																							{	/* Llib/dsssl.scm 89 */
																								bool_t BgL_testz00_2212;

																								{	/* Llib/dsssl.scm 89 */
																									obj_t BgL_auxz00_2213;

																									BgL_auxz00_2213 =
																										CAR(BgL_ezd21207zd2_1013);
																									BgL_testz00_2212 =
																										SYMBOLP(BgL_auxz00_2213);
																								}
																								if (BgL_testz00_2212)
																									{	/* Llib/dsssl.scm 89 */
																										if (PAIRP
																											(BgL_cdrzd21209zd2_1016))
																											{	/* Llib/dsssl.scm 89 */
																												if (NULLP(CDR
																														(BgL_cdrzd21209zd2_1016)))
																													{	/* Llib/dsssl.scm 89 */
																														{	/* Llib/dsssl.scm 95 */
																															obj_t
																																BgL_dssslzd2argzd2_1036;
																															BgL_dssslzd2argzd2_1036
																																=
																																BGl_gensymz00zz__r4_symbols_6_4z00
																																(BGl_symbol2433z00zz__dssslz00);
																															{	/* Llib/dsssl.scm 96 */
																																obj_t
																																	BgL_arg2039z00_1037;
																																obj_t
																																	BgL_arg2040z00_1038;
																																BgL_arg2039z00_1037
																																	=
																																	BGl_symbol2435z00zz__dssslz00;
																																{	/* Llib/dsssl.scm 96 */
																																	obj_t
																																		BgL_arg2041z00_1039;
																																	obj_t
																																		BgL_arg2042z00_1040;
																																	{	/* Llib/dsssl.scm 96 */
																																		obj_t
																																			BgL_arg2048z00_1044;
																																		{	/* Llib/dsssl.scm 96 */
																																			obj_t
																																				BgL_arg2051z00_1046;
																																			{	/* Llib/dsssl.scm 96 */
																																				obj_t
																																					BgL_arg2052z00_1047;
																																				BgL_arg2052z00_1047
																																					=
																																					CAR
																																					(CAR
																																					(BgL_asz00_1005));
																																				{	/* Llib/dsssl.scm 96 */
																																					obj_t
																																						BgL_list2054z00_1049;
																																					BgL_list2054z00_1049
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_arg2051z00_1046
																																						=
																																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																						(BgL_arg2052z00_1047,
																																						BgL_list2054z00_1049);
																																				}
																																			}
																																			BgL_arg2048z00_1044
																																				=
																																				MAKE_PAIR
																																				(BgL_dssslzd2argzd2_1036,
																																				BgL_arg2051z00_1046);
																																		}
																																		BgL_arg2041z00_1039
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2048z00_1044,
																																			BNIL);
																																	}
																																	BgL_arg2042z00_1040
																																		=
																																		PROCEDURE_ENTRY
																																		(BgL_nextzd2statezd2_1003)
																																		(BgL_nextzd2statezd2_1003,
																																		BgL_argsz00_1002,
																																		BgL_dssslzd2argzd2_1036,
																																		BEOA);
																																	{	/* Llib/dsssl.scm 96 */
																																		obj_t
																																			BgL_list2044z00_1042;
																																		{	/* Llib/dsssl.scm 96 */
																																			obj_t
																																				BgL_arg2047z00_1043;
																																			BgL_arg2047z00_1043
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_list2044z00_1042
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2042z00_1040,
																																				BgL_arg2047z00_1043);
																																		}
																																		BgL_arg2040z00_1038
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_arg2041z00_1039,
																																			BgL_list2044z00_1042);
																																	}
																																}
																																return
																																	MAKE_PAIR
																																	(BgL_arg2039z00_1037,
																																	BgL_arg2040z00_1038);
																															}
																														}
																													}
																												else
																													{	/* Llib/dsssl.scm 89 */
																														return BFALSE;
																													}
																											}
																										else
																											{	/* Llib/dsssl.scm 89 */
																												return BFALSE;
																											}
																									}
																								else
																									{	/* Llib/dsssl.scm 89 */
																										return BFALSE;
																									}
																							}
																						}
																					else
																						{	/* Llib/dsssl.scm 89 */
																							return BFALSE;
																						}
																				}
																		}
																	}
															}
														else
															{	/* Llib/dsssl.scm 84 */
																return
																	PROCEDURE_ENTRY(BgL_errz00_4) (BgL_errz00_4,
																	BgL_wherez00_1, BGl_string2437z00zz__dssslz00,
																	BgL_formalsz00_2, BEOA);
															}
													}
											}
											break;
										case ((long) 259):

											{
												obj_t BgL_nextzd2statezd2_2239;

												obj_t BgL_argsz00_2237;

												BgL_argsz00_2237 = CDR(BgL_argsz00_1055);
												BgL_nextzd2statezd2_2239 = BgL_restzd2statezd2_2035;
												BgL_nextzd2statezd2_1003 = BgL_nextzd2statezd2_2239;
												BgL_argsz00_1002 = BgL_argsz00_2237;
												goto BgL_zc3anonymousza32009ze3z83_1004;
											}
											break;
										case ((long) 262):

											{
												obj_t BgL_nextzd2statezd2_2242;

												obj_t BgL_argsz00_2240;

												BgL_argsz00_2240 = CDR(BgL_argsz00_1055);
												BgL_nextzd2statezd2_2242 =
													BgL_nozd2restzd2keyzd2statezd2_2034;
												BgL_nextzd2statezd2_1003 = BgL_nextzd2statezd2_2242;
												BgL_argsz00_1002 = BgL_argsz00_2240;
												goto BgL_zc3anonymousza32009ze3z83_1004;
											}
											break;
										default:
											return
												PROCEDURE_ENTRY(BgL_errz00_4) (BgL_errz00_4,
												BgL_wherez00_1, BGl_string2437z00zz__dssslz00,
												BgL_formalsz00_2, BEOA);
										}
								}
							else
								{
									obj_t BgL_argsz00_2246;

									BgL_argsz00_2246 = CDR(BgL_argsz00_1055);
									BgL_argsz00_1055 = BgL_argsz00_2246;
									goto BgL_zc3anonymousza32061ze3z83_1056;
								}
						}
					else
						{	/* Llib/dsssl.scm 62 */
							return BgL_bodyz00_3;
						}
				}
			}
		}
	}



/* _make-dsssl-function-prelude */
	obj_t BGl__makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t
		BgL_envz00_2037, obj_t BgL_wherez00_2038, obj_t BgL_formalsz00_2039,
		obj_t BgL_bodyz00_2040, obj_t BgL_errz00_2041)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 58 */
			{	/* Llib/dsssl.scm 225 */
				obj_t BgL_auxz00_2248;

				if (PROCEDUREP(BgL_errz00_2041))
					{	/* Llib/dsssl.scm 225 */
						BgL_auxz00_2248 = BgL_errz00_2041;
					}
				else
					{	/* Llib/dsssl.scm 225 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2438z00zz__dssslz00, BGl_string2440z00zz__dssslz00,
							BgL_errz00_2041);
						exit(-1);
					}
				return
					BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
					(BgL_wherez00_2038, BgL_formalsz00_2039, BgL_bodyz00_2040,
					BgL_auxz00_2248);
			}
		}
	}



/* key-state */
	obj_t BGl_keyzd2statezd2zz__dssslz00(obj_t BgL_bodyz00_2045,
		obj_t BgL_formalsz00_2044, obj_t BgL_wherez00_2043, obj_t BgL_errz00_2042,
		obj_t BgL_argsz00_676, obj_t BgL_dssslzd2argzd2_677)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 228 */
			if (NULLP(BgL_argsz00_676))
				{	/* Llib/dsssl.scm 230 */
					return BgL_bodyz00_2045;
				}
			else
				{	/* Llib/dsssl.scm 230 */
					if (PAIRP(BgL_argsz00_676))
						{	/* Llib/dsssl.scm 234 */
							bool_t BgL_testz00_2258;

							{	/* Llib/dsssl.scm 234 */
								bool_t BgL_testz00_2259;

								{	/* Llib/dsssl.scm 234 */
									obj_t BgL_auxz00_2260;

									BgL_auxz00_2260 = CAR(BgL_argsz00_676);
									BgL_testz00_2259 = SYMBOLP(BgL_auxz00_2260);
								}
								if (BgL_testz00_2259)
									{	/* Llib/dsssl.scm 234 */
										BgL_testz00_2258 = ((bool_t) 0);
									}
								else
									{	/* Llib/dsssl.scm 234 */
										bool_t BgL_testz00_2263;

										{	/* Llib/dsssl.scm 234 */
											obj_t BgL_auxz00_2264;

											BgL_auxz00_2264 = CAR(BgL_argsz00_676);
											BgL_testz00_2263 = PAIRP(BgL_auxz00_2264);
										}
										if (BgL_testz00_2263)
											{	/* Llib/dsssl.scm 234 */
												BgL_testz00_2258 = ((bool_t) 0);
											}
										else
											{	/* Llib/dsssl.scm 234 */
												BgL_testz00_2258 = ((bool_t) 1);
											}
									}
							}
							if (BgL_testz00_2258)
								{	/* Llib/dsssl.scm 234 */
									return
										PROCEDURE_ENTRY(BgL_errz00_2042) (BgL_errz00_2042,
										BgL_wherez00_2043, BGl_string2441z00zz__dssslz00,
										BgL_formalsz00_2044, BEOA);
								}
							else
								{	/* Llib/dsssl.scm 238 */
									obj_t BgL_ezd21272zd2_689;

									BgL_ezd21272zd2_689 = CAR(BgL_argsz00_676);
									if (PAIRP(BgL_ezd21272zd2_689))
										{	/* Llib/dsssl.scm 238 */
											obj_t BgL_carzd21277zd2_691;

											obj_t BgL_cdrzd21278zd2_692;

											BgL_carzd21277zd2_691 = CAR(BgL_ezd21272zd2_689);
											BgL_cdrzd21278zd2_692 = CDR(BgL_ezd21272zd2_689);
											if (SYMBOLP(BgL_carzd21277zd2_691))
												{	/* Llib/dsssl.scm 238 */
													if (PAIRP(BgL_cdrzd21278zd2_692))
														{	/* Llib/dsssl.scm 238 */
															if (NULLP(CDR(BgL_cdrzd21278zd2_692)))
																{	/* Llib/dsssl.scm 238 */
																	return
																		BGl_onezd2keyzd2argz00zz__dssslz00
																		(BgL_argsz00_676, BgL_dssslzd2argzd2_677,
																		BgL_bodyz00_2045, BgL_formalsz00_2044,
																		BgL_wherez00_2043, BgL_errz00_2042,
																		BgL_carzd21277zd2_691,
																		CAR(BgL_cdrzd21278zd2_692));
																}
															else
																{	/* Llib/dsssl.scm 238 */
																	if (SYMBOLP(BgL_ezd21272zd2_689))
																		{	/* Llib/dsssl.scm 238 */
																			return
																				BGl_onezd2keyzd2argz00zz__dssslz00
																				(BgL_argsz00_676,
																				BgL_dssslzd2argzd2_677,
																				BgL_bodyz00_2045, BgL_formalsz00_2044,
																				BgL_wherez00_2043, BgL_errz00_2042,
																				BgL_ezd21272zd2_689, BFALSE);
																		}
																	else
																		{	/* Llib/dsssl.scm 238 */
																			return
																				PROCEDURE_ENTRY(BgL_errz00_2042)
																				(BgL_errz00_2042, BgL_wherez00_2043,
																				BGl_string2441z00zz__dssslz00,
																				BgL_formalsz00_2044, BEOA);
																		}
																}
														}
													else
														{	/* Llib/dsssl.scm 238 */
															if (SYMBOLP(BgL_ezd21272zd2_689))
																{	/* Llib/dsssl.scm 238 */
																	return
																		BGl_onezd2keyzd2argz00zz__dssslz00
																		(BgL_argsz00_676, BgL_dssslzd2argzd2_677,
																		BgL_bodyz00_2045, BgL_formalsz00_2044,
																		BgL_wherez00_2043, BgL_errz00_2042,
																		BgL_ezd21272zd2_689, BFALSE);
																}
															else
																{	/* Llib/dsssl.scm 238 */
																	return
																		PROCEDURE_ENTRY(BgL_errz00_2042)
																		(BgL_errz00_2042, BgL_wherez00_2043,
																		BGl_string2441z00zz__dssslz00,
																		BgL_formalsz00_2044, BEOA);
																}
														}
												}
											else
												{	/* Llib/dsssl.scm 238 */
													if (SYMBOLP(BgL_ezd21272zd2_689))
														{	/* Llib/dsssl.scm 238 */
															return
																BGl_onezd2keyzd2argz00zz__dssslz00
																(BgL_argsz00_676, BgL_dssslzd2argzd2_677,
																BgL_bodyz00_2045, BgL_formalsz00_2044,
																BgL_wherez00_2043, BgL_errz00_2042,
																BgL_ezd21272zd2_689, BFALSE);
														}
													else
														{	/* Llib/dsssl.scm 238 */
															return
																PROCEDURE_ENTRY(BgL_errz00_2042)
																(BgL_errz00_2042, BgL_wherez00_2043,
																BGl_string2441z00zz__dssslz00,
																BgL_formalsz00_2044, BEOA);
														}
												}
										}
									else
										{	/* Llib/dsssl.scm 238 */
											if (SYMBOLP(BgL_ezd21272zd2_689))
												{	/* Llib/dsssl.scm 238 */
													return
														BGl_onezd2keyzd2argz00zz__dssslz00(BgL_argsz00_676,
														BgL_dssslzd2argzd2_677, BgL_bodyz00_2045,
														BgL_formalsz00_2044, BgL_wherez00_2043,
														BgL_errz00_2042, BgL_ezd21272zd2_689, BFALSE);
												}
											else
												{	/* Llib/dsssl.scm 238 */
													return
														PROCEDURE_ENTRY(BgL_errz00_2042) (BgL_errz00_2042,
														BgL_wherez00_2043, BGl_string2441z00zz__dssslz00,
														BgL_formalsz00_2044, BEOA);
												}
										}
								}
						}
					else
						{	/* Llib/dsssl.scm 232 */
							return
								PROCEDURE_ENTRY(BgL_errz00_2042) (BgL_errz00_2042,
								BgL_wherez00_2043, BGl_string2441z00zz__dssslz00,
								BgL_formalsz00_2044, BEOA);
						}
				}
		}
	}



/* one-key-arg */
	obj_t BGl_onezd2keyzd2argz00zz__dssslz00(obj_t BgL_argsz00_2051,
		obj_t BgL_dssslzd2argzd2_2050, obj_t BgL_bodyz00_2049,
		obj_t BgL_formalsz00_2048, obj_t BgL_wherez00_2047, obj_t BgL_errz00_2046,
		obj_t BgL_argz00_706, obj_t BgL_initializa7erza7_707)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 228 */
			{	/* Llib/dsssl.scm 225 */
				obj_t BgL_arg1765z00_709;

				obj_t BgL_arg1766z00_710;

				BgL_arg1765z00_709 = BGl_symbol2435z00zz__dssslz00;
				{	/* Llib/dsssl.scm 225 */
					obj_t BgL_arg1767z00_711;

					obj_t BgL_arg1768z00_712;

					{	/* Llib/dsssl.scm 225 */
						obj_t BgL_arg1773z00_716;

						{	/* Llib/dsssl.scm 225 */
							obj_t BgL_arg1775z00_718;

							{	/* Llib/dsssl.scm 225 */
								obj_t BgL_arg1776z00_719;

								{	/* Llib/dsssl.scm 225 */
									obj_t BgL_arg1780z00_722;

									obj_t BgL_arg1781z00_723;

									BgL_arg1780z00_722 = BGl_symbol2442z00zz__dssslz00;
									{	/* Llib/dsssl.scm 226 */
										obj_t BgL_arg1782z00_724;

										BgL_arg1782z00_724 =
											BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
											(BgL_argz00_706);
										{	/* Llib/dsssl.scm 225 */
											obj_t BgL_list1784z00_726;

											{	/* Llib/dsssl.scm 225 */
												obj_t BgL_arg1785z00_727;

												{	/* Llib/dsssl.scm 225 */
													obj_t BgL_arg1786z00_728;

													BgL_arg1786z00_728 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg1785z00_727 =
														MAKE_PAIR(BgL_initializa7erza7_707,
														BgL_arg1786z00_728);
												}
												BgL_list1784z00_726 =
													MAKE_PAIR(BgL_arg1782z00_724, BgL_arg1785z00_727);
											}
											BgL_arg1781z00_723 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_dssslzd2argzd2_2050, BgL_list1784z00_726);
										}
									}
									BgL_arg1776z00_719 =
										MAKE_PAIR(BgL_arg1780z00_722, BgL_arg1781z00_723);
								}
								{	/* Llib/dsssl.scm 225 */
									obj_t BgL_list1779z00_721;

									BgL_list1779z00_721 = MAKE_PAIR(BNIL, BNIL);
									BgL_arg1775z00_718 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg1776z00_719, BgL_list1779z00_721);
								}
							}
							BgL_arg1773z00_716 =
								MAKE_PAIR(BgL_argz00_706, BgL_arg1775z00_718);
						}
						BgL_arg1767z00_711 = MAKE_PAIR(BgL_arg1773z00_716, BNIL);
					}
					BgL_arg1768z00_712 =
						BGl_keyzd2statezd2zz__dssslz00(BgL_bodyz00_2049,
						BgL_formalsz00_2048, BgL_wherez00_2047, BgL_errz00_2046,
						CDR(BgL_argsz00_2051), BgL_dssslzd2argzd2_2050);
					{	/* Llib/dsssl.scm 225 */
						obj_t BgL_list1771z00_714;

						{	/* Llib/dsssl.scm 225 */
							obj_t BgL_arg1772z00_715;

							BgL_arg1772z00_715 = MAKE_PAIR(BNIL, BNIL);
							BgL_list1771z00_714 =
								MAKE_PAIR(BgL_arg1768z00_712, BgL_arg1772z00_715);
						}
						BgL_arg1766z00_710 =
							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1767z00_711,
							BgL_list1771z00_714);
					}
				}
				return MAKE_PAIR(BgL_arg1765z00_709, BgL_arg1766z00_710);
			}
		}
	}



/* no-rest-key-state */
	obj_t BGl_nozd2restzd2keyzd2statezd2zz__dssslz00(obj_t BgL_envz00_2052,
		obj_t BgL_argsz00_2057, obj_t BgL_dssslzd2argzd2_2058)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 214 */
			{	/* Llib/dsssl.scm 206 */
				obj_t BgL_errz00_2053;

				obj_t BgL_wherez00_2054;

				obj_t BgL_formalsz00_2055;

				obj_t BgL_bodyz00_2056;

				BgL_errz00_2053 = PROCEDURE_REF(BgL_envz00_2052, (int) (((long) 0)));
				BgL_wherez00_2054 = PROCEDURE_REF(BgL_envz00_2052, (int) (((long) 1)));
				BgL_formalsz00_2055 =
					PROCEDURE_REF(BgL_envz00_2052, (int) (((long) 2)));
				BgL_bodyz00_2056 = PROCEDURE_REF(BgL_envz00_2052, (int) (((long) 3)));
				{
					obj_t BgL_argsz00_731;

					obj_t BgL_dssslzd2argzd2_732;

					BgL_argsz00_731 = BgL_argsz00_2057;
					BgL_dssslzd2argzd2_732 = BgL_dssslzd2argzd2_2058;
					{
						obj_t BgL_argsz00_754;

						if (NULLP(BgL_argsz00_731))
							{	/* Llib/dsssl.scm 216 */
								return BgL_bodyz00_2056;
							}
						else
							{	/* Llib/dsssl.scm 219 */
								obj_t BgL_arg1790z00_736;

								obj_t BgL_arg1791z00_737;

								BgL_arg1790z00_736 = BGl_symbol2444z00zz__dssslz00;
								{	/* Llib/dsssl.scm 220 */
									obj_t BgL_arg1792z00_738;

									obj_t BgL_arg1793z00_739;

									{	/* Llib/dsssl.scm 220 */
										obj_t BgL_arg1797z00_743;

										obj_t BgL_arg1798z00_744;

										BgL_arg1797z00_743 = BGl_symbol2446z00zz__dssslz00;
										{	/* Llib/dsssl.scm 220 */
											obj_t BgL_arg1799z00_745;

											{	/* Llib/dsssl.scm 220 */
												obj_t BgL_arg1803z00_749;

												obj_t BgL_arg1804z00_750;

												BgL_arg1803z00_749 = BGl_symbol2448z00zz__dssslz00;
												{	/* Llib/dsssl.scm 220 */
													obj_t BgL_arg1805z00_751;

													BgL_argsz00_754 = BgL_argsz00_731;
													if (NULLP(BgL_argsz00_754))
														{	/* Llib/dsssl.scm 206 */
															BgL_arg1805z00_751 = BNIL;
														}
													else
														{	/* Llib/dsssl.scm 206 */
															obj_t BgL_head1703z00_758;

															BgL_head1703z00_758 = MAKE_PAIR(BNIL, BNIL);
															{
																obj_t BgL_l1701z00_759;

																obj_t BgL_tail1704z00_760;

																BgL_l1701z00_759 = BgL_argsz00_754;
																BgL_tail1704z00_760 = BgL_head1703z00_758;
															BgL_map1702z00_761:
																if (NULLP(BgL_l1701z00_759))
																	{	/* Llib/dsssl.scm 206 */
																		BgL_arg1805z00_751 =
																			CDR(BgL_head1703z00_758);
																	}
																else
																	{	/* Llib/dsssl.scm 206 */
																		obj_t BgL_newtail1705z00_763;

																		{	/* Llib/dsssl.scm 206 */
																			obj_t BgL_arg1812z00_765;

																			{	/* Llib/dsssl.scm 206 */
																				obj_t BgL_argz00_767;

																				BgL_argz00_767 = CAR(BgL_l1701z00_759);
																				if (SYMBOLP(BgL_argz00_767))
																					{	/* Llib/dsssl.scm 207 */
																						BgL_arg1812z00_765 =
																							BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																							(BgL_argz00_767);
																					}
																				else
																					{	/* Llib/dsssl.scm 207 */
																						if (PAIRP(BgL_argz00_767))
																							{	/* Llib/dsssl.scm 207 */
																								obj_t BgL_carzd21262zd2_776;

																								obj_t BgL_cdrzd21263zd2_777;

																								BgL_carzd21262zd2_776 =
																									CAR(BgL_argz00_767);
																								BgL_cdrzd21263zd2_777 =
																									CDR(BgL_argz00_767);
																								if (SYMBOLP
																									(BgL_carzd21262zd2_776))
																									{	/* Llib/dsssl.scm 207 */
																										if (PAIRP
																											(BgL_cdrzd21263zd2_777))
																											{	/* Llib/dsssl.scm 207 */
																												if (NULLP(CDR
																														(BgL_cdrzd21263zd2_777)))
																													{	/* Llib/dsssl.scm 207 */
																														BgL_arg1812z00_765 =
																															BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																															(BgL_carzd21262zd2_776);
																													}
																												else
																													{	/* Llib/dsssl.scm 207 */
																														BgL_arg1812z00_765 =
																															PROCEDURE_ENTRY
																															(BgL_errz00_2053)
																															(BgL_errz00_2053,
																															BgL_wherez00_2054,
																															BGl_string2441z00zz__dssslz00,
																															BgL_formalsz00_2055,
																															BEOA);
																													}
																											}
																										else
																											{	/* Llib/dsssl.scm 207 */
																												BgL_arg1812z00_765 =
																													PROCEDURE_ENTRY
																													(BgL_errz00_2053)
																													(BgL_errz00_2053,
																													BgL_wherez00_2054,
																													BGl_string2441z00zz__dssslz00,
																													BgL_formalsz00_2055,
																													BEOA);
																											}
																									}
																								else
																									{	/* Llib/dsssl.scm 207 */
																										BgL_arg1812z00_765 =
																											PROCEDURE_ENTRY
																											(BgL_errz00_2053)
																											(BgL_errz00_2053,
																											BgL_wherez00_2054,
																											BGl_string2441z00zz__dssslz00,
																											BgL_formalsz00_2055,
																											BEOA);
																									}
																							}
																						else
																							{	/* Llib/dsssl.scm 207 */
																								BgL_arg1812z00_765 =
																									PROCEDURE_ENTRY
																									(BgL_errz00_2053)
																									(BgL_errz00_2053,
																									BgL_wherez00_2054,
																									BGl_string2441z00zz__dssslz00,
																									BgL_formalsz00_2055, BEOA);
																							}
																					}
																			}
																			BgL_newtail1705z00_763 =
																				MAKE_PAIR(BgL_arg1812z00_765, BNIL);
																		}
																		SET_CDR(BgL_tail1704z00_760,
																			BgL_newtail1705z00_763);
																		{
																			obj_t BgL_tail1704z00_2365;

																			obj_t BgL_l1701z00_2363;

																			BgL_l1701z00_2363 = CDR(BgL_l1701z00_759);
																			BgL_tail1704z00_2365 =
																				BgL_newtail1705z00_763;
																			BgL_tail1704z00_760 =
																				BgL_tail1704z00_2365;
																			BgL_l1701z00_759 = BgL_l1701z00_2363;
																			goto BgL_map1702z00_761;
																		}
																	}
															}
														}
													{	/* Llib/dsssl.scm 220 */
														obj_t BgL_list1807z00_753;

														BgL_list1807z00_753 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg1804z00_750 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1805z00_751, BgL_list1807z00_753);
													}
												}
												BgL_arg1799z00_745 =
													MAKE_PAIR(BgL_arg1803z00_749, BgL_arg1804z00_750);
											}
											{	/* Llib/dsssl.scm 220 */
												obj_t BgL_list1801z00_747;

												{	/* Llib/dsssl.scm 220 */
													obj_t BgL_arg1802z00_748;

													BgL_arg1802z00_748 = MAKE_PAIR(BNIL, BNIL);
													BgL_list1801z00_747 =
														MAKE_PAIR(BgL_arg1799z00_745, BgL_arg1802z00_748);
												}
												BgL_arg1798z00_744 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_dssslzd2argzd2_732, BgL_list1801z00_747);
											}
										}
										BgL_arg1792z00_738 =
											MAKE_PAIR(BgL_arg1797z00_743, BgL_arg1798z00_744);
									}
									BgL_arg1793z00_739 =
										BGl_keyzd2statezd2zz__dssslz00(BgL_bodyz00_2056,
										BgL_formalsz00_2055, BgL_wherez00_2054, BgL_errz00_2053,
										BgL_argsz00_731, BgL_dssslzd2argzd2_732);
									{	/* Llib/dsssl.scm 219 */
										obj_t BgL_list1795z00_741;

										{	/* Llib/dsssl.scm 219 */
											obj_t BgL_arg1796z00_742;

											BgL_arg1796z00_742 = MAKE_PAIR(BNIL, BNIL);
											BgL_list1795z00_741 =
												MAKE_PAIR(BgL_arg1793z00_739, BgL_arg1796z00_742);
										}
										BgL_arg1791z00_737 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1792z00_738, BgL_list1795z00_741);
									}
								}
								return MAKE_PAIR(BgL_arg1790z00_736, BgL_arg1791z00_737);
							}
					}
				}
			}
		}
	}



/* rest-state */
	obj_t BGl_restzd2statezd2zz__dssslz00(obj_t BgL_envz00_2059,
		obj_t BgL_argsz00_2064, obj_t BgL_dssslzd2argzd2_2065)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 171 */
			{	/* Llib/dsssl.scm 163 */
				obj_t BgL_errz00_2060;

				obj_t BgL_wherez00_2061;

				obj_t BgL_formalsz00_2062;

				obj_t BgL_bodyz00_2063;

				BgL_errz00_2060 = PROCEDURE_REF(BgL_envz00_2059, (int) (((long) 0)));
				BgL_wherez00_2061 = PROCEDURE_REF(BgL_envz00_2059, (int) (((long) 1)));
				BgL_formalsz00_2062 =
					PROCEDURE_REF(BgL_envz00_2059, (int) (((long) 2)));
				BgL_bodyz00_2063 = PROCEDURE_REF(BgL_envz00_2059, (int) (((long) 3)));
				{
					obj_t BgL_argsz00_829;

					obj_t BgL_dssslzd2argzd2_830;

					BgL_argsz00_829 = BgL_argsz00_2064;
					BgL_dssslzd2argzd2_830 = BgL_dssslzd2argzd2_2065;
					{
						obj_t BgL_argsz00_821;

						obj_t BgL_dssslzd2argzd2_822;

						obj_t BgL_argsz00_783;

						obj_t BgL_dssslzd2argzd2_784;

						if (PAIRP(BgL_argsz00_829))
							{
								obj_t BgL_idz00_833;

								{	/* Llib/dsssl.scm 166 */
									obj_t BgL_ezd21247zd2_836;

									BgL_ezd21247zd2_836 = CAR(BgL_argsz00_829);
									if (SYMBOLP(BgL_ezd21247zd2_836))
										{	/* Llib/dsssl.scm 166 */
											BgL_idz00_833 = BgL_ezd21247zd2_836;
											{	/* Llib/dsssl.scm 168 */
												obj_t BgL_arg1857z00_838;

												obj_t BgL_arg1858z00_839;

												BgL_arg1857z00_838 = BGl_symbol2435z00zz__dssslz00;
												{	/* Llib/dsssl.scm 168 */
													obj_t BgL_arg1859z00_840;

													obj_t BgL_arg1860z00_841;

													{	/* Llib/dsssl.scm 168 */
														obj_t BgL_arg1864z00_845;

														{	/* Llib/dsssl.scm 168 */
															obj_t BgL_arg1866z00_847;

															{	/* Llib/dsssl.scm 168 */
																obj_t BgL_list1867z00_848;

																BgL_list1867z00_848 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg1866z00_847 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_dssslzd2argzd2_830, BgL_list1867z00_848);
															}
															BgL_arg1864z00_845 =
																MAKE_PAIR(BgL_idz00_833, BgL_arg1866z00_847);
														}
														BgL_arg1859z00_840 =
															MAKE_PAIR(BgL_arg1864z00_845, BNIL);
													}
													BgL_argsz00_821 = CDR(BgL_argsz00_829);
													BgL_dssslzd2argzd2_822 = BgL_dssslzd2argzd2_830;
													if (NULLP(BgL_argsz00_821))
														{	/* Llib/dsssl.scm 175 */
															BgL_arg1860z00_841 = BgL_bodyz00_2063;
														}
													else
														{	/* Llib/dsssl.scm 175 */
															if (PAIRP(BgL_argsz00_821))
																{	/* Llib/dsssl.scm 177 */
																	if ((CAR(BgL_argsz00_821) == BCNST(262)))
																		{	/* Llib/dsssl.scm 179 */
																			BgL_argsz00_783 = CDR(BgL_argsz00_821);
																			BgL_dssslzd2argzd2_784 =
																				BgL_dssslzd2argzd2_822;
																			if (NULLP(BgL_argsz00_783))
																				{	/* Llib/dsssl.scm 186 */
																					BgL_arg1860z00_841 = BgL_bodyz00_2063;
																				}
																			else
																				{	/* Llib/dsssl.scm 189 */
																					obj_t BgL_keyzd2listzd2_787;

																					{	/* Llib/dsssl.scm 189 */
																						obj_t BgL_head1708z00_806;

																						BgL_head1708z00_806 =
																							MAKE_PAIR(BNIL, BNIL);
																						{
																							obj_t BgL_l1706z00_807;

																							obj_t BgL_tail1709z00_808;

																							BgL_l1706z00_807 =
																								BgL_argsz00_783;
																							BgL_tail1709z00_808 =
																								BgL_head1708z00_806;
																						BgL_map1707z00_809:
																							if (NULLP(BgL_l1706z00_807))
																								{	/* Llib/dsssl.scm 189 */
																									BgL_keyzd2listzd2_787 =
																										CDR(BgL_head1708z00_806);
																								}
																							else
																								{	/* Llib/dsssl.scm 189 */
																									obj_t BgL_newtail1710z00_811;

																									{	/* Llib/dsssl.scm 189 */
																										obj_t BgL_arg1841z00_813;

																										{	/* Llib/dsssl.scm 189 */
																											obj_t BgL_xz00_815;

																											BgL_xz00_815 =
																												CAR(BgL_l1706z00_807);
																											{	/* Llib/dsssl.scm 191 */
																												bool_t BgL_testz00_2409;

																												if (PAIRP(BgL_xz00_815))
																													{	/* Llib/dsssl.scm 191 */
																														obj_t
																															BgL_auxz00_2412;
																														BgL_auxz00_2412 =
																															CAR(BgL_xz00_815);
																														BgL_testz00_2409 =
																															SYMBOLP
																															(BgL_auxz00_2412);
																													}
																												else
																													{	/* Llib/dsssl.scm 191 */
																														BgL_testz00_2409 =
																															((bool_t) 0);
																													}
																												if (BgL_testz00_2409)
																													{	/* Llib/dsssl.scm 191 */
																														BgL_arg1841z00_813 =
																															BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																															(CAR
																															(BgL_xz00_815));
																													}
																												else
																													{	/* Llib/dsssl.scm 191 */
																														if (SYMBOLP
																															(BgL_xz00_815))
																															{	/* Llib/dsssl.scm 193 */
																																BgL_arg1841z00_813
																																	=
																																	BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																																	(BgL_xz00_815);
																															}
																														else
																															{	/* Llib/dsssl.scm 193 */
																																BgL_arg1841z00_813
																																	=
																																	BGl_errorz00zz__errorz00
																																	(BGl_string2450z00zz__dssslz00,
																																	BGl_string2451z00zz__dssslz00,
																																	BgL_xz00_815);
																															}
																													}
																											}
																										}
																										BgL_newtail1710z00_811 =
																											MAKE_PAIR
																											(BgL_arg1841z00_813,
																											BNIL);
																									}
																									SET_CDR(BgL_tail1709z00_808,
																										BgL_newtail1710z00_811);
																									{
																										obj_t BgL_tail1709z00_2425;

																										obj_t BgL_l1706z00_2423;

																										BgL_l1706z00_2423 =
																											CDR(BgL_l1706z00_807);
																										BgL_tail1709z00_2425 =
																											BgL_newtail1710z00_811;
																										BgL_tail1709z00_808 =
																											BgL_tail1709z00_2425;
																										BgL_l1706z00_807 =
																											BgL_l1706z00_2423;
																										goto BgL_map1707z00_809;
																									}
																								}
																						}
																					}
																					{	/* Llib/dsssl.scm 200 */
																						obj_t BgL_arg1822z00_788;

																						obj_t BgL_arg1823z00_789;

																						BgL_arg1822z00_788 =
																							BGl_symbol2444z00zz__dssslz00;
																						{	/* Llib/dsssl.scm 201 */
																							obj_t BgL_arg1824z00_790;

																							obj_t BgL_arg1825z00_791;

																							{	/* Llib/dsssl.scm 201 */
																								obj_t BgL_arg1829z00_795;

																								obj_t BgL_arg1830z00_796;

																								BgL_arg1829z00_795 =
																									BGl_symbol2446z00zz__dssslz00;
																								{	/* Llib/dsssl.scm 201 */
																									obj_t BgL_arg1831z00_797;

																									{	/* Llib/dsssl.scm 201 */
																										obj_t BgL_arg1835z00_801;

																										obj_t BgL_arg1836z00_802;

																										BgL_arg1835z00_801 =
																											BGl_symbol2448z00zz__dssslz00;
																										{	/* Llib/dsssl.scm 201 */
																											obj_t BgL_list1837z00_803;

																											BgL_list1837z00_803 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1836z00_802 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_keyzd2listzd2_787,
																												BgL_list1837z00_803);
																										}
																										BgL_arg1831z00_797 =
																											MAKE_PAIR
																											(BgL_arg1835z00_801,
																											BgL_arg1836z00_802);
																									}
																									{	/* Llib/dsssl.scm 201 */
																										obj_t BgL_list1833z00_799;

																										{	/* Llib/dsssl.scm 201 */
																											obj_t BgL_arg1834z00_800;

																											BgL_arg1834z00_800 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_list1833z00_799 =
																												MAKE_PAIR
																												(BgL_arg1831z00_797,
																												BgL_arg1834z00_800);
																										}
																										BgL_arg1830z00_796 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_dssslzd2argzd2_784,
																											BgL_list1833z00_799);
																									}
																								}
																								BgL_arg1824z00_790 =
																									MAKE_PAIR(BgL_arg1829z00_795,
																									BgL_arg1830z00_796);
																							}
																							BgL_arg1825z00_791 =
																								BGl_keyzd2statezd2zz__dssslz00
																								(BgL_bodyz00_2063,
																								BgL_formalsz00_2062,
																								BgL_wherez00_2061,
																								BgL_errz00_2060,
																								BgL_argsz00_783,
																								BgL_dssslzd2argzd2_784);
																							{	/* Llib/dsssl.scm 200 */
																								obj_t BgL_list1827z00_793;

																								{	/* Llib/dsssl.scm 200 */
																									obj_t BgL_arg1828z00_794;

																									BgL_arg1828z00_794 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list1827z00_793 =
																										MAKE_PAIR
																										(BgL_arg1825z00_791,
																										BgL_arg1828z00_794);
																								}
																								BgL_arg1823z00_789 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg1824z00_790,
																									BgL_list1827z00_793);
																							}
																						}
																						BgL_arg1860z00_841 =
																							MAKE_PAIR(BgL_arg1822z00_788,
																							BgL_arg1823z00_789);
																					}
																				}
																		}
																	else
																		{	/* Llib/dsssl.scm 179 */
																			BgL_arg1860z00_841 =
																				PROCEDURE_ENTRY(BgL_errz00_2060)
																				(BgL_errz00_2060, BgL_wherez00_2061,
																				BGl_string2452z00zz__dssslz00,
																				BgL_formalsz00_2062, BEOA);
																		}
																}
															else
																{	/* Llib/dsssl.scm 177 */
																	BgL_arg1860z00_841 =
																		PROCEDURE_ENTRY(BgL_errz00_2060)
																		(BgL_errz00_2060, BgL_wherez00_2061,
																		BGl_string2452z00zz__dssslz00,
																		BgL_formalsz00_2062, BEOA);
																}
														}
													{	/* Llib/dsssl.scm 168 */
														obj_t BgL_list1862z00_843;

														{	/* Llib/dsssl.scm 168 */
															obj_t BgL_arg1863z00_844;

															BgL_arg1863z00_844 = MAKE_PAIR(BNIL, BNIL);
															BgL_list1862z00_843 =
																MAKE_PAIR(BgL_arg1860z00_841,
																BgL_arg1863z00_844);
														}
														BgL_arg1858z00_839 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1859z00_840, BgL_list1862z00_843);
													}
												}
												return
													MAKE_PAIR(BgL_arg1857z00_838, BgL_arg1858z00_839);
											}
										}
									else
										{	/* Llib/dsssl.scm 166 */
											return
												BGl_errorz00zz__errorz00(BgL_wherez00_2061,
												BGl_string2452z00zz__dssslz00, BgL_formalsz00_2062);
										}
								}
							}
						else
							{	/* Llib/dsssl.scm 163 */
								return
									PROCEDURE_ENTRY(BgL_errz00_2060) (BgL_errz00_2060,
									BgL_wherez00_2061, BGl_string2452z00zz__dssslz00,
									BgL_formalsz00_2062, BEOA);
							}
					}
				}
			}
		}
	}



/* optional-state */
	obj_t BGl_optionalzd2statezd2zz__dssslz00(obj_t BgL_envz00_2066,
		obj_t BgL_argsz00_2073, obj_t BgL_dssslzd2argzd2_2074)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 123 */
			return
				BGl_optionalzd2statez72za0zz__dssslz00(PROCEDURE_REF(BgL_envz00_2066,
					(int) (((long) 5))),
				PROCEDURE_REF(BgL_envz00_2066,
					(int) (((long) 4))),
				PROCEDURE_REF(BgL_envz00_2066,
					(int) (((long) 3))),
				PROCEDURE_REF(BgL_envz00_2066,
					(int) (((long) 2))),
				PROCEDURE_REF(BgL_envz00_2066,
					(int) (((long) 1))),
				PROCEDURE_REF(BgL_envz00_2066,
					(int) (((long) 0))), BgL_argsz00_2073, BgL_dssslzd2argzd2_2074);
		}
	}



/* optional-state' */
	obj_t BGl_optionalzd2statez72za0zz__dssslz00(obj_t BgL_bodyz00_2092,
		obj_t BgL_nozd2restzd2keyzd2statezd2_2091, obj_t BgL_restzd2statezd2_2090,
		obj_t BgL_formalsz00_2089, obj_t BgL_wherez00_2088, obj_t BgL_errz00_2087,
		obj_t BgL_argsz00_850, obj_t BgL_dssslzd2argzd2_851)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 123 */
			{	/* Llib/dsssl.scm 136 */
				obj_t BgL_keywordzd2argumentszd2_854;

				BgL_keywordzd2argumentszd2_854 = BUNSPEC;
				{
					obj_t BgL_argsz00_965;

					obj_t BgL_argz00_889;

					obj_t BgL_initializa7erza7_890;

					BgL_argsz00_965 = BgL_argsz00_850;
					{
						obj_t BgL_argsz00_967;

						BgL_argsz00_967 = BgL_argsz00_965;
					BgL_loopz00_968:
						if (PAIRP(BgL_argsz00_967))
							{	/* Llib/dsssl.scm 104 */
								if ((CAR(BgL_argsz00_967) == BCNST(262)))
									{	/* Llib/dsssl.scm 107 */
										obj_t BgL_g1672z00_971;

										BgL_g1672z00_971 = CDR(BgL_argsz00_967);
										{
											obj_t BgL_argsz00_973;

											obj_t BgL_resz00_974;

											BgL_argsz00_973 = BgL_g1672z00_971;
											BgL_resz00_974 = BNIL;
										BgL_loopz00_975:
											{	/* Llib/dsssl.scm 110 */
												bool_t BgL_testz00_2470;

												if (PAIRP(BgL_argsz00_973))
													{	/* Llib/dsssl.scm 111 */
														bool_t BgL_testz00_2473;

														{	/* Llib/dsssl.scm 111 */
															bool_t BgL_testz00_2474;

															{	/* Llib/dsssl.scm 111 */
																obj_t BgL_auxz00_2475;

																BgL_auxz00_2475 = CAR(BgL_argsz00_973);
																BgL_testz00_2474 = PAIRP(BgL_auxz00_2475);
															}
															if (BgL_testz00_2474)
																{	/* Llib/dsssl.scm 111 */
																	BgL_testz00_2473 = ((bool_t) 1);
																}
															else
																{	/* Llib/dsssl.scm 112 */
																	obj_t BgL_auxz00_2478;

																	BgL_auxz00_2478 = CAR(BgL_argsz00_973);
																	BgL_testz00_2473 = SYMBOLP(BgL_auxz00_2478);
																}
														}
														if (BgL_testz00_2473)
															{	/* Llib/dsssl.scm 111 */
																if ((CAR(BgL_argsz00_973) == BCNST(258)))
																	{	/* Llib/dsssl.scm 113 */
																		BgL_testz00_2470 = ((bool_t) 1);
																	}
																else
																	{	/* Llib/dsssl.scm 113 */
																		BgL_testz00_2470 =
																			(CAR(BgL_argsz00_973) == BCNST(259));
																	}
															}
														else
															{	/* Llib/dsssl.scm 111 */
																BgL_testz00_2470 = ((bool_t) 1);
															}
													}
												else
													{	/* Llib/dsssl.scm 110 */
														BgL_testz00_2470 = ((bool_t) 1);
													}
												if (BgL_testz00_2470)
													{	/* Llib/dsssl.scm 110 */
														BgL_keywordzd2argumentszd2_854 = BgL_resz00_974;
													}
												else
													{	/* Llib/dsssl.scm 116 */
														bool_t BgL_testz00_2486;

														{	/* Llib/dsssl.scm 116 */
															obj_t BgL_auxz00_2487;

															BgL_auxz00_2487 = CAR(BgL_argsz00_973);
															BgL_testz00_2486 = SYMBOLP(BgL_auxz00_2487);
														}
														if (BgL_testz00_2486)
															{	/* Llib/dsssl.scm 117 */
																obj_t BgL_arg1984z00_978;

																obj_t BgL_arg1985z00_979;

																BgL_arg1984z00_978 = CDR(BgL_argsz00_973);
																BgL_arg1985z00_979 =
																	MAKE_PAIR
																	(BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																	(CAR(BgL_argsz00_973)), BgL_resz00_974);
																{
																	obj_t BgL_resz00_2495;

																	obj_t BgL_argsz00_2494;

																	BgL_argsz00_2494 = BgL_arg1984z00_978;
																	BgL_resz00_2495 = BgL_arg1985z00_979;
																	BgL_resz00_974 = BgL_resz00_2495;
																	BgL_argsz00_973 = BgL_argsz00_2494;
																	goto BgL_loopz00_975;
																}
															}
														else
															{	/* Llib/dsssl.scm 120 */
																obj_t BgL_arg1990z00_982;

																obj_t BgL_arg1991z00_983;

																BgL_arg1990z00_982 = CDR(BgL_argsz00_973);
																{	/* Llib/dsssl.scm 121 */
																	obj_t BgL_arg1993z00_984;

																	{	/* Llib/dsssl.scm 121 */
																		obj_t BgL_arg1994z00_985;

																		{	/* Llib/dsssl.scm 121 */
																			obj_t BgL_pairz00_1735;

																			BgL_pairz00_1735 = BgL_argsz00_973;
																			BgL_arg1994z00_985 =
																				CAR(CAR(BgL_pairz00_1735));
																		}
																		BgL_arg1993z00_984 =
																			BGl_symbolzd2ze3keywordz31zz__r4_symbols_6_4z00
																			(BgL_arg1994z00_985);
																	}
																	BgL_arg1991z00_983 =
																		MAKE_PAIR(BgL_arg1993z00_984,
																		BgL_resz00_974);
																}
																{
																	obj_t BgL_resz00_2502;

																	obj_t BgL_argsz00_2501;

																	BgL_argsz00_2501 = BgL_arg1990z00_982;
																	BgL_resz00_2502 = BgL_arg1991z00_983;
																	BgL_resz00_974 = BgL_resz00_2502;
																	BgL_argsz00_973 = BgL_argsz00_2501;
																	goto BgL_loopz00_975;
																}
															}
													}
											}
										}
									}
								else
									{
										obj_t BgL_argsz00_2503;

										BgL_argsz00_2503 = CDR(BgL_argsz00_967);
										BgL_argsz00_967 = BgL_argsz00_2503;
										goto BgL_loopz00_968;
									}
							}
						else
							{	/* Llib/dsssl.scm 104 */
								BgL_keywordzd2argumentszd2_854 = BNIL;
							}
					}
					if (NULLP(BgL_argsz00_850))
						{	/* Llib/dsssl.scm 138 */
							return BgL_bodyz00_2092;
						}
					else
						{	/* Llib/dsssl.scm 138 */
							if (PAIRP(BgL_argsz00_850))
								{	/* Llib/dsssl.scm 142 */
									bool_t BgL_testz00_2509;

									{	/* Llib/dsssl.scm 142 */
										bool_t BgL_testz00_2510;

										{	/* Llib/dsssl.scm 142 */
											obj_t BgL_auxz00_2511;

											BgL_auxz00_2511 = CAR(BgL_argsz00_850);
											BgL_testz00_2510 = SYMBOLP(BgL_auxz00_2511);
										}
										if (BgL_testz00_2510)
											{	/* Llib/dsssl.scm 142 */
												BgL_testz00_2509 = ((bool_t) 0);
											}
										else
											{	/* Llib/dsssl.scm 142 */
												bool_t BgL_testz00_2514;

												{	/* Llib/dsssl.scm 142 */
													obj_t BgL_auxz00_2515;

													BgL_auxz00_2515 = CAR(BgL_argsz00_850);
													BgL_testz00_2514 = PAIRP(BgL_auxz00_2515);
												}
												if (BgL_testz00_2514)
													{	/* Llib/dsssl.scm 142 */
														BgL_testz00_2509 = ((bool_t) 0);
													}
												else
													{	/* Llib/dsssl.scm 142 */
														BgL_testz00_2509 = ((bool_t) 1);
													}
											}
									}
									if (BgL_testz00_2509)
										{	/* Llib/dsssl.scm 144 */
											long BgL_aux1676z00_860;

											{	/* Llib/dsssl.scm 144 */
												obj_t BgL_aux1674z00_864;

												BgL_aux1674z00_864 = CAR(BgL_argsz00_850);
												if (CNSTP(BgL_aux1674z00_864))
													{	/* Llib/dsssl.scm 144 */
														BgL_aux1676z00_860 = CCNST(BgL_aux1674z00_864);
													}
												else
													{	/* Llib/dsssl.scm 144 */
														BgL_aux1676z00_860 = ((long) -1);
											}}
											switch (BgL_aux1676z00_860)
												{
												case ((long) 259):

													return
														BGl_restzd2statezd2zz__dssslz00
														(BgL_restzd2statezd2_2090, CDR(BgL_argsz00_850),
														BgL_dssslzd2argzd2_851);
													break;
												case ((long) 262):

													return
														BGl_nozd2restzd2keyzd2statezd2zz__dssslz00
														(BgL_nozd2restzd2keyzd2statezd2_2091,
														CDR(BgL_argsz00_850), BgL_dssslzd2argzd2_851);
													break;
												default:
													return
														PROCEDURE_ENTRY(BgL_errz00_2087) (BgL_errz00_2087,
														BgL_wherez00_2088, BGl_string2467z00zz__dssslz00,
														BgL_formalsz00_2089, BEOA);
												}
										}
									else
										{	/* Llib/dsssl.scm 153 */
											obj_t BgL_ezd21215zd2_872;

											BgL_ezd21215zd2_872 = CAR(BgL_argsz00_850);
											if (PAIRP(BgL_ezd21215zd2_872))
												{	/* Llib/dsssl.scm 153 */
													obj_t BgL_carzd21220zd2_874;

													obj_t BgL_cdrzd21221zd2_875;

													BgL_carzd21220zd2_874 = CAR(BgL_ezd21215zd2_872);
													BgL_cdrzd21221zd2_875 = CDR(BgL_ezd21215zd2_872);
													if (SYMBOLP(BgL_carzd21220zd2_874))
														{	/* Llib/dsssl.scm 153 */
															if (PAIRP(BgL_cdrzd21221zd2_875))
																{	/* Llib/dsssl.scm 153 */
																	if (NULLP(CDR(BgL_cdrzd21221zd2_875)))
																		{	/* Llib/dsssl.scm 153 */
																			BgL_argz00_889 = BgL_carzd21220zd2_874;
																			BgL_initializa7erza7_890 =
																				CAR(BgL_cdrzd21221zd2_875);
																		BgL_zc3anonymousza31891ze3z83_891:
																			{	/* Llib/dsssl.scm 128 */
																				obj_t BgL_tmpz00_892;

																				BgL_tmpz00_892 =
																					BGl_gensymz00zz__r4_symbols_6_4z00
																					(BGl_symbol2453z00zz__dssslz00);
																				{	/* Llib/dsssl.scm 129 */
																					obj_t BgL_arg1892z00_893;

																					obj_t BgL_arg1893z00_894;

																					BgL_arg1892z00_893 =
																						BGl_symbol2435z00zz__dssslz00;
																					{	/* Llib/dsssl.scm 129 */
																						obj_t BgL_arg1894z00_895;

																						obj_t BgL_arg1895z00_896;

																						{	/* Llib/dsssl.scm 129 */
																							obj_t BgL_arg1899z00_900;

																							{	/* Llib/dsssl.scm 129 */
																								obj_t BgL_arg1901z00_902;

																								{	/* Llib/dsssl.scm 129 */
																									obj_t BgL_arg1902z00_903;

																									{	/* Llib/dsssl.scm 129 */
																										obj_t BgL_arg1905z00_906;

																										obj_t BgL_arg1906z00_907;

																										BgL_arg1905z00_906 =
																											BGl_symbol2455z00zz__dssslz00;
																										{	/* Llib/dsssl.scm 129 */
																											obj_t BgL_arg1907z00_908;

																											obj_t BgL_arg1908z00_909;

																											{	/* Llib/dsssl.scm 129 */
																												obj_t
																													BgL_arg1915z00_914;
																												obj_t
																													BgL_arg1918z00_915;
																												BgL_arg1915z00_914 =
																													BGl_symbol2455z00zz__dssslz00;
																												{	/* Llib/dsssl.scm 129 */
																													obj_t
																														BgL_arg1919z00_916;
																													obj_t
																														BgL_arg1920z00_917;
																													{	/* Llib/dsssl.scm 129 */
																														obj_t
																															BgL_arg1925z00_922;
																														obj_t
																															BgL_arg1926z00_923;
																														BgL_arg1925z00_922 =
																															BGl_symbol2457z00zz__dssslz00;
																														{	/* Llib/dsssl.scm 129 */
																															obj_t
																																BgL_list1927z00_924;
																															BgL_list1927z00_924
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_arg1926z00_923
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(BgL_dssslzd2argzd2_851,
																																BgL_list1927z00_924);
																														}
																														BgL_arg1919z00_916 =
																															MAKE_PAIR
																															(BgL_arg1925z00_922,
																															BgL_arg1926z00_923);
																													}
																													{	/* Llib/dsssl.scm 131 */
																														obj_t
																															BgL_arg1934z00_925;
																														obj_t
																															BgL_arg1935z00_926;
																														BgL_arg1934z00_925 =
																															BGl_symbol2459z00zz__dssslz00;
																														{	/* Llib/dsssl.scm 131 */
																															obj_t
																																BgL_arg1936z00_927;
																															obj_t
																																BgL_arg1937z00_928;
																															{	/* Llib/dsssl.scm 131 */
																																obj_t
																																	BgL_arg1941z00_932;
																																obj_t
																																	BgL_arg1942z00_933;
																																BgL_arg1941z00_932
																																	=
																																	BGl_symbol2461z00zz__dssslz00;
																																{	/* Llib/dsssl.scm 131 */
																																	obj_t
																																		BgL_list1943z00_934;
																																	BgL_list1943z00_934
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_arg1942z00_933
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_dssslzd2argzd2_851,
																																		BgL_list1943z00_934);
																																}
																																BgL_arg1936z00_927
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1941z00_932,
																																	BgL_arg1942z00_933);
																															}
																															{	/* Llib/dsssl.scm 131 */
																																obj_t
																																	BgL_arg1944z00_935;
																																obj_t
																																	BgL_arg1945z00_936;
																																BgL_arg1944z00_935
																																	=
																																	BGl_symbol2448z00zz__dssslz00;
																																{	/* Llib/dsssl.scm 131 */
																																	obj_t
																																		BgL_list1946z00_937;
																																	BgL_list1946z00_937
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_arg1945z00_936
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_keywordzd2argumentszd2_854,
																																		BgL_list1946z00_937);
																																}
																																BgL_arg1937z00_928
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1944z00_935,
																																	BgL_arg1945z00_936);
																															}
																															{	/* Llib/dsssl.scm 131 */
																																obj_t
																																	BgL_list1939z00_930;
																																{	/* Llib/dsssl.scm 131 */
																																	obj_t
																																		BgL_arg1940z00_931;
																																	BgL_arg1940z00_931
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_list1939z00_930
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1937z00_928,
																																		BgL_arg1940z00_931);
																																}
																																BgL_arg1935z00_926
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_arg1936z00_927,
																																	BgL_list1939z00_930);
																															}
																														}
																														BgL_arg1920z00_917 =
																															MAKE_PAIR
																															(BgL_arg1934z00_925,
																															BgL_arg1935z00_926);
																													}
																													{	/* Llib/dsssl.scm 129 */
																														obj_t
																															BgL_list1922z00_919;
																														{	/* Llib/dsssl.scm 129 */
																															obj_t
																																BgL_arg1923z00_920;
																															{	/* Llib/dsssl.scm 129 */
																																obj_t
																																	BgL_arg1924z00_921;
																																BgL_arg1924z00_921
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_arg1923z00_920
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1920z00_917,
																																	BgL_arg1924z00_921);
																															}
																															BgL_list1922z00_919
																																=
																																MAKE_PAIR(BTRUE,
																																BgL_arg1923z00_920);
																														}
																														BgL_arg1918z00_915 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_arg1919z00_916,
																															BgL_list1922z00_919);
																													}
																												}
																												BgL_arg1907z00_908 =
																													MAKE_PAIR
																													(BgL_arg1915z00_914,
																													BgL_arg1918z00_915);
																											}
																											{	/* Llib/dsssl.scm 133 */
																												obj_t
																													BgL_arg1947z00_938;
																												obj_t
																													BgL_arg1948z00_939;
																												BgL_arg1947z00_938 =
																													BGl_symbol2435z00zz__dssslz00;
																												{	/* Llib/dsssl.scm 133 */
																													obj_t
																														BgL_arg1949z00_940;
																													obj_t
																														BgL_arg1950z00_941;
																													{	/* Llib/dsssl.scm 133 */
																														obj_t
																															BgL_arg1955z00_946;
																														{	/* Llib/dsssl.scm 133 */
																															obj_t
																																BgL_arg1957z00_948;
																															{	/* Llib/dsssl.scm 133 */
																																obj_t
																																	BgL_arg1958z00_949;
																																{	/* Llib/dsssl.scm 133 */
																																	obj_t
																																		BgL_arg1961z00_952;
																																	obj_t
																																		BgL_arg1962z00_953;
																																	BgL_arg1961z00_952
																																		=
																																		BGl_symbol2461z00zz__dssslz00;
																																	{	/* Llib/dsssl.scm 133 */
																																		obj_t
																																			BgL_list1963z00_954;
																																		BgL_list1963z00_954
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg1962z00_953
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_dssslzd2argzd2_851,
																																			BgL_list1963z00_954);
																																	}
																																	BgL_arg1958z00_949
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1961z00_952,
																																		BgL_arg1962z00_953);
																																}
																																{	/* Llib/dsssl.scm 133 */
																																	obj_t
																																		BgL_list1960z00_951;
																																	BgL_list1960z00_951
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_arg1957z00_948
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_arg1958z00_949,
																																		BgL_list1960z00_951);
																																}
																															}
																															BgL_arg1955z00_946
																																=
																																MAKE_PAIR
																																(BgL_tmpz00_892,
																																BgL_arg1957z00_948);
																														}
																														BgL_arg1949z00_940 =
																															MAKE_PAIR
																															(BgL_arg1955z00_946,
																															BNIL);
																													}
																													{	/* Llib/dsssl.scm 134 */
																														obj_t
																															BgL_arg1964z00_955;
																														obj_t
																															BgL_arg1965z00_956;
																														BgL_arg1964z00_955 =
																															BGl_symbol2463z00zz__dssslz00;
																														{	/* Llib/dsssl.scm 134 */
																															obj_t
																																BgL_arg1966z00_957;
																															{	/* Llib/dsssl.scm 134 */
																																obj_t
																																	BgL_arg1975z00_961;
																																obj_t
																																	BgL_arg1976z00_962;
																																BgL_arg1975z00_961
																																	=
																																	BGl_symbol2465z00zz__dssslz00;
																																{	/* Llib/dsssl.scm 134 */
																																	obj_t
																																		BgL_list1977z00_963;
																																	BgL_list1977z00_963
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_arg1976z00_962
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_dssslzd2argzd2_851,
																																		BgL_list1977z00_963);
																																}
																																BgL_arg1966z00_957
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1975z00_961,
																																	BgL_arg1976z00_962);
																															}
																															{	/* Llib/dsssl.scm 134 */
																																obj_t
																																	BgL_list1971z00_959;
																																{	/* Llib/dsssl.scm 134 */
																																	obj_t
																																		BgL_arg1974z00_960;
																																	BgL_arg1974z00_960
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_list1971z00_959
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1966z00_957,
																																		BgL_arg1974z00_960);
																																}
																																BgL_arg1965z00_956
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_dssslzd2argzd2_851,
																																	BgL_list1971z00_959);
																															}
																														}
																														BgL_arg1950z00_941 =
																															MAKE_PAIR
																															(BgL_arg1964z00_955,
																															BgL_arg1965z00_956);
																													}
																													{	/* Llib/dsssl.scm 133 */
																														obj_t
																															BgL_list1952z00_943;
																														{	/* Llib/dsssl.scm 133 */
																															obj_t
																																BgL_arg1953z00_944;
																															{	/* Llib/dsssl.scm 133 */
																																obj_t
																																	BgL_arg1954z00_945;
																																BgL_arg1954z00_945
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_arg1953z00_944
																																	=
																																	MAKE_PAIR
																																	(BgL_tmpz00_892,
																																	BgL_arg1954z00_945);
																															}
																															BgL_list1952z00_943
																																=
																																MAKE_PAIR
																																(BgL_arg1950z00_941,
																																BgL_arg1953z00_944);
																														}
																														BgL_arg1948z00_939 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_arg1949z00_940,
																															BgL_list1952z00_943);
																													}
																												}
																												BgL_arg1908z00_909 =
																													MAKE_PAIR
																													(BgL_arg1947z00_938,
																													BgL_arg1948z00_939);
																											}
																											{	/* Llib/dsssl.scm 129 */
																												obj_t
																													BgL_list1910z00_911;
																												{	/* Llib/dsssl.scm 129 */
																													obj_t
																														BgL_arg1911z00_912;
																													{	/* Llib/dsssl.scm 129 */
																														obj_t
																															BgL_arg1914z00_913;
																														BgL_arg1914z00_913 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg1911z00_912 =
																															MAKE_PAIR
																															(BgL_arg1908z00_909,
																															BgL_arg1914z00_913);
																													}
																													BgL_list1910z00_911 =
																														MAKE_PAIR
																														(BgL_initializa7erza7_890,
																														BgL_arg1911z00_912);
																												}
																												BgL_arg1906z00_907 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg1907z00_908,
																													BgL_list1910z00_911);
																											}
																										}
																										BgL_arg1902z00_903 =
																											MAKE_PAIR
																											(BgL_arg1905z00_906,
																											BgL_arg1906z00_907);
																									}
																									{	/* Llib/dsssl.scm 129 */
																										obj_t BgL_list1904z00_905;

																										BgL_list1904z00_905 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg1901z00_902 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg1902z00_903,
																											BgL_list1904z00_905);
																									}
																								}
																								BgL_arg1899z00_900 =
																									MAKE_PAIR(BgL_argz00_889,
																									BgL_arg1901z00_902);
																							}
																							BgL_arg1894z00_895 =
																								MAKE_PAIR(BgL_arg1899z00_900,
																								BNIL);
																						}
																						BgL_arg1895z00_896 =
																							BGl_optionalzd2statez72za0zz__dssslz00
																							(BgL_bodyz00_2092,
																							BgL_nozd2restzd2keyzd2statezd2_2091,
																							BgL_restzd2statezd2_2090,
																							BgL_formalsz00_2089,
																							BgL_wherez00_2088,
																							BgL_errz00_2087,
																							CDR(BgL_argsz00_850),
																							BgL_dssslzd2argzd2_851);
																						{	/* Llib/dsssl.scm 129 */
																							obj_t BgL_list1897z00_898;

																							{	/* Llib/dsssl.scm 129 */
																								obj_t BgL_arg1898z00_899;

																								BgL_arg1898z00_899 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_list1897z00_898 =
																									MAKE_PAIR(BgL_arg1895z00_896,
																									BgL_arg1898z00_899);
																							}
																							BgL_arg1893z00_894 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg1894z00_895,
																								BgL_list1897z00_898);
																						}
																					}
																					return
																						MAKE_PAIR(BgL_arg1892z00_893,
																						BgL_arg1893z00_894);
																				}
																			}
																		}
																	else
																		{	/* Llib/dsssl.scm 153 */
																			if (SYMBOLP(BgL_ezd21215zd2_872))
																				{
																					obj_t BgL_initializa7erza7_2598;

																					obj_t BgL_argz00_2597;

																					BgL_argz00_2597 = BgL_ezd21215zd2_872;
																					BgL_initializa7erza7_2598 = BFALSE;
																					BgL_initializa7erza7_890 =
																						BgL_initializa7erza7_2598;
																					BgL_argz00_889 = BgL_argz00_2597;
																					goto
																						BgL_zc3anonymousza31891ze3z83_891;
																				}
																			else
																				{	/* Llib/dsssl.scm 153 */
																					return
																						PROCEDURE_ENTRY(BgL_errz00_2087)
																						(BgL_errz00_2087, BgL_wherez00_2088,
																						BGl_string2467z00zz__dssslz00,
																						BgL_formalsz00_2089, BEOA);
																				}
																		}
																}
															else
																{	/* Llib/dsssl.scm 153 */
																	if (SYMBOLP(BgL_ezd21215zd2_872))
																		{
																			obj_t BgL_initializa7erza7_2604;

																			obj_t BgL_argz00_2603;

																			BgL_argz00_2603 = BgL_ezd21215zd2_872;
																			BgL_initializa7erza7_2604 = BFALSE;
																			BgL_initializa7erza7_890 =
																				BgL_initializa7erza7_2604;
																			BgL_argz00_889 = BgL_argz00_2603;
																			goto BgL_zc3anonymousza31891ze3z83_891;
																		}
																	else
																		{	/* Llib/dsssl.scm 153 */
																			return
																				PROCEDURE_ENTRY(BgL_errz00_2087)
																				(BgL_errz00_2087, BgL_wherez00_2088,
																				BGl_string2467z00zz__dssslz00,
																				BgL_formalsz00_2089, BEOA);
																		}
																}
														}
													else
														{	/* Llib/dsssl.scm 153 */
															if (SYMBOLP(BgL_ezd21215zd2_872))
																{
																	obj_t BgL_initializa7erza7_2610;

																	obj_t BgL_argz00_2609;

																	BgL_argz00_2609 = BgL_ezd21215zd2_872;
																	BgL_initializa7erza7_2610 = BFALSE;
																	BgL_initializa7erza7_890 =
																		BgL_initializa7erza7_2610;
																	BgL_argz00_889 = BgL_argz00_2609;
																	goto BgL_zc3anonymousza31891ze3z83_891;
																}
															else
																{	/* Llib/dsssl.scm 153 */
																	return
																		PROCEDURE_ENTRY(BgL_errz00_2087)
																		(BgL_errz00_2087, BgL_wherez00_2088,
																		BGl_string2467z00zz__dssslz00,
																		BgL_formalsz00_2089, BEOA);
																}
														}
												}
											else
												{	/* Llib/dsssl.scm 153 */
													if (SYMBOLP(BgL_ezd21215zd2_872))
														{
															obj_t BgL_initializa7erza7_2616;

															obj_t BgL_argz00_2615;

															BgL_argz00_2615 = BgL_ezd21215zd2_872;
															BgL_initializa7erza7_2616 = BFALSE;
															BgL_initializa7erza7_890 =
																BgL_initializa7erza7_2616;
															BgL_argz00_889 = BgL_argz00_2615;
															goto BgL_zc3anonymousza31891ze3z83_891;
														}
													else
														{	/* Llib/dsssl.scm 153 */
															return
																PROCEDURE_ENTRY(BgL_errz00_2087)
																(BgL_errz00_2087, BgL_wherez00_2088,
																BGl_string2467z00zz__dssslz00,
																BgL_formalsz00_2089, BEOA);
														}
												}
										}
								}
							else
								{	/* Llib/dsssl.scm 140 */
									return
										PROCEDURE_ENTRY(BgL_errz00_2087) (BgL_errz00_2087,
										BgL_wherez00_2088, BGl_string2467z00zz__dssslz00,
										BgL_formalsz00_2089, BEOA);
								}
						}
				}
			}
		}
	}



/* dsssl-check-key-args! */
	BGL_EXPORTED_DEF obj_t BGl_dssslzd2checkzd2keyzd2argsz12zc0zz__dssslz00(obj_t
		BgL_dssslzd2argszd2_5, obj_t BgL_keyzd2listzd2_6)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 257 */
			if (NULLP(BgL_keyzd2listzd2_6))
				{
					obj_t BgL_argsz00_1081;

					BgL_argsz00_1081 = BgL_dssslzd2argszd2_5;
				BgL_loopz00_1082:
					if (NULLP(BgL_argsz00_1081))
						{	/* Llib/dsssl.scm 261 */
							return BgL_dssslzd2argszd2_5;
						}
					else
						{	/* Llib/dsssl.scm 263 */
							bool_t BgL_testz00_2625;

							if (PAIRP(BgL_argsz00_1081))
								{	/* Llib/dsssl.scm 263 */
									if (NULLP(CDR(BgL_argsz00_1081)))
										{	/* Llib/dsssl.scm 264 */
											BgL_testz00_2625 = ((bool_t) 1);
										}
									else
										{	/* Llib/dsssl.scm 265 */
											bool_t BgL_testz00_2631;

											{	/* Llib/dsssl.scm 265 */
												obj_t BgL_auxz00_2632;

												BgL_auxz00_2632 = CAR(BgL_argsz00_1081);
												BgL_testz00_2631 = KEYWORDP(BgL_auxz00_2632);
											}
											if (BgL_testz00_2631)
												{	/* Llib/dsssl.scm 265 */
													BgL_testz00_2625 = ((bool_t) 0);
												}
											else
												{	/* Llib/dsssl.scm 265 */
													BgL_testz00_2625 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Llib/dsssl.scm 263 */
									BgL_testz00_2625 = ((bool_t) 1);
								}
							if (BgL_testz00_2625)
								{	/* Llib/dsssl.scm 263 */
									return
										BGl_errorz00zz__errorz00(BGl_string2450z00zz__dssslz00,
										BGl_string2468z00zz__dssslz00, BgL_argsz00_1081);
								}
							else
								{	/* Llib/dsssl.scm 270 */
									obj_t BgL_arg2077z00_1085;

									{	/* Llib/dsssl.scm 270 */
										obj_t BgL_pairz00_1777;

										BgL_pairz00_1777 = BgL_argsz00_1081;
										BgL_arg2077z00_1085 = CDR(CDR(BgL_pairz00_1777));
									}
									{
										obj_t BgL_argsz00_2638;

										BgL_argsz00_2638 = BgL_arg2077z00_1085;
										BgL_argsz00_1081 = BgL_argsz00_2638;
										goto BgL_loopz00_1082;
									}
								}
						}
				}
			else
				{
					obj_t BgL_argsz00_1092;

					bool_t BgL_armedz00_1093;

					obj_t BgL_optsz00_1094;

					BgL_argsz00_1092 = BgL_dssslzd2argszd2_5;
					BgL_armedz00_1093 = ((bool_t) 0);
					BgL_optsz00_1094 = BNIL;
				BgL_loopz00_1095:
					if (NULLP(BgL_argsz00_1092))
						{	/* Llib/dsssl.scm 275 */
							return bgl_reverse_bang(BgL_optsz00_1094);
						}
					else
						{	/* Llib/dsssl.scm 277 */
							bool_t BgL_testz00_2642;

							if (PAIRP(BgL_argsz00_1092))
								{	/* Llib/dsssl.scm 277 */
									if (NULLP(CDR(BgL_argsz00_1092)))
										{	/* Llib/dsssl.scm 278 */
											BgL_testz00_2642 = ((bool_t) 1);
										}
									else
										{	/* Llib/dsssl.scm 279 */
											bool_t BgL_testz00_2648;

											{	/* Llib/dsssl.scm 279 */
												obj_t BgL_auxz00_2649;

												BgL_auxz00_2649 = CAR(BgL_argsz00_1092);
												BgL_testz00_2648 = KEYWORDP(BgL_auxz00_2649);
											}
											if (BgL_testz00_2648)
												{	/* Llib/dsssl.scm 279 */
													if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR
																(BgL_argsz00_1092), BgL_keyzd2listzd2_6)))
														{	/* Llib/dsssl.scm 280 */
															BgL_testz00_2642 = ((bool_t) 0);
														}
													else
														{	/* Llib/dsssl.scm 280 */
															BgL_testz00_2642 = ((bool_t) 1);
														}
												}
											else
												{	/* Llib/dsssl.scm 279 */
													BgL_testz00_2642 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Llib/dsssl.scm 277 */
									BgL_testz00_2642 = ((bool_t) 1);
								}
							if (BgL_testz00_2642)
								{	/* Llib/dsssl.scm 277 */
									if (BgL_armedz00_1093)
										{	/* Llib/dsssl.scm 283 */
											obj_t BgL_arg2085z00_1098;

											obj_t BgL_arg2086z00_1099;

											BgL_arg2085z00_1098 = CDR(BgL_argsz00_1092);
											BgL_arg2086z00_1099 =
												MAKE_PAIR(CAR(BgL_argsz00_1092), BgL_optsz00_1094);
											{
												obj_t BgL_optsz00_2662;

												bool_t BgL_armedz00_2661;

												obj_t BgL_argsz00_2660;

												BgL_argsz00_2660 = BgL_arg2085z00_1098;
												BgL_armedz00_2661 = ((bool_t) 0);
												BgL_optsz00_2662 = BgL_arg2086z00_1099;
												BgL_optsz00_1094 = BgL_optsz00_2662;
												BgL_armedz00_1093 = BgL_armedz00_2661;
												BgL_argsz00_1092 = BgL_argsz00_2660;
												goto BgL_loopz00_1095;
											}
										}
									else
										{
											obj_t BgL_argsz00_2663;

											BgL_argsz00_2663 = CDR(BgL_argsz00_1092);
											BgL_argsz00_1092 = BgL_argsz00_2663;
											goto BgL_loopz00_1095;
										}
								}
							else
								{	/* Llib/dsssl.scm 287 */
									obj_t BgL_arg2089z00_1102;

									{	/* Llib/dsssl.scm 287 */
										obj_t BgL_pairz00_1791;

										BgL_pairz00_1791 = BgL_argsz00_1092;
										BgL_arg2089z00_1102 = CDR(CDR(BgL_pairz00_1791));
									}
									{
										bool_t BgL_armedz00_2668;

										obj_t BgL_argsz00_2667;

										BgL_argsz00_2667 = BgL_arg2089z00_1102;
										BgL_armedz00_2668 = ((bool_t) 1);
										BgL_armedz00_1093 = BgL_armedz00_2668;
										BgL_argsz00_1092 = BgL_argsz00_2667;
										goto BgL_loopz00_1095;
									}
								}
						}
				}
		}
	}



/* _dsssl-check-key-args! */
	obj_t BGl__dssslzd2checkzd2keyzd2argsz12zc0zz__dssslz00(obj_t BgL_envz00_2075,
		obj_t BgL_dssslzd2argszd2_2076, obj_t BgL_keyzd2listzd2_2077)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 257 */
			return
				BGl_dssslzd2checkzd2keyzd2argsz12zc0zz__dssslz00
				(BgL_dssslzd2argszd2_2076, BgL_keyzd2listzd2_2077);
		}
	}



/* dsssl-get-key-arg */
	BGL_EXPORTED_DEF obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t
		BgL_dssslzd2argszd2_7, obj_t BgL_keywordz00_8, obj_t BgL_initializa7erza7_9)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 295 */
			{
				obj_t BgL_argsz00_1110;

				BgL_argsz00_1110 = BgL_dssslzd2argszd2_7;
			BgL_loopz00_1111:
				if (NULLP(BgL_argsz00_1110))
					{	/* Llib/dsssl.scm 298 */
						return BgL_initializa7erza7_9;
					}
				else
					{	/* Llib/dsssl.scm 300 */
						bool_t BgL_testz00_2672;

						{	/* Llib/dsssl.scm 300 */
							obj_t BgL_auxz00_2673;

							BgL_auxz00_2673 = CAR(BgL_argsz00_1110);
							BgL_testz00_2672 = KEYWORDP(BgL_auxz00_2673);
						}
						if (BgL_testz00_2672)
							{	/* Llib/dsssl.scm 300 */
								if ((CAR(BgL_argsz00_1110) == BgL_keywordz00_8))
									{	/* Llib/dsssl.scm 303 */
										bool_t BgL_testz00_2679;

										{	/* Llib/dsssl.scm 303 */
											obj_t BgL_auxz00_2680;

											BgL_auxz00_2680 = CDR(BgL_argsz00_1110);
											BgL_testz00_2679 = PAIRP(BgL_auxz00_2680);
										}
										if (BgL_testz00_2679)
											{	/* Llib/dsssl.scm 307 */
												obj_t BgL_pairz00_1801;

												BgL_pairz00_1801 = BgL_argsz00_1110;
												return CAR(CDR(BgL_pairz00_1801));
											}
										else
											{	/* Llib/dsssl.scm 303 */
												return
													BGl_errorz00zz__errorz00
													(BGl_symbol2442z00zz__dssslz00,
													BGl_string2469z00zz__dssslz00, CAR(BgL_argsz00_1110));
											}
									}
								else
									{	/* Llib/dsssl.scm 309 */
										bool_t BgL_testz00_2687;

										{	/* Llib/dsssl.scm 309 */
											obj_t BgL_auxz00_2688;

											BgL_auxz00_2688 = CDR(BgL_argsz00_1110);
											BgL_testz00_2687 = PAIRP(BgL_auxz00_2688);
										}
										if (BgL_testz00_2687)
											{	/* Llib/dsssl.scm 313 */
												obj_t BgL_arg2106z00_1121;

												{	/* Llib/dsssl.scm 313 */
													obj_t BgL_pairz00_1808;

													BgL_pairz00_1808 = BgL_argsz00_1110;
													BgL_arg2106z00_1121 = CDR(CDR(BgL_pairz00_1808));
												}
												{
													obj_t BgL_argsz00_2693;

													BgL_argsz00_2693 = BgL_arg2106z00_1121;
													BgL_argsz00_1110 = BgL_argsz00_2693;
													goto BgL_loopz00_1111;
												}
											}
										else
											{	/* Llib/dsssl.scm 309 */
												return
													BGl_errorz00zz__errorz00
													(BGl_symbol2442z00zz__dssslz00,
													BGl_string2469z00zz__dssslz00, CAR(BgL_argsz00_1110));
											}
									}
							}
						else
							{
								obj_t BgL_argsz00_2696;

								BgL_argsz00_2696 = CDR(BgL_argsz00_1110);
								BgL_argsz00_1110 = BgL_argsz00_2696;
								goto BgL_loopz00_1111;
							}
					}
			}
		}
	}



/* _dsssl-get-key-arg */
	obj_t BGl__dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t BgL_envz00_2078,
		obj_t BgL_dssslzd2argszd2_2079, obj_t BgL_keywordz00_2080,
		obj_t BgL_initializa7erza7_2081)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 295 */
			{	/* Llib/dsssl.scm 296 */
				obj_t BgL_auxz00_2698;

				if (KEYWORDP(BgL_keywordz00_2080))
					{	/* Llib/dsssl.scm 296 */
						BgL_auxz00_2698 = BgL_keywordz00_2080;
					}
				else
					{	/* Llib/dsssl.scm 296 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2470z00zz__dssslz00, BGl_string2472z00zz__dssslz00,
							BgL_keywordz00_2080);
						exit(-1);
					}
				return
					BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dssslzd2argszd2_2079,
					BgL_auxz00_2698, BgL_initializa7erza7_2081);
			}
		}
	}



/* id-sans-type */
	obj_t BGl_idzd2sanszd2typez00zz__dssslz00(obj_t BgL_idz00_10)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 321 */
			{	/* Llib/dsssl.scm 322 */
				obj_t BgL_stringz00_1129;

				BgL_stringz00_1129 = SYMBOL_TO_STRING(BgL_idz00_10);
				{	/* Llib/dsssl.scm 322 */
					long BgL_lenz00_1130;

					BgL_lenz00_1130 = STRING_LENGTH(BgL_stringz00_1129);
					{	/* Llib/dsssl.scm 323 */

						{
							long BgL_walkerz00_1131;

							BgL_walkerz00_1131 = ((long) 0);
						BgL_loopz00_1132:
							if ((BgL_walkerz00_1131 == BgL_lenz00_1130))
								{	/* Llib/dsssl.scm 326 */
									return BgL_idz00_10;
								}
							else
								{	/* Llib/dsssl.scm 328 */
									bool_t BgL_testz00_2708;

									if (
										(STRING_REF(BgL_stringz00_1129,
												BgL_walkerz00_1131) == ((unsigned char) ':')))
										{	/* Llib/dsssl.scm 328 */
											if ((BgL_walkerz00_1131 < (BgL_lenz00_1130 - ((long) 1))))
												{	/* Llib/dsssl.scm 329 */
													BgL_testz00_2708 =
														(STRING_REF(BgL_stringz00_1129,
															(BgL_walkerz00_1131 + ((long) 1))) ==
														((unsigned char) ':'));
												}
											else
												{	/* Llib/dsssl.scm 329 */
													BgL_testz00_2708 = ((bool_t) 0);
												}
										}
									else
										{	/* Llib/dsssl.scm 328 */
											BgL_testz00_2708 = ((bool_t) 0);
										}
									if (BgL_testz00_2708)
										{	/* Llib/dsssl.scm 331 */
											obj_t BgL_arg2117z00_1135;

											BgL_arg2117z00_1135 =
												c_substring(BgL_stringz00_1129, ((long) 0),
												BgL_walkerz00_1131);
											return
												string_to_symbol(BSTRING_TO_STRING
												(BgL_arg2117z00_1135));
										}
									else
										{
											long BgL_walkerz00_2721;

											BgL_walkerz00_2721 = (BgL_walkerz00_1131 + ((long) 1));
											BgL_walkerz00_1131 = BgL_walkerz00_2721;
											goto BgL_loopz00_1132;
										}
								}
						}
					}
				}
			}
		}
	}



/* dsssl-formals->scheme-formals */
	BGL_EXPORTED_DEF obj_t
		BGl_dssslzd2formalszd2ze3schemezd2formalsz31zz__dssslz00(obj_t
		BgL_formalsz00_11, obj_t BgL_errz00_12)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 347 */
			return
				BGl_loopz00zz__dssslz00(BgL_formalsz00_11, BgL_errz00_12,
				BgL_formalsz00_11, ((bool_t) 0));
		}
	}



/* loop */
	obj_t BGl_loopz00zz__dssslz00(obj_t BgL_formalsz00_2086,
		obj_t BgL_errz00_2085, obj_t BgL_argsz00_1146, bool_t BgL_dssslz00_1147)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 360 */
		BGl_loopz00zz__dssslz00:
			{
				obj_t BgL_objz00_1168;

				if (NULLP(BgL_argsz00_1146))
					{	/* Llib/dsssl.scm 363 */
						return BNIL;
					}
				else
					{	/* Llib/dsssl.scm 363 */
						if (PAIRP(BgL_argsz00_1146))
							{	/* Llib/dsssl.scm 375 */
								bool_t BgL_testz00_2728;

								{	/* Llib/dsssl.scm 375 */
									obj_t BgL_auxz00_2729;

									BgL_auxz00_2729 = CAR(BgL_argsz00_1146);
									BgL_testz00_2728 = SYMBOLP(BgL_auxz00_2729);
								}
								if (BgL_testz00_2728)
									{	/* Llib/dsssl.scm 375 */
										if (BgL_dssslz00_1147)
											{	/* Llib/dsssl.scm 387 */
												return
													BGl_idzd2sanszd2typez00zz__dssslz00(CAR
													(BgL_argsz00_1146));
											}
										else
											{	/* Llib/dsssl.scm 387 */
												return
													MAKE_PAIR(BGl_idzd2sanszd2typez00zz__dssslz00(CAR
														(BgL_argsz00_1146)),
													BGl_loopz00zz__dssslz00(BgL_formalsz00_2086,
														BgL_errz00_2085, CDR(BgL_argsz00_1146),
														((bool_t) 0)));
											}
									}
								else
									{	/* Llib/dsssl.scm 375 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR
													(BgL_argsz00_1146), BGl_list2473z00zz__dssslz00)))
											{
												bool_t BgL_dssslz00_2746;

												obj_t BgL_argsz00_2744;

												BgL_argsz00_2744 = CDR(BgL_argsz00_1146);
												BgL_dssslz00_2746 = ((bool_t) 1);
												BgL_dssslz00_1147 = BgL_dssslz00_2746;
												BgL_argsz00_1146 = BgL_argsz00_2744;
												goto BGl_loopz00zz__dssslz00;
											}
										else
											{	/* Llib/dsssl.scm 377 */
												if (BgL_dssslz00_1147)
													{	/* Llib/dsssl.scm 381 */
														bool_t BgL_testz00_2748;

														BgL_objz00_1168 = CAR(BgL_argsz00_1146);
														if (PAIRP(BgL_objz00_1168))
															{	/* Llib/dsssl.scm 354 */
																bool_t BgL_testz00_2751;

																{	/* Llib/dsssl.scm 354 */
																	obj_t BgL_auxz00_2752;

																	BgL_auxz00_2752 = CDR(BgL_objz00_1168);
																	BgL_testz00_2751 = PAIRP(BgL_auxz00_2752);
																}
																if (BgL_testz00_2751)
																	{	/* Llib/dsssl.scm 355 */
																		obj_t BgL_auxz00_2755;

																		{	/* Llib/dsssl.scm 355 */
																			obj_t BgL_pairz00_1857;

																			BgL_pairz00_1857 = BgL_objz00_1168;
																			BgL_auxz00_2755 =
																				CDR(CDR(BgL_pairz00_1857));
																		}
																		BgL_testz00_2748 = NULLP(BgL_auxz00_2755);
																	}
																else
																	{	/* Llib/dsssl.scm 354 */
																		BgL_testz00_2748 = ((bool_t) 0);
																	}
															}
														else
															{	/* Llib/dsssl.scm 353 */
																BgL_testz00_2748 = ((bool_t) 0);
															}
														if (BgL_testz00_2748)
															{	/* Llib/dsssl.scm 381 */
																return
																	BGl_idzd2sanszd2typez00zz__dssslz00(CAR(CAR
																		(BgL_argsz00_1146)));
															}
														else
															{	/* Llib/dsssl.scm 381 */
																return
																	PROCEDURE_ENTRY(BgL_errz00_2085)
																	(BgL_errz00_2085,
																	BGl_string2474z00zz__dssslz00,
																	BGl_string2475z00zz__dssslz00,
																	BgL_formalsz00_2086, BEOA);
															}
													}
												else
													{	/* Llib/dsssl.scm 379 */
														return
															PROCEDURE_ENTRY(BgL_errz00_2085) (BgL_errz00_2085,
															BGl_string2474z00zz__dssslz00,
															BGl_string2476z00zz__dssslz00,
															BgL_formalsz00_2086, BEOA);
													}
											}
									}
							}
						else
							{	/* Llib/dsssl.scm 365 */
								if (BgL_dssslz00_1147)
									{	/* Llib/dsssl.scm 367 */
										return
											PROCEDURE_ENTRY(BgL_errz00_2085) (BgL_errz00_2085,
											BGl_string2477z00zz__dssslz00,
											BGl_string2478z00zz__dssslz00, BgL_formalsz00_2086, BEOA);
									}
								else
									{	/* Llib/dsssl.scm 367 */
										if (SYMBOLP(BgL_argsz00_1146))
											{	/* Llib/dsssl.scm 371 */
												return
													BGl_idzd2sanszd2typez00zz__dssslz00(BgL_argsz00_1146);
											}
										else
											{	/* Llib/dsssl.scm 371 */
												return
													PROCEDURE_ENTRY(BgL_errz00_2085) (BgL_errz00_2085,
													BGl_string2474z00zz__dssslz00,
													BGl_string2476z00zz__dssslz00, BgL_formalsz00_2086,
													BEOA);
											}
									}
							}
					}
			}
		}
	}



/* _dsssl-formals->scheme-formals */
	obj_t BGl__dssslzd2formalszd2ze3schemezd2formalsz31zz__dssslz00(obj_t
		BgL_envz00_2082, obj_t BgL_formalsz00_2083, obj_t BgL_errz00_2084)
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 347 */
			{	/* Llib/dsssl.scm 358 */
				obj_t BgL_auxz00_2775;

				if (PROCEDUREP(BgL_errz00_2084))
					{	/* Llib/dsssl.scm 358 */
						BgL_auxz00_2775 = BgL_errz00_2084;
					}
				else
					{	/* Llib/dsssl.scm 358 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2479z00zz__dssslz00, BGl_string2440z00zz__dssslz00,
							BgL_errz00_2084);
						exit(-1);
					}
				return
					BGl_dssslzd2formalszd2ze3schemezd2formalsz31zz__dssslz00
					(BgL_formalsz00_2083, BgL_auxz00_2775);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__dssslz00()
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__dssslz00()
	{
		AN_OBJECT;
		{	/* Llib/dsssl.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2481z00zz__dssslz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 23161561),
				BSTRING_TO_STRING(BGl_string2481z00zz__dssslz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 503395061),
				BSTRING_TO_STRING(BGl_string2481z00zz__dssslz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 441587319),
				BSTRING_TO_STRING(BGl_string2481z00zz__dssslz00));
			return
				BGl_modulezd2initializa7ationz75zz__threadz00(((long) 216567556),
				BSTRING_TO_STRING(BGl_string2481z00zz__dssslz00));
		}
	}

#ifdef __cplusplus
}
#endif
