/*===========================================================================*/
/*   (R5rs/hygiene.scm)                                                      */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c R5rs/hygiene.scm -indent -o objs/obj_u/R5rs/hygiene.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t
		BGl_hygienezd2untagzd2nozd2tagszd2zz__r5_macro_4_3_hygienez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r5_macro_4_3_hygienez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_r5rszd2hygienezd2flattenz00zz__r5_macro_4_3_hygienez00(obj_t);
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t
		BGl__r5rszd2hygienezd2flatte2068z00zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t
		BGl__r5rszd2macrozd2getzd2bindingszd2zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_ellipsiszf3zf3zz__r5_macro_4_3_hygienez00(obj_t);
	static obj_t BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_hygienezd2untagzd2letrecz00zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t, obj_t, obj_t);
	extern long bgl_list_length(obj_t);
	extern obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t
		BGl_hygienezd2untagzd2namedzd2letzd2zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2073z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t BGl_symbol2076z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t BGl_symbol2078z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__r5_macro_4_3_hygienez00();
	static obj_t BGl_symbol2081z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t BGl_symbol2083z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t BGl_symbol2085z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t
		BGl__r5rszd2macrozd2matcheszd2patternzf3z21zz__r5_macro_4_3_hygienez00
		(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2087z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t BGl_symbol2089z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t BGl_symbol2101z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t BGl_symbol2091z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2103z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t BGl_symbol2093z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t BGl_loop2z00zz__r5_macro_4_3_hygienez00(obj_t, obj_t);
	static obj_t BGl_loop3z00zz__r5_macro_4_3_hygienez00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2105z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t BGl_symbol2095z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t BGl_loop4z00zz__r5_macro_4_3_hygienez00(obj_t, obj_t, obj_t,
		obj_t, long);
	static obj_t BGl_symbol2107z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t BGl_symbol2097z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	static obj_t BGl_symbol2099z00zz__r5_macro_4_3_hygienez00 = BUNSPEC;
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_listzd2tailzd2zz__r4_pairs_and_lists_6_3z00(obj_t, long);
	BGL_EXPORTED_DECL obj_t
		BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t bgl_append2(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r5_macro_4_3_hygienez00 =
		BUNSPEC;
	static obj_t
		BGl__r5rszd2macrozd2expandzd2patternzd2zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_hygienezd2untagzd2vanillaz00zz__r5_macro_4_3_hygienez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_r5rszd2macrozd2matcheszd2patternzf3z21zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r5_macro_4_3_hygienez00();
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31450ze3z83zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t);
	static obj_t BGl_hygienezd2untagzd2letza2za2zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_intersectzf3zf3zz__r5_macro_4_3_hygienez00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	static obj_t BGl_hygienezd2untagzd2doz00zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__r5rszd2hygienezd2tagz00zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_r5rszd2macrozd2getzd2bindingszd2zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31275ze3z83zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t);
	static obj_t BGl_hygienezd2untagzd2letz00zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_hygienezd2rassqzd2zz__r5_macro_4_3_hygienez00(obj_t, obj_t);
	static obj_t BGl_hygienezd2tagzd2innerz00zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_r5rszd2macrozd2expandzd2patternzd2zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_r5rszd2hygienezd2tagz00zz__r5_macro_4_3_hygienez00(obj_t, obj_t, obj_t);
	static obj_t BGl_somez00zz__r5_macro_4_3_hygienez00(obj_t, obj_t);
	static obj_t BGl_subz00zz__r5_macro_4_3_hygienez00(obj_t, obj_t);
	static obj_t BGl__r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_everyz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_r5rszd2macrozd2getzd2bindingszd2envz00zz__r5_macro_4_3_hygienez00,
		BgL_bgl__r5rsza7d2macroza7d22111z00,
		BGl__r5rszd2macrozd2getzd2bindingszd2zz__r5_macro_4_3_hygienez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2071z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2071za700za7za7_2112za7, "syntax-rules", 12);
	      DEFINE_STRING(BGl_string2072z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2072za700za7za7_2113za7, "Illegal ellipsis", 16);
	      DEFINE_STRING(BGl_string2074z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2074za700za7za7_2114za7, "r5rs-macro-expansion", 20);
	      DEFINE_STRING(BGl_string2075z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2075za700za7za7_2115za7, "argument should be a list", 25);
	      DEFINE_STRING(BGl_string2077z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2077za700za7za7_2116za7, "...", 3);
	      DEFINE_STRING(BGl_string2080z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2080za700za7za7_2117za7, "pair-nil", 8);
	      DEFINE_STRING(BGl_string2079z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2079za700za7za7_2118za7, "_r5rs-hygiene-flatte2068", 24);
	      DEFINE_STRING(BGl_string2082z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2082za700za7za7_2119za7, "quote", 5);
	      DEFINE_STRING(BGl_string2084z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2084za700za7za7_2120za7, "if", 2);
	      DEFINE_STRING(BGl_string2086z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2086za700za7za7_2121za7, "begin", 5);
	      DEFINE_STRING(BGl_string2088z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2088za700za7za7_2122za7, "set!", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_r5rszd2hygienezd2tagzd2envzd2zz__r5_macro_4_3_hygienez00,
		BgL_bgl__r5rsza7d2hygieneza72123z00,
		BGl__r5rszd2hygienezd2tagz00zz__r5_macro_4_3_hygienez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_r5rszd2macrozd2expandzd2patternzd2envz00zz__r5_macro_4_3_hygienez00,
		BgL_bgl__r5rsza7d2macroza7d22124z00,
		BGl__r5rszd2macrozd2expandzd2patternzd2zz__r5_macro_4_3_hygienez00, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2100z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2100za700za7za7_2125za7, "let*", 4);
	      DEFINE_STRING(BGl_string2090z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2090za700za7za7_2126za7, "define", 6);
	      DEFINE_STRING(BGl_string2102z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2102za700za7za7_2127za7, "do", 2);
	      DEFINE_STRING(BGl_string2092z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2092za700za7za7_2128za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2104z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2104za700za7za7_2129za7, "case", 4);
	      DEFINE_STRING(BGl_string2094z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2094za700za7za7_2130za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string2106z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2106za700za7za7_2131za7, "cond", 4);
	      DEFINE_STRING(BGl_string2096z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2096za700za7za7_2132za7, "letrec", 6);
	      DEFINE_STRING(BGl_string2108z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2108za700za7za7_2133za7, "_", 1);
	      DEFINE_STRING(BGl_string2098z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2098za700za7za7_2134za7, "let", 3);
	      DEFINE_STRING(BGl_string2109z00zz__r5_macro_4_3_hygienez00,
		BgL_bgl_string2109za700za7za7_2135za7, "__r5_macro_4_3_hygiene", 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_r5rszd2macrozd2matcheszd2patternzf3zd2envzf3zz__r5_macro_4_3_hygienez00,
		BgL_bgl__r5rsza7d2macroza7d22136z00,
		BGl__r5rszd2macrozd2matcheszd2patternzf3z21zz__r5_macro_4_3_hygienez00, 0L,
		BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_r5rszd2hygienezd2untagzd2envzd2zz__r5_macro_4_3_hygienez00,
		BgL_bgl__r5rsza7d2hygieneza72137z00,
		BGl__r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_r5rszd2hygienezd2flattenzd2envzd2zz__r5_macro_4_3_hygienez00,
		BgL_bgl__r5rsza7d2hygieneza72138z00,
		BGl__r5rszd2hygienezd2flatte2068z00zz__r5_macro_4_3_hygienez00, 0L, BUNSPEC,
		1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r5_macro_4_3_hygienez00(long
		BgL_checksumz00_2169, char *BgL_fromz00_2170)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__r5_macro_4_3_hygienez00))
				{
					BGl_requirezd2initializa7ationz75zz__r5_macro_4_3_hygienez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__r5_macro_4_3_hygienez00();
					BGl_importedzd2moduleszd2initz00zz__r5_macro_4_3_hygienez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__r5_macro_4_3_hygienez00()
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 18 */
			BGl_symbol2073z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2074z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2076z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2077z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2078z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2079z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2081z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2082z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2083z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2084z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2085z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2086z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2087z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2088z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2089z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2090z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2091z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2092z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2093z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2094z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2095z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2096z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2097z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2098z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2099z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2100z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2101z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2102z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2103z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2104z00zz__r5_macro_4_3_hygienez00);
			BGl_symbol2105z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2106z00zz__r5_macro_4_3_hygienez00);
			return (BGl_symbol2107z00zz__r5_macro_4_3_hygienez00 =
				bstring_to_symbol(BGl_string2108z00zz__r5_macro_4_3_hygienez00),
				BUNSPEC);
		}
	}



/* r5rs-macro-matches-pattern? */
	BGL_EXPORTED_DEF obj_t
		BGl_r5rszd2macrozd2matcheszd2patternzf3z21zz__r5_macro_4_3_hygienez00(obj_t
		BgL_pz00_1, obj_t BgL_ez00_2, obj_t BgL_kz00_3)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 50 */
		BGl_r5rszd2macrozd2matcheszd2patternzf3z21zz__r5_macro_4_3_hygienez00:
			if (BGl_ellipsiszf3zf3zz__r5_macro_4_3_hygienez00(BgL_pz00_1))
				{	/* R5rs/hygiene.scm 52 */
					if ((bgl_list_length(BgL_pz00_1) == ((long) 2)))
						{	/* R5rs/hygiene.scm 53 */
							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_ez00_2))
								{	/* R5rs/hygiene.scm 56 */
									obj_t BgL_p0z00_460;

									BgL_p0z00_460 = CAR(BgL_pz00_1);
									{	/* R5rs/hygiene.scm 58 */
										obj_t BgL_zc3anonymousza31275ze3z83_2121;

										BgL_zc3anonymousza31275ze3z83_2121 =
											make_fx_procedure
											(BGl_zc3anonymousza31275ze3z83zz__r5_macro_4_3_hygienez00,
											(int) (((long) 1)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza31275ze3z83_2121,
											(int) (((long) 0)), BgL_p0z00_460);
										PROCEDURE_SET(BgL_zc3anonymousza31275ze3z83_2121,
											(int) (((long) 1)), BgL_kz00_3);
										{	/* R5rs/hygiene.scm 57 */
											obj_t BgL_list1274z00_462;

											BgL_list1274z00_462 = MAKE_PAIR(BgL_ez00_2, BNIL);
											return
												BGl_everyz00zz__r4_pairs_and_lists_6_3z00
												(BgL_zc3anonymousza31275ze3z83_2121,
												BgL_list1274z00_462);
										}
									}
								}
							else
								{	/* R5rs/hygiene.scm 55 */
									return BFALSE;
								}
						}
					else
						{	/* R5rs/hygiene.scm 53 */
							return
								BGl_errorz00zz__errorz00
								(BGl_string2071z00zz__r5_macro_4_3_hygienez00,
								BGl_string2072z00zz__r5_macro_4_3_hygienez00, BgL_pz00_1);
						}
				}
			else
				{	/* R5rs/hygiene.scm 52 */
					if (PAIRP(BgL_pz00_1))
						{	/* R5rs/hygiene.scm 60 */
							if (PAIRP(BgL_ez00_2))
								{	/* R5rs/hygiene.scm 62 */
									obj_t BgL__andtest_1149z00_470;

									BgL__andtest_1149z00_470 =
										BGl_r5rszd2macrozd2matcheszd2patternzf3z21zz__r5_macro_4_3_hygienez00
										(CAR(BgL_pz00_1), CAR(BgL_ez00_2), BgL_kz00_3);
									if (CBOOL(BgL__andtest_1149z00_470))
										{
											obj_t BgL_ez00_2222;

											obj_t BgL_pz00_2220;

											BgL_pz00_2220 = CDR(BgL_pz00_1);
											BgL_ez00_2222 = CDR(BgL_ez00_2);
											BgL_ez00_2 = BgL_ez00_2222;
											BgL_pz00_1 = BgL_pz00_2220;
											goto
												BGl_r5rszd2macrozd2matcheszd2patternzf3z21zz__r5_macro_4_3_hygienez00;
										}
									else
										{	/* R5rs/hygiene.scm 62 */
											return BFALSE;
										}
								}
							else
								{	/* R5rs/hygiene.scm 61 */
									return BFALSE;
								}
						}
					else
						{	/* R5rs/hygiene.scm 60 */
							if (SYMBOLP(BgL_pz00_1))
								{	/* R5rs/hygiene.scm 64 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_pz00_1,
												BgL_kz00_3)))
										{	/* R5rs/hygiene.scm 65 */
											return BBOOL((BgL_pz00_1 == BgL_ez00_2));
										}
									else
										{	/* R5rs/hygiene.scm 65 */
											return BTRUE;
										}
								}
							else
								{	/* R5rs/hygiene.scm 64 */
									return
										BBOOL(BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_pz00_1,
											BgL_ez00_2));
								}
						}
				}
		}
	}



/* _r5rs-macro-matches-pattern? */
	obj_t
		BGl__r5rszd2macrozd2matcheszd2patternzf3z21zz__r5_macro_4_3_hygienez00(obj_t
		BgL_envz00_2122, obj_t BgL_pz00_2123, obj_t BgL_ez00_2124,
		obj_t BgL_kz00_2125)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 50 */
			return
				BGl_r5rszd2macrozd2matcheszd2patternzf3z21zz__r5_macro_4_3_hygienez00
				(BgL_pz00_2123, BgL_ez00_2124, BgL_kz00_2125);
		}
	}



/* <anonymous:1275> */
	obj_t BGl_zc3anonymousza31275ze3z83zz__r5_macro_4_3_hygienez00(obj_t
		BgL_envz00_2126, obj_t BgL_eiz00_2129)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 57 */
			{	/* R5rs/hygiene.scm 58 */
				obj_t BgL_p0z00_2127;

				obj_t BgL_kz00_2128;

				BgL_p0z00_2127 = PROCEDURE_REF(BgL_envz00_2126, (int) (((long) 0)));
				BgL_kz00_2128 = PROCEDURE_REF(BgL_envz00_2126, (int) (((long) 1)));
				{
					obj_t BgL_eiz00_463;

					BgL_eiz00_463 = BgL_eiz00_2129;
					return
						BGl_r5rszd2macrozd2matcheszd2patternzf3z21zz__r5_macro_4_3_hygienez00
						(BgL_p0z00_2127, BgL_eiz00_463, BgL_kz00_2128);
				}
			}
		}
	}



/* r5rs-macro-get-bindings */
	BGL_EXPORTED_DEF obj_t
		BGl_r5rszd2macrozd2getzd2bindingszd2zz__r5_macro_4_3_hygienez00(obj_t
		BgL_pz00_4, obj_t BgL_ez00_5, obj_t BgL_kz00_6)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 72 */
			if (BGl_ellipsiszf3zf3zz__r5_macro_4_3_hygienez00(BgL_pz00_4))
				{	/* R5rs/hygiene.scm 75 */
					obj_t BgL_p0z00_478;

					BgL_p0z00_478 = CAR(BgL_pz00_4);
					{	/* R5rs/hygiene.scm 76 */
						obj_t BgL_arg1288z00_479;

						{	/* R5rs/hygiene.scm 76 */
							obj_t BgL_arg1290z00_481;

							obj_t BgL_arg1291z00_482;

							BgL_arg1290z00_481 =
								BGl_subz00zz__r5_macro_4_3_hygienez00(BgL_kz00_6,
								BgL_p0z00_478);
							if (NULLP(BgL_ez00_5))
								{	/* R5rs/hygiene.scm 77 */
									BgL_arg1291z00_482 = BNIL;
								}
							else
								{	/* R5rs/hygiene.scm 77 */
									obj_t BgL_head1168z00_485;

									BgL_head1168z00_485 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1166z00_486;

										obj_t BgL_tail1169z00_487;

										BgL_l1166z00_486 = BgL_ez00_5;
										BgL_tail1169z00_487 = BgL_head1168z00_485;
									BgL_map1167z00_488:
										if (NULLP(BgL_l1166z00_486))
											{	/* R5rs/hygiene.scm 77 */
												BgL_arg1291z00_482 = CDR(BgL_head1168z00_485);
											}
										else
											{	/* R5rs/hygiene.scm 77 */
												obj_t BgL_newtail1170z00_490;

												BgL_newtail1170z00_490 =
													MAKE_PAIR
													(BGl_r5rszd2macrozd2getzd2bindingszd2zz__r5_macro_4_3_hygienez00
													(BgL_p0z00_478, CAR(BgL_l1166z00_486), BgL_kz00_6),
													BNIL);
												SET_CDR(BgL_tail1169z00_487, BgL_newtail1170z00_490);
												{
													obj_t BgL_tail1169z00_2255;

													obj_t BgL_l1166z00_2253;

													BgL_l1166z00_2253 = CDR(BgL_l1166z00_486);
													BgL_tail1169z00_2255 = BgL_newtail1170z00_490;
													BgL_tail1169z00_487 = BgL_tail1169z00_2255;
													BgL_l1166z00_486 = BgL_l1166z00_2253;
													goto BgL_map1167z00_488;
												}
											}
									}
								}
							BgL_arg1288z00_479 =
								MAKE_PAIR(BgL_arg1290z00_481, BgL_arg1291z00_482);
						}
						{	/* R5rs/hygiene.scm 76 */
							obj_t BgL_list1289z00_480;

							BgL_list1289z00_480 = MAKE_PAIR(BgL_arg1288z00_479, BNIL);
							return BgL_list1289z00_480;
						}
					}
				}
			else
				{	/* R5rs/hygiene.scm 74 */
					if (PAIRP(BgL_pz00_4))
						{	/* R5rs/hygiene.scm 80 */
							return
								bgl_append2
								(BGl_r5rszd2macrozd2getzd2bindingszd2zz__r5_macro_4_3_hygienez00
								(CAR(BgL_pz00_4), CAR(BgL_ez00_5), BgL_kz00_6),
								BGl_r5rszd2macrozd2getzd2bindingszd2zz__r5_macro_4_3_hygienez00
								(CDR(BgL_pz00_4), CDR(BgL_ez00_5), BgL_kz00_6));
						}
					else
						{	/* R5rs/hygiene.scm 80 */
							if (SYMBOLP(BgL_pz00_4))
								{	/* R5rs/hygiene.scm 83 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_pz00_4,
												BgL_kz00_6)))
										{	/* R5rs/hygiene.scm 84 */
											return BNIL;
										}
									else
										{	/* R5rs/hygiene.scm 84 */
											obj_t BgL_arg1345z00_504;

											BgL_arg1345z00_504 = MAKE_PAIR(BgL_pz00_4, BgL_ez00_5);
											{	/* R5rs/hygiene.scm 84 */
												obj_t BgL_list1346z00_505;

												BgL_list1346z00_505 =
													MAKE_PAIR(BgL_arg1345z00_504, BNIL);
												return BgL_list1346z00_505;
											}
										}
								}
							else
								{	/* R5rs/hygiene.scm 83 */
									return BNIL;
								}
						}
				}
		}
	}



/* _r5rs-macro-get-bindings */
	obj_t BGl__r5rszd2macrozd2getzd2bindingszd2zz__r5_macro_4_3_hygienez00(obj_t
		BgL_envz00_2130, obj_t BgL_pz00_2131, obj_t BgL_ez00_2132,
		obj_t BgL_kz00_2133)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 72 */
			return
				BGl_r5rszd2macrozd2getzd2bindingszd2zz__r5_macro_4_3_hygienez00
				(BgL_pz00_2131, BgL_ez00_2132, BgL_kz00_2133);
		}
	}



/* r5rs-macro-expand-pattern */
	BGL_EXPORTED_DEF obj_t
		BGl_r5rszd2macrozd2expandzd2patternzd2zz__r5_macro_4_3_hygienez00(obj_t
		BgL_pz00_7, obj_t BgL_rz00_8, obj_t BgL_kz00_9)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 91 */
			if (BGl_ellipsiszf3zf3zz__r5_macro_4_3_hygienez00(BgL_pz00_7))
				{	/* R5rs/hygiene.scm 94 */
					obj_t BgL_arg1369z00_507;

					obj_t BgL_arg1376z00_508;

					{	/* R5rs/hygiene.scm 94 */
						obj_t BgL_p0z00_509;

						BgL_p0z00_509 = CAR(BgL_pz00_7);
						{	/* R5rs/hygiene.scm 94 */
							obj_t BgL_nestingsz00_510;

							BgL_nestingsz00_510 =
								BGl_subz00zz__r5_macro_4_3_hygienez00(BgL_kz00_9,
								BgL_p0z00_509);
							{	/* R5rs/hygiene.scm 95 */
								obj_t BgL_rrz00_511;

								{	/* R5rs/hygiene.scm 96 */
									obj_t BgL_zc3anonymousza31450ze3z83_2134;

									{
										int BgL_auxz00_2279;

										BgL_auxz00_2279 = (int) (((long) 1));
										BgL_zc3anonymousza31450ze3z83_2134 =
											MAKE_EL_PROCEDURE_1(BgL_auxz00_2279);
									}
									PROCEDURE_1_EL_SET(BgL_zc3anonymousza31450ze3z83_2134,
										(int) (((long) 0)), BgL_nestingsz00_510);
									BgL_rrz00_511 =
										BGl_somez00zz__r5_macro_4_3_hygienez00
										(BgL_zc3anonymousza31450ze3z83_2134, BgL_rz00_8);
								}
								{	/* R5rs/hygiene.scm 96 */

									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
										(BgL_rrz00_511))
										{	/* R5rs/hygiene.scm 97 */
											if (NULLP(BgL_rrz00_511))
												{	/* R5rs/hygiene.scm 101 */
													BgL_arg1369z00_507 = BNIL;
												}
											else
												{	/* R5rs/hygiene.scm 101 */
													obj_t BgL_head1173z00_515;

													BgL_head1173z00_515 = MAKE_PAIR(BNIL, BNIL);
													{
														obj_t BgL_l1171z00_516;

														obj_t BgL_tail1174z00_517;

														BgL_l1171z00_516 = BgL_rrz00_511;
														BgL_tail1174z00_517 = BgL_head1173z00_515;
													BgL_map1172z00_518:
														if (NULLP(BgL_l1171z00_516))
															{	/* R5rs/hygiene.scm 101 */
																BgL_arg1369z00_507 = CDR(BgL_head1173z00_515);
															}
														else
															{	/* R5rs/hygiene.scm 101 */
																obj_t BgL_newtail1175z00_520;

																{	/* R5rs/hygiene.scm 101 */
																	obj_t BgL_arg1386z00_522;

																	{	/* R5rs/hygiene.scm 101 */
																		obj_t BgL_riz00_524;

																		BgL_riz00_524 = CAR(BgL_l1171z00_516);
																		BgL_arg1386z00_522 =
																			BGl_r5rszd2macrozd2expandzd2patternzd2zz__r5_macro_4_3_hygienez00
																			(BgL_p0z00_509, bgl_append2(BgL_riz00_524,
																				BgL_rz00_8), BgL_kz00_9);
																	}
																	BgL_newtail1175z00_520 =
																		MAKE_PAIR(BgL_arg1386z00_522, BNIL);
																}
																SET_CDR(BgL_tail1174z00_517,
																	BgL_newtail1175z00_520);
																{
																	obj_t BgL_tail1174z00_2300;

																	obj_t BgL_l1171z00_2298;

																	BgL_l1171z00_2298 = CDR(BgL_l1171z00_516);
																	BgL_tail1174z00_2300 = BgL_newtail1175z00_520;
																	BgL_tail1174z00_517 = BgL_tail1174z00_2300;
																	BgL_l1171z00_516 = BgL_l1171z00_2298;
																	goto BgL_map1172z00_518;
																}
															}
													}
												}
										}
									else
										{	/* R5rs/hygiene.scm 97 */
											BgL_arg1369z00_507 =
												BGl_errorz00zz__errorz00
												(BGl_symbol2073z00zz__r5_macro_4_3_hygienez00,
												BGl_string2075z00zz__r5_macro_4_3_hygienez00,
												BgL_rz00_8);
										}
								}
							}
						}
					}
					{	/* R5rs/hygiene.scm 104 */
						obj_t BgL_arg1404z00_526;

						{	/* R5rs/hygiene.scm 104 */
							obj_t BgL_pairz00_1366;

							BgL_pairz00_1366 = BgL_pz00_7;
							BgL_arg1404z00_526 = CDR(CDR(BgL_pairz00_1366));
						}
						BgL_arg1376z00_508 =
							BGl_r5rszd2macrozd2expandzd2patternzd2zz__r5_macro_4_3_hygienez00
							(BgL_arg1404z00_526, BgL_rz00_8, BgL_kz00_9);
					}
					return bgl_append2(BgL_arg1369z00_507, BgL_arg1376z00_508);
				}
			else
				{	/* R5rs/hygiene.scm 93 */
					if (PAIRP(BgL_pz00_7))
						{	/* R5rs/hygiene.scm 105 */
							return
								MAKE_PAIR
								(BGl_r5rszd2macrozd2expandzd2patternzd2zz__r5_macro_4_3_hygienez00
								(CAR(BgL_pz00_7), BgL_rz00_8, BgL_kz00_9),
								BGl_r5rszd2macrozd2expandzd2patternzd2zz__r5_macro_4_3_hygienez00
								(CDR(BgL_pz00_7), BgL_rz00_8, BgL_kz00_9));
						}
					else
						{	/* R5rs/hygiene.scm 105 */
							if (SYMBOLP(BgL_pz00_7))
								{	/* R5rs/hygiene.scm 108 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_pz00_7,
												BgL_kz00_9)))
										{	/* R5rs/hygiene.scm 109 */
											return BgL_pz00_7;
										}
									else
										{	/* R5rs/hygiene.scm 111 */
											obj_t BgL_xz00_534;

											BgL_xz00_534 =
												BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_pz00_7,
												BgL_rz00_8);
											if (PAIRP(BgL_xz00_534))
												{	/* R5rs/hygiene.scm 112 */
													return CDR(BgL_xz00_534);
												}
											else
												{	/* R5rs/hygiene.scm 112 */
													return BgL_pz00_7;
												}
										}
								}
							else
								{	/* R5rs/hygiene.scm 108 */
									return BgL_pz00_7;
								}
						}
				}
		}
	}



/* _r5rs-macro-expand-pattern */
	obj_t BGl__r5rszd2macrozd2expandzd2patternzd2zz__r5_macro_4_3_hygienez00(obj_t
		BgL_envz00_2135, obj_t BgL_pz00_2136, obj_t BgL_rz00_2137,
		obj_t BgL_kz00_2138)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 91 */
			return
				BGl_r5rszd2macrozd2expandzd2patternzd2zz__r5_macro_4_3_hygienez00
				(BgL_pz00_2136, BgL_rz00_2137, BgL_kz00_2138);
		}
	}



/* <anonymous:1450> */
	obj_t BGl_zc3anonymousza31450ze3z83zz__r5_macro_4_3_hygienez00(obj_t
		BgL_envz00_2139, obj_t BgL_cz00_2141)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 145 */
			{	/* R5rs/hygiene.scm 96 */
				obj_t BgL_nestingsz00_2140;

				BgL_nestingsz00_2140 =
					PROCEDURE_1_EL_REF(BgL_envz00_2139, (int) (((long) 0)));
				{
					obj_t BgL_cz00_1348;

					BgL_cz00_1348 = BgL_cz00_2141;
					if (BGl_intersectzf3zf3zz__r5_macro_4_3_hygienez00
						(BgL_nestingsz00_2140, CAR(BgL_cz00_1348)))
						{	/* R5rs/hygiene.scm 96 */
							return CDR(BgL_cz00_1348);
						}
					else
						{	/* R5rs/hygiene.scm 96 */
							return BFALSE;
						}
				}
			}
		}
	}



/* sub */
	obj_t BGl_subz00zz__r5_macro_4_3_hygienez00(obj_t BgL_kz00_2157,
		obj_t BgL_pz00_536)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 122 */
			if (BGl_ellipsiszf3zf3zz__r5_macro_4_3_hygienez00(BgL_pz00_536))
				{	/* R5rs/hygiene.scm 125 */
					obj_t BgL_arg1432z00_539;

					obj_t BgL_arg1434z00_540;

					BgL_arg1432z00_539 =
						BGl_subz00zz__r5_macro_4_3_hygienez00(BgL_kz00_2157,
						CAR(BgL_pz00_536));
					{	/* R5rs/hygiene.scm 125 */
						obj_t BgL_arg1436z00_542;

						{	/* R5rs/hygiene.scm 125 */
							obj_t BgL_pairz00_1377;

							BgL_pairz00_1377 = BgL_pz00_536;
							BgL_arg1436z00_542 = CDR(CDR(BgL_pairz00_1377));
						}
						BgL_arg1434z00_540 =
							BGl_subz00zz__r5_macro_4_3_hygienez00(BgL_kz00_2157,
							BgL_arg1436z00_542);
					}
					return MAKE_PAIR(BgL_arg1432z00_539, BgL_arg1434z00_540);
				}
			else
				{	/* R5rs/hygiene.scm 124 */
					if (PAIRP(BgL_pz00_536))
						{	/* R5rs/hygiene.scm 126 */
							return
								bgl_append2(BGl_subz00zz__r5_macro_4_3_hygienez00(BgL_kz00_2157,
									CAR(BgL_pz00_536)),
								BGl_subz00zz__r5_macro_4_3_hygienez00(BgL_kz00_2157,
									CDR(BgL_pz00_536)));
						}
					else
						{	/* R5rs/hygiene.scm 126 */
							if (SYMBOLP(BgL_pz00_536))
								{	/* R5rs/hygiene.scm 128 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_pz00_536, BgL_kz00_2157)))
										{	/* R5rs/hygiene.scm 129 */
											return BNIL;
										}
									else
										{	/* R5rs/hygiene.scm 129 */
											obj_t BgL_list1445z00_550;

											BgL_list1445z00_550 = MAKE_PAIR(BgL_pz00_536, BNIL);
											return BgL_list1445z00_550;
										}
								}
							else
								{	/* R5rs/hygiene.scm 128 */
									return BNIL;
								}
						}
				}
		}
	}



/* ellipsis? */
	bool_t BGl_ellipsiszf3zf3zz__r5_macro_4_3_hygienez00(obj_t BgL_xz00_12)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 136 */
			if (PAIRP(BgL_xz00_12))
				{	/* R5rs/hygiene.scm 138 */
					bool_t BgL_testz00_2352;

					{	/* R5rs/hygiene.scm 138 */
						obj_t BgL_auxz00_2353;

						BgL_auxz00_2353 = CDR(BgL_xz00_12);
						BgL_testz00_2352 = PAIRP(BgL_auxz00_2353);
					}
					if (BgL_testz00_2352)
						{	/* R5rs/hygiene.scm 139 */
							obj_t BgL_auxz00_2356;

							{	/* R5rs/hygiene.scm 139 */
								obj_t BgL_pairz00_1390;

								BgL_pairz00_1390 = BgL_xz00_12;
								BgL_auxz00_2356 = CAR(CDR(BgL_pairz00_1390));
							}
							return
								(BgL_auxz00_2356 ==
								BGl_symbol2076z00zz__r5_macro_4_3_hygienez00);
						}
					else
						{	/* R5rs/hygiene.scm 138 */
							return ((bool_t) 0);
						}
				}
			else
				{	/* R5rs/hygiene.scm 137 */
					return ((bool_t) 0);
				}
		}
	}



/* intersect? */
	bool_t BGl_intersectzf3zf3zz__r5_macro_4_3_hygienez00(obj_t BgL_vz00_15,
		obj_t BgL_yz00_16)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 150 */
			{	/* R5rs/hygiene.scm 151 */
				bool_t BgL_testz00_2360;

				if (SYMBOLP(BgL_vz00_15))
					{	/* R5rs/hygiene.scm 151 */
						BgL_testz00_2360 = ((bool_t) 1);
					}
				else
					{	/* R5rs/hygiene.scm 151 */
						BgL_testz00_2360 = SYMBOLP(BgL_yz00_16);
					}
				if (BgL_testz00_2360)
					{	/* R5rs/hygiene.scm 151 */
						return (BgL_vz00_15 == BgL_yz00_16);
					}
				else
					{
						obj_t BgL_viz00_564;

						{
							obj_t BgL_lz00_1414;

							BgL_lz00_1414 = BgL_vz00_15;
						BgL_somez00_1413:
							if (NULLP(BgL_lz00_1414))
								{	/* R5rs/hygiene.scm 153 */
									return ((bool_t) 0);
								}
							else
								{	/* R5rs/hygiene.scm 153 */
									bool_t BgL__ortest_1159z00_1416;

									BgL_viz00_564 = CAR(BgL_lz00_1414);
									{
										obj_t BgL_lz00_1425;

										BgL_lz00_1425 = BgL_yz00_16;
									BgL_somez00_1424:
										if (NULLP(BgL_lz00_1425))
											{	/* R5rs/hygiene.scm 153 */
												BgL__ortest_1159z00_1416 = ((bool_t) 0);
											}
										else
											{	/* R5rs/hygiene.scm 153 */
												bool_t BgL__ortest_1159z00_1427;

												BgL__ortest_1159z00_1427 =
													BGl_intersectzf3zf3zz__r5_macro_4_3_hygienez00
													(BgL_viz00_564, CAR(BgL_lz00_1425));
												if (BgL__ortest_1159z00_1427)
													{	/* R5rs/hygiene.scm 153 */
														BgL__ortest_1159z00_1416 = BgL__ortest_1159z00_1427;
													}
												else
													{
														obj_t BgL_lz00_2372;

														BgL_lz00_2372 = CDR(BgL_lz00_1425);
														BgL_lz00_1425 = BgL_lz00_2372;
														goto BgL_somez00_1424;
													}
											}
									}
									if (BgL__ortest_1159z00_1416)
										{	/* R5rs/hygiene.scm 153 */
											return BgL__ortest_1159z00_1416;
										}
									else
										{
											obj_t BgL_lz00_2376;

											BgL_lz00_2376 = CDR(BgL_lz00_1414);
											BgL_lz00_1414 = BgL_lz00_2376;
											goto BgL_somez00_1413;
										}
								}
						}
					}
			}
		}
	}



/* r5rs-hygiene-flatten */
	BGL_EXPORTED_DEF obj_t
		BGl_r5rszd2hygienezd2flattenz00zz__r5_macro_4_3_hygienez00(obj_t
		BgL_ez00_17)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 158 */
			return BGl_loop2z00zz__r5_macro_4_3_hygienez00(BgL_ez00_17, BNIL);
		}
	}



/* loop2 */
	obj_t BGl_loop2z00zz__r5_macro_4_3_hygienez00(obj_t BgL_ez00_1435,
		obj_t BgL_rz00_1436)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 159 */
		BGl_loop2z00zz__r5_macro_4_3_hygienez00:
			if (PAIRP(BgL_ez00_1435))
				{
					obj_t BgL_rz00_2383;

					obj_t BgL_ez00_2381;

					BgL_ez00_2381 = CAR(BgL_ez00_1435);
					BgL_rz00_2383 =
						BGl_loop2z00zz__r5_macro_4_3_hygienez00(CDR(BgL_ez00_1435),
						BgL_rz00_1436);
					BgL_rz00_1436 = BgL_rz00_2383;
					BgL_ez00_1435 = BgL_ez00_2381;
					goto BGl_loop2z00zz__r5_macro_4_3_hygienez00;
				}
			else
				{	/* R5rs/hygiene.scm 159 */
					if (NULLP(BgL_ez00_1435))
						{	/* R5rs/hygiene.scm 159 */
							return BgL_rz00_1436;
						}
					else
						{	/* R5rs/hygiene.scm 159 */
							return MAKE_PAIR(BgL_ez00_1435, BgL_rz00_1436);
						}
				}
		}
	}



/* _r5rs-hygiene-flatte2068 */
	obj_t BGl__r5rszd2hygienezd2flatte2068z00zz__r5_macro_4_3_hygienez00(obj_t
		BgL_envz00_2142, obj_t BgL_ez00_2143)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 158 */
			{	/* R5rs/hygiene.scm 159 */
				obj_t BgL_auxz00_2389;

				{	/* R5rs/hygiene.scm 159 */
					bool_t BgL_testz00_2390;

					if (PAIRP(BgL_ez00_2143))
						{	/* R5rs/hygiene.scm 159 */
							BgL_testz00_2390 = ((bool_t) 1);
						}
					else
						{	/* R5rs/hygiene.scm 159 */
							BgL_testz00_2390 = NULLP(BgL_ez00_2143);
						}
					if (BgL_testz00_2390)
						{	/* R5rs/hygiene.scm 159 */
							BgL_auxz00_2389 = BgL_ez00_2143;
						}
					else
						{	/* R5rs/hygiene.scm 159 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2078z00zz__r5_macro_4_3_hygienez00,
								BGl_string2080z00zz__r5_macro_4_3_hygienez00, BgL_ez00_2143);
							exit(-1);
						}
				}
				return
					BGl_r5rszd2hygienezd2flattenz00zz__r5_macro_4_3_hygienez00
					(BgL_auxz00_2389);
			}
		}
	}



/* r5rs-hygiene-tag */
	BGL_EXPORTED_DEF obj_t
		BGl_r5rszd2hygienezd2tagz00zz__r5_macro_4_3_hygienez00(obj_t BgL_ez00_18,
		obj_t BgL_kkz00_19, obj_t BgL_alz00_20)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 167 */
			{	/* R5rs/hygiene.scm 185 */
				obj_t BgL_rz00_582;

				BgL_rz00_582 =
					BGl_hygienezd2tagzd2innerz00zz__r5_macro_4_3_hygienez00(BgL_ez00_18,
					BgL_kkz00_19, BgL_alz00_20);
				{	/* R5rs/hygiene.scm 186 */
					obj_t BgL_val0_1176z00_583;

					obj_t BgL_val1_1177z00_584;

					BgL_val0_1176z00_583 = CAR(BgL_rz00_582);
					BgL_val1_1177z00_584 = CDR(BgL_rz00_582);
					{	/* R5rs/hygiene.scm 186 */
						int BgL_auxz00_2400;

						BgL_auxz00_2400 = (int) (((long) 2));
						BGL_MVALUES_NUMBER_SET(BgL_auxz00_2400);
					}
					{	/* R5rs/hygiene.scm 186 */
						int BgL_auxz00_2403;

						BgL_auxz00_2403 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_auxz00_2403, BgL_val1_1177z00_584);
					}
					return BgL_val0_1176z00_583;
				}
			}
		}
	}



/* hygiene-tag-inner */
	obj_t BGl_hygienezd2tagzd2innerz00zz__r5_macro_4_3_hygienez00(obj_t
		BgL_ez00_585, obj_t BgL_kkz00_586, obj_t BgL_alz00_587)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 184 */
			if (PAIRP(BgL_ez00_585))
				{	/* R5rs/hygiene.scm 170 */
					obj_t BgL_azd2tezd2alz00_590;

					BgL_azd2tezd2alz00_590 =
						BGl_hygienezd2tagzd2innerz00zz__r5_macro_4_3_hygienez00(CAR
						(BgL_ez00_585), BgL_kkz00_586, BgL_alz00_587);
					{	/* R5rs/hygiene.scm 170 */
						obj_t BgL_dzd2tezd2alz00_591;

						BgL_dzd2tezd2alz00_591 =
							BGl_hygienezd2tagzd2innerz00zz__r5_macro_4_3_hygienez00(CDR
							(BgL_ez00_585), BgL_kkz00_586, CDR(BgL_azd2tezd2alz00_590));
						{	/* R5rs/hygiene.scm 171 */

							{	/* R5rs/hygiene.scm 172 */
								obj_t BgL_arg1468z00_592;

								obj_t BgL_arg1469z00_593;

								BgL_arg1468z00_592 =
									MAKE_PAIR(CAR(BgL_azd2tezd2alz00_590),
									CAR(BgL_dzd2tezd2alz00_591));
								BgL_arg1469z00_593 = CDR(BgL_dzd2tezd2alz00_591);
								return MAKE_PAIR(BgL_arg1468z00_592, BgL_arg1469z00_593);
							}
						}
					}
				}
			else
				{	/* R5rs/hygiene.scm 169 */
					if (VECTORP(BgL_ez00_585))
						{	/* R5rs/hygiene.scm 175 */
							obj_t BgL_rz00_600;

							BgL_rz00_600 =
								BGl_hygienezd2tagzd2innerz00zz__r5_macro_4_3_hygienez00
								(BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_ez00_585),
								BgL_kkz00_586, BgL_alz00_587);
							return
								MAKE_PAIR(BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(CAR
									(BgL_rz00_600)), CDR(BgL_rz00_600));
						}
					else
						{	/* R5rs/hygiene.scm 174 */
							if (SYMBOLP(BgL_ez00_585))
								{	/* R5rs/hygiene.scm 177 */
									if (
										(BgL_ez00_585 ==
											BGl_symbol2076z00zz__r5_macro_4_3_hygienez00))
										{	/* R5rs/hygiene.scm 178 */
											return
												MAKE_PAIR(BGl_symbol2076z00zz__r5_macro_4_3_hygienez00,
												BgL_alz00_587);
										}
									else
										{	/* R5rs/hygiene.scm 178 */
											if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_ez00_585, BgL_kkz00_586)))
												{	/* R5rs/hygiene.scm 179 */
													return MAKE_PAIR(BgL_ez00_585, BgL_alz00_587);
												}
											else
												{	/* R5rs/hygiene.scm 180 */
													obj_t BgL_testzd2resultzd2_608;

													BgL_testzd2resultzd2_608 =
														BGl_hygienezd2rassqzd2zz__r5_macro_4_3_hygienez00
														(BgL_ez00_585, BgL_alz00_587);
													{

														if (CBOOL(BgL_testzd2resultzd2_608))
															{	/* R5rs/hygiene.scm 180 */
																return
																	MAKE_PAIR(CAR(BgL_testzd2resultzd2_608),
																	BgL_alz00_587);
															}
														else
															{	/* R5rs/hygiene.scm 180 */
																{	/* R5rs/hygiene.scm 182 */
																	obj_t BgL_tez00_616;

																	{	/* R5rs/hygiene.scm 182 */

																		{	/* R5rs/hygiene.scm 182 */

																			BgL_tez00_616 =
																				BGl_gensymz00zz__r4_symbols_6_4z00
																				(BFALSE);
																		}
																	}
																	{	/* R5rs/hygiene.scm 183 */
																		obj_t BgL_arg1489z00_617;

																		{	/* R5rs/hygiene.scm 183 */
																			obj_t BgL_arg1490z00_618;

																			BgL_arg1490z00_618 =
																				MAKE_PAIR(BgL_tez00_616, BgL_ez00_585);
																			BgL_arg1489z00_617 =
																				MAKE_PAIR(BgL_arg1490z00_618,
																				BgL_alz00_587);
																		}
																		return
																			MAKE_PAIR(BgL_tez00_616,
																			BgL_arg1489z00_617);
																	}
																}
															}
													}
												}
										}
								}
							else
								{	/* R5rs/hygiene.scm 177 */
									return MAKE_PAIR(BgL_ez00_585, BgL_alz00_587);
								}
						}
				}
		}
	}



/* _r5rs-hygiene-tag */
	obj_t BGl__r5rszd2hygienezd2tagz00zz__r5_macro_4_3_hygienez00(obj_t
		BgL_envz00_2144, obj_t BgL_ez00_2145, obj_t BgL_kkz00_2146,
		obj_t BgL_alz00_2147)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 167 */
			return
				BGl_r5rszd2hygienezd2tagz00zz__r5_macro_4_3_hygienez00(BgL_ez00_2145,
				BgL_kkz00_2146, BgL_alz00_2147);
		}
	}



/* r5rs-hygiene-untag */
	BGL_EXPORTED_DEF obj_t
		BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00(obj_t BgL_ez00_21,
		obj_t BgL_alz00_22, obj_t BgL_tmpsz00_23)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 191 */
			if (PAIRP(BgL_ez00_21))
				{	/* R5rs/hygiene.scm 193 */
					obj_t BgL_az00_624;

					BgL_az00_624 =
						BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00(CAR
						(BgL_ez00_21), BgL_alz00_22, BgL_tmpsz00_23);
					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_ez00_21))
						{	/* R5rs/hygiene.scm 194 */
							if (
								(BgL_az00_624 == BGl_symbol2081z00zz__r5_macro_4_3_hygienez00))
								{	/* R5rs/hygiene.scm 195 */
									return
										BGl_hygienezd2untagzd2nozd2tagszd2zz__r5_macro_4_3_hygienez00
										(BgL_ez00_21, BgL_alz00_22);
								}
							else
								{	/* R5rs/hygiene.scm 195 */
									bool_t BgL_testz00_2455;

									{	/* R5rs/hygiene.scm 195 */
										bool_t BgL__ortest_1154z00_754;

										BgL__ortest_1154z00_754 =
											(BgL_az00_624 ==
											BGl_symbol2083z00zz__r5_macro_4_3_hygienez00);
										if (BgL__ortest_1154z00_754)
											{	/* R5rs/hygiene.scm 195 */
												BgL_testz00_2455 = BgL__ortest_1154z00_754;
											}
										else
											{	/* R5rs/hygiene.scm 195 */
												BgL_testz00_2455 =
													(BgL_az00_624 ==
													BGl_symbol2085z00zz__r5_macro_4_3_hygienez00);
											}
									}
									if (BgL_testz00_2455)
										{	/* R5rs/hygiene.scm 199 */
											obj_t BgL_arg1496z00_629;

											{	/* R5rs/hygiene.scm 199 */
												obj_t BgL_arg1497z00_630;

												{	/* R5rs/hygiene.scm 199 */
													obj_t BgL_l1178z00_632;

													BgL_l1178z00_632 = CDR(BgL_ez00_21);
													if (NULLP(BgL_l1178z00_632))
														{	/* R5rs/hygiene.scm 199 */
															BgL_arg1497z00_630 = BNIL;
														}
													else
														{	/* R5rs/hygiene.scm 199 */
															obj_t BgL_head1180z00_634;

															BgL_head1180z00_634 = MAKE_PAIR(BNIL, BNIL);
															{
																obj_t BgL_l1178z00_635;

																obj_t BgL_tail1181z00_636;

																BgL_l1178z00_635 = BgL_l1178z00_632;
																BgL_tail1181z00_636 = BgL_head1180z00_634;
															BgL_map1179z00_637:
																if (NULLP(BgL_l1178z00_635))
																	{	/* R5rs/hygiene.scm 199 */
																		BgL_arg1497z00_630 =
																			CDR(BgL_head1180z00_634);
																	}
																else
																	{	/* R5rs/hygiene.scm 199 */
																		obj_t BgL_newtail1182z00_639;

																		BgL_newtail1182z00_639 =
																			MAKE_PAIR
																			(BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
																			(CAR(BgL_l1178z00_635), BgL_alz00_22,
																				BgL_tmpsz00_23), BNIL);
																		SET_CDR(BgL_tail1181z00_636,
																			BgL_newtail1182z00_639);
																		{
																			obj_t BgL_tail1181z00_2472;

																			obj_t BgL_l1178z00_2470;

																			BgL_l1178z00_2470 = CDR(BgL_l1178z00_635);
																			BgL_tail1181z00_2472 =
																				BgL_newtail1182z00_639;
																			BgL_tail1181z00_636 =
																				BgL_tail1181z00_2472;
																			BgL_l1178z00_635 = BgL_l1178z00_2470;
																			goto BgL_map1179z00_637;
																		}
																	}
															}
														}
												}
												BgL_arg1496z00_629 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1497z00_630, BNIL);
											}
											return MAKE_PAIR(BgL_az00_624, BgL_arg1496z00_629);
										}
									else
										{	/* R5rs/hygiene.scm 195 */
											bool_t BgL_testz00_2475;

											{	/* R5rs/hygiene.scm 195 */
												bool_t BgL__ortest_1155z00_753;

												BgL__ortest_1155z00_753 =
													(BgL_az00_624 ==
													BGl_symbol2087z00zz__r5_macro_4_3_hygienez00);
												if (BgL__ortest_1155z00_753)
													{	/* R5rs/hygiene.scm 195 */
														BgL_testz00_2475 = BgL__ortest_1155z00_753;
													}
												else
													{	/* R5rs/hygiene.scm 195 */
														BgL_testz00_2475 =
															(BgL_az00_624 ==
															BGl_symbol2089z00zz__r5_macro_4_3_hygienez00);
													}
											}
											if (BgL_testz00_2475)
												{	/* R5rs/hygiene.scm 202 */
													obj_t BgL_arg1505z00_645;

													{	/* R5rs/hygiene.scm 202 */
														obj_t BgL_arg1507z00_646;

														obj_t BgL_arg1508z00_647;

														{	/* R5rs/hygiene.scm 202 */
															obj_t BgL_arg1510z00_649;

															{	/* R5rs/hygiene.scm 202 */
																obj_t BgL_pairz00_1521;

																BgL_pairz00_1521 = BgL_ez00_21;
																BgL_arg1510z00_649 = CAR(CDR(BgL_pairz00_1521));
															}
															BgL_arg1507z00_646 =
																BGl_hygienezd2untagzd2vanillaz00zz__r5_macro_4_3_hygienez00
																(BgL_arg1510z00_649, BgL_alz00_22,
																BgL_tmpsz00_23);
														}
														{	/* R5rs/hygiene.scm 203 */
															obj_t BgL_arg1511z00_650;

															{	/* R5rs/hygiene.scm 203 */
																obj_t BgL_l1183z00_652;

																{	/* R5rs/hygiene.scm 204 */
																	obj_t BgL_pairz00_1525;

																	BgL_pairz00_1525 = BgL_ez00_21;
																	BgL_l1183z00_652 = CDR(CDR(BgL_pairz00_1525));
																}
																if (NULLP(BgL_l1183z00_652))
																	{	/* R5rs/hygiene.scm 203 */
																		BgL_arg1511z00_650 = BNIL;
																	}
																else
																	{	/* R5rs/hygiene.scm 203 */
																		obj_t BgL_head1185z00_654;

																		BgL_head1185z00_654 = MAKE_PAIR(BNIL, BNIL);
																		{
																			obj_t BgL_l1183z00_655;

																			obj_t BgL_tail1186z00_656;

																			BgL_l1183z00_655 = BgL_l1183z00_652;
																			BgL_tail1186z00_656 = BgL_head1185z00_654;
																		BgL_map1184z00_657:
																			if (NULLP(BgL_l1183z00_655))
																				{	/* R5rs/hygiene.scm 203 */
																					BgL_arg1511z00_650 =
																						CDR(BgL_head1185z00_654);
																				}
																			else
																				{	/* R5rs/hygiene.scm 203 */
																					obj_t BgL_newtail1187z00_659;

																					BgL_newtail1187z00_659 =
																						MAKE_PAIR
																						(BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
																						(CAR(BgL_l1183z00_655),
																							BgL_alz00_22, BgL_tmpsz00_23),
																						BNIL);
																					SET_CDR(BgL_tail1186z00_656,
																						BgL_newtail1187z00_659);
																					{
																						obj_t BgL_tail1186z00_2496;

																						obj_t BgL_l1183z00_2494;

																						BgL_l1183z00_2494 =
																							CDR(BgL_l1183z00_655);
																						BgL_tail1186z00_2496 =
																							BgL_newtail1187z00_659;
																						BgL_tail1186z00_656 =
																							BgL_tail1186z00_2496;
																						BgL_l1183z00_655 =
																							BgL_l1183z00_2494;
																						goto BgL_map1184z00_657;
																					}
																				}
																		}
																	}
															}
															BgL_arg1508z00_647 =
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg1511z00_650, BNIL);
														}
														{	/* R5rs/hygiene.scm 202 */
															obj_t BgL_list1509z00_648;

															BgL_list1509z00_648 =
																MAKE_PAIR(BgL_arg1508z00_647, BNIL);
															BgL_arg1505z00_645 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg1507z00_646, BgL_list1509z00_648);
														}
													}
													return MAKE_PAIR(BgL_az00_624, BgL_arg1505z00_645);
												}
											else
												{	/* R5rs/hygiene.scm 195 */
													if (
														(BgL_az00_624 ==
															BGl_symbol2091z00zz__r5_macro_4_3_hygienez00))
														{	/* R5rs/hygiene.scm 206 */
															obj_t BgL_arg1521z00_665;

															obj_t BgL_arg1522z00_666;

															{	/* R5rs/hygiene.scm 206 */
																obj_t BgL_pairz00_1542;

																BgL_pairz00_1542 = BgL_ez00_21;
																BgL_arg1521z00_665 = CAR(CDR(BgL_pairz00_1542));
															}
															{	/* R5rs/hygiene.scm 206 */
																obj_t BgL_pairz00_1546;

																BgL_pairz00_1546 = BgL_ez00_21;
																BgL_arg1522z00_666 = CDR(CDR(BgL_pairz00_1546));
															}
															{	/* R5rs/hygiene.scm 206 */
																obj_t BgL_tmps2z00_1554;

																if (PAIRP(BgL_arg1521z00_665))
																	{	/* R5rs/hygiene.scm 206 */
																		BgL_tmps2z00_1554 =
																			BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00
																			(BGl_r5rszd2hygienezd2flattenz00zz__r5_macro_4_3_hygienez00
																			(BgL_arg1521z00_665), BgL_tmpsz00_23);
																	}
																else
																	{	/* R5rs/hygiene.scm 206 */
																		if (NULLP(BgL_arg1521z00_665))
																			{	/* R5rs/hygiene.scm 206 */
																				BgL_tmps2z00_1554 = BgL_tmpsz00_23;
																			}
																		else
																			{	/* R5rs/hygiene.scm 206 */
																				BgL_tmps2z00_1554 =
																					MAKE_PAIR(BgL_arg1521z00_665,
																					BgL_tmpsz00_23);
																			}
																	}
																{	/* R5rs/hygiene.scm 206 */
																	obj_t BgL_arg1632z00_1558;

																	obj_t BgL_arg1633z00_1559;

																	BgL_arg1632z00_1558 =
																		BGl_symbol2091z00zz__r5_macro_4_3_hygienez00;
																	{	/* R5rs/hygiene.scm 206 */
																		obj_t BgL_arg1635z00_1560;

																		BgL_arg1635z00_1560 =
																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																			(BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
																			(BgL_arg1522z00_666, BgL_alz00_22,
																				BgL_tmps2z00_1554), BNIL);
																		{	/* R5rs/hygiene.scm 206 */
																			obj_t BgL_list1636z00_1563;

																			BgL_list1636z00_1563 =
																				MAKE_PAIR(BgL_arg1635z00_1560, BNIL);
																			BgL_arg1633z00_1559 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg1521z00_665,
																				BgL_list1636z00_1563);
																		}
																	}
																	return
																		MAKE_PAIR(BgL_arg1632z00_1558,
																		BgL_arg1633z00_1559);
																}
															}
														}
													else
														{	/* R5rs/hygiene.scm 195 */
															if (
																(BgL_az00_624 ==
																	BGl_symbol2093z00zz__r5_macro_4_3_hygienez00))
																{	/* R5rs/hygiene.scm 208 */
																	obj_t BgL_arg1524z00_668;

																	obj_t BgL_arg1525z00_669;

																	{	/* R5rs/hygiene.scm 208 */
																		obj_t BgL_pairz00_1568;

																		BgL_pairz00_1568 = BgL_ez00_21;
																		BgL_arg1524z00_668 =
																			CAR(CDR(BgL_pairz00_1568));
																	}
																	{	/* R5rs/hygiene.scm 208 */
																		obj_t BgL_pairz00_1572;

																		BgL_pairz00_1572 = BgL_ez00_21;
																		BgL_arg1525z00_669 =
																			CDR(CDR(BgL_pairz00_1572));
																	}
																	{	/* R5rs/hygiene.scm 208 */
																		obj_t BgL_tmps2z00_1580;

																		BgL_tmps2z00_1580 =
																			BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00
																			(BGl_r5rszd2hygienezd2flattenz00zz__r5_macro_4_3_hygienez00
																			(BgL_arg1524z00_668), BgL_tmpsz00_23);
																		{	/* R5rs/hygiene.scm 208 */
																			obj_t BgL_arg1642z00_1582;

																			obj_t BgL_arg1643z00_1583;

																			BgL_arg1642z00_1582 =
																				BGl_symbol2093z00zz__r5_macro_4_3_hygienez00;
																			{	/* R5rs/hygiene.scm 208 */
																				obj_t BgL_arg1644z00_1584;

																				BgL_arg1644z00_1584 =
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
																					(BgL_arg1525z00_669, BgL_alz00_22,
																						BgL_tmps2z00_1580), BNIL);
																				{	/* R5rs/hygiene.scm 208 */
																					obj_t BgL_list1645z00_1587;

																					BgL_list1645z00_1587 =
																						MAKE_PAIR(BgL_arg1644z00_1584,
																						BNIL);
																					BgL_arg1643z00_1583 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg1524z00_668,
																						BgL_list1645z00_1587);
																				}
																			}
																			return
																				MAKE_PAIR(BgL_arg1642z00_1582,
																				BgL_arg1643z00_1583);
																		}
																	}
																}
															else
																{	/* R5rs/hygiene.scm 195 */
																	if (
																		(BgL_az00_624 ==
																			BGl_symbol2095z00zz__r5_macro_4_3_hygienez00))
																		{	/* R5rs/hygiene.scm 210 */
																			obj_t BgL_arg1527z00_671;

																			obj_t BgL_arg1528z00_672;

																			{	/* R5rs/hygiene.scm 210 */
																				obj_t BgL_pairz00_1590;

																				BgL_pairz00_1590 = BgL_ez00_21;
																				BgL_arg1527z00_671 =
																					CAR(CDR(BgL_pairz00_1590));
																			}
																			{	/* R5rs/hygiene.scm 210 */
																				obj_t BgL_pairz00_1594;

																				BgL_pairz00_1594 = BgL_ez00_21;
																				BgL_arg1528z00_672 =
																					CDR(CDR(BgL_pairz00_1594));
																			}
																			return
																				BGl_hygienezd2untagzd2letrecz00zz__r5_macro_4_3_hygienez00
																				(BgL_arg1527z00_671, BgL_arg1528z00_672,
																				BgL_alz00_22, BgL_tmpsz00_23);
																		}
																	else
																		{	/* R5rs/hygiene.scm 195 */
																			if (
																				(BgL_az00_624 ==
																					BGl_symbol2097z00zz__r5_macro_4_3_hygienez00))
																				{

																					{	/* R5rs/hygiene.scm 212 */
																						obj_t BgL_cdrzd21216zd2_684;

																						BgL_cdrzd21216zd2_684 =
																							CDR(BgL_ez00_21);
																						if (PAIRP(BgL_cdrzd21216zd2_684))
																							{	/* R5rs/hygiene.scm 212 */
																								obj_t BgL_carzd21220zd2_686;

																								obj_t BgL_cdrzd21221zd2_687;

																								BgL_carzd21220zd2_686 =
																									CAR(BgL_cdrzd21216zd2_684);
																								BgL_cdrzd21221zd2_687 =
																									CDR(BgL_cdrzd21216zd2_684);
																								if (SYMBOLP
																									(BgL_carzd21220zd2_686))
																									{	/* R5rs/hygiene.scm 212 */
																										if (PAIRP
																											(BgL_cdrzd21221zd2_687))
																											{	/* R5rs/hygiene.scm 212 */
																												return
																													BGl_hygienezd2untagzd2namedzd2letzd2zz__r5_macro_4_3_hygienez00
																													(BgL_carzd21220zd2_686,
																													CAR
																													(BgL_cdrzd21221zd2_687),
																													CDR
																													(BgL_cdrzd21221zd2_687),
																													BgL_alz00_22,
																													BgL_tmpsz00_23);
																											}
																										else
																											{	/* R5rs/hygiene.scm 212 */
																												return
																													BGl_hygienezd2untagzd2letz00zz__r5_macro_4_3_hygienez00
																													(CAR
																													(BgL_cdrzd21216zd2_684),
																													CDR
																													(BgL_cdrzd21216zd2_684),
																													BgL_alz00_22,
																													BgL_tmpsz00_23);
																											}
																									}
																								else
																									{	/* R5rs/hygiene.scm 212 */
																										return
																											BGl_hygienezd2untagzd2letz00zz__r5_macro_4_3_hygienez00
																											(CAR
																											(BgL_cdrzd21216zd2_684),
																											CDR
																											(BgL_cdrzd21216zd2_684),
																											BgL_alz00_22,
																											BgL_tmpsz00_23);
																									}
																							}
																						else
																							{	/* R5rs/hygiene.scm 212 */
																								return
																									MAKE_PAIR(BgL_az00_624,
																									BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
																									(CDR(BgL_ez00_21),
																										BgL_alz00_22,
																										BgL_tmpsz00_23));
																							}
																					}
																				}
																			else
																				{	/* R5rs/hygiene.scm 195 */
																					if (
																						(BgL_az00_624 ==
																							BGl_symbol2099z00zz__r5_macro_4_3_hygienez00))
																						{	/* R5rs/hygiene.scm 220 */
																							obj_t BgL_arg1550z00_701;

																							obj_t BgL_arg1551z00_702;

																							{	/* R5rs/hygiene.scm 220 */
																								obj_t BgL_pairz00_1625;

																								BgL_pairz00_1625 = BgL_ez00_21;
																								BgL_arg1550z00_701 =
																									CAR(CDR(BgL_pairz00_1625));
																							}
																							{	/* R5rs/hygiene.scm 220 */
																								obj_t BgL_pairz00_1629;

																								BgL_pairz00_1629 = BgL_ez00_21;
																								BgL_arg1551z00_702 =
																									CDR(CDR(BgL_pairz00_1629));
																							}
																							return
																								BGl_hygienezd2untagzd2letza2za2zz__r5_macro_4_3_hygienez00
																								(BgL_arg1550z00_701,
																								BgL_arg1551z00_702,
																								BgL_alz00_22, BgL_tmpsz00_23);
																						}
																					else
																						{	/* R5rs/hygiene.scm 195 */
																							if (
																								(BgL_az00_624 ==
																									BGl_symbol2101z00zz__r5_macro_4_3_hygienez00))
																								{	/* R5rs/hygiene.scm 222 */
																									obj_t BgL_arg1553z00_704;

																									obj_t BgL_arg1554z00_705;

																									obj_t BgL_arg1555z00_706;

																									{	/* R5rs/hygiene.scm 222 */
																										obj_t BgL_pairz00_1635;

																										BgL_pairz00_1635 =
																											BgL_ez00_21;
																										BgL_arg1553z00_704 =
																											CAR(CDR
																											(BgL_pairz00_1635));
																									}
																									{	/* R5rs/hygiene.scm 222 */
																										obj_t BgL_pairz00_1639;

																										BgL_pairz00_1639 =
																											BgL_ez00_21;
																										BgL_arg1554z00_705 =
																											CAR(CDR(CDR
																												(BgL_pairz00_1639)));
																									}
																									{	/* R5rs/hygiene.scm 222 */
																										obj_t BgL_pairz00_1645;

																										BgL_pairz00_1645 =
																											BgL_ez00_21;
																										BgL_arg1555z00_706 =
																											CDR(CDR(CDR
																												(BgL_pairz00_1645)));
																									}
																									return
																										BGl_hygienezd2untagzd2doz00zz__r5_macro_4_3_hygienez00
																										(BgL_arg1553z00_704,
																										BgL_arg1554z00_705,
																										BgL_arg1555z00_706,
																										BgL_alz00_22,
																										BgL_tmpsz00_23);
																								}
																							else
																								{	/* R5rs/hygiene.scm 195 */
																									if (
																										(BgL_az00_624 ==
																											BGl_symbol2103z00zz__r5_macro_4_3_hygienez00))
																										{	/* R5rs/hygiene.scm 224 */
																											obj_t BgL_arg1557z00_708;

																											obj_t BgL_arg1558z00_709;

																											BgL_arg1557z00_708 =
																												BGl_symbol2103z00zz__r5_macro_4_3_hygienez00;
																											{	/* R5rs/hygiene.scm 224 */
																												obj_t
																													BgL_arg1560z00_710;
																												obj_t
																													BgL_arg1561z00_711;
																												{	/* R5rs/hygiene.scm 224 */
																													obj_t
																														BgL_arg1563z00_713;
																													{	/* R5rs/hygiene.scm 224 */
																														obj_t
																															BgL_pairz00_1653;
																														BgL_pairz00_1653 =
																															BgL_ez00_21;
																														BgL_arg1563z00_713 =
																															CAR(CDR
																															(BgL_pairz00_1653));
																													}
																													BgL_arg1560z00_710 =
																														BGl_hygienezd2untagzd2vanillaz00zz__r5_macro_4_3_hygienez00
																														(BgL_arg1563z00_713,
																														BgL_alz00_22,
																														BgL_tmpsz00_23);
																												}
																												{	/* R5rs/hygiene.scm 225 */
																													obj_t
																														BgL_arg1567z00_714;
																													{	/* R5rs/hygiene.scm 225 */
																														obj_t
																															BgL_l1188z00_716;
																														{	/* R5rs/hygiene.scm 229 */
																															obj_t
																																BgL_pairz00_1657;
																															BgL_pairz00_1657 =
																																BgL_ez00_21;
																															BgL_l1188z00_716 =
																																CDR(CDR
																																(BgL_pairz00_1657));
																														}
																														if (NULLP
																															(BgL_l1188z00_716))
																															{	/* R5rs/hygiene.scm 225 */
																																BgL_arg1567z00_714
																																	= BNIL;
																															}
																														else
																															{	/* R5rs/hygiene.scm 225 */
																																obj_t
																																	BgL_head1190z00_718;
																																BgL_head1190z00_718
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																{
																																	obj_t
																																		BgL_l1188z00_719;
																																	obj_t
																																		BgL_tail1191z00_720;
																																	BgL_l1188z00_719
																																		=
																																		BgL_l1188z00_716;
																																	BgL_tail1191z00_720
																																		=
																																		BgL_head1190z00_718;
																																BgL_map1189z00_721:
																																	if (NULLP
																																		(BgL_l1188z00_719))
																																		{	/* R5rs/hygiene.scm 225 */
																																			BgL_arg1567z00_714
																																				=
																																				CDR
																																				(BgL_head1190z00_718);
																																		}
																																	else
																																		{	/* R5rs/hygiene.scm 225 */
																																			obj_t
																																				BgL_newtail1192z00_723;
																																			{	/* R5rs/hygiene.scm 225 */
																																				obj_t
																																					BgL_arg1573z00_725;
																																				{	/* R5rs/hygiene.scm 225 */
																																					obj_t
																																						BgL_cz00_727;
																																					BgL_cz00_727
																																						=
																																						CAR
																																						(BgL_l1188z00_719);
																																					BgL_arg1573z00_725
																																						=
																																						MAKE_PAIR
																																						(BGl_hygienezd2untagzd2vanillaz00zz__r5_macro_4_3_hygienez00
																																						(CAR
																																							(BgL_cz00_727),
																																							BgL_alz00_22,
																																							BgL_tmpsz00_23),
																																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																						(BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
																																							(CDR
																																								(BgL_cz00_727),
																																								BgL_alz00_22,
																																								BgL_tmpsz00_23),
																																							BNIL));
																																				}
																																				BgL_newtail1192z00_723
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1573z00_725,
																																					BNIL);
																																			}
																																			SET_CDR
																																				(BgL_tail1191z00_720,
																																				BgL_newtail1192z00_723);
																																			{
																																				obj_t
																																					BgL_tail1191z00_2604;
																																				obj_t
																																					BgL_l1188z00_2602;
																																				BgL_l1188z00_2602
																																					=
																																					CDR
																																					(BgL_l1188z00_719);
																																				BgL_tail1191z00_2604
																																					=
																																					BgL_newtail1192z00_723;
																																				BgL_tail1191z00_720
																																					=
																																					BgL_tail1191z00_2604;
																																				BgL_l1188z00_719
																																					=
																																					BgL_l1188z00_2602;
																																				goto
																																					BgL_map1189z00_721;
																																			}
																																		}
																																}
																															}
																													}
																													BgL_arg1561z00_711 =
																														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1567z00_714,
																														BNIL);
																												}
																												{	/* R5rs/hygiene.scm 224 */
																													obj_t
																														BgL_list1562z00_712;
																													BgL_list1562z00_712 =
																														MAKE_PAIR
																														(BgL_arg1561z00_711,
																														BNIL);
																													BgL_arg1558z00_709 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1560z00_710,
																														BgL_list1562z00_712);
																												}
																											}
																											return
																												MAKE_PAIR
																												(BgL_arg1557z00_708,
																												BgL_arg1558z00_709);
																										}
																									else
																										{	/* R5rs/hygiene.scm 195 */
																											if (
																												(BgL_az00_624 ==
																													BGl_symbol2105z00zz__r5_macro_4_3_hygienez00))
																												{	/* R5rs/hygiene.scm 231 */
																													obj_t
																														BgL_arg1589z00_735;
																													obj_t
																														BgL_arg1590z00_736;
																													BgL_arg1589z00_735 =
																														BGl_symbol2105z00zz__r5_macro_4_3_hygienez00;
																													{	/* R5rs/hygiene.scm 231 */
																														obj_t
																															BgL_arg1591z00_737;
																														{	/* R5rs/hygiene.scm 231 */
																															obj_t
																																BgL_l1193z00_739;
																															BgL_l1193z00_739 =
																																CDR
																																(BgL_ez00_21);
																															if (NULLP
																																(BgL_l1193z00_739))
																																{	/* R5rs/hygiene.scm 231 */
																																	BgL_arg1591z00_737
																																		= BNIL;
																																}
																															else
																																{	/* R5rs/hygiene.scm 231 */
																																	obj_t
																																		BgL_head1195z00_741;
																																	BgL_head1195z00_741
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	{
																																		obj_t
																																			BgL_l1193z00_742;
																																		obj_t
																																			BgL_tail1196z00_743;
																																		BgL_l1193z00_742
																																			=
																																			BgL_l1193z00_739;
																																		BgL_tail1196z00_743
																																			=
																																			BgL_head1195z00_741;
																																	BgL_map1194z00_744:
																																		if (NULLP
																																			(BgL_l1193z00_742))
																																			{	/* R5rs/hygiene.scm 231 */
																																				BgL_arg1591z00_737
																																					=
																																					CDR
																																					(BgL_head1195z00_741);
																																			}
																																		else
																																			{	/* R5rs/hygiene.scm 231 */
																																				obj_t
																																					BgL_newtail1197z00_746;
																																				BgL_newtail1197z00_746
																																					=
																																					MAKE_PAIR
																																					(BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
																																					(CAR
																																						(BgL_l1193z00_742),
																																						BgL_alz00_22,
																																						BgL_tmpsz00_23),
																																					BNIL);
																																				SET_CDR
																																					(BgL_tail1196z00_743,
																																					BgL_newtail1197z00_746);
																																				{
																																					obj_t
																																						BgL_tail1196z00_2624;
																																					obj_t
																																						BgL_l1193z00_2622;
																																					BgL_l1193z00_2622
																																						=
																																						CDR
																																						(BgL_l1193z00_742);
																																					BgL_tail1196z00_2624
																																						=
																																						BgL_newtail1197z00_746;
																																					BgL_tail1196z00_743
																																						=
																																						BgL_tail1196z00_2624;
																																					BgL_l1193z00_742
																																						=
																																						BgL_l1193z00_2622;
																																					goto
																																						BgL_map1194z00_744;
																																				}
																																			}
																																	}
																																}
																														}
																														BgL_arg1590z00_736 =
																															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																															(BgL_arg1591z00_737,
																															BNIL);
																													}
																													return
																														MAKE_PAIR
																														(BgL_arg1589z00_735,
																														BgL_arg1590z00_736);
																												}
																											else
																												{	/* R5rs/hygiene.scm 195 */
																													return
																														MAKE_PAIR
																														(BgL_az00_624,
																														BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
																														(CDR(BgL_ez00_21),
																															BgL_alz00_22,
																															BgL_tmpsz00_23));
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
					else
						{	/* R5rs/hygiene.scm 194 */
							return
								MAKE_PAIR(BgL_az00_624,
								BGl_loop3z00zz__r5_macro_4_3_hygienez00(BgL_tmpsz00_23,
									BgL_alz00_22, CDR(BgL_ez00_21)));
						}
				}
			else
				{	/* R5rs/hygiene.scm 192 */
					return
						BGl_hygienezd2untagzd2vanillaz00zz__r5_macro_4_3_hygienez00
						(BgL_ez00_21, BgL_alz00_22, BgL_tmpsz00_23);
				}
		}
	}



/* loop3 */
	obj_t BGl_loop3z00zz__r5_macro_4_3_hygienez00(obj_t BgL_tmpsz00_2156,
		obj_t BgL_alz00_2155, obj_t BgL_eez00_1694)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 249 */
			if (PAIRP(BgL_eez00_1694))
				{	/* R5rs/hygiene.scm 236 */
					return
						MAKE_PAIR(BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
						(CAR(BgL_eez00_1694), BgL_alz00_2155, BgL_tmpsz00_2156),
						BGl_loop3z00zz__r5_macro_4_3_hygienez00(BgL_tmpsz00_2156,
							BgL_alz00_2155, CDR(BgL_eez00_1694)));
				}
			else
				{	/* R5rs/hygiene.scm 236 */
					return
						BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
						(BgL_eez00_1694, BgL_alz00_2155, BgL_tmpsz00_2156);
				}
		}
	}



/* _r5rs-hygiene-untag */
	obj_t BGl__r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00(obj_t
		BgL_envz00_2148, obj_t BgL_ez00_2149, obj_t BgL_alz00_2150,
		obj_t BgL_tmpsz00_2151)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 191 */
			return
				BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00(BgL_ez00_2149,
				BgL_alz00_2150, BgL_tmpsz00_2151);
		}
	}



/* hygiene-untag-list */
	obj_t BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00(obj_t
		BgL_eez00_24, obj_t BgL_alz00_25, obj_t BgL_tmpsz00_26)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 242 */
			if (NULLP(BgL_eez00_24))
				{	/* R5rs/hygiene.scm 243 */
					return BNIL;
				}
			else
				{	/* R5rs/hygiene.scm 243 */
					obj_t BgL_head1201z00_760;

					BgL_head1201z00_760 = MAKE_PAIR(BNIL, BNIL);
					{
						obj_t BgL_l1199z00_761;

						obj_t BgL_tail1202z00_762;

						BgL_l1199z00_761 = BgL_eez00_24;
						BgL_tail1202z00_762 = BgL_head1201z00_760;
					BgL_map1200z00_763:
						if (NULLP(BgL_l1199z00_761))
							{	/* R5rs/hygiene.scm 243 */
								return CDR(BgL_head1201z00_760);
							}
						else
							{	/* R5rs/hygiene.scm 243 */
								obj_t BgL_newtail1203z00_765;

								BgL_newtail1203z00_765 =
									MAKE_PAIR
									(BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00(CAR
										(BgL_l1199z00_761), BgL_alz00_25, BgL_tmpsz00_26), BNIL);
								SET_CDR(BgL_tail1202z00_762, BgL_newtail1203z00_765);
								{
									obj_t BgL_tail1202z00_2655;

									obj_t BgL_l1199z00_2653;

									BgL_l1199z00_2653 = CDR(BgL_l1199z00_761);
									BgL_tail1202z00_2655 = BgL_newtail1203z00_765;
									BgL_tail1202z00_762 = BgL_tail1202z00_2655;
									BgL_l1199z00_761 = BgL_l1199z00_2653;
									goto BgL_map1200z00_763;
								}
							}
					}
				}
		}
	}



/* hygiene-untag-no-tags */
	obj_t BGl_hygienezd2untagzd2nozd2tagszd2zz__r5_macro_4_3_hygienez00(obj_t
		BgL_ez00_30, obj_t BgL_alz00_31)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 258 */
			if (PAIRP(BgL_ez00_30))
				{	/* R5rs/hygiene.scm 259 */
					return
						MAKE_PAIR
						(BGl_hygienezd2untagzd2nozd2tagszd2zz__r5_macro_4_3_hygienez00(CAR
							(BgL_ez00_30), BgL_alz00_31),
						BGl_hygienezd2untagzd2nozd2tagszd2zz__r5_macro_4_3_hygienez00(CDR
							(BgL_ez00_30), BgL_alz00_31));
				}
			else
				{	/* R5rs/hygiene.scm 259 */
					if (VECTORP(BgL_ez00_30))
						{	/* R5rs/hygiene.scm 262 */
							return
								BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
								(BGl_hygienezd2untagzd2nozd2tagszd2zz__r5_macro_4_3_hygienez00
								(BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_ez00_30),
									BgL_alz00_31));
						}
					else
						{	/* R5rs/hygiene.scm 262 */
							if (SYMBOLP(BgL_ez00_30))
								{	/* R5rs/hygiene.scm 265 */
									obj_t BgL_testzd2resultzd2_786;

									BgL_testzd2resultzd2_786 =
										BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_ez00_30,
										BgL_alz00_31);
									if (CBOOL(BgL_testzd2resultzd2_786))
										{	/* R5rs/hygiene.scm 265 */
											return CDR(BgL_testzd2resultzd2_786);
										}
									else
										{	/* R5rs/hygiene.scm 265 */
											return BgL_ez00_30;
										}
								}
							else
								{	/* R5rs/hygiene.scm 264 */
									return BgL_ez00_30;
								}
						}
				}
		}
	}



/* hygiene-untag-letrec */
	obj_t BGl_hygienezd2untagzd2letrecz00zz__r5_macro_4_3_hygienez00(obj_t
		BgL_varvalsz00_40, obj_t BgL_bodyz00_41, obj_t BgL_alz00_42,
		obj_t BgL_tmpsz00_43)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 293 */
			{	/* R5rs/hygiene.scm 294 */
				obj_t BgL_tmpsz00_812;

				{	/* R5rs/hygiene.scm 294 */
					obj_t BgL_arg1680z00_848;

					if (NULLP(BgL_varvalsz00_40))
						{	/* R5rs/hygiene.scm 294 */
							BgL_arg1680z00_848 = BNIL;
						}
					else
						{	/* R5rs/hygiene.scm 294 */
							obj_t BgL_head1207z00_851;

							BgL_head1207z00_851 = MAKE_PAIR(BNIL, BNIL);
							{
								obj_t BgL_l1204z00_852;

								obj_t BgL_tail1208z00_853;

								BgL_l1204z00_852 = BgL_varvalsz00_40;
								BgL_tail1208z00_853 = BgL_head1207z00_851;
							BgL_map1206z00_854:
								if (NULLP(BgL_l1204z00_852))
									{	/* R5rs/hygiene.scm 294 */
										BgL_arg1680z00_848 = CDR(BgL_head1207z00_851);
									}
								else
									{	/* R5rs/hygiene.scm 294 */
										obj_t BgL_newtail1209z00_856;

										{	/* R5rs/hygiene.scm 294 */
											obj_t BgL_arg1684z00_858;

											{	/* R5rs/hygiene.scm 294 */
												obj_t BgL_xz00_860;

												BgL_xz00_860 = CAR(BgL_l1204z00_852);
												if (PAIRP(BgL_xz00_860))
													{	/* R5rs/hygiene.scm 296 */
														BgL_arg1684z00_858 = CAR(BgL_xz00_860);
													}
												else
													{	/* R5rs/hygiene.scm 296 */
														if (SYMBOLP(BgL_xz00_860))
															{	/* R5rs/hygiene.scm 298 */
																BgL_arg1684z00_858 = BgL_xz00_860;
															}
														else
															{	/* R5rs/hygiene.scm 298 */
																BgL_arg1684z00_858 =
																	BGl_symbol2107z00zz__r5_macro_4_3_hygienez00;
															}
													}
											}
											BgL_newtail1209z00_856 =
												MAKE_PAIR(BgL_arg1684z00_858, BNIL);
										}
										SET_CDR(BgL_tail1208z00_853, BgL_newtail1209z00_856);
										{
											obj_t BgL_tail1208z00_2690;

											obj_t BgL_l1204z00_2688;

											BgL_l1204z00_2688 = CDR(BgL_l1204z00_852);
											BgL_tail1208z00_2690 = BgL_newtail1209z00_856;
											BgL_tail1208z00_853 = BgL_tail1208z00_2690;
											BgL_l1204z00_852 = BgL_l1204z00_2688;
											goto BgL_map1206z00_854;
										}
									}
							}
						}
					BgL_tmpsz00_812 =
						BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg1680z00_848,
						BgL_tmpsz00_43);
				}
				{	/* R5rs/hygiene.scm 304 */
					obj_t BgL_arg1657z00_813;

					obj_t BgL_arg1658z00_814;

					BgL_arg1657z00_813 = BGl_symbol2095z00zz__r5_macro_4_3_hygienez00;
					{	/* R5rs/hygiene.scm 304 */
						obj_t BgL_arg1659z00_815;

						obj_t BgL_arg1660z00_816;

						if (NULLP(BgL_varvalsz00_40))
							{	/* R5rs/hygiene.scm 304 */
								BgL_arg1659z00_815 = BNIL;
							}
						else
							{	/* R5rs/hygiene.scm 304 */
								obj_t BgL_head1213z00_820;

								BgL_head1213z00_820 = MAKE_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1211z00_821;

									obj_t BgL_tail1214z00_822;

									BgL_l1211z00_821 = BgL_varvalsz00_40;
									BgL_tail1214z00_822 = BgL_head1213z00_820;
								BgL_map1212z00_823:
									if (NULLP(BgL_l1211z00_821))
										{	/* R5rs/hygiene.scm 304 */
											BgL_arg1659z00_815 = CDR(BgL_head1213z00_820);
										}
									else
										{	/* R5rs/hygiene.scm 304 */
											obj_t BgL_newtail1215z00_825;

											{	/* R5rs/hygiene.scm 304 */
												obj_t BgL_arg1665z00_827;

												{	/* R5rs/hygiene.scm 304 */
													obj_t BgL_varvalz00_829;

													BgL_varvalz00_829 = CAR(BgL_l1211z00_821);
													if (PAIRP(BgL_varvalz00_829))
														{	/* R5rs/hygiene.scm 305 */
															obj_t BgL_cdrzd21276zd2_836;

															BgL_cdrzd21276zd2_836 = CDR(BgL_varvalz00_829);
															if (PAIRP(BgL_cdrzd21276zd2_836))
																{	/* R5rs/hygiene.scm 305 */
																	if (NULLP(CDR(BgL_cdrzd21276zd2_836)))
																		{	/* R5rs/hygiene.scm 305 */
																			obj_t BgL_arg1670z00_839;

																			obj_t BgL_arg1671z00_840;

																			BgL_arg1670z00_839 =
																				CAR(BgL_varvalz00_829);
																			BgL_arg1671z00_840 =
																				CAR(BgL_cdrzd21276zd2_836);
																			{	/* R5rs/hygiene.scm 305 */
																				obj_t BgL_arg1673z00_1781;

																				{	/* R5rs/hygiene.scm 305 */
																					obj_t BgL_arg1674z00_1782;

																					BgL_arg1674z00_1782 =
																						BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
																						(BgL_arg1671z00_840, BgL_alz00_42,
																						BgL_tmpsz00_812);
																					{	/* R5rs/hygiene.scm 305 */
																						obj_t BgL_list1676z00_1784;

																						BgL_list1676z00_1784 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg1673z00_1781 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg1674z00_1782,
																							BgL_list1676z00_1784);
																					}
																				}
																				BgL_arg1665z00_827 =
																					MAKE_PAIR(BgL_arg1670z00_839,
																					BgL_arg1673z00_1781);
																			}
																		}
																	else
																		{	/* R5rs/hygiene.scm 305 */
																			BgL_arg1665z00_827 =
																				BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
																				(BgL_varvalz00_829, BgL_alz00_42,
																				BgL_tmpsz00_812);
																		}
																}
															else
																{	/* R5rs/hygiene.scm 305 */
																	BgL_arg1665z00_827 =
																		BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
																		(BgL_varvalz00_829, BgL_alz00_42,
																		BgL_tmpsz00_812);
																}
														}
													else
														{	/* R5rs/hygiene.scm 305 */
															BgL_arg1665z00_827 =
																BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
																(BgL_varvalz00_829, BgL_alz00_42,
																BgL_tmpsz00_812);
														}
												}
												BgL_newtail1215z00_825 =
													MAKE_PAIR(BgL_arg1665z00_827, BNIL);
											}
											SET_CDR(BgL_tail1214z00_822, BgL_newtail1215z00_825);
											{
												obj_t BgL_tail1214z00_2720;

												obj_t BgL_l1211z00_2718;

												BgL_l1211z00_2718 = CDR(BgL_l1211z00_821);
												BgL_tail1214z00_2720 = BgL_newtail1215z00_825;
												BgL_tail1214z00_822 = BgL_tail1214z00_2720;
												BgL_l1211z00_821 = BgL_l1211z00_2718;
												goto BgL_map1212z00_823;
											}
										}
								}
							}
						BgL_arg1660z00_816 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
							(BgL_bodyz00_41, BgL_alz00_42, BgL_tmpsz00_812), BNIL);
						{	/* R5rs/hygiene.scm 304 */
							obj_t BgL_list1661z00_817;

							BgL_list1661z00_817 = MAKE_PAIR(BgL_arg1660z00_816, BNIL);
							BgL_arg1658z00_814 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1659z00_815,
								BgL_list1661z00_817);
						}
					}
					return MAKE_PAIR(BgL_arg1657z00_813, BgL_arg1658z00_814);
				}
			}
		}
	}



/* hygiene-untag-let */
	obj_t BGl_hygienezd2untagzd2letz00zz__r5_macro_4_3_hygienez00(obj_t
		BgL_varvalsz00_44, obj_t BgL_bodyz00_45, obj_t BgL_alz00_46,
		obj_t BgL_tmpsz00_47)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 316 */
			if (NULLP(BgL_varvalsz00_44))
				{	/* R5rs/hygiene.scm 319 */
					obj_t BgL_arg1692z00_864;

					obj_t BgL_arg1693z00_865;

					BgL_arg1692z00_864 = BGl_symbol2097z00zz__r5_macro_4_3_hygienez00;
					{	/* R5rs/hygiene.scm 319 */
						obj_t BgL_arg1696z00_867;

						BgL_arg1696z00_867 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
							(BgL_bodyz00_45, BgL_alz00_46, BgL_tmpsz00_47), BNIL);
						{	/* R5rs/hygiene.scm 319 */
							obj_t BgL_list1697z00_868;

							BgL_list1697z00_868 = MAKE_PAIR(BgL_arg1696z00_867, BNIL);
							BgL_arg1693z00_865 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BNIL,
								BgL_list1697z00_868);
						}
					}
					return MAKE_PAIR(BgL_arg1692z00_864, BgL_arg1693z00_865);
				}
			else
				{	/* R5rs/hygiene.scm 318 */
					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_varvalsz00_44))
						{	/* R5rs/hygiene.scm 321 */
							obj_t BgL_tmps2z00_872;

							{	/* R5rs/hygiene.scm 321 */
								obj_t BgL_arg1726z00_908;

								{	/* R5rs/hygiene.scm 321 */
									obj_t BgL_head1219z00_911;

									BgL_head1219z00_911 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1216z00_912;

										obj_t BgL_tail1220z00_913;

										BgL_l1216z00_912 = BgL_varvalsz00_44;
										BgL_tail1220z00_913 = BgL_head1219z00_911;
									BgL_map1218z00_914:
										if (NULLP(BgL_l1216z00_912))
											{	/* R5rs/hygiene.scm 321 */
												BgL_arg1726z00_908 = CDR(BgL_head1219z00_911);
											}
										else
											{	/* R5rs/hygiene.scm 321 */
												obj_t BgL_newtail1221z00_916;

												{	/* R5rs/hygiene.scm 321 */
													obj_t BgL_arg1730z00_918;

													{	/* R5rs/hygiene.scm 321 */
														obj_t BgL_xz00_920;

														BgL_xz00_920 = CAR(BgL_l1216z00_912);
														if (PAIRP(BgL_xz00_920))
															{	/* R5rs/hygiene.scm 323 */
																BgL_arg1730z00_918 = CAR(BgL_xz00_920);
															}
														else
															{	/* R5rs/hygiene.scm 323 */
																if (SYMBOLP(BgL_xz00_920))
																	{	/* R5rs/hygiene.scm 325 */
																		BgL_arg1730z00_918 = BgL_xz00_920;
																	}
																else
																	{	/* R5rs/hygiene.scm 325 */
																		BgL_arg1730z00_918 =
																			BGl_symbol2107z00zz__r5_macro_4_3_hygienez00;
																	}
															}
													}
													BgL_newtail1221z00_916 =
														MAKE_PAIR(BgL_arg1730z00_918, BNIL);
												}
												SET_CDR(BgL_tail1220z00_913, BgL_newtail1221z00_916);
												{
													obj_t BgL_tail1220z00_2749;

													obj_t BgL_l1216z00_2747;

													BgL_l1216z00_2747 = CDR(BgL_l1216z00_912);
													BgL_tail1220z00_2749 = BgL_newtail1221z00_916;
													BgL_tail1220z00_913 = BgL_tail1220z00_2749;
													BgL_l1216z00_912 = BgL_l1216z00_2747;
													goto BgL_map1218z00_914;
												}
											}
									}
								}
								BgL_tmps2z00_872 =
									BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1726z00_908, BgL_tmpsz00_47);
							}
							{	/* R5rs/hygiene.scm 331 */
								obj_t BgL_arg1702z00_873;

								obj_t BgL_arg1703z00_874;

								BgL_arg1702z00_873 =
									BGl_symbol2097z00zz__r5_macro_4_3_hygienez00;
								{	/* R5rs/hygiene.scm 331 */
									obj_t BgL_arg1704z00_875;

									obj_t BgL_arg1705z00_876;

									{	/* R5rs/hygiene.scm 331 */
										obj_t BgL_head1225z00_880;

										BgL_head1225z00_880 = MAKE_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1223z00_881;

											obj_t BgL_tail1226z00_882;

											BgL_l1223z00_881 = BgL_varvalsz00_44;
											BgL_tail1226z00_882 = BgL_head1225z00_880;
										BgL_map1224z00_883:
											if (NULLP(BgL_l1223z00_881))
												{	/* R5rs/hygiene.scm 331 */
													BgL_arg1704z00_875 = CDR(BgL_head1225z00_880);
												}
											else
												{	/* R5rs/hygiene.scm 331 */
													obj_t BgL_newtail1227z00_885;

													{	/* R5rs/hygiene.scm 331 */
														obj_t BgL_arg1710z00_887;

														{	/* R5rs/hygiene.scm 331 */
															obj_t BgL_varvalz00_889;

															BgL_varvalz00_889 = CAR(BgL_l1223z00_881);
															if (PAIRP(BgL_varvalz00_889))
																{	/* R5rs/hygiene.scm 332 */
																	obj_t BgL_cdrzd21290zd2_896;

																	BgL_cdrzd21290zd2_896 =
																		CDR(BgL_varvalz00_889);
																	if (PAIRP(BgL_cdrzd21290zd2_896))
																		{	/* R5rs/hygiene.scm 332 */
																			if (NULLP(CDR(BgL_cdrzd21290zd2_896)))
																				{	/* R5rs/hygiene.scm 332 */
																					obj_t BgL_arg1715z00_899;

																					obj_t BgL_arg1716z00_900;

																					BgL_arg1715z00_899 =
																						CAR(BgL_varvalz00_889);
																					BgL_arg1716z00_900 =
																						CAR(BgL_cdrzd21290zd2_896);
																					{	/* R5rs/hygiene.scm 332 */
																						obj_t BgL_arg1719z00_1824;

																						{	/* R5rs/hygiene.scm 332 */
																							obj_t BgL_arg1720z00_1825;

																							BgL_arg1720z00_1825 =
																								BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
																								(BgL_arg1716z00_900,
																								BgL_alz00_46, BgL_tmpsz00_47);
																							{	/* R5rs/hygiene.scm 332 */
																								obj_t BgL_list1722z00_1827;

																								BgL_list1722z00_1827 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg1719z00_1824 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg1720z00_1825,
																									BgL_list1722z00_1827);
																							}
																						}
																						BgL_arg1710z00_887 =
																							MAKE_PAIR(BgL_arg1715z00_899,
																							BgL_arg1719z00_1824);
																					}
																				}
																			else
																				{	/* R5rs/hygiene.scm 332 */
																					BgL_arg1710z00_887 =
																						BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
																						(BgL_varvalz00_889, BgL_alz00_46,
																						BgL_tmpsz00_47);
																				}
																		}
																	else
																		{	/* R5rs/hygiene.scm 332 */
																			BgL_arg1710z00_887 =
																				BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
																				(BgL_varvalz00_889, BgL_alz00_46,
																				BgL_tmpsz00_47);
																		}
																}
															else
																{	/* R5rs/hygiene.scm 332 */
																	BgL_arg1710z00_887 =
																		BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
																		(BgL_varvalz00_889, BgL_alz00_46,
																		BgL_tmpsz00_47);
																}
														}
														BgL_newtail1227z00_885 =
															MAKE_PAIR(BgL_arg1710z00_887, BNIL);
													}
													SET_CDR(BgL_tail1226z00_882, BgL_newtail1227z00_885);
													{
														obj_t BgL_tail1226z00_2777;

														obj_t BgL_l1223z00_2775;

														BgL_l1223z00_2775 = CDR(BgL_l1223z00_881);
														BgL_tail1226z00_2777 = BgL_newtail1227z00_885;
														BgL_tail1226z00_882 = BgL_tail1226z00_2777;
														BgL_l1223z00_881 = BgL_l1223z00_2775;
														goto BgL_map1224z00_883;
													}
												}
										}
									}
									BgL_arg1705z00_876 =
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
										(BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
										(BgL_bodyz00_45, BgL_alz00_46, BgL_tmps2z00_872), BNIL);
									{	/* R5rs/hygiene.scm 331 */
										obj_t BgL_list1706z00_877;

										BgL_list1706z00_877 = MAKE_PAIR(BgL_arg1705z00_876, BNIL);
										BgL_arg1703z00_874 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1704z00_875, BgL_list1706z00_877);
									}
								}
								return MAKE_PAIR(BgL_arg1702z00_873, BgL_arg1703z00_874);
							}
						}
					else
						{	/* R5rs/hygiene.scm 340 */
							obj_t BgL_arg1734z00_923;

							obj_t BgL_arg1735z00_924;

							BgL_arg1734z00_923 = BGl_symbol2097z00zz__r5_macro_4_3_hygienez00;
							{	/* R5rs/hygiene.scm 340 */
								obj_t BgL_arg1736z00_925;

								obj_t BgL_arg1737z00_926;

								BgL_arg1736z00_925 =
									BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
									(BgL_varvalsz00_44, BgL_alz00_46, BgL_tmpsz00_47);
								BgL_arg1737z00_926 =
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
									(BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
									(BgL_bodyz00_45, BgL_alz00_46, BgL_tmpsz00_47), BNIL);
								{	/* R5rs/hygiene.scm 340 */
									obj_t BgL_list1738z00_927;

									BgL_list1738z00_927 = MAKE_PAIR(BgL_arg1737z00_926, BNIL);
									BgL_arg1735z00_924 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg1736z00_925, BgL_list1738z00_927);
								}
							}
							return MAKE_PAIR(BgL_arg1734z00_923, BgL_arg1735z00_924);
						}
				}
		}
	}



/* hygiene-untag-named-let */
	obj_t BGl_hygienezd2untagzd2namedzd2letzd2zz__r5_macro_4_3_hygienez00(obj_t
		BgL_lnamez00_48, obj_t BgL_varvalsz00_49, obj_t BgL_bodyz00_50,
		obj_t BgL_alz00_51, obj_t BgL_tmpsz00_52)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 346 */
			{	/* R5rs/hygiene.scm 347 */
				obj_t BgL_tmps2z00_930;

				{	/* R5rs/hygiene.scm 347 */
					obj_t BgL_arg1765z00_967;

					{	/* R5rs/hygiene.scm 347 */
						obj_t BgL_arg1766z00_968;

						if (NULLP(BgL_varvalsz00_49))
							{	/* R5rs/hygiene.scm 347 */
								BgL_arg1766z00_968 = BNIL;
							}
						else
							{	/* R5rs/hygiene.scm 347 */
								obj_t BgL_head1231z00_971;

								BgL_head1231z00_971 = MAKE_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1228z00_972;

									obj_t BgL_tail1232z00_973;

									BgL_l1228z00_972 = BgL_varvalsz00_49;
									BgL_tail1232z00_973 = BgL_head1231z00_971;
								BgL_map1230z00_974:
									if (NULLP(BgL_l1228z00_972))
										{	/* R5rs/hygiene.scm 347 */
											BgL_arg1766z00_968 = CDR(BgL_head1231z00_971);
										}
									else
										{	/* R5rs/hygiene.scm 347 */
											obj_t BgL_newtail1233z00_976;

											{	/* R5rs/hygiene.scm 347 */
												obj_t BgL_arg1771z00_978;

												{	/* R5rs/hygiene.scm 347 */
													obj_t BgL_xz00_980;

													BgL_xz00_980 = CAR(BgL_l1228z00_972);
													if (PAIRP(BgL_xz00_980))
														{	/* R5rs/hygiene.scm 349 */
															BgL_arg1771z00_978 = CAR(BgL_xz00_980);
														}
													else
														{	/* R5rs/hygiene.scm 349 */
															if (SYMBOLP(BgL_xz00_980))
																{	/* R5rs/hygiene.scm 351 */
																	BgL_arg1771z00_978 = BgL_xz00_980;
																}
															else
																{	/* R5rs/hygiene.scm 351 */
																	BgL_arg1771z00_978 =
																		BGl_symbol2107z00zz__r5_macro_4_3_hygienez00;
																}
														}
												}
												BgL_newtail1233z00_976 =
													MAKE_PAIR(BgL_arg1771z00_978, BNIL);
											}
											SET_CDR(BgL_tail1232z00_973, BgL_newtail1233z00_976);
											{
												obj_t BgL_tail1232z00_2805;

												obj_t BgL_l1228z00_2803;

												BgL_l1228z00_2803 = CDR(BgL_l1228z00_972);
												BgL_tail1232z00_2805 = BgL_newtail1233z00_976;
												BgL_tail1232z00_973 = BgL_tail1232z00_2805;
												BgL_l1228z00_972 = BgL_l1228z00_2803;
												goto BgL_map1230z00_974;
											}
										}
								}
							}
						BgL_arg1765z00_967 =
							BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg1766z00_968,
							BgL_tmpsz00_52);
					}
					BgL_tmps2z00_930 = MAKE_PAIR(BgL_lnamez00_48, BgL_arg1765z00_967);
				}
				{	/* R5rs/hygiene.scm 357 */
					obj_t BgL_arg1741z00_931;

					obj_t BgL_arg1742z00_932;

					BgL_arg1741z00_931 = BGl_symbol2097z00zz__r5_macro_4_3_hygienez00;
					{	/* R5rs/hygiene.scm 358 */
						obj_t BgL_arg1743z00_933;

						obj_t BgL_arg1744z00_934;

						if (NULLP(BgL_varvalsz00_49))
							{	/* R5rs/hygiene.scm 358 */
								BgL_arg1743z00_933 = BNIL;
							}
						else
							{	/* R5rs/hygiene.scm 358 */
								obj_t BgL_head1236z00_939;

								BgL_head1236z00_939 = MAKE_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1234z00_940;

									obj_t BgL_tail1237z00_941;

									BgL_l1234z00_940 = BgL_varvalsz00_49;
									BgL_tail1237z00_941 = BgL_head1236z00_939;
								BgL_map1235z00_942:
									if (NULLP(BgL_l1234z00_940))
										{	/* R5rs/hygiene.scm 358 */
											BgL_arg1743z00_933 = CDR(BgL_head1236z00_939);
										}
									else
										{	/* R5rs/hygiene.scm 358 */
											obj_t BgL_newtail1238z00_944;

											{	/* R5rs/hygiene.scm 358 */
												obj_t BgL_arg1750z00_946;

												{	/* R5rs/hygiene.scm 358 */
													obj_t BgL_varvalz00_948;

													BgL_varvalz00_948 = CAR(BgL_l1234z00_940);
													if (PAIRP(BgL_varvalz00_948))
														{	/* R5rs/hygiene.scm 359 */
															obj_t BgL_cdrzd21304zd2_955;

															BgL_cdrzd21304zd2_955 = CDR(BgL_varvalz00_948);
															if (PAIRP(BgL_cdrzd21304zd2_955))
																{	/* R5rs/hygiene.scm 359 */
																	if (NULLP(CDR(BgL_cdrzd21304zd2_955)))
																		{	/* R5rs/hygiene.scm 359 */
																			obj_t BgL_arg1755z00_958;

																			obj_t BgL_arg1756z00_959;

																			BgL_arg1755z00_958 =
																				CAR(BgL_varvalz00_948);
																			BgL_arg1756z00_959 =
																				CAR(BgL_cdrzd21304zd2_955);
																			{	/* R5rs/hygiene.scm 359 */
																				obj_t BgL_arg1758z00_1866;

																				{	/* R5rs/hygiene.scm 359 */
																					obj_t BgL_arg1759z00_1867;

																					BgL_arg1759z00_1867 =
																						BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
																						(BgL_arg1756z00_959, BgL_alz00_51,
																						BgL_tmpsz00_52);
																					{	/* R5rs/hygiene.scm 359 */
																						obj_t BgL_list1761z00_1869;

																						BgL_list1761z00_1869 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_arg1758z00_1866 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg1759z00_1867,
																							BgL_list1761z00_1869);
																					}
																				}
																				BgL_arg1750z00_946 =
																					MAKE_PAIR(BgL_arg1755z00_958,
																					BgL_arg1758z00_1866);
																			}
																		}
																	else
																		{	/* R5rs/hygiene.scm 359 */
																			BgL_arg1750z00_946 =
																				BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
																				(BgL_varvalz00_948, BgL_alz00_51,
																				BgL_tmpsz00_52);
																		}
																}
															else
																{	/* R5rs/hygiene.scm 359 */
																	BgL_arg1750z00_946 =
																		BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
																		(BgL_varvalz00_948, BgL_alz00_51,
																		BgL_tmpsz00_52);
																}
														}
													else
														{	/* R5rs/hygiene.scm 359 */
															BgL_arg1750z00_946 =
																BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
																(BgL_varvalz00_948, BgL_alz00_51,
																BgL_tmpsz00_52);
														}
												}
												BgL_newtail1238z00_944 =
													MAKE_PAIR(BgL_arg1750z00_946, BNIL);
											}
											SET_CDR(BgL_tail1237z00_941, BgL_newtail1238z00_944);
											{
												obj_t BgL_tail1237z00_2836;

												obj_t BgL_l1234z00_2834;

												BgL_l1234z00_2834 = CDR(BgL_l1234z00_940);
												BgL_tail1237z00_2836 = BgL_newtail1238z00_944;
												BgL_tail1237z00_941 = BgL_tail1237z00_2836;
												BgL_l1234z00_940 = BgL_l1234z00_2834;
												goto BgL_map1235z00_942;
											}
										}
								}
							}
						BgL_arg1744z00_934 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
							(BgL_bodyz00_50, BgL_alz00_51, BgL_tmps2z00_930), BNIL);
						{	/* R5rs/hygiene.scm 357 */
							obj_t BgL_list1745z00_935;

							{	/* R5rs/hygiene.scm 357 */
								obj_t BgL_arg1746z00_936;

								BgL_arg1746z00_936 = MAKE_PAIR(BgL_arg1744z00_934, BNIL);
								BgL_list1745z00_935 =
									MAKE_PAIR(BgL_arg1743z00_933, BgL_arg1746z00_936);
							}
							BgL_arg1742z00_932 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_lnamez00_48,
								BgL_list1745z00_935);
						}
					}
					return MAKE_PAIR(BgL_arg1741z00_931, BgL_arg1742z00_932);
				}
			}
		}
	}



/* hygiene-untag-let* */
	obj_t BGl_hygienezd2untagzd2letza2za2zz__r5_macro_4_3_hygienez00(obj_t
		BgL_varvalsz00_53, obj_t BgL_bodyz00_54, obj_t BgL_alz00_55,
		obj_t BgL_tmpsz00_56)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 370 */
			{	/* R5rs/hygiene.scm 371 */
				obj_t BgL_tmps2z00_983;

				{	/* R5rs/hygiene.scm 371 */
					obj_t BgL_arg1801z00_1018;

					{	/* R5rs/hygiene.scm 371 */
						obj_t BgL_arg1802z00_1019;

						if (NULLP(BgL_varvalsz00_53))
							{	/* R5rs/hygiene.scm 371 */
								BgL_arg1802z00_1019 = BNIL;
							}
						else
							{	/* R5rs/hygiene.scm 371 */
								obj_t BgL_head1241z00_1022;

								BgL_head1241z00_1022 = MAKE_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1239z00_1023;

									obj_t BgL_tail1242z00_1024;

									BgL_l1239z00_1023 = BgL_varvalsz00_53;
									BgL_tail1242z00_1024 = BgL_head1241z00_1022;
								BgL_map1240z00_1025:
									if (NULLP(BgL_l1239z00_1023))
										{	/* R5rs/hygiene.scm 371 */
											BgL_arg1802z00_1019 = CDR(BgL_head1241z00_1022);
										}
									else
										{	/* R5rs/hygiene.scm 371 */
											obj_t BgL_newtail1243z00_1027;

											{	/* R5rs/hygiene.scm 371 */
												obj_t BgL_arg1806z00_1029;

												{	/* R5rs/hygiene.scm 371 */
													obj_t BgL_xz00_1031;

													BgL_xz00_1031 = CAR(BgL_l1239z00_1023);
													if (PAIRP(BgL_xz00_1031))
														{	/* R5rs/hygiene.scm 373 */
															BgL_arg1806z00_1029 = CAR(BgL_xz00_1031);
														}
													else
														{	/* R5rs/hygiene.scm 373 */
															if (SYMBOLP(BgL_xz00_1031))
																{	/* R5rs/hygiene.scm 375 */
																	BgL_arg1806z00_1029 = BgL_xz00_1031;
																}
															else
																{	/* R5rs/hygiene.scm 375 */
																	BgL_arg1806z00_1029 =
																		BGl_symbol2107z00zz__r5_macro_4_3_hygienez00;
																}
														}
												}
												BgL_newtail1243z00_1027 =
													MAKE_PAIR(BgL_arg1806z00_1029, BNIL);
											}
											SET_CDR(BgL_tail1242z00_1024, BgL_newtail1243z00_1027);
											{
												obj_t BgL_tail1242z00_2859;

												obj_t BgL_l1239z00_2857;

												BgL_l1239z00_2857 = CDR(BgL_l1239z00_1023);
												BgL_tail1242z00_2859 = BgL_newtail1243z00_1027;
												BgL_tail1242z00_1024 = BgL_tail1242z00_2859;
												BgL_l1239z00_1023 = BgL_l1239z00_2857;
												goto BgL_map1240z00_1025;
											}
										}
								}
							}
						BgL_arg1801z00_1018 = bgl_reverse_bang(BgL_arg1802z00_1019);
					}
					BgL_tmps2z00_983 =
						BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg1801z00_1018,
						BgL_tmpsz00_56);
				}
				{	/* R5rs/hygiene.scm 381 */
					obj_t BgL_arg1775z00_984;

					obj_t BgL_arg1776z00_985;

					BgL_arg1775z00_984 = BGl_symbol2099z00zz__r5_macro_4_3_hygienez00;
					{	/* R5rs/hygiene.scm 381 */
						obj_t BgL_arg1778z00_986;

						obj_t BgL_arg1780z00_987;

						BgL_arg1778z00_986 =
							BGl_loop4z00zz__r5_macro_4_3_hygienez00(BgL_tmps2z00_983,
							BgL_tmpsz00_56, BgL_alz00_55, BgL_varvalsz00_53,
							bgl_list_length(BgL_varvalsz00_53));
						BgL_arg1780z00_987 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
							(BgL_bodyz00_54, BgL_alz00_55, BgL_tmps2z00_983), BNIL);
						{	/* R5rs/hygiene.scm 381 */
							obj_t BgL_list1781z00_988;

							BgL_list1781z00_988 = MAKE_PAIR(BgL_arg1780z00_987, BNIL);
							BgL_arg1776z00_985 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1778z00_986,
								BgL_list1781z00_988);
						}
					}
					return MAKE_PAIR(BgL_arg1775z00_984, BgL_arg1776z00_985);
				}
			}
		}
	}



/* loop4 */
	obj_t BGl_loop4z00zz__r5_macro_4_3_hygienez00(obj_t BgL_tmps2z00_2154,
		obj_t BgL_tmpsz00_2153, obj_t BgL_alz00_2152, obj_t BgL_varvalsz00_990,
		long BgL_iz00_991)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 381 */
			if (NULLP(BgL_varvalsz00_990))
				{	/* R5rs/hygiene.scm 383 */
					return BNIL;
				}
			else
				{	/* R5rs/hygiene.scm 384 */
					obj_t BgL_varvalz00_994;

					BgL_varvalz00_994 = CAR(BgL_varvalsz00_990);
					{	/* R5rs/hygiene.scm 385 */
						obj_t BgL_arg1783z00_995;

						obj_t BgL_arg1785z00_996;

						if (PAIRP(BgL_varvalz00_994))
							{	/* R5rs/hygiene.scm 385 */
								obj_t BgL_cdrzd21318zd2_1003;

								BgL_cdrzd21318zd2_1003 = CDR(BgL_varvalz00_994);
								if (PAIRP(BgL_cdrzd21318zd2_1003))
									{	/* R5rs/hygiene.scm 385 */
										if (NULLP(CDR(BgL_cdrzd21318zd2_1003)))
											{	/* R5rs/hygiene.scm 385 */
												obj_t BgL_arg1789z00_1006;

												obj_t BgL_arg1790z00_1007;

												BgL_arg1789z00_1006 = CAR(BgL_varvalz00_994);
												BgL_arg1790z00_1007 = CAR(BgL_cdrzd21318zd2_1003);
												{	/* R5rs/hygiene.scm 385 */
													obj_t BgL_arg1792z00_1904;

													{	/* R5rs/hygiene.scm 385 */
														obj_t BgL_arg1793z00_1905;

														BgL_arg1793z00_1905 =
															BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
															(BgL_arg1790z00_1007, BgL_alz00_2152,
															BGl_listzd2tailzd2zz__r4_pairs_and_lists_6_3z00
															(BgL_tmps2z00_2154, BgL_iz00_991));
														{	/* R5rs/hygiene.scm 385 */
															obj_t BgL_list1795z00_1908;

															BgL_list1795z00_1908 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg1792z00_1904 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg1793z00_1905, BgL_list1795z00_1908);
														}
													}
													BgL_arg1783z00_995 =
														MAKE_PAIR(BgL_arg1789z00_1006, BgL_arg1792z00_1904);
												}
											}
										else
											{	/* R5rs/hygiene.scm 385 */
												BgL_arg1783z00_995 =
													BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
													(BgL_varvalz00_994, BgL_alz00_2152, BgL_tmpsz00_2153);
											}
									}
								else
									{	/* R5rs/hygiene.scm 385 */
										BgL_arg1783z00_995 =
											BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
											(BgL_varvalz00_994, BgL_alz00_2152, BgL_tmpsz00_2153);
									}
							}
						else
							{	/* R5rs/hygiene.scm 385 */
								BgL_arg1783z00_995 =
									BGl_r5rszd2hygienezd2untagz00zz__r5_macro_4_3_hygienez00
									(BgL_varvalz00_994, BgL_alz00_2152, BgL_tmpsz00_2153);
							}
						BgL_arg1785z00_996 =
							BGl_loop4z00zz__r5_macro_4_3_hygienez00(BgL_tmps2z00_2154,
							BgL_tmpsz00_2153, BgL_alz00_2152, CDR(BgL_varvalsz00_990),
							(BgL_iz00_991 - ((long) 1)));
						return MAKE_PAIR(BgL_arg1783z00_995, BgL_arg1785z00_996);
					}
				}
		}
	}



/* hygiene-untag-do */
	obj_t BGl_hygienezd2untagzd2doz00zz__r5_macro_4_3_hygienez00(obj_t
		BgL_varinistpsz00_57, obj_t BgL_exitzd2testzd2_58, obj_t BgL_bodyz00_59,
		obj_t BgL_alz00_60, obj_t BgL_tmpsz00_61)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 398 */
			{	/* R5rs/hygiene.scm 399 */
				obj_t BgL_tmps2z00_1034;

				{	/* R5rs/hygiene.scm 399 */
					obj_t BgL_arg1829z00_1062;

					if (NULLP(BgL_varinistpsz00_57))
						{	/* R5rs/hygiene.scm 399 */
							BgL_arg1829z00_1062 = BNIL;
						}
					else
						{	/* R5rs/hygiene.scm 399 */
							obj_t BgL_head1246z00_1065;

							BgL_head1246z00_1065 =
								MAKE_PAIR(CAR(CAR(BgL_varinistpsz00_57)), BNIL);
							{	/* R5rs/hygiene.scm 399 */
								obj_t BgL_g1249z00_1066;

								BgL_g1249z00_1066 = CDR(BgL_varinistpsz00_57);
								{
									obj_t BgL_l1244z00_1924;

									obj_t BgL_tail1247z00_1925;

									BgL_l1244z00_1924 = BgL_g1249z00_1066;
									BgL_tail1247z00_1925 = BgL_head1246z00_1065;
								BgL_map1245z00_1923:
									if (NULLP(BgL_l1244z00_1924))
										{	/* R5rs/hygiene.scm 399 */
											BgL_arg1829z00_1062 = BgL_head1246z00_1065;
										}
									else
										{	/* R5rs/hygiene.scm 399 */
											obj_t BgL_newtail1248z00_1933;

											BgL_newtail1248z00_1933 =
												MAKE_PAIR(CAR(CAR(BgL_l1244z00_1924)), BNIL);
											SET_CDR(BgL_tail1247z00_1925, BgL_newtail1248z00_1933);
											{
												obj_t BgL_tail1247z00_2908;

												obj_t BgL_l1244z00_2906;

												BgL_l1244z00_2906 = CDR(BgL_l1244z00_1924);
												BgL_tail1247z00_2908 = BgL_newtail1248z00_1933;
												BgL_tail1247z00_1925 = BgL_tail1247z00_2908;
												BgL_l1244z00_1924 = BgL_l1244z00_2906;
												goto BgL_map1245z00_1923;
											}
										}
								}
							}
						}
					BgL_tmps2z00_1034 =
						BGl_appendz12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg1829z00_1062,
						BgL_tmpsz00_61);
				}
				{	/* R5rs/hygiene.scm 400 */
					obj_t BgL_arg1810z00_1035;

					obj_t BgL_arg1811z00_1036;

					BgL_arg1810z00_1035 = BGl_symbol2101z00zz__r5_macro_4_3_hygienez00;
					{	/* R5rs/hygiene.scm 400 */
						obj_t BgL_arg1812z00_1037;

						obj_t BgL_arg1813z00_1038;

						obj_t BgL_arg1814z00_1039;

						if (NULLP(BgL_varinistpsz00_57))
							{	/* R5rs/hygiene.scm 400 */
								BgL_arg1812z00_1037 = BNIL;
							}
						else
							{	/* R5rs/hygiene.scm 400 */
								obj_t BgL_head1252z00_1044;

								BgL_head1252z00_1044 = MAKE_PAIR(BNIL, BNIL);
								{
									obj_t BgL_l1250z00_1045;

									obj_t BgL_tail1253z00_1046;

									BgL_l1250z00_1045 = BgL_varinistpsz00_57;
									BgL_tail1253z00_1046 = BgL_head1252z00_1044;
								BgL_map1251z00_1047:
									if (NULLP(BgL_l1250z00_1045))
										{	/* R5rs/hygiene.scm 400 */
											BgL_arg1812z00_1037 = CDR(BgL_head1252z00_1044);
										}
									else
										{	/* R5rs/hygiene.scm 400 */
											obj_t BgL_newtail1254z00_1049;

											{	/* R5rs/hygiene.scm 400 */
												obj_t BgL_arg1820z00_1051;

												{	/* R5rs/hygiene.scm 400 */
													obj_t BgL_varinistpz00_1053;

													BgL_varinistpz00_1053 = CAR(BgL_l1250z00_1045);
													{	/* R5rs/hygiene.scm 402 */
														obj_t BgL_varz00_1054;

														BgL_varz00_1054 = CAR(BgL_varinistpz00_1053);
														{	/* R5rs/hygiene.scm 403 */
															obj_t BgL_arg1822z00_1055;

															{	/* R5rs/hygiene.scm 403 */
																obj_t BgL_arg1823z00_1056;

																{	/* R5rs/hygiene.scm 403 */
																	obj_t BgL_arg1825z00_1058;

																	obj_t BgL_arg1826z00_1059;

																	BgL_arg1825z00_1058 =
																		CDR(BgL_varinistpz00_1053);
																	BgL_arg1826z00_1059 =
																		MAKE_PAIR(BgL_varz00_1054, BgL_tmpsz00_61);
																	BgL_arg1823z00_1056 =
																		BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
																		(BgL_arg1825z00_1058, BgL_alz00_60,
																		BgL_arg1826z00_1059);
																}
																BgL_arg1822z00_1055 =
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1823z00_1056, BNIL);
															}
															BgL_arg1820z00_1051 =
																MAKE_PAIR(BgL_varz00_1054, BgL_arg1822z00_1055);
														}
													}
												}
												BgL_newtail1254z00_1049 =
													MAKE_PAIR(BgL_arg1820z00_1051, BNIL);
											}
											SET_CDR(BgL_tail1253z00_1046, BgL_newtail1254z00_1049);
											{
												obj_t BgL_tail1253z00_2927;

												obj_t BgL_l1250z00_2925;

												BgL_l1250z00_2925 = CDR(BgL_l1250z00_1045);
												BgL_tail1253z00_2927 = BgL_newtail1254z00_1049;
												BgL_tail1253z00_1046 = BgL_tail1253z00_2927;
												BgL_l1250z00_1045 = BgL_l1250z00_2925;
												goto BgL_map1251z00_1047;
											}
										}
								}
							}
						BgL_arg1813z00_1038 =
							BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
							(BgL_exitzd2testzd2_58, BgL_alz00_60, BgL_tmps2z00_1034);
						BgL_arg1814z00_1039 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BGl_hygienezd2untagzd2listz00zz__r5_macro_4_3_hygienez00
							(BgL_bodyz00_59, BgL_alz00_60, BgL_tmps2z00_1034), BNIL);
						{	/* R5rs/hygiene.scm 400 */
							obj_t BgL_list1815z00_1040;

							{	/* R5rs/hygiene.scm 400 */
								obj_t BgL_arg1816z00_1041;

								BgL_arg1816z00_1041 = MAKE_PAIR(BgL_arg1814z00_1039, BNIL);
								BgL_list1815z00_1040 =
									MAKE_PAIR(BgL_arg1813z00_1038, BgL_arg1816z00_1041);
							}
							BgL_arg1811z00_1036 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1812z00_1037,
								BgL_list1815z00_1040);
						}
					}
					return MAKE_PAIR(BgL_arg1810z00_1035, BgL_arg1811z00_1036);
				}
			}
		}
	}



/* hygiene-untag-vanilla */
	obj_t BGl_hygienezd2untagzd2vanillaz00zz__r5_macro_4_3_hygienez00(obj_t
		BgL_ez00_62, obj_t BgL_alz00_63, obj_t BgL_tmpsz00_64)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 412 */
			if (PAIRP(BgL_ez00_62))
				{	/* R5rs/hygiene.scm 413 */
					return
						MAKE_PAIR
						(BGl_hygienezd2untagzd2vanillaz00zz__r5_macro_4_3_hygienez00(CAR
							(BgL_ez00_62), BgL_alz00_63, BgL_tmpsz00_64),
						BGl_hygienezd2untagzd2vanillaz00zz__r5_macro_4_3_hygienez00(CDR
							(BgL_ez00_62), BgL_alz00_63, BgL_tmpsz00_64));
				}
			else
				{	/* R5rs/hygiene.scm 413 */
					if (VECTORP(BgL_ez00_62))
						{	/* R5rs/hygiene.scm 416 */
							return
								BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
								(BGl_hygienezd2untagzd2vanillaz00zz__r5_macro_4_3_hygienez00
								(BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_ez00_62),
									BgL_alz00_63, BgL_tmpsz00_64));
						}
					else
						{	/* R5rs/hygiene.scm 416 */
							if (SYMBOLP(BgL_ez00_62))
								{	/* R5rs/hygiene.scm 418 */
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_ez00_62, BgL_tmpsz00_64)))
										{	/* R5rs/hygiene.scm 419 */
											return BgL_ez00_62;
										}
									else
										{	/* R5rs/hygiene.scm 420 */
											obj_t BgL_testzd2resultzd2_1089;

											BgL_testzd2resultzd2_1089 =
												BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_ez00_62,
												BgL_alz00_63);
											if (CBOOL(BgL_testzd2resultzd2_1089))
												{	/* R5rs/hygiene.scm 420 */
													return CDR(BgL_testzd2resultzd2_1089);
												}
											else
												{	/* R5rs/hygiene.scm 420 */
													return BgL_ez00_62;
												}
										}
								}
							else
								{	/* R5rs/hygiene.scm 418 */
									return BgL_ez00_62;
								}
						}
				}
		}
	}



/* hygiene-rassq */
	obj_t BGl_hygienezd2rassqzd2zz__r5_macro_4_3_hygienez00(obj_t BgL_kz00_65,
		obj_t BgL_alz00_66)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 426 */
			{
				obj_t BgL_alz00_1998;

				BgL_alz00_1998 = BgL_alz00_66;
			BgL_loop5z00_1997:
				if (NULLP(BgL_alz00_1998))
					{	/* R5rs/hygiene.scm 427 */
						return BFALSE;
					}
				else
					{	/* R5rs/hygiene.scm 427 */
						obj_t BgL_cz00_2000;

						BgL_cz00_2000 = CAR(BgL_alz00_1998);
						if ((CDR(BgL_cz00_2000) == BgL_kz00_65))
							{	/* R5rs/hygiene.scm 427 */
								return BgL_cz00_2000;
							}
						else
							{
								obj_t BgL_alz00_2962;

								BgL_alz00_2962 = CDR(BgL_alz00_1998);
								BgL_alz00_1998 = BgL_alz00_2962;
								goto BgL_loop5z00_1997;
							}
					}
			}
		}
	}



/* some */
	obj_t BGl_somez00zz__r5_macro_4_3_hygienez00(obj_t BgL_predz00_67,
		obj_t BgL_lz00_68)
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 436 */
		BGl_somez00zz__r5_macro_4_3_hygienez00:
			if (NULLP(BgL_lz00_68))
				{	/* R5rs/hygiene.scm 437 */
					return BFALSE;
				}
			else
				{	/* R5rs/hygiene.scm 437 */
					obj_t BgL__ortest_1159z00_2009;

					{	/* R5rs/hygiene.scm 437 */
						obj_t BgL_arg1858z00_2010;

						BgL_arg1858z00_2010 = CAR(BgL_lz00_68);
						BgL__ortest_1159z00_2009 =
							BGl_zc3anonymousza31450ze3z83zz__r5_macro_4_3_hygienez00
							(BgL_predz00_67, BgL_arg1858z00_2010);
					}
					if (CBOOL(BgL__ortest_1159z00_2009))
						{	/* R5rs/hygiene.scm 437 */
							return BgL__ortest_1159z00_2009;
						}
					else
						{	/* R5rs/hygiene.scm 437 */
							obj_t BgL_arg1857z00_2011;

							BgL_arg1857z00_2011 = CDR(BgL_lz00_68);
							if (NULLP(BgL_arg1857z00_2011))
								{	/* R5rs/hygiene.scm 437 */
									return BFALSE;
								}
							else
								{	/* R5rs/hygiene.scm 437 */
									obj_t BgL__ortest_1159z00_2018;

									{	/* R5rs/hygiene.scm 437 */
										obj_t BgL_arg1858z00_2019;

										BgL_arg1858z00_2019 = CAR(BgL_arg1857z00_2011);
										BgL__ortest_1159z00_2018 =
											BGl_zc3anonymousza31450ze3z83zz__r5_macro_4_3_hygienez00
											(BgL_predz00_67, BgL_arg1858z00_2019);
									}
									if (CBOOL(BgL__ortest_1159z00_2018))
										{	/* R5rs/hygiene.scm 437 */
											return BgL__ortest_1159z00_2018;
										}
									else
										{
											obj_t BgL_lz00_2979;

											BgL_lz00_2979 = CDR(BgL_arg1857z00_2011);
											BgL_lz00_68 = BgL_lz00_2979;
											goto BGl_somez00zz__r5_macro_4_3_hygienez00;
										}
								}
						}
				}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r5_macro_4_3_hygienez00()
	{
		AN_OBJECT;
		{	/* R5rs/hygiene.scm 18 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2109z00zz__r5_macro_4_3_hygienez00));
		}
	}

#ifdef __cplusplus
}
#endif
