/*===========================================================================*/
/*   (Rgc/rgcconfig.scm)                                                     */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Rgc/rgcconfig.scm -indent -o objs/obj_u/Rgc/rgcconfig.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_rgczd2maxzd2charz00zz__rgc_configz00();
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl__rgczd2upcasezd2zz__rgc_configz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__rgc_configz00 = BUNSPEC;
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl__rgczd2charzf3z21zz__rgc_configz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgczd2envzd2zz__rgc_configz00();
	static obj_t BGl_zc3anonymousza31746ze3z83zz__rgc_configz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31747ze3z83zz__rgc_configz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31749ze3z83zz__rgc_configz00(obj_t, obj_t);
	static obj_t BGl__rgczd2downcasezd2zz__rgc_configz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31752ze3z83zz__rgc_configz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__rgc_configz00();
	static obj_t BGl_symbol2086z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol2100z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol2089z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol2092z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol2095z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol2106z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol2109z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol2112z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol2118z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol2121z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol2127z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol2134z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol2139z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol2144z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_symbol2150z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_configz00();
	BGL_EXPORTED_DECL obj_t BGl_rgczd2upcasezd2zz__rgc_configz00(obj_t);
	static obj_t BGl_za2rgczd2configza2zd2zz__rgc_configz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_rgczd2downcasezd2zz__rgc_configz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2rgczd2optimza2zd2zz__rgc_configz00 = BUNSPEC;
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__rgc_configz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zz__rgc_configz00();
	static obj_t BGl_za2asciizd2configza2zd2zz__rgc_configz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_rgczd2charzf3z21zz__rgc_configz00(obj_t);
	static obj_t BGl__rgczd2envzd2zz__rgc_configz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgczd2alphabeticzf3z21zz__rgc_configz00(obj_t);
	static obj_t BGl_list2084z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2085z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2088z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2091z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2102z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2103z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2094z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2105z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2097z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2108z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2099z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2111z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2114z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2115z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2117z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2120z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2123z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2124z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2126z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2130z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2129z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2131z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2133z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2136z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl__rgczd2maxzd2charz00zz__rgc_configz00(obj_t);
	static obj_t BGl_list2138z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2141z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl_list2143z00zz__rgc_configz00 = BUNSPEC;
	static obj_t BGl__rgczd2alphabeticzf3z21zz__rgc_configz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__rgc_configz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2envzd2envz00zz__rgc_configz00,
		BgL_bgl__rgcza7d2envza7d2za7za7_2154z00, BGl__rgczd2envzd2zz__rgc_configz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2maxzd2charzd2envzd2zz__rgc_configz00,
		BgL_bgl__rgcza7d2maxza7d2cha2155z00,
		BGl__rgczd2maxzd2charz00zz__rgc_configz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2charzf3zd2envzf3zz__rgc_configz00,
		BgL_bgl__rgcza7d2charza7f3za722156za7,
		BGl__rgczd2charzf3z21zz__rgc_configz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2upcasezd2envz00zz__rgc_configz00,
		BgL_bgl__rgcza7d2upcaseza7d22157z00, BGl__rgczd2upcasezd2zz__rgc_configz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rgczd2alphabeticzf3zd2envzf3zz__rgc_configz00,
		BgL_bgl__rgcza7d2alphabeti2158za7,
		BGl__rgczd2alphabeticzf3z21zz__rgc_configz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zz__rgc_configz00,
		BgL_bgl_za7c3anonymousza7a312159z00,
		BGl_zc3anonymousza31752ze3z83zz__rgc_configz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zz__rgc_configz00,
		BgL_bgl_za7c3anonymousza7a312160z00,
		BGl_zc3anonymousza31749ze3z83zz__rgc_configz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zz__rgc_configz00,
		BgL_bgl_za7c3anonymousza7a312161z00,
		BGl_zc3anonymousza31747ze3z83zz__rgc_configz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zz__rgc_configz00,
		BgL_bgl_za7c3anonymousza7a312162z00,
		BGl_zc3anonymousza31746ze3z83zz__rgc_configz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2087z00zz__rgc_configz00,
		BgL_bgl_string2087za700za7za7_2163za7, "all", 3);
	      DEFINE_STRING(BGl_string2090z00zz__rgc_configz00,
		BgL_bgl_string2090za700za7za7_2164za7, "out", 3);
	      DEFINE_STRING(BGl_string2101z00zz__rgc_configz00,
		BgL_bgl_string2101za700za7za7_2165za7, "upper", 5);
	      DEFINE_STRING(BGl_string2093z00zz__rgc_configz00,
		BgL_bgl_string2093za700za7za7_2166za7, "lower", 5);
	      DEFINE_STRING(BGl_string2104z00zz__rgc_configz00,
		BgL_bgl_string2104za700za7za7_2167za7, "AZ", 2);
	      DEFINE_STRING(BGl_string2096z00zz__rgc_configz00,
		BgL_bgl_string2096za700za7za7_2168za7, "in", 2);
	      DEFINE_STRING(BGl_string2107z00zz__rgc_configz00,
		BgL_bgl_string2107za700za7za7_2169za7, "alpha", 5);
	      DEFINE_STRING(BGl_string2098z00zz__rgc_configz00,
		BgL_bgl_string2098za700za7za7_2170za7, "az", 2);
	      DEFINE_STRING(BGl_string2110z00zz__rgc_configz00,
		BgL_bgl_string2110za700za7za7_2171za7, "or", 2);
	      DEFINE_STRING(BGl_string2113z00zz__rgc_configz00,
		BgL_bgl_string2113za700za7za7_2172za7, "digit", 5);
	      DEFINE_STRING(BGl_string2116z00zz__rgc_configz00,
		BgL_bgl_string2116za700za7za7_2173za7, "09", 2);
	      DEFINE_STRING(BGl_string2119z00zz__rgc_configz00,
		BgL_bgl_string2119za700za7za7_2174za7, "xdigit", 6);
	      DEFINE_STRING(BGl_string2122z00zz__rgc_configz00,
		BgL_bgl_string2122za700za7za7_2175za7, "uncase", 6);
	      DEFINE_STRING(BGl_string2125z00zz__rgc_configz00,
		BgL_bgl_string2125za700za7za7_2176za7, "af09", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgczd2downcasezd2envz00zz__rgc_configz00,
		BgL_bgl__rgcza7d2downcaseza72177z00,
		BGl__rgczd2downcasezd2zz__rgc_configz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2128z00zz__rgc_configz00,
		BgL_bgl_string2128za700za7za7_2178za7, "alnum", 5);
	      DEFINE_STRING(BGl_string2132z00zz__rgc_configz00,
		BgL_bgl_string2132za700za7za7_2179za7, "az09", 4);
	      DEFINE_STRING(BGl_string2135z00zz__rgc_configz00,
		BgL_bgl_string2135za700za7za7_2180za7, "punct", 5);
	      DEFINE_STRING(BGl_string2137z00zz__rgc_configz00,
		BgL_bgl_string2137za700za7za7_2181za7, ".,;!?", 5);
	      DEFINE_STRING(BGl_string2140z00zz__rgc_configz00,
		BgL_bgl_string2140za700za7za7_2182za7, "blank", 5);
	      DEFINE_STRING(BGl_string2142z00zz__rgc_configz00,
		BgL_bgl_string2142za700za7za7_2183za7, " \t\n", 3);
	      DEFINE_STRING(BGl_string2145z00zz__rgc_configz00,
		BgL_bgl_string2145za700za7za7_2184za7, "space", 5);
	      DEFINE_STRING(BGl_string2151z00zz__rgc_configz00,
		BgL_bgl_string2151za700za7za7_2185za7, "rgc-config", 10);
	      DEFINE_STRING(BGl_string2152z00zz__rgc_configz00,
		BgL_bgl_string2152za700za7za7_2186za7, "ascii", 5);
	      DEFINE_STRING(BGl_string2153z00zz__rgc_configz00,
		BgL_bgl_string2153za700za7za7_2187za7, "__rgc_config", 12);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_configz00(long
		BgL_checksumz00_1569, char *BgL_fromz00_1570)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_configz00))
				{
					BGl_requirezd2initializa7ationz75zz__rgc_configz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__rgc_configz00();
					BGl_importedzd2moduleszd2initz00zz__rgc_configz00();
					BGl_toplevelzd2initzd2zz__rgc_configz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgc_configz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 14 */
			BGl_symbol2086z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2087z00zz__rgc_configz00);
			BGl_symbol2089z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2090z00zz__rgc_configz00);
			BGl_list2088z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2089z00zz__rgc_configz00,
				MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL));
			BGl_list2085z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2086z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2088z00zz__rgc_configz00, BNIL));
			BGl_symbol2092z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2093z00zz__rgc_configz00);
			BGl_symbol2095z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2096z00zz__rgc_configz00);
			BGl_list2097z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_string2098z00zz__rgc_configz00, BNIL);
			BGl_list2094z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2095z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2097z00zz__rgc_configz00, BNIL));
			BGl_list2091z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2092z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2094z00zz__rgc_configz00, BNIL));
			BGl_symbol2100z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2101z00zz__rgc_configz00);
			BGl_list2103z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_string2104z00zz__rgc_configz00, BNIL);
			BGl_list2102z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2095z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2103z00zz__rgc_configz00, BNIL));
			BGl_list2099z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2100z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2102z00zz__rgc_configz00, BNIL));
			BGl_symbol2106z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2107z00zz__rgc_configz00);
			BGl_symbol2109z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2110z00zz__rgc_configz00);
			BGl_list2108z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2109z00zz__rgc_configz00,
				MAKE_PAIR(BGl_symbol2092z00zz__rgc_configz00,
					MAKE_PAIR(BGl_symbol2100z00zz__rgc_configz00, BNIL)));
			BGl_list2105z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2106z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2108z00zz__rgc_configz00, BNIL));
			BGl_symbol2112z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2113z00zz__rgc_configz00);
			BGl_list2115z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_string2116z00zz__rgc_configz00, BNIL);
			BGl_list2114z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2095z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2115z00zz__rgc_configz00, BNIL));
			BGl_list2111z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2112z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2114z00zz__rgc_configz00, BNIL));
			BGl_symbol2118z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2119z00zz__rgc_configz00);
			BGl_symbol2121z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2122z00zz__rgc_configz00);
			BGl_list2124z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_string2125z00zz__rgc_configz00, BNIL);
			BGl_list2123z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2095z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2124z00zz__rgc_configz00, BNIL));
			BGl_list2120z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2121z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2123z00zz__rgc_configz00, BNIL));
			BGl_list2117z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2118z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2120z00zz__rgc_configz00, BNIL));
			BGl_symbol2127z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2128z00zz__rgc_configz00);
			BGl_list2131z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_string2132z00zz__rgc_configz00, BNIL);
			BGl_list2130z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2095z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2131z00zz__rgc_configz00, BNIL));
			BGl_list2129z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2121z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2130z00zz__rgc_configz00, BNIL));
			BGl_list2126z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2127z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2129z00zz__rgc_configz00, BNIL));
			BGl_symbol2134z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2135z00zz__rgc_configz00);
			BGl_list2136z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2095z00zz__rgc_configz00,
				MAKE_PAIR(BGl_string2137z00zz__rgc_configz00, BNIL));
			BGl_list2133z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2134z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2136z00zz__rgc_configz00, BNIL));
			BGl_symbol2139z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2140z00zz__rgc_configz00);
			BGl_list2141z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2095z00zz__rgc_configz00,
				MAKE_PAIR(BGl_string2142z00zz__rgc_configz00, BNIL));
			BGl_list2138z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2139z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2141z00zz__rgc_configz00, BNIL));
			BGl_symbol2144z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2145z00zz__rgc_configz00);
			BGl_list2143z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_symbol2144z00zz__rgc_configz00,
				MAKE_PAIR(BCHAR(((unsigned char) ' ')), BNIL));
			BGl_list2084z00zz__rgc_configz00 =
				MAKE_PAIR(BGl_list2085z00zz__rgc_configz00,
				MAKE_PAIR(BGl_list2091z00zz__rgc_configz00,
					MAKE_PAIR(BGl_list2099z00zz__rgc_configz00,
						MAKE_PAIR(BGl_list2105z00zz__rgc_configz00,
							MAKE_PAIR(BGl_list2111z00zz__rgc_configz00,
								MAKE_PAIR(BGl_list2117z00zz__rgc_configz00,
									MAKE_PAIR(BGl_list2126z00zz__rgc_configz00,
										MAKE_PAIR(BGl_list2133z00zz__rgc_configz00,
											MAKE_PAIR(BGl_list2138z00zz__rgc_configz00,
												MAKE_PAIR(BGl_list2143z00zz__rgc_configz00,
													BNIL))))))))));
			return (BGl_symbol2150z00zz__rgc_configz00 =
				bstring_to_symbol(BGl_string2151z00zz__rgc_configz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgc_configz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 14 */
			BGl_za2rgczd2optimza2zd2zz__rgc_configz00 = BFALSE;
			{	/* Rgc/rgcconfig.scm 113 */
				obj_t BgL_arg1745z00_736;

				BgL_arg1745z00_736 = BGl_list2084z00zz__rgc_configz00;
				{	/* Rgc/rgcconfig.scm 113 */
					obj_t BgL_newz00_1234;

					BgL_newz00_1234 =
						create_struct(BGl_symbol2150z00zz__rgc_configz00,
						(int) (((long) 7)));
					{	/* Rgc/rgcconfig.scm 113 */
						int BgL_auxz00_1654;

						BgL_auxz00_1654 = (int) (((long) 6));
						STRUCT_SET(BgL_newz00_1234, BgL_auxz00_1654, BgL_arg1745z00_736);
					}
					{	/* Rgc/rgcconfig.scm 113 */
						int BgL_auxz00_1657;

						BgL_auxz00_1657 = (int) (((long) 5));
						STRUCT_SET(BgL_newz00_1234, BgL_auxz00_1657,
							BGl_proc2146z00zz__rgc_configz00);
					}
					{	/* Rgc/rgcconfig.scm 113 */
						int BgL_auxz00_1660;

						BgL_auxz00_1660 = (int) (((long) 4));
						STRUCT_SET(BgL_newz00_1234, BgL_auxz00_1660,
							BGl_proc2147z00zz__rgc_configz00);
					}
					{	/* Rgc/rgcconfig.scm 113 */
						int BgL_auxz00_1663;

						BgL_auxz00_1663 = (int) (((long) 3));
						STRUCT_SET(BgL_newz00_1234, BgL_auxz00_1663,
							BGl_proc2148z00zz__rgc_configz00);
					}
					{	/* Rgc/rgcconfig.scm 113 */
						int BgL_auxz00_1666;

						BgL_auxz00_1666 = (int) (((long) 2));
						STRUCT_SET(BgL_newz00_1234, BgL_auxz00_1666,
							BGl_proc2149z00zz__rgc_configz00);
					}
					{	/* Rgc/rgcconfig.scm 113 */
						obj_t BgL_auxz00_1671;

						int BgL_auxz00_1669;

						BgL_auxz00_1671 = BINT(((long) 256));
						BgL_auxz00_1669 = (int) (((long) 1));
						STRUCT_SET(BgL_newz00_1234, BgL_auxz00_1669, BgL_auxz00_1671);
					}
					{	/* Rgc/rgcconfig.scm 113 */
						int BgL_auxz00_1674;

						BgL_auxz00_1674 = (int) (((long) 0));
						STRUCT_SET(BgL_newz00_1234, BgL_auxz00_1674,
							BGl_string2152z00zz__rgc_configz00);
					}
					BGl_za2asciizd2configza2zd2zz__rgc_configz00 = BgL_newz00_1234;
			}}
			return (BGl_za2rgczd2configza2zd2zz__rgc_configz00 =
				BGl_za2asciizd2configza2zd2zz__rgc_configz00, BUNSPEC);
		}
	}



/* <anonymous:1746> */
	obj_t BGl_zc3anonymousza31746ze3z83zz__rgc_configz00(obj_t BgL_envz00_1550,
		obj_t BgL_xz00_1551)
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 115 */
			{
				obj_t BgL_xz00_737;

				{	/* Rgc/rgcconfig.scm 116 */
					bool_t BgL_auxz00_1677;

					BgL_xz00_737 = BgL_xz00_1551;
					if (BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_xz00_737, BINT(((long) 0))))
						{	/* Rgc/rgcconfig.scm 116 */
							if (BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_xz00_737,
									BINT(((long) 256))))
								{	/* Rgc/rgcconfig.scm 116 */
									BgL_auxz00_1677 = CHARP(BgL_xz00_737);
								}
							else
								{	/* Rgc/rgcconfig.scm 116 */
									BgL_auxz00_1677 = ((bool_t) 0);
								}
						}
					else
						{	/* Rgc/rgcconfig.scm 116 */
							BgL_auxz00_1677 = ((bool_t) 0);
						}
					return BBOOL(BgL_auxz00_1677);
				}
			}
		}
	}



/* <anonymous:1747> */
	obj_t BGl_zc3anonymousza31747ze3z83zz__rgc_configz00(obj_t BgL_envz00_1552,
		obj_t BgL_xz00_1553)
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 117 */
			{
				obj_t BgL_xz00_741;

				{	/* Rgc/rgcconfig.scm 118 */
					bool_t BgL_auxz00_1686;

					BgL_xz00_741 = BgL_xz00_1553;
					if (BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_xz00_741, BINT(((long) 0))))
						{	/* Rgc/rgcconfig.scm 118 */
							if (BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_xz00_741,
									BINT(((long) 256))))
								{	/* Rgc/rgcconfig.scm 118 */
									unsigned char BgL_auxz00_1693;

									BgL_auxz00_1693 = ((long) CINT(BgL_xz00_741));
									BgL_auxz00_1686 = isalpha(BgL_auxz00_1693);
								}
							else
								{	/* Rgc/rgcconfig.scm 118 */
									BgL_auxz00_1686 = ((bool_t) 0);
								}
						}
					else
						{	/* Rgc/rgcconfig.scm 118 */
							BgL_auxz00_1686 = ((bool_t) 0);
						}
					return BBOOL(BgL_auxz00_1686);
				}
			}
		}
	}



/* <anonymous:1749> */
	obj_t BGl_zc3anonymousza31749ze3z83zz__rgc_configz00(obj_t BgL_envz00_1554,
		obj_t BgL_xz00_1555)
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 119 */
			{
				obj_t BgL_xz00_746;

				{	/* Rgc/rgcconfig.scm 120 */
					long BgL_auxz00_1698;

					BgL_xz00_746 = BgL_xz00_1555;
					BgL_auxz00_1698 = (toupper(((long) CINT(BgL_xz00_746))));
					return BINT(BgL_auxz00_1698);
				}
			}
		}
	}



/* <anonymous:1752> */
	obj_t BGl_zc3anonymousza31752ze3z83zz__rgc_configz00(obj_t BgL_envz00_1556,
		obj_t BgL_xz00_1557)
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 121 */
			{
				obj_t BgL_xz00_750;

				{	/* Rgc/rgcconfig.scm 122 */
					long BgL_auxz00_1704;

					BgL_xz00_750 = BgL_xz00_1557;
					BgL_auxz00_1704 = (tolower(((long) CINT(BgL_xz00_750))));
					return BINT(BgL_auxz00_1704);
				}
			}
		}
	}



/* rgc-max-char */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2maxzd2charz00zz__rgc_configz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 74 */
			return
				STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00,
				(int) (((long) 1)));
		}
	}



/* _rgc-max-char */
	obj_t BGl__rgczd2maxzd2charz00zz__rgc_configz00(obj_t BgL_envz00_1558)
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 74 */
			return BGl_rgczd2maxzd2charz00zz__rgc_configz00();
		}
	}



/* rgc-char? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2charzf3z21zz__rgc_configz00(obj_t
		BgL_charz00_31)
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 80 */
			{	/* Rgc/rgcconfig.scm 81 */
				obj_t BgL_fun1764z00_1349;

				BgL_fun1764z00_1349 =
					STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00,
					(int) (((long) 2)));
				return
					CBOOL(PROCEDURE_ENTRY(BgL_fun1764z00_1349) (BgL_fun1764z00_1349,
						BgL_charz00_31, BEOA));
			}
		}
	}



/* _rgc-char? */
	obj_t BGl__rgczd2charzf3z21zz__rgc_configz00(obj_t BgL_envz00_1559,
		obj_t BgL_charz00_1560)
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 80 */
			return BBOOL(BGl_rgczd2charzf3z21zz__rgc_configz00(BgL_charz00_1560));
		}
	}



/* rgc-alphabetic? */
	BGL_EXPORTED_DEF bool_t BGl_rgczd2alphabeticzf3z21zz__rgc_configz00(obj_t
		BgL_charz00_32)
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 86 */
			{	/* Rgc/rgcconfig.scm 87 */
				obj_t BgL_fun1765z00_1353;

				BgL_fun1765z00_1353 =
					STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00,
					(int) (((long) 3)));
				return
					CBOOL(PROCEDURE_ENTRY(BgL_fun1765z00_1353) (BgL_fun1765z00_1353,
						BgL_charz00_32, BEOA));
			}
		}
	}



/* _rgc-alphabetic? */
	obj_t BGl__rgczd2alphabeticzf3z21zz__rgc_configz00(obj_t BgL_envz00_1561,
		obj_t BgL_charz00_1562)
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 86 */
			return
				BBOOL(BGl_rgczd2alphabeticzf3z21zz__rgc_configz00(BgL_charz00_1562));
		}
	}



/* rgc-upcase */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2upcasezd2zz__rgc_configz00(obj_t
		BgL_charz00_33)
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 92 */
			{	/* Rgc/rgcconfig.scm 93 */
				obj_t BgL_fun1766z00_1357;

				BgL_fun1766z00_1357 =
					STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00,
					(int) (((long) 4)));
				return
					PROCEDURE_ENTRY(BgL_fun1766z00_1357) (BgL_fun1766z00_1357,
					BgL_charz00_33, BEOA);
			}
		}
	}



/* _rgc-upcase */
	obj_t BGl__rgczd2upcasezd2zz__rgc_configz00(obj_t BgL_envz00_1563,
		obj_t BgL_charz00_1564)
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 92 */
			return BGl_rgczd2upcasezd2zz__rgc_configz00(BgL_charz00_1564);
		}
	}



/* rgc-downcase */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2downcasezd2zz__rgc_configz00(obj_t
		BgL_charz00_34)
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 98 */
			{	/* Rgc/rgcconfig.scm 99 */
				obj_t BgL_fun1767z00_1361;

				BgL_fun1767z00_1361 =
					STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00,
					(int) (((long) 5)));
				return
					PROCEDURE_ENTRY(BgL_fun1767z00_1361) (BgL_fun1767z00_1361,
					BgL_charz00_34, BEOA);
			}
		}
	}



/* _rgc-downcase */
	obj_t BGl__rgczd2downcasezd2zz__rgc_configz00(obj_t BgL_envz00_1565,
		obj_t BgL_charz00_1566)
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 98 */
			return BGl_rgczd2downcasezd2zz__rgc_configz00(BgL_charz00_1566);
		}
	}



/* rgc-env */
	BGL_EXPORTED_DEF obj_t BGl_rgczd2envzd2zz__rgc_configz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 104 */
			return
				STRUCT_REF(BGl_za2rgczd2configza2zd2zz__rgc_configz00,
				(int) (((long) 6)));
		}
	}



/* _rgc-env */
	obj_t BGl__rgczd2envzd2zz__rgc_configz00(obj_t BgL_envz00_1567)
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 104 */
			return BGl_rgczd2envzd2zz__rgc_configz00();
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rgc_configz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgc_configz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcconfig.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2153z00zz__rgc_configz00));
		}
	}

#ifdef __cplusplus
}
#endif
