/*===========================================================================*/
/*   (Rgc/rgcdfa.scm)                                                        */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Rgc/rgcdfa.scm -indent -o objs/obj_u/Rgc/rgcdfa.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	static long BGl_bucketzd2lenzd2zz__rgc_dfaz00;
	static obj_t BGl_za2statesza2z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl__statezd2namezd2zz__rgc_dfaz00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2initialzd2statez00zz__rgc_dfaz00();
	static obj_t BGl_requirezd2initializa7ationz75zz__rgc_dfaz00 = BUNSPEC;
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_statezd2positionszd2zz__rgc_dfaz00(obj_t);
	static obj_t BGl__getzd2initialzd2statez00zz__rgc_dfaz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__rgc_dfaz00();
	static obj_t BGl_zc3anonymousza31753ze3z83zz__rgc_dfaz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31755ze3z83zz__rgc_dfaz00(obj_t, obj_t);
	static obj_t BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol2129z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol2132z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol2139z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol2142z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol2145z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol2148z00zz__rgc_dfaz00 = BUNSPEC;
	extern obj_t bgl_display_obj(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_statezd2namezd2zz__rgc_dfaz00(obj_t);
	static obj_t BGl_symbol2152z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol2156z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol2160z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol2163z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_dfaz00();
	static obj_t BGl_symbol2166z00zz__rgc_dfaz00 = BUNSPEC;
	extern obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	static obj_t BGl_symbol2170z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol2173z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_initzd2statesz12zc0zz__rgc_dfaz00();
	static obj_t BGl_symbol2177z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol2180z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol2183z00zz__rgc_dfaz00 = BUNSPEC;
	extern obj_t BGl_treezd2maxzd2charz00zz__rgc_rulesz00();
	static obj_t BGl_symbol2190z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl__printzd2dfazd2zz__rgc_dfaz00(obj_t, obj_t);
	static obj_t BGl_symbol2193z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol2196z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol2198z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl__statezd2positionszd2zz__rgc_dfaz00(obj_t, obj_t);
	extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	extern obj_t bgl_display_string(obj_t, obj_t);
	static obj_t BGl__resetzd2dfaz12zc0zz__rgc_dfaz00(obj_t);
	static obj_t BGl_makezd2statezd2zz__rgc_dfaz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_statezd2transitionszd2zz__rgc_dfaz00(obj_t);
	extern obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_dfaz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_rulesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_configz00(long, char *);
	static obj_t BGl__statezf3zf3zz__rgc_dfaz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__rgc_dfaz00();
	static obj_t BGl_zc3anonymousza31789ze3z83zz__rgc_dfaz00(obj_t, obj_t);
	static obj_t BGl__nodezd2ze3dfa2121z31zz__rgc_dfaz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t string_to_bstring(char *);
	static obj_t BGl__statezd2transitionszd2zz__rgc_dfaz00(obj_t, obj_t);
	extern obj_t BGl_hashtablezd2ze3listz31zz__hashz00(obj_t);
	extern obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(obj_t, obj_t);
	extern obj_t BGl_makezd2rgcsetzd2zz__rgc_setz00(long);
	BGL_EXPORTED_DECL obj_t BGl_resetzd2dfaz12zc0zz__rgc_dfaz00();
	extern char *BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_printzd2dfazd2zz__rgc_dfaz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_statezf3zf3zz__rgc_dfaz00(obj_t);
	static obj_t BGl_list2138z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2141z00zz__rgc_dfaz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_nodezd2ze3dfaz31zz__rgc_dfaz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_list2144z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2147z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2151z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2155z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2159z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2162z00zz__rgc_dfaz00 = BUNSPEC;
	extern obj_t BGl_rgcsetzd2orz12zc0zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl_list2165z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2168z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2169z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2172z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2175z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2176z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2179z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2182z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2189z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2192z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list2195z00zz__rgc_dfaz00 = BUNSPEC;
	extern obj_t BGl_rgcsetzd2addz12zc0zz__rgc_setz00(obj_t, long);
	static obj_t BGl_methodzd2initzd2zz__rgc_dfaz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_statezd2transitionszd2envz00zz__rgc_dfaz00,
		BgL_bgl__stateza7d2transit2202za7,
		BGl__statezd2transitionszd2zz__rgc_dfaz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_statezd2positionszd2envz00zz__rgc_dfaz00,
		BgL_bgl__stateza7d2positio2203za7, BGl__statezd2positionszd2zz__rgc_dfaz00,
		0L, BUNSPEC, 1);
	extern obj_t BGl_rgcsetzd2ze3hashzd2envze3zz__rgc_setz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_statezd2namezd2envz00zz__rgc_dfaz00,
		BgL_bgl__stateza7d2nameza7d22204z00, BGl__statezd2namezd2zz__rgc_dfaz00, 0L,
		BUNSPEC, 1);
	extern obj_t BGl_rgcsetzd2equalzf3zd2envzf3zz__rgc_setz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2initialzd2statezd2envzd2zz__rgc_dfaz00,
		BgL_bgl__getza7d2initialza7d2205z00,
		BGl__getzd2initialzd2statez00zz__rgc_dfaz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_resetzd2dfaz12zd2envz12zz__rgc_dfaz00,
		BgL_bgl__resetza7d2dfaza712za72206za7, BGl__resetzd2dfaz12zc0zz__rgc_dfaz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_statezf3zd2envz21zz__rgc_dfaz00,
		BgL_bgl__stateza7f3za7f3za7za7__2207z00, BGl__statezf3zf3zz__rgc_dfaz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_printzd2dfazd2envz00zz__rgc_dfaz00,
		BgL_bgl__printza7d2dfaza7d2za72208za7, BGl__printzd2dfazd2zz__rgc_dfaz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2130z00zz__rgc_dfaz00,
		BgL_bgl_string2130za700za7za7_2209za7, "_node->dfa2121", 14);
	      DEFINE_STRING(BGl_string2131z00zz__rgc_dfaz00,
		BgL_bgl_string2131za700za7za7_2210za7, "vector", 6);
	      DEFINE_STRING(BGl_string2133z00zz__rgc_dfaz00,
		BgL_bgl_string2133za700za7za7_2211za7, "__state", 7);
	      DEFINE_STRING(BGl_string2134z00zz__rgc_dfaz00,
		BgL_bgl_string2134za700za7za7_2212za7, "STATE-", 6);
	      DEFINE_STRING(BGl_string2135z00zz__rgc_dfaz00,
		BgL_bgl_string2135za700za7za7_2213za7, "-", 1);
	      DEFINE_STRING(BGl_string2136z00zz__rgc_dfaz00,
		BgL_bgl_string2136za700za7za7_2214za7,
		"========= DFA ====================================", 50);
	      DEFINE_STRING(BGl_string2137z00zz__rgc_dfaz00,
		BgL_bgl_string2137za700za7za7_2215za7, "state: ", 7);
	      DEFINE_STRING(BGl_string2140z00zz__rgc_dfaz00,
		BgL_bgl_string2140za700za7za7_2216za7, "for-each", 8);
	      DEFINE_STRING(BGl_string2143z00zz__rgc_dfaz00,
		BgL_bgl_string2143za700za7za7_2217za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2146z00zz__rgc_dfaz00,
		BgL_bgl_string2146za700za7za7_2218za7, "trans", 5);
	      DEFINE_STRING(BGl_string2150z00zz__rgc_dfaz00,
		BgL_bgl_string2150za700za7za7_2219za7, "   ", 3);
	      DEFINE_STRING(BGl_string2149z00zz__rgc_dfaz00,
		BgL_bgl_string2149za700za7za7_2220za7, "print", 5);
	      DEFINE_STRING(BGl_string2153z00zz__rgc_dfaz00,
		BgL_bgl_string2153za700za7za7_2221za7, "car", 3);
	      DEFINE_STRING(BGl_string2154z00zz__rgc_dfaz00,
		BgL_bgl_string2154za700za7za7_2222za7, " [", 2);
	      DEFINE_STRING(BGl_string2157z00zz__rgc_dfaz00,
		BgL_bgl_string2157za700za7za7_2223za7, "if", 2);
	      DEFINE_STRING(BGl_string2161z00zz__rgc_dfaz00,
		BgL_bgl_string2161za700za7za7_2224za7, "and", 3);
	      DEFINE_STRING(BGl_string2164z00zz__rgc_dfaz00,
		BgL_bgl_string2164za700za7za7_2225za7, "<", 1);
	      DEFINE_STRING(BGl_string2167z00zz__rgc_dfaz00,
		BgL_bgl_string2167za700za7za7_2226za7, "let", 3);
	      DEFINE_STRING(BGl_string2171z00zz__rgc_dfaz00,
		BgL_bgl_string2171za700za7za7_2227za7, "c", 1);
	      DEFINE_STRING(BGl_string2174z00zz__rgc_dfaz00,
		BgL_bgl_string2174za700za7za7_2228za7, "integer->char", 13);
	      DEFINE_STRING(BGl_string2178z00zz__rgc_dfaz00,
		BgL_bgl_string2178za700za7za7_2229za7, "or", 2);
	      DEFINE_STRING(BGl_string2181z00zz__rgc_dfaz00,
		BgL_bgl_string2181za700za7za7_2230za7, "char-alphabetic?", 16);
	      DEFINE_STRING(BGl_string2184z00zz__rgc_dfaz00,
		BgL_bgl_string2184za700za7za7_2231za7, "char-numeric?", 13);
	      DEFINE_STRING(BGl_string2185z00zz__rgc_dfaz00,
		BgL_bgl_string2185za700za7za7_2232za7, "ascii", 5);
	      DEFINE_STRING(BGl_string2186z00zz__rgc_dfaz00,
		BgL_bgl_string2186za700za7za7_2233za7, "special", 7);
	      DEFINE_STRING(BGl_string2187z00zz__rgc_dfaz00,
		BgL_bgl_string2187za700za7za7_2234za7, "]", 1);
	      DEFINE_STRING(BGl_string2188z00zz__rgc_dfaz00,
		BgL_bgl_string2188za700za7za7_2235za7, "  -->  ", 7);
	      DEFINE_STRING(BGl_string2200z00zz__rgc_dfaz00,
		BgL_bgl_string2200za700za7za7_2236za7,
		"==================================================", 50);
	      DEFINE_STRING(BGl_string2201z00zz__rgc_dfaz00,
		BgL_bgl_string2201za700za7za7_2237za7, "__rgc_dfa", 9);
	      DEFINE_STRING(BGl_string2191z00zz__rgc_dfaz00,
		BgL_bgl_string2191za700za7za7_2238za7, "__state-number", 14);
	      DEFINE_STRING(BGl_string2194z00zz__rgc_dfaz00,
		BgL_bgl_string2194za700za7za7_2239za7, "cdr", 3);
	      DEFINE_STRING(BGl_string2197z00zz__rgc_dfaz00,
		BgL_bgl_string2197za700za7za7_2240za7, "__state-transitions", 19);
	      DEFINE_STRING(BGl_string2199z00zz__rgc_dfaz00,
		BgL_bgl_string2199za700za7za7_2241za7, "state", 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2ze3dfazd2envze3zz__rgc_dfaz00,
		BgL_bgl__nodeza7d2za7e3dfa212242z00,
		BGl__nodezd2ze3dfa2121z31zz__rgc_dfaz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_dfaz00(long
		BgL_checksumz00_1751, char *BgL_fromz00_1752)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_dfaz00))
				{
					BGl_requirezd2initializa7ationz75zz__rgc_dfaz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__rgc_dfaz00();
					BGl_importedzd2moduleszd2initz00zz__rgc_dfaz00();
					BGl_toplevelzd2initzd2zz__rgc_dfaz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgc_dfaz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 15 */
			BGl_symbol2129z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2130z00zz__rgc_dfaz00);
			BGl_symbol2132z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2133z00zz__rgc_dfaz00);
			BGl_symbol2139z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2140z00zz__rgc_dfaz00);
			BGl_symbol2142z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2143z00zz__rgc_dfaz00);
			BGl_symbol2145z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2146z00zz__rgc_dfaz00);
			BGl_list2144z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2145z00zz__rgc_dfaz00, BNIL);
			BGl_symbol2148z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2149z00zz__rgc_dfaz00);
			BGl_symbol2152z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2153z00zz__rgc_dfaz00);
			BGl_list2151z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2152z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_symbol2145z00zz__rgc_dfaz00, BNIL));
			BGl_symbol2156z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2157z00zz__rgc_dfaz00);
			BGl_symbol2160z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2161z00zz__rgc_dfaz00);
			BGl_symbol2163z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2164z00zz__rgc_dfaz00);
			BGl_list2162z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2163z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_list2151z00zz__rgc_dfaz00,
					MAKE_PAIR(BINT(((long) 256)), BNIL)));
			BGl_symbol2166z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2167z00zz__rgc_dfaz00);
			BGl_symbol2170z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2171z00zz__rgc_dfaz00);
			BGl_symbol2173z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2174z00zz__rgc_dfaz00);
			BGl_list2172z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2173z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_list2151z00zz__rgc_dfaz00, BNIL));
			BGl_list2169z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2170z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_list2172z00zz__rgc_dfaz00, BNIL));
			BGl_list2168z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_list2169z00zz__rgc_dfaz00, BNIL);
			BGl_symbol2177z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2178z00zz__rgc_dfaz00);
			BGl_symbol2180z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2181z00zz__rgc_dfaz00);
			BGl_list2179z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2180z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_symbol2170z00zz__rgc_dfaz00, BNIL));
			BGl_symbol2183z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2184z00zz__rgc_dfaz00);
			BGl_list2182z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2183z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_symbol2170z00zz__rgc_dfaz00, BNIL));
			BGl_list2176z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2177z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_list2179z00zz__rgc_dfaz00,
					MAKE_PAIR(BGl_list2182z00zz__rgc_dfaz00, BNIL)));
			BGl_list2175z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2156z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_list2176z00zz__rgc_dfaz00,
					MAKE_PAIR(BGl_symbol2170z00zz__rgc_dfaz00,
						MAKE_PAIR(BGl_string2185z00zz__rgc_dfaz00, BNIL))));
			BGl_list2165z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2166z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_list2168z00zz__rgc_dfaz00,
					MAKE_PAIR(BGl_list2175z00zz__rgc_dfaz00, BNIL)));
			BGl_list2159z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2160z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_list2162z00zz__rgc_dfaz00,
					MAKE_PAIR(BGl_list2165z00zz__rgc_dfaz00, BNIL)));
			BGl_list2155z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2156z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_list2159z00zz__rgc_dfaz00,
					MAKE_PAIR(BGl_string2186z00zz__rgc_dfaz00, BNIL)));
			BGl_symbol2190z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2191z00zz__rgc_dfaz00);
			BGl_symbol2193z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2194z00zz__rgc_dfaz00);
			BGl_list2192z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2193z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_symbol2145z00zz__rgc_dfaz00, BNIL));
			BGl_list2189z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2190z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_list2192z00zz__rgc_dfaz00, BNIL));
			BGl_list2147z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2148z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_string2150z00zz__rgc_dfaz00,
					MAKE_PAIR(BGl_list2151z00zz__rgc_dfaz00,
						MAKE_PAIR(BGl_string2154z00zz__rgc_dfaz00,
							MAKE_PAIR(BGl_list2155z00zz__rgc_dfaz00,
								MAKE_PAIR(BGl_string2187z00zz__rgc_dfaz00,
									MAKE_PAIR(BGl_string2188z00zz__rgc_dfaz00,
										MAKE_PAIR(BGl_list2189z00zz__rgc_dfaz00, BNIL))))))));
			BGl_list2141z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2142z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_list2144z00zz__rgc_dfaz00,
					MAKE_PAIR(BGl_list2147z00zz__rgc_dfaz00, BNIL)));
			BGl_symbol2196z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2197z00zz__rgc_dfaz00);
			BGl_symbol2198z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string2199z00zz__rgc_dfaz00);
			BGl_list2195z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2196z00zz__rgc_dfaz00,
				MAKE_PAIR(BGl_symbol2198z00zz__rgc_dfaz00, BNIL));
			return (BGl_list2138z00zz__rgc_dfaz00 =
				MAKE_PAIR(BGl_symbol2139z00zz__rgc_dfaz00,
					MAKE_PAIR(BGl_list2141z00zz__rgc_dfaz00,
						MAKE_PAIR(BGl_list2195z00zz__rgc_dfaz00, BNIL))), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgc_dfaz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 15 */
			BGl_bucketzd2lenzd2zz__rgc_dfaz00 = ((long) 64);
			BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BUNSPEC;
			BGl_za2statesza2z00zz__rgc_dfaz00 = BUNSPEC;
			return (BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = BUNSPEC, BUNSPEC);
		}
	}



/* node->dfa */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2ze3dfaz31zz__rgc_dfaz00(obj_t
		BgL_rootz00_15, obj_t BgL_followposz00_16, obj_t BgL_positionsz00_17)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 69 */
			BGl_initzd2statesz12zc0zz__rgc_dfaz00();
			{	/* Rgc/rgcdfa.scm 76 */
				obj_t BgL_initialzd2statezd2_795;

				int BgL_positionszd2numzd2_796;

				BgL_initialzd2statezd2_795 =
					BGl_makezd2statezd2zz__rgc_dfaz00(STRUCT_REF(BgL_rootz00_15,
						(int) (((long) 0))));
				BgL_positionszd2numzd2_796 = VECTOR_LENGTH(BgL_positionsz00_17);
				BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BgL_initialzd2statezd2_795;
				{	/* Rgc/rgcdfa.scm 79 */
					obj_t BgL_g1669z00_797;

					{	/* Rgc/rgcdfa.scm 79 */
						obj_t BgL_list1760z00_822;

						BgL_list1760z00_822 = MAKE_PAIR(BgL_initialzd2statezd2_795, BNIL);
						BgL_g1669z00_797 = BgL_list1760z00_822;
					}
					{
						obj_t BgL_dzd2stateszd2_798;

						BgL_dzd2stateszd2_798 = BgL_g1669z00_797;
					BgL_loopz00_799:
						if (NULLP(BgL_dzd2stateszd2_798))
							{	/* Rgc/rgcdfa.scm 81 */
								return
									BGl_hashtablezd2ze3listz31zz__hashz00
									(BGl_za2statesza2z00zz__rgc_dfaz00);
							}
						else
							{	/* Rgc/rgcdfa.scm 85 */
								obj_t BgL_newzd2dzd2statesz00_801;

								{	/* Rgc/rgcdfa.scm 85 */
									obj_t BgL_cellvalz00_1840;

									BgL_cellvalz00_1840 = CDR(BgL_dzd2stateszd2_798);
									BgL_newzd2dzd2statesz00_801 = MAKE_CELL(BgL_cellvalz00_1840);
								}
								{	/* Rgc/rgcdfa.scm 85 */
									obj_t BgL_tz00_802;

									BgL_tz00_802 = CAR(BgL_dzd2stateszd2_798);
									{	/* Rgc/rgcdfa.scm 86 */
										obj_t BgL_tzd2positionszd2_803;

										BgL_tzd2positionszd2_803 =
											STRUCT_REF(BgL_tz00_802, (int) (((long) 3)));
										{	/* Rgc/rgcdfa.scm 87 */

											{	/* Rgc/rgcdfa.scm 93 */
												obj_t BgL_arg1752z00_805;

												{	/* Rgc/rgcdfa.scm 119 */
													obj_t BgL_symbolzd2setzd2_1346;

													{	/* Rgc/rgcdfa.scm 119 */
														obj_t BgL_arg1791z00_1347;

														BgL_arg1791z00_1347 =
															BGl_treezd2maxzd2charz00zz__rgc_rulesz00();
														BgL_symbolzd2setzd2_1346 =
															BGl_makezd2rgcsetzd2zz__rgc_setz00(
															(long) CINT(BgL_arg1791z00_1347));
													}
													{	/* Rgc/rgcdfa.scm 119 */
														obj_t BgL_zc3anonymousza31789ze3z83_1702;

														BgL_zc3anonymousza31789ze3z83_1702 =
															make_fx_procedure
															(BGl_zc3anonymousza31789ze3z83zz__rgc_dfaz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza31789ze3z83_1702,
															(int) (((long) 0)), BgL_positionsz00_17);
														PROCEDURE_SET(BgL_zc3anonymousza31789ze3z83_1702,
															(int) (((long) 1)), BgL_symbolzd2setzd2_1346);
														BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
															(BgL_zc3anonymousza31789ze3z83_1702,
															BgL_tzd2positionszd2_803);
													}
													BgL_arg1752z00_805 = BgL_symbolzd2setzd2_1346;
												}
												{	/* Rgc/rgcdfa.scm 94 */
													obj_t BgL_zc3anonymousza31753ze3z83_1701;

													BgL_zc3anonymousza31753ze3z83_1701 =
														make_fx_procedure
														(BGl_zc3anonymousza31753ze3z83zz__rgc_dfaz00,
														(int) (((long) 1)), (int) (((long) 6)));
													PROCEDURE_SET(BgL_zc3anonymousza31753ze3z83_1701,
														(int) (((long) 0)),
														BINT(BgL_positionszd2numzd2_796));
													PROCEDURE_SET(BgL_zc3anonymousza31753ze3z83_1701,
														(int) (((long) 1)), BgL_positionsz00_17);
													PROCEDURE_SET(BgL_zc3anonymousza31753ze3z83_1701,
														(int) (((long) 2)), BgL_followposz00_16);
													PROCEDURE_SET(BgL_zc3anonymousza31753ze3z83_1701,
														(int) (((long) 3)), BgL_tzd2positionszd2_803);
													PROCEDURE_SET(BgL_zc3anonymousza31753ze3z83_1701,
														(int) (((long) 4)), BgL_newzd2dzd2statesz00_801);
													PROCEDURE_SET(BgL_zc3anonymousza31753ze3z83_1701,
														(int) (((long) 5)), BgL_tz00_802);
													BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
														(BgL_zc3anonymousza31753ze3z83_1701,
														BgL_arg1752z00_805);
											}}
											{
												obj_t BgL_dzd2stateszd2_1873;

												BgL_dzd2stateszd2_1873 =
													CELL_REF(BgL_newzd2dzd2statesz00_801);
												BgL_dzd2stateszd2_798 = BgL_dzd2stateszd2_1873;
												goto BgL_loopz00_799;
											}
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* _node->dfa2121 */
	obj_t BGl__nodezd2ze3dfa2121z31zz__rgc_dfaz00(obj_t BgL_envz00_1703,
		obj_t BgL_rootz00_1704, obj_t BgL_followposz00_1705,
		obj_t BgL_positionsz00_1706)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 69 */
			{	/* Rgc/rgcdfa.scm 121 */
				obj_t BgL_auxz00_1879;

				obj_t BgL_auxz00_1874;

				if (VECTORP(BgL_positionsz00_1706))
					{	/* Rgc/rgcdfa.scm 121 */
						BgL_auxz00_1879 = BgL_positionsz00_1706;
					}
				else
					{	/* Rgc/rgcdfa.scm 121 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2129z00zz__rgc_dfaz00, BGl_string2131z00zz__rgc_dfaz00,
							BgL_positionsz00_1706);
						exit(-1);
					}
				if (VECTORP(BgL_followposz00_1705))
					{	/* Rgc/rgcdfa.scm 121 */
						BgL_auxz00_1874 = BgL_followposz00_1705;
					}
				else
					{	/* Rgc/rgcdfa.scm 121 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2129z00zz__rgc_dfaz00, BGl_string2131z00zz__rgc_dfaz00,
							BgL_followposz00_1705);
						exit(-1);
					}
				return
					BGl_nodezd2ze3dfaz31zz__rgc_dfaz00(BgL_rootz00_1704, BgL_auxz00_1874,
					BgL_auxz00_1879);
			}
		}
	}



/* <anonymous:1753> */
	obj_t BGl_zc3anonymousza31753ze3z83zz__rgc_dfaz00(obj_t BgL_envz00_1707,
		obj_t BgL_az00_1714)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 93 */
			{	/* Rgc/rgcdfa.scm 94 */
				obj_t BgL_positionszd2numzd2_1708;

				obj_t BgL_positionsz00_1709;

				obj_t BgL_followposz00_1710;

				obj_t BgL_tzd2positionszd2_1711;

				obj_t BgL_newzd2dzd2statesz00_1712;

				obj_t BgL_tz00_1713;

				BgL_positionszd2numzd2_1708 =
					PROCEDURE_REF(BgL_envz00_1707, (int) (((long) 0)));
				BgL_positionsz00_1709 =
					PROCEDURE_REF(BgL_envz00_1707, (int) (((long) 1)));
				BgL_followposz00_1710 =
					PROCEDURE_REF(BgL_envz00_1707, (int) (((long) 2)));
				BgL_tzd2positionszd2_1711 =
					PROCEDURE_REF(BgL_envz00_1707, (int) (((long) 3)));
				BgL_newzd2dzd2statesz00_1712 =
					PROCEDURE_REF(BgL_envz00_1707, (int) (((long) 4)));
				BgL_tz00_1713 = PROCEDURE_REF(BgL_envz00_1707, (int) (((long) 5)));
				{
					obj_t BgL_az00_806;

					BgL_az00_806 = BgL_az00_1714;
					{	/* Rgc/rgcdfa.scm 94 */
						obj_t BgL_uz00_808;

						obj_t BgL_uzd2emptyzf3z21_809;

						BgL_uz00_808 =
							BGl_makezd2rgcsetzd2zz__rgc_setz00(
							(long) CINT(BgL_positionszd2numzd2_1708));
						BgL_uzd2emptyzf3z21_809 = MAKE_CELL(BTRUE);
						{	/* Rgc/rgcdfa.scm 98 */
							obj_t BgL_zc3anonymousza31755ze3z83_1700;

							BgL_zc3anonymousza31755ze3z83_1700 =
								make_fx_procedure(BGl_zc3anonymousza31755ze3z83zz__rgc_dfaz00,
								(int) (((long) 1)), (int) (((long) 5)));
							PROCEDURE_SET(BgL_zc3anonymousza31755ze3z83_1700,
								(int) (((long) 0)), BgL_positionsz00_1709);
							PROCEDURE_SET(BgL_zc3anonymousza31755ze3z83_1700,
								(int) (((long) 1)), BgL_az00_806);
							PROCEDURE_SET(BgL_zc3anonymousza31755ze3z83_1700,
								(int) (((long) 2)), BgL_uzd2emptyzf3z21_809);
							PROCEDURE_SET(BgL_zc3anonymousza31755ze3z83_1700,
								(int) (((long) 3)), BgL_followposz00_1710);
							PROCEDURE_SET(BgL_zc3anonymousza31755ze3z83_1700,
								(int) (((long) 4)), BgL_uz00_808);
							BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
								(BgL_zc3anonymousza31755ze3z83_1700, BgL_tzd2positionszd2_1711);
						}
						if (CBOOL(CELL_REF(BgL_uzd2emptyzf3z21_809)))
							{	/* Rgc/rgcdfa.scm 105 */
								return BFALSE;
							}
						else
							{	/* Rgc/rgcdfa.scm 106 */
								obj_t BgL_usz00_817;

								{	/* Rgc/rgcdfa.scm 106 */
									obj_t BgL_ostatez00_818;

									BgL_ostatez00_818 =
										BGl_hashtablezd2getzd2zz__hashz00
										(BGl_za2statesza2z00zz__rgc_dfaz00, BgL_uz00_808);
									{	/* Rgc/rgcdfa.scm 108 */
										bool_t BgL_testz00_1916;

										if (STRUCTP(BgL_ostatez00_818))
											{	/* Rgc/rgcdfa.scm 108 */
												BgL_testz00_1916 =
													(STRUCT_KEY(BgL_ostatez00_818) ==
													BGl_symbol2132z00zz__rgc_dfaz00);
											}
										else
											{	/* Rgc/rgcdfa.scm 108 */
												BgL_testz00_1916 = ((bool_t) 0);
											}
										if (BgL_testz00_1916)
											{	/* Rgc/rgcdfa.scm 108 */
												BgL_usz00_817 = BgL_ostatez00_818;
											}
										else
											{	/* Rgc/rgcdfa.scm 109 */
												obj_t BgL_newzd2statezd2_820;

												BgL_newzd2statezd2_820 =
													BGl_makezd2statezd2zz__rgc_dfaz00(BgL_uz00_808);
												{	/* Rgc/rgcdfa.scm 112 */
													obj_t BgL_auxz00_1715;

													BgL_auxz00_1715 =
														MAKE_PAIR(BgL_newzd2statezd2_820,
														CELL_REF(BgL_newzd2dzd2statesz00_1712));
													CELL_SET(BgL_newzd2dzd2statesz00_1712,
														BgL_auxz00_1715);
												}
												BgL_usz00_817 = BgL_newzd2statezd2_820;
											}
									}
								}
								{	/* Rgc/rgcdfa.scm 118 */
									obj_t BgL_arg1785z00_1372;

									{	/* Rgc/rgcdfa.scm 118 */
										obj_t BgL_arg1786z00_1373;

										obj_t BgL_arg1787z00_1374;

										BgL_arg1786z00_1373 =
											MAKE_PAIR(BgL_az00_806, BgL_usz00_817);
										BgL_arg1787z00_1374 =
											STRUCT_REF(BgL_tz00_1713, (int) (((long) 2)));
										BgL_arg1785z00_1372 =
											MAKE_PAIR(BgL_arg1786z00_1373, BgL_arg1787z00_1374);
									}
									{	/* Rgc/rgcdfa.scm 118 */
										int BgL_auxz00_1927;

										BgL_auxz00_1927 = (int) (((long) 2));
										return
											STRUCT_SET(BgL_tz00_1713, BgL_auxz00_1927,
											BgL_arg1785z00_1372);
									}
								}
							}
					}
				}
			}
		}
	}



/* <anonymous:1755> */
	obj_t BGl_zc3anonymousza31755ze3z83zz__rgc_dfaz00(obj_t BgL_envz00_1716,
		obj_t BgL_pz00_1722)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 97 */
			{	/* Rgc/rgcdfa.scm 98 */
				obj_t BgL_positionsz00_1717;

				obj_t BgL_az00_1718;

				obj_t BgL_uzd2emptyzf3z21_1719;

				obj_t BgL_followposz00_1720;

				obj_t BgL_uz00_1721;

				BgL_positionsz00_1717 =
					PROCEDURE_REF(BgL_envz00_1716, (int) (((long) 0)));
				BgL_az00_1718 = PROCEDURE_REF(BgL_envz00_1716, (int) (((long) 1)));
				BgL_uzd2emptyzf3z21_1719 =
					PROCEDURE_REF(BgL_envz00_1716, (int) (((long) 2)));
				BgL_followposz00_1720 =
					PROCEDURE_REF(BgL_envz00_1716, (int) (((long) 3)));
				BgL_uz00_1721 = PROCEDURE_REF(BgL_envz00_1716, (int) (((long) 4)));
				{
					obj_t BgL_pz00_811;

					BgL_pz00_811 = BgL_pz00_1722;
					{	/* Rgc/rgcdfa.scm 98 */
						bool_t BgL_testz00_1940;

						{	/* Rgc/rgcdfa.scm 98 */
							obj_t BgL_arg1758z00_815;

							BgL_arg1758z00_815 =
								VECTOR_REF(BgL_positionsz00_1717, CINT(BgL_pz00_811));
							BgL_testz00_1940 =
								((long) CINT(BgL_az00_1718) == (long) CINT(BgL_arg1758z00_815));
						}
						if (BgL_testz00_1940)
							{	/* Rgc/rgcdfa.scm 98 */
								CELL_SET(BgL_uzd2emptyzf3z21_1719, BFALSE);
								return
									BGl_rgcsetzd2orz12zc0zz__rgc_setz00(BgL_uz00_1721,
									VECTOR_REF(BgL_followposz00_1720, CINT(BgL_pz00_811)));
							}
						else
							{	/* Rgc/rgcdfa.scm 98 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* <anonymous:1789> */
	obj_t BGl_zc3anonymousza31789ze3z83zz__rgc_dfaz00(obj_t BgL_envz00_1724,
		obj_t BgL_iz00_1727)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 244 */
			{	/* Rgc/rgcdfa.scm 119 */
				obj_t BgL_positionsz00_1725;

				obj_t BgL_symbolzd2setzd2_1726;

				BgL_positionsz00_1725 =
					PROCEDURE_REF(BgL_envz00_1724, (int) (((long) 0)));
				BgL_symbolzd2setzd2_1726 =
					PROCEDURE_REF(BgL_envz00_1724, (int) (((long) 1)));
				{
					obj_t BgL_iz00_1349;

					BgL_iz00_1349 = BgL_iz00_1727;
					{	/* Rgc/rgcdfa.scm 119 */
						obj_t BgL_arg1790z00_1351;

						BgL_arg1790z00_1351 =
							VECTOR_REF(BgL_positionsz00_1725, CINT(BgL_iz00_1349));
						return
							BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_symbolzd2setzd2_1726,
							(long) CINT(BgL_arg1790z00_1351));
		}}}}
	}



/* reset-dfa! */
	BGL_EXPORTED_DEF obj_t BGl_resetzd2dfaz12zc0zz__rgc_dfaz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 126 */
			BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BUNSPEC;
			BGl_za2statesza2z00zz__rgc_dfaz00 = BUNSPEC;
			return (BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = BUNSPEC, BUNSPEC);
		}
	}



/* _reset-dfa! */
	obj_t BGl__resetzd2dfaz12zc0zz__rgc_dfaz00(obj_t BgL_envz00_1728)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 126 */
			return BGl_resetzd2dfaz12zc0zz__rgc_dfaz00();
		}
	}



/* get-initial-state */
	BGL_EXPORTED_DEF obj_t BGl_getzd2initialzd2statez00zz__rgc_dfaz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 139 */
			return BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00;
		}
	}



/* _get-initial-state */
	obj_t BGl__getzd2initialzd2statez00zz__rgc_dfaz00(obj_t BgL_envz00_1729)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 139 */
			return BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00;
		}
	}



/* init-states! */
	obj_t BGl_initzd2statesz12zc0zz__rgc_dfaz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 163 */
			BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = BINT(((long) -1));
			{	/* Rgc/rgcdfa.scm 165 */
				obj_t BgL_list1772z00_834;

				{	/* Rgc/rgcdfa.scm 165 */
					obj_t BgL_arg1774z00_836;

					{	/* Rgc/rgcdfa.scm 165 */
						obj_t BgL_arg1775z00_837;

						{	/* Rgc/rgcdfa.scm 165 */
							obj_t BgL_arg1776z00_838;

							BgL_arg1776z00_838 =
								MAKE_PAIR(BGl_rgcsetzd2ze3hashzd2envze3zz__rgc_setz00, BNIL);
							BgL_arg1775z00_837 =
								MAKE_PAIR(BGl_rgcsetzd2equalzf3zd2envzf3zz__rgc_setz00,
								BgL_arg1776z00_838);
						}
						BgL_arg1774z00_836 =
							MAKE_PAIR(BINT(BGl_bucketzd2lenzd2zz__rgc_dfaz00),
							BgL_arg1775z00_837);
					}
					BgL_list1772z00_834 =
						MAKE_PAIR(BINT(((long) 1024)), BgL_arg1774z00_836);
				}
				return (BGl_za2statesza2z00zz__rgc_dfaz00 =
					BGl_makezd2hashtablezd2zz__hashz00(BgL_list1772z00_834), BUNSPEC);
			}
		}
	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__rgc_dfaz00(obj_t BgL_positionsz00_36)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 185 */
			{	/* Rgc/rgcdfa.scm 186 */
				obj_t BgL_numz00_839;

				{	/* Rgc/rgcdfa.scm 186 */
					long BgL_za71za7_1432;

					BgL_za71za7_1432 =
						(long) CINT(BGl_za2statezd2numza2zd2zz__rgc_dfaz00);
					BGl_za2statezd2numza2zd2zz__rgc_dfaz00 =
						BINT((BgL_za71za7_1432 + ((long) 1)));
				}
				BgL_numz00_839 = BGl_za2statezd2numza2zd2zz__rgc_dfaz00;
				{	/* Rgc/rgcdfa.scm 186 */
					obj_t BgL_namez00_840;

					{	/* Rgc/rgcdfa.scm 187 */
						obj_t BgL_arg1780z00_843;

						{	/* Rgc/rgcdfa.scm 187 */
							char *BgL_arg1782z00_845;

							{	/* Ieee/number.scm 132 */

								BgL_arg1782z00_845 =
									BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_numz00_839,
									BINT(((long) 10)));
							}
							BgL_arg1780z00_843 =
								string_append_3(BGl_string2134z00zz__rgc_dfaz00,
								string_to_bstring(BgL_arg1782z00_845),
								BGl_string2135z00zz__rgc_dfaz00);
						}
						BgL_namez00_840 =
							BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1780z00_843);
					}
					{	/* Rgc/rgcdfa.scm 187 */
						obj_t BgL_statez00_841;

						{	/* Rgc/rgcdfa.scm 188 */
							obj_t BgL_newz00_1438;

							BgL_newz00_1438 =
								create_struct(BGl_symbol2132z00zz__rgc_dfaz00,
								(int) (((long) 4)));
							{	/* Rgc/rgcdfa.scm 188 */
								int BgL_auxz00_1976;

								BgL_auxz00_1976 = (int) (((long) 3));
								STRUCT_SET(BgL_newz00_1438, BgL_auxz00_1976,
									BgL_positionsz00_36);
							}
							{	/* Rgc/rgcdfa.scm 188 */
								int BgL_auxz00_1979;

								BgL_auxz00_1979 = (int) (((long) 2));
								STRUCT_SET(BgL_newz00_1438, BgL_auxz00_1979, BNIL);
							}
							{	/* Rgc/rgcdfa.scm 188 */
								int BgL_auxz00_1982;

								BgL_auxz00_1982 = (int) (((long) 1));
								STRUCT_SET(BgL_newz00_1438, BgL_auxz00_1982, BgL_numz00_839);
							}
							{	/* Rgc/rgcdfa.scm 188 */
								int BgL_auxz00_1985;

								BgL_auxz00_1985 = (int) (((long) 0));
								STRUCT_SET(BgL_newz00_1438, BgL_auxz00_1985, BgL_namez00_840);
							}
							BgL_statez00_841 = BgL_newz00_1438;
						}
						{	/* Rgc/rgcdfa.scm 188 */

							{	/* Rgc/rgcdfa.scm 190 */
								obj_t BgL_arg1778z00_842;

								BgL_arg1778z00_842 =
									STRUCT_REF(BgL_statez00_841, (int) (((long) 3)));
								BGl_hashtablezd2putz12zc0zz__hashz00
									(BGl_za2statesza2z00zz__rgc_dfaz00, BgL_arg1778z00_842,
									BgL_statez00_841);
							}
							return BgL_statez00_841;
						}
					}
				}
			}
		}
	}



/* state-positions */
	BGL_EXPORTED_DEF obj_t BGl_statezd2positionszd2zz__rgc_dfaz00(obj_t
		BgL_statez00_38)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 204 */
			return STRUCT_REF(BgL_statez00_38, (int) (((long) 3)));
		}
	}



/* _state-positions */
	obj_t BGl__statezd2positionszd2zz__rgc_dfaz00(obj_t BgL_envz00_1735,
		obj_t BgL_statez00_1736)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 204 */
			return BGl_statezd2positionszd2zz__rgc_dfaz00(BgL_statez00_1736);
		}
	}



/* state-name */
	BGL_EXPORTED_DEF obj_t BGl_statezd2namezd2zz__rgc_dfaz00(obj_t
		BgL_statez00_39)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 210 */
			return STRUCT_REF(BgL_statez00_39, (int) (((long) 0)));
		}
	}



/* _state-name */
	obj_t BGl__statezd2namezd2zz__rgc_dfaz00(obj_t BgL_envz00_1737,
		obj_t BgL_statez00_1738)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 210 */
			return BGl_statezd2namezd2zz__rgc_dfaz00(BgL_statez00_1738);
		}
	}



/* state-transitions */
	BGL_EXPORTED_DEF obj_t BGl_statezd2transitionszd2zz__rgc_dfaz00(obj_t
		BgL_statez00_41)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 222 */
			return STRUCT_REF(BgL_statez00_41, (int) (((long) 2)));
		}
	}



/* _state-transitions */
	obj_t BGl__statezd2transitionszd2zz__rgc_dfaz00(obj_t BgL_envz00_1739,
		obj_t BgL_statez00_1740)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 222 */
			return BGl_statezd2transitionszd2zz__rgc_dfaz00(BgL_statez00_1740);
		}
	}



/* state? */
	BGL_EXPORTED_DEF bool_t BGl_statezf3zf3zz__rgc_dfaz00(obj_t BgL_objz00_42)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 228 */
			if (STRUCTP(BgL_objz00_42))
				{	/* Rgc/rgcdfa.scm 229 */
					return (STRUCT_KEY(BgL_objz00_42) == BGl_symbol2132z00zz__rgc_dfaz00);
				}
			else
				{	/* Rgc/rgcdfa.scm 229 */
					return ((bool_t) 0);
				}
		}
	}



/* _state? */
	obj_t BGl__statezf3zf3zz__rgc_dfaz00(obj_t BgL_envz00_1741,
		obj_t BgL_objz00_1742)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 228 */
			return BBOOL(BGl_statezf3zf3zz__rgc_dfaz00(BgL_objz00_1742));
		}
	}



/* print-dfa */
	BGL_EXPORTED_DEF obj_t BGl_printzd2dfazd2zz__rgc_dfaz00(obj_t BgL_dfaz00_48)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 252 */
			{	/* Rgc/rgcdfa.scm 253 */
				obj_t BgL_port1695z00_859;

				{	/* Rgc/rgcdfa.scm 253 */
					obj_t BgL_res2108z00_1498;

					{	/* Rgc/rgcdfa.scm 253 */
						obj_t BgL_auxz00_2006;

						BgL_auxz00_2006 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_res2108z00_1498 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2006);
					}
					BgL_port1695z00_859 = BgL_res2108z00_1498;
				}
				bgl_display_string(BGl_string2136z00zz__rgc_dfaz00,
					BgL_port1695z00_859);
				bgl_display_char(((unsigned char) '\n'), BgL_port1695z00_859);
			}
			{
				obj_t BgL_l1697z00_860;

				BgL_l1697z00_860 = BgL_dfaz00_48;
			BgL_forzd2each1698zd2_861:
				if (PAIRP(BgL_l1697z00_860))
					{	/* Rgc/rgcdfa.scm 254 */
						{	/* Rgc/rgcdfa.scm 269 */
							obj_t BgL_statez00_863;

							BgL_statez00_863 = CAR(BgL_l1697z00_860);
							{	/* Rgc/rgcdfa.scm 255 */
								obj_t BgL_port1696z00_864;

								{	/* Rgc/rgcdfa.scm 255 */
									obj_t BgL_res2109z00_1505;

									{	/* Rgc/rgcdfa.scm 255 */
										obj_t BgL_auxz00_2014;

										BgL_auxz00_2014 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2109z00_1505 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2014);
									}
									BgL_port1696z00_864 = BgL_res2109z00_1505;
								}
								bgl_display_string(BGl_string2137z00zz__rgc_dfaz00,
									BgL_port1696z00_864);
								bgl_display_obj(STRUCT_REF(BgL_statez00_863,
										(int) (((long) 1))), BgL_port1696z00_864);
								bgl_display_char(((unsigned char) '\n'), BgL_port1696z00_864);
							} BGl_list2138z00zz__rgc_dfaz00;
						}
						{
							obj_t BgL_l1697z00_2022;

							BgL_l1697z00_2022 = CDR(BgL_l1697z00_860);
							BgL_l1697z00_860 = BgL_l1697z00_2022;
							goto BgL_forzd2each1698zd2_861;
						}
					}
				else
					{	/* Rgc/rgcdfa.scm 254 */
						((bool_t) 1);
					}
			}
			{	/* Rgc/rgcdfa.scm 271 */
				obj_t BgL_port1699z00_867;

				{	/* Rgc/rgcdfa.scm 271 */
					obj_t BgL_res2110z00_1514;

					{	/* Rgc/rgcdfa.scm 271 */
						obj_t BgL_auxz00_2024;

						BgL_auxz00_2024 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_res2110z00_1514 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2024);
					}
					BgL_port1699z00_867 = BgL_res2110z00_1514;
				}
				bgl_display_string(BGl_string2200z00zz__rgc_dfaz00,
					BgL_port1699z00_867);
				bgl_display_char(((unsigned char) '\n'), BgL_port1699z00_867);
			}
			{	/* Rgc/rgcdfa.scm 272 */
				obj_t BgL_arg1795z00_868;

				{	/* Rgc/rgcdfa.scm 272 */
					obj_t BgL_res2111z00_1519;

					{	/* Rgc/rgcdfa.scm 272 */
						obj_t BgL_auxz00_2029;

						BgL_auxz00_2029 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_res2111z00_1519 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2029);
					}
					BgL_arg1795z00_868 = BgL_res2111z00_1519;
				}
				return bgl_display_char(((unsigned char) '\n'), BgL_arg1795z00_868);
		}}
	}



/* _print-dfa */
	obj_t BGl__printzd2dfazd2zz__rgc_dfaz00(obj_t BgL_envz00_1743,
		obj_t BgL_dfaz00_1744)
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 252 */
			return BGl_printzd2dfazd2zz__rgc_dfaz00(BgL_dfaz00_1744);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rgc_dfaz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgc_dfaz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcdfa.scm 15 */
			BGl_modulezd2initializa7ationz75zz__rgc_configz00(((long) 36213488),
				BSTRING_TO_STRING(BGl_string2201z00zz__rgc_dfaz00));
			BGl_modulezd2initializa7ationz75zz__rgc_setz00(((long) 492883814),
				BSTRING_TO_STRING(BGl_string2201z00zz__rgc_dfaz00));
			BGl_modulezd2initializa7ationz75zz__rgc_rulesz00(((long) 23441563),
				BSTRING_TO_STRING(BGl_string2201z00zz__rgc_dfaz00));
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2201z00zz__rgc_dfaz00));
		}
	}

#ifdef __cplusplus
}
#endif
