/*===========================================================================*/
/*   (Ast/apply.scm)                                                         */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/apply.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t
		BGl_makezd2funzd2framezd2defau3149zd2zzast_applyz00(BgL_funz00_bglt);
	static obj_t BGl__makezd2funzd2framez00zzast_applyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_varz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_applyz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	static obj_t BGl_makezd2funzd2framezd2sfun3152zd2zzast_applyz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzast_applyz00();
	static obj_t BGl_makezd2funzd2framezd2cfun3154zd2zzast_applyz00(obj_t, obj_t);
	static obj_t BGl__makezd2funzd2framezd2defau3149zd2zzast_applyz00(obj_t,
		obj_t);
	static obj_t BGl_loopz00zzast_applyz00(BgL_nodez00_bglt, obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_localz00_bglt, obj_t, obj_t);
	extern bool_t BGl_globalzd2optionalzf3z21zzast_varz00(obj_t);
	static obj_t BGl_loopz72z72zzast_applyz00(obj_t, BgL_nodez00_bglt, obj_t,
		BgL_typez00_bglt, obj_t, obj_t, BgL_localz00_bglt, obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_applyz00();
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static obj_t BGl__knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_applyz00 = BUNSPEC;
	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl__applycationzd2ze3nodez31zzast_applyz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt);
	static BgL_letzd2varzd2_bglt
		BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00();
	static BgL_letzd2varzd2_bglt
		BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t, obj_t,
		BgL_nodez00_bglt, BgL_nodez00_bglt, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	extern BgL_appzd2lyzd2_bglt BGl_makezd2appzd2lyz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt, BgL_nodez00_bglt);
	extern BgL_letzd2varzd2_bglt BGl_makezd2letzd2varz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt, bool_t);
	extern bool_t BGl_globalzd2keyzf3z21zzast_varz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00();
	static obj_t __cnst[14];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_makezd2funzd2framezd2defau3149zd2envz00zzast_applyz00,
		BgL_bgl__makeza7d2funza7d2fr3445z00,
		BGl__makezd2funzd2framezd2defau3149zd2zzast_applyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_applycationzd2ze3nodezd2envze3zzast_applyz00,
		BgL_bgl__applycationza7d2za73446z00,
		BGl__applycationzd2ze3nodez31zzast_applyz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3438z00zzast_applyz00,
		BgL_bgl_makeza7d2funza7d2fra3447z00,
		BGl_makezd2funzd2framezd2sfun3152zd2zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3439z00zzast_applyz00,
		BgL_bgl_makeza7d2funza7d2fra3448z00,
		BGl_makezd2funzd2framezd2cfun3154zd2zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
		BgL_bgl__makeza7d2funza7d2fr3449z00,
		BGl__makezd2funzd2framez00zzast_applyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3435z00zzast_applyz00,
		BgL_bgl_string3435za700za7za7a3450za7, "Illegal `apply' form", 20);
	      DEFINE_STRING(BGl_string3436z00zzast_applyz00,
		BgL_bgl_string3436za700za7za7a3451za7, "Too many arguments provided", 27);
	      DEFINE_STRING(BGl_string3437z00zzast_applyz00,
		BgL_bgl_string3437za700za7za7a3452za7, "apply", 5);
	      DEFINE_STRING(BGl_string3440z00zzast_applyz00,
		BgL_bgl_string3440za700za7za7a3453za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3441z00zzast_applyz00,
		BgL_bgl_string3441za700za7za7a3454za7, "ast_apply", 9);
	      DEFINE_STRING(BGl_string3442z00zzast_applyz00,
		BgL_bgl_string3442za700za7za7a3455za7,
		"make-fun-frame-defau3149 aux set! begin car quote failure cdr null? if write runner value apply ",
		96);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_knownzd2appzd2lyzd2ze3nodezd2envze3zzast_applyz00,
		BgL_bgl__knownza7d2appza7d2l3456z00,
		BGl__knownzd2appzd2lyzd2ze3nodez31zzast_applyz00, 0L, BUNSPEC, 5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long
		BgL_checksumz00_1625, char *BgL_fromz00_1626)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_applyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_applyz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_applyz00();
					BGl_cnstzd2initzd2zzast_applyz00();
					BGl_importedzd2moduleszd2initz00zzast_applyz00();
					BGl_methodzd2initzd2zzast_applyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_apply");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_apply");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_apply");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			{	/* Ast/apply.scm 14 */
				obj_t BgL_cportz00_1617;

				BgL_cportz00_1617 =
					bgl_open_input_string(BGl_string3442z00zzast_applyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1618;

					BgL_iz00_1618 = ((long) 13);
				BgL_loopz00_1619:
					if ((BgL_iz00_1618 == ((long) -1)))
						{	/* Ast/apply.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/apply.scm 14 */
							{	/* Ast/apply.scm 14 */
								obj_t BgL_arg3444z00_1621;

								{	/* Ast/apply.scm 14 */

									{	/* Ast/apply.scm 14 */
										obj_t BgL_locationz00_1623;

										BgL_locationz00_1623 = BBOOL(((bool_t) 0));
										{	/* Ast/apply.scm 14 */

											BgL_arg3444z00_1621 =
												BGl_readz00zz__readerz00(BgL_cportz00_1617,
												BgL_locationz00_1623);
										}
									}
								}
								{	/* Ast/apply.scm 14 */
									int BgL_auxz00_1645;

									BgL_auxz00_1645 = (int) (BgL_iz00_1618);
									CNST_TABLE_SET(BgL_auxz00_1645, BgL_arg3444z00_1621);
							}}
							{	/* Ast/apply.scm 14 */
								int BgL_auxz00_1624;

								BgL_auxz00_1624 = (int) ((BgL_iz00_1618 - ((long) 1)));
								{
									long BgL_iz00_1650;

									BgL_iz00_1650 = (long) (BgL_auxz00_1624);
									BgL_iz00_1618 = BgL_iz00_1650;
									goto BgL_loopz00_1619;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			return BUNSPEC;
		}
	}



/* applycation->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t BgL_expz00_1,
		obj_t BgL_stackz00_2, obj_t BgL_locz00_3, obj_t BgL_sitez00_4)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 31 */
			{
				obj_t BgL_procz00_751;

				obj_t BgL_argz00_752;

				if (PAIRP(BgL_expz00_1))
					{	/* Ast/apply.scm 32 */
						obj_t BgL_cdrzd21213zd2_757;

						BgL_cdrzd21213zd2_757 = CDR(BgL_expz00_1);
						if ((CAR(BgL_expz00_1) == CNST_TABLE_REF(((long) 0))))
							{	/* Ast/apply.scm 32 */
								if (PAIRP(BgL_cdrzd21213zd2_757))
									{	/* Ast/apply.scm 32 */
										obj_t BgL_cdrzd21217zd2_760;

										BgL_cdrzd21217zd2_760 = CDR(BgL_cdrzd21213zd2_757);
										if (PAIRP(BgL_cdrzd21217zd2_760))
											{	/* Ast/apply.scm 32 */
												if (NULLP(CDR(BgL_cdrzd21217zd2_760)))
													{	/* Ast/apply.scm 32 */
														obj_t BgL_arg3160z00_763;

														obj_t BgL_arg3161z00_764;

														BgL_arg3160z00_763 = CAR(BgL_cdrzd21213zd2_757);
														BgL_arg3161z00_764 = CAR(BgL_cdrzd21217zd2_760);
														{	/* Ast/apply.scm 32 */
															obj_t BgL_auxz00_1669;

															BgL_procz00_751 = BgL_arg3160z00_763;
															BgL_argz00_752 = BgL_arg3161z00_764;
															{	/* Ast/apply.scm 34 */
																obj_t BgL_locz00_768;

																BgL_locz00_768 =
																	BGl_findzd2locationzf2locz20zztools_locationz00
																	(BgL_expz00_1, BgL_locz00_3);
																{	/* Ast/apply.scm 34 */
																	BgL_nodez00_bglt BgL_procz00_769;

																	{	/* Ast/apply.scm 37 */
																		obj_t BgL_arg3178z00_786;

																		obj_t BgL_arg3179z00_787;

																		BgL_arg3178z00_786 =
																			BGl_findzd2locationzf2locz20zztools_locationz00
																			(BgL_procz00_751, BgL_locz00_768);
																		BgL_arg3179z00_787 =
																			CNST_TABLE_REF(((long) 0));
																		BgL_procz00_769 =
																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_procz00_751, BgL_stackz00_2,
																			BgL_arg3178z00_786, BgL_arg3179z00_787);
																	}
																	{	/* Ast/apply.scm 35 */
																		BgL_nodez00_bglt BgL_argz00_770;

																		{	/* Ast/apply.scm 41 */
																			obj_t BgL_arg3176z00_784;

																			obj_t BgL_arg3177z00_785;

																			BgL_arg3176z00_784 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_argz00_752, BgL_locz00_768);
																			BgL_arg3177z00_785 =
																				CNST_TABLE_REF(((long) 1));
																			BgL_argz00_770 =
																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																				(BgL_argz00_752, BgL_stackz00_2,
																				BgL_arg3176z00_784, BgL_arg3177z00_785);
																		}
																		{	/* Ast/apply.scm 39 */

																			{	/* Ast/apply.scm 43 */
																				bool_t BgL_testz00_1677;

																				{	/* Ast/apply.scm 43 */
																					bool_t BgL_testz00_1678;

																					{	/* Ast/apply.scm 43 */
																						obj_t BgL_obj2044z00_1413;

																						BgL_obj2044z00_1413 =
																							(obj_t) (BgL_procz00_769);
																						BgL_testz00_1678 =
																							BGl_iszd2azf3z21zz__objectz00
																							(BgL_obj2044z00_1413,
																							BGl_varz00zzast_nodez00);
																					}
																					if (BgL_testz00_1678)
																						{	/* Ast/apply.scm 44 */
																							bool_t BgL_testz00_1681;

																							{	/* Ast/apply.scm 44 */
																								BgL_valuez00_bglt
																									BgL_arg3174z00_782;
																								{	/* Ast/apply.scm 44 */
																									BgL_variablez00_bglt
																										BgL_obj1486z00_1415;
																									{
																										BgL_varz00_bglt
																											BgL_auxz00_1682;
																										BgL_auxz00_1682 =
																											(BgL_varz00_bglt)
																											(BgL_procz00_769);
																										BgL_obj1486z00_1415 =
																											(((BgL_varz00_bglt)
																												CREF(BgL_auxz00_1682))->
																											BgL_variablez00);
																									}
																									BgL_arg3174z00_782 =
																										(((BgL_variablez00_bglt)
																											CREF
																											(BgL_obj1486z00_1415))->
																										BgL_valuez00);
																								}
																								{	/* Ast/apply.scm 44 */
																									obj_t BgL_obj1731z00_1416;

																									BgL_obj1731z00_1416 =
																										(obj_t)
																										(BgL_arg3174z00_782);
																									BgL_testz00_1681 =
																										BGl_iszd2azf3z21zz__objectz00
																										(BgL_obj1731z00_1416,
																										BGl_funz00zzast_varz00);
																								}
																							}
																							if (BgL_testz00_1681)
																								{	/* Ast/apply.scm 45 */
																									bool_t
																										BgL__ortest_3115z00_774;
																									{	/* Ast/apply.scm 45 */
																										bool_t BgL_testz00_1688;

																										{	/* Ast/apply.scm 45 */
																											BgL_variablez00_bglt
																												BgL_arg3173z00_781;
																											{
																												BgL_varz00_bglt
																													BgL_auxz00_1689;
																												BgL_auxz00_1689 =
																													(BgL_varz00_bglt)
																													(BgL_procz00_769);
																												BgL_arg3173z00_781 =
																													(((BgL_varz00_bglt)
																														CREF
																														(BgL_auxz00_1689))->
																													BgL_variablez00);
																											}
																											{	/* Ast/apply.scm 45 */
																												obj_t
																													BgL_obj1627z00_1418;
																												BgL_obj1627z00_1418 =
																													(obj_t)
																													(BgL_arg3173z00_781);
																												BgL_testz00_1688 =
																													BGl_iszd2azf3z21zz__objectz00
																													(BgL_obj1627z00_1418,
																													BGl_globalz00zzast_varz00);
																											}
																										}
																										if (BgL_testz00_1688)
																											{	/* Ast/apply.scm 45 */
																												BgL__ortest_3115z00_774
																													= ((bool_t) 0);
																											}
																										else
																											{	/* Ast/apply.scm 45 */
																												BgL__ortest_3115z00_774
																													= ((bool_t) 1);
																											}
																									}
																									if (BgL__ortest_3115z00_774)
																										{	/* Ast/apply.scm 45 */
																											BgL_testz00_1677 =
																												BgL__ortest_3115z00_774;
																										}
																									else
																										{	/* Ast/apply.scm 46 */
																											bool_t BgL_testz00_1695;

																											{	/* Ast/apply.scm 46 */
																												bool_t BgL_testz00_1696;

																												{	/* Ast/apply.scm 46 */
																													BgL_variablez00_bglt
																														BgL_arg3171z00_779;
																													{
																														BgL_varz00_bglt
																															BgL_auxz00_1697;
																														BgL_auxz00_1697 =
																															(BgL_varz00_bglt)
																															(BgL_procz00_769);
																														BgL_arg3171z00_779 =
																															(((BgL_varz00_bglt) CREF(BgL_auxz00_1697))->BgL_variablez00);
																													}
																													BgL_testz00_1696 =
																														BGl_globalzd2optionalzf3z21zzast_varz00
																														((obj_t)
																														(BgL_arg3171z00_779));
																												}
																												if (BgL_testz00_1696)
																													{	/* Ast/apply.scm 46 */
																														BgL_testz00_1695 =
																															((bool_t) 0);
																													}
																												else
																													{	/* Ast/apply.scm 46 */
																														BgL_testz00_1695 =
																															((bool_t) 1);
																													}
																											}
																											if (BgL_testz00_1695)
																												{	/* Ast/apply.scm 47 */
																													bool_t
																														BgL_testz00_1702;
																													{	/* Ast/apply.scm 47 */
																														BgL_variablez00_bglt
																															BgL_arg3169z00_777;
																														{
																															BgL_varz00_bglt
																																BgL_auxz00_1703;
																															BgL_auxz00_1703 =
																																(BgL_varz00_bglt)
																																(BgL_procz00_769);
																															BgL_arg3169z00_777
																																=
																																(((BgL_varz00_bglt) CREF(BgL_auxz00_1703))->BgL_variablez00);
																														}
																														BgL_testz00_1702 =
																															BGl_globalzd2keyzf3z21zzast_varz00
																															((obj_t)
																															(BgL_arg3169z00_777));
																													}
																													if (BgL_testz00_1702)
																														{	/* Ast/apply.scm 47 */
																															BgL_testz00_1677 =
																																((bool_t) 0);
																														}
																													else
																														{	/* Ast/apply.scm 47 */
																															BgL_testz00_1677 =
																																((bool_t) 1);
																														}
																												}
																											else
																												{	/* Ast/apply.scm 46 */
																													BgL_testz00_1677 =
																														((bool_t) 0);
																												}
																										}
																								}
																							else
																								{	/* Ast/apply.scm 44 */
																									BgL_testz00_1677 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Ast/apply.scm 43 */
																							BgL_testz00_1677 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_1677)
																					{	/* Ast/apply.scm 43 */
																						BgL_auxz00_1669 =
																							(obj_t)
																							(BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00
																							(BgL_stackz00_2, BgL_locz00_768,
																								BgL_procz00_769, BgL_argz00_770,
																								BgL_sitez00_4));
																					}
																				else
																					{	/* Ast/apply.scm 43 */
																						BgL_auxz00_1669 =
																							(obj_t)
																							(BGl_makezd2appzd2lyz00zzast_nodez00
																							(BgL_locz00_768,
																								(BgL_typez00_bglt)
																								(BGl_za2_za2z00zztype_cachez00),
																								BgL_procz00_769,
																								BgL_argz00_770));
																					}
																			}
																		}
																	}
																}
															}
															return (BgL_nodez00_bglt) (BgL_auxz00_1669);
														}
													}
												else
													{	/* Ast/apply.scm 32 */
													BgL_tagzd21206zd2_754:
														return
															BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
															(BGl_string3435z00zzast_applyz00, BgL_expz00_1,
															BGl_findzd2locationzf2locz20zztools_locationz00
															(BgL_expz00_1, BgL_locz00_3));
													}
											}
										else
											{	/* Ast/apply.scm 32 */
												goto BgL_tagzd21206zd2_754;
											}
									}
								else
									{	/* Ast/apply.scm 32 */
										goto BgL_tagzd21206zd2_754;
									}
							}
						else
							{	/* Ast/apply.scm 32 */
								goto BgL_tagzd21206zd2_754;
							}
					}
				else
					{	/* Ast/apply.scm 32 */
						goto BgL_tagzd21206zd2_754;
					}
			}
		}
	}



/* _applycation->node */
	obj_t BGl__applycationzd2ze3nodez31zzast_applyz00(obj_t BgL_envz00_1581,
		obj_t BgL_expz00_1582, obj_t BgL_stackz00_1583, obj_t BgL_locz00_1584,
		obj_t BgL_sitez00_1585)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 31 */
			return
				(obj_t) (BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_1582,
					BgL_stackz00_1583, BgL_locz00_1584, BgL_sitez00_1585));
		}
	}



/* known-app-ly->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t BgL_stackz00_9,
		obj_t BgL_locz00_10, BgL_nodez00_bglt BgL_procz00_11,
		BgL_nodez00_bglt BgL_argz00_12, obj_t BgL_sitez00_13)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 108 */
			{	/* Ast/apply.scm 109 */
				BgL_valuez00_bglt BgL_funz00_790;

				{	/* Ast/apply.scm 109 */
					BgL_variablez00_bglt BgL_obj1486z00_1422;

					{
						BgL_varz00_bglt BgL_auxz00_1718;

						BgL_auxz00_1718 = (BgL_varz00_bglt) (BgL_procz00_11);
						BgL_obj1486z00_1422 =
							(((BgL_varz00_bglt) CREF(BgL_auxz00_1718))->BgL_variablez00);
					}
					BgL_funz00_790 =
						(((BgL_variablez00_bglt) CREF(BgL_obj1486z00_1422))->BgL_valuez00);
				}
				{	/* Ast/apply.scm 109 */
					long BgL_arityz00_791;

					{
						BgL_funz00_bglt BgL_auxz00_1722;

						BgL_auxz00_1722 = (BgL_funz00_bglt) (BgL_funz00_790);
						BgL_arityz00_791 =
							(((BgL_funz00_bglt) CREF(BgL_auxz00_1722))->BgL_arityz00);
					}
					{	/* Ast/apply.scm 110 */
						obj_t BgL_framez00_792;

						{	/* Ast/apply.scm 111 */
							BgL_funz00_bglt BgL_funz00_1424;

							BgL_funz00_1424 = (BgL_funz00_bglt) (BgL_funz00_790);
							{	/* Ast/apply.scm 111 */
								obj_t BgL_method3150z00_1425;

								{	/* Ast/apply.scm 111 */
									BgL_objectz00_bglt BgL_objz00_1426;

									BgL_objz00_1426 = (BgL_objectz00_bglt) (BgL_funz00_1424);
									{	/* Ast/apply.scm 111 */
										long BgL_objzd2classzd2numz00_1427;

										BgL_objzd2classzd2numz00_1427 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1426);
										{	/* Ast/apply.scm 111 */
											obj_t BgL_arg2388z00_1428;

											BgL_arg2388z00_1428 =
												PROCEDURE_REF
												(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
												(int) (((long) 1)));
											{	/* Ast/apply.scm 111 */
												obj_t BgL_arrayz00_1430;

												int BgL_offsetz00_1431;

												BgL_arrayz00_1430 = BgL_arg2388z00_1428;
												BgL_offsetz00_1431 =
													(int) (BgL_objzd2classzd2numz00_1427);
												{	/* Ast/apply.scm 111 */
													long BgL_offsetz00_1432;

													BgL_offsetz00_1432 =
														((long) (BgL_offsetz00_1431) - OBJECT_TYPE);
													{	/* Ast/apply.scm 111 */
														long BgL_modz00_1433;

														{	/* Ast/apply.scm 111 */
															int BgL_arg2390z00_1434;

															BgL_arg2390z00_1434 = (int) (((long) 8));
															{	/* Ast/apply.scm 111 */
																long BgL_auxz00_1734;

																BgL_auxz00_1734 = (long) (BgL_arg2390z00_1434);
																BgL_modz00_1433 =
																	(BgL_offsetz00_1432 / BgL_auxz00_1734);
														}}
														{	/* Ast/apply.scm 111 */
															long BgL_restz00_1435;

															{	/* Ast/apply.scm 111 */
																int BgL_arg2389z00_1436;

																BgL_arg2389z00_1436 = (int) (((long) 8));
																{	/* Ast/apply.scm 111 */
																	long BgL_auxz00_1738;

																	BgL_auxz00_1738 =
																		(long) (BgL_arg2389z00_1436);
																	BgL_restz00_1435 =
																		(BgL_offsetz00_1432 % BgL_auxz00_1738);
															}}
															{	/* Ast/apply.scm 111 */

																BgL_method3150z00_1425 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1430,
																		(int) (BgL_modz00_1433)),
																	(int) (BgL_restz00_1435));
								}}}}}}}}
								BgL_framez00_792 =
									PROCEDURE_ENTRY(BgL_method3150z00_1425)
									(BgL_method3150z00_1425, (obj_t) (BgL_funz00_1424), BEOA);
						}}
						{	/* Ast/apply.scm 111 */

							if ((BgL_arityz00_791 > ((long) 0)))
								{	/* Ast/apply.scm 116 */
									return
										(BgL_nodez00_bglt)
										(BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00
										(BgL_stackz00_9, BgL_locz00_10, BgL_procz00_11,
											BgL_argz00_12, BgL_framez00_792, BgL_sitez00_13));
								}
							else
								{	/* Ast/apply.scm 116 */
									if ((BgL_arityz00_791 == ((long) 0)))
										{	/* Ast/apply.scm 119 */
											obj_t BgL_arg3185z00_1460;

											{	/* Ast/apply.scm 119 */
												obj_t BgL_list3186z00_1461;

												BgL_list3186z00_1461 =
													MAKE_PAIR((obj_t) (BgL_procz00_11), BNIL);
												BgL_arg3185z00_1460 = BgL_list3186z00_1461;
											}
											return
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3185z00_1460,
												BgL_stackz00_9, BgL_locz00_10, BgL_sitez00_13);
										}
									else
										{	/* Ast/apply.scm 118 */
											return
												(BgL_nodez00_bglt)
												(BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00
												(BgL_stackz00_9, BgL_locz00_10, BgL_procz00_11,
													BgL_argz00_12, BgL_framez00_792, BgL_sitez00_13));
										}
								}
						}
					}
				}
			}
		}
	}



/* _known-app-ly->node */
	obj_t BGl__knownzd2appzd2lyzd2ze3nodez31zzast_applyz00(obj_t BgL_envz00_1586,
		obj_t BgL_stackz00_1587, obj_t BgL_locz00_1588, obj_t BgL_procz00_1589,
		obj_t BgL_argz00_1590, obj_t BgL_sitez00_1591)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 108 */
			return
				(obj_t) (BGl_knownzd2appzd2lyzd2ze3nodez31zzast_applyz00
				(BgL_stackz00_1587, BgL_locz00_1588,
					(BgL_nodez00_bglt) (BgL_procz00_1589),
					(BgL_nodez00_bglt) (BgL_argz00_1590), BgL_sitez00_1591));
		}
	}



/* fx-known-app-ly->node */
	BgL_letzd2varzd2_bglt
		BGl_fxzd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_20,
		obj_t BgL_locz00_21, BgL_nodez00_bglt BgL_procz00_22,
		BgL_nodez00_bglt BgL_argz00_23, obj_t BgL_framez00_24, obj_t BgL_sitez00_25)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 148 */
			{	/* Ast/apply.scm 149 */
				BgL_localz00_bglt BgL_runnerz00_798;

				BgL_typez00_bglt BgL_typez00_799;

				{	/* Ast/apply.scm 149 */
					obj_t BgL_arg3285z00_904;

					BgL_arg3285z00_904 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 2))));
					BgL_runnerz00_798 =
						BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg3285z00_904,
						(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00));
				}
				BgL_typez00_799 =
					(((BgL_nodez00_bglt) CREF(BgL_procz00_22))->BgL_typez00);
				{	/* Ast/apply.scm 152 */
					BgL_variablez00_bglt BgL_obj1491z00_1469;

					obj_t BgL_val1490z00_1470;

					BgL_obj1491z00_1469 = (BgL_variablez00_bglt) (BgL_runnerz00_798);
					BgL_val1490z00_1470 = CNST_TABLE_REF(((long) 3));
					((((BgL_variablez00_bglt) CREF(BgL_obj1491z00_1469))->BgL_accessz00) =
						((obj_t) BgL_val1490z00_1470), BUNSPEC);
				}
				{	/* Ast/apply.scm 153 */
					obj_t BgL_arg3188z00_801;

					obj_t BgL_arg3189z00_802;

					{	/* Ast/apply.scm 156 */
						obj_t BgL_arg3190z00_803;

						BgL_arg3190z00_803 =
							MAKE_PAIR((obj_t) (BgL_runnerz00_798), (obj_t) (BgL_argz00_23));
						{	/* Ast/apply.scm 156 */
							obj_t BgL_list3191z00_804;

							BgL_list3191z00_804 = MAKE_PAIR(BgL_arg3190z00_803, BNIL);
							BgL_arg3188z00_801 = BgL_list3191z00_804;
					}}
					BgL_arg3189z00_802 =
						BGl_loopz72z72zzast_applyz00(BgL_sitez00_25, BgL_procz00_22,
						BgL_framez00_24, BgL_typez00_799, BgL_stackz00_20, BgL_locz00_21,
						BgL_runnerz00_798, BgL_framez00_24);
					return BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_21,
						BgL_typez00_799, BUNSPEC, BINT(((long) -1)), BgL_arg3188z00_801,
						(BgL_nodez00_bglt) (BgL_arg3189z00_802), ((bool_t) 1));
		}}}
	}



/* loop' */
	obj_t BGl_loopz72z72zzast_applyz00(obj_t BgL_sitez00_1616,
		BgL_nodez00_bglt BgL_procz00_1615, obj_t BgL_framez00_1614,
		BgL_typez00_bglt BgL_typez00_1613, obj_t BgL_stackz00_1612,
		obj_t BgL_locz00_1611, BgL_localz00_bglt BgL_runnerz00_1610,
		obj_t BgL_localsz00_805)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 157 */
			if (NULLP(BgL_localsz00_805))
				{	/* Ast/apply.scm 159 */
					BgL_nodez00_bglt BgL_appz00_808;

					{	/* Ast/apply.scm 161 */
						obj_t BgL_arg3228z00_844;

						obj_t BgL_arg3229z00_845;

						{	/* Ast/apply.scm 161 */
							obj_t BgL_arg3230z00_846;

							{	/* Ast/apply.scm 161 */
								obj_t BgL_arg3231z00_847;

								if (NULLP(BgL_framez00_1614))
									{	/* Ast/apply.scm 161 */
										BgL_arg3231z00_847 = BNIL;
									}
								else
									{	/* Ast/apply.scm 161 */
										obj_t BgL_head3141z00_851;

										BgL_head3141z00_851 = MAKE_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l3139z00_852;

											obj_t BgL_tail3142z00_853;

											BgL_l3139z00_852 = BgL_framez00_1614;
											BgL_tail3142z00_853 = BgL_head3141z00_851;
										BgL_map3140z00_854:
											if (NULLP(BgL_l3139z00_852))
												{	/* Ast/apply.scm 161 */
													BgL_arg3231z00_847 = CDR(BgL_head3141z00_851);
												}
											else
												{	/* Ast/apply.scm 161 */
													obj_t BgL_newtail3143z00_856;

													{	/* Ast/apply.scm 161 */
														BgL_varz00_bglt BgL_arg3236z00_858;

														{	/* Ast/apply.scm 161 */
															obj_t BgL_localz00_860;

															BgL_localz00_860 = CAR(BgL_l3139z00_852);
															{	/* Ast/apply.scm 164 */
																BgL_typez00_bglt BgL_arg3238z00_861;

																{
																	BgL_variablez00_bglt BgL_auxz00_1789;

																	BgL_auxz00_1789 =
																		(BgL_variablez00_bglt) (BgL_localz00_860);
																	BgL_arg3238z00_861 =
																		(((BgL_variablez00_bglt)
																			CREF(BgL_auxz00_1789))->BgL_typez00);
																}
																BgL_arg3236z00_858 =
																	BGl_makezd2varzd2zzast_nodez00
																	(BgL_locz00_1611, BgL_arg3238z00_861,
																	(BgL_variablez00_bglt) (BgL_localz00_860));
															}
														}
														BgL_newtail3143z00_856 =
															MAKE_PAIR((obj_t) (BgL_arg3236z00_858), BNIL);
													}
													SET_CDR(BgL_tail3142z00_853, BgL_newtail3143z00_856);
													{
														obj_t BgL_tail3142z00_1799;

														obj_t BgL_l3139z00_1797;

														BgL_l3139z00_1797 = CDR(BgL_l3139z00_852);
														BgL_tail3142z00_1799 = BgL_newtail3143z00_856;
														BgL_tail3142z00_853 = BgL_tail3142z00_1799;
														BgL_l3139z00_852 = BgL_l3139z00_1797;
														goto BgL_map3140z00_854;
													}
												}
										}
									}
								BgL_arg3230z00_846 =
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3231z00_847, BNIL);
							}
							BgL_arg3228z00_844 =
								MAKE_PAIR((obj_t) (BgL_procz00_1615), BgL_arg3230z00_846);
						}
						BgL_arg3229z00_845 = CNST_TABLE_REF(((long) 1));
						BgL_appz00_808 =
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_arg3228z00_844,
							BgL_stackz00_1612, BgL_locz00_1611, BgL_arg3229z00_845);
					}
					if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
						{	/* Ast/apply.scm 170 */
							return (obj_t) (BgL_appz00_808);
						}
					else
						{	/* Ast/apply.scm 173 */
							obj_t BgL_arg3193z00_809;

							{	/* Ast/apply.scm 173 */
								obj_t BgL_arg3194z00_810;

								obj_t BgL_arg3195z00_811;

								BgL_arg3194z00_810 = CNST_TABLE_REF(((long) 4));
								{	/* Ast/apply.scm 173 */
									obj_t BgL_arg3196z00_812;

									obj_t BgL_arg3197z00_813;

									{	/* Ast/apply.scm 173 */
										obj_t BgL_arg3202z00_818;

										obj_t BgL_arg3203z00_819;

										BgL_arg3202z00_818 = CNST_TABLE_REF(((long) 5));
										{	/* Ast/apply.scm 173 */
											obj_t BgL_arg3204z00_820;

											{	/* Ast/apply.scm 173 */
												obj_t BgL_arg3207z00_823;

												obj_t BgL_arg3208z00_824;

												BgL_arg3207z00_823 = CNST_TABLE_REF(((long) 6));
												{	/* Ast/apply.scm 176 */
													BgL_varz00_bglt BgL_arg3209z00_825;

													{	/* Ast/apply.scm 176 */
														BgL_typez00_bglt BgL_arg3212z00_828;

														{
															BgL_variablez00_bglt BgL_auxz00_1811;

															BgL_auxz00_1811 =
																(BgL_variablez00_bglt) (BgL_runnerz00_1610);
															BgL_arg3212z00_828 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_1811))->BgL_typez00);
														}
														BgL_arg3209z00_825 =
															BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1611,
															BgL_arg3212z00_828,
															(BgL_variablez00_bglt) (BgL_runnerz00_1610));
													}
													{	/* Ast/apply.scm 173 */
														obj_t BgL_list3211z00_827;

														BgL_list3211z00_827 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3208z00_824 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
															(obj_t) (BgL_arg3209z00_825),
															BgL_list3211z00_827);
												}}
												BgL_arg3204z00_820 =
													MAKE_PAIR(BgL_arg3207z00_823, BgL_arg3208z00_824);
											}
											{	/* Ast/apply.scm 173 */
												obj_t BgL_list3206z00_822;

												BgL_list3206z00_822 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3203z00_819 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3204z00_820, BgL_list3206z00_822);
										}}
										BgL_arg3196z00_812 =
											MAKE_PAIR(BgL_arg3202z00_818, BgL_arg3203z00_819);
									}
									{	/* Ast/apply.scm 179 */
										obj_t BgL_arg3213z00_829;

										obj_t BgL_arg3214z00_830;

										BgL_arg3213z00_829 = CNST_TABLE_REF(((long) 7));
										{	/* Ast/apply.scm 179 */
											obj_t BgL_arg3217z00_833;

											{	/* Ast/apply.scm 181 */
												obj_t BgL_arg3222z00_838;

												obj_t BgL_arg3223z00_839;

												BgL_arg3222z00_838 = CNST_TABLE_REF(((long) 8));
												{	/* Ast/apply.scm 181 */
													obj_t BgL_arg3224z00_840;

													{	/* Ast/apply.scm 181 */
														BgL_variablez00_bglt BgL_arg3227z00_843;

														{
															BgL_varz00_bglt BgL_auxz00_1825;

															BgL_auxz00_1825 =
																(BgL_varz00_bglt) (BgL_procz00_1615);
															BgL_arg3227z00_843 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_1825))->
																BgL_variablez00);
														}
														BgL_arg3224z00_840 =
															BGl_shapez00zztools_shapez00(
															(obj_t) (BgL_arg3227z00_843));
													}
													{	/* Ast/apply.scm 181 */
														obj_t BgL_list3226z00_842;

														BgL_list3226z00_842 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3223z00_839 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg3224z00_840, BgL_list3226z00_842);
												}}
												BgL_arg3217z00_833 =
													MAKE_PAIR(BgL_arg3222z00_838, BgL_arg3223z00_839);
											}
											{	/* Ast/apply.scm 179 */
												obj_t BgL_list3219z00_835;

												{	/* Ast/apply.scm 179 */
													obj_t BgL_arg3220z00_836;

													{	/* Ast/apply.scm 179 */
														obj_t BgL_arg3221z00_837;

														BgL_arg3221z00_837 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3220z00_836 =
															MAKE_PAIR(BgL_arg3217z00_833, BgL_arg3221z00_837);
													}
													BgL_list3219z00_835 =
														MAKE_PAIR(BGl_string3436z00zzast_applyz00,
														BgL_arg3220z00_836);
												}
												BgL_arg3214z00_830 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BGl_string3437z00zzast_applyz00,
													BgL_list3219z00_835);
										}}
										BgL_arg3197z00_813 =
											MAKE_PAIR(BgL_arg3213z00_829, BgL_arg3214z00_830);
									}
									{	/* Ast/apply.scm 173 */
										obj_t BgL_list3199z00_815;

										{	/* Ast/apply.scm 173 */
											obj_t BgL_arg3200z00_816;

											{	/* Ast/apply.scm 173 */
												obj_t BgL_arg3201z00_817;

												BgL_arg3201z00_817 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3200z00_816 =
													MAKE_PAIR(BgL_arg3197z00_813, BgL_arg3201z00_817);
											}
											BgL_list3199z00_815 =
												MAKE_PAIR((obj_t) (BgL_appz00_808), BgL_arg3200z00_816);
										}
										BgL_arg3195z00_811 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3196z00_812, BgL_list3199z00_815);
								}}
								BgL_arg3193z00_809 =
									MAKE_PAIR(BgL_arg3194z00_810, BgL_arg3195z00_811);
							}
							return
								(obj_t) (BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3193z00_809,
									BgL_stackz00_1612, BgL_locz00_1611, BgL_sitez00_1616));
						}
				}
			else
				{	/* Ast/apply.scm 185 */
					obj_t BgL_arg3240z00_863;

					obj_t BgL_arg3241z00_864;

					{	/* Ast/apply.scm 189 */
						obj_t BgL_arg3242z00_865;

						{	/* Ast/apply.scm 189 */
							obj_t BgL_arg3244z00_867;

							BgL_nodez00_bglt BgL_arg3245z00_868;

							BgL_arg3244z00_867 = CAR(BgL_localsz00_805);
							{	/* Ast/apply.scm 191 */
								obj_t BgL_arg3246z00_869;

								obj_t BgL_arg3247z00_870;

								{	/* Ast/apply.scm 191 */
									obj_t BgL_arg3248z00_871;

									obj_t BgL_arg3249z00_872;

									BgL_arg3248z00_871 = CNST_TABLE_REF(((long) 9));
									{	/* Ast/apply.scm 194 */
										BgL_varz00_bglt BgL_arg3250z00_873;

										{	/* Ast/apply.scm 194 */
											BgL_typez00_bglt BgL_arg3253z00_876;

											{
												BgL_variablez00_bglt BgL_auxz00_1848;

												BgL_auxz00_1848 =
													(BgL_variablez00_bglt) (BgL_runnerz00_1610);
												BgL_arg3253z00_876 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_1848))->
													BgL_typez00);
											}
											BgL_arg3250z00_873 =
												BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1611,
												BgL_arg3253z00_876,
												(BgL_variablez00_bglt) (BgL_runnerz00_1610));
										}
										{	/* Ast/apply.scm 191 */
											obj_t BgL_list3252z00_875;

											BgL_list3252z00_875 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg3249z00_872 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
												(obj_t) (BgL_arg3250z00_873), BgL_list3252z00_875);
									}}
									BgL_arg3246z00_869 =
										MAKE_PAIR(BgL_arg3248z00_871, BgL_arg3249z00_872);
								}
								BgL_arg3247z00_870 = CNST_TABLE_REF(((long) 1));
								BgL_arg3245z00_868 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3246z00_869,
									BgL_stackz00_1612, BgL_locz00_1611, BgL_arg3247z00_870);
							}
							BgL_arg3242z00_865 =
								MAKE_PAIR(BgL_arg3244z00_867, (obj_t) (BgL_arg3245z00_868));
						}
						{	/* Ast/apply.scm 188 */
							obj_t BgL_list3243z00_866;

							BgL_list3243z00_866 = MAKE_PAIR(BgL_arg3242z00_865, BNIL);
							BgL_arg3240z00_863 = BgL_list3243z00_866;
					}}
					if (NULLP(CDR(BgL_localsz00_805)))
						{	/* Ast/apply.scm 199 */
							BgL_arg3241z00_864 =
								BGl_loopz72z72zzast_applyz00(BgL_sitez00_1616, BgL_procz00_1615,
								BgL_framez00_1614, BgL_typez00_1613, BgL_stackz00_1612,
								BgL_locz00_1611, BgL_runnerz00_1610, CDR(BgL_localsz00_805));
						}
					else
						{	/* Ast/apply.scm 202 */
							obj_t BgL_arg3256z00_879;

							obj_t BgL_arg3257z00_880;

							{	/* Ast/apply.scm 202 */
								obj_t BgL_arg3258z00_881;

								obj_t BgL_arg3260z00_882;

								BgL_arg3258z00_881 = CNST_TABLE_REF(((long) 10));
								{	/* Ast/apply.scm 203 */
									obj_t BgL_arg3261z00_883;

									obj_t BgL_arg3262z00_884;

									{	/* Ast/apply.scm 203 */
										obj_t BgL_arg3269z00_888;

										obj_t BgL_arg3270z00_889;

										BgL_arg3269z00_888 = CNST_TABLE_REF(((long) 11));
										{	/* Ast/apply.scm 205 */
											BgL_varz00_bglt BgL_arg3271z00_890;

											obj_t BgL_arg3272z00_891;

											{	/* Ast/apply.scm 205 */
												BgL_typez00_bglt BgL_arg3276z00_895;

												{
													BgL_variablez00_bglt BgL_auxz00_1869;

													BgL_auxz00_1869 =
														(BgL_variablez00_bglt) (BgL_runnerz00_1610);
													BgL_arg3276z00_895 =
														(((BgL_variablez00_bglt) CREF(BgL_auxz00_1869))->
														BgL_typez00);
												}
												BgL_arg3271z00_890 =
													BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1611,
													BgL_arg3276z00_895,
													(BgL_variablez00_bglt) (BgL_runnerz00_1610));
											}
											{	/* Ast/apply.scm 207 */
												obj_t BgL_arg3277z00_896;

												obj_t BgL_arg3278z00_897;

												BgL_arg3277z00_896 = CNST_TABLE_REF(((long) 6));
												{	/* Ast/apply.scm 210 */
													BgL_varz00_bglt BgL_arg3279z00_898;

													{	/* Ast/apply.scm 210 */
														BgL_typez00_bglt BgL_arg3282z00_901;

														{
															BgL_variablez00_bglt BgL_auxz00_1875;

															BgL_auxz00_1875 =
																(BgL_variablez00_bglt) (BgL_runnerz00_1610);
															BgL_arg3282z00_901 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_1875))->BgL_typez00);
														}
														BgL_arg3279z00_898 =
															BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1611,
															BgL_arg3282z00_901,
															(BgL_variablez00_bglt) (BgL_runnerz00_1610));
													}
													{	/* Ast/apply.scm 207 */
														obj_t BgL_list3281z00_900;

														BgL_list3281z00_900 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3278z00_897 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
															(obj_t) (BgL_arg3279z00_898),
															BgL_list3281z00_900);
												}}
												BgL_arg3272z00_891 =
													MAKE_PAIR(BgL_arg3277z00_896, BgL_arg3278z00_897);
											}
											{	/* Ast/apply.scm 203 */
												obj_t BgL_list3274z00_893;

												{	/* Ast/apply.scm 203 */
													obj_t BgL_arg3275z00_894;

													BgL_arg3275z00_894 = MAKE_PAIR(BNIL, BNIL);
													BgL_list3274z00_893 =
														MAKE_PAIR(BgL_arg3272z00_891, BgL_arg3275z00_894);
												}
												BgL_arg3270z00_889 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
													(obj_t) (BgL_arg3271z00_890), BgL_list3274z00_893);
										}}
										BgL_arg3261z00_883 =
											MAKE_PAIR(BgL_arg3269z00_888, BgL_arg3270z00_889);
									}
									BgL_arg3262z00_884 =
										BGl_loopz72z72zzast_applyz00(BgL_sitez00_1616,
										BgL_procz00_1615, BgL_framez00_1614, BgL_typez00_1613,
										BgL_stackz00_1612, BgL_locz00_1611, BgL_runnerz00_1610,
										CDR(BgL_localsz00_805));
									{	/* Ast/apply.scm 202 */
										obj_t BgL_list3265z00_886;

										{	/* Ast/apply.scm 202 */
											obj_t BgL_arg3266z00_887;

											BgL_arg3266z00_887 = MAKE_PAIR(BNIL, BNIL);
											BgL_list3265z00_886 =
												MAKE_PAIR(BgL_arg3262z00_884, BgL_arg3266z00_887);
										}
										BgL_arg3260z00_882 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3261z00_883, BgL_list3265z00_886);
								}}
								BgL_arg3256z00_879 =
									MAKE_PAIR(BgL_arg3258z00_881, BgL_arg3260z00_882);
							}
							BgL_arg3257z00_880 = CNST_TABLE_REF(((long) 1));
							BgL_arg3241z00_864 =
								(obj_t) (BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3256z00_879,
									BgL_stackz00_1612, BgL_locz00_1611, BgL_arg3257z00_880));
						}
					return
						(obj_t) (BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_1611,
							BgL_typez00_1613, BUNSPEC, BINT(((long) -1)), BgL_arg3240z00_863,
							(BgL_nodez00_bglt) (BgL_arg3241z00_864), ((bool_t) 1)));
		}}
	}



/* va-known-app-ly->node */
	BgL_letzd2varzd2_bglt
		BGl_vazd2knownzd2appzd2lyzd2ze3nodeze3zzast_applyz00(obj_t BgL_stackz00_26,
		obj_t BgL_locz00_27, BgL_nodez00_bglt BgL_procz00_28,
		BgL_nodez00_bglt BgL_argz00_29, obj_t BgL_framez00_30, obj_t BgL_sitez00_31)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 233 */
			{	/* Ast/apply.scm 234 */
				obj_t BgL_framez00_1609;

				BgL_framez00_1609 = MAKE_CELL(BgL_framez00_30);
				{	/* Ast/apply.scm 234 */
					BgL_localz00_bglt BgL_runnerz00_906;

					BgL_typez00_bglt BgL_typez00_907;

					{	/* Ast/apply.scm 234 */
						obj_t BgL_arg3351z00_984;

						BgL_arg3351z00_984 =
							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
							(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 2))));
						BgL_runnerz00_906 =
							BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg3351z00_984,
							(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00));
					}
					BgL_typez00_907 =
						(((BgL_nodez00_bglt) CREF(BgL_procz00_28))->BgL_typez00);
					{	/* Ast/apply.scm 237 */
						bool_t BgL_testz00_1908;

						{	/* Ast/apply.scm 237 */
							obj_t BgL_objz00_1499;

							BgL_objz00_1499 = CELL_REF(BgL_framez00_1609);
							BgL_testz00_1908 = PAIRP(BgL_objz00_1499);
						}
						if (BgL_testz00_1908)
							{	/* Ast/apply.scm 238 */
								BgL_variablez00_bglt BgL_obj1491z00_1500;

								obj_t BgL_val1490z00_1501;

								BgL_obj1491z00_1500 =
									(BgL_variablez00_bglt) (BgL_runnerz00_906);
								BgL_val1490z00_1501 = CNST_TABLE_REF(((long) 3));
								((((BgL_variablez00_bglt) CREF(BgL_obj1491z00_1500))->
										BgL_accessz00) = ((obj_t) BgL_val1490z00_1501), BUNSPEC);
							}
						else
							{	/* Ast/apply.scm 237 */
								BFALSE;
							}
					}
					{	/* Ast/apply.scm 239 */
						obj_t BgL_arg3290z00_910;

						obj_t BgL_arg3291z00_911;

						{	/* Ast/apply.scm 242 */
							obj_t BgL_arg3292z00_912;

							BgL_arg3292z00_912 =
								MAKE_PAIR((obj_t) (BgL_runnerz00_906), (obj_t) (BgL_argz00_29));
							{	/* Ast/apply.scm 242 */
								obj_t BgL_list3293z00_913;

								BgL_list3293z00_913 = MAKE_PAIR(BgL_arg3292z00_912, BNIL);
								BgL_arg3290z00_910 = BgL_list3293z00_913;
							}
						}
						BgL_arg3291z00_911 =
							BGl_loopz00zzast_applyz00(BgL_procz00_28, BgL_framez00_1609,
							BgL_typez00_907, BgL_stackz00_26, BgL_locz00_27,
							BgL_runnerz00_906, CELL_REF(BgL_framez00_1609), BNIL);
						return BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_27,
							BgL_typez00_907, BUNSPEC, BINT(((long) -1)), BgL_arg3290z00_910,
							(BgL_nodez00_bglt) (BgL_arg3291z00_911), ((bool_t) 1));
		}}}}
	}



/* loop */
	obj_t BGl_loopz00zzast_applyz00(BgL_nodez00_bglt BgL_procz00_1607,
		obj_t BgL_framez00_1606, BgL_typez00_bglt BgL_typez00_1605,
		obj_t BgL_stackz00_1604, obj_t BgL_locz00_1603,
		BgL_localz00_bglt BgL_runnerz00_1602, obj_t BgL_localsz00_915,
		obj_t BgL_oldz00_916)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 243 */
			if (NULLP(BgL_localsz00_915))
				{	/* Ast/apply.scm 245 */
					if (NULLP(BgL_oldz00_916))
						{	/* Ast/apply.scm 248 */
							obj_t BgL_auxz00_1608;

							{	/* Ast/apply.scm 248 */
								obj_t BgL_list3296z00_920;

								BgL_list3296z00_920 =
									MAKE_PAIR((obj_t) (BgL_runnerz00_1602), BNIL);
								BgL_auxz00_1608 = BgL_list3296z00_920;
							}
							CELL_SET(BgL_framez00_1606, BgL_auxz00_1608);
						}
					else
						{	/* Ast/apply.scm 249 */
							obj_t BgL_arg3297z00_921;

							BgL_arg3297z00_921 =
								MAKE_PAIR((obj_t) (BgL_runnerz00_1602), BNIL);
							SET_CDR(BgL_oldz00_916, BgL_arg3297z00_921);
						}
					{	/* Ast/apply.scm 252 */
						BgL_typez00_bglt BgL_arg3298z00_922;

						BgL_varz00_bglt BgL_arg3300z00_924;

						obj_t BgL_arg3301z00_925;

						{	/* Ast/apply.scm 252 */
							BgL_variablez00_bglt BgL_obj1483z00_1511;

							{
								BgL_varz00_bglt BgL_auxz00_1930;

								BgL_auxz00_1930 = (BgL_varz00_bglt) (BgL_procz00_1607);
								BgL_obj1483z00_1511 =
									(((BgL_varz00_bglt) CREF(BgL_auxz00_1930))->BgL_variablez00);
							}
							BgL_arg3298z00_922 =
								(((BgL_variablez00_bglt) CREF(BgL_obj1483z00_1511))->
								BgL_typez00);
						}
						{	/* Ast/apply.scm 253 */
							BgL_varz00_bglt BgL_duplicated3132z00_927;

							BgL_duplicated3132z00_927 = (BgL_varz00_bglt) (BgL_procz00_1607);
							{	/* Ast/apply.scm 253 */
								BgL_varz00_bglt BgL_new3133z00_928;

								{	/* Ast/apply.scm 253 */
									obj_t BgL_arg3303z00_929;

									BgL_typez00_bglt BgL_arg3304z00_930;

									BgL_variablez00_bglt BgL_arg3305z00_931;

									{
										BgL_nodez00_bglt BgL_auxz00_1935;

										BgL_auxz00_1935 =
											(BgL_nodez00_bglt) (BgL_duplicated3132z00_927);
										BgL_arg3303z00_929 =
											(((BgL_nodez00_bglt) CREF(BgL_auxz00_1935))->BgL_locz00);
									}
									{
										BgL_nodez00_bglt BgL_auxz00_1938;

										BgL_auxz00_1938 =
											(BgL_nodez00_bglt) (BgL_duplicated3132z00_927);
										BgL_arg3304z00_930 =
											(((BgL_nodez00_bglt) CREF(BgL_auxz00_1938))->BgL_typez00);
									}
									BgL_arg3305z00_931 =
										(((BgL_varz00_bglt) CREF(BgL_duplicated3132z00_927))->
										BgL_variablez00);
									BgL_new3133z00_928 =
										BGl_makezd2varzd2zzast_nodez00(BgL_arg3303z00_929,
										BgL_arg3304z00_930, BgL_arg3305z00_931);
								}
								{	/* Ast/apply.scm 253 */

									BgL_arg3300z00_924 = BgL_new3133z00_928;
								}
							}
						}
						{	/* Ast/apply.scm 254 */
							obj_t BgL_l3144z00_932;

							BgL_l3144z00_932 = CELL_REF(BgL_framez00_1606);
							if (NULLP(BgL_l3144z00_932))
								{	/* Ast/apply.scm 254 */
									BgL_arg3301z00_925 = BNIL;
								}
							else
								{	/* Ast/apply.scm 254 */
									obj_t BgL_head3146z00_934;

									BgL_head3146z00_934 = MAKE_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l3144z00_935;

										obj_t BgL_tail3147z00_936;

										BgL_l3144z00_935 = BgL_l3144z00_932;
										BgL_tail3147z00_936 = BgL_head3146z00_934;
									BgL_map3145z00_937:
										if (NULLP(BgL_l3144z00_935))
											{	/* Ast/apply.scm 254 */
												BgL_arg3301z00_925 = CDR(BgL_head3146z00_934);
											}
										else
											{	/* Ast/apply.scm 254 */
												obj_t BgL_newtail3148z00_939;

												{	/* Ast/apply.scm 254 */
													BgL_varz00_bglt BgL_arg3309z00_941;

													{	/* Ast/apply.scm 254 */
														obj_t BgL_localz00_943;

														BgL_localz00_943 = CAR(BgL_l3144z00_935);
														{	/* Ast/apply.scm 257 */
															BgL_typez00_bglt BgL_arg3311z00_944;

															{
																BgL_variablez00_bglt BgL_auxz00_1950;

																BgL_auxz00_1950 =
																	(BgL_variablez00_bglt) (BgL_localz00_943);
																BgL_arg3311z00_944 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_auxz00_1950))->BgL_typez00);
															}
															BgL_arg3309z00_941 =
																BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1603,
																BgL_arg3311z00_944,
																(BgL_variablez00_bglt) (BgL_localz00_943));
														}
													}
													BgL_newtail3148z00_939 =
														MAKE_PAIR((obj_t) (BgL_arg3309z00_941), BNIL);
												}
												SET_CDR(BgL_tail3147z00_936, BgL_newtail3148z00_939);
												{
													obj_t BgL_tail3147z00_1960;

													obj_t BgL_l3144z00_1958;

													BgL_l3144z00_1958 = CDR(BgL_l3144z00_935);
													BgL_tail3147z00_1960 = BgL_newtail3148z00_939;
													BgL_tail3147z00_936 = BgL_tail3147z00_1960;
													BgL_l3144z00_935 = BgL_l3144z00_1958;
													goto BgL_map3145z00_937;
												}
											}
									}
								}
						}
						return
							(obj_t) (BGl_makezd2appzd2zzast_nodez00(BgL_locz00_1603,
								BgL_arg3298z00_922, BUNSPEC, BINT(((long) -1)),
								BgL_arg3300z00_924, BgL_arg3301z00_925));
				}}
			else
				{	/* Ast/apply.scm 260 */
					obj_t BgL_arg3313z00_946;

					BgL_nodez00_bglt BgL_arg3314z00_947;

					{	/* Ast/apply.scm 264 */
						obj_t BgL_arg3315z00_948;

						{	/* Ast/apply.scm 264 */
							obj_t BgL_arg3317z00_950;

							BgL_nodez00_bglt BgL_arg3318z00_951;

							BgL_arg3317z00_950 = CAR(BgL_localsz00_915);
							{	/* Ast/apply.scm 266 */
								obj_t BgL_arg3319z00_952;

								obj_t BgL_arg3320z00_953;

								{	/* Ast/apply.scm 266 */
									obj_t BgL_arg3321z00_954;

									obj_t BgL_arg3322z00_955;

									BgL_arg3321z00_954 = CNST_TABLE_REF(((long) 9));
									{	/* Ast/apply.scm 269 */
										BgL_varz00_bglt BgL_arg3323z00_956;

										{	/* Ast/apply.scm 269 */
											BgL_typez00_bglt BgL_arg3326z00_959;

											{
												BgL_variablez00_bglt BgL_auxz00_1966;

												BgL_auxz00_1966 =
													(BgL_variablez00_bglt) (BgL_runnerz00_1602);
												BgL_arg3326z00_959 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_1966))->
													BgL_typez00);
											}
											BgL_arg3323z00_956 =
												BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1603,
												BgL_arg3326z00_959,
												(BgL_variablez00_bglt) (BgL_runnerz00_1602));
										}
										{	/* Ast/apply.scm 266 */
											obj_t BgL_list3325z00_958;

											BgL_list3325z00_958 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg3322z00_955 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
												(obj_t) (BgL_arg3323z00_956), BgL_list3325z00_958);
									}}
									BgL_arg3319z00_952 =
										MAKE_PAIR(BgL_arg3321z00_954, BgL_arg3322z00_955);
								}
								BgL_arg3320z00_953 = CNST_TABLE_REF(((long) 1));
								BgL_arg3318z00_951 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3319z00_952,
									BgL_stackz00_1604, BgL_locz00_1603, BgL_arg3320z00_953);
							}
							BgL_arg3315z00_948 =
								MAKE_PAIR(BgL_arg3317z00_950, (obj_t) (BgL_arg3318z00_951));
						}
						{	/* Ast/apply.scm 263 */
							obj_t BgL_list3316z00_949;

							BgL_list3316z00_949 = MAKE_PAIR(BgL_arg3315z00_948, BNIL);
							BgL_arg3313z00_946 = BgL_list3316z00_949;
					}}
					{	/* Ast/apply.scm 275 */
						obj_t BgL_arg3327z00_960;

						obj_t BgL_arg3328z00_961;

						{	/* Ast/apply.scm 275 */
							obj_t BgL_arg3329z00_962;

							obj_t BgL_arg3330z00_963;

							BgL_arg3329z00_962 = CNST_TABLE_REF(((long) 10));
							{	/* Ast/apply.scm 276 */
								obj_t BgL_arg3331z00_964;

								obj_t BgL_arg3332z00_965;

								{	/* Ast/apply.scm 276 */
									obj_t BgL_arg3336z00_969;

									obj_t BgL_arg3337z00_970;

									BgL_arg3336z00_969 = CNST_TABLE_REF(((long) 11));
									{	/* Ast/apply.scm 278 */
										BgL_varz00_bglt BgL_arg3338z00_971;

										obj_t BgL_arg3339z00_972;

										{	/* Ast/apply.scm 278 */
											BgL_typez00_bglt BgL_arg3343z00_976;

											{
												BgL_variablez00_bglt BgL_auxz00_1982;

												BgL_auxz00_1982 =
													(BgL_variablez00_bglt) (BgL_runnerz00_1602);
												BgL_arg3343z00_976 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_1982))->
													BgL_typez00);
											}
											BgL_arg3338z00_971 =
												BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1603,
												BgL_arg3343z00_976,
												(BgL_variablez00_bglt) (BgL_runnerz00_1602));
										}
										{	/* Ast/apply.scm 280 */
											obj_t BgL_arg3344z00_977;

											obj_t BgL_arg3345z00_978;

											BgL_arg3344z00_977 = CNST_TABLE_REF(((long) 6));
											{	/* Ast/apply.scm 282 */
												BgL_varz00_bglt BgL_arg3346z00_979;

												{	/* Ast/apply.scm 282 */
													BgL_typez00_bglt BgL_arg3349z00_982;

													{
														BgL_variablez00_bglt BgL_auxz00_1988;

														BgL_auxz00_1988 =
															(BgL_variablez00_bglt) (BgL_runnerz00_1602);
														BgL_arg3349z00_982 =
															(((BgL_variablez00_bglt) CREF(BgL_auxz00_1988))->
															BgL_typez00);
													}
													BgL_arg3346z00_979 =
														BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1603,
														BgL_arg3349z00_982,
														(BgL_variablez00_bglt) (BgL_runnerz00_1602));
												}
												{	/* Ast/apply.scm 280 */
													obj_t BgL_list3348z00_981;

													BgL_list3348z00_981 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg3345z00_978 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
														(obj_t) (BgL_arg3346z00_979), BgL_list3348z00_981);
											}}
											BgL_arg3339z00_972 =
												MAKE_PAIR(BgL_arg3344z00_977, BgL_arg3345z00_978);
										}
										{	/* Ast/apply.scm 276 */
											obj_t BgL_list3341z00_974;

											{	/* Ast/apply.scm 276 */
												obj_t BgL_arg3342z00_975;

												BgL_arg3342z00_975 = MAKE_PAIR(BNIL, BNIL);
												BgL_list3341z00_974 =
													MAKE_PAIR(BgL_arg3339z00_972, BgL_arg3342z00_975);
											}
											BgL_arg3337z00_970 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
												(obj_t) (BgL_arg3338z00_971), BgL_list3341z00_974);
									}}
									BgL_arg3331z00_964 =
										MAKE_PAIR(BgL_arg3336z00_969, BgL_arg3337z00_970);
								}
								{	/* Ast/apply.scm 284 */
									obj_t BgL_arg3350z00_983;

									BgL_arg3350z00_983 = CDR(BgL_localsz00_915);
									BgL_arg3332z00_965 =
										BGl_loopz00zzast_applyz00(BgL_procz00_1607,
										BgL_framez00_1606, BgL_typez00_1605, BgL_stackz00_1604,
										BgL_locz00_1603, BgL_runnerz00_1602, BgL_arg3350z00_983,
										BgL_localsz00_915);
								}
								{	/* Ast/apply.scm 275 */
									obj_t BgL_list3334z00_967;

									{	/* Ast/apply.scm 275 */
										obj_t BgL_arg3335z00_968;

										BgL_arg3335z00_968 = MAKE_PAIR(BNIL, BNIL);
										BgL_list3334z00_967 =
											MAKE_PAIR(BgL_arg3332z00_965, BgL_arg3335z00_968);
									}
									BgL_arg3330z00_963 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg3331z00_964, BgL_list3334z00_967);
							}}
							BgL_arg3327z00_960 =
								MAKE_PAIR(BgL_arg3329z00_962, BgL_arg3330z00_963);
						}
						BgL_arg3328z00_961 = CNST_TABLE_REF(((long) 1));
						BgL_arg3314z00_947 =
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3327z00_960,
							BgL_stackz00_1604, BgL_locz00_1603, BgL_arg3328z00_961);
					}
					return
						(obj_t) (BGl_makezd2letzd2varz00zzast_nodez00(BgL_locz00_1603,
							BgL_typez00_1605, BUNSPEC, BINT(((long) -1)), BgL_arg3313z00_946,
							BgL_arg3314z00_947, ((bool_t) 1)));
		}}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
				BGl_makezd2funzd2framezd2defau3149zd2envz00zzast_applyz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_sfunz00zzast_varz00,
				BGl_proc3438z00zzast_applyz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_makezd2funzd2framezd2envzd2zzast_applyz00, BGl_cfunz00zzast_varz00,
				BGl_proc3439z00zzast_applyz00);
		}
	}



/* make-fun-frame-cfun3154 */
	obj_t BGl_makezd2funzd2framezd2cfun3154zd2zzast_applyz00(obj_t
		BgL_envz00_1596, obj_t BgL_funz00_1597)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 87 */
			{
				BgL_cfunz00_bglt BgL_funz00_1381;

				BgL_funz00_1381 = (BgL_cfunz00_bglt) (BgL_funz00_1597);
				{	/* Ast/apply.scm 88 */
					long BgL_arityz00_1384;

					{
						BgL_funz00_bglt BgL_auxz00_2016;

						BgL_auxz00_2016 = (BgL_funz00_bglt) (BgL_funz00_1381);
						BgL_arityz00_1384 =
							(((BgL_funz00_bglt) CREF(BgL_auxz00_2016))->BgL_arityz00);
					}
					{	/* Ast/apply.scm 89 */
						obj_t BgL_g3120z00_1385;

						BgL_g3120z00_1385 =
							(((BgL_cfunz00_bglt) CREF(BgL_funz00_1381))->BgL_argszd2typezd2);
						{
							obj_t BgL_typesz00_1387;

							obj_t BgL_localsz00_1388;

							BgL_typesz00_1387 = BgL_g3120z00_1385;
							BgL_localsz00_1388 = BNIL;
						BgL_loopz00_1389:
							if (NULLP(BgL_typesz00_1387))
								{	/* Ast/apply.scm 92 */
									return bgl_reverse_bang(BgL_localsz00_1388);
								}
							else
								{	/* Ast/apply.scm 94 */
									bool_t BgL_testz00_2023;

									if (NULLP(CDR(BgL_typesz00_1387)))
										{	/* Ast/apply.scm 94 */
											BgL_testz00_2023 = (BgL_arityz00_1384 < ((long) 0));
										}
									else
										{	/* Ast/apply.scm 94 */
											BgL_testz00_2023 = ((bool_t) 0);
										}
									if (BgL_testz00_2023)
										{	/* Ast/apply.scm 94 */
											return bgl_reverse_bang(BgL_localsz00_1388);
										}
									else
										{	/* Ast/apply.scm 97 */
											obj_t BgL_arg3415z00_1392;

											obj_t BgL_arg3416z00_1393;

											BgL_arg3415z00_1392 = CDR(BgL_typesz00_1387);
											{	/* Ast/apply.scm 98 */
												BgL_localz00_bglt BgL_arg3417z00_1394;

												{	/* Ast/apply.scm 98 */
													obj_t BgL_arg3418z00_1395;

													obj_t BgL_arg3419z00_1396;

													BgL_arg3418z00_1395 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 12))));
													BgL_arg3419z00_1396 = CAR(BgL_typesz00_1387);
													BgL_arg3417z00_1394 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg3418z00_1395,
														(BgL_typez00_bglt) (BgL_arg3419z00_1396));
												}
												BgL_arg3416z00_1393 =
													MAKE_PAIR(
													(obj_t) (BgL_arg3417z00_1394), BgL_localsz00_1388);
											}
											{
												obj_t BgL_localsz00_2039;

												obj_t BgL_typesz00_2038;

												BgL_typesz00_2038 = BgL_arg3415z00_1392;
												BgL_localsz00_2039 = BgL_arg3416z00_1393;
												BgL_localsz00_1388 = BgL_localsz00_2039;
												BgL_typesz00_1387 = BgL_typesz00_2038;
												goto BgL_loopz00_1389;
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* make-fun-frame-sfun3152 */
	obj_t BGl_makezd2funzd2framezd2sfun3152zd2zzast_applyz00(obj_t
		BgL_envz00_1598, obj_t BgL_funz00_1599)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 67 */
			{
				BgL_sfunz00_bglt BgL_funz00_1357;

				BgL_funz00_1357 = (BgL_sfunz00_bglt) (BgL_funz00_1599);
				{	/* Ast/apply.scm 68 */
					long BgL_arityz00_1360;

					{
						BgL_funz00_bglt BgL_auxz00_2041;

						BgL_auxz00_2041 = (BgL_funz00_bglt) (BgL_funz00_1357);
						BgL_arityz00_1360 =
							(((BgL_funz00_bglt) CREF(BgL_auxz00_2041))->BgL_arityz00);
					}
					{	/* Ast/apply.scm 69 */
						obj_t BgL_g3118z00_1361;

						BgL_g3118z00_1361 =
							(((BgL_sfunz00_bglt) CREF(BgL_funz00_1357))->BgL_argsz00);
						{
							obj_t BgL_formalsz00_1363;

							obj_t BgL_localsz00_1364;

							BgL_formalsz00_1363 = BgL_g3118z00_1361;
							BgL_localsz00_1364 = BNIL;
						BgL_loopz00_1365:
							if (NULLP(BgL_formalsz00_1363))
								{	/* Ast/apply.scm 72 */
									return bgl_reverse_bang(BgL_localsz00_1364);
								}
							else
								{	/* Ast/apply.scm 74 */
									bool_t BgL_testz00_2048;

									if (NULLP(CDR(BgL_formalsz00_1363)))
										{	/* Ast/apply.scm 74 */
											BgL_testz00_2048 = (BgL_arityz00_1360 < ((long) 0));
										}
									else
										{	/* Ast/apply.scm 74 */
											BgL_testz00_2048 = ((bool_t) 0);
										}
									if (BgL_testz00_2048)
										{	/* Ast/apply.scm 74 */
											return bgl_reverse_bang(BgL_localsz00_1364);
										}
									else
										{	/* Ast/apply.scm 77 */
											obj_t BgL_arg3401z00_1368;

											obj_t BgL_arg3402z00_1369;

											BgL_arg3401z00_1368 = CDR(BgL_formalsz00_1363);
											{	/* Ast/apply.scm 78 */
												BgL_localz00_bglt BgL_arg3403z00_1370;

												{	/* Ast/apply.scm 78 */
													obj_t BgL_arg3404z00_1371;

													obj_t BgL_arg3405z00_1372;

													BgL_arg3404z00_1371 =
														BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
														(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF((
																	(long) 12))));
													{	/* Ast/apply.scm 79 */
														bool_t BgL_testz00_2058;

														{	/* Ast/apply.scm 79 */
															obj_t BgL_arg3409z00_1376;

															BgL_arg3409z00_1376 = CAR(BgL_formalsz00_1363);
															BgL_testz00_2058 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_arg3409z00_1376,
																BGl_typez00zztype_typez00);
														}
														if (BgL_testz00_2058)
															{	/* Ast/apply.scm 79 */
																BgL_arg3405z00_1372 = CAR(BgL_formalsz00_1363);
															}
														else
															{	/* Ast/apply.scm 81 */
																BgL_variablez00_bglt BgL_obj1483z00_1546;

																{	/* Ast/apply.scm 81 */
																	obj_t BgL_pairz00_1545;

																	BgL_pairz00_1545 = BgL_formalsz00_1363;
																	BgL_obj1483z00_1546 =
																		(BgL_variablez00_bglt) (CAR
																		(BgL_pairz00_1545));
																}
																BgL_arg3405z00_1372 =
																	(obj_t) (
																	(((BgL_variablez00_bglt)
																			CREF(BgL_obj1483z00_1546))->BgL_typez00));
															}
													}
													BgL_arg3403z00_1370 =
														BGl_makezd2localzd2svarz00zzast_localz00
														(BgL_arg3404z00_1371,
														(BgL_typez00_bglt) (BgL_arg3405z00_1372));
												}
												BgL_arg3402z00_1369 =
													MAKE_PAIR(
													(obj_t) (BgL_arg3403z00_1370), BgL_localsz00_1364);
											}
											{
												obj_t BgL_localsz00_2071;

												obj_t BgL_formalsz00_2070;

												BgL_formalsz00_2070 = BgL_arg3401z00_1368;
												BgL_localsz00_2071 = BgL_arg3402z00_1369;
												BgL_localsz00_1364 = BgL_localsz00_2071;
												BgL_formalsz00_1363 = BgL_formalsz00_2070;
												goto BgL_loopz00_1365;
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* make-fun-frame */
	obj_t BGl_makezd2funzd2framez00zzast_applyz00(BgL_funz00_bglt BgL_funz00_5)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 62 */
			{	/* Ast/apply.scm 62 */
				obj_t BgL_method3150z00_1556;

				{	/* Ast/apply.scm 62 */
					BgL_objectz00_bglt BgL_objz00_1557;

					BgL_objz00_1557 = (BgL_objectz00_bglt) (BgL_funz00_5);
					{	/* Ast/apply.scm 62 */
						long BgL_objzd2classzd2numz00_1558;

						BgL_objzd2classzd2numz00_1558 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1557);
						{	/* Ast/apply.scm 62 */
							obj_t BgL_arg2388z00_1559;

							BgL_arg2388z00_1559 =
								PROCEDURE_REF(BGl_makezd2funzd2framezd2envzd2zzast_applyz00,
								(int) (((long) 1)));
							{	/* Ast/apply.scm 62 */
								obj_t BgL_arrayz00_1561;

								int BgL_offsetz00_1562;

								BgL_arrayz00_1561 = BgL_arg2388z00_1559;
								BgL_offsetz00_1562 = (int) (BgL_objzd2classzd2numz00_1558);
								{	/* Ast/apply.scm 62 */
									long BgL_offsetz00_1563;

									BgL_offsetz00_1563 =
										((long) (BgL_offsetz00_1562) - OBJECT_TYPE);
									{	/* Ast/apply.scm 62 */
										long BgL_modz00_1564;

										{	/* Ast/apply.scm 62 */
											int BgL_arg2390z00_1565;

											BgL_arg2390z00_1565 = (int) (((long) 8));
											{	/* Ast/apply.scm 62 */
												long BgL_auxz00_2081;

												BgL_auxz00_2081 = (long) (BgL_arg2390z00_1565);
												BgL_modz00_1564 =
													(BgL_offsetz00_1563 / BgL_auxz00_2081);
										}}
										{	/* Ast/apply.scm 62 */
											long BgL_restz00_1566;

											{	/* Ast/apply.scm 62 */
												int BgL_arg2389z00_1567;

												BgL_arg2389z00_1567 = (int) (((long) 8));
												{	/* Ast/apply.scm 62 */
													long BgL_auxz00_2085;

													BgL_auxz00_2085 = (long) (BgL_arg2389z00_1567);
													BgL_restz00_1566 =
														(BgL_offsetz00_1563 % BgL_auxz00_2085);
											}}
											{	/* Ast/apply.scm 62 */

												BgL_method3150z00_1556 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1561,
														(int) (BgL_modz00_1564)), (int) (BgL_restz00_1566));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3150z00_1556) (BgL_method3150z00_1556,
					(obj_t) (BgL_funz00_5), BEOA);
			}
		}
	}



/* _make-fun-frame */
	obj_t BGl__makezd2funzd2framez00zzast_applyz00(obj_t BgL_envz00_1592,
		obj_t BgL_funz00_1593)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 62 */
			return
				BGl_makezd2funzd2framez00zzast_applyz00(
				(BgL_funz00_bglt) (BgL_funz00_1593));
		}
	}



/* make-fun-frame-defau3149 */
	obj_t BGl_makezd2funzd2framezd2defau3149zd2zzast_applyz00(BgL_funz00_bglt
		BgL_funz00_6)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 13)),
				BGl_string3440z00zzast_applyz00, (obj_t) (BgL_funz00_6));
		}
	}



/* _make-fun-frame-defau3149 */
	obj_t BGl__makezd2funzd2framezd2defau3149zd2zzast_applyz00(obj_t
		BgL_envz00_1600, obj_t BgL_funz00_1601)
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			return
				BGl_makezd2funzd2framezd2defau3149zd2zzast_applyz00(
				(BgL_funz00_bglt) (BgL_funz00_1601));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_applyz00()
	{
		AN_OBJECT;
		{	/* Ast/apply.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3441z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3441z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3441z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string3441z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3441z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3441z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3441z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3441z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3441z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3441z00zzast_applyz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 271227279),
				BSTRING_TO_STRING(BGl_string3441z00zzast_applyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3441z00zzast_applyz00));
		}
	}

#ifdef __cplusplus
}
#endif
