/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/venv.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt);
	static obj_t BGl_zc3anonymousza33472ze3z83zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl__restorezd2valuezd2types3585z00zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl__restorezd2valuezd2typesz123323z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_envz00();
	static obj_t BGl__addzd2genvz12zc0zzast_envz00(obj_t, obj_t);
	static obj_t BGl__bindzd2globalz123588zc0zzast_envz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__alreadyzd2restoredzf3z21zzast_envz00(obj_t, obj_t);
	static obj_t
		BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	static obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_envz00();
	static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, BgL_valuez00_bglt, obj_t,
		obj_t);
	static obj_t BGl__restorezd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl__unbindzd2globalz123589zc0zzast_envz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2genvzd2zzast_envz00();
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_methodzd2initzd2zzast_envz00();
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t BGl__getzd2genvzd2zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza33334ze3z83zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl__globalzd2bucketzd2posit3591z00zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl__forzd2eachzd2globalz123590z12zzast_envz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl__findzd2global3586zd2zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl__getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00();
	static obj_t BGl__initializa7ezd2Genvz12z67zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	static obj_t BGl__findzd2globalzf2module3587z20zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz123326z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz123328z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz123330z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz123332z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl__setzd2genvz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_globalz00_bglt BGl_makezd2globalzd2zzast_varz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, obj_t,
		obj_t, bool_t, obj_t, bool_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	static obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00();
	static obj_t __cnst[7];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_restorezd2valuezd2typesz123323zd2envzc0zzast_envz00,
		BgL_bgl__restoreza7d2value3612za7,
		BGl__restorezd2valuezd2typesz123323z12zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00,
		BgL_bgl__forza7d2eachza7d2gl3613z00, va_generic_entry,
		BGl__forzd2eachzd2globalz123590z12zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzd2envz00zzast_envz00,
		BgL_bgl__findza7d2global353614za7, va_generic_entry,
		BGl__findzd2global3586zd2zzast_envz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00,
		BgL_bgl__initializa7a7eza7d23615z00,
		BGl__initializa7ezd2Genvz12z67zzast_envz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00,
		BgL_bgl__globalza7d2bucket3616za7,
		BGl__globalzd2bucketzd2posit3591z00zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00,
		BgL_bgl__alreadyza7d2resto3617za7,
		BGl__alreadyzd2restoredzf3z21zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2genvzd2envz00zzast_envz00,
		BgL_bgl__getza7d2genvza7d2za7za73618z00, BGl__getzd2genvzd2zzast_envz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl__unbindza7d2global3619za7,
		BGl__unbindzd2globalz123589zc0zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl__getza7d2globalza7f23620z00,
		BGl__getzd2globalzf2modulez20zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl__addza7d2genvza712za7c3621za7, BGl__addzd2genvz12zc0zzast_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2globalz12zd2envz12zzast_envz00,
		BgL_bgl__restoreza7d2globa3622za7, BGl__restorezd2globalz12zc0zzast_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl__setza7d2genvza712za7c3623za7, BGl__setzd2genvz12zc0zzast_envz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00,
		BgL_bgl__additionalza7d2he3624za7,
		BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00, 0L, BUNSPEC,
		0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl__findza7d2globalza7f3625z00,
		BGl__findzd2globalzf2module3587z20zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3600z00zzast_envz00,
		BgL_bgl_restoreza7d2valueza73626z00,
		BGl_restorezd2valuezd2typesz123326z12zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3601z00zzast_envz00,
		BgL_bgl_restoreza7d2valueza73627z00,
		BGl_restorezd2valuezd2typesz123328z12zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3602z00zzast_envz00,
		BgL_bgl_restoreza7d2valueza73628z00,
		BGl_restorezd2valuezd2typesz123330z12zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3592z00zzast_envz00,
		BgL_bgl_za7c3anonymousza7a333629z00,
		BGl_zc3anonymousza33334ze3z83zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3603z00zzast_envz00,
		BgL_bgl_restoreza7d2valueza73630z00,
		BGl_restorezd2valuezd2typesz123332z12zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
		BgL_bgl__restoreza7d2value3631za7,
		BGl__restorezd2valuezd2types3585z00zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3593z00zzast_envz00,
		BgL_bgl_string3593za700za7za7a3632za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string3604z00zzast_envz00,
		BgL_bgl_string3604za700za7za7a3633za7, "restore-value-types(sfun)", 25);
	      DEFINE_STRING(BGl_string3594z00zzast_envz00,
		BgL_bgl_string3594za700za7za7a3634za7, "Cannot find global variable", 27);
	      DEFINE_STRING(BGl_string3605z00zzast_envz00,
		BgL_bgl_string3605za700za7za7a3635za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string3595z00zzast_envz00,
		BgL_bgl_string3595za700za7za7a3636za7, "Variable overridden by", 22);
	      DEFINE_STRING(BGl_string3606z00zzast_envz00,
		BgL_bgl_string3606za700za7za7a3637za7, "restore-value-types", 19);
	      DEFINE_STRING(BGl_string3596z00zzast_envz00,
		BgL_bgl_string3596za700za7za7a3638za7, "Duplicate definition", 20);
	      DEFINE_STRING(BGl_string3607z00zzast_envz00,
		BgL_bgl_string3607za700za7za7a3639za7, "Illegal non pair argument", 25);
	      DEFINE_STRING(BGl_string3597z00zzast_envz00,
		BgL_bgl_string3597za700za7za7a3640za7, "eval", 4);
	      DEFINE_STRING(BGl_string3608z00zzast_envz00,
		BgL_bgl_string3608za700za7za7a3641za7, "ast_env", 7);
	      DEFINE_STRING(BGl_string3598z00zzast_envz00,
		BgL_bgl_string3598za700za7za7a3642za7, "unbind-global!", 14);
	      DEFINE_STRING(BGl_string3609z00zzast_envz00,
		BgL_bgl_string3609za700za7za7a3643za7,
		"eval now read @ get-global/module foreign the-global-environment ", 65);
	      DEFINE_STRING(BGl_string3599z00zzast_envz00,
		BgL_bgl_string3599za700za7za7a3644za7, "Can't find global", 17);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl__bindza7d2globalza713645z00,
		BGl__bindzd2globalz123588zc0zzast_envz00, 0L, BUNSPEC, 5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long
		BgL_checksumz00_1872, char *BgL_fromz00_1873)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
				{
					BGl_requirezd2initializa7ationz75zzast_envz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_envz00();
					BGl_cnstzd2initzd2zzast_envz00();
					BGl_importedzd2moduleszd2initz00zzast_envz00();
					BGl_methodzd2initzd2zzast_envz00();
					BGl_toplevelzd2initzd2zzast_envz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_env");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			{	/* Ast/venv.scm 14 */
				obj_t BgL_cportz00_1863;

				BgL_cportz00_1863 =
					bgl_open_input_string(BGl_string3609z00zzast_envz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1864;

					BgL_iz00_1864 = ((long) 6);
				BgL_loopz00_1865:
					if ((BgL_iz00_1864 == ((long) -1)))
						{	/* Ast/venv.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/venv.scm 14 */
							{	/* Ast/venv.scm 14 */
								obj_t BgL_arg3611z00_1867;

								{	/* Ast/venv.scm 14 */

									{	/* Ast/venv.scm 14 */
										obj_t BgL_locationz00_1869;

										BgL_locationz00_1869 = BBOOL(((bool_t) 0));
										{	/* Ast/venv.scm 14 */

											BgL_arg3611z00_1867 =
												BGl_readz00zz__readerz00(BgL_cportz00_1863,
												BgL_locationz00_1869);
										}
									}
								}
								{	/* Ast/venv.scm 14 */
									int BgL_auxz00_1895;

									BgL_auxz00_1895 = (int) (BgL_iz00_1864);
									CNST_TABLE_SET(BgL_auxz00_1895, BgL_arg3611z00_1867);
							}}
							{	/* Ast/venv.scm 14 */
								int BgL_auxz00_1870;

								BgL_auxz00_1870 = (int) ((BgL_iz00_1864 - ((long) 1)));
								{
									long BgL_iz00_1900;

									BgL_iz00_1900 = (long) (BgL_auxz00_1870);
									BgL_iz00_1864 = BgL_iz00_1900;
									goto BgL_loopz00_1865;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_za2Genvza2z00zzast_envz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL;
			BGl_za2restoredza2z00zzast_envz00 = BNIL;
			return BUNSPEC;
		}
	}



/* set-genv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_1)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 54 */
			return (BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_1, BUNSPEC);
		}
	}



/* _set-genv! */
	obj_t BGl__setzd2genvz12zc0zzast_envz00(obj_t BgL_envz00_1803,
		obj_t BgL_genvz00_1804)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 54 */
			return BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_1804);
		}
	}



/* add-genv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_2)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 63 */
			BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_2,
				BGl_proc3592z00zzast_envz00);
			return (BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC);
		}
	}



/* _add-genv! */
	obj_t BGl__addzd2genvz12zc0zzast_envz00(obj_t BgL_envz00_1806,
		obj_t BgL_genvz00_1807)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 63 */
			return BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_1807);
		}
	}



/* <anonymous:3334> */
	obj_t BGl_zc3anonymousza33334ze3z83zzast_envz00(obj_t BgL_envz00_1808,
		obj_t BgL_kz00_1809, obj_t BgL_bucketz00_1810)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 66 */
			{
				obj_t BgL_kz00_854;

				obj_t BgL_bucketz00_855;

				{	/* Ast/venv.scm 67 */
					bool_t BgL_auxz00_1906;

					BgL_kz00_854 = BgL_kz00_1809;
					BgL_bucketz00_855 = BgL_bucketz00_1810;
					{	/* Ast/venv.scm 67 */
						obj_t BgL_g3317z00_857;

						BgL_g3317z00_857 = CDR(BgL_bucketz00_855);
						{
							obj_t BgL_l3313z00_858;

							BgL_l3313z00_858 = BgL_g3317z00_857;
						BgL_forzd2each3316zd2_859:
							if (PAIRP(BgL_l3313z00_858))
								{	/* Ast/venv.scm 67 */
									{	/* Ast/venv.scm 86 */
										obj_t BgL_newz00_861;

										BgL_newz00_861 = CAR(BgL_l3313z00_858);
										BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 =
											MAKE_PAIR(BgL_newz00_861,
											BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00);
										{	/* Ast/venv.scm 69 */
											obj_t BgL_modulez00_862;

											{
												BgL_globalz00_bglt BgL_auxz00_1912;

												BgL_auxz00_1912 = (BgL_globalz00_bglt) (BgL_newz00_861);
												BgL_modulez00_862 =
													(((BgL_globalz00_bglt) CREF(BgL_auxz00_1912))->
													BgL_modulez00);
											}
											{	/* Ast/venv.scm 69 */
												obj_t BgL_idz00_863;

												{
													BgL_variablez00_bglt BgL_auxz00_1915;

													BgL_auxz00_1915 =
														(BgL_variablez00_bglt) (BgL_newz00_861);
													BgL_idz00_863 =
														(((BgL_variablez00_bglt) CREF(BgL_auxz00_1915))->
														BgL_idz00);
												}
												{	/* Ast/venv.scm 70 */
													obj_t BgL_bucketz00_864;

													BgL_bucketz00_864 =
														BGl_hashtablezd2getzd2zz__hashz00
														(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_863);
													{	/* Ast/venv.scm 71 */

														if (PAIRP(BgL_bucketz00_864))
															{	/* Ast/venv.scm 75 */
																bool_t BgL_testz00_1921;

																if (
																	(BgL_modulez00_862 ==
																		BGl_za2moduleza2z00zzmodule_modulez00))
																	{	/* Ast/venv.scm 75 */
																		BgL_testz00_1921 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/venv.scm 76 */
																		bool_t BgL_testz00_1924;

																		{	/* Ast/venv.scm 77 */
																			obj_t BgL_arg3344z00_874;

																			{	/* Ast/venv.scm 77 */
																				BgL_globalz00_bglt BgL_obj1551z00_1519;

																				{	/* Ast/venv.scm 77 */
																					obj_t BgL_pairz00_1515;

																					BgL_pairz00_1515 = BgL_bucketz00_864;
																					{	/* Ast/venv.scm 77 */
																						obj_t BgL_pairz00_1518;

																						BgL_pairz00_1518 =
																							CDR(BgL_pairz00_1515);
																						BgL_obj1551z00_1519 =
																							(BgL_globalz00_bglt) (CAR
																							(BgL_pairz00_1518));
																					}
																				}
																				BgL_arg3344z00_874 =
																					(((BgL_globalz00_bglt)
																						CREF(BgL_obj1551z00_1519))->
																					BgL_modulez00);
																			}
																			BgL_testz00_1924 =
																				(BGl_za2moduleza2z00zzmodule_modulez00
																				== BgL_arg3344z00_874);
																		}
																		if (BgL_testz00_1924)
																			{	/* Ast/venv.scm 76 */
																				BgL_testz00_1921 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/venv.scm 76 */
																				BgL_testz00_1921 = ((bool_t) 1);
																			}
																	}
																if (BgL_testz00_1921)
																	{	/* Ast/venv.scm 83 */
																		obj_t BgL_newzd2bucketzd2_867;

																		BgL_newzd2bucketzd2_867 =
																			MAKE_PAIR(BgL_newz00_861,
																			CDR(BgL_bucketz00_864));
																		SET_CDR(BgL_bucketz00_864,
																			BgL_newzd2bucketzd2_867);
																	}
																else
																	{	/* Ast/venv.scm 86 */
																		obj_t BgL_arg3339z00_869;

																		obj_t BgL_arg3340z00_870;

																		BgL_arg3339z00_869 = CDR(BgL_bucketz00_864);
																		{	/* Ast/venv.scm 86 */
																			obj_t BgL_arg3341z00_871;

																			{	/* Ast/venv.scm 86 */
																				obj_t BgL_pairz00_1524;

																				BgL_pairz00_1524 = BgL_bucketz00_864;
																				BgL_arg3341z00_871 =
																					CDR(CDR(BgL_pairz00_1524));
																			}
																			BgL_arg3340z00_870 =
																				MAKE_PAIR(BgL_newz00_861,
																				BgL_arg3341z00_871);
																		}
																		SET_CDR(BgL_arg3339z00_869,
																			BgL_arg3340z00_870);
																	}
															}
														else
															{	/* Ast/venv.scm 74 */
																obj_t BgL_arg3346z00_876;

																{	/* Ast/venv.scm 74 */
																	obj_t BgL_list3347z00_877;

																	{	/* Ast/venv.scm 74 */
																		obj_t BgL_arg3348z00_878;

																		BgL_arg3348z00_878 =
																			MAKE_PAIR(BgL_newz00_861, BNIL);
																		BgL_list3347z00_877 =
																			MAKE_PAIR(BgL_idz00_863,
																			BgL_arg3348z00_878);
																	}
																	BgL_arg3346z00_876 = BgL_list3347z00_877;
																}
																BGl_hashtablezd2putz12zc0zz__hashz00
																	(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_863,
																	BgL_arg3346z00_876);
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l3313z00_1941;

										BgL_l3313z00_1941 = CDR(BgL_l3313z00_858);
										BgL_l3313z00_858 = BgL_l3313z00_1941;
										goto BgL_forzd2each3316zd2_859;
									}
								}
							else
								{	/* Ast/venv.scm 67 */
									BgL_auxz00_1906 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1906);
				}
			}
		}
	}



/* additional-heap-restore-globals! */
	BGL_EXPORTED_DEF obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 104 */
			{
				obj_t BgL_l3318z00_881;

				BgL_l3318z00_881 = BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00;
			BgL_forzd2each3319zd2_882:
				if (PAIRP(BgL_l3318z00_881))
					{	/* Ast/venv.scm 105 */
						BGl_restorezd2globalz12zc0zzast_envz00(CAR(BgL_l3318z00_881));
						{
							obj_t BgL_l3318z00_1948;

							BgL_l3318z00_1948 = CDR(BgL_l3318z00_881);
							BgL_l3318z00_881 = BgL_l3318z00_1948;
							goto BgL_forzd2each3319zd2_882;
						}
					}
				else
					{	/* Ast/venv.scm 105 */
						((bool_t) 1);
					}
			}
			return BTRUE;
		}
	}



/* _additional-heap-restore-globals! */
	obj_t BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(obj_t
		BgL_envz00_1811)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 104 */
			return BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
		}
	}



/* restore-global! */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t
		BgL_newz00_4)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 111 */
			BGl_za2restoredza2z00zzast_envz00 =
				MAKE_PAIR(BgL_newz00_4, BGl_za2restoredza2z00zzast_envz00);
			{	/* Ast/venv.scm 114 */
				BgL_typez00_bglt BgL_typez00_887;

				{
					BgL_variablez00_bglt BgL_auxz00_1952;

					BgL_auxz00_1952 = (BgL_variablez00_bglt) (BgL_newz00_4);
					BgL_typez00_887 =
						(((BgL_variablez00_bglt) CREF(BgL_auxz00_1952))->BgL_typez00);
				}
				{	/* Ast/venv.scm 115 */
					BgL_valuez00_bglt BgL_valuez00_888;

					{
						BgL_variablez00_bglt BgL_auxz00_1955;

						BgL_auxz00_1955 = (BgL_variablez00_bglt) (BgL_newz00_4);
						BgL_valuez00_888 =
							(((BgL_variablez00_bglt) CREF(BgL_auxz00_1955))->BgL_valuez00);
					}
					{	/* Ast/venv.scm 116 */
						obj_t BgL_typezd2idzd2_889;

						BgL_typezd2idzd2_889 =
							(((BgL_typez00_bglt) CREF(BgL_typez00_887))->BgL_idz00);
						{	/* Ast/venv.scm 117 */

							{
								BgL_typez00_bglt BgL_auxz00_1961;

								BgL_variablez00_bglt BgL_auxz00_1959;

								BgL_auxz00_1961 =
									BGl_findzd2typezd2zztype_envz00(BgL_typezd2idzd2_889);
								BgL_auxz00_1959 = (BgL_variablez00_bglt) (BgL_newz00_4);
								((((BgL_variablez00_bglt) CREF(BgL_auxz00_1959))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_1961), BUNSPEC);
							}
							{	/* Ast/venv.scm 121 */
								obj_t BgL_method3324z00_1544;

								{	/* Ast/venv.scm 121 */
									BgL_objectz00_bglt BgL_objz00_1545;

									BgL_objz00_1545 = (BgL_objectz00_bglt) (BgL_valuez00_888);
									{	/* Ast/venv.scm 121 */
										long BgL_objzd2classzd2numz00_1546;

										BgL_objzd2classzd2numz00_1546 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1545);
										{	/* Ast/venv.scm 121 */
											obj_t BgL_arg2388z00_1547;

											BgL_arg2388z00_1547 =
												PROCEDURE_REF
												(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
												(int) (((long) 1)));
											{	/* Ast/venv.scm 121 */
												obj_t BgL_arrayz00_1549;

												int BgL_offsetz00_1550;

												BgL_arrayz00_1549 = BgL_arg2388z00_1547;
												BgL_offsetz00_1550 =
													(int) (BgL_objzd2classzd2numz00_1546);
												{	/* Ast/venv.scm 121 */
													long BgL_offsetz00_1551;

													BgL_offsetz00_1551 =
														((long) (BgL_offsetz00_1550) - OBJECT_TYPE);
													{	/* Ast/venv.scm 121 */
														long BgL_modz00_1552;

														{	/* Ast/venv.scm 121 */
															int BgL_arg2390z00_1553;

															BgL_arg2390z00_1553 = (int) (((long) 8));
															{	/* Ast/venv.scm 121 */
																long BgL_auxz00_1972;

																BgL_auxz00_1972 = (long) (BgL_arg2390z00_1553);
																BgL_modz00_1552 =
																	(BgL_offsetz00_1551 / BgL_auxz00_1972);
														}}
														{	/* Ast/venv.scm 121 */
															long BgL_restz00_1554;

															{	/* Ast/venv.scm 121 */
																int BgL_arg2389z00_1555;

																BgL_arg2389z00_1555 = (int) (((long) 8));
																{	/* Ast/venv.scm 121 */
																	long BgL_auxz00_1976;

																	BgL_auxz00_1976 =
																		(long) (BgL_arg2389z00_1555);
																	BgL_restz00_1554 =
																		(BgL_offsetz00_1551 % BgL_auxz00_1976);
															}}
															{	/* Ast/venv.scm 121 */

																BgL_method3324z00_1544 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1549,
																		(int) (BgL_modz00_1552)),
																	(int) (BgL_restz00_1554));
								}}}}}}}}
								PROCEDURE_ENTRY(BgL_method3324z00_1544) (BgL_method3324z00_1544,
									(obj_t) (BgL_valuez00_888), BEOA);
							}
							{	/* Ast/venv.scm 123 */
								bool_t BgL_testz00_1986;

								{	/* Ast/venv.scm 123 */
									bool_t BgL_testz00_1987;

									{	/* Ast/venv.scm 123 */
										obj_t BgL_arg3363z00_900;

										BgL_arg3363z00_900 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										{
											BgL_backendz00_bglt BgL_auxz00_1989;

											BgL_auxz00_1989 =
												(BgL_backendz00_bglt) (BgL_arg3363z00_900);
											BgL_testz00_1987 =
												(((BgL_backendz00_bglt) CREF(BgL_auxz00_1989))->
												BgL_qualifiedzd2typeszd2);
									}}
									if (BgL_testz00_1987)
										{	/* Ast/venv.scm 124 */
											bool_t BgL_testz00_1992;

											{	/* Ast/venv.scm 124 */
												obj_t BgL_auxz00_1993;

												{
													BgL_globalz00_bglt BgL_auxz00_1994;

													BgL_auxz00_1994 = (BgL_globalz00_bglt) (BgL_newz00_4);
													BgL_auxz00_1993 =
														(((BgL_globalz00_bglt) CREF(BgL_auxz00_1994))->
														BgL_modulez00);
												}
												BgL_testz00_1992 =
													(BgL_auxz00_1993 == CNST_TABLE_REF(((long) 1)));
											}
											if (BgL_testz00_1992)
												{	/* Ast/venv.scm 124 */
													BgL_testz00_1986 = ((bool_t) 0);
												}
											else
												{	/* Ast/venv.scm 124 */
													BgL_testz00_1986 = ((bool_t) 1);
												}
										}
									else
										{	/* Ast/venv.scm 123 */
											BgL_testz00_1986 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_1986)
									{	/* Ast/venv.scm 125 */
										obj_t BgL_arg3355z00_892;

										obj_t BgL_arg3356z00_893;

										obj_t BgL_arg3357z00_894;

										{
											BgL_globalz00_bglt BgL_auxz00_1999;

											BgL_auxz00_1999 = (BgL_globalz00_bglt) (BgL_newz00_4);
											BgL_arg3355z00_892 =
												(((BgL_globalz00_bglt) CREF(BgL_auxz00_1999))->
												BgL_modulez00);
										}
										{
											BgL_globalz00_bglt BgL_auxz00_2002;

											BgL_auxz00_2002 = (BgL_globalz00_bglt) (BgL_newz00_4);
											BgL_arg3356z00_893 =
												(((BgL_globalz00_bglt) CREF(BgL_auxz00_2002))->
												BgL_jvmzd2typezd2namez00);
										}
										BgL_arg3357z00_894 =
											BGl_shapez00zztools_shapez00(BgL_newz00_4);
										{	/* Ast/venv.scm 125 */
											obj_t BgL_list3358z00_895;

											BgL_list3358z00_895 = MAKE_PAIR(BgL_arg3357z00_894, BNIL);
											return
												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
												(BgL_arg3355z00_892, BgL_arg3356z00_893,
												BgL_list3358z00_895);
										}
									}
								else
									{	/* Ast/venv.scm 123 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* _restore-global! */
	obj_t BGl__restorezd2globalz12zc0zzast_envz00(obj_t BgL_envz00_1812,
		obj_t BgL_newz00_1813)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 111 */
			return BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_1813);
		}
	}



/* already-restored? */
	BGL_EXPORTED_DEF obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t
		BgL_funz00_6)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 146 */
			return
				BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_6,
				BGl_za2restoredza2z00zzast_envz00);
		}
	}



/* _already-restored? */
	obj_t BGl__alreadyzd2restoredzf3z21zzast_envz00(obj_t BgL_envz00_1816,
		obj_t BgL_funz00_1817)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 146 */
			return BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_1817);
		}
	}



/* get-genv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genvzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 220 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* _get-genv */
	obj_t BGl__getzd2genvzd2zzast_envz00(obj_t BgL_envz00_1818)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 220 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* initialize-Genv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 226 */
			return (BGl_za2Genvza2z00zzast_envz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* _initialize-Genv! */
	obj_t BGl__initializa7ezd2Genvz12z67zzast_envz00(obj_t BgL_envz00_1819)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 226 */
			return BGl_initializa7ezd2Genvz12z67zzast_envz00();
		}
	}



/* find-global */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_13,
		obj_t BgL_modulez00_14)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 232 */
			{	/* Ast/venv.scm 234 */
				obj_t BgL_bucketz00_902;

				obj_t BgL_modulez00_903;

				BgL_bucketz00_902 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_13);
				if (NULLP(BgL_modulez00_14))
					{	/* Ast/venv.scm 235 */
						BgL_modulez00_903 = BNIL;
					}
				else
					{	/* Ast/venv.scm 235 */
						BgL_modulez00_903 = CAR(BgL_modulez00_14);
					}
				if (PAIRP(BgL_bucketz00_902))
					{	/* Ast/venv.scm 237 */
						if (NULLP(CDR(BgL_bucketz00_902)))
							{	/* Ast/venv.scm 239 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 239 */
								if (NULLP(BgL_modulez00_903))
									{	/* Ast/venv.scm 242 */
										obj_t BgL_pairz00_1579;

										BgL_pairz00_1579 = BgL_bucketz00_902;
										return CAR(CDR(BgL_pairz00_1579));
									}
								else
									{
										obj_t BgL_globalsz00_908;

										BgL_globalsz00_908 = CDR(BgL_bucketz00_902);
									BgL_loopz00_909:
										if (NULLP(BgL_globalsz00_908))
											{	/* Ast/venv.scm 246 */
												return BFALSE;
											}
										else
											{	/* Ast/venv.scm 248 */
												bool_t BgL_testz00_2028;

												{	/* Ast/venv.scm 248 */
													obj_t BgL_auxz00_2029;

													{	/* Ast/venv.scm 248 */
														BgL_globalz00_bglt BgL_obj1551z00_1586;

														{	/* Ast/venv.scm 248 */
															obj_t BgL_pairz00_1585;

															BgL_pairz00_1585 = BgL_globalsz00_908;
															BgL_obj1551z00_1586 =
																(BgL_globalz00_bglt) (CAR(BgL_pairz00_1585));
														}
														BgL_auxz00_2029 =
															(((BgL_globalz00_bglt)
																CREF(BgL_obj1551z00_1586))->BgL_modulez00);
													}
													BgL_testz00_2028 =
														(BgL_auxz00_2029 == BgL_modulez00_903);
												}
												if (BgL_testz00_2028)
													{	/* Ast/venv.scm 248 */
														return CAR(BgL_globalsz00_908);
													}
												else
													{
														obj_t BgL_globalsz00_2035;

														BgL_globalsz00_2035 = CDR(BgL_globalsz00_908);
														BgL_globalsz00_908 = BgL_globalsz00_2035;
														goto BgL_loopz00_909;
													}
											}
									}
							}
					}
				else
					{	/* Ast/venv.scm 237 */
						return BFALSE;
					}
			}
		}
	}



/* _find-global3586 */
	obj_t BGl__findzd2global3586zd2zzast_envz00(obj_t BgL_envz00_1820,
		obj_t BgL_idz00_1821, obj_t BgL_modulez00_1822)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 232 */
			return
				BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1821, BgL_modulez00_1822);
		}
	}



/* find-global/module */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_15, obj_t BgL_modulez00_16)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 256 */
			{	/* Ast/venv.scm 257 */
				obj_t BgL_bucketz00_917;

				BgL_bucketz00_917 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_15);
				if (PAIRP(BgL_bucketz00_917))
					{	/* Ast/venv.scm 259 */
						if (NULLP(CDR(BgL_bucketz00_917)))
							{	/* Ast/venv.scm 261 */
								return BFALSE;
							}
						else
							{
								obj_t BgL_globalsz00_922;

								BgL_globalsz00_922 = CDR(BgL_bucketz00_917);
							BgL_loopz00_923:
								if (NULLP(BgL_globalsz00_922))
									{	/* Ast/venv.scm 268 */
										return BFALSE;
									}
								else
									{	/* Ast/venv.scm 270 */
										bool_t BgL_testz00_2047;

										{	/* Ast/venv.scm 270 */
											obj_t BgL_auxz00_2048;

											{	/* Ast/venv.scm 270 */
												BgL_globalz00_bglt BgL_obj1551z00_1600;

												{	/* Ast/venv.scm 270 */
													obj_t BgL_pairz00_1599;

													BgL_pairz00_1599 = BgL_globalsz00_922;
													BgL_obj1551z00_1600 =
														(BgL_globalz00_bglt) (CAR(BgL_pairz00_1599));
												}
												BgL_auxz00_2048 =
													(((BgL_globalz00_bglt) CREF(BgL_obj1551z00_1600))->
													BgL_modulez00);
											}
											BgL_testz00_2047 = (BgL_auxz00_2048 == BgL_modulez00_16);
										}
										if (BgL_testz00_2047)
											{	/* Ast/venv.scm 270 */
												return CAR(BgL_globalsz00_922);
											}
										else
											{
												obj_t BgL_globalsz00_2054;

												BgL_globalsz00_2054 = CDR(BgL_globalsz00_922);
												BgL_globalsz00_922 = BgL_globalsz00_2054;
												goto BgL_loopz00_923;
											}
									}
							}
					}
				else
					{	/* Ast/venv.scm 259 */
						return BFALSE;
					}
			}
		}
	}



/* _find-global/module3587 */
	obj_t BGl__findzd2globalzf2module3587z20zzast_envz00(obj_t BgL_envz00_1823,
		obj_t BgL_idz00_1824, obj_t BgL_modulez00_1825)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 256 */
			return
				BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_1824,
				BgL_modulez00_1825);
		}
	}



/* get-global/module */
	BGL_EXPORTED_DEF obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_17, obj_t BgL_modulez00_18)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 278 */
			{	/* Ast/venv.scm 279 */
				obj_t BgL_globalz00_930;

				BgL_globalz00_930 =
					BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_17,
					BgL_modulez00_18);
				{	/* Ast/venv.scm 280 */
					bool_t BgL_testz00_2059;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_930,
							BGl_globalz00zzast_varz00))
						{	/* Ast/venv.scm 280 */
							BgL_testz00_2059 = ((bool_t) 0);
						}
					else
						{	/* Ast/venv.scm 280 */
							if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
								{	/* Ast/venv.scm 280 */
									BgL_testz00_2059 = ((bool_t) 0);
								}
							else
								{	/* Ast/venv.scm 280 */
									BgL_testz00_2059 = ((bool_t) 1);
								}
						}
					if (BgL_testz00_2059)
						{	/* Ast/venv.scm 281 */
							obj_t BgL_arg3385z00_932;

							obj_t BgL_arg3387z00_934;

							BgL_arg3385z00_932 = CNST_TABLE_REF(((long) 2));
							{	/* Ast/venv.scm 283 */
								obj_t BgL_list3388z00_935;

								{	/* Ast/venv.scm 283 */
									obj_t BgL_arg3389z00_936;

									BgL_arg3389z00_936 = MAKE_PAIR(BgL_modulez00_18, BNIL);
									BgL_list3388z00_935 =
										MAKE_PAIR(BgL_idz00_17, BgL_arg3389z00_936);
								}
								BgL_arg3387z00_934 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string3593z00zzast_envz00, BgL_list3388z00_935);
							}
							BGl_internalzd2errorzd2zztools_errorz00(BgL_arg3385z00_932,
								BGl_string3594z00zzast_envz00, BgL_arg3387z00_934);
						}
					else
						{	/* Ast/venv.scm 280 */
							BFALSE;
						}
				}
				return BgL_globalz00_930;
			}
		}
	}



/* _get-global/module */
	obj_t BGl__getzd2globalzf2modulez20zzast_envz00(obj_t BgL_envz00_1826,
		obj_t BgL_idz00_1827, obj_t BgL_modulez00_1828)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 278 */
			return
				BGl_getzd2globalzf2modulez20zzast_envz00(BgL_idz00_1827,
				BgL_modulez00_1828);
		}
	}



/* warning-override-global! */
	obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t BgL_nz00_19,
		obj_t BgL_oz00_20, obj_t BgL_msgz00_21)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 289 */
			{	/* Ast/venv.scm 290 */
				bool_t BgL_testz00_2070;

				{	/* Ast/venv.scm 290 */
					bool_t BgL_testz00_2071;

					{	/* Ast/venv.scm 290 */
						int BgL_arg3409z00_961;

						BgL_arg3409z00_961 = BGl_bigloozd2warningzd2zz__paramz00();
						BgL_testz00_2071 = ((long) (BgL_arg3409z00_961) > ((long) 0));
					}
					if (BgL_testz00_2071)
						{	/* Ast/venv.scm 290 */
							BgL_testz00_2070 =
								CBOOL
								(BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00);
						}
					else
						{	/* Ast/venv.scm 290 */
							BgL_testz00_2070 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2070)
					{	/* Ast/venv.scm 292 */
						obj_t BgL_locz00_940;

						obj_t BgL_oldz00_941;

						obj_t BgL_newz00_942;

						obj_t BgL_msgz00_943;

						{	/* Ast/venv.scm 292 */
							obj_t BgL_arg3392z00_944;

							{
								BgL_globalz00_bglt BgL_auxz00_2076;

								BgL_auxz00_2076 = (BgL_globalz00_bglt) (BgL_oz00_20);
								BgL_arg3392z00_944 =
									(((BgL_globalz00_bglt) CREF(BgL_auxz00_2076))->BgL_srcz00);
							}
							BgL_locz00_940 =
								BGl_findzd2locationzd2zztools_locationz00(BgL_arg3392z00_944);
						}
						{	/* Ast/venv.scm 293 */
							obj_t BgL_arg3393z00_945;

							obj_t BgL_arg3394z00_946;

							BgL_arg3393z00_945 = CNST_TABLE_REF(((long) 3));
							{	/* Ast/venv.scm 293 */
								obj_t BgL_arg3395z00_947;

								obj_t BgL_arg3396z00_948;

								{
									BgL_variablez00_bglt BgL_auxz00_2081;

									BgL_auxz00_2081 = (BgL_variablez00_bglt) (BgL_oz00_20);
									BgL_arg3395z00_947 =
										(((BgL_variablez00_bglt) CREF(BgL_auxz00_2081))->BgL_idz00);
								}
								{
									BgL_globalz00_bglt BgL_auxz00_2084;

									BgL_auxz00_2084 = (BgL_globalz00_bglt) (BgL_oz00_20);
									BgL_arg3396z00_948 =
										(((BgL_globalz00_bglt) CREF(BgL_auxz00_2084))->
										BgL_modulez00);
								}
								{	/* Ast/venv.scm 293 */
									obj_t BgL_list3398z00_950;

									{	/* Ast/venv.scm 293 */
										obj_t BgL_arg3399z00_951;

										BgL_arg3399z00_951 = MAKE_PAIR(BNIL, BNIL);
										BgL_list3398z00_950 =
											MAKE_PAIR(BgL_arg3396z00_948, BgL_arg3399z00_951);
									}
									BgL_arg3394z00_946 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg3395z00_947, BgL_list3398z00_950);
							}}
							BgL_oldz00_941 =
								MAKE_PAIR(BgL_arg3393z00_945, BgL_arg3394z00_946);
						}
						{	/* Ast/venv.scm 294 */
							obj_t BgL_arg3400z00_952;

							obj_t BgL_arg3401z00_953;

							BgL_arg3400z00_952 = CNST_TABLE_REF(((long) 3));
							{	/* Ast/venv.scm 294 */
								obj_t BgL_arg3402z00_954;

								obj_t BgL_arg3403z00_955;

								{
									BgL_variablez00_bglt BgL_auxz00_2092;

									BgL_auxz00_2092 = (BgL_variablez00_bglt) (BgL_nz00_19);
									BgL_arg3402z00_954 =
										(((BgL_variablez00_bglt) CREF(BgL_auxz00_2092))->BgL_idz00);
								}
								{
									BgL_globalz00_bglt BgL_auxz00_2095;

									BgL_auxz00_2095 = (BgL_globalz00_bglt) (BgL_nz00_19);
									BgL_arg3403z00_955 =
										(((BgL_globalz00_bglt) CREF(BgL_auxz00_2095))->
										BgL_modulez00);
								}
								{	/* Ast/venv.scm 294 */
									obj_t BgL_list3405z00_957;

									{	/* Ast/venv.scm 294 */
										obj_t BgL_arg3406z00_958;

										BgL_arg3406z00_958 = MAKE_PAIR(BNIL, BNIL);
										BgL_list3405z00_957 =
											MAKE_PAIR(BgL_arg3403z00_955, BgL_arg3406z00_958);
									}
									BgL_arg3401z00_953 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg3402z00_954, BgL_list3405z00_957);
							}}
							BgL_newz00_942 =
								MAKE_PAIR(BgL_arg3400z00_952, BgL_arg3401z00_953);
						}
						if (PAIRP(BgL_msgz00_21))
							{	/* Ast/venv.scm 295 */
								BgL_msgz00_943 = CAR(BgL_msgz00_21);
							}
						else
							{	/* Ast/venv.scm 295 */
								BgL_msgz00_943 = BGl_string3595z00zzast_envz00;
							}
						if (CBOOL(BgL_locz00_940))
							{	/* Ast/venv.scm 296 */
								return
									BGl_userzd2warningzf2locationz20zztools_errorz00
									(BgL_locz00_940, BgL_oldz00_941, BgL_msgz00_943,
									BgL_newz00_942);
							}
						else
							{	/* Ast/venv.scm 296 */
								return
									BGl_userzd2warningzd2zztools_errorz00(BgL_oldz00_941,
									BgL_msgz00_943, BgL_newz00_942);
							}
					}
				else
					{	/* Ast/venv.scm 290 */
						return BFALSE;
					}
			}
		}
	}



/* error-rebind-global! */
	obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(obj_t BgL_oz00_22,
		obj_t BgL_srcz00_23)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 303 */
			{	/* Ast/venv.scm 305 */
				obj_t BgL_locz00_964;

				BgL_locz00_964 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_23);
				if (CBOOL(BgL_locz00_964))
					{	/* Ast/venv.scm 308 */
						obj_t BgL_arg3411z00_966;

						obj_t BgL_arg3412z00_967;

						{
							BgL_globalz00_bglt BgL_auxz00_2112;

							BgL_auxz00_2112 = (BgL_globalz00_bglt) (BgL_oz00_22);
							BgL_arg3411z00_966 =
								(((BgL_globalz00_bglt) CREF(BgL_auxz00_2112))->BgL_modulez00);
						}
						BgL_arg3412z00_967 = BGl_shapez00zztools_shapez00(BgL_oz00_22);
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_964,
							BgL_arg3411z00_966, BGl_string3596z00zzast_envz00,
							BgL_arg3412z00_967, BNIL);
					}
				else
					{	/* Ast/venv.scm 309 */
						obj_t BgL_arg3414z00_969;

						obj_t BgL_arg3415z00_970;

						{
							BgL_globalz00_bglt BgL_auxz00_2117;

							BgL_auxz00_2117 = (BgL_globalz00_bglt) (BgL_oz00_22);
							BgL_arg3414z00_969 =
								(((BgL_globalz00_bglt) CREF(BgL_auxz00_2117))->BgL_modulez00);
						}
						BgL_arg3415z00_970 = BGl_shapez00zztools_shapez00(BgL_oz00_22);
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg3414z00_969,
							BGl_string3596z00zzast_envz00, BgL_arg3415z00_970, BNIL);
					}
			}
		}
	}



/* warning-rebind-global! */
	obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(obj_t BgL_oz00_24,
		obj_t BgL_srcz00_25)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 314 */
			{	/* Ast/venv.scm 316 */
				obj_t BgL_locz00_973;

				BgL_locz00_973 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_25);
				if (CBOOL(BgL_locz00_973))
					{	/* Ast/venv.scm 319 */
						obj_t BgL_arg3417z00_975;

						obj_t BgL_arg3418z00_976;

						{
							BgL_globalz00_bglt BgL_auxz00_2125;

							BgL_auxz00_2125 = (BgL_globalz00_bglt) (BgL_oz00_24);
							BgL_arg3417z00_975 =
								(((BgL_globalz00_bglt) CREF(BgL_auxz00_2125))->BgL_modulez00);
						}
						BgL_arg3418z00_976 = BGl_shapez00zztools_shapez00(BgL_oz00_24);
						return
							BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_973,
							BgL_arg3417z00_975, BGl_string3596z00zzast_envz00,
							BgL_arg3418z00_976);
					}
				else
					{	/* Ast/venv.scm 320 */
						obj_t BgL_arg3419z00_977;

						obj_t BgL_arg3420z00_978;

						{
							BgL_globalz00_bglt BgL_auxz00_2130;

							BgL_auxz00_2130 = (BgL_globalz00_bglt) (BgL_oz00_24);
							BgL_arg3419z00_977 =
								(((BgL_globalz00_bglt) CREF(BgL_auxz00_2130))->BgL_modulez00);
						}
						BgL_arg3420z00_978 = BGl_shapez00zztools_shapez00(BgL_oz00_24);
						return
							BGl_userzd2warningzd2zztools_errorz00(BgL_arg3419z00_977,
							BGl_string3596z00zzast_envz00, BgL_arg3420z00_978);
					}
			}
		}
	}



/* bind-global! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_26, obj_t BgL_modulez00_27, BgL_valuez00_bglt BgL_valuez00_28,
		obj_t BgL_importz00_29, obj_t BgL_srcz00_30)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 337 */
			{	/* Ast/venv.scm 340 */
				obj_t BgL_oldz00_979;

				{	/* Ast/venv.scm 340 */
					obj_t BgL_list3453z00_1016;

					BgL_list3453z00_1016 = MAKE_PAIR(BgL_modulez00_27, BNIL);
					BgL_oldz00_979 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_26,
						BgL_list3453z00_1016);
				}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_oldz00_979,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 341 */
						if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
							{	/* Ast/venv.scm 343 */
								return (BgL_globalz00_bglt) (BgL_oldz00_979);
							}
						else
							{	/* Ast/venv.scm 345 */
								bool_t BgL_testz00_2142;

								{	/* Ast/venv.scm 345 */
									obj_t BgL_auxz00_2143;

									{
										BgL_globalz00_bglt BgL_auxz00_2144;

										BgL_auxz00_2144 = (BgL_globalz00_bglt) (BgL_oldz00_979);
										BgL_auxz00_2143 =
											(((BgL_globalz00_bglt) CREF(BgL_auxz00_2144))->
											BgL_modulez00);
									}
									BgL_testz00_2142 = (BgL_modulez00_27 == BgL_auxz00_2143);
								}
								if (BgL_testz00_2142)
									{	/* Ast/venv.scm 345 */
										BGl_warningzd2rebindzd2globalz12z12zzast_envz00
											(BgL_oldz00_979, BgL_srcz00_30);
										return (BgL_globalz00_bglt) (BgL_oldz00_979);
									}
								else
									{	/* Ast/venv.scm 345 */
										return
											(BgL_globalz00_bglt)
											(BGl_errorzd2rebindzd2globalz12z12zzast_envz00
											(BgL_oldz00_979, BgL_srcz00_30));
									}
							}
					}
				else
					{	/* Ast/venv.scm 350 */
						obj_t BgL_bucketz00_983;

						BgL_globalz00_bglt BgL_newz00_984;

						BgL_bucketz00_983 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_26);
						{	/* Ast/var.scm 32 */
							obj_t BgL_arg3446z00_1010;

							obj_t BgL_arg3447z00_1011;

							obj_t BgL_arg3451z00_1014;

							BgL_arg3446z00_1010 = CNST_TABLE_REF(((long) 4));
							BgL_arg3447z00_1011 = CNST_TABLE_REF(((long) 5));
							if ((BgL_importz00_29 == CNST_TABLE_REF(((long) 6))))
								{	/* Ast/venv.scm 353 */
									BgL_arg3451z00_1014 = BGl_string3597z00zzast_envz00;
								}
							else
								{	/* Ast/venv.scm 353 */
									BgL_arg3451z00_1014 =
										BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
										(BgL_modulez00_27);
								}
							BgL_newz00_984 =
								BGl_makezd2globalzd2zzast_varz00(BgL_idz00_26, BFALSE,
								(BgL_typez00_bglt) (BGl_za2_za2z00zztype_cachez00),
								BgL_valuez00_28, BgL_arg3446z00_1010, BUNSPEC,
								BgL_arg3447z00_1011, ((long) 0), BgL_modulez00_27,
								BgL_importz00_29, ((bool_t) 1), BFALSE, ((bool_t) 1), BNIL,
								BgL_srcz00_30, BgL_arg3451z00_1014);
						}
						{	/* Ast/venv.scm 361 */
							bool_t BgL_testz00_2161;

							if (PAIRP(BgL_bucketz00_983))
								{	/* Ast/venv.scm 361 */
									BgL_testz00_2161 = NULLP(CDR(BgL_bucketz00_983));
								}
							else
								{	/* Ast/venv.scm 361 */
									BgL_testz00_2161 = ((bool_t) 1);
								}
							if (BgL_testz00_2161)
								{	/* Ast/venv.scm 361 */
									{	/* Ast/venv.scm 363 */
										obj_t BgL_arg3425z00_986;

										{	/* Ast/venv.scm 363 */
											obj_t BgL_list3426z00_987;

											{	/* Ast/venv.scm 363 */
												obj_t BgL_arg3427z00_988;

												BgL_arg3427z00_988 =
													MAKE_PAIR((obj_t) (BgL_newz00_984), BNIL);
												BgL_list3426z00_987 =
													MAKE_PAIR(BgL_idz00_26, BgL_arg3427z00_988);
											}
											BgL_arg3425z00_986 = BgL_list3426z00_987;
										}
										BGl_hashtablezd2putz12zc0zz__hashz00
											(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_26,
											BgL_arg3425z00_986);
									}
									return BgL_newz00_984;
								}
							else
								{	/* Ast/venv.scm 366 */
									obj_t BgL_oldza2za2_989;

									BgL_oldza2za2_989 = CDR(BgL_bucketz00_983);
									{	/* Ast/venv.scm 366 */
										obj_t BgL_midz00_990;

										{	/* Ast/venv.scm 368 */
											obj_t BgL_arg3442z00_1006;

											{	/* Ast/venv.scm 368 */
												BgL_globalz00_bglt BgL_obj1551z00_1626;

												{	/* Ast/venv.scm 368 */
													obj_t BgL_pairz00_1625;

													BgL_pairz00_1625 = BgL_oldza2za2_989;
													BgL_obj1551z00_1626 =
														(BgL_globalz00_bglt) (CAR(BgL_pairz00_1625));
												}
												BgL_arg3442z00_1006 =
													(((BgL_globalz00_bglt) CREF(BgL_obj1551z00_1626))->
													BgL_modulez00);
											}
											BgL_midz00_990 =
												BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
												(BgL_arg3442z00_1006);
										}
										{	/* Ast/venv.scm 367 */

											{	/* Ast/venv.scm 370 */
												bool_t BgL_testz00_2175;

												{	/* Ast/venv.scm 370 */
													obj_t BgL_arg3440z00_1004;

													{	/* Ast/venv.scm 370 */
														BgL_globalz00_bglt BgL_obj1551z00_1628;

														{	/* Ast/venv.scm 370 */
															obj_t BgL_pairz00_1627;

															BgL_pairz00_1627 = BgL_oldza2za2_989;
															BgL_obj1551z00_1628 =
																(BgL_globalz00_bglt) (CAR(BgL_pairz00_1627));
														}
														BgL_arg3440z00_1004 =
															(((BgL_globalz00_bglt)
																CREF(BgL_obj1551z00_1628))->BgL_modulez00);
													}
													BgL_testz00_2175 =
														(BgL_arg3440z00_1004 ==
														BGl_za2moduleza2z00zzmodule_modulez00);
												}
												if (BgL_testz00_2175)
													{	/* Ast/venv.scm 370 */
														{	/* Ast/venv.scm 372 */
															bool_t BgL_testz00_2180;

															if ((BgL_idz00_26 == BgL_midz00_990))
																{	/* Ast/venv.scm 372 */
																	BgL_testz00_2180 = ((bool_t) 0);
																}
															else
																{	/* Ast/venv.scm 372 */
																	if (CBOOL
																		(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																		{	/* Ast/venv.scm 372 */
																			BgL_testz00_2180 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 372 */
																			BgL_testz00_2180 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_2180)
																{	/* Ast/venv.scm 372 */
																	BGl_warningzd2overridezd2globalz12z12zzast_envz00
																		(CAR(BgL_oldza2za2_989),
																		(obj_t) (BgL_newz00_984), BNIL);
																}
															else
																{	/* Ast/venv.scm 372 */
																	BFALSE;
																}
														}
														{	/* Ast/venv.scm 374 */
															obj_t BgL_arg3433z00_996;

															obj_t BgL_arg3434z00_997;

															BgL_arg3433z00_996 = CDR(BgL_bucketz00_983);
															{	/* Ast/venv.scm 374 */
																obj_t BgL_arg3435z00_998;

																{	/* Ast/venv.scm 374 */
																	obj_t BgL_pairz00_1631;

																	BgL_pairz00_1631 = BgL_bucketz00_983;
																	BgL_arg3435z00_998 =
																		CDR(CDR(BgL_pairz00_1631));
																}
																BgL_arg3434z00_997 =
																	MAKE_PAIR(
																	(obj_t) (BgL_newz00_984), BgL_arg3435z00_998);
															}
															SET_CDR(BgL_arg3433z00_996, BgL_arg3434z00_997);
														}
														return BgL_newz00_984;
													}
												else
													{	/* Ast/venv.scm 377 */
														obj_t BgL_newza2za2_999;

														BgL_newza2za2_999 =
															MAKE_PAIR(
															(obj_t) (BgL_newz00_984), BgL_oldza2za2_989);
														{	/* Ast/venv.scm 378 */
															bool_t BgL_testz00_2196;

															if ((BgL_idz00_26 == BgL_midz00_990))
																{	/* Ast/venv.scm 378 */
																	BgL_testz00_2196 = ((bool_t) 0);
																}
															else
																{	/* Ast/venv.scm 378 */
																	if (CBOOL
																		(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																		{	/* Ast/venv.scm 378 */
																			BgL_testz00_2196 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 378 */
																			BgL_testz00_2196 = ((bool_t) 1);
																		}
																}
															if (BgL_testz00_2196)
																{	/* Ast/venv.scm 378 */
																	BGl_warningzd2overridezd2globalz12z12zzast_envz00
																		((obj_t) (BgL_newz00_984),
																		CAR(BgL_oldza2za2_989), BNIL);
																}
															else
																{	/* Ast/venv.scm 378 */
																	BFALSE;
																}
														}
														SET_CDR(BgL_bucketz00_983, BgL_newza2za2_999);
														return BgL_newz00_984;
													}
											}
										}
									}
								}
						}
					}
			}
		}
	}



/* _bind-global!3588 */
	obj_t BGl__bindzd2globalz123588zc0zzast_envz00(obj_t BgL_envz00_1829,
		obj_t BgL_idz00_1830, obj_t BgL_modulez00_1831, obj_t BgL_valuez00_1832,
		obj_t BgL_importz00_1833, obj_t BgL_srcz00_1834)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 337 */
			return
				(obj_t) (BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_1830,
					BgL_modulez00_1831, (BgL_valuez00_bglt) (BgL_valuez00_1832),
					BgL_importz00_1833, BgL_srcz00_1834));
		}
	}



/* unbind-global! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_31, obj_t BgL_modulez00_32)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 386 */
			{	/* Ast/venv.scm 387 */
				obj_t BgL_globalz00_1017;

				{	/* Ast/venv.scm 387 */
					obj_t BgL_list3468z00_1037;

					BgL_list3468z00_1037 = MAKE_PAIR(BgL_modulez00_32, BNIL);
					BgL_globalz00_1017 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_31,
						BgL_list3468z00_1037);
				}
				if (BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1017,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 390 */
						obj_t BgL_bucketz00_1019;

						BgL_bucketz00_1019 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_31);
						{	/* Ast/venv.scm 391 */
							obj_t BgL_g3311z00_1020;

							BgL_g3311z00_1020 = CDR(BgL_bucketz00_1019);
							{
								obj_t BgL_curz00_1021;

								obj_t BgL_prevz00_1022;

								BgL_curz00_1021 = BgL_g3311z00_1020;
								BgL_prevz00_1022 = BgL_bucketz00_1019;
							BgL_loopz00_1023:
								if ((CAR(BgL_curz00_1021) == BgL_globalz00_1017))
									{	/* Ast/venv.scm 394 */
										obj_t BgL_auxz00_2217;

										BgL_auxz00_2217 = CDR(BgL_curz00_1021);
										return SET_CDR(BgL_prevz00_1022, BgL_auxz00_2217);
									}
								else
									{
										obj_t BgL_prevz00_2222;

										obj_t BgL_curz00_2220;

										BgL_curz00_2220 = CDR(BgL_curz00_1021);
										BgL_prevz00_2222 = CDR(BgL_prevz00_1022);
										BgL_prevz00_1022 = BgL_prevz00_2222;
										BgL_curz00_1021 = BgL_curz00_2220;
										goto BgL_loopz00_1023;
									}
							}
						}
					}
				else
					{	/* Ast/venv.scm 389 */
						obj_t BgL_arg3462z00_1031;

						{	/* Ast/venv.scm 389 */
							obj_t BgL_arg3464z00_1033;

							obj_t BgL_arg3465z00_1034;

							BgL_arg3464z00_1033 = CNST_TABLE_REF(((long) 3));
							{	/* Ast/venv.scm 389 */
								obj_t BgL_list3466z00_1035;

								{	/* Ast/venv.scm 389 */
									obj_t BgL_arg3467z00_1036;

									BgL_arg3467z00_1036 = MAKE_PAIR(BNIL, BNIL);
									BgL_list3466z00_1035 =
										MAKE_PAIR(BgL_modulez00_32, BgL_arg3467z00_1036);
								}
								BgL_arg3465z00_1034 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_idz00_31,
									BgL_list3466z00_1035);
							}
							BgL_arg3462z00_1031 =
								MAKE_PAIR(BgL_arg3464z00_1033, BgL_arg3465z00_1034);
						}
						return
							BGl_userzd2errorzd2zztools_errorz00(BGl_string3598z00zzast_envz00,
							BGl_string3599z00zzast_envz00, BgL_arg3462z00_1031, BNIL);
					}
			}
		}
	}



/* _unbind-global!3589 */
	obj_t BGl__unbindzd2globalz123589zc0zzast_envz00(obj_t BgL_envz00_1835,
		obj_t BgL_idz00_1836, obj_t BgL_modulez00_1837)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 386 */
			return
				BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_1836,
				BgL_modulez00_1837);
		}
	}



/* for-each-global! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t
		BgL_procz00_33, obj_t BgL_envz00_34)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 400 */
			{	/* Ast/venv.scm 401 */
				obj_t BgL_arg3469z00_1038;

				if (NULLP(BgL_envz00_34))
					{	/* Ast/venv.scm 401 */
						BgL_arg3469z00_1038 = BGl_za2Genvza2z00zzast_envz00;
					}
				else
					{	/* Ast/venv.scm 401 */
						BgL_arg3469z00_1038 = CAR(BgL_envz00_34);
					}
				{	/* Ast/venv.scm 402 */
					obj_t BgL_zc3anonymousza33472ze3z83_1838;

					BgL_zc3anonymousza33472ze3z83_1838 =
						make_fx_procedure(BGl_zc3anonymousza33472ze3z83zzast_envz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33472ze3z83_1838,
						(int) (((long) 0)), BgL_procz00_33);
					return
						BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_arg3469z00_1038,
						BgL_zc3anonymousza33472ze3z83_1838);
				}
			}
		}
	}



/* _for-each-global!3590 */
	obj_t BGl__forzd2eachzd2globalz123590z12zzast_envz00(obj_t BgL_envz00_1839,
		obj_t BgL_procz00_1840, obj_t BgL_envz00_1841)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 400 */
			return
				BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_1840,
				BgL_envz00_1841);
		}
	}



/* <anonymous:3472> */
	obj_t BGl_zc3anonymousza33472ze3z83zzast_envz00(obj_t BgL_envz00_1842,
		obj_t BgL_kz00_1844, obj_t BgL_bucketz00_1845)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 402 */
			{	/* Ast/venv.scm 402 */
				obj_t BgL_procz00_1843;

				BgL_procz00_1843 = PROCEDURE_REF(BgL_envz00_1842, (int) (((long) 0)));
				{
					obj_t BgL_kz00_1041;

					obj_t BgL_bucketz00_1042;

					{	/* Ast/venv.scm 402 */
						bool_t BgL_auxz00_2243;

						BgL_kz00_1041 = BgL_kz00_1844;
						BgL_bucketz00_1042 = BgL_bucketz00_1845;
						{	/* Ast/venv.scm 402 */
							obj_t BgL_g3322z00_1044;

							BgL_g3322z00_1044 = CDR(BgL_bucketz00_1042);
							{
								obj_t BgL_l3320z00_1045;

								BgL_l3320z00_1045 = BgL_g3322z00_1044;
							BgL_forzd2each3321zd2_1046:
								if (PAIRP(BgL_l3320z00_1045))
									{	/* Ast/venv.scm 402 */
										{	/* Ast/venv.scm 402 */
											obj_t BgL_arg3474z00_1048;

											BgL_arg3474z00_1048 = CAR(BgL_l3320z00_1045);
											PROCEDURE_ENTRY(BgL_procz00_1843) (BgL_procz00_1843,
												BgL_arg3474z00_1048, BEOA);
										}
										{
											obj_t BgL_l3320z00_2250;

											BgL_l3320z00_2250 = CDR(BgL_l3320z00_1045);
											BgL_l3320z00_1045 = BgL_l3320z00_2250;
											goto BgL_forzd2each3321zd2_1046;
										}
									}
								else
									{	/* Ast/venv.scm 402 */
										BgL_auxz00_2243 = ((bool_t) 1);
									}
							}
						}
						return BBOOL(BgL_auxz00_2243);
					}
				}
			}
		}
	}



/* global-bucket-position */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t
		BgL_idz00_35, obj_t BgL_modulez00_36)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 407 */
			{	/* Ast/venv.scm 408 */
				obj_t BgL_bucketz00_1051;

				BgL_bucketz00_1051 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_35);
				if (PAIRP(BgL_bucketz00_1051))
					{
						obj_t BgL_globalsz00_1054;

						long BgL_posz00_1055;

						{	/* Ast/venv.scm 411 */
							long BgL_auxz00_2256;

							BgL_globalsz00_1054 = CDR(BgL_bucketz00_1051);
							BgL_posz00_1055 = ((long) 0);
						BgL_loopz00_1056:
							if (NULLP(BgL_globalsz00_1054))
								{	/* Ast/venv.scm 414 */
									BgL_auxz00_2256 = ((long) -1);
								}
							else
								{	/* Ast/venv.scm 416 */
									bool_t BgL_testz00_2259;

									{	/* Ast/venv.scm 416 */
										obj_t BgL_auxz00_2260;

										{	/* Ast/venv.scm 416 */
											BgL_globalz00_bglt BgL_obj1551z00_1658;

											{	/* Ast/venv.scm 416 */
												obj_t BgL_pairz00_1657;

												BgL_pairz00_1657 = BgL_globalsz00_1054;
												BgL_obj1551z00_1658 =
													(BgL_globalz00_bglt) (CAR(BgL_pairz00_1657));
											}
											BgL_auxz00_2260 =
												(((BgL_globalz00_bglt) CREF(BgL_obj1551z00_1658))->
												BgL_modulez00);
										}
										BgL_testz00_2259 = (BgL_auxz00_2260 == BgL_modulez00_36);
									}
									if (BgL_testz00_2259)
										{	/* Ast/venv.scm 416 */
											BgL_auxz00_2256 = BgL_posz00_1055;
										}
									else
										{
											long BgL_posz00_2267;

											obj_t BgL_globalsz00_2265;

											BgL_globalsz00_2265 = CDR(BgL_globalsz00_1054);
											BgL_posz00_2267 = (BgL_posz00_1055 + ((long) 1));
											BgL_posz00_1055 = BgL_posz00_2267;
											BgL_globalsz00_1054 = BgL_globalsz00_2265;
											goto BgL_loopz00_1056;
										}
								}
							return BINT(BgL_auxz00_2256);
						}
					}
				else
					{	/* Ast/venv.scm 409 */
						return BINT(((long) -1));
		}}}
	}



/* _global-bucket-posit3591 */
	obj_t BGl__globalzd2bucketzd2posit3591z00zzast_envz00(obj_t BgL_envz00_1846,
		obj_t BgL_idz00_1847, obj_t BgL_modulez00_1848)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 407 */
			return
				BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_1847,
				BgL_modulez00_1848);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_restorezd2valuezd2typesz123323zd2envzc0zzast_envz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_funz00zzast_varz00, BGl_proc3600z00zzast_envz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_sfunz00zzast_varz00, BGl_proc3601z00zzast_envz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_isfunz00zzinline_inlinez00, BGl_proc3602z00zzast_envz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_cfunz00zzast_varz00, BGl_proc3603z00zzast_envz00);
		}
	}



/* restore-value-types!3332 */
	obj_t BGl_restorezd2valuezd2typesz123332z12zzast_envz00(obj_t BgL_envz00_1853,
		obj_t BgL_valuez00_1854)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 208 */
			{
				BgL_cfunz00_bglt BgL_valuez00_1493;

				{	/* Ast/venv.scm 208 */
					bool_t BgL_auxz00_2278;

					BgL_valuez00_1493 = (BgL_cfunz00_bglt) (BgL_valuez00_1854);
					{

						{	/* Ast/venv.scm 208 */
							obj_t BgL_nextzd2method3331zd2_1505;

							BgL_nextzd2method3331zd2_1505 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_valuez00_1493),
								BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								BGl_cfunz00zzast_varz00);
							if (PROCEDUREP(BgL_nextzd2method3331zd2_1505))
								{	/* Ast/venv.scm 208 */
									PROCEDURE_ENTRY(BgL_nextzd2method3331zd2_1505)
										(BgL_nextzd2method3331zd2_1505, (obj_t) (BgL_valuez00_1493),
										BEOA);
								}
							else
								{	/* Ast/venv.scm 208 */
									{	/* Ast/venv.scm 208 */
										BgL_valuez00_bglt BgL_valuez00_1752;

										BgL_valuez00_1752 = (BgL_valuez00_bglt) (BgL_valuez00_1493);
										{	/* Ast/venv.scm 208 */
											obj_t BgL_method3324z00_1753;

											{	/* Ast/venv.scm 208 */
												BgL_objectz00_bglt BgL_objz00_1754;

												BgL_objz00_1754 =
													(BgL_objectz00_bglt) (BgL_valuez00_1752);
												{	/* Ast/venv.scm 208 */
													long BgL_objzd2classzd2numz00_1755;

													BgL_objzd2classzd2numz00_1755 =
														BGL_OBJECT_CLASS_NUM(BgL_objz00_1754);
													{	/* Ast/venv.scm 208 */
														obj_t BgL_arg2388z00_1756;

														BgL_arg2388z00_1756 =
															PROCEDURE_REF
															(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
															(int) (((long) 1)));
														{	/* Ast/venv.scm 208 */
															obj_t BgL_arrayz00_1758;

															int BgL_offsetz00_1759;

															BgL_arrayz00_1758 = BgL_arg2388z00_1756;
															BgL_offsetz00_1759 =
																(int) (BgL_objzd2classzd2numz00_1755);
															{	/* Ast/venv.scm 208 */
																long BgL_offsetz00_1760;

																BgL_offsetz00_1760 =
																	((long) (BgL_offsetz00_1759) - OBJECT_TYPE);
																{	/* Ast/venv.scm 208 */
																	long BgL_modz00_1761;

																	{	/* Ast/venv.scm 208 */
																		int BgL_arg2390z00_1762;

																		BgL_arg2390z00_1762 = (int) (((long) 8));
																		{	/* Ast/venv.scm 208 */
																			long BgL_auxz00_2295;

																			BgL_auxz00_2295 =
																				(long) (BgL_arg2390z00_1762);
																			BgL_modz00_1761 =
																				(BgL_offsetz00_1760 / BgL_auxz00_2295);
																	}}
																	{	/* Ast/venv.scm 208 */
																		long BgL_restz00_1763;

																		{	/* Ast/venv.scm 208 */
																			int BgL_arg2389z00_1764;

																			BgL_arg2389z00_1764 = (int) (((long) 8));
																			{	/* Ast/venv.scm 208 */
																				long BgL_auxz00_2299;

																				BgL_auxz00_2299 =
																					(long) (BgL_arg2389z00_1764);
																				BgL_restz00_1763 =
																					(BgL_offsetz00_1760 %
																					BgL_auxz00_2299);
																		}}
																		{	/* Ast/venv.scm 208 */

																			BgL_method3324z00_1753 =
																				VECTOR_REF(VECTOR_REF(BgL_arrayz00_1758,
																					(int) (BgL_modz00_1761)),
																				(int) (BgL_restz00_1763));
											}}}}}}}}
											PROCEDURE_ENTRY(BgL_method3324z00_1753)
												(BgL_method3324z00_1753, (obj_t) (BgL_valuez00_1752),
												BEOA);
						}}}}
						{
							obj_t BgL_argsz00_1497;

							{	/* Ast/venv.scm 211 */
								obj_t BgL_arg3566z00_1499;

								BgL_arg3566z00_1499 =
									(((BgL_cfunz00_bglt) CREF(BgL_valuez00_1493))->
									BgL_argszd2typezd2);
								BgL_argsz00_1497 = BgL_arg3566z00_1499;
							BgL_loopz00_1498:
								if (PAIRP(BgL_argsz00_1497))
									{	/* Ast/venv.scm 212 */
										{	/* Ast/venv.scm 214 */
											BgL_typez00_bglt BgL_arg3568z00_1501;

											{	/* Ast/venv.scm 214 */
												obj_t BgL_arg3569z00_1502;

												{	/* Ast/venv.scm 214 */
													BgL_typez00_bglt BgL_obj1385z00_1747;

													{	/* Ast/venv.scm 214 */
														obj_t BgL_pairz00_1746;

														BgL_pairz00_1746 = BgL_argsz00_1497;
														BgL_obj1385z00_1747 =
															(BgL_typez00_bglt) (CAR(BgL_pairz00_1746));
													}
													BgL_arg3569z00_1502 =
														(((BgL_typez00_bglt) CREF(BgL_obj1385z00_1747))->
														BgL_idz00);
												}
												BgL_arg3568z00_1501 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg3569z00_1502);
											}
											{	/* Ast/venv.scm 214 */
												obj_t BgL_auxz00_2316;

												BgL_auxz00_2316 = (obj_t) (BgL_arg3568z00_1501);
												SET_CAR(BgL_argsz00_1497, BgL_auxz00_2316);
											}
										}
										{
											obj_t BgL_argsz00_2319;

											BgL_argsz00_2319 = CDR(BgL_argsz00_1497);
											BgL_argsz00_1497 = BgL_argsz00_2319;
											goto BgL_loopz00_1498;
										}
									}
								else
									{	/* Ast/venv.scm 212 */
										BgL_auxz00_2278 = ((bool_t) 0);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_2278);
				}
			}
		}
	}



/* restore-value-types!3330 */
	obj_t BGl_restorezd2valuezd2typesz123330z12zzast_envz00(obj_t BgL_envz00_1855,
		obj_t BgL_valuez00_1856)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 201 */
			{
				BgL_isfunz00_bglt BgL_valuez00_1487;

				BgL_valuez00_1487 = (BgL_isfunz00_bglt) (BgL_valuez00_1856);
				{

					{	/* Ast/venv.scm 201 */
						obj_t BgL_nextzd2method3329zd2_1491;

						BgL_nextzd2method3329zd2_1491 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							(BgL_objectz00_bglt) (BgL_valuez00_1487),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_isfunz00zzinline_inlinez00);
						if (PROCEDUREP(BgL_nextzd2method3329zd2_1491))
							{	/* Ast/venv.scm 201 */
								PROCEDURE_ENTRY(BgL_nextzd2method3329zd2_1491)
									(BgL_nextzd2method3329zd2_1491, (obj_t) (BgL_valuez00_1487),
									BEOA);
							}
						else
							{	/* Ast/venv.scm 201 */
								{	/* Ast/venv.scm 201 */
									BgL_valuez00_bglt BgL_valuez00_1718;

									BgL_valuez00_1718 = (BgL_valuez00_bglt) (BgL_valuez00_1487);
									{	/* Ast/venv.scm 201 */
										obj_t BgL_method3324z00_1719;

										{	/* Ast/venv.scm 201 */
											BgL_objectz00_bglt BgL_objz00_1720;

											BgL_objz00_1720 =
												(BgL_objectz00_bglt) (BgL_valuez00_1718);
											{	/* Ast/venv.scm 201 */
												long BgL_objzd2classzd2numz00_1721;

												BgL_objzd2classzd2numz00_1721 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1720);
												{	/* Ast/venv.scm 201 */
													obj_t BgL_arg2388z00_1722;

													BgL_arg2388z00_1722 =
														PROCEDURE_REF
														(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
														(int) (((long) 1)));
													{	/* Ast/venv.scm 201 */
														obj_t BgL_arrayz00_1724;

														int BgL_offsetz00_1725;

														BgL_arrayz00_1724 = BgL_arg2388z00_1722;
														BgL_offsetz00_1725 =
															(int) (BgL_objzd2classzd2numz00_1721);
														{	/* Ast/venv.scm 201 */
															long BgL_offsetz00_1726;

															BgL_offsetz00_1726 =
																((long) (BgL_offsetz00_1725) - OBJECT_TYPE);
															{	/* Ast/venv.scm 201 */
																long BgL_modz00_1727;

																{	/* Ast/venv.scm 201 */
																	int BgL_arg2390z00_1728;

																	BgL_arg2390z00_1728 = (int) (((long) 8));
																	{	/* Ast/venv.scm 201 */
																		long BgL_auxz00_2339;

																		BgL_auxz00_2339 =
																			(long) (BgL_arg2390z00_1728);
																		BgL_modz00_1727 =
																			(BgL_offsetz00_1726 / BgL_auxz00_2339);
																}}
																{	/* Ast/venv.scm 201 */
																	long BgL_restz00_1729;

																	{	/* Ast/venv.scm 201 */
																		int BgL_arg2389z00_1730;

																		BgL_arg2389z00_1730 = (int) (((long) 8));
																		{	/* Ast/venv.scm 201 */
																			long BgL_auxz00_2343;

																			BgL_auxz00_2343 =
																				(long) (BgL_arg2389z00_1730);
																			BgL_restz00_1729 =
																				(BgL_offsetz00_1726 % BgL_auxz00_2343);
																	}}
																	{	/* Ast/venv.scm 201 */

																		BgL_method3324z00_1719 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1724,
																				(int) (BgL_modz00_1727)),
																			(int) (BgL_restz00_1729));
										}}}}}}}}
										PROCEDURE_ENTRY(BgL_method3324z00_1719)
											(BgL_method3324z00_1719, (obj_t) (BgL_valuez00_1718),
											BEOA);
					}}}}
					{	/* Ast/venv.scm 203 */
						BgL_nodez00_bglt BgL_arg3564z00_1490;

						{
							obj_t BgL_auxz00_2353;

							{	/* Ast/venv.scm 203 */
								BgL_objectz00_bglt BgL_auxz00_2354;

								BgL_auxz00_2354 = (BgL_objectz00_bglt) (BgL_valuez00_1487);
								BgL_auxz00_2353 = BGL_OBJECT_WIDENING(BgL_auxz00_2354);
							}
							BgL_arg3564z00_1490 =
								(((BgL_isfunz00_bglt) CREF(BgL_auxz00_2353))->
								BgL_originalzd2bodyzd2);
						}
						return BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_arg3564z00_1490);
					}
				}
			}
		}
	}



/* restore-value-types!3328 */
	obj_t BGl_restorezd2valuezd2typesz123328z12zzast_envz00(obj_t BgL_envz00_1857,
		obj_t BgL_valuez00_1858)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 166 */
			{
				BgL_sfunz00_bglt BgL_valuez00_1455;

				BgL_valuez00_1455 = (BgL_sfunz00_bglt) (BgL_valuez00_1858);
				{

					{	/* Ast/venv.scm 166 */
						obj_t BgL_nextzd2method3327zd2_1485;

						BgL_nextzd2method3327zd2_1485 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							(BgL_objectz00_bglt) (BgL_valuez00_1455),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_sfunz00zzast_varz00);
						if (PROCEDUREP(BgL_nextzd2method3327zd2_1485))
							{	/* Ast/venv.scm 166 */
								PROCEDURE_ENTRY(BgL_nextzd2method3327zd2_1485)
									(BgL_nextzd2method3327zd2_1485, (obj_t) (BgL_valuez00_1455),
									BEOA);
							}
						else
							{	/* Ast/venv.scm 166 */
								{	/* Ast/venv.scm 166 */
									BgL_valuez00_bglt BgL_valuez00_1690;

									BgL_valuez00_1690 = (BgL_valuez00_bglt) (BgL_valuez00_1455);
									{	/* Ast/venv.scm 166 */
										obj_t BgL_method3324z00_1691;

										{	/* Ast/venv.scm 166 */
											BgL_objectz00_bglt BgL_objz00_1692;

											BgL_objz00_1692 =
												(BgL_objectz00_bglt) (BgL_valuez00_1690);
											{	/* Ast/venv.scm 166 */
												long BgL_objzd2classzd2numz00_1693;

												BgL_objzd2classzd2numz00_1693 =
													BGL_OBJECT_CLASS_NUM(BgL_objz00_1692);
												{	/* Ast/venv.scm 166 */
													obj_t BgL_arg2388z00_1694;

													BgL_arg2388z00_1694 =
														PROCEDURE_REF
														(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
														(int) (((long) 1)));
													{	/* Ast/venv.scm 166 */
														obj_t BgL_arrayz00_1696;

														int BgL_offsetz00_1697;

														BgL_arrayz00_1696 = BgL_arg2388z00_1694;
														BgL_offsetz00_1697 =
															(int) (BgL_objzd2classzd2numz00_1693);
														{	/* Ast/venv.scm 166 */
															long BgL_offsetz00_1698;

															BgL_offsetz00_1698 =
																((long) (BgL_offsetz00_1697) - OBJECT_TYPE);
															{	/* Ast/venv.scm 166 */
																long BgL_modz00_1699;

																{	/* Ast/venv.scm 166 */
																	int BgL_arg2390z00_1700;

																	BgL_arg2390z00_1700 = (int) (((long) 8));
																	{	/* Ast/venv.scm 166 */
																		long BgL_auxz00_2376;

																		BgL_auxz00_2376 =
																			(long) (BgL_arg2390z00_1700);
																		BgL_modz00_1699 =
																			(BgL_offsetz00_1698 / BgL_auxz00_2376);
																}}
																{	/* Ast/venv.scm 166 */
																	long BgL_restz00_1701;

																	{	/* Ast/venv.scm 166 */
																		int BgL_arg2389z00_1702;

																		BgL_arg2389z00_1702 = (int) (((long) 8));
																		{	/* Ast/venv.scm 166 */
																			long BgL_auxz00_2380;

																			BgL_auxz00_2380 =
																				(long) (BgL_arg2389z00_1702);
																			BgL_restz00_1701 =
																				(BgL_offsetz00_1698 % BgL_auxz00_2380);
																	}}
																	{	/* Ast/venv.scm 166 */

																		BgL_method3324z00_1691 =
																			VECTOR_REF(VECTOR_REF(BgL_arrayz00_1696,
																				(int) (BgL_modz00_1699)),
																			(int) (BgL_restz00_1701));
										}}}}}}}}
										PROCEDURE_ENTRY(BgL_method3324z00_1691)
											(BgL_method3324z00_1691, (obj_t) (BgL_valuez00_1690),
											BEOA);
					}}}}
					{
						obj_t BgL_argsz00_1459;

						{	/* Ast/venv.scm 169 */
							obj_t BgL_arg3541z00_1461;

							BgL_arg3541z00_1461 =
								(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1455))->BgL_argsz00);
							BgL_argsz00_1459 = BgL_arg3541z00_1461;
						BgL_loopz00_1460:
							if (PAIRP(BgL_argsz00_1459))
								{	/* Ast/venv.scm 172 */
									obj_t BgL_argz00_1463;

									BgL_argz00_1463 = CAR(BgL_argsz00_1459);
									if (BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1463,
											BGl_typez00zztype_typez00))
										{	/* Ast/venv.scm 175 */
											BgL_typez00_bglt BgL_arg3545z00_1465;

											{	/* Ast/venv.scm 175 */
												obj_t BgL_arg3546z00_1466;

												{
													BgL_typez00_bglt BgL_auxz00_2396;

													BgL_auxz00_2396 =
														(BgL_typez00_bglt) (BgL_argz00_1463);
													BgL_arg3546z00_1466 =
														(((BgL_typez00_bglt) CREF(BgL_auxz00_2396))->
														BgL_idz00);
												}
												BgL_arg3545z00_1465 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg3546z00_1466);
											}
											{	/* Ast/venv.scm 175 */
												obj_t BgL_auxz00_2400;

												BgL_auxz00_2400 = (obj_t) (BgL_arg3545z00_1465);
												SET_CAR(BgL_argsz00_1459, BgL_auxz00_2400);
											}
										}
									else
										{	/* Ast/venv.scm 174 */
											if (BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1463,
													BGl_localz00zzast_varz00))
												{	/* Ast/venv.scm 177 */
													BgL_typez00_bglt BgL_newzd2typezd2_1468;

													{	/* Ast/venv.scm 177 */
														obj_t BgL_arg3548z00_1469;

														{	/* Ast/venv.scm 177 */
															BgL_typez00_bglt BgL_obj1385z00_1677;

															{
																BgL_variablez00_bglt BgL_auxz00_2405;

																BgL_auxz00_2405 =
																	(BgL_variablez00_bglt) (BgL_argz00_1463);
																BgL_obj1385z00_1677 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_auxz00_2405))->BgL_typez00);
															}
															BgL_arg3548z00_1469 =
																(((BgL_typez00_bglt)
																	CREF(BgL_obj1385z00_1677))->BgL_idz00);
														}
														BgL_newzd2typezd2_1468 =
															BGl_findzd2typezd2zztype_envz00
															(BgL_arg3548z00_1469);
													}
													{
														BgL_variablez00_bglt BgL_auxz00_2410;

														BgL_auxz00_2410 =
															(BgL_variablez00_bglt) (BgL_argz00_1463);
														((((BgL_variablez00_bglt) CREF(BgL_auxz00_2410))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_newzd2typezd2_1468),
															BUNSPEC);
													}
												}
											else
												{	/* Ast/venv.scm 176 */
													BGl_errorz00zz__errorz00
														(BGl_string3604z00zzast_envz00,
														BGl_string3605z00zzast_envz00,
														BGl_shapez00zztools_shapez00(BgL_argz00_1463));
												}
										}
									{
										obj_t BgL_argsz00_2415;

										BgL_argsz00_2415 = CDR(BgL_argsz00_1459);
										BgL_argsz00_1459 = BgL_argsz00_2415;
										goto BgL_loopz00_1460;
									}
								}
							else
								{	/* Ast/venv.scm 171 */
									if (NULLP(BgL_argsz00_1459))
										{	/* Ast/venv.scm 185 */
											obj_t BgL_bodyz00_1476;

											BgL_bodyz00_1476 =
												(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1455))->
												BgL_bodyz00);
											if (BGl_iszd2azf3z21zz__objectz00(BgL_bodyz00_1476,
													BGl_nodez00zzast_nodez00))
												{	/* Ast/venv.scm 188 */
													BgL_typez00_bglt BgL_tresz00_1478;

													{
														BgL_nodez00_bglt BgL_auxz00_2422;

														BgL_auxz00_2422 =
															(BgL_nodez00_bglt) (BgL_bodyz00_1476);
														BgL_tresz00_1478 =
															(((BgL_nodez00_bglt) CREF(BgL_auxz00_2422))->
															BgL_typez00);
													}
													BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
														(BgL_nodez00_bglt) (BgL_bodyz00_1476));
													{	/* Ast/venv.scm 190 */
														bool_t BgL_testz00_2427;

														{	/* Ast/venv.scm 190 */
															obj_t BgL_obj1474z00_1685;

															BgL_obj1474z00_1685 = (obj_t) (BgL_tresz00_1478);
															BgL_testz00_2427 =
																BGl_iszd2azf3z21zz__objectz00
																(BgL_obj1474z00_1685,
																BGl_typez00zztype_typez00);
														}
														if (BgL_testz00_2427)
															{	/* Ast/venv.scm 192 */
																BgL_typez00_bglt BgL_arg3557z00_1480;

																{	/* Ast/venv.scm 192 */
																	obj_t BgL_arg3558z00_1481;

																	BgL_arg3558z00_1481 =
																		(((BgL_typez00_bglt)
																			CREF(BgL_tresz00_1478))->BgL_idz00);
																	BgL_arg3557z00_1480 =
																		BGl_findzd2typezd2zztype_envz00
																		(BgL_arg3558z00_1481);
																}
																{
																	BgL_nodez00_bglt BgL_auxz00_2432;

																	BgL_auxz00_2432 =
																		(BgL_nodez00_bglt) (BgL_bodyz00_1476);
																	return
																		((((BgL_nodez00_bglt)
																				CREF(BgL_auxz00_2432))->BgL_typez00) =
																		((BgL_typez00_bglt) BgL_arg3557z00_1480),
																		BUNSPEC);
																}
															}
														else
															{	/* Ast/venv.scm 190 */
																return BFALSE;
															}
													}
												}
											else
												{	/* Ast/venv.scm 187 */
													return BFALSE;
												}
										}
									else
										{	/* Ast/venv.scm 184 */
											return
												BGl_errorz00zz__errorz00(BGl_string3606z00zzast_envz00,
												BGl_string3607z00zzast_envz00,
												BGl_shapez00zztools_shapez00(BgL_argsz00_1459));
										}
								}
						}
					}
				}
			}
		}
	}



/* restore-value-types!3326 */
	obj_t BGl_restorezd2valuezd2typesz123326z12zzast_envz00(obj_t BgL_envz00_1859,
		obj_t BgL_valuez00_1860)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 158 */
			{
				BgL_funz00_bglt BgL_valuez00_1444;

				BgL_valuez00_1444 = (BgL_funz00_bglt) (BgL_valuez00_1860);
				{	/* Ast/venv.scm 160 */
					bool_t BgL_testz00_2438;

					{	/* Ast/venv.scm 160 */
						obj_t BgL_arg3538z00_1452;

						BgL_arg3538z00_1452 =
							(((BgL_funz00_bglt) CREF(BgL_valuez00_1444))->
							BgL_predicatezd2ofzd2);
						BgL_testz00_2438 =
							BGl_iszd2azf3z21zz__objectz00(BgL_arg3538z00_1452,
							BGl_typez00zztype_typez00);
					}
					if (BgL_testz00_2438)
						{	/* Ast/venv.scm 161 */
							BgL_typez00_bglt BgL_arg3535z00_1449;

							{	/* Ast/venv.scm 161 */
								obj_t BgL_arg3536z00_1450;

								{	/* Ast/venv.scm 161 */
									BgL_typez00_bglt BgL_obj1385z00_1665;

									BgL_obj1385z00_1665 =
										(BgL_typez00_bglt) (
										(((BgL_funz00_bglt) CREF(BgL_valuez00_1444))->
											BgL_predicatezd2ofzd2));
									BgL_arg3536z00_1450 =
										(((BgL_typez00_bglt) CREF(BgL_obj1385z00_1665))->BgL_idz00);
								}
								BgL_arg3535z00_1449 =
									BGl_findzd2typezd2zztype_envz00(BgL_arg3536z00_1450);
							}
							{
								obj_t BgL_auxz00_2445;

								BgL_auxz00_2445 = (obj_t) (BgL_arg3535z00_1449);
								return
									((((BgL_funz00_bglt) CREF(BgL_valuez00_1444))->
										BgL_predicatezd2ofzd2) =
									((obj_t) BgL_auxz00_2445), BUNSPEC);
							}
						}
					else
						{	/* Ast/venv.scm 160 */
							return BFALSE;
						}
				}
			}
		}
	}



/* restore-value-types! */
	obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt
		BgL_valuez00_7)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			{	/* Ast/venv.scm 152 */
				obj_t BgL_method3324z00_1778;

				{	/* Ast/venv.scm 152 */
					BgL_objectz00_bglt BgL_objz00_1779;

					BgL_objz00_1779 = (BgL_objectz00_bglt) (BgL_valuez00_7);
					{	/* Ast/venv.scm 152 */
						long BgL_objzd2classzd2numz00_1780;

						BgL_objzd2classzd2numz00_1780 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1779);
						{	/* Ast/venv.scm 152 */
							obj_t BgL_arg2388z00_1781;

							BgL_arg2388z00_1781 =
								PROCEDURE_REF
								(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								(int) (((long) 1)));
							{	/* Ast/venv.scm 152 */
								obj_t BgL_arrayz00_1783;

								int BgL_offsetz00_1784;

								BgL_arrayz00_1783 = BgL_arg2388z00_1781;
								BgL_offsetz00_1784 = (int) (BgL_objzd2classzd2numz00_1780);
								{	/* Ast/venv.scm 152 */
									long BgL_offsetz00_1785;

									BgL_offsetz00_1785 =
										((long) (BgL_offsetz00_1784) - OBJECT_TYPE);
									{	/* Ast/venv.scm 152 */
										long BgL_modz00_1786;

										{	/* Ast/venv.scm 152 */
											int BgL_arg2390z00_1787;

											BgL_arg2390z00_1787 = (int) (((long) 8));
											{	/* Ast/venv.scm 152 */
												long BgL_auxz00_2457;

												BgL_auxz00_2457 = (long) (BgL_arg2390z00_1787);
												BgL_modz00_1786 =
													(BgL_offsetz00_1785 / BgL_auxz00_2457);
										}}
										{	/* Ast/venv.scm 152 */
											long BgL_restz00_1788;

											{	/* Ast/venv.scm 152 */
												int BgL_arg2389z00_1789;

												BgL_arg2389z00_1789 = (int) (((long) 8));
												{	/* Ast/venv.scm 152 */
													long BgL_auxz00_2461;

													BgL_auxz00_2461 = (long) (BgL_arg2389z00_1789);
													BgL_restz00_1788 =
														(BgL_offsetz00_1785 % BgL_auxz00_2461);
											}}
											{	/* Ast/venv.scm 152 */

												BgL_method3324z00_1778 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1783,
														(int) (BgL_modz00_1786)), (int) (BgL_restz00_1788));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3324z00_1778) (BgL_method3324z00_1778,
					(obj_t) (BgL_valuez00_7), BEOA);
			}
		}
	}



/* _restore-value-types3585 */
	obj_t BGl__restorezd2valuezd2types3585z00zzast_envz00(obj_t BgL_envz00_1814,
		obj_t BgL_valuez00_1815)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			return
				BGl_restorezd2valuezd2typesz12z12zzast_envz00(
				(BgL_valuez00_bglt) (BgL_valuez00_1815));
		}
	}



/* _restore-value-types!3323 */
	obj_t BGl__restorezd2valuezd2typesz123323z12zzast_envz00(obj_t
		BgL_envz00_1861, obj_t BgL_valuez00_1862)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3608z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string3608z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3608z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3608z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3608z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3608z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3608z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3608z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_hrtypez00(((long) 346346738),
				BSTRING_TO_STRING(BGl_string3608z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 143212498),
				BSTRING_TO_STRING(BGl_string3608z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string3608z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3608z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3608z00zzast_envz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 326457085),
				BSTRING_TO_STRING(BGl_string3608z00zzast_envz00));
		}
	}

#ifdef __cplusplus
}
#endif
