/*===========================================================================*/
/*   (BackEnd/dotnet.scm)                                                    */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent BackEnd/dotnet.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_bvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}             *BgL_bvmz00_bglt;

	typedef struct BgL_dotnetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		obj_t BgL_outz00;
		obj_t BgL_qnamez00;
	}                *BgL_dotnetz00_bglt;


	static obj_t BGl_dotnetzd2externalzd2pnetzd2asmzd2zzbackend_dotnetz00(obj_t);
	extern obj_t BGl_za2mcozd2suffixza2zd2zzengine_paramz00;
	static BgL_dotnetz00_bglt
		BGl_buildzd2dotnetzd2backendz00zzbackend_dotnetz00();
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32526ze3z83zzbackend_dotnetz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_dotnetz00 = BUNSPEC;
	static obj_t BGl_zc3anonymousza32529ze3z83zzbackend_dotnetz00(obj_t);
	extern obj_t BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00(obj_t);
	static obj_t BGl__buildzd2dotnetzd2backendz00zzbackend_dotnetz00(obj_t);
	extern obj_t BGl_za2dotnetzd2externalzd2asmzd2styleza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t fexists(char *);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_backendzd2linkzd2objects2345z00zzbackend_dotnetz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_dotnetz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_dotnetz00();
	BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl__startzd2dotnetzd2emissionz12z12zzbackend_dotnetz00(obj_t);
	static obj_t BGl_startzd2dotnetzd2emissionz12z12zzbackend_dotnetz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_dotnetz00();
	BGL_IMPORT bool_t directoryp(char *);
	extern obj_t BGl_execz00zzcc_execz00(obj_t, bool_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	extern obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	extern BgL_dotnetz00_bglt BGl_makezd2dotnetzd2zzbackend_dotnet_classz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, obj_t,
		obj_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, bool_t, obj_t, obj_t,
		bool_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_usezd2libraryz12zc0zzmodule_alibraryz00(obj_t, obj_t);
	extern obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t);
	extern obj_t BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
	extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
	extern obj_t BGl_checkzd2msilzd2inlinesz00zzmsil_inlinez00();
	extern obj_t BGl_za2dotnetzd2externalzd2asmza2z00zzengine_paramz00;
	extern obj_t BGl_dotnetzd2ldzd2zzmsil_ldz00();
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_dotnetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmsil_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmsil_ldz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmsil_compilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_execz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_dotnet_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_compilerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_backendzd2compilezd2dotn2339z00zzbackend_dotnetz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32570ze3z83zzbackend_dotnetz00();
	static obj_t BGl_toplevelzd2initzd2zzbackend_dotnetz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	static obj_t BGl_backendzd2linkzd2dotnet2341z00zzbackend_dotnetz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_emitz00zzbackend_dotnetz00(BgL_dotnetz00_bglt, obj_t);
	extern obj_t BGl_compilerzd2readzd2zzread_readerz00(obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
	extern obj_t BGl_za2dotnetzd2usezd2externalzd2asmza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_backendzd2checkzd2inline2347z00zzbackend_dotnetz00(obj_t,
		obj_t);
	static obj_t BGl_dotnetzd2externalzd2asmz00zzbackend_dotnetz00(obj_t);
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	extern obj_t BGl_msilzd2compilezd2zzmsil_compilez00(BgL_dotnetz00_bglt,
		obj_t);
	static obj_t BGl__dotnetzd2externalzd2pnetzd2asmzd2zzbackend_dotnetz00(obj_t,
		obj_t);
	extern obj_t BGl_compilerz00zzengine_compilerz00();
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_filezd2separatorzd2zz__osz00();
	BGL_IMPORT obj_t bgl_close_input_port(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
	static obj_t BGl_backendzd2cnstzd2tablezd2n2343zd2zzbackend_dotnetz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_suffixz00zz__osz00(obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	extern obj_t BGl_za2rmzd2tmpzd2filesza2z00zzengine_paramz00;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_dotnetz00();
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_za2dotnetzd2externalzd2asmsza2z00zzbackend_dotnetz00 =
		BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzbackend_dotnetz00();
	extern obj_t BGl_dotnetz00zzbackend_dotnet_classz00;
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
	static obj_t BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00 = BUNSPEC;
	extern obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t, bool_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[16];


	extern obj_t BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2693z00zzbackend_dotnetz00,
		BgL_bgl_backendza7d2compil2720za7,
		BGl_backendzd2compilezd2dotn2339z00zzbackend_dotnetz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2694z00zzbackend_dotnetz00,
		BgL_bgl_backendza7d2linkza7d2721z00,
		BGl_backendzd2linkzd2dotnet2341z00zzbackend_dotnetz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2695z00zzbackend_dotnetz00,
		BgL_bgl_backendza7d2cnstza7d2722z00,
		BGl_backendzd2cnstzd2tablezd2n2343zd2zzbackend_dotnetz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2696z00zzbackend_dotnetz00,
		BgL_bgl_backendza7d2linkza7d2723z00,
		BGl_backendzd2linkzd2objects2345z00zzbackend_dotnetz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2697z00zzbackend_dotnetz00,
		BgL_bgl_backendza7d2checkza72724z00,
		BGl_backendzd2checkzd2inline2347z00zzbackend_dotnetz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2714z00zzbackend_dotnetz00,
		BgL_bgl_za7c3anonymousza7a322725z00,
		BGl_zc3anonymousza32526ze3z83zzbackend_dotnetz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2715z00zzbackend_dotnetz00,
		BgL_bgl_za7c3anonymousza7a322726z00,
		BGl_zc3anonymousza32529ze3z83zzbackend_dotnetz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00;
	   
		 
		DEFINE_STRING(BGl_string2677z00zzbackend_dotnetz00,
		BgL_bgl_string2677za700za7za7b2727za7, ".", 1);
	      DEFINE_STRING(BGl_string2678z00zzbackend_dotnetz00,
		BgL_bgl_string2678za700za7za7b2728za7, "dummy", 5);
	      DEFINE_STRING(BGl_string2680z00zzbackend_dotnetz00,
		BgL_bgl_string2680za700za7za7b2729za7, "", 0);
	      DEFINE_STRING(BGl_string2679z00zzbackend_dotnetz00,
		BgL_bgl_string2679za700za7za7b2730za7, "jheap", 5);
	      DEFINE_STRING(BGl_string2681z00zzbackend_dotnetz00,
		BgL_bgl_string2681za700za7za7b2731za7, "start-dotnet-emission!", 22);
	      DEFINE_STRING(BGl_string2682z00zzbackend_dotnetz00,
		BgL_bgl_string2682za700za7za7b2732za7,
		"Can't write dest file because directory doesn't exist", 53);
	      DEFINE_STRING(BGl_string2683z00zzbackend_dotnetz00,
		BgL_bgl_string2683za700za7za7b2733za7, " ", 1);
	      DEFINE_STRING(BGl_string2684z00zzbackend_dotnetz00,
		BgL_bgl_string2684za700za7za7b2734za7, "Unknown linker style, supported: ",
		33);
	      DEFINE_STRING(BGl_string2685z00zzbackend_dotnetz00,
		BgL_bgl_string2685za700za7za7b2735za7, "asm (dotnet)", 12);
	      DEFINE_STRING(BGl_string2686z00zzbackend_dotnetz00,
		BgL_bgl_string2686za700za7za7b2736za7, ".il", 3);
	      DEFINE_STRING(BGl_string2687z00zzbackend_dotnetz00,
		BgL_bgl_string2687za700za7za7b2737za7, ")", 1);
	      DEFINE_STRING(BGl_string2688z00zzbackend_dotnetz00,
		BgL_bgl_string2688za700za7za7b2738za7, "   . ilasm (", 12);
	      DEFINE_STRING(BGl_string2700z00zzbackend_dotnetz00,
		BgL_bgl_string2700za700za7za7b2739za7, "link", 4);
	      DEFINE_STRING(BGl_string2690z00zzbackend_dotnetz00,
		BgL_bgl_string2690za700za7za7b2740za7, "ilasm", 5);
	      DEFINE_STRING(BGl_string2689z00zzbackend_dotnetz00,
		BgL_bgl_string2689za700za7za7b2741za7, "      [", 7);
	      DEFINE_STRING(BGl_string2701z00zzbackend_dotnetz00,
		BgL_bgl_string2701za700za7za7b2742za7, ".obj", 4);
	      DEFINE_STRING(BGl_string2691z00zzbackend_dotnetz00,
		BgL_bgl_string2691za700za7za7b2743za7, "dotnetmain", 10);
	      DEFINE_STRING(BGl_string2702z00zzbackend_dotnetz00,
		BgL_bgl_string2702za700za7za7b2744za7, "\"", 1);
	      DEFINE_STRING(BGl_string2692z00zzbackend_dotnetz00,
		BgL_bgl_string2692za700za7za7b2745za7, ".bgl", 4);
	      DEFINE_STRING(BGl_string2703z00zzbackend_dotnetz00,
		BgL_bgl_string2703za700za7za7b2746za7, " and ", 5);
	      DEFINE_STRING(BGl_string2704z00zzbackend_dotnetz00,
		BgL_bgl_string2704za700za7za7b2747za7, "Redeclaration of the main (files ",
		33);
	      DEFINE_STRING(BGl_string2705z00zzbackend_dotnetz00,
		BgL_bgl_string2705za700za7za7b2748za7, "Illegal file", 12);
	      DEFINE_STRING(BGl_string2706z00zzbackend_dotnetz00,
		BgL_bgl_string2706za700za7za7b2749za7, "__cnst", 6);
	      DEFINE_STRING(BGl_string2707z00zzbackend_dotnetz00,
		BgL_bgl_string2707za700za7za7b2750za7, ".Net (saw)", 10);
	      DEFINE_STRING(BGl_string2708z00zzbackend_dotnetz00,
		BgL_bgl_string2708za700za7za7b2751za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2698z00zzbackend_dotnetz00,
		BgL_bgl_string2698za700za7za7b2752za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2710z00zzbackend_dotnetz00,
		BgL_bgl_string2710za700za7za7b2753za7, "]", 1);
	      DEFINE_STRING(BGl_string2709z00zzbackend_dotnetz00,
		BgL_bgl_string2709za700za7za7b2754za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2699z00zzbackend_dotnetz00,
		BgL_bgl_string2699za700za7za7b2755za7, "No source file found", 20);
	      DEFINE_STRING(BGl_string2711z00zzbackend_dotnetz00,
		BgL_bgl_string2711za700za7za7b2756za7, " qualified type name: ", 22);
	      DEFINE_STRING(BGl_string2712z00zzbackend_dotnetz00,
		BgL_bgl_string2712za700za7za7b2757za7, "      [module: ", 15);
	      DEFINE_STRING(BGl_string2713z00zzbackend_dotnetz00,
		BgL_bgl_string2713za700za7za7b2758za7, "a.class", 7);
	      DEFINE_STRING(BGl_string2716z00zzbackend_dotnetz00,
		BgL_bgl_string2716za700za7za7b2759za7, "backend_dotnet", 14);
	      DEFINE_STRING(BGl_string2717z00zzbackend_dotnetz00,
		BgL_bgl_string2717za700za7za7b2760za7,
		"done ok cc il (ld distrib) pass-started (start-dotnet-emission!) main module now ld (java) jvm bigloo-.net pnet .net ",
		117);
	extern obj_t BGl_backendzd2compilezd2envz00zzbackend_backendz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_startzd2dotnetzd2emissionz12zd2envzc0zzbackend_dotnetz00,
		BgL_bgl__startza7d2dotnetza72761z00,
		BGl__startzd2dotnetzd2emissionz12z12zzbackend_dotnetz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_buildzd2dotnetzd2backendzd2envzd2zzbackend_dotnetz00,
		BgL_bgl__buildza7d2dotnetza72762z00,
		BGl__buildzd2dotnetzd2backendz00zzbackend_dotnetz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_dotnetzd2externalzd2pnetzd2asmzd2envz00zzbackend_dotnetz00,
		BgL_bgl__dotnetza7d2extern2763za7,
		BGl__dotnetzd2externalzd2pnetzd2asmzd2zzbackend_dotnetz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00;
	extern obj_t BGl_backendzd2linkzd2envz00zzbackend_backendz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_dotnetz00(long
		BgL_checksumz00_1166, char *BgL_fromz00_1167)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_dotnetz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_dotnetz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbackend_dotnetz00();
					BGl_cnstzd2initzd2zzbackend_dotnetz00();
					BGl_importedzd2moduleszd2initz00zzbackend_dotnetz00();
					BGl_methodzd2initzd2zzbackend_dotnetz00();
					BGl_toplevelzd2initzd2zzbackend_dotnetz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 1 */
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "backend_dotnet");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"backend_dotnet");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"backend_dotnet");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"backend_dotnet");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"backend_dotnet");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0),
				"backend_dotnet");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"backend_dotnet");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"backend_dotnet");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 1 */
			{	/* BackEnd/dotnet.scm 1 */
				obj_t BgL_cportz00_1154;

				BgL_cportz00_1154 =
					bgl_open_input_string(BGl_string2717z00zzbackend_dotnetz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1155;

					BgL_iz00_1155 = ((long) 15);
				BgL_loopz00_1156:
					if ((BgL_iz00_1155 == ((long) -1)))
						{	/* BackEnd/dotnet.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/dotnet.scm 1 */
							{	/* BackEnd/dotnet.scm 1 */
								obj_t BgL_arg2719z00_1158;

								{	/* BackEnd/dotnet.scm 1 */

									{	/* BackEnd/dotnet.scm 1 */
										obj_t BgL_locationz00_1160;

										BgL_locationz00_1160 = BBOOL(((bool_t) 0));
										{	/* BackEnd/dotnet.scm 1 */

											BgL_arg2719z00_1158 =
												BGl_readz00zz__readerz00(BgL_cportz00_1154,
												BgL_locationz00_1160);
										}
									}
								}
								{	/* BackEnd/dotnet.scm 1 */
									int BgL_auxz00_1190;

									BgL_auxz00_1190 = (int) (BgL_iz00_1155);
									CNST_TABLE_SET(BgL_auxz00_1190, BgL_arg2719z00_1158);
							}}
							{	/* BackEnd/dotnet.scm 1 */
								int BgL_auxz00_1161;

								BgL_auxz00_1161 = (int) ((BgL_iz00_1155 - ((long) 1)));
								{
									long BgL_iz00_1195;

									BgL_iz00_1195 = (long) (BgL_auxz00_1161);
									BgL_iz00_1155 = BgL_iz00_1195;
									goto BgL_loopz00_1156;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 1 */
			BGl_registerzd2backendz12zc0zzbackend_backendz00(CNST_TABLE_REF(((long)
						0)), BGl_buildzd2dotnetzd2backendzd2envzd2zzbackend_dotnetz00);
			BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00 =
				BGl_string2677z00zzbackend_dotnetz00;
			{	/* BackEnd/dotnet.scm 121 */
				obj_t BgL_arg2353z00_461;

				BgL_arg2353z00_461 =
					MAKE_PAIR(CNST_TABLE_REF(((long) 1)),
					BGl_dotnetzd2externalzd2pnetzd2asmzd2envz00zzbackend_dotnetz00);
				{	/* BackEnd/dotnet.scm 121 */
					obj_t BgL_list2354z00_462;

					BgL_list2354z00_462 = MAKE_PAIR(BgL_arg2353z00_461, BNIL);
					BGl_za2dotnetzd2externalzd2asmsza2z00zzbackend_dotnetz00 =
						BgL_list2354z00_462;
			}}
			return BUNSPEC;
		}
	}



/* build-dotnet-backend */
	BgL_dotnetz00_bglt BGl_buildzd2dotnetzd2backendz00zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 32 */
			{	/* BackEnd/dotnet.scm 34 */
				obj_t BgL_arg2366z00_463;

				obj_t BgL_arg2373z00_464;

				obj_t BgL_arg2398z00_473;

				obj_t BgL_arg2399z00_474;

				obj_t BgL_arg2403z00_478;

				BgL_arg2366z00_463 = CNST_TABLE_REF(((long) 0));
				BgL_arg2373z00_464 = CNST_TABLE_REF(((long) 2));
				BgL_arg2398z00_473 = CNST_TABLE_REF(((long) 3));
				BgL_arg2399z00_474 = CNST_TABLE_REF(((long) 4));
				{	/* BackEnd/dotnet-class.scm 20 */

					{	/* BackEnd/dotnet-class.scm 20 */

						BgL_arg2403z00_478 =
							BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE);
				}}
				return
					BGl_makezd2dotnetzd2zzbackend_dotnet_classz00(BgL_arg2366z00_463,
					BgL_arg2373z00_464, BGl_string2678z00zzbackend_dotnetz00, BNIL, BNIL,
					BNIL, BNIL, BNIL, BNIL, ((bool_t) 0),
					BGl_string2679z00zzbackend_dotnetz00, BgL_arg2398z00_473,
					((bool_t) 1), ((bool_t) 0), ((bool_t) 0), ((bool_t) 0), ((bool_t) 1),
					((bool_t) 0), ((bool_t) 1), BgL_arg2399z00_474, BNIL, ((bool_t) 1),
					((bool_t) 1), ((bool_t) 0), BNIL, BNIL, BgL_arg2403z00_478,
					BGl_string2680z00zzbackend_dotnetz00);
			}
		}
	}



/* _build-dotnet-backend */
	obj_t BGl__buildzd2dotnetzd2backendz00zzbackend_dotnetz00(obj_t
		BgL_envz00_1114)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 32 */
			return (obj_t) (BGl_buildzd2dotnetzd2backendz00zzbackend_dotnetz00());
		}
	}



/* start-dotnet-emission! */
	obj_t BGl_startzd2dotnetzd2emissionz12z12zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 101 */
			if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
				{	/* BackEnd/dotnet.scm 104 */
					obj_t BgL_dnamez00_497;

					BgL_dnamez00_497 =
						BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
					if (bigloo_strcmp(BgL_dnamez00_497,
							BGl_string2680z00zzbackend_dotnetz00))
						{	/* BackEnd/dotnet.scm 105 */
							BFALSE;
						}
					else
						{	/* BackEnd/dotnet.scm 105 */
							BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00 =
								BGl_dirnamez00zz__osz00(BGl_za2destza2z00zzengine_paramz00);
						}
				}
			else
				{	/* BackEnd/dotnet.scm 103 */
					if (
						(BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 5))))
						{	/* BackEnd/dotnet.scm 107 */
							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/dotnet.scm 108 */
									BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00 =
										BGl_dirnamez00zz__osz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00));
								}
							else
								{	/* BackEnd/dotnet.scm 108 */
									BFALSE;
								}
						}
					else
						{	/* BackEnd/dotnet.scm 107 */
							BFALSE;
						}
				}
			{	/* BackEnd/dotnet.scm 110 */
				bool_t BgL_testz00_1223;

				if (fexists(BSTRING_TO_STRING
						(BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00)))
					{	/* BackEnd/dotnet.scm 110 */
						BgL_testz00_1223 =
							directoryp(BSTRING_TO_STRING
							(BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00));
					}
				else
					{	/* BackEnd/dotnet.scm 110 */
						BgL_testz00_1223 = ((bool_t) 0);
					}
				if (BgL_testz00_1223)
					{	/* BackEnd/dotnet.scm 110 */
						return BTRUE;
					}
				else
					{	/* BackEnd/dotnet.scm 110 */
						return
							BGl_errorz00zz__errorz00(BGl_string2681z00zzbackend_dotnetz00,
							BGl_string2682z00zzbackend_dotnetz00,
							BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00);
					}
			}
		}
	}



/* _start-dotnet-emission! */
	obj_t BGl__startzd2dotnetzd2emissionz12z12zzbackend_dotnetz00(obj_t
		BgL_envz00_1117)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 101 */
			return BGl_startzd2dotnetzd2emissionz12z12zzbackend_dotnetz00();
		}
	}



/* dotnet-external-asm */
	obj_t BGl_dotnetzd2externalzd2asmz00zzbackend_dotnetz00(obj_t BgL_namez00_4)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 126 */
			{	/* BackEnd/dotnet.scm 127 */
				obj_t BgL_idz00_504;

				BgL_idz00_504 =
					BGl_za2dotnetzd2externalzd2asmzd2styleza2zd2zzengine_paramz00;
				{	/* BackEnd/dotnet.scm 127 */
					obj_t BgL_cz00_505;

					BgL_cz00_505 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_504,
						BGl_za2dotnetzd2externalzd2asmsza2z00zzbackend_dotnetz00);
					{	/* BackEnd/dotnet.scm 128 */

						{	/* BackEnd/dotnet.scm 129 */
							bool_t BgL_testz00_1232;

							if (PAIRP(BgL_cz00_505))
								{	/* BackEnd/dotnet.scm 130 */
									bool_t BgL_testz00_1235;

									{	/* BackEnd/dotnet.scm 130 */
										obj_t BgL_auxz00_1236;

										BgL_auxz00_1236 = CDR(BgL_cz00_505);
										BgL_testz00_1235 = PROCEDUREP(BgL_auxz00_1236);
									}
									if (BgL_testz00_1235)
										{	/* BackEnd/dotnet.scm 130 */
											BgL_testz00_1232 =
												PROCEDURE_CORRECT_ARITYP(CDR(BgL_cz00_505),
												(int) (((long) 1)));
										}
									else
										{	/* BackEnd/dotnet.scm 130 */
											BgL_testz00_1232 = ((bool_t) 0);
										}
								}
							else
								{	/* BackEnd/dotnet.scm 129 */
									BgL_testz00_1232 = ((bool_t) 0);
								}
							if (BgL_testz00_1232)
								{	/* BackEnd/dotnet.scm 132 */
									obj_t BgL_fun2423z00_507;

									BgL_fun2423z00_507 = CDR(BgL_cz00_505);
									return
										PROCEDURE_ENTRY(BgL_fun2423z00_507) (BgL_fun2423z00_507,
										BgL_namez00_4, BEOA);
								}
							else
								{	/* BackEnd/dotnet.scm 133 */
									obj_t BgL_arg2425z00_509;

									{	/* BackEnd/dotnet.scm 134 */
										obj_t BgL_runner2440z00_531;

										{	/* BackEnd/dotnet.scm 134 */
											obj_t BgL_arg2427z00_511;

											{	/* BackEnd/dotnet.scm 136 */
												obj_t BgL_l2331z00_513;

												BgL_l2331z00_513 =
													BGl_za2dotnetzd2externalzd2asmsza2z00zzbackend_dotnetz00;
												if (NULLP(BgL_l2331z00_513))
													{	/* BackEnd/dotnet.scm 136 */
														BgL_arg2427z00_511 = BNIL;
													}
												else
													{	/* BackEnd/dotnet.scm 136 */
														obj_t BgL_head2333z00_515;

														BgL_head2333z00_515 = MAKE_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l2331z00_516;

															obj_t BgL_tail2334z00_517;

															BgL_l2331z00_516 = BgL_l2331z00_513;
															BgL_tail2334z00_517 = BgL_head2333z00_515;
														BgL_map2332z00_518:
															if (NULLP(BgL_l2331z00_516))
																{	/* BackEnd/dotnet.scm 136 */
																	BgL_arg2427z00_511 = CDR(BgL_head2333z00_515);
																}
															else
																{	/* BackEnd/dotnet.scm 136 */
																	obj_t BgL_newtail2335z00_520;

																	{	/* BackEnd/dotnet.scm 136 */
																		obj_t BgL_arg2432z00_522;

																		{	/* BackEnd/dotnet.scm 136 */
																			obj_t BgL_xz00_524;

																			BgL_xz00_524 = CAR(BgL_l2331z00_516);
																			{	/* BackEnd/dotnet.scm 137 */
																				bool_t BgL_testz00_1252;

																				if (PAIRP(BgL_xz00_524))
																					{	/* BackEnd/dotnet.scm 138 */
																						obj_t BgL_auxz00_1255;

																						BgL_auxz00_1255 = CAR(BgL_xz00_524);
																						BgL_testz00_1252 =
																							SYMBOLP(BgL_auxz00_1255);
																					}
																				else
																					{	/* BackEnd/dotnet.scm 137 */
																						BgL_testz00_1252 = ((bool_t) 0);
																					}
																				if (BgL_testz00_1252)
																					{	/* BackEnd/dotnet.scm 139 */
																						obj_t BgL_arg2435z00_526;

																						BgL_arg2435z00_526 =
																							SYMBOL_TO_STRING(CAR
																							(BgL_xz00_524));
																						BgL_arg2432z00_522 =
																							string_append(BgL_arg2435z00_526,
																							BGl_string2683z00zzbackend_dotnetz00);
																					}
																				else
																					{	/* BackEnd/dotnet.scm 137 */
																						BgL_arg2432z00_522 =
																							BGl_string2680z00zzbackend_dotnetz00;
																					}
																			}
																		}
																		BgL_newtail2335z00_520 =
																			MAKE_PAIR(BgL_arg2432z00_522, BNIL);
																	}
																	SET_CDR(BgL_tail2334z00_517,
																		BgL_newtail2335z00_520);
																	{
																		obj_t BgL_tail2334z00_1265;

																		obj_t BgL_l2331z00_1263;

																		BgL_l2331z00_1263 = CDR(BgL_l2331z00_516);
																		BgL_tail2334z00_1265 =
																			BgL_newtail2335z00_520;
																		BgL_tail2334z00_517 = BgL_tail2334z00_1265;
																		BgL_l2331z00_516 = BgL_l2331z00_1263;
																		goto BgL_map2332z00_518;
																	}
																}
														}
													}
											}
											{	/* BackEnd/dotnet.scm 134 */
												obj_t BgL_list2428z00_512;

												BgL_list2428z00_512 =
													MAKE_PAIR(BgL_arg2427z00_511, BNIL);
												BgL_runner2440z00_531 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BGl_string2684z00zzbackend_dotnetz00,
													BgL_list2428z00_512);
											}
										}
										BgL_arg2425z00_509 =
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_runner2440z00_531);
									}
									return
										BGl_errorz00zz__errorz00
										(BGl_string2685z00zzbackend_dotnetz00, BgL_arg2425z00_509,
										BGl_za2dotnetzd2externalzd2asmzd2styleza2zd2zzengine_paramz00);
								}
						}
					}
				}
			}
		}
	}



/* dotnet-external-pnet-asm */
	obj_t BGl_dotnetzd2externalzd2pnetzd2asmzd2zzbackend_dotnetz00(obj_t
		BgL_namez00_5)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 148 */
			{	/* BackEnd/dotnet.scm 149 */
				obj_t BgL_ilz00_537;

				BgL_ilz00_537 =
					string_append(BGl_prefixz00zz__osz00(BgL_namez00_5),
					BGl_string2686z00zzbackend_dotnetz00);
				{	/* BackEnd/dotnet.scm 149 */
					obj_t BgL_cmdz00_538;

					BgL_cmdz00_538 =
						string_append_3
						(BGl_za2dotnetzd2externalzd2asmza2z00zzengine_paramz00,
						BGl_string2683z00zzbackend_dotnetz00, BgL_ilz00_537);
					{	/* BackEnd/dotnet.scm 150 */

						{	/* BackEnd/dotnet.scm 151 */
							obj_t BgL_list2446z00_539;

							{	/* BackEnd/dotnet.scm 151 */
								obj_t BgL_arg2448z00_541;

								{	/* BackEnd/dotnet.scm 151 */
									obj_t BgL_arg2449z00_542;

									{	/* BackEnd/dotnet.scm 151 */
										obj_t BgL_arg2451z00_544;

										BgL_arg2451z00_544 =
											MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
										BgL_arg2449z00_542 =
											MAKE_PAIR(BGl_string2687z00zzbackend_dotnetz00,
											BgL_arg2451z00_544);
									}
									BgL_arg2448z00_541 =
										MAKE_PAIR
										(BGl_za2dotnetzd2externalzd2asmza2z00zzengine_paramz00,
										BgL_arg2449z00_542);
								}
								BgL_list2446z00_539 =
									MAKE_PAIR(BGl_string2688z00zzbackend_dotnetz00,
									BgL_arg2448z00_541);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
								BgL_list2446z00_539);
						}
						{	/* BackEnd/dotnet.scm 152 */
							obj_t BgL_list2452z00_545;

							{	/* BackEnd/dotnet.scm 152 */
								obj_t BgL_arg2454z00_547;

								{	/* BackEnd/dotnet.scm 152 */
									obj_t BgL_arg2455z00_548;

									{	/* BackEnd/dotnet.scm 152 */
										obj_t BgL_arg2456z00_549;

										BgL_arg2456z00_549 =
											MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
										BgL_arg2455z00_548 =
											MAKE_PAIR(BCHAR(((unsigned char) ']')),
											BgL_arg2456z00_549);
									}
									BgL_arg2454z00_547 =
										MAKE_PAIR(BgL_cmdz00_538, BgL_arg2455z00_548);
								}
								BgL_list2452z00_545 =
									MAKE_PAIR(BGl_string2689z00zzbackend_dotnetz00,
									BgL_arg2454z00_547);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list2452z00_545);
						}
						{	/* BackEnd/dotnet.scm 153 */
							obj_t BgL_resz00_550;

							BgL_resz00_550 =
								BGl_execz00zzcc_execz00(BgL_cmdz00_538, ((bool_t) 1),
								BGl_string2690z00zzbackend_dotnetz00);
							if (CBOOL(BGl_za2rmzd2tmpzd2filesza2z00zzengine_paramz00))
								{	/* BackEnd/dotnet.scm 154 */
									char *BgL_stringz00_988;

									BgL_stringz00_988 = BSTRING_TO_STRING(BgL_ilz00_537);
									if (unlink(BgL_stringz00_988))
										{	/* BackEnd/dotnet.scm 154 */
											((bool_t) 0);
										}
									else
										{	/* BackEnd/dotnet.scm 154 */
											((bool_t) 1);
										}
								}
							else
								{	/* BackEnd/dotnet.scm 154 */
									((bool_t) 0);
								}
							return BgL_resz00_550;
						}
					}
				}
			}
		}
	}



/* _dotnet-external-pnet-asm */
	obj_t BGl__dotnetzd2externalzd2pnetzd2asmzd2zzbackend_dotnetz00(obj_t
		BgL_envz00_1115, obj_t BgL_namez00_1116)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 148 */
			return
				BGl_dotnetzd2externalzd2pnetzd2asmzd2zzbackend_dotnetz00
				(BgL_namez00_1116);
		}
	}



/* make-tmp-file-name */
	obj_t BGl_makezd2tmpzd2filezd2namezd2zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 185 */
			return
				string_append(BGl_string2691z00zzbackend_dotnetz00,
				BGl_string2692z00zzbackend_dotnetz00);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 1 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
				BGl_dotnetz00zzbackend_dotnet_classz00,
				BGl_proc2693z00zzbackend_dotnetz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
				BGl_dotnetz00zzbackend_dotnet_classz00,
				BGl_proc2694z00zzbackend_dotnetz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
				BGl_dotnetz00zzbackend_dotnet_classz00,
				BGl_proc2695z00zzbackend_dotnetz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
				BGl_dotnetz00zzbackend_dotnet_classz00,
				BGl_proc2696z00zzbackend_dotnetz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
				BGl_dotnetz00zzbackend_dotnet_classz00,
				BGl_proc2697z00zzbackend_dotnetz00);
		}
	}



/* backend-check-inline2347 */
	obj_t BGl_backendzd2checkzd2inline2347z00zzbackend_dotnetz00(obj_t
		BgL_envz00_1125, obj_t BgL_mez00_1126)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 305 */
			{
				BgL_dotnetz00_bglt BgL_mez00_953;

				BgL_mez00_953 = (BgL_dotnetz00_bglt) (BgL_mez00_1126);
				if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
					{	/* BackEnd/dotnet.scm 306 */
						return BFALSE;
					}
				else
					{	/* BackEnd/dotnet.scm 306 */
						return BGl_checkzd2msilzd2inlinesz00zzmsil_inlinez00();
					}
			}
		}
	}



/* backend-link-objects2345 */
	obj_t BGl_backendzd2linkzd2objects2345z00zzbackend_dotnetz00(obj_t
		BgL_envz00_1127, obj_t BgL_mez00_1128, obj_t BgL_sourcesz00_1129)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 191 */
			{
				BgL_dotnetz00_bglt BgL_mez00_794;

				obj_t BgL_sourcesz00_795;

				BgL_mez00_794 = (BgL_dotnetz00_bglt) (BgL_mez00_1128);
				BgL_sourcesz00_795 = BgL_sourcesz00_1129;
				if (NULLP(BgL_sourcesz00_795))
					{	/* BackEnd/dotnet.scm 196 */
						obj_t BgL_firstz00_800;

						BgL_firstz00_800 =
							BGl_prefixz00zz__osz00(CAR
							(BGl_za2ozd2filesza2zd2zzengine_paramz00));
						{	/* BackEnd/dotnet.scm 197 */
							obj_t BgL_list2539z00_801;

							{	/* BackEnd/dotnet.scm 197 */
								obj_t BgL_arg2541z00_803;

								{	/* BackEnd/dotnet.scm 197 */
									obj_t BgL_arg2543z00_805;

									{	/* BackEnd/dotnet.scm 197 */
										obj_t BgL_arg2545z00_807;

										BgL_arg2545z00_807 =
											MAKE_PAIR(BGl_za2ozd2filesza2zd2zzengine_paramz00, BNIL);
										BgL_arg2543z00_805 =
											MAKE_PAIR(BGl_string2698z00zzbackend_dotnetz00,
											BgL_arg2545z00_807);
									}
									BgL_arg2541z00_803 =
										MAKE_PAIR(BGl_string2699z00zzbackend_dotnetz00,
										BgL_arg2543z00_805);
								}
								BgL_list2539z00_801 =
									MAKE_PAIR(BGl_string2700z00zzbackend_dotnetz00,
									BgL_arg2541z00_803);
							}
							BGl_warningz00zz__errorz00(BgL_list2539z00_801);
						}
						BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
						BGl_za2srczd2filesza2zd2zzengine_paramz00 = BNIL;
						return BGl_dotnetzd2ldzd2zzmsil_ldz00();
					}
				else
					{
						obj_t BgL_sourcesz00_811;

						obj_t BgL_clsz00_812;

						obj_t BgL_mainz00_813;

						obj_t BgL_fmainz00_814;

						obj_t BgL_librariesz00_815;

						BgL_sourcesz00_811 = BgL_sourcesz00_795;
						BgL_clsz00_812 = BNIL;
						BgL_mainz00_813 = BFALSE;
						BgL_fmainz00_814 = BGl_string2680z00zzbackend_dotnetz00;
						BgL_librariesz00_815 = BNIL;
					BgL_loopz00_816:
						if (NULLP(BgL_sourcesz00_811))
							{	/* BackEnd/dotnet.scm 207 */
								if (CBOOL(BgL_mainz00_813))
									{	/* BackEnd/dotnet.scm 211 */
										obj_t BgL_firstz00_818;

										BgL_firstz00_818 =
											BGl_prefixz00zz__osz00(CAR
											(BGl_za2ozd2filesza2zd2zzengine_paramz00));
										{
											obj_t BgL_l2336z00_819;

											BgL_l2336z00_819 = BgL_librariesz00_815;
										BgL_forzd2each2337zd2_820:
											if (PAIRP(BgL_l2336z00_819))
												{	/* BackEnd/dotnet.scm 214 */
													{	/* BackEnd/dotnet.scm 215 */
														obj_t BgL_libz00_822;

														BgL_libz00_822 = CAR(BgL_l2336z00_819);
														BGl_usezd2libraryz12zc0zzmodule_alibraryz00
															(BgL_libz00_822, CNST_TABLE_REF(((long) 6)));
													}
													{
														obj_t BgL_l2336z00_1327;

														BgL_l2336z00_1327 = CDR(BgL_l2336z00_819);
														BgL_l2336z00_819 = BgL_l2336z00_1327;
														goto BgL_forzd2each2337zd2_820;
													}
												}
											else
												{	/* BackEnd/dotnet.scm 214 */
													((bool_t) 1);
												}
										}
										BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
										{	/* BackEnd/dotnet.scm 219 */
											obj_t BgL_list2551z00_824;

											BgL_list2551z00_824 = MAKE_PAIR(BgL_fmainz00_814, BNIL);
											BGl_za2srczd2filesza2zd2zzengine_paramz00 =
												BgL_list2551z00_824;
										}
										BGl_za2srczd2filesza2zd2zzengine_paramz00 = BNIL;
										return BGl_dotnetzd2ldzd2zzmsil_ldz00();
									}
								else
									{	/* BackEnd/dotnet.scm 222 */
										obj_t BgL_tmpz00_826;

										BgL_tmpz00_826 =
											BGl_makezd2tmpzd2filezd2namezd2zzbackend_dotnetz00();
										BGl_makezd2tmpzd2mainz00zzengine_linkz00(BgL_tmpz00_826,
											CBOOL(BgL_mainz00_813),
											string_to_symbol(BSTRING_TO_STRING
												(BGl_string2691z00zzbackend_dotnetz00)), BgL_clsz00_812,
											BgL_librariesz00_815);
										{	/* BackEnd/dotnet.scm 224 */
											obj_t BgL_list2556z00_828;

											BgL_list2556z00_828 = MAKE_PAIR(BgL_tmpz00_826, BNIL);
											BGl_za2srczd2filesza2zd2zzengine_paramz00 =
												BgL_list2556z00_828;
										}
										{
											obj_t BgL_raz00_830;

											obj_t BgL_resz00_831;

											BgL_raz00_830 = BGl_za2restzd2argsza2zd2zzengine_paramz00;
											BgL_resz00_831 = BNIL;
										BgL_loopz00_832:
											if (NULLP(BgL_raz00_830))
												{	/* BackEnd/dotnet.scm 230 */
													BGl_za2restzd2argsza2zd2zzengine_paramz00 =
														bgl_reverse_bang(BgL_resz00_831);
												}
											else
												{	/* BackEnd/dotnet.scm 232 */
													bool_t BgL_testz00_1341;

													{	/* BackEnd/dotnet.scm 232 */
														obj_t BgL_arg2563z00_839;

														BgL_arg2563z00_839 =
															BGl_suffixz00zz__osz00(CAR(BgL_raz00_830));
														BgL_testz00_1341 =
															CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2563z00_839,
																BGl_za2mcozd2suffixza2zd2zzengine_paramz00));
													}
													if (BgL_testz00_1341)
														{
															obj_t BgL_raz00_1346;

															BgL_raz00_1346 = CDR(BgL_raz00_830);
															BgL_raz00_830 = BgL_raz00_1346;
															goto BgL_loopz00_832;
														}
													else
														{	/* BackEnd/dotnet.scm 235 */
															obj_t BgL_arg2560z00_836;

															obj_t BgL_arg2561z00_837;

															BgL_arg2560z00_836 = CDR(BgL_raz00_830);
															BgL_arg2561z00_837 =
																MAKE_PAIR(CAR(BgL_raz00_830), BgL_resz00_831);
															{
																obj_t BgL_resz00_1352;

																obj_t BgL_raz00_1351;

																BgL_raz00_1351 = BgL_arg2560z00_836;
																BgL_resz00_1352 = BgL_arg2561z00_837;
																BgL_resz00_831 = BgL_resz00_1352;
																BgL_raz00_830 = BgL_raz00_1351;
																goto BgL_loopz00_832;
															}
														}
												}
										}
										{	/* BackEnd/dotnet.scm 236 */
											obj_t BgL_val2328z00_841;

											BgL_val2328z00_841 =
												BGl_zc3exitza32570ze3z83zzbackend_dotnetz00();
											BGl_loadzd2libraryzd2initz00zzinit_setrcz00();
											{	/* BackEnd/dotnet.scm 240 */
												obj_t BgL_prez00_842;

												BgL_prez00_842 = BGl_prefixz00zz__osz00(BgL_tmpz00_826);
												{	/* BackEnd/dotnet.scm 240 */
													obj_t BgL_objzd2filezd2_843;

													BgL_objzd2filezd2_843 =
														string_append(BgL_prez00_842,
														BGl_string2701z00zzbackend_dotnetz00);
													{	/* BackEnd/dotnet.scm 241 */

														if (fexists(BSTRING_TO_STRING(BgL_tmpz00_826)))
															{	/* BackEnd/dotnet.scm 243 */
																char *BgL_stringz00_1037;

																BgL_stringz00_1037 =
																	BSTRING_TO_STRING(BgL_tmpz00_826);
																if (unlink(BgL_stringz00_1037))
																	{	/* BackEnd/dotnet.scm 243 */
																		((bool_t) 0);
																	}
																else
																	{	/* BackEnd/dotnet.scm 243 */
																		((bool_t) 1);
																	}
															}
														else
															{	/* BackEnd/dotnet.scm 242 */
																((bool_t) 0);
															}
														if (fexists(BSTRING_TO_STRING
																(BgL_objzd2filezd2_843)))
															{	/* BackEnd/dotnet.scm 245 */
																char *BgL_stringz00_1040;

																BgL_stringz00_1040 =
																	BSTRING_TO_STRING(BgL_objzd2filezd2_843);
																if (unlink(BgL_stringz00_1040))
																	{	/* BackEnd/dotnet.scm 245 */
																		((bool_t) 0);
																	}
																else
																	{	/* BackEnd/dotnet.scm 245 */
																		((bool_t) 1);
																	}
															}
														else
															{	/* BackEnd/dotnet.scm 244 */
																((bool_t) 0);
															}
													}
												}
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val2328z00_841)))
												{	/* BackEnd/dotnet.scm 240 */
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val2328z00_841), CDR(BgL_val2328z00_841));
												}
											else
												{	/* BackEnd/dotnet.scm 240 */
													BgL_val2328z00_841;
												}
										}
										return BINT(((long) 0));
							}}
						else
							{	/* BackEnd/dotnet.scm 247 */
								obj_t BgL_portz00_852;

								{	/* BackEnd/dotnet.scm 247 */
									obj_t BgL_arg2653z00_945;

									{	/* BackEnd/dotnet.scm 247 */
										obj_t BgL_pairz00_1044;

										BgL_pairz00_1044 = BgL_sourcesz00_811;
										BgL_arg2653z00_945 = CAR(CAR(BgL_pairz00_1044));
									}
									{	/* BackEnd/dotnet.scm 247 */

										BgL_portz00_852 =
											BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
											(BgL_arg2653z00_945, BTRUE);
									}
								}
								if (INPUT_PORTP(BgL_portz00_852))
									{	/* BackEnd/dotnet.scm 250 */
										obj_t BgL_expz00_854;

										{	/* BackEnd/dotnet.scm 250 */
											obj_t BgL_list2649z00_941;

											BgL_list2649z00_941 = MAKE_PAIR(BgL_portz00_852, BNIL);
											BgL_expz00_854 =
												BGl_compilerzd2readzd2zzread_readerz00
												(BgL_list2649z00_941);
										}
										bgl_close_input_port(BgL_portz00_852);
										{
											obj_t BgL_namez00_855;

											obj_t BgL_newzd2mainzd2_856;

											obj_t BgL_namez00_858;

											if (PAIRP(BgL_expz00_854))
												{	/* BackEnd/dotnet.scm 252 */
													obj_t BgL_cdrzd21263zd2_863;

													BgL_cdrzd21263zd2_863 = CDR(BgL_expz00_854);
													if (
														(CAR(BgL_expz00_854) == CNST_TABLE_REF(((long) 7))))
														{	/* BackEnd/dotnet.scm 252 */
															if (PAIRP(BgL_cdrzd21263zd2_863))
																{
																	obj_t BgL_gzd21270zd2_868;

																	BgL_gzd21270zd2_868 =
																		CDR(BgL_cdrzd21263zd2_863);
																BgL_zc3anonymousza32576ze3z83_869:
																	if (PAIRP(BgL_gzd21270zd2_868))
																		{	/* BackEnd/dotnet.scm 252 */
																			obj_t BgL_carzd21273zd2_871;

																			BgL_carzd21273zd2_871 =
																				CAR(BgL_gzd21270zd2_868);
																			if (PAIRP(BgL_carzd21273zd2_871))
																				{	/* BackEnd/dotnet.scm 252 */
																					obj_t BgL_cdrzd21277zd2_873;

																					BgL_cdrzd21277zd2_873 =
																						CDR(BgL_carzd21273zd2_871);
																					if (
																						(CAR(BgL_carzd21273zd2_871) ==
																							CNST_TABLE_REF(((long) 8))))
																						{	/* BackEnd/dotnet.scm 252 */
																							if (PAIRP(BgL_cdrzd21277zd2_873))
																								{	/* BackEnd/dotnet.scm 252 */
																									if (NULLP(CDR
																											(BgL_cdrzd21277zd2_873)))
																										{	/* BackEnd/dotnet.scm 252 */
																											BgL_namez00_855 =
																												CAR
																												(BgL_cdrzd21263zd2_863);
																											BgL_newzd2mainzd2_856 =
																												CAR
																												(BgL_cdrzd21277zd2_873);
																											{	/* BackEnd/dotnet.scm 257 */
																												obj_t
																													BgL_arg2596z00_891;
																												{	/* BackEnd/dotnet.scm 257 */
																													obj_t
																														BgL_arg2598z00_893;
																													obj_t
																														BgL_arg2599z00_894;
																													{	/* BackEnd/dotnet.scm 257 */
																														obj_t
																															BgL_arg2600z00_895;
																														{	/* BackEnd/dotnet.scm 257 */
																															obj_t
																																BgL_arg2601z00_896;
																															{	/* BackEnd/dotnet.scm 257 */
																																obj_t
																																	BgL_pairz00_1071;
																																BgL_pairz00_1071
																																	=
																																	BgL_sourcesz00_811;
																																BgL_arg2601z00_896
																																	=
																																	CDR(CAR
																																	(BgL_pairz00_1071));
																															}
																															BgL_arg2600z00_895
																																=
																																BGl_prefixz00zz__osz00
																																(BgL_arg2601z00_896);
																														}
																														BgL_arg2598z00_893 =
																															BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00
																															(BgL_arg2600z00_895);
																													}
																													BgL_arg2599z00_894 =
																														BGl_filezd2separatorzd2zz__osz00
																														();
																													BgL_arg2596z00_891 =
																														BGl_stringzd2replacezd2zz__r4_strings_6_7z00
																														(BgL_arg2598z00_893,
																														CCHAR
																														(BgL_arg2599z00_894),
																														(char) (((unsigned
																																	char) '.')));
																												}
																												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																													(BgL_namez00_855,
																													BgL_arg2596z00_891,
																													BNIL);
																											}
																											if (CBOOL
																												(BgL_mainz00_813))
																												{	/* BackEnd/dotnet.scm 261 */
																													obj_t
																														BgL_arg2603z00_898;
																													obj_t
																														BgL_arg2604z00_899;
																													{	/* BackEnd/dotnet.scm 262 */
																														obj_t
																															BgL_arg2608z00_902;
																														{	/* BackEnd/dotnet.scm 266 */
																															obj_t
																																BgL_pairz00_1075;
																															BgL_pairz00_1075 =
																																BgL_sourcesz00_811;
																															BgL_arg2608z00_902
																																=
																																CAR(CAR
																																(BgL_pairz00_1075));
																														}
																														{	/* BackEnd/dotnet.scm 262 */
																															obj_t
																																BgL_list2610z00_904;
																															{	/* BackEnd/dotnet.scm 262 */
																																obj_t
																																	BgL_arg2611z00_905;
																																{	/* BackEnd/dotnet.scm 262 */
																																	obj_t
																																		BgL_arg2612z00_906;
																																	{	/* BackEnd/dotnet.scm 262 */
																																		obj_t
																																			BgL_arg2614z00_907;
																																		{	/* BackEnd/dotnet.scm 262 */
																																			obj_t
																																				BgL_arg2615z00_908;
																																			BgL_arg2615z00_908
																																				=
																																				MAKE_PAIR
																																				(BGl_string2687z00zzbackend_dotnetz00,
																																				BNIL);
																																			BgL_arg2614z00_907
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2608z00_902,
																																				BgL_arg2615z00_908);
																																		}
																																		BgL_arg2612z00_906
																																			=
																																			MAKE_PAIR
																																			(BGl_string2703z00zzbackend_dotnetz00,
																																			BgL_arg2614z00_907);
																																	}
																																	BgL_arg2611z00_905
																																		=
																																		MAKE_PAIR
																																		(BgL_fmainz00_814,
																																		BgL_arg2612z00_906);
																																}
																																BgL_list2610z00_904
																																	=
																																	MAKE_PAIR
																																	(BGl_string2704z00zzbackend_dotnetz00,
																																	BgL_arg2611z00_905);
																															}
																															BgL_arg2603z00_898
																																=
																																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																(BgL_list2610z00_904);
																														}
																													}
																													BgL_arg2604z00_899 =
																														MAKE_PAIR
																														(BgL_mainz00_813,
																														BgL_newzd2mainzd2_856);
																													BGl_errorz00zz__errorz00
																														(BGl_string2680z00zzbackend_dotnetz00,
																														BgL_arg2603z00_898,
																														BgL_arg2604z00_899);
																												}
																											else
																												{	/* BackEnd/dotnet.scm 260 */
																													BFALSE;
																												}
																											{	/* BackEnd/dotnet.scm 268 */
																												obj_t
																													BgL_arg2616z00_909;
																												obj_t
																													BgL_arg2617z00_910;
																												obj_t
																													BgL_arg2618z00_911;
																												obj_t
																													BgL_arg2619z00_912;
																												BgL_arg2616z00_909 =
																													CDR
																													(BgL_sourcesz00_811);
																												{	/* BackEnd/dotnet.scm 270 */
																													obj_t
																														BgL_arg2620z00_913;
																													{	/* BackEnd/dotnet.scm 270 */
																														obj_t
																															BgL_arg2621z00_914;
																														{	/* BackEnd/dotnet.scm 270 */
																															obj_t
																																BgL_arg2625z00_918;
																															{	/* BackEnd/dotnet.scm 271 */
																																obj_t
																																	BgL_pairz00_1080;
																																BgL_pairz00_1080
																																	=
																																	BgL_sourcesz00_811;
																																BgL_arg2625z00_918
																																	=
																																	CAR(CAR
																																	(BgL_pairz00_1080));
																															}
																															BgL_arg2621z00_914
																																=
																																string_append_3
																																(BGl_string2702z00zzbackend_dotnetz00,
																																BgL_arg2625z00_918,
																																BGl_string2702z00zzbackend_dotnetz00);
																														}
																														{	/* BackEnd/dotnet.scm 269 */
																															obj_t
																																BgL_list2622z00_915;
																															{	/* BackEnd/dotnet.scm 269 */
																																obj_t
																																	BgL_arg2623z00_916;
																																BgL_arg2623z00_916
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2621z00_914,
																																	BNIL);
																																BgL_list2622z00_915
																																	=
																																	MAKE_PAIR
																																	(BgL_namez00_855,
																																	BgL_arg2623z00_916);
																															}
																															BgL_arg2620z00_913
																																=
																																BgL_list2622z00_915;
																														}
																													}
																													BgL_arg2617z00_910 =
																														MAKE_PAIR
																														(BgL_arg2620z00_913,
																														BgL_clsz00_812);
																												}
																												{	/* BackEnd/dotnet.scm 274 */
																													obj_t
																														BgL_pairz00_1086;
																													BgL_pairz00_1086 =
																														BgL_sourcesz00_811;
																													BgL_arg2618z00_911 =
																														CAR(CAR
																														(BgL_pairz00_1086));
																												}
																												{	/* BackEnd/dotnet.scm 275 */
																													obj_t
																														BgL_arg2627z00_920;
																													{	/* BackEnd/dotnet.scm 275 */
																														obj_t
																															BgL_arg2628z00_921;
																														{	/* BackEnd/dotnet.scm 275 */
																															obj_t
																																BgL_pairz00_1090;
																															BgL_pairz00_1090 =
																																BgL_expz00_854;
																															BgL_arg2628z00_921
																																=
																																CDR(CDR
																																(BgL_pairz00_1090));
																														}
																														BgL_arg2627z00_920 =
																															BGl_findzd2librarieszd2zzengine_linkz00
																															(BgL_arg2628z00_921);
																													}
																													BgL_arg2619z00_912 =
																														bgl_append2
																														(BgL_arg2627z00_920,
																														BgL_librariesz00_815);
																												}
																												{
																													obj_t
																														BgL_librariesz00_1446;
																													obj_t
																														BgL_fmainz00_1445;
																													obj_t
																														BgL_mainz00_1444;
																													obj_t BgL_clsz00_1443;

																													obj_t
																														BgL_sourcesz00_1442;
																													BgL_sourcesz00_1442 =
																														BgL_arg2616z00_909;
																													BgL_clsz00_1443 =
																														BgL_arg2617z00_910;
																													BgL_mainz00_1444 =
																														BgL_newzd2mainzd2_856;
																													BgL_fmainz00_1445 =
																														BgL_arg2618z00_911;
																													BgL_librariesz00_1446
																														=
																														BgL_arg2619z00_912;
																													BgL_librariesz00_815 =
																														BgL_librariesz00_1446;
																													BgL_fmainz00_814 =
																														BgL_fmainz00_1445;
																													BgL_mainz00_813 =
																														BgL_mainz00_1444;
																													BgL_clsz00_812 =
																														BgL_clsz00_1443;
																													BgL_sourcesz00_811 =
																														BgL_sourcesz00_1442;
																													goto BgL_loopz00_816;
																												}
																											}
																										}
																									else
																										{
																											obj_t
																												BgL_gzd21270zd2_1449;
																											BgL_gzd21270zd2_1449 =
																												CDR
																												(BgL_gzd21270zd2_868);
																											BgL_gzd21270zd2_868 =
																												BgL_gzd21270zd2_1449;
																											goto
																												BgL_zc3anonymousza32576ze3z83_869;
																										}
																								}
																							else
																								{
																									obj_t BgL_gzd21270zd2_1451;

																									BgL_gzd21270zd2_1451 =
																										CDR(BgL_gzd21270zd2_868);
																									BgL_gzd21270zd2_868 =
																										BgL_gzd21270zd2_1451;
																									goto
																										BgL_zc3anonymousza32576ze3z83_869;
																								}
																						}
																					else
																						{
																							obj_t BgL_gzd21270zd2_1453;

																							BgL_gzd21270zd2_1453 =
																								CDR(BgL_gzd21270zd2_868);
																							BgL_gzd21270zd2_868 =
																								BgL_gzd21270zd2_1453;
																							goto
																								BgL_zc3anonymousza32576ze3z83_869;
																						}
																				}
																			else
																				{
																					obj_t BgL_gzd21270zd2_1455;

																					BgL_gzd21270zd2_1455 =
																						CDR(BgL_gzd21270zd2_868);
																					BgL_gzd21270zd2_868 =
																						BgL_gzd21270zd2_1455;
																					goto
																						BgL_zc3anonymousza32576ze3z83_869;
																				}
																		}
																	else
																		{	/* BackEnd/dotnet.scm 252 */
																			BgL_namez00_858 =
																				CAR(CDR(BgL_expz00_854));
																			{	/* BackEnd/dotnet.scm 281 */
																				obj_t BgL_arg2629z00_922;

																				{	/* BackEnd/dotnet.scm 281 */
																					obj_t BgL_arg2631z00_924;

																					obj_t BgL_arg2632z00_925;

																					{	/* BackEnd/dotnet.scm 281 */
																						obj_t BgL_arg2633z00_926;

																						{	/* BackEnd/dotnet.scm 281 */
																							obj_t BgL_arg2634z00_927;

																							{	/* BackEnd/dotnet.scm 281 */
																								obj_t BgL_pairz00_1094;

																								BgL_pairz00_1094 =
																									BgL_sourcesz00_811;
																								BgL_arg2634z00_927 =
																									CDR(CAR(BgL_pairz00_1094));
																							}
																							BgL_arg2633z00_926 =
																								BGl_prefixz00zz__osz00
																								(BgL_arg2634z00_927);
																						}
																						BgL_arg2631z00_924 =
																							BGl_jvmzd2classzd2sanszd2directoryzd2zzread_jvmz00
																							(BgL_arg2633z00_926);
																					}
																					BgL_arg2632z00_925 =
																						BGl_filezd2separatorzd2zz__osz00();
																					BgL_arg2629z00_922 =
																						BGl_stringzd2replacezd2zz__r4_strings_6_7z00
																						(BgL_arg2631z00_924,
																						CCHAR(BgL_arg2632z00_925),
																						(char) (((unsigned char) '.')));
																				}
																				BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
																					(BgL_namez00_858, BgL_arg2629z00_922,
																					BNIL);
																			}
																			{	/* BackEnd/dotnet.scm 284 */
																				obj_t BgL_arg2636z00_928;

																				obj_t BgL_arg2637z00_929;

																				obj_t BgL_arg2638z00_930;

																				BgL_arg2636z00_928 =
																					CDR(BgL_sourcesz00_811);
																				{	/* BackEnd/dotnet.scm 286 */
																					obj_t BgL_arg2639z00_931;

																					{	/* BackEnd/dotnet.scm 286 */
																						obj_t BgL_arg2640z00_932;

																						{	/* BackEnd/dotnet.scm 286 */
																							obj_t BgL_arg2644z00_936;

																							{	/* BackEnd/dotnet.scm 287 */
																								obj_t BgL_pairz00_1099;

																								BgL_pairz00_1099 =
																									BgL_sourcesz00_811;
																								BgL_arg2644z00_936 =
																									CAR(CAR(BgL_pairz00_1099));
																							}
																							BgL_arg2640z00_932 =
																								string_append_3
																								(BGl_string2702z00zzbackend_dotnetz00,
																								BgL_arg2644z00_936,
																								BGl_string2702z00zzbackend_dotnetz00);
																						}
																						{	/* BackEnd/dotnet.scm 285 */
																							obj_t BgL_list2641z00_933;

																							{	/* BackEnd/dotnet.scm 285 */
																								obj_t BgL_arg2642z00_934;

																								BgL_arg2642z00_934 =
																									MAKE_PAIR(BgL_arg2640z00_932,
																									BNIL);
																								BgL_list2641z00_933 =
																									MAKE_PAIR(BgL_namez00_858,
																									BgL_arg2642z00_934);
																							}
																							BgL_arg2639z00_931 =
																								BgL_list2641z00_933;
																					}}
																					BgL_arg2637z00_929 =
																						MAKE_PAIR(BgL_arg2639z00_931,
																						BgL_clsz00_812);
																				}
																				{	/* BackEnd/dotnet.scm 291 */
																					obj_t BgL_arg2646z00_938;

																					{	/* BackEnd/dotnet.scm 291 */
																						obj_t BgL_arg2647z00_939;

																						{	/* BackEnd/dotnet.scm 291 */
																							obj_t BgL_pairz00_1105;

																							BgL_pairz00_1105 = BgL_expz00_854;
																							BgL_arg2647z00_939 =
																								CDR(CDR(BgL_pairz00_1105));
																						}
																						BgL_arg2646z00_938 =
																							BGl_findzd2librarieszd2zzengine_linkz00
																							(BgL_arg2647z00_939);
																					}
																					BgL_arg2638z00_930 =
																						bgl_append2(BgL_arg2646z00_938,
																						BgL_librariesz00_815);
																				}
																				{
																					obj_t BgL_librariesz00_1479;

																					obj_t BgL_clsz00_1478;

																					obj_t BgL_sourcesz00_1477;

																					BgL_sourcesz00_1477 =
																						BgL_arg2636z00_928;
																					BgL_clsz00_1478 = BgL_arg2637z00_929;
																					BgL_librariesz00_1479 =
																						BgL_arg2638z00_930;
																					BgL_librariesz00_815 =
																						BgL_librariesz00_1479;
																					BgL_clsz00_812 = BgL_clsz00_1478;
																					BgL_sourcesz00_811 =
																						BgL_sourcesz00_1477;
																					goto BgL_loopz00_816;
																				}
																			}
																		}
																}
															else
																{	/* BackEnd/dotnet.scm 252 */
																BgL_tagzd21254zd2_860:
																	{
																		obj_t BgL_sourcesz00_1483;

																		BgL_sourcesz00_1483 =
																			CDR(BgL_sourcesz00_811);
																		BgL_sourcesz00_811 = BgL_sourcesz00_1483;
																		goto BgL_loopz00_816;
																	}
																}
														}
													else
														{	/* BackEnd/dotnet.scm 252 */
															goto BgL_tagzd21254zd2_860;
														}
												}
											else
												{	/* BackEnd/dotnet.scm 252 */
													goto BgL_tagzd21254zd2_860;
												}
										}
									}
								else
									{	/* BackEnd/dotnet.scm 249 */
										obj_t BgL_arg2652z00_944;

										{	/* BackEnd/dotnet.scm 249 */
											obj_t BgL_pairz00_1110;

											BgL_pairz00_1110 = BgL_sourcesz00_811;
											BgL_arg2652z00_944 = CAR(CAR(BgL_pairz00_1110));
										}
										return
											BGl_errorz00zz__errorz00
											(BGl_string2680z00zzbackend_dotnetz00,
											BGl_string2705z00zzbackend_dotnetz00, BgL_arg2652z00_944);
									}
							}
					}
			}
		}
	}



/* <exit:2570> */
	obj_t BGl_zc3exitza32570ze3z83zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 239 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2329z00_850;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit2329z00_850))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit2329z00_850 = (void *) jmpbuf;
						{	/* BackEnd/dotnet.scm 239 */

							PUSH_EXIT(BgL_an_exit2329z00_850, ((long) 0));
							{	/* BackEnd/dotnet.scm 237 */
								obj_t BgL_val2330z00_851;

								BgL_val2330z00_851 = BGl_compilerz00zzengine_compilerz00();
								POP_EXIT();
								return BgL_val2330z00_851;
							}
						}
					}
			}
		}
	}



/* backend-cnst-table-n2343 */
	obj_t BGl_backendzd2cnstzd2tablezd2n2343zd2zzbackend_dotnetz00(obj_t
		BgL_envz00_1130, obj_t BgL_mez00_1131, obj_t BgL_offsetz00_1132)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 167 */
			return BGl_string2706z00zzbackend_dotnetz00;
		}
	}



/* backend-link-dotnet2341 */
	obj_t BGl_backendzd2linkzd2dotnet2341z00zzbackend_dotnetz00(obj_t
		BgL_envz00_1133, obj_t BgL_mez00_1134, obj_t BgL_resultz00_1135)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 160 */
			return BGl_dotnetzd2ldzd2zzmsil_ldz00();
		}
	}



/* backend-compile-dotn2339 */
	obj_t BGl_backendzd2compilezd2dotn2339z00zzbackend_dotnetz00(obj_t
		BgL_envz00_1136, obj_t BgL_mez00_1137)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 44 */
			{
				BgL_dotnetz00_bglt BgL_mez00_710;

				BgL_mez00_710 = (BgL_dotnetz00_bglt) (BgL_mez00_1137);
				{	/* BackEnd/dotnet.scm 46 */
					obj_t BgL_list2479z00_714;

					{	/* BackEnd/dotnet.scm 46 */
						obj_t BgL_arg2482z00_716;

						{	/* BackEnd/dotnet.scm 46 */
							obj_t BgL_arg2484z00_718;

							BgL_arg2484z00_718 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg2482z00_716 =
								MAKE_PAIR(BGl_string2707z00zzbackend_dotnetz00,
								BgL_arg2484z00_718);
						}
						BgL_list2479z00_714 =
							MAKE_PAIR(BGl_string2708z00zzbackend_dotnetz00,
							BgL_arg2482z00_716);
					}
					BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2479z00_714);
				}
				BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
				BGl_za2currentzd2passza2zd2zzengine_passz00 =
					BGl_string2707z00zzbackend_dotnetz00;
				{	/* BackEnd/dotnet.scm 46 */
					obj_t BgL_g2323z00_719;

					obj_t BgL_g2324z00_720;

					{	/* BackEnd/dotnet.scm 46 */
						obj_t BgL_list2493z00_732;

						BgL_list2493z00_732 =
							MAKE_PAIR
							(BGl_startzd2dotnetzd2emissionz12zd2envzc0zzbackend_dotnetz00,
							BNIL);
						BgL_g2323z00_719 = BgL_list2493z00_732;
					}
					BgL_g2324z00_720 = CNST_TABLE_REF(((long) 9));
					{
						obj_t BgL_hooksz00_721;

						obj_t BgL_hnamesz00_722;

						BgL_hooksz00_721 = BgL_g2323z00_719;
						BgL_hnamesz00_722 = BgL_g2324z00_720;
					BgL_loopz00_723:
						if (NULLP(BgL_hooksz00_721))
							{	/* BackEnd/dotnet.scm 46 */
								CNST_TABLE_REF(((long) 10));
							}
						else
							{	/* BackEnd/dotnet.scm 46 */
								bool_t BgL_testz00_1507;

								{	/* BackEnd/dotnet.scm 46 */
									obj_t BgL_fun2492z00_731;

									BgL_fun2492z00_731 = CAR(BgL_hooksz00_721);
									BgL_testz00_1507 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun2492z00_731)
										(BgL_fun2492z00_731, BEOA));
								}
								if (BgL_testz00_1507)
									{
										obj_t BgL_hnamesz00_1514;

										obj_t BgL_hooksz00_1512;

										BgL_hooksz00_1512 = CDR(BgL_hooksz00_721);
										BgL_hnamesz00_1514 = CDR(BgL_hnamesz00_722);
										BgL_hnamesz00_722 = BgL_hnamesz00_1514;
										BgL_hooksz00_721 = BgL_hooksz00_1512;
										goto BgL_loopz00_723;
									}
								else
									{	/* BackEnd/dotnet.scm 46 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string2707z00zzbackend_dotnetz00,
											BGl_string2709z00zzbackend_dotnetz00,
											CAR(BgL_hnamesz00_722));
									}
							}
					}
				}
				{	/* BackEnd/dotnet.scm 47 */
					obj_t BgL_arg2497z00_736;

					BgL_arg2497z00_736 =
						(((BgL_dotnetz00_bglt) CREF(BgL_mez00_710))->BgL_qnamez00);
					{	/* BackEnd/dotnet.scm 47 */
						obj_t BgL_list2499z00_738;

						{	/* BackEnd/dotnet.scm 47 */
							obj_t BgL_arg2501z00_739;

							{	/* BackEnd/dotnet.scm 47 */
								obj_t BgL_arg2502z00_740;

								{	/* BackEnd/dotnet.scm 47 */
									obj_t BgL_arg2503z00_741;

									{	/* BackEnd/dotnet.scm 47 */
										obj_t BgL_arg2504z00_742;

										{	/* BackEnd/dotnet.scm 47 */
											obj_t BgL_arg2505z00_743;

											BgL_arg2505z00_743 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg2504z00_742 =
												MAKE_PAIR(BGl_string2710z00zzbackend_dotnetz00,
												BgL_arg2505z00_743);
										}
										BgL_arg2503z00_741 =
											MAKE_PAIR(BgL_arg2497z00_736, BgL_arg2504z00_742);
									}
									BgL_arg2502z00_740 =
										MAKE_PAIR(BGl_string2711z00zzbackend_dotnetz00,
										BgL_arg2503z00_741);
								}
								BgL_arg2501z00_739 =
									MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00,
									BgL_arg2502z00_740);
							}
							BgL_list2499z00_738 =
								MAKE_PAIR(BGl_string2712z00zzbackend_dotnetz00,
								BgL_arg2501z00_739);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
							BgL_list2499z00_738);
				}}
				{
					obj_t BgL_auxz00_1528;

					BgL_auxz00_1528 =
						BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
						(BGl_za2moduleza2z00zzmodule_modulez00);
					((((BgL_dotnetz00_bglt) CREF(BgL_mez00_710))->BgL_qnamez00) =
						((obj_t) BgL_auxz00_1528), BUNSPEC);
				}
				{	/* BackEnd/dotnet.scm 53 */
					bool_t BgL_testz00_1531;

					if (CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
						{	/* BackEnd/dotnet.scm 53 */
							BgL_testz00_1531 = ((bool_t) 0);
						}
					else
						{	/* BackEnd/dotnet.scm 53 */
							BgL_testz00_1531 =
								CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BGl_za2passza2z00zzengine_paramz00,
									CNST_TABLE_REF(((long) 11))));
						}
					if (BgL_testz00_1531)
						{	/* BackEnd/dotnet.scm 53 */
							BGl_za2mainza2z00zzmodule_modulez00 =
								BGl_makezd2bigloozd2mainz00zzbackend_c_mainz00();
						}
					else
						{	/* BackEnd/dotnet.scm 53 */
							BFALSE;
						}
				}
				{	/* BackEnd/dotnet.scm 64 */
					obj_t BgL_bnamez00_746;

					if (
						(BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 5))))
						{	/* BackEnd/dotnet.scm 65 */
							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* BackEnd/dotnet.scm 66 */
									BgL_bnamez00_746 =
										string_append(BGl_prefixz00zz__osz00
										(BGl_basenamez00zz__osz00(CAR
												(BGl_za2srczd2filesza2zd2zzengine_paramz00))),
										BGl_string2686z00zzbackend_dotnetz00);
								}
							else
								{	/* BackEnd/dotnet.scm 66 */
									BgL_bnamez00_746 = BGl_string2713z00zzbackend_dotnetz00;
								}
						}
					else
						{	/* BackEnd/dotnet.scm 65 */
							if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
								{	/* BackEnd/dotnet.scm 69 */
									BgL_bnamez00_746 =
										string_append(BGl_prefixz00zz__osz00
										(BGl_basenamez00zz__osz00
											(BGl_za2destza2z00zzengine_paramz00)),
										BGl_string2686z00zzbackend_dotnetz00);
								}
							else
								{	/* BackEnd/dotnet.scm 69 */
									if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
										{	/* BackEnd/dotnet.scm 70 */
											BgL_bnamez00_746 =
												string_append(BGl_prefixz00zz__osz00
												(BGl_basenamez00zz__osz00(CAR
														(BGl_za2srczd2filesza2zd2zzengine_paramz00))),
												BGl_string2686z00zzbackend_dotnetz00);
										}
									else
										{	/* BackEnd/dotnet.scm 70 */
											BgL_bnamez00_746 = BFALSE;
										}
								}
						}
					if (
						(BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 12))))
						{	/* BackEnd/dotnet.scm 77 */
							BGl_emitz00zzbackend_dotnetz00(BgL_mez00_710, BgL_bnamez00_746);
						}
					else
						{	/* BackEnd/dotnet.scm 77 */
							if (CBOOL
								(BGl_za2dotnetzd2usezd2externalzd2asmza2zd2zzengine_paramz00))
								{	/* BackEnd/dotnet.scm 79 */
									BGl_emitz00zzbackend_dotnetz00(BgL_mez00_710,
										BgL_bnamez00_746);
									BGl_dotnetzd2externalzd2asmz00zzbackend_dotnetz00
										(BGl_makezd2filezd2namez00zz__osz00
										(BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00,
											BgL_bnamez00_746));
								}
							else
								{	/* BackEnd/dotnet.scm 79 */
									BUNSPEC;
								}
						}
				}
				{	/* BackEnd/dotnet.scm 84 */
					obj_t BgL_arg2523z00_761;

					BgL_arg2523z00_761 = CNST_TABLE_REF(((long) 12));
					BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2523z00_761,
						BGl_proc2714z00zzbackend_dotnetz00);
				}
				{	/* BackEnd/dotnet.scm 85 */
					obj_t BgL_arg2527z00_765;

					BgL_arg2527z00_765 = CNST_TABLE_REF(((long) 13));
					BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg2527z00_765,
						BGl_proc2715z00zzbackend_dotnetz00);
				}
				return CNST_TABLE_REF(((long) 14));
		}}
	}



/* emit */
	obj_t BGl_emitz00zzbackend_dotnetz00(BgL_dotnetz00_bglt BgL_mez00_1153,
		obj_t BgL_destz00_769)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 63 */
			{	/* BackEnd/dotnet.scm 57 */
				obj_t BgL_dirz00_771;

				BgL_dirz00_771 = BGl_za2dotnetzd2dirzd2nameza2z00zzbackend_dotnetz00;
				{	/* BackEnd/dotnet.scm 58 */
					obj_t BgL_portz00_772;

					if (STRINGP(BgL_destz00_769))
						{	/* BackEnd/dotnet.scm 60 */
							obj_t BgL_arg2534z00_776;

							BgL_arg2534z00_776 =
								BGl_makezd2filezd2namez00zz__osz00(BgL_dirz00_771,
								BgL_destz00_769);
							{	/* BackEnd/dotnet.scm 60 */

								BgL_portz00_772 =
									BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
									(BgL_arg2534z00_776, BTRUE);
							}
						}
					else
						{	/* BackEnd/dotnet.scm 59 */
							obj_t BgL_res2659z00_1012;

							{	/* BackEnd/dotnet.scm 59 */
								obj_t BgL_auxz00_1577;

								BgL_auxz00_1577 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2659z00_1012 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1577);
							}
							BgL_portz00_772 = BgL_res2659z00_1012;
						}
					BGl_msilzd2compilezd2zzmsil_compilez00(BgL_mez00_1153,
						BgL_portz00_772);
					{	/* BackEnd/dotnet.scm 62 */
						bool_t BgL_testz00_1581;

						{	/* BackEnd/dotnet.scm 62 */
							obj_t BgL_arg2532z00_774;

							{	/* BackEnd/dotnet.scm 62 */
								obj_t BgL_res2660z00_1014;

								{	/* BackEnd/dotnet.scm 62 */
									obj_t BgL_auxz00_1582;

									BgL_auxz00_1582 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res2660z00_1014 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1582);
								}
								BgL_arg2532z00_774 = BgL_res2660z00_1014;
							}
							BgL_testz00_1581 = (BgL_portz00_772 == BgL_arg2532z00_774);
						}
						if (BgL_testz00_1581)
							{	/* BackEnd/dotnet.scm 62 */
								return BFALSE;
							}
						else
							{	/* BackEnd/dotnet.scm 62 */
								return bgl_close_output_port(BgL_portz00_772);
							}
					}
				}
			}
		}
	}



/* <anonymous:2529> */
	obj_t BGl_zc3anonymousza32529ze3z83zzbackend_dotnetz00(obj_t BgL_envz00_1138)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 85 */
			{

				return CNST_TABLE_REF(((long) 15));
		}}
	}



/* <anonymous:2526> */
	obj_t BGl_zc3anonymousza32526ze3z83zzbackend_dotnetz00(obj_t BgL_envz00_1139)
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 84 */
			{

				return CNST_TABLE_REF(((long) 15));
		}}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_dotnetz00()
	{
		AN_OBJECT;
		{	/* BackEnd/dotnet.scm 1 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(((long) 69061048),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzengine_linkz00(((long) 392051205),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzengine_compilerz00(((long) 450629069),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 52967775),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzbackend_dotnet_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(((long) 179083793),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 143212498),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzcc_execz00(((long) 209072610),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzmsil_compilez00(((long) 181915969),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzmsil_ldz00(((long) 129172181),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzmsil_inlinez00(((long) 124495278),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long) 385369337),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
			return
				BGl_modulezd2initializa7ationz75zzread_readerz00(((long) 484284287),
				BSTRING_TO_STRING(BGl_string2716z00zzbackend_dotnetz00));
		}
	}

#ifdef __cplusplus
}
#endif
