/*===========================================================================*/
/*   (Cfa/vector.scm)                                                        */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/vector.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_scnstzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_scnstzf2cinfozf2_bglt;

	typedef struct BgL_prezd2clozd2envz00_bgl
	{
		char dummy;
	}                         *BgL_prezd2clozd2envz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_sexitzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_sexitzf2cinfozf2_bglt;

	typedef struct BgL_reshapedzd2localzd2_bgl
	{
		obj_t BgL_bindingzd2valuezd2;
	}                          *BgL_reshapedzd2localzd2_bglt;

	typedef struct BgL_reshapedzd2globalzd2_bgl
	{
		char dummy;
	}                           *BgL_reshapedzd2globalzd2_bglt;

	typedef struct BgL_atomzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_atomzf2cinfozf2_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_setqzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_setqzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_failzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_failzf2cinfozf2_bglt;

	typedef struct BgL_selectzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_selectzf2cinfozf2_bglt;

	typedef struct BgL_setzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_setzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_jumpzd2exzd2itzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                *BgL_jumpzd2exzd2itzf2cinfozf2_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
		char dummy;
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_prezd2makezd2procedurezd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                     
		*BgL_prezd2makezd2procedurezd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2refzd2appzd2_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2procedurezd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2procedurezd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                       
		*BgL_prezd2procedurezd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_prezd2makezd2vectorzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2vectorzd2appzd2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_prezd2makezd2structzd2appzd2_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                                   *BgL_prezd2makezd2structzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2refzd2appzd2_bgl
	{
		char dummy;
	}                                  *BgL_prezd2structzd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2structzd2setz12zd2appzc0_bgl
	{
		char dummy;
	}                                    
		*BgL_prezd2structzd2setz12zd2appzc0_bglt;

	typedef struct BgL_makezd2structzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                             *BgL_makezd2structzd2appz00_bglt;

	typedef struct BgL_structzd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_structzd2refzd2appz00_bglt;

	typedef struct BgL_structzd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_structzd2setz12zd2appz12_bglt;

	typedef struct BgL_pragmazf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_pragmazf2cinfozf2_bglt;

	typedef struct BgL_getfieldzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_getfieldzf2cinfozf2_bglt;

	typedef struct BgL_setfieldzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_setfieldzf2cinfozf2_bglt;

	typedef struct BgL_newzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                     *BgL_newzf2cinfozf2_bglt;

	typedef struct BgL_isazf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                     *BgL_isazf2cinfozf2_bglt;

	typedef struct BgL_castzd2nullzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_castzd2nullzf2cinfoz20_bglt;

	typedef struct BgL_vrefzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                      *BgL_vrefzf2cinfozf2_bglt;

	typedef struct BgL_vsetz12zf2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                         *BgL_vsetz12zf2cinfoze0_bglt;

	typedef struct BgL_vlengthzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                         *BgL_vlengthzf2cinfozf2_bglt;

	typedef struct BgL_prezd2valloczf2cinfoz20_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                              *BgL_prezd2valloczf2cinfoz20_bglt;

	typedef struct BgL_valloczf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                        *BgL_valloczf2cinfozf2_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;


	static obj_t BGl_zc3anonymousza35342ze3z83zzcfa_vectorz00(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	extern obj_t
		BGl_wideningzd2vsetz12zf2Cinfoz32zzcfa_info3z00(BgL_approxz00_bglt, bool_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t
		BGl_wideningzd2vlengthzf2Cinfoz20zzcfa_info3z00(BgL_approxz00_bglt, bool_t);
	static obj_t BGl_nodezd2setupz12zd2vlength5101z12zzcfa_vectorz00(obj_t,
		obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_cfaz12zd2valloczf2Cinfo5111z32zzcfa_vectorz00(obj_t, obj_t);
	extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_cnstzd2initzd2zzcfa_vectorz00();
	static obj_t BGl_loosezd2allocz12zd2valloczf25121ze0zzcfa_vectorz00(obj_t,
		obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static obj_t BGl_cfaz12zd2vlengthzf2Cinfo5113z32zzcfa_vectorz00(obj_t, obj_t);
	static obj_t BGl_cfaz12zd2makezd2vectorzd2app5107zc0zzcfa_vectorz00(obj_t,
		obj_t);
	extern obj_t BGl_vallocz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_vectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcfa_vectorz00();
	extern obj_t BGl_vsetz12zf2Cinfoze0zzcfa_info3z00;
	extern obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
	extern obj_t
		BGl_wideningzd2makezd2vectorzd2appzd2zzcfa_info2z00(BgL_approxz00_bglt,
		BgL_approxz00_bglt, long, BgL_variablez00_bglt, obj_t, bool_t);
	extern obj_t BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00;
	static obj_t BGl_nodezd2setupz12zd2prezd2make5095zc0zzcfa_vectorz00(obj_t,
		obj_t);
	extern obj_t BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00;
	static obj_t BGl_cfaz12zd2vsetz12zf2Cinfo5117z20zzcfa_vectorz00(obj_t, obj_t);
	static obj_t BGl__vectorzd2optimzf3z21zzcfa_vectorz00(obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_vrefzf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL bool_t BGl_vectorzd2optimzf3z21zzcfa_vectorz00();
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t BGl_methodzd2initzd2zzcfa_vectorz00();
	static obj_t BGl_nodezd2setupz12zd2prezd2vall5097zc0zzcfa_vectorz00(obj_t,
		obj_t);
	static obj_t BGl_cfaz12zd2vrefzf2Cinfo5115z32zzcfa_vectorz00(obj_t, obj_t);
	static obj_t BGl_loosezd2allocz12zd2makezd2ve5119zc0zzcfa_vectorz00(obj_t,
		obj_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_vectorz00 = BUNSPEC;
	extern obj_t BGl_wideningzd2vrefzf2Cinfoz20zzcfa_info3z00(BgL_approxz00_bglt,
		bool_t);
	extern obj_t
		BGl_wideningzd2valloczf2Cinfozb2optimz92zzcfa_info3z00(BgL_approxz00_bglt,
		BgL_approxz00_bglt, long, BgL_variablez00_bglt, bool_t, obj_t, bool_t);
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_vectorz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	static obj_t BGl_nodezd2setupz12zd2vref5103z12zzcfa_vectorz00(obj_t, obj_t);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cfaz12zd2valloczf2Cinfozb2op5109z80zzcfa_vectorz00(obj_t,
		obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	static obj_t BGl_nodezd2setupz12zd2vsetz125105z00zzcfa_vectorz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t
		BGl_wideningzd2valloczf2Cinfoz20zzcfa_info3z00(BgL_approxz00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_nodezd2setupz12zd2valloc5099z12zzcfa_vectorz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_zc3anonymousza35318ze3z83zzcfa_vectorz00(obj_t, obj_t);
	extern obj_t BGl_valloczf2Cinfozf2zzcfa_info3z00;
	extern obj_t BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_vlengthzf2Cinfozf2zzcfa_info3z00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_vectorz00();
	static obj_t __cnst[2];


	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5368z00zzcfa_vectorz00,
		BgL_bgl_nodeza7d2setupza712za75386za7,
		BGl_nodezd2setupz12zd2prezd2make5095zc0zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5370z00zzcfa_vectorz00,
		BgL_bgl_nodeza7d2setupza712za75387za7,
		BGl_nodezd2setupz12zd2valloc5099z12zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5369z00zzcfa_vectorz00,
		BgL_bgl_nodeza7d2setupza712za75388za7,
		BGl_nodezd2setupz12zd2prezd2vall5097zc0zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5371z00zzcfa_vectorz00,
		BgL_bgl_nodeza7d2setupza712za75389za7,
		BGl_nodezd2setupz12zd2vlength5101z12zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5372z00zzcfa_vectorz00,
		BgL_bgl_nodeza7d2setupza712za75390za7,
		BGl_nodezd2setupz12zd2vref5103z12zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5373z00zzcfa_vectorz00,
		BgL_bgl_nodeza7d2setupza712za75391za7,
		BGl_nodezd2setupz12zd2vsetz125105z00zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5374z00zzcfa_vectorz00,
		BgL_bgl_cfaza712za7d2makeza7d25392za7,
		BGl_cfaz12zd2makezd2vectorzd2app5107zc0zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5375z00zzcfa_vectorz00,
		BgL_bgl_cfaza712za7d2vallocza75393za7,
		BGl_cfaz12zd2valloczf2Cinfozb2op5109z80zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5376z00zzcfa_vectorz00,
		BgL_bgl_cfaza712za7d2vallocza75394za7,
		BGl_cfaz12zd2valloczf2Cinfo5111z32zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5377z00zzcfa_vectorz00,
		BgL_bgl_cfaza712za7d2vlength5395z00,
		BGl_cfaz12zd2vlengthzf2Cinfo5113z32zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5378z00zzcfa_vectorz00,
		BgL_bgl_cfaza712za7d2vrefza7f25396za7,
		BGl_cfaz12zd2vrefzf2Cinfo5115z32zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5380z00zzcfa_vectorz00,
		BgL_bgl_looseza7d2allocza7125397z00,
		BGl_loosezd2allocz12zd2makezd2ve5119zc0zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5379z00zzcfa_vectorz00,
		BgL_bgl_cfaza712za7d2vsetza7125398za7,
		BGl_cfaz12zd2vsetz12zf2Cinfo5117z20zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5381z00zzcfa_vectorz00,
		BgL_bgl_looseza7d2allocza7125399z00,
		BGl_loosezd2allocz12zd2valloczf25121ze0zzcfa_vectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5382z00zzcfa_vectorz00,
		BgL_bgl_string5382za700za7za7c5400za7, "cfa_vector", 10);
	      DEFINE_STRING(BGl_string5383z00zzcfa_vectorz00,
		BgL_bgl_string5383za700za7za7c5401za7, "all nothing ", 12);
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzd2optimzf3zd2envzf3zzcfa_vectorz00,
		BgL_bgl__vectorza7d2optimza75402z00,
		BGl__vectorzd2optimzf3z21zzcfa_vectorz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_vectorz00(long
		BgL_checksumz00_2123, char *BgL_fromz00_2124)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_vectorz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_vectorz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_vectorz00();
					BGl_cnstzd2initzd2zzcfa_vectorz00();
					BGl_importedzd2moduleszd2initz00zzcfa_vectorz00();
					BGl_methodzd2initzd2zzcfa_vectorz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_vectorz00()
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 17 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_vector");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_vector");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_vectorz00()
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 17 */
			{	/* Cfa/vector.scm 17 */
				obj_t BgL_cportz00_2115;

				BgL_cportz00_2115 =
					bgl_open_input_string(BGl_string5383z00zzcfa_vectorz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2116;

					BgL_iz00_2116 = ((long) 1);
				BgL_loopz00_2117:
					if ((BgL_iz00_2116 == ((long) -1)))
						{	/* Cfa/vector.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/vector.scm 17 */
							{	/* Cfa/vector.scm 17 */
								obj_t BgL_arg5385z00_2119;

								{	/* Cfa/vector.scm 17 */

									{	/* Cfa/vector.scm 17 */
										obj_t BgL_locationz00_2121;

										BgL_locationz00_2121 = BBOOL(((bool_t) 0));
										{	/* Cfa/vector.scm 17 */

											BgL_arg5385z00_2119 =
												BGl_readz00zz__readerz00(BgL_cportz00_2115,
												BgL_locationz00_2121);
										}
									}
								}
								{	/* Cfa/vector.scm 17 */
									int BgL_auxz00_2140;

									BgL_auxz00_2140 = (int) (BgL_iz00_2116);
									CNST_TABLE_SET(BgL_auxz00_2140, BgL_arg5385z00_2119);
							}}
							{	/* Cfa/vector.scm 17 */
								int BgL_auxz00_2122;

								BgL_auxz00_2122 = (int) ((BgL_iz00_2116 - ((long) 1)));
								{
									long BgL_iz00_2145;

									BgL_iz00_2145 = (long) (BgL_auxz00_2122);
									BgL_iz00_2116 = BgL_iz00_2145;
									goto BgL_loopz00_2117;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_vectorz00()
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 17 */
			return BUNSPEC;
		}
	}



/* vector-optim? */
	BGL_EXPORTED_DEF bool_t BGl_vectorzd2optimzf3z21zzcfa_vectorz00()
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 40 */
			return ((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2));
		}
	}



/* _vector-optim? */
	obj_t BGl__vectorzd2optimzf3z21zzcfa_vectorz00(obj_t BgL_envz00_2058)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 40 */
			return BBOOL(BGl_vectorzd2optimzf3z21zzcfa_vectorz00());
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_vectorz00()
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 17 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2makezd2vectorzd2appzd2zzcfa_info2z00,
				BGl_proc5368z00zzcfa_vectorz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2valloczf2Cinfoz20zzcfa_info3z00,
				BGl_proc5369z00zzcfa_vectorz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_vallocz00zzast_nodez00,
				BGl_proc5370z00zzcfa_vectorz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_vlengthz00zzast_nodez00, BGl_proc5371z00zzcfa_vectorz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00, BGl_vrefz00zzast_nodez00,
				BGl_proc5372z00zzcfa_vectorz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc5373z00zzcfa_vectorz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2vectorzd2appz00zzcfa_info2z00,
				BGl_proc5374z00zzcfa_vectorz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00,
				BGl_proc5375z00zzcfa_vectorz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_valloczf2Cinfozf2zzcfa_info3z00, BGl_proc5376z00zzcfa_vectorz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_vlengthzf2Cinfozf2zzcfa_info3z00, BGl_proc5377z00zzcfa_vectorz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_vrefzf2Cinfozf2zzcfa_info3z00, BGl_proc5378z00zzcfa_vectorz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_vsetz12zf2Cinfoze0zzcfa_info3z00, BGl_proc5379z00zzcfa_vectorz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_makezd2vectorzd2appz00zzcfa_info2z00,
				BGl_proc5380z00zzcfa_vectorz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00,
				BGl_proc5381z00zzcfa_vectorz00);
		}
	}



/* loose-alloc!-valloc/5121 */
	obj_t BGl_loosezd2allocz12zd2valloczf25121ze0zzcfa_vectorz00(obj_t
		BgL_envz00_2077, obj_t BgL_allocz00_2078)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 282 */
			{
				BgL_valloczf2cinfozb2optimz40_bglt BgL_allocz00_1887;

				BgL_allocz00_1887 =
					(BgL_valloczf2cinfozb2optimz40_bglt) (BgL_allocz00_2078);
				{	/* Cfa/vector.scm 284 */
					bool_t BgL_testz00_2165;

					{	/* Cfa/vector.scm 284 */
						long BgL_n2z00_2052;

						BgL_n2z00_2052 =
							(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
						{	/* Cfa/vector.scm 284 */
							long BgL_auxz00_2167;

							{
								obj_t BgL_auxz00_2168;

								{	/* Cfa/vector.scm 284 */
									BgL_objectz00_bglt BgL_auxz00_2169;

									BgL_auxz00_2169 = (BgL_objectz00_bglt) (BgL_allocz00_1887);
									BgL_auxz00_2168 = BGL_OBJECT_WIDENING(BgL_auxz00_2169);
								}
								BgL_auxz00_2167 =
									(((BgL_valloczf2cinfozb2optimz40_bglt)
										CREF(BgL_auxz00_2168))->BgL_lostzd2stampzd2);
							}
							BgL_testz00_2165 = (BgL_auxz00_2167 == BgL_n2z00_2052);
					}}
					if (BgL_testz00_2165)
						{	/* Cfa/vector.scm 284 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/vector.scm 284 */
							{
								long BgL_auxz00_2178;

								obj_t BgL_auxz00_2174;

								BgL_auxz00_2178 =
									(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
								{	/* Cfa/vector.scm 289 */
									BgL_objectz00_bglt BgL_auxz00_2175;

									BgL_auxz00_2175 = (BgL_objectz00_bglt) (BgL_allocz00_1887);
									BgL_auxz00_2174 = BGL_OBJECT_WIDENING(BgL_auxz00_2175);
								}
								((((BgL_valloczf2cinfozb2optimz40_bglt) CREF(BgL_auxz00_2174))->
										BgL_lostzd2stampzd2) = ((long) BgL_auxz00_2178), BUNSPEC);
							}
							{	/* Cfa/vector.scm 290 */
								BgL_approxz00_bglt BgL_arg5359z00_1892;

								{
									obj_t BgL_auxz00_2181;

									{	/* Cfa/vector.scm 290 */
										BgL_objectz00_bglt BgL_auxz00_2182;

										BgL_auxz00_2182 = (BgL_objectz00_bglt) (BgL_allocz00_1887);
										BgL_auxz00_2181 = BGL_OBJECT_WIDENING(BgL_auxz00_2182);
									}
									BgL_arg5359z00_1892 =
										(((BgL_valloczf2cinfozb2optimz40_bglt)
											CREF(BgL_auxz00_2181))->BgL_valuezd2approxzd2);
								}
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
									BgL_arg5359z00_1892);
							}
							{	/* Cfa/vector.scm 291 */
								BgL_approxz00_bglt BgL_arg5360z00_1893;

								{
									obj_t BgL_auxz00_2187;

									{	/* Cfa/vector.scm 291 */
										BgL_objectz00_bglt BgL_auxz00_2188;

										BgL_auxz00_2188 = (BgL_objectz00_bglt) (BgL_allocz00_1887);
										BgL_auxz00_2187 = BGL_OBJECT_WIDENING(BgL_auxz00_2188);
									}
									BgL_arg5360z00_1893 =
										(((BgL_valloczf2cinfozb2optimz40_bglt)
											CREF(BgL_auxz00_2187))->BgL_valuezd2approxzd2);
								}
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00
									(BgL_arg5360z00_1893,
									(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
							}
							{	/* Cfa/vector.scm 292 */
								BgL_approxz00_bglt BgL_arg5361z00_1894;

								{
									obj_t BgL_auxz00_2194;

									{	/* Cfa/vector.scm 292 */
										BgL_objectz00_bglt BgL_auxz00_2195;

										BgL_auxz00_2195 = (BgL_objectz00_bglt) (BgL_allocz00_1887);
										BgL_auxz00_2194 = BGL_OBJECT_WIDENING(BgL_auxz00_2195);
									}
									BgL_arg5361z00_1894 =
										(((BgL_valloczf2cinfozb2optimz40_bglt)
											CREF(BgL_auxz00_2194))->BgL_valuezd2approxzd2);
								}
								return
									BGl_approxzd2setzd2topz12z12zzcfa_approxz00
									(BgL_arg5361z00_1894);
							}
						}
				}
			}
		}
	}



/* loose-alloc!-make-ve5119 */
	obj_t BGl_loosezd2allocz12zd2makezd2ve5119zc0zzcfa_vectorz00(obj_t
		BgL_envz00_2079, obj_t BgL_allocz00_2080)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 264 */
			{
				BgL_makezd2vectorzd2appz00_bglt BgL_allocz00_1876;

				BgL_allocz00_1876 =
					(BgL_makezd2vectorzd2appz00_bglt) (BgL_allocz00_2080);
				{	/* Cfa/vector.scm 266 */
					bool_t BgL_testz00_2201;

					{	/* Cfa/vector.scm 266 */
						long BgL_n2z00_2044;

						BgL_n2z00_2044 =
							(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
						{	/* Cfa/vector.scm 266 */
							long BgL_auxz00_2203;

							{
								obj_t BgL_auxz00_2204;

								{	/* Cfa/vector.scm 266 */
									BgL_objectz00_bglt BgL_auxz00_2205;

									BgL_auxz00_2205 = (BgL_objectz00_bglt) (BgL_allocz00_1876);
									BgL_auxz00_2204 = BGL_OBJECT_WIDENING(BgL_auxz00_2205);
								}
								BgL_auxz00_2203 =
									(((BgL_makezd2vectorzd2appz00_bglt) CREF(BgL_auxz00_2204))->
									BgL_lostzd2stampzd2);
							}
							BgL_testz00_2201 = (BgL_auxz00_2203 == BgL_n2z00_2044);
					}}
					if (BgL_testz00_2201)
						{	/* Cfa/vector.scm 266 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/vector.scm 266 */
							{
								long BgL_auxz00_2214;

								obj_t BgL_auxz00_2210;

								BgL_auxz00_2214 =
									(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00);
								{	/* Cfa/vector.scm 270 */
									BgL_objectz00_bglt BgL_auxz00_2211;

									BgL_auxz00_2211 = (BgL_objectz00_bglt) (BgL_allocz00_1876);
									BgL_auxz00_2210 = BGL_OBJECT_WIDENING(BgL_auxz00_2211);
								}
								((((BgL_makezd2vectorzd2appz00_bglt) CREF(BgL_auxz00_2210))->
										BgL_lostzd2stampzd2) = ((long) BgL_auxz00_2214), BUNSPEC);
							}
							{	/* Cfa/vector.scm 271 */
								BgL_approxz00_bglt BgL_arg5353z00_1881;

								{
									obj_t BgL_auxz00_2217;

									{	/* Cfa/vector.scm 271 */
										BgL_objectz00_bglt BgL_auxz00_2218;

										BgL_auxz00_2218 = (BgL_objectz00_bglt) (BgL_allocz00_1876);
										BgL_auxz00_2217 = BGL_OBJECT_WIDENING(BgL_auxz00_2218);
									}
									BgL_arg5353z00_1881 =
										(((BgL_makezd2vectorzd2appz00_bglt) CREF(BgL_auxz00_2217))->
										BgL_valuezd2approxzd2);
								}
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
									BgL_arg5353z00_1881);
							}
							{	/* Cfa/vector.scm 272 */
								BgL_approxz00_bglt BgL_arg5354z00_1882;

								{
									obj_t BgL_auxz00_2223;

									{	/* Cfa/vector.scm 272 */
										BgL_objectz00_bglt BgL_auxz00_2224;

										BgL_auxz00_2224 = (BgL_objectz00_bglt) (BgL_allocz00_1876);
										BgL_auxz00_2223 = BGL_OBJECT_WIDENING(BgL_auxz00_2224);
									}
									BgL_arg5354z00_1882 =
										(((BgL_makezd2vectorzd2appz00_bglt) CREF(BgL_auxz00_2223))->
										BgL_valuezd2approxzd2);
								}
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00
									(BgL_arg5354z00_1882,
									(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
							}
							{	/* Cfa/vector.scm 273 */
								BgL_approxz00_bglt BgL_arg5355z00_1883;

								{
									obj_t BgL_auxz00_2230;

									{	/* Cfa/vector.scm 273 */
										BgL_objectz00_bglt BgL_auxz00_2231;

										BgL_auxz00_2231 = (BgL_objectz00_bglt) (BgL_allocz00_1876);
										BgL_auxz00_2230 = BGL_OBJECT_WIDENING(BgL_auxz00_2231);
									}
									BgL_arg5355z00_1883 =
										(((BgL_makezd2vectorzd2appz00_bglt) CREF(BgL_auxz00_2230))->
										BgL_valuezd2approxzd2);
								}
								return
									BGl_approxzd2setzd2topz12z12zzcfa_approxz00
									(BgL_arg5355z00_1883);
							}
						}
				}
			}
		}
	}



/* cfa!-vset!/Cinfo5117 */
	obj_t BGl_cfaz12zd2vsetz12zf2Cinfo5117z20zzcfa_vectorz00(obj_t
		BgL_envz00_2081, obj_t BgL_nodez00_2082)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 219 */
			{
				BgL_vsetz12zf2cinfoze0_bglt BgL_nodez00_1847;

				{	/* Cfa/vector.scm 220 */
					BgL_approxz00_bglt BgL_auxz00_2237;

					BgL_nodez00_1847 = (BgL_vsetz12zf2cinfoze0_bglt) (BgL_nodez00_2082);
					{	/* Cfa/vector.scm 223 */
						obj_t BgL_arg5334z00_1851;

						{	/* Cfa/vector.scm 223 */
							obj_t BgL_pairz00_2015;

							{
								BgL_externz00_bglt BgL_auxz00_2238;

								BgL_auxz00_2238 = (BgL_externz00_bglt) (BgL_nodez00_1847);
								BgL_pairz00_2015 =
									(((BgL_externz00_bglt) CREF(BgL_auxz00_2238))->
									BgL_exprza2za2);
							}
							BgL_arg5334z00_1851 = CAR(CDR(BgL_pairz00_2015));
						}
						BGl_cfaz12z12zzcfa_cfaz00((BgL_nodez00_bglt) (BgL_arg5334z00_1851));
					}
					{	/* Cfa/vector.scm 224 */
						BgL_approxz00_bglt BgL_veczd2approxzd2_1853;

						BgL_approxz00_bglt BgL_valzd2approxzd2_1854;

						{	/* Cfa/vector.scm 224 */
							obj_t BgL_arg5347z00_1870;

							{	/* Cfa/vector.scm 224 */
								obj_t BgL_pairz00_2020;

								{
									BgL_externz00_bglt BgL_auxz00_2245;

									BgL_auxz00_2245 = (BgL_externz00_bglt) (BgL_nodez00_1847);
									BgL_pairz00_2020 =
										(((BgL_externz00_bglt) CREF(BgL_auxz00_2245))->
										BgL_exprza2za2);
								}
								BgL_arg5347z00_1870 = CAR(BgL_pairz00_2020);
							}
							BgL_veczd2approxzd2_1853 =
								BGl_cfaz12z12zzcfa_cfaz00(
								(BgL_nodez00_bglt) (BgL_arg5347z00_1870));
						}
						{	/* Cfa/vector.scm 225 */
							obj_t BgL_arg5349z00_1872;

							{	/* Cfa/vector.scm 225 */
								obj_t BgL_pairz00_2022;

								{
									BgL_externz00_bglt BgL_auxz00_2251;

									BgL_auxz00_2251 = (BgL_externz00_bglt) (BgL_nodez00_1847);
									BgL_pairz00_2022 =
										(((BgL_externz00_bglt) CREF(BgL_auxz00_2251))->
										BgL_exprza2za2);
								}
								BgL_arg5349z00_1872 = CAR(CDR(CDR(BgL_pairz00_2022)));
							}
							BgL_valzd2approxzd2_1854 =
								BGl_cfaz12z12zzcfa_cfaz00(
								(BgL_nodez00_bglt) (BgL_arg5349z00_1872));
						}
						{	/* Cfa/vector.scm 227 */
							bool_t BgL_testz00_2259;

							{
								obj_t BgL_auxz00_2260;

								{	/* Cfa/vector.scm 227 */
									BgL_objectz00_bglt BgL_auxz00_2261;

									BgL_auxz00_2261 = (BgL_objectz00_bglt) (BgL_nodez00_1847);
									BgL_auxz00_2260 = BGL_OBJECT_WIDENING(BgL_auxz00_2261);
								}
								BgL_testz00_2259 =
									(((BgL_vsetz12zf2cinfoze0_bglt) CREF(BgL_auxz00_2260))->
									BgL_tvectorzf3zf3);
							}
							if (BgL_testz00_2259)
								{	/* Cfa/vector.scm 227 */
									CNST_TABLE_REF(((long) 0));
								}
							else
								{	/* Cfa/vector.scm 227 */
									if (
										((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
											((long) 2)))
										{	/* Cfa/vector.scm 229 */
											{	/* Cfa/vector.scm 233 */
												bool_t BgL_testz00_2269;

												{	/* Cfa/vector.scm 233 */
													BgL_typez00_bglt BgL_arg5339z00_1858;

													BgL_arg5339z00_1858 =
														(((BgL_approxz00_bglt)
															CREF(BgL_veczd2approxzd2_1853))->BgL_typez00);
													BgL_testz00_2269 =
														((obj_t) (BgL_arg5339z00_1858) ==
														BGl_za2vectorza2z00zztype_cachez00);
												}
												if (BgL_testz00_2269)
													{	/* Cfa/vector.scm 233 */
														BFALSE;
													}
												else
													{	/* Cfa/vector.scm 233 */
														BGl_approxzd2setzd2typez12z12zzcfa_approxz00
															(BgL_valzd2approxzd2_1854,
															(BgL_typez00_bglt)
															(BGl_za2objza2z00zztype_cachez00));
													}
											}
											if (
												(((BgL_approxz00_bglt) CREF(BgL_veczd2approxzd2_1853))->
													BgL_topzf3zf3))
												{	/* Cfa/vector.scm 236 */
													(obj_t) (BGl_loosez12z12zzcfa_loosez00
														(BgL_valzd2approxzd2_1854,
															CNST_TABLE_REF(((long) 1))));
												}
											else
												{	/* Cfa/vector.scm 243 */
													obj_t BgL_zc3anonymousza35342ze3z83_2063;

													BgL_zc3anonymousza35342ze3z83_2063 =
														make_fx_procedure
														(BGl_zc3anonymousza35342ze3z83zzcfa_vectorz00,
														(int) (((long) 1)), (int) (((long) 1)));
													PROCEDURE_SET(BgL_zc3anonymousza35342ze3z83_2063,
														(int) (((long) 0)),
														(obj_t) (BgL_valzd2approxzd2_1854));
													BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
														(BgL_zc3anonymousza35342ze3z83_2063,
														BgL_veczd2approxzd2_1853);
										}}
									else
										{	/* Cfa/vector.scm 229 */
											BGl_loosez12z12zzcfa_loosez00(BgL_veczd2approxzd2_1853,
												CNST_TABLE_REF(((long) 1)));
											(obj_t) (BGl_loosez12z12zzcfa_loosez00
												(BgL_valzd2approxzd2_1854, CNST_TABLE_REF(((long) 1))));
					}}}}
					{
						obj_t BgL_auxz00_2292;

						{	/* Cfa/vector.scm 255 */
							BgL_objectz00_bglt BgL_auxz00_2293;

							BgL_auxz00_2293 = (BgL_objectz00_bglt) (BgL_nodez00_1847);
							BgL_auxz00_2292 = BGL_OBJECT_WIDENING(BgL_auxz00_2293);
						}
						BgL_auxz00_2237 =
							(((BgL_vsetz12zf2cinfoze0_bglt) CREF(BgL_auxz00_2292))->
							BgL_approxz00);
					}
					return (obj_t) (BgL_auxz00_2237);
				}
			}
		}
	}



/* <anonymous:5342> */
	obj_t BGl_zc3anonymousza35342ze3z83zzcfa_vectorz00(obj_t BgL_envz00_2083,
		obj_t BgL_appz00_2085)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 241 */
			{	/* Cfa/vector.scm 243 */
				obj_t BgL_valzd2approxzd2_2084;

				BgL_valzd2approxzd2_2084 =
					PROCEDURE_REF(BgL_envz00_2083, (int) (((long) 0)));
				{
					obj_t BgL_appz00_1861;

					BgL_appz00_1861 = BgL_appz00_2085;
					if (BGl_iszd2azf3z21zz__objectz00(BgL_appz00_1861,
							BGl_makezd2vectorzd2appz00zzcfa_info2z00))
						{	/* Cfa/vector.scm 243 */
							{	/* Cfa/vector.scm 245 */
								BgL_makezd2vectorzd2appz00_bglt BgL_obj4348z00_2034;

								bool_t BgL_val4347z00_2035;

								BgL_obj4348z00_2034 =
									(BgL_makezd2vectorzd2appz00_bglt) (BgL_appz00_1861);
								BgL_val4347z00_2035 = ((bool_t) 1);
								{
									obj_t BgL_auxz00_2304;

									{	/* Cfa/vector.scm 245 */
										BgL_objectz00_bglt BgL_auxz00_2305;

										BgL_auxz00_2305 =
											(BgL_objectz00_bglt) (BgL_obj4348z00_2034);
										BgL_auxz00_2304 = BGL_OBJECT_WIDENING(BgL_auxz00_2305);
									}
									((((BgL_makezd2vectorzd2appz00_bglt) CREF(BgL_auxz00_2304))->
											BgL_seenzf3zf3) =
										((bool_t) BgL_val4347z00_2035), BUNSPEC);
								}
							}
							{	/* Cfa/vector.scm 246 */
								BgL_approxz00_bglt BgL_arg5344z00_1865;

								{	/* Cfa/vector.scm 246 */
									BgL_makezd2vectorzd2appz00_bglt BgL_obj4338z00_2036;

									BgL_obj4338z00_2036 =
										(BgL_makezd2vectorzd2appz00_bglt) (BgL_appz00_1861);
									{
										obj_t BgL_auxz00_2310;

										{	/* Cfa/vector.scm 246 */
											BgL_objectz00_bglt BgL_auxz00_2311;

											BgL_auxz00_2311 =
												(BgL_objectz00_bglt) (BgL_obj4338z00_2036);
											BgL_auxz00_2310 = BGL_OBJECT_WIDENING(BgL_auxz00_2311);
										}
										BgL_arg5344z00_1865 =
											(((BgL_makezd2vectorzd2appz00_bglt)
												CREF(BgL_auxz00_2310))->BgL_valuezd2approxzd2);
									}
								}
								return
									(obj_t) (BGl_unionzd2approxz12zc0zzcfa_approxz00
									(BgL_arg5344z00_1865,
										(BgL_approxz00_bglt) (BgL_valzd2approxzd2_2084)));
							}
						}
					else
						{	/* Cfa/vector.scm 243 */
							if (BGl_iszd2azf3z21zz__objectz00(BgL_appz00_1861,
									BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00))
								{	/* Cfa/vector.scm 247 */
									{	/* Cfa/vector.scm 249 */
										BgL_valloczf2cinfozb2optimz40_bglt BgL_obj5019z00_2038;

										bool_t BgL_val5018z00_2039;

										BgL_obj5019z00_2038 =
											(BgL_valloczf2cinfozb2optimz40_bglt) (BgL_appz00_1861);
										BgL_val5018z00_2039 = ((bool_t) 1);
										{
											obj_t BgL_auxz00_2321;

											{	/* Cfa/vector.scm 249 */
												BgL_objectz00_bglt BgL_auxz00_2322;

												BgL_auxz00_2322 =
													(BgL_objectz00_bglt) (BgL_obj5019z00_2038);
												BgL_auxz00_2321 = BGL_OBJECT_WIDENING(BgL_auxz00_2322);
											}
											((((BgL_valloczf2cinfozb2optimz40_bglt)
														CREF(BgL_auxz00_2321))->BgL_seenzf3zf3) =
												((bool_t) BgL_val5018z00_2039), BUNSPEC);
										}
									}
									{	/* Cfa/vector.scm 250 */
										BgL_approxz00_bglt BgL_arg5346z00_1868;

										{	/* Cfa/vector.scm 250 */
											BgL_valloczf2cinfozb2optimz40_bglt BgL_obj5006z00_2040;

											BgL_obj5006z00_2040 =
												(BgL_valloczf2cinfozb2optimz40_bglt) (BgL_appz00_1861);
											{
												obj_t BgL_auxz00_2327;

												{	/* Cfa/vector.scm 250 */
													BgL_objectz00_bglt BgL_auxz00_2328;

													BgL_auxz00_2328 =
														(BgL_objectz00_bglt) (BgL_obj5006z00_2040);
													BgL_auxz00_2327 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2328);
												}
												BgL_arg5346z00_1868 =
													(((BgL_valloczf2cinfozb2optimz40_bglt)
														CREF(BgL_auxz00_2327))->BgL_valuezd2approxzd2);
											}
										}
										return
											(obj_t) (BGl_unionzd2approxz12zc0zzcfa_approxz00
											(BgL_arg5346z00_1868,
												(BgL_approxz00_bglt) (BgL_valzd2approxzd2_2084)));
									}
								}
							else
								{	/* Cfa/vector.scm 247 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* cfa!-vref/Cinfo5115 */
	obj_t BGl_cfaz12zd2vrefzf2Cinfo5115z32zzcfa_vectorz00(obj_t BgL_envz00_2086,
		obj_t BgL_nodez00_2087)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 175 */
			{
				BgL_vrefzf2cinfozf2_bglt BgL_nodez00_1810;

				{	/* Cfa/vector.scm 176 */
					BgL_approxz00_bglt BgL_auxz00_2335;

					BgL_nodez00_1810 = (BgL_vrefzf2cinfozf2_bglt) (BgL_nodez00_2087);
					{	/* Cfa/vector.scm 179 */
						obj_t BgL_arg5307z00_1814;

						{	/* Cfa/vector.scm 179 */
							obj_t BgL_pairz00_1982;

							{
								BgL_externz00_bglt BgL_auxz00_2336;

								BgL_auxz00_2336 = (BgL_externz00_bglt) (BgL_nodez00_1810);
								BgL_pairz00_1982 =
									(((BgL_externz00_bglt) CREF(BgL_auxz00_2336))->
									BgL_exprza2za2);
							}
							BgL_arg5307z00_1814 = CAR(CDR(BgL_pairz00_1982));
						}
						BGl_cfaz12z12zzcfa_cfaz00((BgL_nodez00_bglt) (BgL_arg5307z00_1814));
					}
					{	/* Cfa/vector.scm 180 */
						BgL_approxz00_bglt BgL_veczd2approxzd2_1816;

						{	/* Cfa/vector.scm 180 */
							obj_t BgL_arg5331z00_1843;

							{	/* Cfa/vector.scm 180 */
								obj_t BgL_pairz00_1987;

								{
									BgL_externz00_bglt BgL_auxz00_2343;

									BgL_auxz00_2343 = (BgL_externz00_bglt) (BgL_nodez00_1810);
									BgL_pairz00_1987 =
										(((BgL_externz00_bglt) CREF(BgL_auxz00_2343))->
										BgL_exprza2za2);
								}
								BgL_arg5331z00_1843 = CAR(BgL_pairz00_1987);
							}
							BgL_veczd2approxzd2_1816 =
								BGl_cfaz12z12zzcfa_cfaz00(
								(BgL_nodez00_bglt) (BgL_arg5331z00_1843));
						}
						{	/* Cfa/vector.scm 182 */
							bool_t BgL_testz00_2349;

							{
								obj_t BgL_auxz00_2350;

								{	/* Cfa/vector.scm 182 */
									BgL_objectz00_bglt BgL_auxz00_2351;

									BgL_auxz00_2351 = (BgL_objectz00_bglt) (BgL_nodez00_1810);
									BgL_auxz00_2350 = BGL_OBJECT_WIDENING(BgL_auxz00_2351);
								}
								BgL_testz00_2349 =
									(((BgL_vrefzf2cinfozf2_bglt) CREF(BgL_auxz00_2350))->
									BgL_tvectorzf3zf3);
							}
							if (BgL_testz00_2349)
								{	/* Cfa/vector.scm 182 */
									BgL_approxz00_bglt BgL_auxz00_2355;

									{
										obj_t BgL_auxz00_2356;

										{	/* Cfa/vector.scm 182 */
											BgL_objectz00_bglt BgL_auxz00_2357;

											BgL_auxz00_2357 = (BgL_objectz00_bglt) (BgL_nodez00_1810);
											BgL_auxz00_2356 = BGL_OBJECT_WIDENING(BgL_auxz00_2357);
										}
										BgL_auxz00_2355 =
											(((BgL_vrefzf2cinfozf2_bglt) CREF(BgL_auxz00_2356))->
											BgL_approxz00);
									}
									(obj_t) (BgL_auxz00_2355);
								}
							else
								{	/* Cfa/vector.scm 182 */
									if (
										((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
											((long) 2)))
										{	/* Cfa/vector.scm 184 */
											{	/* Cfa/vector.scm 189 */
												bool_t BgL_testz00_2365;

												{	/* Cfa/vector.scm 189 */
													bool_t BgL_testz00_2366;

													{	/* Cfa/vector.scm 189 */
														BgL_typez00_bglt BgL_arg5314z00_1822;

														BgL_arg5314z00_1822 =
															(((BgL_approxz00_bglt)
																CREF(BgL_veczd2approxzd2_1816))->BgL_typez00);
														BgL_testz00_2366 =
															((obj_t) (BgL_arg5314z00_1822) ==
															BGl_za2vectorza2z00zztype_cachez00);
													}
													if (BgL_testz00_2366)
														{	/* Cfa/vector.scm 189 */
															BgL_testz00_2365 =
																(((BgL_approxz00_bglt)
																	CREF(BgL_veczd2approxzd2_1816))->
																BgL_topzf3zf3);
														}
													else
														{	/* Cfa/vector.scm 189 */
															BgL_testz00_2365 = ((bool_t) 1);
														}
												}
												if (BgL_testz00_2365)
													{	/* Cfa/vector.scm 191 */
														BgL_approxz00_bglt BgL_arg5312z00_1820;

														{
															obj_t BgL_auxz00_2371;

															{	/* Cfa/vector.scm 191 */
																BgL_objectz00_bglt BgL_auxz00_2372;

																BgL_auxz00_2372 =
																	(BgL_objectz00_bglt) (BgL_nodez00_1810);
																BgL_auxz00_2371 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2372);
															}
															BgL_arg5312z00_1820 =
																(((BgL_vrefzf2cinfozf2_bglt)
																	CREF(BgL_auxz00_2371))->BgL_approxz00);
														}
														BGl_approxzd2setzd2typez12z12zzcfa_approxz00
															(BgL_arg5312z00_1820,
															(BgL_typez00_bglt)
															(BGl_za2objza2z00zztype_cachez00));
													}
												else
													{	/* Cfa/vector.scm 189 */
														BFALSE;
													}
											}
											if (
												(((BgL_approxz00_bglt) CREF(BgL_veczd2approxzd2_1816))->
													BgL_topzf3zf3))
												{	/* Cfa/vector.scm 194 */
													BgL_approxz00_bglt BgL_arg5316z00_1824;

													{
														obj_t BgL_auxz00_2380;

														{	/* Cfa/vector.scm 194 */
															BgL_objectz00_bglt BgL_auxz00_2381;

															BgL_auxz00_2381 =
																(BgL_objectz00_bglt) (BgL_nodez00_1810);
															BgL_auxz00_2380 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2381);
														}
														BgL_arg5316z00_1824 =
															(((BgL_vrefzf2cinfozf2_bglt)
																CREF(BgL_auxz00_2380))->BgL_approxz00);
													}
													BGl_approxzd2setzd2topz12z12zzcfa_approxz00
														(BgL_arg5316z00_1824);
												}
											else
												{	/* Cfa/vector.scm 193 */
													BFALSE;
												}
											{	/* Cfa/vector.scm 199 */
												obj_t BgL_zc3anonymousza35318ze3z83_2065;

												BgL_zc3anonymousza35318ze3z83_2065 =
													make_fx_procedure
													(BGl_zc3anonymousza35318ze3z83zzcfa_vectorz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza35318ze3z83_2065,
													(int) (((long) 0)), (obj_t) (BgL_nodez00_1810));
												BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
													(BgL_zc3anonymousza35318ze3z83_2065,
													BgL_veczd2approxzd2_1816);
										}}
									else
										{	/* Cfa/vector.scm 184 */
											(obj_t) (BGl_loosez12z12zzcfa_loosez00
												(BgL_veczd2approxzd2_1816, CNST_TABLE_REF(((long) 1))));
						}}}
						{
							obj_t BgL_auxz00_2396;

							{	/* Cfa/vector.scm 214 */
								BgL_objectz00_bglt BgL_auxz00_2397;

								BgL_auxz00_2397 = (BgL_objectz00_bglt) (BgL_nodez00_1810);
								BgL_auxz00_2396 = BGL_OBJECT_WIDENING(BgL_auxz00_2397);
							}
							BgL_auxz00_2335 =
								(((BgL_vrefzf2cinfozf2_bglt) CREF(BgL_auxz00_2396))->
								BgL_approxz00);
					}}
					return (obj_t) (BgL_auxz00_2335);
				}
			}
		}
	}



/* <anonymous:5318> */
	obj_t BGl_zc3anonymousza35318ze3z83zzcfa_vectorz00(obj_t BgL_envz00_2088,
		obj_t BgL_appz00_2090)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 197 */
			{	/* Cfa/vector.scm 199 */
				obj_t BgL_instance5071z00_2089;

				BgL_instance5071z00_2089 =
					PROCEDURE_REF(BgL_envz00_2088, (int) (((long) 0)));
				{
					obj_t BgL_appz00_1826;

					BgL_appz00_1826 = BgL_appz00_2090;
					if (BGl_iszd2azf3z21zz__objectz00(BgL_appz00_1826,
							BGl_makezd2vectorzd2appz00zzcfa_info2z00))
						{	/* Cfa/vector.scm 199 */
							{	/* Cfa/vector.scm 201 */
								BgL_makezd2vectorzd2appz00_bglt BgL_obj4348z00_1998;

								bool_t BgL_val4347z00_1999;

								BgL_obj4348z00_1998 =
									(BgL_makezd2vectorzd2appz00_bglt) (BgL_appz00_1826);
								BgL_val4347z00_1999 = ((bool_t) 1);
								{
									obj_t BgL_auxz00_2408;

									{	/* Cfa/vector.scm 201 */
										BgL_objectz00_bglt BgL_auxz00_2409;

										BgL_auxz00_2409 =
											(BgL_objectz00_bglt) (BgL_obj4348z00_1998);
										BgL_auxz00_2408 = BGL_OBJECT_WIDENING(BgL_auxz00_2409);
									}
									((((BgL_makezd2vectorzd2appz00_bglt) CREF(BgL_auxz00_2408))->
											BgL_seenzf3zf3) =
										((bool_t) BgL_val4347z00_1999), BUNSPEC);
								}
							}
							{	/* Cfa/vector.scm 202 */
								BgL_approxz00_bglt BgL_arg5320z00_1830;

								BgL_approxz00_bglt BgL_arg5321z00_1831;

								{	/* Cfa/vector.scm 202 */
									BgL_vrefzf2cinfozf2_bglt BgL_obj4785z00_2000;

									BgL_obj4785z00_2000 =
										(BgL_vrefzf2cinfozf2_bglt) (BgL_instance5071z00_2089);
									{
										obj_t BgL_auxz00_2414;

										{	/* Cfa/vector.scm 202 */
											BgL_objectz00_bglt BgL_auxz00_2415;

											BgL_auxz00_2415 =
												(BgL_objectz00_bglt) (BgL_obj4785z00_2000);
											BgL_auxz00_2414 = BGL_OBJECT_WIDENING(BgL_auxz00_2415);
										}
										BgL_arg5320z00_1830 =
											(((BgL_vrefzf2cinfozf2_bglt) CREF(BgL_auxz00_2414))->
											BgL_approxz00);
									}
								}
								{	/* Cfa/vector.scm 202 */
									BgL_makezd2vectorzd2appz00_bglt BgL_obj4338z00_2001;

									BgL_obj4338z00_2001 =
										(BgL_makezd2vectorzd2appz00_bglt) (BgL_appz00_1826);
									{
										obj_t BgL_auxz00_2420;

										{	/* Cfa/vector.scm 202 */
											BgL_objectz00_bglt BgL_auxz00_2421;

											BgL_auxz00_2421 =
												(BgL_objectz00_bglt) (BgL_obj4338z00_2001);
											BgL_auxz00_2420 = BGL_OBJECT_WIDENING(BgL_auxz00_2421);
										}
										BgL_arg5321z00_1831 =
											(((BgL_makezd2vectorzd2appz00_bglt)
												CREF(BgL_auxz00_2420))->BgL_valuezd2approxzd2);
									}
								}
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg5320z00_1830,
									BgL_arg5321z00_1831);
							}
							{	/* Cfa/vector.scm 203 */
								BgL_approxz00_bglt BgL_arg5322z00_1832;

								BgL_typez00_bglt BgL_arg5323z00_1833;

								{	/* Cfa/vector.scm 203 */
									BgL_makezd2vectorzd2appz00_bglt BgL_obj4338z00_2002;

									BgL_obj4338z00_2002 =
										(BgL_makezd2vectorzd2appz00_bglt) (BgL_appz00_1826);
									{
										obj_t BgL_auxz00_2427;

										{	/* Cfa/vector.scm 203 */
											BgL_objectz00_bglt BgL_auxz00_2428;

											BgL_auxz00_2428 =
												(BgL_objectz00_bglt) (BgL_obj4338z00_2002);
											BgL_auxz00_2427 = BGL_OBJECT_WIDENING(BgL_auxz00_2428);
										}
										BgL_arg5322z00_1832 =
											(((BgL_makezd2vectorzd2appz00_bglt)
												CREF(BgL_auxz00_2427))->BgL_valuezd2approxzd2);
									}
								}
								{	/* Cfa/vector.scm 204 */
									BgL_approxz00_bglt BgL_obj3115z00_2004;

									{	/* Cfa/vector.scm 204 */
										BgL_vrefzf2cinfozf2_bglt BgL_obj4785z00_2003;

										BgL_obj4785z00_2003 =
											(BgL_vrefzf2cinfozf2_bglt) (BgL_instance5071z00_2089);
										{
											obj_t BgL_auxz00_2433;

											{	/* Cfa/vector.scm 204 */
												BgL_objectz00_bglt BgL_auxz00_2434;

												BgL_auxz00_2434 =
													(BgL_objectz00_bglt) (BgL_obj4785z00_2003);
												BgL_auxz00_2433 = BGL_OBJECT_WIDENING(BgL_auxz00_2434);
											}
											BgL_obj3115z00_2004 =
												(((BgL_vrefzf2cinfozf2_bglt) CREF(BgL_auxz00_2433))->
												BgL_approxz00);
										}
									}
									BgL_arg5323z00_1833 =
										(((BgL_approxz00_bglt) CREF(BgL_obj3115z00_2004))->
										BgL_typez00);
								}
								return
									BGl_approxzd2setzd2typez12z12zzcfa_approxz00
									(BgL_arg5322z00_1832, BgL_arg5323z00_1833);
							}
						}
					else
						{	/* Cfa/vector.scm 199 */
							if (BGl_iszd2azf3z21zz__objectz00(BgL_appz00_1826,
									BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00))
								{	/* Cfa/vector.scm 205 */
									{	/* Cfa/vector.scm 207 */
										BgL_valloczf2cinfozb2optimz40_bglt BgL_obj5019z00_2006;

										bool_t BgL_val5018z00_2007;

										BgL_obj5019z00_2006 =
											(BgL_valloczf2cinfozb2optimz40_bglt) (BgL_appz00_1826);
										BgL_val5018z00_2007 = ((bool_t) 1);
										{
											obj_t BgL_auxz00_2443;

											{	/* Cfa/vector.scm 207 */
												BgL_objectz00_bglt BgL_auxz00_2444;

												BgL_auxz00_2444 =
													(BgL_objectz00_bglt) (BgL_obj5019z00_2006);
												BgL_auxz00_2443 = BGL_OBJECT_WIDENING(BgL_auxz00_2444);
											}
											((((BgL_valloczf2cinfozb2optimz40_bglt)
														CREF(BgL_auxz00_2443))->BgL_seenzf3zf3) =
												((bool_t) BgL_val5018z00_2007), BUNSPEC);
										}
									}
									{	/* Cfa/vector.scm 208 */
										BgL_approxz00_bglt BgL_arg5326z00_1837;

										BgL_approxz00_bglt BgL_arg5327z00_1838;

										{	/* Cfa/vector.scm 208 */
											BgL_vrefzf2cinfozf2_bglt BgL_obj4785z00_2008;

											BgL_obj4785z00_2008 =
												(BgL_vrefzf2cinfozf2_bglt) (BgL_instance5071z00_2089);
											{
												obj_t BgL_auxz00_2449;

												{	/* Cfa/vector.scm 208 */
													BgL_objectz00_bglt BgL_auxz00_2450;

													BgL_auxz00_2450 =
														(BgL_objectz00_bglt) (BgL_obj4785z00_2008);
													BgL_auxz00_2449 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2450);
												}
												BgL_arg5326z00_1837 =
													(((BgL_vrefzf2cinfozf2_bglt) CREF(BgL_auxz00_2449))->
													BgL_approxz00);
											}
										}
										{	/* Cfa/vector.scm 208 */
											BgL_valloczf2cinfozb2optimz40_bglt BgL_obj5006z00_2009;

											BgL_obj5006z00_2009 =
												(BgL_valloczf2cinfozb2optimz40_bglt) (BgL_appz00_1826);
											{
												obj_t BgL_auxz00_2455;

												{	/* Cfa/vector.scm 208 */
													BgL_objectz00_bglt BgL_auxz00_2456;

													BgL_auxz00_2456 =
														(BgL_objectz00_bglt) (BgL_obj5006z00_2009);
													BgL_auxz00_2455 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2456);
												}
												BgL_arg5327z00_1838 =
													(((BgL_valloczf2cinfozb2optimz40_bglt)
														CREF(BgL_auxz00_2455))->BgL_valuezd2approxzd2);
											}
										}
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg5326z00_1837,
											BgL_arg5327z00_1838);
									}
									{	/* Cfa/vector.scm 209 */
										BgL_approxz00_bglt BgL_arg5328z00_1839;

										BgL_typez00_bglt BgL_arg5329z00_1840;

										{	/* Cfa/vector.scm 209 */
											BgL_valloczf2cinfozb2optimz40_bglt BgL_obj5006z00_2010;

											BgL_obj5006z00_2010 =
												(BgL_valloczf2cinfozb2optimz40_bglt) (BgL_appz00_1826);
											{
												obj_t BgL_auxz00_2462;

												{	/* Cfa/vector.scm 209 */
													BgL_objectz00_bglt BgL_auxz00_2463;

													BgL_auxz00_2463 =
														(BgL_objectz00_bglt) (BgL_obj5006z00_2010);
													BgL_auxz00_2462 =
														BGL_OBJECT_WIDENING(BgL_auxz00_2463);
												}
												BgL_arg5328z00_1839 =
													(((BgL_valloczf2cinfozb2optimz40_bglt)
														CREF(BgL_auxz00_2462))->BgL_valuezd2approxzd2);
											}
										}
										{	/* Cfa/vector.scm 210 */
											BgL_approxz00_bglt BgL_obj3115z00_2012;

											{	/* Cfa/vector.scm 210 */
												BgL_vrefzf2cinfozf2_bglt BgL_obj4785z00_2011;

												BgL_obj4785z00_2011 =
													(BgL_vrefzf2cinfozf2_bglt) (BgL_instance5071z00_2089);
												{
													obj_t BgL_auxz00_2468;

													{	/* Cfa/vector.scm 210 */
														BgL_objectz00_bglt BgL_auxz00_2469;

														BgL_auxz00_2469 =
															(BgL_objectz00_bglt) (BgL_obj4785z00_2011);
														BgL_auxz00_2468 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2469);
													}
													BgL_obj3115z00_2012 =
														(((BgL_vrefzf2cinfozf2_bglt)
															CREF(BgL_auxz00_2468))->BgL_approxz00);
												}
											}
											BgL_arg5329z00_1840 =
												(((BgL_approxz00_bglt) CREF(BgL_obj3115z00_2012))->
												BgL_typez00);
										}
										return
											BGl_approxzd2setzd2typez12z12zzcfa_approxz00
											(BgL_arg5328z00_1839, BgL_arg5329z00_1840);
									}
								}
							else
								{	/* Cfa/vector.scm 205 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* cfa!-vlength/Cinfo5113 */
	obj_t BGl_cfaz12zd2vlengthzf2Cinfo5113z32zzcfa_vectorz00(obj_t
		BgL_envz00_2091, obj_t BgL_nodez00_2092)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 164 */
			{
				BgL_vlengthzf2cinfozf2_bglt BgL_nodez00_1800;

				{	/* Cfa/vector.scm 165 */
					BgL_approxz00_bglt BgL_auxz00_2475;

					BgL_nodez00_1800 = (BgL_vlengthzf2cinfozf2_bglt) (BgL_nodez00_2092);
					{	/* Cfa/vector.scm 167 */
						BgL_approxz00_bglt BgL_veczd2approxzd2_1804;

						{	/* Cfa/vector.scm 167 */
							obj_t BgL_arg5304z00_1806;

							{	/* Cfa/vector.scm 167 */
								obj_t BgL_pairz00_1977;

								{
									BgL_externz00_bglt BgL_auxz00_2476;

									BgL_auxz00_2476 = (BgL_externz00_bglt) (BgL_nodez00_1800);
									BgL_pairz00_1977 =
										(((BgL_externz00_bglt) CREF(BgL_auxz00_2476))->
										BgL_exprza2za2);
								}
								BgL_arg5304z00_1806 = CAR(BgL_pairz00_1977);
							}
							BgL_veczd2approxzd2_1804 =
								BGl_cfaz12z12zzcfa_cfaz00(
								(BgL_nodez00_bglt) (BgL_arg5304z00_1806));
						}
						if (
							((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
							{	/* Cfa/vector.scm 168 */
								BFALSE;
							}
						else
							{	/* Cfa/vector.scm 168 */
								(obj_t) (BGl_loosez12z12zzcfa_loosez00(BgL_veczd2approxzd2_1804,
										CNST_TABLE_REF(((long) 1))));
					}}
					{
						obj_t BgL_auxz00_2488;

						{	/* Cfa/vector.scm 170 */
							BgL_objectz00_bglt BgL_auxz00_2489;

							BgL_auxz00_2489 = (BgL_objectz00_bglt) (BgL_nodez00_1800);
							BgL_auxz00_2488 = BGL_OBJECT_WIDENING(BgL_auxz00_2489);
						}
						BgL_auxz00_2475 =
							(((BgL_vlengthzf2cinfozf2_bglt) CREF(BgL_auxz00_2488))->
							BgL_approxz00);
					}
					return (obj_t) (BgL_auxz00_2475);
				}
			}
		}
	}



/* cfa!-valloc/Cinfo5111 */
	obj_t BGl_cfaz12zd2valloczf2Cinfo5111z32zzcfa_vectorz00(obj_t BgL_envz00_2093,
		obj_t BgL_nodez00_2094)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 155 */
			{
				BgL_valloczf2cinfozf2_bglt BgL_nodez00_1786;

				{	/* Cfa/vector.scm 156 */
					BgL_approxz00_bglt BgL_auxz00_2495;

					BgL_nodez00_1786 = (BgL_valloczf2cinfozf2_bglt) (BgL_nodez00_2094);
					{	/* Cfa/vector.scm 158 */
						obj_t BgL_g5093z00_1790;

						{
							BgL_externz00_bglt BgL_auxz00_2496;

							BgL_auxz00_2496 = (BgL_externz00_bglt) (BgL_nodez00_1786);
							BgL_g5093z00_1790 =
								(((BgL_externz00_bglt) CREF(BgL_auxz00_2496))->BgL_exprza2za2);
						}
						{
							obj_t BgL_l5090z00_1791;

							BgL_l5090z00_1791 = BgL_g5093z00_1790;
						BgL_forzd2each5092zd2_1792:
							if (PAIRP(BgL_l5090z00_1791))
								{	/* Cfa/vector.scm 158 */
									{	/* Cfa/vector.scm 158 */
										obj_t BgL_xz00_1794;

										BgL_xz00_1794 = CAR(BgL_l5090z00_1791);
										{	/* Cfa/vector.scm 158 */
											BgL_approxz00_bglt BgL_arg5299z00_1795;

											obj_t BgL_arg5300z00_1796;

											BgL_arg5299z00_1795 =
												BGl_cfaz12z12zzcfa_cfaz00(
												(BgL_nodez00_bglt) (BgL_xz00_1794));
											BgL_arg5300z00_1796 = CNST_TABLE_REF(((long) 1));
											BGl_loosez12z12zzcfa_loosez00(BgL_arg5299z00_1795,
												BgL_arg5300z00_1796);
									}}
									{
										obj_t BgL_l5090z00_2506;

										BgL_l5090z00_2506 = CDR(BgL_l5090z00_1791);
										BgL_l5090z00_1791 = BgL_l5090z00_2506;
										goto BgL_forzd2each5092zd2_1792;
									}
								}
							else
								{	/* Cfa/vector.scm 158 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_auxz00_2508;

						{	/* Cfa/vector.scm 159 */
							BgL_objectz00_bglt BgL_auxz00_2509;

							BgL_auxz00_2509 = (BgL_objectz00_bglt) (BgL_nodez00_1786);
							BgL_auxz00_2508 = BGL_OBJECT_WIDENING(BgL_auxz00_2509);
						}
						BgL_auxz00_2495 =
							(((BgL_valloczf2cinfozf2_bglt) CREF(BgL_auxz00_2508))->
							BgL_approxz00);
					}
					return (obj_t) (BgL_auxz00_2495);
				}
			}
		}
	}



/* cfa!-valloc/Cinfo+op5109 */
	obj_t BGl_cfaz12zd2valloczf2Cinfozb2op5109z80zzcfa_vectorz00(obj_t
		BgL_envz00_2095, obj_t BgL_nodez00_2096)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 146 */
			{
				BgL_valloczf2cinfozb2optimz40_bglt BgL_nodez00_1774;

				{	/* Cfa/vector.scm 147 */
					BgL_approxz00_bglt BgL_auxz00_2515;

					BgL_nodez00_1774 =
						(BgL_valloczf2cinfozb2optimz40_bglt) (BgL_nodez00_2096);
					{	/* Cfa/vector.scm 149 */
						obj_t BgL_g5089z00_1778;

						{
							BgL_externz00_bglt BgL_auxz00_2516;

							BgL_auxz00_2516 = (BgL_externz00_bglt) (BgL_nodez00_1774);
							BgL_g5089z00_1778 =
								(((BgL_externz00_bglt) CREF(BgL_auxz00_2516))->BgL_exprza2za2);
						}
						{
							obj_t BgL_l5087z00_1779;

							BgL_l5087z00_1779 = BgL_g5089z00_1778;
						BgL_forzd2each5088zd2_1780:
							if (PAIRP(BgL_l5087z00_1779))
								{	/* Cfa/vector.scm 149 */
									{	/* Cfa/vector.scm 149 */
										obj_t BgL_arg5295z00_1782;

										BgL_arg5295z00_1782 = CAR(BgL_l5087z00_1779);
										BGl_cfaz12z12zzcfa_cfaz00(
											(BgL_nodez00_bglt) (BgL_arg5295z00_1782));
									}
									{
										obj_t BgL_l5087z00_2524;

										BgL_l5087z00_2524 = CDR(BgL_l5087z00_1779);
										BgL_l5087z00_1779 = BgL_l5087z00_2524;
										goto BgL_forzd2each5088zd2_1780;
									}
								}
							else
								{	/* Cfa/vector.scm 149 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_auxz00_2526;

						{	/* Cfa/vector.scm 150 */
							BgL_objectz00_bglt BgL_auxz00_2527;

							BgL_auxz00_2527 = (BgL_objectz00_bglt) (BgL_nodez00_1774);
							BgL_auxz00_2526 = BGL_OBJECT_WIDENING(BgL_auxz00_2527);
						}
						BgL_auxz00_2515 =
							(((BgL_valloczf2cinfozb2optimz40_bglt) CREF(BgL_auxz00_2526))->
							BgL_approxz00);
					}
					return (obj_t) (BgL_auxz00_2515);
				}
			}
		}
	}



/* cfa!-make-vector-app5107 */
	obj_t BGl_cfaz12zd2makezd2vectorzd2app5107zc0zzcfa_vectorz00(obj_t
		BgL_envz00_2097, obj_t BgL_nodez00_2098)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 135 */
			{
				BgL_makezd2vectorzd2appz00_bglt BgL_nodez00_1762;

				{	/* Cfa/vector.scm 136 */
					BgL_approxz00_bglt BgL_auxz00_2533;

					BgL_nodez00_1762 =
						(BgL_makezd2vectorzd2appz00_bglt) (BgL_nodez00_2098);
					{	/* Cfa/vector.scm 138 */
						obj_t BgL_arg5288z00_1766;

						{	/* Cfa/vector.scm 138 */
							obj_t BgL_pairz00_1958;

							{
								BgL_appz00_bglt BgL_auxz00_2534;

								BgL_auxz00_2534 = (BgL_appz00_bglt) (BgL_nodez00_1762);
								BgL_pairz00_1958 =
									(((BgL_appz00_bglt) CREF(BgL_auxz00_2534))->BgL_argsz00);
							}
							BgL_arg5288z00_1766 = CAR(BgL_pairz00_1958);
						}
						BGl_cfaz12z12zzcfa_cfaz00((BgL_nodez00_bglt) (BgL_arg5288z00_1766));
					}
					{	/* Cfa/vector.scm 139 */
						BgL_approxz00_bglt BgL_initzd2valuezd2approxz00_1768;

						{	/* Cfa/vector.scm 139 */
							obj_t BgL_arg5291z00_1770;

							{	/* Cfa/vector.scm 139 */
								obj_t BgL_pairz00_1960;

								{
									BgL_appz00_bglt BgL_auxz00_2540;

									BgL_auxz00_2540 = (BgL_appz00_bglt) (BgL_nodez00_1762);
									BgL_pairz00_1960 =
										(((BgL_appz00_bglt) CREF(BgL_auxz00_2540))->BgL_argsz00);
								}
								BgL_arg5291z00_1770 = CAR(CDR(BgL_pairz00_1960));
							}
							BgL_initzd2valuezd2approxz00_1768 =
								BGl_cfaz12z12zzcfa_cfaz00(
								(BgL_nodez00_bglt) (BgL_arg5291z00_1770));
						}
						{	/* Cfa/vector.scm 140 */
							BgL_approxz00_bglt BgL_arg5290z00_1769;

							{
								obj_t BgL_auxz00_2547;

								{	/* Cfa/vector.scm 140 */
									BgL_objectz00_bglt BgL_auxz00_2548;

									BgL_auxz00_2548 = (BgL_objectz00_bglt) (BgL_nodez00_1762);
									BgL_auxz00_2547 = BGL_OBJECT_WIDENING(BgL_auxz00_2548);
								}
								BgL_arg5290z00_1769 =
									(((BgL_makezd2vectorzd2appz00_bglt) CREF(BgL_auxz00_2547))->
									BgL_valuezd2approxzd2);
							}
							BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg5290z00_1769,
								BgL_initzd2valuezd2approxz00_1768);
						}
						{
							obj_t BgL_auxz00_2553;

							{	/* Cfa/vector.scm 141 */
								BgL_objectz00_bglt BgL_auxz00_2554;

								BgL_auxz00_2554 = (BgL_objectz00_bglt) (BgL_nodez00_1762);
								BgL_auxz00_2553 = BGL_OBJECT_WIDENING(BgL_auxz00_2554);
							}
							BgL_auxz00_2533 =
								(((BgL_makezd2vectorzd2appz00_bglt) CREF(BgL_auxz00_2553))->
								BgL_approxz00);
						}
					}
					return (obj_t) (BgL_auxz00_2533);
				}
			}
		}
	}



/* node-setup!-vset!5105 */
	obj_t BGl_nodezd2setupz12zd2vsetz125105z00zzcfa_vectorz00(obj_t
		BgL_envz00_2099, obj_t BgL_nodez00_2100)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 125 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_1746;

				{	/* Cfa/vector.scm 126 */
					BgL_vsetz12z12_bglt BgL_auxz00_2560;

					BgL_nodez00_1746 = (BgL_vsetz12z12_bglt) (BgL_nodez00_2100);
					{	/* Cfa/vector.scm 127 */
						obj_t BgL_arg5278z00_1750;

						{
							BgL_externz00_bglt BgL_auxz00_2561;

							BgL_auxz00_2561 = (BgL_externz00_bglt) (BgL_nodez00_1746);
							BgL_arg5278z00_1750 =
								(((BgL_externz00_bglt) CREF(BgL_auxz00_2561))->BgL_exprza2za2);
						}
						BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg5278z00_1750);
					}
					{	/* Cfa/vector.scm 128 */
						BgL_vsetz12z12_bglt BgL_obj5062z00_1751;

						BgL_obj5062z00_1751 = ((BgL_vsetz12z12_bglt) BgL_nodez00_1746);
						{	/* Cfa/vector.scm 129 */
							obj_t BgL_arg5279z00_1752;

							{	/* Cfa/vector.scm 129 */
								BgL_approxz00_bglt BgL_arg5280z00_1753;

								bool_t BgL_arg5281z00_1754;

								BgL_arg5280z00_1753 =
									BGl_makezd2typezd2approxz00zzcfa_approxz00(
									(BgL_typez00_bglt) (BGl_za2unspecza2z00zztype_cachez00));
								{	/* Cfa/vector.scm 130 */
									bool_t BgL_testz00_2568;

									{	/* Cfa/vector.scm 130 */
										bool_t BgL_testz00_2569;

										{	/* Cfa/vector.scm 130 */
											BgL_typez00_bglt BgL_arg5285z00_1758;

											BgL_arg5285z00_1758 =
												(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1746))->
												BgL_ftypez00);
											BgL_testz00_2569 =
												((obj_t) (BgL_arg5285z00_1758) ==
												BGl_za2_za2z00zztype_cachez00);
										}
										if (BgL_testz00_2569)
											{	/* Cfa/vector.scm 130 */
												BgL_testz00_2568 = ((bool_t) 1);
											}
										else
											{	/* Cfa/vector.scm 130 */
												BgL_typez00_bglt BgL_arg5284z00_1757;

												BgL_arg5284z00_1757 =
													(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_1746))->
													BgL_ftypez00);
												BgL_testz00_2568 =
													((obj_t) (BgL_arg5284z00_1757) ==
													BGl_za2objza2z00zztype_cachez00);
											}
									}
									if (BgL_testz00_2568)
										{	/* Cfa/vector.scm 130 */
											BgL_arg5281z00_1754 = ((bool_t) 0);
										}
									else
										{	/* Cfa/vector.scm 130 */
											BgL_arg5281z00_1754 = ((bool_t) 1);
										}
								}
								BgL_arg5279z00_1752 =
									BGl_wideningzd2vsetz12zf2Cinfoz32zzcfa_info3z00
									(BgL_arg5280z00_1753, BgL_arg5281z00_1754);
							}
							{	/* Cfa/vector.scm 128 */
								BgL_objectz00_bglt BgL_auxz00_2577;

								BgL_auxz00_2577 = (BgL_objectz00_bglt) (BgL_obj5062z00_1751);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2577, BgL_arg5279z00_1752);
							}
						}
						BGL_OBJECT_CLASS_NUM_SET(
							(BgL_objectz00_bglt) (BgL_obj5062z00_1751),
							BGl_classzd2numzd2zz__objectz00
							(BGl_vsetz12zf2Cinfoze0zzcfa_info3z00));
						BgL_auxz00_2560 = BgL_obj5062z00_1751;
					}
					return (obj_t) (BgL_auxz00_2560);
				}
			}
		}
	}



/* node-setup!-vref5103 */
	obj_t BGl_nodezd2setupz12zd2vref5103z12zzcfa_vectorz00(obj_t BgL_envz00_2101,
		obj_t BgL_nodez00_2102)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 105 */
			{
				BgL_vrefz00_bglt BgL_nodez00_1727;

				{	/* Cfa/vector.scm 106 */
					BgL_vrefz00_bglt BgL_auxz00_2585;

					BgL_nodez00_1727 = (BgL_vrefz00_bglt) (BgL_nodez00_2102);
					{	/* Cfa/vector.scm 107 */
						obj_t BgL_arg5268z00_1731;

						{
							BgL_externz00_bglt BgL_auxz00_2586;

							BgL_auxz00_2586 = (BgL_externz00_bglt) (BgL_nodez00_1727);
							BgL_arg5268z00_1731 =
								(((BgL_externz00_bglt) CREF(BgL_auxz00_2586))->BgL_exprza2za2);
						}
						BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg5268z00_1731);
					}
					{	/* Cfa/vector.scm 108 */
						bool_t BgL_tvectorzf3zf3_1732;

						{	/* Cfa/vector.scm 108 */
							bool_t BgL_testz00_2590;

							{	/* Cfa/vector.scm 108 */
								bool_t BgL_testz00_2591;

								{	/* Cfa/vector.scm 108 */
									BgL_typez00_bglt BgL_arg5276z00_1743;

									BgL_arg5276z00_1743 =
										(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1727))->BgL_ftypez00);
									BgL_testz00_2591 =
										(
										(obj_t) (BgL_arg5276z00_1743) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_2591)
									{	/* Cfa/vector.scm 108 */
										BgL_testz00_2590 = ((bool_t) 1);
									}
								else
									{	/* Cfa/vector.scm 108 */
										BgL_typez00_bglt BgL_arg5275z00_1742;

										BgL_arg5275z00_1742 =
											(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1727))->
											BgL_ftypez00);
										BgL_testz00_2590 =
											((obj_t) (BgL_arg5275z00_1742) ==
											BGl_za2objza2z00zztype_cachez00);
									}
							}
							if (BgL_testz00_2590)
								{	/* Cfa/vector.scm 108 */
									BgL_tvectorzf3zf3_1732 = ((bool_t) 0);
								}
							else
								{	/* Cfa/vector.scm 108 */
									BgL_tvectorzf3zf3_1732 = ((bool_t) 1);
								}
						}
						{	/* Cfa/vector.scm 108 */
							BgL_approxz00_bglt BgL_approxz00_1733;

							if (BgL_tvectorzf3zf3_1732)
								{	/* Cfa/vector.scm 111 */
									BgL_typez00_bglt BgL_arg5271z00_1737;

									BgL_arg5271z00_1737 =
										(((BgL_vrefz00_bglt) CREF(BgL_nodez00_1727))->BgL_ftypez00);
									BgL_approxz00_1733 =
										BGl_makezd2typezd2approxz00zzcfa_approxz00
										(BgL_arg5271z00_1737);
								}
							else
								{	/* Cfa/vector.scm 110 */
									if (
										((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
											((long) 2)))
										{	/* Cfa/vector.scm 112 */
											BgL_approxz00_1733 =
												BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
										}
									else
										{	/* Cfa/vector.scm 115 */
											BgL_approxz00_bglt BgL_approxz00_1739;

											BgL_approxz00_1739 =
												BGl_makezd2typezd2approxz00zzcfa_approxz00(
												(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
											BGl_approxzd2setzd2topz12z12zzcfa_approxz00
												(BgL_approxz00_1739);
											BgL_approxz00_1733 = BgL_approxz00_1739;
										}
								}
							{	/* Cfa/vector.scm 109 */

								{	/* Cfa/vector.scm 118 */
									BgL_vrefz00_bglt BgL_obj5059z00_1734;

									BgL_obj5059z00_1734 = ((BgL_vrefz00_bglt) BgL_nodez00_1727);
									{	/* Cfa/vector.scm 118 */
										obj_t BgL_auxz00_2611;

										BgL_objectz00_bglt BgL_auxz00_2609;

										BgL_auxz00_2611 =
											BGl_wideningzd2vrefzf2Cinfoz20zzcfa_info3z00
											(BgL_approxz00_1733, BgL_tvectorzf3zf3_1732);
										BgL_auxz00_2609 =
											(BgL_objectz00_bglt) (BgL_obj5059z00_1734);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_2609, BgL_auxz00_2611);
									}
									BGL_OBJECT_CLASS_NUM_SET(
										(BgL_objectz00_bglt) (BgL_obj5059z00_1734),
										BGl_classzd2numzd2zz__objectz00
										(BGl_vrefzf2Cinfozf2zzcfa_info3z00));
									BgL_auxz00_2585 = BgL_obj5059z00_1734;
								}
							}
						}
					}
					return (obj_t) (BgL_auxz00_2585);
				}
			}
		}
	}



/* node-setup!-vlength5101 */
	obj_t BGl_nodezd2setupz12zd2vlength5101z12zzcfa_vectorz00(obj_t
		BgL_envz00_2103, obj_t BgL_nodez00_2104)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 95 */
			{
				BgL_vlengthz00_bglt BgL_nodez00_1712;

				{	/* Cfa/vector.scm 96 */
					BgL_vlengthz00_bglt BgL_auxz00_2619;

					BgL_nodez00_1712 = (BgL_vlengthz00_bglt) (BgL_nodez00_2104);
					{	/* Cfa/vector.scm 97 */
						obj_t BgL_arg5259z00_1716;

						{	/* Cfa/vector.scm 97 */
							obj_t BgL_pairz00_1938;

							{
								BgL_externz00_bglt BgL_auxz00_2620;

								BgL_auxz00_2620 = (BgL_externz00_bglt) (BgL_nodez00_1712);
								BgL_pairz00_1938 =
									(((BgL_externz00_bglt) CREF(BgL_auxz00_2620))->
									BgL_exprza2za2);
							}
							BgL_arg5259z00_1716 = CAR(BgL_pairz00_1938);
						}
						BGl_nodezd2setupz12zc0zzcfa_setupz00(
							(BgL_nodez00_bglt) (BgL_arg5259z00_1716));
					}
					{	/* Cfa/vector.scm 98 */
						BgL_vlengthz00_bglt BgL_obj5056z00_1718;

						BgL_obj5056z00_1718 = ((BgL_vlengthz00_bglt) BgL_nodez00_1712);
						{	/* Cfa/vector.scm 99 */
							obj_t BgL_arg5261z00_1719;

							{	/* Cfa/vector.scm 99 */
								BgL_approxz00_bglt BgL_arg5262z00_1720;

								bool_t BgL_arg5263z00_1721;

								{	/* Cfa/vector.scm 99 */
									BgL_typez00_bglt BgL_arg5264z00_1722;

									{
										BgL_nodez00_bglt BgL_auxz00_2627;

										BgL_auxz00_2627 = (BgL_nodez00_bglt) (BgL_nodez00_1712);
										BgL_arg5264z00_1722 =
											(((BgL_nodez00_bglt) CREF(BgL_auxz00_2627))->BgL_typez00);
									}
									BgL_arg5262z00_1720 =
										BGl_makezd2typezd2approxz00zzcfa_approxz00
										(BgL_arg5264z00_1722);
								}
								{	/* Cfa/vector.scm 100 */
									obj_t BgL_auxz00_2631;

									BgL_auxz00_2631 =
										(obj_t) (
										(((BgL_vlengthz00_bglt) CREF(BgL_nodez00_1712))->
											BgL_vtypez00));
									BgL_arg5263z00_1721 = TVECTORP(BgL_auxz00_2631);
								}
								BgL_arg5261z00_1719 =
									BGl_wideningzd2vlengthzf2Cinfoz20zzcfa_info3z00
									(BgL_arg5262z00_1720, BgL_arg5263z00_1721);
							}
							{	/* Cfa/vector.scm 98 */
								BgL_objectz00_bglt BgL_auxz00_2636;

								BgL_auxz00_2636 = (BgL_objectz00_bglt) (BgL_obj5056z00_1718);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2636, BgL_arg5261z00_1719);
							}
						}
						BGL_OBJECT_CLASS_NUM_SET(
							(BgL_objectz00_bglt) (BgL_obj5056z00_1718),
							BGl_classzd2numzd2zz__objectz00
							(BGl_vlengthzf2Cinfozf2zzcfa_info3z00));
						BgL_auxz00_2619 = BgL_obj5056z00_1718;
					}
					return (obj_t) (BgL_auxz00_2619);
				}
			}
		}
	}



/* node-setup!-valloc5099 */
	obj_t BGl_nodezd2setupz12zd2valloc5099z12zzcfa_vectorz00(obj_t
		BgL_envz00_2105, obj_t BgL_nodez00_2106)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 82 */
			{
				BgL_vallocz00_bglt BgL_nodez00_1699;

				{	/* Cfa/vector.scm 83 */
					BgL_vallocz00_bglt BgL_auxz00_2644;

					BgL_nodez00_1699 = (BgL_vallocz00_bglt) (BgL_nodez00_2106);
					{	/* Cfa/vector.scm 84 */
						obj_t BgL_arg5254z00_1703;

						{
							BgL_externz00_bglt BgL_auxz00_2645;

							BgL_auxz00_2645 = (BgL_externz00_bglt) (BgL_nodez00_1699);
							BgL_arg5254z00_1703 =
								(((BgL_externz00_bglt) CREF(BgL_auxz00_2645))->BgL_exprza2za2);
						}
						BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg5254z00_1703);
					}
					{	/* Cfa/vector.scm 86 */
						BgL_approxz00_bglt BgL_approxz00_1704;

						{	/* Cfa/vector.scm 86 */
							BgL_typez00_bglt BgL_arg5257z00_1709;

							{
								BgL_nodez00_bglt BgL_auxz00_2649;

								BgL_auxz00_2649 = (BgL_nodez00_bglt) (BgL_nodez00_1699);
								BgL_arg5257z00_1709 =
									(((BgL_nodez00_bglt) CREF(BgL_auxz00_2649))->BgL_typez00);
							}
							BgL_approxz00_1704 =
								BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_arg5257z00_1709);
						}
						{	/* Cfa/vector.scm 86 */
							BgL_vallocz00_bglt BgL_wnodez00_1705;

							{	/* Cfa/vector.scm 87 */
								BgL_vallocz00_bglt BgL_obj5053z00_1706;

								BgL_obj5053z00_1706 = ((BgL_vallocz00_bglt) BgL_nodez00_1699);
								{	/* Cfa/vector.scm 87 */
									obj_t BgL_auxz00_2656;

									BgL_objectz00_bglt BgL_auxz00_2654;

									BgL_auxz00_2656 =
										BGl_wideningzd2valloczf2Cinfoz20zzcfa_info3z00
										(BgL_approxz00_1704);
									BgL_auxz00_2654 = (BgL_objectz00_bglt) (BgL_obj5053z00_1706);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_2654, BgL_auxz00_2656);
								}
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_obj5053z00_1706),
									BGl_classzd2numzd2zz__objectz00
									(BGl_valloczf2Cinfozf2zzcfa_info3z00));
								BgL_wnodez00_1705 = BgL_obj5053z00_1706;
							}
							{	/* Cfa/vector.scm 87 */

								BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_1704);
								BgL_auxz00_2644 = BgL_wnodez00_1705;
							}
						}
					}
					return (obj_t) (BgL_auxz00_2644);
				}
			}
		}
	}



/* node-setup!-pre-vall5097 */
	obj_t BGl_nodezd2setupz12zd2prezd2vall5097zc0zzcfa_vectorz00(obj_t
		BgL_envz00_2107, obj_t BgL_nodez00_2108)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 64 */
			{
				BgL_prezd2valloczf2cinfoz20_bglt BgL_nodez00_1676;

				BgL_nodez00_1676 =
					(BgL_prezd2valloczf2cinfoz20_bglt) (BgL_nodez00_2108);
				BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(
					(BgL_nodez00_bglt) (BgL_nodez00_1676));
				{	/* Cfa/vector.scm 67 */
					obj_t BgL_arg5241z00_1680;

					{
						BgL_externz00_bglt BgL_auxz00_2667;

						BgL_auxz00_2667 = (BgL_externz00_bglt) (BgL_nodez00_1676);
						BgL_arg5241z00_1680 =
							(((BgL_externz00_bglt) CREF(BgL_auxz00_2667))->BgL_exprza2za2);
					}
					BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg5241z00_1680);
				}
				{	/* Cfa/vector.scm 68 */
					BgL_variablez00_bglt BgL_ownerz00_1681;

					{
						obj_t BgL_auxz00_2671;

						{	/* Cfa/vector.scm 68 */
							BgL_objectz00_bglt BgL_auxz00_2672;

							BgL_auxz00_2672 = (BgL_objectz00_bglt) (BgL_nodez00_1676);
							BgL_auxz00_2671 = BGL_OBJECT_WIDENING(BgL_auxz00_2672);
						}
						BgL_ownerz00_1681 =
							(((BgL_prezd2valloczf2cinfoz20_bglt) CREF(BgL_auxz00_2671))->
							BgL_ownerz00);
					}
					{	/* Cfa/vector.scm 68 */
						BgL_prezd2valloczf2cinfoz20_bglt BgL_nodez00_1682;

						{	/* Cfa/vector.scm 69 */
							long BgL_arg5250z00_1694;

							{	/* Cfa/vector.scm 69 */
								obj_t BgL_arg5251z00_1695;

								{	/* Cfa/vector.scm 69 */
									obj_t BgL_arg5252z00_1696;

									{	/* Cfa/vector.scm 69 */
										BgL_objectz00_bglt BgL_objectz00_1918;

										BgL_objectz00_1918 =
											(BgL_objectz00_bglt) (BgL_nodez00_1676);
										{	/* Cfa/vector.scm 69 */
											long BgL_arg2391z00_1919;

											{	/* Cfa/vector.scm 69 */
												long BgL_arg2392z00_1920;

												BgL_arg2392z00_1920 =
													BGL_OBJECT_CLASS_NUM(BgL_objectz00_1918);
												BgL_arg2391z00_1919 =
													(BgL_arg2392z00_1920 - OBJECT_TYPE);
											}
											BgL_arg5252z00_1696 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg2391z00_1919));
									}}
									BgL_arg5251z00_1695 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg5252z00_1696);
								}
								BgL_arg5250z00_1694 =
									BGl_classzd2numzd2zz__objectz00(BgL_arg5251z00_1695);
							}
							BGL_OBJECT_CLASS_NUM_SET(
								(BgL_objectz00_bglt) (BgL_nodez00_1676), BgL_arg5250z00_1694);
						}
						{	/* Cfa/vector.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_2685;

							BgL_auxz00_2685 = (BgL_objectz00_bglt) (BgL_nodez00_1676);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2685, BFALSE);
						}
						BgL_nodez00_1682 = BgL_nodez00_1676;
						{	/* Cfa/vector.scm 69 */

							{	/* Cfa/vector.scm 70 */
								BgL_vallocz00_bglt BgL_wnodez00_1683;

								{	/* Cfa/vector.scm 70 */
									BgL_vallocz00_bglt BgL_obj5050z00_1686;

									BgL_obj5050z00_1686 =
										((BgL_vallocz00_bglt)
										(BgL_vallocz00_bglt) (BgL_nodez00_1682));
									{	/* Cfa/vector.scm 70 */
										obj_t BgL_auxz00_2692;

										BgL_objectz00_bglt BgL_auxz00_2690;

										BgL_auxz00_2692 =
											BGl_wideningzd2valloczf2Cinfozb2optimz92zzcfa_info3z00
											(BGl_makezd2emptyzd2approxz00zzcfa_approxz00(),
											BGl_makezd2emptyzd2approxz00zzcfa_approxz00(),
											((long) -1), BgL_ownerz00_1681, ((bool_t) 1), BNIL,
											((bool_t) 0));
										BgL_auxz00_2690 =
											(BgL_objectz00_bglt) (BgL_obj5050z00_1686);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_2690, BgL_auxz00_2692);
									}
									BGL_OBJECT_CLASS_NUM_SET(
										(BgL_objectz00_bglt) (BgL_obj5050z00_1686),
										BGl_classzd2numzd2zz__objectz00
										(BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00));
									BgL_wnodez00_1683 = BgL_obj5050z00_1686;
								}
								{	/* Cfa/vector.scm 77 */
									BgL_approxz00_bglt BgL_arg5242z00_1684;

									{	/* Cfa/vector.scm 77 */
										BgL_typez00_bglt BgL_arg5243z00_1685;

										{
											BgL_nodez00_bglt BgL_auxz00_2700;

											BgL_auxz00_2700 = (BgL_nodez00_bglt) (BgL_nodez00_1676);
											BgL_arg5243z00_1685 =
												(((BgL_nodez00_bglt) CREF(BgL_auxz00_2700))->
												BgL_typez00);
										}
										BgL_arg5242z00_1684 =
											BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00
											(BgL_arg5243z00_1685,
											(BgL_nodez00_bglt) (BgL_nodez00_1682));
									}
									{	/* Cfa/vector.scm 75 */
										BgL_valloczf2cinfozb2optimz40_bglt BgL_obj5005z00_1931;

										BgL_approxz00_bglt BgL_val5004z00_1932;

										BgL_obj5005z00_1931 =
											(BgL_valloczf2cinfozb2optimz40_bglt) (BgL_wnodez00_1683);
										BgL_val5004z00_1932 = BgL_arg5242z00_1684;
										{
											obj_t BgL_auxz00_2706;

											{	/* Cfa/vector.scm 75 */
												BgL_objectz00_bglt BgL_auxz00_2707;

												BgL_auxz00_2707 =
													(BgL_objectz00_bglt) (BgL_obj5005z00_1931);
												BgL_auxz00_2706 = BGL_OBJECT_WIDENING(BgL_auxz00_2707);
											}
											return
												((((BgL_valloczf2cinfozb2optimz40_bglt)
														CREF(BgL_auxz00_2706))->BgL_approxz00) =
												((BgL_approxz00_bglt) BgL_val5004z00_1932), BUNSPEC);
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* node-setup!-pre-make5095 */
	obj_t BGl_nodezd2setupz12zd2prezd2make5095zc0zzcfa_vectorz00(obj_t
		BgL_envz00_2109, obj_t BgL_nodez00_2110)
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 46 */
			{
				BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_nodez00_1654;

				BgL_nodez00_1654 =
					(BgL_prezd2makezd2vectorzd2appzd2_bglt) (BgL_nodez00_2110);
				BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(
					(BgL_nodez00_bglt) (BgL_nodez00_1654));
				{	/* Cfa/vector.scm 49 */
					obj_t BgL_arg5228z00_1658;

					{
						BgL_appz00_bglt BgL_auxz00_2714;

						BgL_auxz00_2714 = (BgL_appz00_bglt) (BgL_nodez00_1654);
						BgL_arg5228z00_1658 =
							(((BgL_appz00_bglt) CREF(BgL_auxz00_2714))->BgL_argsz00);
					}
					BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg5228z00_1658);
				}
				{	/* Cfa/vector.scm 50 */
					BgL_variablez00_bglt BgL_ownerz00_1659;

					{
						obj_t BgL_auxz00_2718;

						{	/* Cfa/vector.scm 50 */
							BgL_objectz00_bglt BgL_auxz00_2719;

							BgL_auxz00_2719 = (BgL_objectz00_bglt) (BgL_nodez00_1654);
							BgL_auxz00_2718 = BGL_OBJECT_WIDENING(BgL_auxz00_2719);
						}
						BgL_ownerz00_1659 =
							(((BgL_prezd2makezd2vectorzd2appzd2_bglt) CREF(BgL_auxz00_2718))->
							BgL_ownerz00);
					}
					{	/* Cfa/vector.scm 50 */
						BgL_prezd2makezd2vectorzd2appzd2_bglt BgL_nodez00_1660;

						{	/* Cfa/vector.scm 51 */
							long BgL_arg5237z00_1671;

							{	/* Cfa/vector.scm 51 */
								obj_t BgL_arg5238z00_1672;

								{	/* Cfa/vector.scm 51 */
									obj_t BgL_arg5239z00_1673;

									{	/* Cfa/vector.scm 51 */
										BgL_objectz00_bglt BgL_objectz00_1902;

										BgL_objectz00_1902 =
											(BgL_objectz00_bglt) (BgL_nodez00_1654);
										{	/* Cfa/vector.scm 51 */
											long BgL_arg2391z00_1903;

											{	/* Cfa/vector.scm 51 */
												long BgL_arg2392z00_1904;

												BgL_arg2392z00_1904 =
													BGL_OBJECT_CLASS_NUM(BgL_objectz00_1902);
												BgL_arg2391z00_1903 =
													(BgL_arg2392z00_1904 - OBJECT_TYPE);
											}
											BgL_arg5239z00_1673 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg2391z00_1903));
									}}
									BgL_arg5238z00_1672 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg5239z00_1673);
								}
								BgL_arg5237z00_1671 =
									BGl_classzd2numzd2zz__objectz00(BgL_arg5238z00_1672);
							}
							BGL_OBJECT_CLASS_NUM_SET(
								(BgL_objectz00_bglt) (BgL_nodez00_1654), BgL_arg5237z00_1671);
						}
						{	/* Cfa/vector.scm 51 */
							BgL_objectz00_bglt BgL_auxz00_2732;

							BgL_auxz00_2732 = (BgL_objectz00_bglt) (BgL_nodez00_1654);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2732, BFALSE);
						}
						BgL_nodez00_1660 = BgL_nodez00_1654;
						{	/* Cfa/vector.scm 51 */

							{	/* Cfa/vector.scm 52 */
								BgL_appz00_bglt BgL_wnodez00_1661;

								{	/* Cfa/vector.scm 52 */
									BgL_appz00_bglt BgL_obj5046z00_1663;

									BgL_obj5046z00_1663 =
										((BgL_appz00_bglt) (BgL_appz00_bglt) (BgL_nodez00_1660));
									{	/* Cfa/vector.scm 52 */
										obj_t BgL_auxz00_2739;

										BgL_objectz00_bglt BgL_auxz00_2737;

										BgL_auxz00_2739 =
											BGl_wideningzd2makezd2vectorzd2appzd2zzcfa_info2z00
											(BGl_makezd2emptyzd2approxz00zzcfa_approxz00(),
											BGl_makezd2emptyzd2approxz00zzcfa_approxz00(),
											((long) -1), BgL_ownerz00_1659, BNIL, ((bool_t) 0));
										BgL_auxz00_2737 =
											(BgL_objectz00_bglt) (BgL_obj5046z00_1663);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_2737, BgL_auxz00_2739);
									}
									BGL_OBJECT_CLASS_NUM_SET(
										(BgL_objectz00_bglt) (BgL_obj5046z00_1663),
										BGl_classzd2numzd2zz__objectz00
										(BGl_makezd2vectorzd2appz00zzcfa_info2z00));
									BgL_wnodez00_1661 = BgL_obj5046z00_1663;
								}
								{	/* Cfa/vector.scm 58 */
									BgL_approxz00_bglt BgL_arg5229z00_1662;

									BgL_arg5229z00_1662 =
										BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
										(BgL_typez00_bglt) (BGl_za2vectorza2z00zztype_cachez00),
										(BgL_nodez00_bglt) (BgL_nodez00_1660));
									{	/* Cfa/vector.scm 57 */
										BgL_makezd2vectorzd2appz00_bglt BgL_obj4337z00_1914;

										BgL_approxz00_bglt BgL_val4336z00_1915;

										BgL_obj4337z00_1914 =
											(BgL_makezd2vectorzd2appz00_bglt) (BgL_wnodez00_1661);
										BgL_val4336z00_1915 = BgL_arg5229z00_1662;
										{
											obj_t BgL_auxz00_2751;

											{	/* Cfa/vector.scm 57 */
												BgL_objectz00_bglt BgL_auxz00_2752;

												BgL_auxz00_2752 =
													(BgL_objectz00_bglt) (BgL_obj4337z00_1914);
												BgL_auxz00_2751 = BGL_OBJECT_WIDENING(BgL_auxz00_2752);
											}
											return
												((((BgL_makezd2vectorzd2appz00_bglt)
														CREF(BgL_auxz00_2751))->BgL_approxz00) =
												((BgL_approxz00_bglt) BgL_val4336z00_1915), BUNSPEC);
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_vectorz00()
	{
		AN_OBJECT;
		{	/* Cfa/vector.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 243010053),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 235614963),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 326518176),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 42139303),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 212645849),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 535144917),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 249450490),
				BSTRING_TO_STRING(BGl_string5382z00zzcfa_vectorz00));
		}
	}

#ifdef __cplusplus
}
#endif
