/*===========================================================================*/
/*   (Coerce/convert.scm)                                                    */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/convert.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;


	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt);
	static obj_t BGl_cnstzd2initzd2zzcoerce_convertz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt,
		BgL_typez00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00();
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_dozd2convertzd2zzcoerce_convertz00(obj_t, obj_t,
		BgL_typez00_bglt);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl__convertz12z12zzcoerce_convertz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_convertz00();
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern BgL_castz00_bglt BGl_makezd2castzd2zzast_nodez00(obj_t,
		BgL_typez00_bglt, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	static obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t,
		BgL_typez00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t, bool_t);
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
	static BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t,
		BgL_typez00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	static obj_t BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t,
		BgL_typez00_bglt, BgL_typez00_bglt, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t __cnst[15];


	   
		 
		DEFINE_STRING(BGl_string3804z00zzcoerce_convertz00,
		BgL_bgl_string3804za700za7za7c3813za7, "Type error", 10);
	      DEFINE_STRING(BGl_string3805z00zzcoerce_convertz00,
		BgL_bgl_string3805za700za7za7c3814za7, "", 0);
	      DEFINE_STRING(BGl_string3806z00zzcoerce_convertz00,
		BgL_bgl_string3806za700za7za7c3815za7, "Illegal conversion", 18);
	      DEFINE_STRING(BGl_string3807z00zzcoerce_convertz00,
		BgL_bgl_string3807za700za7za7c3816za7, "do-convert", 10);
	      DEFINE_STRING(BGl_string3808z00zzcoerce_convertz00,
		BgL_bgl_string3808za700za7za7c3817za7, "Illegal converter", 17);
	      DEFINE_STRING(BGl_string3810z00zzcoerce_convertz00,
		BgL_bgl_string3810za700za7za7c3818za7,
		"aux2 if coercer bigloo-type-error failure quote bigloo-type-error/location __error @ begin location bdb ::obj let aux ",
		118);
	      DEFINE_STRING(BGl_string3809z00zzcoerce_convertz00,
		BgL_bgl_string3809za700za7za7c3819za7, "coerce_convert", 14);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_convertz12zd2envzc0zzcoerce_convertz00,
		BgL_bgl__convertza712za712za7za73820z00,
		BGl__convertz12z12zzcoerce_convertz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_runtimezd2typezd2errorzd2envzd2zzcoerce_convertz00,
		BgL_bgl__runtimeza7d2typeza73821z00,
		BGl__runtimezd2typezd2errorz00zzcoerce_convertz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long
		BgL_checksumz00_1809, char *BgL_fromz00_1810)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_convertz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_convertz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_cnstzd2initzd2zzcoerce_convertz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"coerce_convert");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			{	/* Coerce/convert.scm 16 */
				obj_t BgL_cportz00_1801;

				BgL_cportz00_1801 =
					bgl_open_input_string(BGl_string3810z00zzcoerce_convertz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1802;

					BgL_iz00_1802 = ((long) 14);
				BgL_loopz00_1803:
					if ((BgL_iz00_1802 == ((long) -1)))
						{	/* Coerce/convert.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/convert.scm 16 */
							{	/* Coerce/convert.scm 16 */
								obj_t BgL_arg3812z00_1805;

								{	/* Coerce/convert.scm 16 */

									{	/* Coerce/convert.scm 16 */
										obj_t BgL_locationz00_1807;

										BgL_locationz00_1807 = BBOOL(((bool_t) 0));
										{	/* Coerce/convert.scm 16 */

											BgL_arg3812z00_1805 =
												BGl_readz00zz__readerz00(BgL_cportz00_1801,
												BgL_locationz00_1807);
										}
									}
								}
								{	/* Coerce/convert.scm 16 */
									int BgL_auxz00_1829;

									BgL_auxz00_1829 = (int) (BgL_iz00_1802);
									CNST_TABLE_SET(BgL_auxz00_1829, BgL_arg3812z00_1805);
							}}
							{	/* Coerce/convert.scm 16 */
								int BgL_auxz00_1808;

								BgL_auxz00_1808 = (int) ((BgL_iz00_1802 - ((long) 1)));
								{
									long BgL_iz00_1834;

									BgL_iz00_1834 = (long) (BgL_auxz00_1808);
									BgL_iz00_1802 = BgL_iz00_1834;
									goto BgL_loopz00_1803;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* runtime-type-error */
	BGL_EXPORTED_DEF obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t
		BgL_locz00_41, obj_t BgL_tiz00_42, obj_t BgL_valuez00_43)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 69 */
			{

				if (BGl_iszd2azf3z21zz__objectz00(BgL_valuez00_43,
						BGl_nodez00zzast_nodez00))
					{	/* Coerce/convert.scm 104 */
						BgL_nodez00_bglt BgL_auxz00_1838;

						{	/* Coerce/convert.scm 95 */
							obj_t BgL_auxz00_958;

							BgL_auxz00_958 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0)));
							{	/* Coerce/convert.scm 95 */
								BgL_nodez00_bglt BgL_resz00_959;

								{	/* Coerce/convert.scm 97 */
									obj_t BgL_arg3503z00_962;

									{	/* Coerce/convert.scm 97 */
										obj_t BgL_arg3504z00_963;

										obj_t BgL_arg3505z00_964;

										BgL_arg3504z00_963 = CNST_TABLE_REF(((long) 1));
										{	/* Coerce/convert.scm 97 */
											obj_t BgL_arg3506z00_965;

											obj_t BgL_arg3507z00_966;

											{	/* Coerce/convert.scm 97 */
												obj_t BgL_arg3511z00_970;

												{	/* Coerce/convert.scm 97 */
													obj_t BgL_arg3513z00_972;

													obj_t BgL_arg3514z00_973;

													{	/* Coerce/convert.scm 97 */
														obj_t BgL_arg3515z00_974;

														{	/* Coerce/convert.scm 97 */
															obj_t BgL_arg3516z00_975;

															{	/* Coerce/convert.scm 97 */
																obj_t BgL_arg3517z00_976;

																obj_t BgL_arg3518z00_977;

																BgL_arg3517z00_976 =
																	SYMBOL_TO_STRING(BgL_auxz00_958);
																{	/* Coerce/convert.scm 97 */
																	obj_t BgL_symbolz00_1652;

																	BgL_symbolz00_1652 =
																		CNST_TABLE_REF(((long) 2));
																	BgL_arg3518z00_977 =
																		SYMBOL_TO_STRING(BgL_symbolz00_1652);
																}
																{	/* Coerce/convert.scm 97 */
																	obj_t BgL_list3519z00_978;

																	{	/* Coerce/convert.scm 97 */
																		obj_t BgL_arg3520z00_979;

																		BgL_arg3520z00_979 =
																			MAKE_PAIR(BgL_arg3518z00_977, BNIL);
																		BgL_list3519z00_978 =
																			MAKE_PAIR(BgL_arg3517z00_976,
																			BgL_arg3520z00_979);
																	}
																	BgL_arg3516z00_975 =
																		BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																		(BgL_list3519z00_978);
															}}
															BgL_arg3515z00_974 =
																string_to_symbol(BSTRING_TO_STRING
																(BgL_arg3516z00_975));
														}
														BgL_arg3513z00_972 =
															BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
															(BgL_arg3515z00_974);
													}
													{	/* Coerce/convert.scm 97 */
														obj_t BgL_list3521z00_980;

														BgL_list3521z00_980 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3514z00_973 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BUNSPEC, BgL_list3521z00_980);
													}
													BgL_arg3511z00_970 =
														MAKE_PAIR(BgL_arg3513z00_972, BgL_arg3514z00_973);
												}
												BgL_arg3506z00_965 =
													MAKE_PAIR(BgL_arg3511z00_970, BNIL);
											}
											BgL_arg3507z00_966 =
												BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
												(BgL_tiz00_42, BgL_locz00_41, BgL_auxz00_958);
											{	/* Coerce/convert.scm 97 */
												obj_t BgL_list3509z00_968;

												{	/* Coerce/convert.scm 97 */
													obj_t BgL_arg3510z00_969;

													BgL_arg3510z00_969 = MAKE_PAIR(BNIL, BNIL);
													BgL_list3509z00_968 =
														MAKE_PAIR(BgL_arg3507z00_966, BgL_arg3510z00_969);
												}
												BgL_arg3505z00_964 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3506z00_965, BgL_list3509z00_968);
										}}
										BgL_arg3503z00_962 =
											MAKE_PAIR(BgL_arg3504z00_963, BgL_arg3505z00_964);
									}
									BgL_resz00_959 =
										BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
										(BgL_arg3503z00_962, BgL_locz00_41);
								}
								{	/* Coerce/convert.scm 96 */

									{	/* Coerce/convert.scm 101 */
										obj_t BgL_arg3501z00_960;

										{	/* Coerce/convert.scm 101 */
											obj_t BgL_pairz00_1655;

											{
												BgL_letzd2varzd2_bglt BgL_auxz00_1861;

												BgL_auxz00_1861 =
													(BgL_letzd2varzd2_bglt) (BgL_resz00_959);
												BgL_pairz00_1655 =
													(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_1861))->
													BgL_bindingsz00);
											}
											BgL_arg3501z00_960 = CAR(BgL_pairz00_1655);
										}
										SET_CDR(BgL_arg3501z00_960, BgL_valuez00_43);
									}
									BgL_auxz00_1838 = BgL_resz00_959;
						}}}
						return (obj_t) (BgL_auxz00_1838);
					}
				else
					{	/* Coerce/convert.scm 103 */
						return
							BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
							(BgL_tiz00_42, BgL_locz00_41, BgL_valuez00_43);
					}
			}
		}
	}



/* runtime-type-error/id */
	obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t
		BgL_tiz00_1798, obj_t BgL_locz00_1797, obj_t BgL_idz00_981)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 73 */
			{	/* Coerce/convert.scm 74 */
				bool_t BgL_testz00_1868;

				{	/* Coerce/convert.scm 74 */
					bool_t BgL_testz00_1869;

					{	/* Coerce/convert.scm 74 */
						bool_t BgL_testz00_1870;

						if (
							((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >
								((long) 0)))
							{	/* Coerce/convert.scm 75 */
								obj_t BgL_arg3595z00_1051;

								obj_t BgL_arg3596z00_1052;

								BgL_arg3595z00_1051 = CNST_TABLE_REF(((long) 3));
								{	/* Coerce/convert.scm 75 */
									obj_t BgL_arg3597z00_1053;

									BgL_arg3597z00_1053 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									{
										BgL_backendz00_bglt BgL_auxz00_1876;

										BgL_auxz00_1876 =
											(BgL_backendz00_bglt) (BgL_arg3597z00_1053);
										BgL_arg3596z00_1052 =
											(((BgL_backendz00_bglt) CREF(BgL_auxz00_1876))->
											BgL_debugzd2supportzd2);
								}}
								BgL_testz00_1870 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3595z00_1051, BgL_arg3596z00_1052));
							}
						else
							{	/* Coerce/convert.scm 74 */
								BgL_testz00_1870 = ((bool_t) 0);
							}
						if (BgL_testz00_1870)
							{	/* Coerce/convert.scm 74 */
								BgL_testz00_1869 = ((bool_t) 1);
							}
						else
							{	/* Coerce/convert.scm 74 */
								BgL_testz00_1869 =
									(
									(long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >
									((long) 0));
					}}
					if (BgL_testz00_1869)
						{	/* Coerce/convert.scm 74 */
							if (STRUCTP(BgL_locz00_1797))
								{	/* Coerce/convert.scm 77 */
									BgL_testz00_1868 =
										(STRUCT_KEY(BgL_locz00_1797) == CNST_TABLE_REF(((long) 4)));
								}
							else
								{	/* Coerce/convert.scm 77 */
									BgL_testz00_1868 = ((bool_t) 0);
								}
						}
					else
						{	/* Coerce/convert.scm 74 */
							BgL_testz00_1868 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_1868)
					{	/* Coerce/convert.scm 78 */
						obj_t BgL_arg3524z00_984;

						obj_t BgL_arg3525z00_985;

						BgL_arg3524z00_984 = CNST_TABLE_REF(((long) 5));
						{	/* Coerce/convert.scm 79 */
							obj_t BgL_arg3526z00_986;

							obj_t BgL_arg3527z00_987;

							{	/* Coerce/convert.scm 79 */
								obj_t BgL_arg3531z00_991;

								obj_t BgL_arg3532z00_992;

								{	/* Coerce/convert.scm 79 */
									obj_t BgL_arg3533z00_993;

									obj_t BgL_arg3535z00_994;

									BgL_arg3533z00_993 = CNST_TABLE_REF(((long) 6));
									{	/* Coerce/convert.scm 79 */
										obj_t BgL_list3536z00_995;

										{	/* Coerce/convert.scm 79 */
											obj_t BgL_arg3537z00_996;

											obj_t BgL_arg3538z00_997;

											BgL_arg3537z00_996 = CNST_TABLE_REF(((long) 7));
											BgL_arg3538z00_997 = MAKE_PAIR(BNIL, BNIL);
											BgL_list3536z00_995 =
												MAKE_PAIR(BgL_arg3537z00_996, BgL_arg3538z00_997);
										}
										BgL_arg3535z00_994 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF
											(((long) 8)), BgL_list3536z00_995);
									}
									BgL_arg3531z00_991 =
										MAKE_PAIR(BgL_arg3533z00_993, BgL_arg3535z00_994);
								}
								{	/* Coerce/convert.scm 79 */
									obj_t BgL_arg3541z00_998;

									obj_t BgL_arg3542z00_999;

									obj_t BgL_arg3543z00_1000;

									obj_t BgL_arg3545z00_1001;

									{	/* Coerce/convert.scm 79 */
										obj_t BgL_arg3552z00_1008;

										obj_t BgL_arg3553z00_1009;

										BgL_arg3552z00_1008 = CNST_TABLE_REF(((long) 9));
										{	/* Coerce/convert.scm 79 */
											obj_t BgL_arg3554z00_1010;

											BgL_arg3554z00_1010 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/convert.scm 79 */
												obj_t BgL_list3556z00_1012;

												BgL_list3556z00_1012 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3553z00_1009 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3554z00_1010, BgL_list3556z00_1012);
										}}
										BgL_arg3541z00_998 =
											MAKE_PAIR(BgL_arg3552z00_1008, BgL_arg3553z00_1009);
									}
									BgL_arg3542z00_999 = SYMBOL_TO_STRING(BgL_tiz00_1798);
									BgL_arg3543z00_1000 =
										BGl_locationzd2fullzd2fnamez00zztools_locationz00
										(BgL_locz00_1797);
									BgL_arg3545z00_1001 =
										STRUCT_REF(BgL_locz00_1797, (int) (((long) 1)));
									{	/* Coerce/convert.scm 79 */
										obj_t BgL_list3547z00_1003;

										{	/* Coerce/convert.scm 79 */
											obj_t BgL_arg3548z00_1004;

											{	/* Coerce/convert.scm 79 */
												obj_t BgL_arg3549z00_1005;

												{	/* Coerce/convert.scm 79 */
													obj_t BgL_arg3550z00_1006;

													{	/* Coerce/convert.scm 79 */
														obj_t BgL_arg3551z00_1007;

														BgL_arg3551z00_1007 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3550z00_1006 =
															MAKE_PAIR(BgL_arg3545z00_1001,
															BgL_arg3551z00_1007);
													}
													BgL_arg3549z00_1005 =
														MAKE_PAIR(BgL_arg3543z00_1000, BgL_arg3550z00_1006);
												}
												BgL_arg3548z00_1004 =
													MAKE_PAIR(BgL_idz00_981, BgL_arg3549z00_1005);
											}
											BgL_list3547z00_1003 =
												MAKE_PAIR(BgL_arg3542z00_999, BgL_arg3548z00_1004);
										}
										BgL_arg3532z00_992 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3541z00_998, BgL_list3547z00_1003);
								}}
								BgL_arg3526z00_986 =
									MAKE_PAIR(BgL_arg3531z00_991, BgL_arg3532z00_992);
							}
							{	/* Coerce/convert.scm 87 */
								obj_t BgL_arg3557z00_1013;

								obj_t BgL_arg3558z00_1014;

								BgL_arg3557z00_1013 = CNST_TABLE_REF(((long) 10));
								{	/* Coerce/convert.scm 87 */
									obj_t BgL_list3559z00_1015;

									{	/* Coerce/convert.scm 87 */
										obj_t BgL_arg3560z00_1016;

										{	/* Coerce/convert.scm 87 */
											obj_t BgL_arg3561z00_1017;

											BgL_arg3561z00_1017 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg3560z00_1016 =
												MAKE_PAIR(BFALSE, BgL_arg3561z00_1017);
										}
										BgL_list3559z00_1015 =
											MAKE_PAIR(BFALSE, BgL_arg3560z00_1016);
									}
									BgL_arg3558z00_1014 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BFALSE,
										BgL_list3559z00_1015);
								}
								BgL_arg3527z00_987 =
									MAKE_PAIR(BgL_arg3557z00_1013, BgL_arg3558z00_1014);
							}
							{	/* Coerce/convert.scm 78 */
								obj_t BgL_list3529z00_989;

								{	/* Coerce/convert.scm 78 */
									obj_t BgL_arg3530z00_990;

									BgL_arg3530z00_990 = MAKE_PAIR(BNIL, BNIL);
									BgL_list3529z00_989 =
										MAKE_PAIR(BgL_arg3527z00_987, BgL_arg3530z00_990);
								}
								BgL_arg3525z00_985 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3526z00_986, BgL_list3529z00_989);
						}}
						return MAKE_PAIR(BgL_arg3524z00_984, BgL_arg3525z00_985);
					}
				else
					{	/* Coerce/convert.scm 88 */
						obj_t BgL_arg3562z00_1018;

						obj_t BgL_arg3563z00_1019;

						BgL_arg3562z00_1018 = CNST_TABLE_REF(((long) 5));
						{	/* Coerce/convert.scm 89 */
							obj_t BgL_arg3564z00_1020;

							obj_t BgL_arg3565z00_1021;

							{	/* Coerce/convert.scm 89 */
								obj_t BgL_arg3569z00_1025;

								obj_t BgL_arg3570z00_1026;

								{	/* Coerce/convert.scm 89 */
									obj_t BgL_arg3571z00_1027;

									obj_t BgL_arg3572z00_1028;

									BgL_arg3571z00_1027 = CNST_TABLE_REF(((long) 6));
									{	/* Coerce/convert.scm 89 */
										obj_t BgL_list3573z00_1029;

										{	/* Coerce/convert.scm 89 */
											obj_t BgL_arg3574z00_1030;

											obj_t BgL_arg3575z00_1031;

											BgL_arg3574z00_1030 = CNST_TABLE_REF(((long) 7));
											BgL_arg3575z00_1031 = MAKE_PAIR(BNIL, BNIL);
											BgL_list3573z00_1029 =
												MAKE_PAIR(BgL_arg3574z00_1030, BgL_arg3575z00_1031);
										}
										BgL_arg3572z00_1028 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF
											(((long) 11)), BgL_list3573z00_1029);
									}
									BgL_arg3569z00_1025 =
										MAKE_PAIR(BgL_arg3571z00_1027, BgL_arg3572z00_1028);
								}
								{	/* Coerce/convert.scm 89 */
									obj_t BgL_arg3576z00_1032;

									obj_t BgL_arg3577z00_1033;

									{	/* Coerce/convert.scm 89 */
										obj_t BgL_arg3582z00_1038;

										obj_t BgL_arg3583z00_1039;

										BgL_arg3582z00_1038 = CNST_TABLE_REF(((long) 9));
										{	/* Coerce/convert.scm 89 */
											obj_t BgL_arg3584z00_1040;

											BgL_arg3584z00_1040 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/convert.scm 89 */
												obj_t BgL_list3586z00_1042;

												BgL_list3586z00_1042 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3583z00_1039 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3584z00_1040, BgL_list3586z00_1042);
										}}
										BgL_arg3576z00_1032 =
											MAKE_PAIR(BgL_arg3582z00_1038, BgL_arg3583z00_1039);
									}
									BgL_arg3577z00_1033 = SYMBOL_TO_STRING(BgL_tiz00_1798);
									{	/* Coerce/convert.scm 89 */
										obj_t BgL_list3579z00_1035;

										{	/* Coerce/convert.scm 89 */
											obj_t BgL_arg3580z00_1036;

											{	/* Coerce/convert.scm 89 */
												obj_t BgL_arg3581z00_1037;

												BgL_arg3581z00_1037 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3580z00_1036 =
													MAKE_PAIR(BgL_idz00_981, BgL_arg3581z00_1037);
											}
											BgL_list3579z00_1035 =
												MAKE_PAIR(BgL_arg3577z00_1033, BgL_arg3580z00_1036);
										}
										BgL_arg3570z00_1026 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3576z00_1032, BgL_list3579z00_1035);
								}}
								BgL_arg3564z00_1020 =
									MAKE_PAIR(BgL_arg3569z00_1025, BgL_arg3570z00_1026);
							}
							{	/* Coerce/convert.scm 92 */
								obj_t BgL_arg3587z00_1043;

								obj_t BgL_arg3588z00_1044;

								BgL_arg3587z00_1043 = CNST_TABLE_REF(((long) 10));
								{	/* Coerce/convert.scm 92 */
									obj_t BgL_list3589z00_1045;

									{	/* Coerce/convert.scm 92 */
										obj_t BgL_arg3590z00_1046;

										{	/* Coerce/convert.scm 92 */
											obj_t BgL_arg3591z00_1047;

											BgL_arg3591z00_1047 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg3590z00_1046 =
												MAKE_PAIR(BFALSE, BgL_arg3591z00_1047);
										}
										BgL_list3589z00_1045 =
											MAKE_PAIR(BFALSE, BgL_arg3590z00_1046);
									}
									BgL_arg3588z00_1044 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BFALSE,
										BgL_list3589z00_1045);
								}
								BgL_arg3565z00_1021 =
									MAKE_PAIR(BgL_arg3587z00_1043, BgL_arg3588z00_1044);
							}
							{	/* Coerce/convert.scm 88 */
								obj_t BgL_list3567z00_1023;

								{	/* Coerce/convert.scm 88 */
									obj_t BgL_arg3568z00_1024;

									BgL_arg3568z00_1024 = MAKE_PAIR(BNIL, BNIL);
									BgL_list3567z00_1023 =
										MAKE_PAIR(BgL_arg3565z00_1021, BgL_arg3568z00_1024);
								}
								BgL_arg3563z00_1019 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg3564z00_1020, BgL_list3567z00_1023);
						}}
						return MAKE_PAIR(BgL_arg3562z00_1018, BgL_arg3563z00_1019);
					}
			}
		}
	}



/* _runtime-type-error */
	obj_t BGl__runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t BgL_envz00_1788,
		obj_t BgL_locz00_1789, obj_t BgL_tiz00_1790, obj_t BgL_valuez00_1791)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 69 */
			return
				BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_1789,
				BgL_tiz00_1790, BgL_valuez00_1791);
		}
	}



/* convert-error */
	obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_44, BgL_typez00_bglt BgL_toz00_45, obj_t BgL_locz00_46,
		BgL_nodez00_bglt BgL_nodez00_47)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 114 */
			{	/* Coerce/convert.scm 117 */
				bool_t BgL_testz00_1952;

				if (((obj_t) (BgL_toz00_45) == BGl_za2objza2z00zztype_cachez00))
					{	/* Coerce/convert.scm 117 */
						BgL_testz00_1952 = ((bool_t) 0);
					}
				else
					{	/* Coerce/convert.scm 117 */
						BgL_testz00_1952 =
							BGl_subzd2typezf3z21zztype_envz00(BgL_toz00_45,
							(BgL_typez00_bglt) (BGl_za2objza2z00zztype_cachez00));
					}
				if (BgL_testz00_1952)
					{	/* Coerce/convert.scm 117 */
						{	/* Coerce/convert.scm 119 */
							obj_t BgL_arg3600z00_1057;

							BgL_arg3600z00_1057 = BGl_currentzd2functionzd2zztools_errorz00();
							BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_46,
								BgL_arg3600z00_1057, BGl_string3804z00zzcoerce_convertz00,
								BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
								(BGl_string3805z00zzcoerce_convertz00,
									BGl_shapez00zztools_shapez00((obj_t) (BgL_toz00_45)),
									BGl_shapez00zztools_shapez00((obj_t) (BgL_fromz00_44))));
						}
						{	/* Coerce/convert.scm 120 */
							obj_t BgL_arg3601z00_1058;

							{	/* Coerce/convert.scm 120 */
								obj_t BgL_arg3602z00_1059;

								BgL_arg3602z00_1059 =
									(((BgL_typez00_bglt) CREF(BgL_toz00_45))->BgL_idz00);
								BgL_arg3601z00_1058 =
									BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
									(BgL_locz00_46, BgL_arg3602z00_1059,
									(obj_t) (BgL_nodez00_47));
							}
							return
								(obj_t) (BGl_coercez12z12zzcoerce_coercez00(
									(BgL_nodez00_bglt) (BgL_arg3601z00_1058), BUNSPEC,
									BgL_fromz00_44, ((bool_t) 0)));
						}
					}
				else
					{	/* Coerce/convert.scm 124 */
						obj_t BgL_arg3603z00_1060;

						BgL_arg3603z00_1060 = BGl_currentzd2functionzd2zztools_errorz00();
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_46,
							BgL_arg3603z00_1060, BGl_string3804z00zzcoerce_convertz00,
							BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
							(BGl_string3805z00zzcoerce_convertz00,
								BGl_shapez00zztools_shapez00((obj_t) (BgL_toz00_45)),
								BGl_shapez00zztools_shapez00((obj_t) (BgL_fromz00_44))), BNIL);
					}
			}
		}
	}



/* convert! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_48,
		BgL_typez00_bglt BgL_fromz00_49, BgL_typez00_bglt BgL_toz00_50,
		bool_t BgL_safez00_51)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 132 */
			{	/* Coerce/convert.scm 136 */
				BgL_typez00_bglt BgL_toz00_1062;

				BgL_typez00_bglt BgL_fromz00_1063;

				BgL_toz00_1062 =
					BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_50);
				BgL_fromz00_1063 =
					BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_49);
				{	/* Coerce/convert.scm 138 */
					bool_t BgL_testz00_1980;

					if (((obj_t) (BgL_fromz00_1063) == (obj_t) (BgL_toz00_1062)))
						{	/* Coerce/convert.scm 138 */
							BgL_testz00_1980 = ((bool_t) 1);
						}
					else
						{	/* Coerce/convert.scm 138 */
							BgL_testz00_1980 =
								(((BgL_typez00_bglt) CREF(BgL_fromz00_1063))->BgL_magiczf3zf3);
						}
					if (BgL_testz00_1980)
						{	/* Coerce/convert.scm 138 */
							return BgL_nodez00_48;
						}
					else
						{	/* Coerce/convert.scm 140 */
							obj_t BgL_coercerz00_1065;

							obj_t BgL_locz00_1066;

							BgL_coercerz00_1065 =
								BGl_findzd2coercerzd2zztype_coercionz00(BgL_fromz00_1063,
								BgL_toz00_1062);
							BgL_locz00_1066 =
								(((BgL_nodez00_bglt) CREF(BgL_nodez00_48))->BgL_locz00);
							{	/* Coerce/convert.scm 142 */
								bool_t BgL_testz00_1988;

								if (STRUCTP(BgL_coercerz00_1065))
									{	/* Coerce/convert.scm 142 */
										BgL_testz00_1988 =
											(STRUCT_KEY(BgL_coercerz00_1065) ==
											CNST_TABLE_REF(((long) 12)));
									}
								else
									{	/* Coerce/convert.scm 142 */
										BgL_testz00_1988 = ((bool_t) 0);
									}
								if (BgL_testz00_1988)
									{	/* Coerce/convert.scm 146 */
										obj_t BgL_checksz00_1068;

										obj_t BgL_coercesz00_1069;

										BgL_checksz00_1068 =
											STRUCT_REF(BgL_coercerz00_1065, (int) (((long) 2)));
										BgL_coercesz00_1069 =
											STRUCT_REF(BgL_coercerz00_1065, (int) (((long) 3)));
										{
											obj_t BgL_checksz00_1070;

											obj_t BgL_coercesz00_1071;

											obj_t BgL_nodez00_1072;

											{	/* Coerce/convert.scm 151 */
												obj_t BgL_auxz00_1998;

												BgL_checksz00_1070 = BgL_checksz00_1068;
												BgL_coercesz00_1071 = BgL_coercesz00_1069;
												BgL_nodez00_1072 = (obj_t) (BgL_nodez00_48);
											BgL_loopz00_1073:
												if (NULLP(BgL_checksz00_1070))
													{	/* Coerce/convert.scm 155 */
														if (NULLP(BgL_coercesz00_1071))
															{	/* Coerce/convert.scm 156 */
																BgL_auxz00_1998 = BgL_nodez00_1072;
															}
														else
															{	/* Coerce/convert.scm 156 */
																BgL_auxz00_1998 =
																	BGl_internalzd2errorzd2zztools_errorz00
																	(BGl_string3806z00zzcoerce_convertz00,
																	BGl_shapez00zztools_shapez00((obj_t)
																		(BgL_fromz00_1063)),
																	BGl_shapez00zztools_shapez00((obj_t)
																		(BgL_toz00_1062)));
															}
													}
												else
													{	/* Coerce/convert.scm 155 */
														if (NULLP(BgL_coercesz00_1071))
															{	/* Coerce/convert.scm 161 */
																BgL_auxz00_1998 =
																	BGl_internalzd2errorzd2zztools_errorz00
																	(BGl_string3806z00zzcoerce_convertz00,
																	BGl_shapez00zztools_shapez00((obj_t)
																		(BgL_fromz00_1063)),
																	BGl_shapez00zztools_shapez00((obj_t)
																		(BgL_toz00_1062)));
															}
														else
															{
																obj_t BgL_nodez00_2019;

																obj_t BgL_coercesz00_2017;

																obj_t BgL_checksz00_2015;

																BgL_checksz00_2015 = CDR(BgL_checksz00_1070);
																BgL_coercesz00_2017 = CDR(BgL_coercesz00_1071);
																BgL_nodez00_2019 =
																	BGl_makezd2onezd2conversionz00zzcoerce_convertz00
																	(CAR(BgL_checksz00_1070), BgL_fromz00_1063,
																	BgL_toz00_1062, CAR(BgL_checksz00_1070),
																	CAR(BgL_coercesz00_1071), BgL_nodez00_1072,
																	BgL_safez00_51);
																BgL_nodez00_1072 = BgL_nodez00_2019;
																BgL_coercesz00_1071 = BgL_coercesz00_2017;
																BgL_checksz00_1070 = BgL_checksz00_2015;
																goto BgL_loopz00_1073;
															}
													}
												return (BgL_nodez00_bglt) (BgL_auxz00_1998);
											}
										}
									}
								else
									{	/* Coerce/convert.scm 142 */
										return
											(BgL_nodez00_bglt)
											(BGl_convertzd2errorzd2zzcoerce_convertz00
											(BgL_fromz00_1063, BgL_toz00_1062, BgL_locz00_1066,
												BgL_nodez00_48));
									}
							}
						}
				}
			}
		}
	}



/* _convert! */
	obj_t BGl__convertz12z12zzcoerce_convertz00(obj_t BgL_envz00_1792,
		obj_t BgL_nodez00_1793, obj_t BgL_fromz00_1794, obj_t BgL_toz00_1795,
		obj_t BgL_safez00_1796)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 132 */
			return
				(obj_t) (BGl_convertz12z12zzcoerce_convertz00(
					(BgL_nodez00_bglt) (BgL_nodez00_1793),
					(BgL_typez00_bglt) (BgL_fromz00_1794),
					(BgL_typez00_bglt) (BgL_toz00_1795), CBOOL(BgL_safez00_1796)));
		}
	}



/* make-one-conversion */
	obj_t BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t
		BgL_idzd2fromzd2_52, BgL_typez00_bglt BgL_fromz00_53,
		BgL_typez00_bglt BgL_toz00_54, obj_t BgL_checkopz00_55,
		obj_t BgL_coerceopz00_56, obj_t BgL_nodez00_57, bool_t BgL_safez00_58)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 185 */
			{	/* Coerce/convert.scm 186 */
				bool_t BgL_testz00_2034;

				if (NULLP(BgL_checkopz00_55))
					{	/* Coerce/convert.scm 186 */
						BgL_testz00_2034 = ((bool_t) 1);
					}
				else
					{	/* Coerce/convert.scm 186 */
						if (BgL_safez00_58)
							{	/* Coerce/convert.scm 186 */
								BgL_testz00_2034 = ((bool_t) 0);
							}
						else
							{	/* Coerce/convert.scm 186 */
								BgL_testz00_2034 = ((bool_t) 1);
							}
					}
				if (BgL_testz00_2034)
					{	/* Coerce/convert.scm 186 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coerceopz00_56,
							BgL_nodez00_57, BgL_fromz00_53);
					}
				else
					{	/* Coerce/convert.scm 188 */
						bool_t BgL_testz00_2039;

						{	/* Coerce/convert.scm 188 */
							obj_t BgL_obj3255z00_1719;

							BgL_obj3255z00_1719 = (obj_t) (BgL_fromz00_53);
							BgL_testz00_2039 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj3255z00_1719,
								BGl_tclassz00zzobject_classz00);
						}
						if (BgL_testz00_2039)
							{	/* Coerce/convert.scm 188 */
								return
									BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00
									(BgL_idzd2fromzd2_52, BgL_fromz00_53, BgL_toz00_54,
									BgL_checkopz00_55, BgL_coerceopz00_56, BgL_nodez00_57);
							}
						else
							{	/* Coerce/convert.scm 188 */
								return
									(obj_t)
									(BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00
									(BgL_idzd2fromzd2_52, BgL_fromz00_53, BgL_toz00_54,
										BgL_checkopz00_55, BgL_coerceopz00_56, BgL_nodez00_57));
							}
					}
			}
		}
	}



/* skip-let-var */
	BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt
		BgL_nodez00_59)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 195 */
		BGl_skipzd2letzd2varz00zzcoerce_convertz00:
			{	/* Coerce/convert.scm 196 */
				bool_t BgL_testz00_2045;

				{	/* Coerce/convert.scm 196 */
					obj_t BgL_obj3062z00_1720;

					BgL_obj3062z00_1720 = (obj_t) (BgL_nodez00_59);
					BgL_testz00_2045 =
						BGl_iszd2azf3z21zz__objectz00(BgL_obj3062z00_1720,
						BGl_letzd2varzd2zzast_nodez00);
				}
				if (BgL_testz00_2045)
					{
						BgL_nodez00_bglt BgL_nodez00_2048;

						{
							BgL_letzd2varzd2_bglt BgL_auxz00_2049;

							BgL_auxz00_2049 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_59);
							BgL_nodez00_2048 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_2049))->BgL_bodyz00);
						}
						BgL_nodez00_59 = BgL_nodez00_2048;
						goto BGl_skipzd2letzd2varz00zzcoerce_convertz00;
					}
				else
					{	/* Coerce/convert.scm 196 */
						return BgL_nodez00_59;
					}
			}
		}
	}



/* make-one-type-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_idzd2fromzd2_60, BgL_typez00_bglt BgL_fromz00_61,
		BgL_typez00_bglt BgL_toz00_62, obj_t BgL_checkzd2opzd2_63,
		obj_t BgL_coercezd2opzd2_64, obj_t BgL_nodez00_65)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 203 */
			{	/* Coerce/convert.scm 204 */
				obj_t BgL_auxz00_1095;

				BgL_auxz00_1095 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0))));
				{	/* Coerce/convert.scm 204 */
					obj_t BgL_locz00_1096;

					{
						BgL_nodez00_bglt BgL_auxz00_2055;

						BgL_auxz00_2055 = (BgL_nodez00_bglt) (BgL_nodez00_65);
						BgL_locz00_1096 =
							(((BgL_nodez00_bglt) CREF(BgL_auxz00_2055))->BgL_locz00);
					}
					{	/* Coerce/convert.scm 205 */
						BgL_nodez00_bglt BgL_lnodez00_1097;

						{	/* Coerce/convert.scm 212 */
							obj_t BgL_arg3635z00_1108;

							{	/* Coerce/convert.scm 212 */
								obj_t BgL_arg3636z00_1109;

								obj_t BgL_arg3637z00_1110;

								BgL_arg3636z00_1109 = CNST_TABLE_REF(((long) 1));
								{	/* Coerce/convert.scm 213 */
									obj_t BgL_arg3638z00_1111;

									obj_t BgL_arg3639z00_1112;

									{	/* Coerce/convert.scm 213 */
										obj_t BgL_arg3643z00_1116;

										{	/* Coerce/convert.scm 213 */
											obj_t BgL_arg3645z00_1118;

											obj_t BgL_arg3646z00_1119;

											{	/* Coerce/convert.scm 213 */
												obj_t BgL_arg3647z00_1120;

												{	/* Coerce/convert.scm 213 */
													obj_t BgL_arg3648z00_1121;

													BgL_arg3648z00_1121 =
														(((BgL_typez00_bglt) CREF(BgL_fromz00_61))->
														BgL_idz00);
													BgL_arg3647z00_1120 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_auxz00_1095, BgL_arg3648z00_1121);
												}
												BgL_arg3645z00_1118 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg3647z00_1120);
											}
											{	/* Coerce/convert.scm 212 */
												obj_t BgL_list3649z00_1122;

												BgL_list3649z00_1122 = MAKE_PAIR(BNIL, BNIL);
												BgL_arg3646z00_1119 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BUNSPEC,
													BgL_list3649z00_1122);
											}
											BgL_arg3643z00_1116 =
												MAKE_PAIR(BgL_arg3645z00_1118, BgL_arg3646z00_1119);
										}
										BgL_arg3638z00_1111 = MAKE_PAIR(BgL_arg3643z00_1116, BNIL);
									}
									{	/* Coerce/convert.scm 215 */
										obj_t BgL_arg3650z00_1123;

										obj_t BgL_arg3651z00_1124;

										BgL_arg3650z00_1123 = CNST_TABLE_REF(((long) 13));
										{	/* Coerce/convert.scm 215 */
											obj_t BgL_arg3652z00_1125;

											obj_t BgL_arg3653z00_1126;

											{	/* Coerce/convert.scm 215 */
												obj_t BgL_arg3658z00_1131;

												{	/* Coerce/convert.scm 215 */
													obj_t BgL_list3659z00_1132;

													BgL_list3659z00_1132 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg3658z00_1131 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_auxz00_1095, BgL_list3659z00_1132);
												}
												BgL_arg3652z00_1125 =
													MAKE_PAIR(BgL_checkzd2opzd2_63, BgL_arg3658z00_1131);
											}
											{	/* Coerce/convert.scm 217 */
												obj_t BgL_arg3660z00_1133;

												BgL_arg3660z00_1133 =
													(((BgL_typez00_bglt) CREF(BgL_toz00_62))->BgL_idz00);
												BgL_arg3653z00_1126 =
													BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
													(BgL_locz00_1096, BgL_arg3660z00_1133,
													BgL_auxz00_1095);
											}
											{	/* Coerce/convert.scm 215 */
												obj_t BgL_list3655z00_1128;

												{	/* Coerce/convert.scm 215 */
													obj_t BgL_arg3656z00_1129;

													{	/* Coerce/convert.scm 215 */
														obj_t BgL_arg3657z00_1130;

														BgL_arg3657z00_1130 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg3656z00_1129 =
															MAKE_PAIR(BgL_arg3653z00_1126,
															BgL_arg3657z00_1130);
													}
													BgL_list3655z00_1128 =
														MAKE_PAIR(BgL_auxz00_1095, BgL_arg3656z00_1129);
												}
												BgL_arg3651z00_1124 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg3652z00_1125, BgL_list3655z00_1128);
										}}
										BgL_arg3639z00_1112 =
											MAKE_PAIR(BgL_arg3650z00_1123, BgL_arg3651z00_1124);
									}
									{	/* Coerce/convert.scm 212 */
										obj_t BgL_list3641z00_1114;

										{	/* Coerce/convert.scm 212 */
											obj_t BgL_arg3642z00_1115;

											BgL_arg3642z00_1115 = MAKE_PAIR(BNIL, BNIL);
											BgL_list3641z00_1114 =
												MAKE_PAIR(BgL_arg3639z00_1112, BgL_arg3642z00_1115);
										}
										BgL_arg3637z00_1110 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg3638z00_1111, BgL_list3641z00_1114);
								}}
								BgL_arg3635z00_1108 =
									MAKE_PAIR(BgL_arg3636z00_1109, BgL_arg3637z00_1110);
							}
							BgL_lnodez00_1097 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg3635z00_1108, BgL_locz00_1096);
						}
						{	/* Coerce/convert.scm 206 */

							BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1097);
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_lnodez00_1097);
							{	/* Coerce/convert.scm 221 */
								obj_t BgL_varz00_1098;

								{	/* Coerce/convert.scm 221 */
									obj_t BgL_pairz00_1727;

									{	/* Coerce/convert.scm 221 */
										obj_t BgL_pairz00_1726;

										{
											BgL_letzd2varzd2_bglt BgL_auxz00_2084;

											BgL_auxz00_2084 =
												(BgL_letzd2varzd2_bglt) (BgL_lnodez00_1097);
											BgL_pairz00_1726 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_2084))->
												BgL_bindingsz00);
										}
										BgL_pairz00_1727 = CAR(BgL_pairz00_1726);
									}
									BgL_varz00_1098 = CAR(BgL_pairz00_1727);
								}
								{	/* Coerce/convert.scm 221 */
									obj_t BgL_coercezd2appzd2_1099;

									{	/* Coerce/convert.scm 223 */
										BgL_varz00_bglt BgL_arg3632z00_1105;

										BgL_arg3632z00_1105 =
											BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1096,
											BgL_fromz00_61, (BgL_variablez00_bglt) (BgL_varz00_1098));
										BgL_coercezd2appzd2_1099 =
											BGl_dozd2convertzd2zzcoerce_convertz00
											(BgL_coercezd2opzd2_64, (obj_t) (BgL_arg3632z00_1105),
											BgL_fromz00_61);
									}
									{	/* Coerce/convert.scm 222 */
										BgL_nodez00_bglt BgL_condnz00_1100;

										BgL_condnz00_1100 =
											BGl_skipzd2letzd2varz00zzcoerce_convertz00
											(BgL_lnodez00_1097);
										{	/* Coerce/convert.scm 228 */

											{
												BgL_variablez00_bglt BgL_auxz00_2094;

												BgL_auxz00_2094 =
													(BgL_variablez00_bglt) (BgL_varz00_1098);
												((((BgL_variablez00_bglt) CREF(BgL_auxz00_2094))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_fromz00_61), BUNSPEC);
											}
											{	/* Coerce/convert.scm 232 */
												obj_t BgL_arg3628z00_1101;

												{	/* Coerce/convert.scm 232 */
													obj_t BgL_pairz00_1731;

													{
														BgL_letzd2varzd2_bglt BgL_auxz00_2097;

														BgL_auxz00_2097 =
															(BgL_letzd2varzd2_bglt) (BgL_lnodez00_1097);
														BgL_pairz00_1731 =
															(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_2097))->
															BgL_bindingsz00);
													}
													BgL_arg3628z00_1101 = CAR(BgL_pairz00_1731);
												}
												SET_CDR(BgL_arg3628z00_1101, BgL_nodez00_65);
											}
											{
												BgL_nodez00_bglt BgL_auxz00_2104;

												BgL_conditionalz00_bglt BgL_auxz00_2102;

												BgL_auxz00_2104 =
													(BgL_nodez00_bglt) (BgL_coercezd2appzd2_1099);
												BgL_auxz00_2102 =
													(BgL_conditionalz00_bglt) (BgL_condnz00_1100);
												((((BgL_conditionalz00_bglt) CREF(BgL_auxz00_2102))->
														BgL_truez00) =
													((BgL_nodez00_bglt) BgL_auxz00_2104), BUNSPEC);
											}
											{	/* Coerce/convert.scm 235 */
												BgL_nodez00_bglt BgL_arg3630z00_1103;

												{	/* Coerce/convert.scm 235 */
													BgL_nodez00_bglt BgL_arg3631z00_1104;

													{
														BgL_conditionalz00_bglt BgL_auxz00_2107;

														BgL_auxz00_2107 =
															(BgL_conditionalz00_bglt) (BgL_condnz00_1100);
														BgL_arg3631z00_1104 =
															(((BgL_conditionalz00_bglt)
																CREF(BgL_auxz00_2107))->BgL_falsez00);
													}
													BgL_arg3630z00_1103 =
														BGl_coercez12z12zzcoerce_coercez00
														(BgL_arg3631z00_1104, BUNSPEC, BgL_fromz00_61,
														((bool_t) 0));
												}
												{
													BgL_conditionalz00_bglt BgL_auxz00_2111;

													BgL_auxz00_2111 =
														(BgL_conditionalz00_bglt) (BgL_condnz00_1100);
													((((BgL_conditionalz00_bglt) CREF(BgL_auxz00_2111))->
															BgL_falsez00) =
														((BgL_nodez00_bglt) BgL_arg3630z00_1103), BUNSPEC);
											}}
											return BgL_lnodez00_1097;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-one-class-conversion */
	obj_t BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_idzd2fromzd2_66, BgL_typez00_bglt BgL_fromz00_67,
		BgL_typez00_bglt BgL_toz00_68, obj_t BgL_checkzd2opzd2_69,
		obj_t BgL_coercezd2opzd2_70, obj_t BgL_nodez00_71)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 244 */
			{	/* Coerce/convert.scm 245 */
				bool_t BgL_testz00_2114;

				{	/* Coerce/convert.scm 245 */
					bool_t BgL_testz00_2115;

					{	/* Coerce/convert.scm 245 */
						obj_t BgL_obj3255z00_1739;

						BgL_obj3255z00_1739 = (obj_t) (BgL_toz00_68);
						BgL_testz00_2115 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj3255z00_1739,
							BGl_tclassz00zzobject_classz00);
					}
					if (BgL_testz00_2115)
						{	/* Coerce/convert.scm 245 */
							BgL_testz00_2114 =
								BGl_typezd2subclasszf3z21zzobject_classz00(BgL_fromz00_67,
								BgL_toz00_68);
						}
					else
						{	/* Coerce/convert.scm 245 */
							BgL_testz00_2114 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_2114)
					{	/* Coerce/convert.scm 245 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_70,
							BgL_nodez00_71, BgL_fromz00_67);
					}
				else
					{	/* Coerce/convert.scm 247 */
						obj_t BgL_auxz00_1136;

						BgL_auxz00_1136 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0)));
						{	/* Coerce/convert.scm 247 */
							obj_t BgL_aux2z00_1137;

							BgL_aux2z00_1137 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 14)));
							{	/* Coerce/convert.scm 248 */
								obj_t BgL_locz00_1138;

								{
									BgL_nodez00_bglt BgL_auxz00_2124;

									BgL_auxz00_2124 = (BgL_nodez00_bglt) (BgL_nodez00_71);
									BgL_locz00_1138 =
										(((BgL_nodez00_bglt) CREF(BgL_auxz00_2124))->BgL_locz00);
								}
								{	/* Coerce/convert.scm 249 */
									BgL_nodez00_bglt BgL_lnodez00_1139;

									{	/* Coerce/convert.scm 251 */
										obj_t BgL_arg3674z00_1155;

										{	/* Coerce/convert.scm 251 */
											obj_t BgL_arg3675z00_1156;

											obj_t BgL_arg3676z00_1157;

											BgL_arg3675z00_1156 = CNST_TABLE_REF(((long) 1));
											{	/* Coerce/convert.scm 252 */
												obj_t BgL_arg3677z00_1158;

												obj_t BgL_arg3678z00_1159;

												{	/* Coerce/convert.scm 252 */
													obj_t BgL_arg3683z00_1163;

													{	/* Coerce/convert.scm 252 */
														obj_t BgL_arg3685z00_1165;

														obj_t BgL_arg3686z00_1166;

														{	/* Coerce/convert.scm 252 */
															obj_t BgL_arg3687z00_1167;

															{	/* Coerce/convert.scm 252 */
																obj_t BgL_arg3688z00_1168;

																{	/* Coerce/convert.scm 252 */
																	obj_t BgL_arg3689z00_1169;

																	obj_t BgL_arg3690z00_1170;

																	BgL_arg3689z00_1169 =
																		SYMBOL_TO_STRING(BgL_auxz00_1136);
																	{	/* Coerce/convert.scm 252 */
																		obj_t BgL_symbolz00_1742;

																		BgL_symbolz00_1742 =
																			CNST_TABLE_REF(((long) 2));
																		BgL_arg3690z00_1170 =
																			SYMBOL_TO_STRING(BgL_symbolz00_1742);
																	}
																	{	/* Coerce/convert.scm 252 */
																		obj_t BgL_list3691z00_1171;

																		{	/* Coerce/convert.scm 252 */
																			obj_t BgL_arg3692z00_1172;

																			BgL_arg3692z00_1172 =
																				MAKE_PAIR(BgL_arg3690z00_1170, BNIL);
																			BgL_list3691z00_1171 =
																				MAKE_PAIR(BgL_arg3689z00_1169,
																				BgL_arg3692z00_1172);
																		}
																		BgL_arg3688z00_1168 =
																			BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																			(BgL_list3691z00_1171);
																}}
																BgL_arg3687z00_1167 =
																	string_to_symbol(BSTRING_TO_STRING
																	(BgL_arg3688z00_1168));
															}
															BgL_arg3685z00_1165 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BgL_arg3687z00_1167);
														}
														{	/* Coerce/convert.scm 251 */
															obj_t BgL_list3693z00_1173;

															BgL_list3693z00_1173 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg3686z00_1166 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BUNSPEC, BgL_list3693z00_1173);
														}
														BgL_arg3683z00_1163 =
															MAKE_PAIR(BgL_arg3685z00_1165,
															BgL_arg3686z00_1166);
													}
													BgL_arg3677z00_1158 =
														MAKE_PAIR(BgL_arg3683z00_1163, BNIL);
												}
												{	/* Coerce/convert.scm 253 */
													obj_t BgL_arg3694z00_1174;

													obj_t BgL_arg3695z00_1175;

													BgL_arg3694z00_1174 = CNST_TABLE_REF(((long) 1));
													{	/* Coerce/convert.scm 254 */
														obj_t BgL_arg3696z00_1176;

														obj_t BgL_arg3697z00_1177;

														{	/* Coerce/convert.scm 254 */
															obj_t BgL_arg3701z00_1181;

															{	/* Coerce/convert.scm 254 */
																obj_t BgL_arg3703z00_1183;

																obj_t BgL_arg3704z00_1184;

																{	/* Coerce/convert.scm 254 */
																	obj_t BgL_arg3705z00_1185;

																	{	/* Coerce/convert.scm 254 */
																		obj_t BgL_arg3706z00_1186;

																		{	/* Coerce/convert.scm 254 */
																			obj_t BgL_arg3707z00_1187;

																			obj_t BgL_arg3708z00_1188;

																			BgL_arg3707z00_1187 =
																				SYMBOL_TO_STRING(BgL_aux2z00_1137);
																			{	/* Coerce/convert.scm 254 */
																				obj_t BgL_symbolz00_1745;

																				BgL_symbolz00_1745 =
																					CNST_TABLE_REF(((long) 2));
																				BgL_arg3708z00_1188 =
																					SYMBOL_TO_STRING(BgL_symbolz00_1745);
																			}
																			{	/* Coerce/convert.scm 254 */
																				obj_t BgL_list3709z00_1189;

																				{	/* Coerce/convert.scm 254 */
																					obj_t BgL_arg3710z00_1190;

																					BgL_arg3710z00_1190 =
																						MAKE_PAIR(BgL_arg3708z00_1188,
																						BNIL);
																					BgL_list3709z00_1189 =
																						MAKE_PAIR(BgL_arg3707z00_1187,
																						BgL_arg3710z00_1190);
																				}
																				BgL_arg3706z00_1186 =
																					BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																					(BgL_list3709z00_1189);
																		}}
																		BgL_arg3705z00_1185 =
																			string_to_symbol(BSTRING_TO_STRING
																			(BgL_arg3706z00_1186));
																	}
																	BgL_arg3703z00_1183 =
																		BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																		(BgL_arg3705z00_1185);
																}
																{	/* Coerce/convert.scm 253 */
																	obj_t BgL_list3711z00_1191;

																	BgL_list3711z00_1191 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg3704z00_1184 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BUNSPEC, BgL_list3711z00_1191);
																}
																BgL_arg3701z00_1181 =
																	MAKE_PAIR(BgL_arg3703z00_1183,
																	BgL_arg3704z00_1184);
															}
															BgL_arg3696z00_1176 =
																MAKE_PAIR(BgL_arg3701z00_1181, BNIL);
														}
														{	/* Coerce/convert.scm 255 */
															obj_t BgL_arg3712z00_1192;

															obj_t BgL_arg3713z00_1193;

															BgL_arg3712z00_1192 = CNST_TABLE_REF(((long) 13));
															{	/* Coerce/convert.scm 255 */
																obj_t BgL_arg3714z00_1194;

																obj_t BgL_arg3715z00_1195;

																{	/* Coerce/convert.scm 255 */
																	obj_t BgL_arg3720z00_1200;

																	{	/* Coerce/convert.scm 255 */
																		obj_t BgL_list3721z00_1201;

																		BgL_list3721z00_1201 =
																			MAKE_PAIR(BNIL, BNIL);
																		BgL_arg3720z00_1200 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_aux2z00_1137, BgL_list3721z00_1201);
																	}
																	BgL_arg3714z00_1194 =
																		MAKE_PAIR(BgL_checkzd2opzd2_69,
																		BgL_arg3720z00_1200);
																}
																{	/* Coerce/convert.scm 257 */
																	obj_t BgL_arg3722z00_1202;

																	BgL_arg3722z00_1202 =
																		(((BgL_typez00_bglt) CREF(BgL_toz00_68))->
																		BgL_idz00);
																	BgL_arg3715z00_1195 =
																		BGl_runtimezd2typezd2errorz00zzcoerce_convertz00
																		(BgL_locz00_1138, BgL_arg3722z00_1202,
																		BgL_auxz00_1136);
																}
																{	/* Coerce/convert.scm 255 */
																	obj_t BgL_list3717z00_1197;

																	{	/* Coerce/convert.scm 255 */
																		obj_t BgL_arg3718z00_1198;

																		{	/* Coerce/convert.scm 255 */
																			obj_t BgL_arg3719z00_1199;

																			BgL_arg3719z00_1199 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg3718z00_1198 =
																				MAKE_PAIR(BgL_arg3715z00_1195,
																				BgL_arg3719z00_1199);
																		}
																		BgL_list3717z00_1197 =
																			MAKE_PAIR(BgL_auxz00_1136,
																			BgL_arg3718z00_1198);
																	}
																	BgL_arg3713z00_1193 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg3714z00_1194, BgL_list3717z00_1197);
															}}
															BgL_arg3697z00_1177 =
																MAKE_PAIR(BgL_arg3712z00_1192,
																BgL_arg3713z00_1193);
														}
														{	/* Coerce/convert.scm 253 */
															obj_t BgL_list3699z00_1179;

															{	/* Coerce/convert.scm 253 */
																obj_t BgL_arg3700z00_1180;

																BgL_arg3700z00_1180 = MAKE_PAIR(BNIL, BNIL);
																BgL_list3699z00_1179 =
																	MAKE_PAIR(BgL_arg3697z00_1177,
																	BgL_arg3700z00_1180);
															}
															BgL_arg3695z00_1175 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg3696z00_1176, BgL_list3699z00_1179);
													}}
													BgL_arg3678z00_1159 =
														MAKE_PAIR(BgL_arg3694z00_1174, BgL_arg3695z00_1175);
												}
												{	/* Coerce/convert.scm 251 */
													obj_t BgL_list3680z00_1161;

													{	/* Coerce/convert.scm 251 */
														obj_t BgL_arg3682z00_1162;

														BgL_arg3682z00_1162 = MAKE_PAIR(BNIL, BNIL);
														BgL_list3680z00_1161 =
															MAKE_PAIR(BgL_arg3678z00_1159,
															BgL_arg3682z00_1162);
													}
													BgL_arg3676z00_1157 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg3677z00_1158, BgL_list3680z00_1161);
											}}
											BgL_arg3674z00_1155 =
												MAKE_PAIR(BgL_arg3675z00_1156, BgL_arg3676z00_1157);
										}
										BgL_lnodez00_1139 =
											BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
											(BgL_arg3674z00_1155, BgL_locz00_1138);
									}
									{	/* Coerce/convert.scm 250 */

										BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1139);
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
											(BgL_lnodez00_1139);
										{	/* Coerce/convert.scm 261 */
											obj_t BgL_varz00_1140;

											{	/* Coerce/convert.scm 261 */
												obj_t BgL_pairz00_1750;

												{	/* Coerce/convert.scm 261 */
													obj_t BgL_pairz00_1749;

													{
														BgL_letzd2varzd2_bglt BgL_auxz00_2177;

														BgL_auxz00_2177 =
															(BgL_letzd2varzd2_bglt) (BgL_lnodez00_1139);
														BgL_pairz00_1749 =
															(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_2177))->
															BgL_bindingsz00);
													}
													BgL_pairz00_1750 = CAR(BgL_pairz00_1749);
												}
												BgL_varz00_1140 = CAR(BgL_pairz00_1750);
											}
											{	/* Coerce/convert.scm 261 */
												obj_t BgL_coercezd2appzd2_1141;

												{	/* Coerce/convert.scm 263 */
													BgL_varz00_bglt BgL_arg3671z00_1152;

													BgL_arg3671z00_1152 =
														BGl_makezd2varzd2zzast_nodez00(BgL_locz00_1138,
														BgL_fromz00_67,
														(BgL_variablez00_bglt) (BgL_varz00_1140));
													BgL_coercezd2appzd2_1141 =
														BGl_dozd2convertzd2zzcoerce_convertz00
														(BgL_coercezd2opzd2_70,
														(obj_t) (BgL_arg3671z00_1152), BgL_fromz00_67);
												}
												{	/* Coerce/convert.scm 262 */
													BgL_nodez00_bglt BgL_condnz00_1142;

													BgL_condnz00_1142 =
														BGl_skipzd2letzd2varz00zzcoerce_convertz00
														(BgL_lnodez00_1139);
													{	/* Coerce/convert.scm 268 */

														{
															BgL_variablez00_bglt BgL_auxz00_2187;

															BgL_auxz00_2187 =
																(BgL_variablez00_bglt) (BgL_varz00_1140);
															((((BgL_variablez00_bglt) CREF(BgL_auxz00_2187))->
																	BgL_typez00) =
																((BgL_typez00_bglt) BgL_fromz00_67), BUNSPEC);
														}
														{	/* Coerce/convert.scm 272 */
															obj_t BgL_arg3663z00_1143;

															{	/* Coerce/convert.scm 272 */
																obj_t BgL_pairz00_1754;

																{
																	BgL_letzd2varzd2_bglt BgL_auxz00_2190;

																	BgL_auxz00_2190 =
																		(BgL_letzd2varzd2_bglt) (BgL_lnodez00_1139);
																	BgL_pairz00_1754 =
																		(((BgL_letzd2varzd2_bglt)
																			CREF(BgL_auxz00_2190))->BgL_bindingsz00);
																}
																BgL_arg3663z00_1143 = CAR(BgL_pairz00_1754);
															}
															SET_CDR(BgL_arg3663z00_1143, BgL_nodez00_71);
														}
														{	/* Coerce/convert.scm 273 */
															obj_t BgL_binding2z00_1145;

															{	/* Coerce/convert.scm 273 */
																obj_t BgL_pairz00_1759;

																{	/* Coerce/convert.scm 273 */
																	BgL_letzd2varzd2_bglt BgL_obj3029z00_1758;

																	{	/* Coerce/convert.scm 273 */
																		BgL_letzd2varzd2_bglt BgL_obj3032z00_1757;

																		BgL_obj3032z00_1757 =
																			(BgL_letzd2varzd2_bglt)
																			(BgL_lnodez00_1139);
																		BgL_obj3029z00_1758 =
																			(BgL_letzd2varzd2_bglt) (((
																					(BgL_letzd2varzd2_bglt)
																					CREF(BgL_obj3032z00_1757))->
																				BgL_bodyz00));
																	}
																	BgL_pairz00_1759 =
																		(((BgL_letzd2varzd2_bglt)
																			CREF(BgL_obj3029z00_1758))->
																		BgL_bindingsz00);
																}
																BgL_binding2z00_1145 = CAR(BgL_pairz00_1759);
															}
															{	/* Coerce/convert.scm 277 */
																BgL_castz00_bglt BgL_arg3665z00_1146;

																{	/* Coerce/convert.scm 277 */
																	BgL_varz00_bglt BgL_arg3666z00_1147;

																	BgL_arg3666z00_1147 =
																		BGl_makezd2varzd2zzast_nodez00
																		(BgL_locz00_1138, BgL_fromz00_67,
																		(BgL_variablez00_bglt) (BgL_varz00_1140));
																	BgL_arg3665z00_1146 =
																		BGl_makezd2castzd2zzast_nodez00
																		(BgL_locz00_1138,
																		(BgL_typez00_bglt)
																		(BGl_za2objza2z00zztype_cachez00),
																		(BgL_nodez00_bglt) (BgL_arg3666z00_1147));
																}
																{	/* Coerce/convert.scm 274 */
																	obj_t BgL_auxz00_2205;

																	BgL_auxz00_2205 =
																		(obj_t) (BgL_arg3665z00_1146);
																	SET_CDR(BgL_binding2z00_1145,
																		BgL_auxz00_2205);
														}}}
														{
															BgL_nodez00_bglt BgL_auxz00_2210;

															BgL_conditionalz00_bglt BgL_auxz00_2208;

															BgL_auxz00_2210 =
																(BgL_nodez00_bglt) (BgL_coercezd2appzd2_1141);
															BgL_auxz00_2208 =
																(BgL_conditionalz00_bglt) (BgL_condnz00_1142);
															((((BgL_conditionalz00_bglt)
																		CREF(BgL_auxz00_2208))->BgL_truez00) =
																((BgL_nodez00_bglt) BgL_auxz00_2210), BUNSPEC);
														}
														{	/* Coerce/convert.scm 283 */
															BgL_nodez00_bglt BgL_arg3669z00_1150;

															{	/* Coerce/convert.scm 283 */
																BgL_nodez00_bglt BgL_arg3670z00_1151;

																{
																	BgL_conditionalz00_bglt BgL_auxz00_2213;

																	BgL_auxz00_2213 =
																		(BgL_conditionalz00_bglt)
																		(BgL_condnz00_1142);
																	BgL_arg3670z00_1151 =
																		(((BgL_conditionalz00_bglt)
																			CREF(BgL_auxz00_2213))->BgL_falsez00);
																}
																BgL_arg3669z00_1150 =
																	BGl_coercez12z12zzcoerce_coercez00
																	(BgL_arg3670z00_1151, BUNSPEC, BgL_fromz00_67,
																	((bool_t) 0));
															}
															{
																BgL_conditionalz00_bglt BgL_auxz00_2217;

																BgL_auxz00_2217 =
																	(BgL_conditionalz00_bglt) (BgL_condnz00_1142);
																((((BgL_conditionalz00_bglt)
																			CREF(BgL_auxz00_2217))->BgL_falsez00) =
																	((BgL_nodez00_bglt) BgL_arg3669z00_1150),
																	BUNSPEC);
														}}
														return (obj_t) (BgL_lnodez00_1139);
													}
												}
											}
										}
									}
								}
							}
						}
					}
			}
		}
	}



/* do-convert */
	obj_t BGl_dozd2convertzd2zzcoerce_convertz00(obj_t BgL_coercezd2opzd2_72,
		obj_t BgL_nodez00_73, BgL_typez00_bglt BgL_fromz00_74)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 292 */
			if (NULLP(BgL_coercezd2opzd2_72))
				{	/* Coerce/convert.scm 295 */
					return BgL_nodez00_73;
				}
			else
				{	/* Coerce/convert.scm 297 */
					BgL_nodez00_bglt BgL_nnodez00_1205;

					{	/* Coerce/convert.scm 297 */
						obj_t BgL_arg3742z00_1224;

						obj_t BgL_arg3743z00_1225;

						{	/* Coerce/convert.scm 297 */
							obj_t BgL_arg3744z00_1226;

							{	/* Coerce/convert.scm 297 */
								obj_t BgL_list3745z00_1227;

								BgL_list3745z00_1227 = MAKE_PAIR(BNIL, BNIL);
								BgL_arg3744z00_1226 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BUNSPEC,
									BgL_list3745z00_1227);
							}
							BgL_arg3742z00_1224 =
								MAKE_PAIR(BgL_coercezd2opzd2_72, BgL_arg3744z00_1226);
						}
						{
							BgL_nodez00_bglt BgL_auxz00_2226;

							BgL_auxz00_2226 = (BgL_nodez00_bglt) (BgL_nodez00_73);
							BgL_arg3743z00_1225 =
								(((BgL_nodez00_bglt) CREF(BgL_auxz00_2226))->BgL_locz00);
						}
						BgL_nnodez00_1205 =
							BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
							(BgL_arg3742z00_1224, BgL_arg3743z00_1225);
					}
					{	/* Coerce/convert.scm 297 */

						{
							BgL_nodez00_bglt BgL_auxz00_2230;

							BgL_auxz00_2230 = (BgL_nodez00_bglt) (BgL_nodez00_73);
							((((BgL_nodez00_bglt) CREF(BgL_auxz00_2230))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_fromz00_74), BUNSPEC);
						}
						BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
							(BgL_nnodez00_1205);
						{	/* Coerce/convert.scm 311 */
							bool_t BgL_testz00_2234;

							{	/* Coerce/convert.scm 311 */
								obj_t BgL_obj2235z00_1771;

								BgL_obj2235z00_1771 = (obj_t) (BgL_nnodez00_1205);
								BgL_testz00_2234 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj2235z00_1771,
									BGl_appz00zzast_nodez00);
							}
							if (BgL_testz00_2234)
								{	/* Coerce/convert.scm 311 */
									{	/* Coerce/convert.scm 312 */
										obj_t BgL_arg3726z00_1207;

										{	/* Coerce/convert.scm 312 */
											obj_t BgL_list3727z00_1208;

											BgL_list3727z00_1208 = MAKE_PAIR(BgL_nodez00_73, BNIL);
											BgL_arg3726z00_1207 = BgL_list3727z00_1208;
										}
										{
											BgL_appz00_bglt BgL_auxz00_2238;

											BgL_auxz00_2238 = (BgL_appz00_bglt) (BgL_nnodez00_1205);
											((((BgL_appz00_bglt) CREF(BgL_auxz00_2238))->
													BgL_argsz00) =
												((obj_t) BgL_arg3726z00_1207), BUNSPEC);
										}
									}
									return (obj_t) (BgL_nnodez00_1205);
								}
							else
								{	/* Coerce/convert.scm 314 */
									bool_t BgL_testz00_2242;

									{	/* Coerce/convert.scm 314 */
										obj_t BgL_obj3062z00_1776;

										BgL_obj3062z00_1776 = (obj_t) (BgL_nnodez00_1205);
										BgL_testz00_2242 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj3062z00_1776,
											BGl_letzd2varzd2zzast_nodez00);
									}
									if (BgL_testz00_2242)
										{	/* Coerce/convert.scm 315 */
											obj_t BgL_bdgsz00_1210;

											{
												BgL_letzd2varzd2_bglt BgL_auxz00_2245;

												BgL_auxz00_2245 =
													(BgL_letzd2varzd2_bglt) (BgL_nnodez00_1205);
												BgL_bdgsz00_1210 =
													(((BgL_letzd2varzd2_bglt) CREF(BgL_auxz00_2245))->
													BgL_bindingsz00);
											}
											{	/* Coerce/convert.scm 316 */
												bool_t BgL_testz00_2248;

												if (NULLP(BgL_bdgsz00_1210))
													{	/* Coerce/convert.scm 316 */
														BgL_testz00_2248 = ((bool_t) 1);
													}
												else
													{	/* Coerce/convert.scm 316 */
														if (NULLP(CDR(BgL_bdgsz00_1210)))
															{	/* Coerce/convert.scm 316 */
																BgL_testz00_2248 = ((bool_t) 0);
															}
														else
															{	/* Coerce/convert.scm 316 */
																BgL_testz00_2248 = ((bool_t) 1);
															}
													}
												if (BgL_testz00_2248)
													{	/* Coerce/convert.scm 316 */
														return
															BGl_internalzd2errorzd2zztools_errorz00
															(BGl_string3807z00zzcoerce_convertz00,
															BGl_string3808z00zzcoerce_convertz00,
															BGl_shapez00zztools_shapez00
															(BgL_coercezd2opzd2_72));
													}
												else
													{	/* Coerce/convert.scm 316 */
														{	/* Coerce/convert.scm 321 */
															obj_t BgL_arg3733z00_1215;

															BgL_arg3733z00_1215 = CAR(CAR(BgL_bdgsz00_1210));
															{
																BgL_variablez00_bglt BgL_auxz00_2258;

																BgL_auxz00_2258 =
																	(BgL_variablez00_bglt) (BgL_arg3733z00_1215);
																((((BgL_variablez00_bglt)
																			CREF(BgL_auxz00_2258))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_fromz00_74), BUNSPEC);
															}
														}
														{	/* Coerce/convert.scm 322 */
															obj_t BgL_auxz00_2261;

															BgL_auxz00_2261 = CAR(BgL_bdgsz00_1210);
															SET_CDR(BgL_auxz00_2261, BgL_nodez00_73);
														}
														return (obj_t) (BgL_nnodez00_1205);
													}
											}
										}
									else
										{	/* Coerce/convert.scm 314 */
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string3807z00zzcoerce_convertz00,
												BGl_string3808z00zzcoerce_convertz00,
												BGl_shapez00zztools_shapez00(BgL_coercezd2opzd2_72));
										}
								}
						}
					}
				}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 451733024),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 341705556),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 77938009),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 498901618),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 387636515),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 476444243),
				BSTRING_TO_STRING(BGl_string3809z00zzcoerce_convertz00));
		}
	}

#ifdef __cplusplus
}
#endif
