/*===========================================================================*/
/*   (Effect/walk.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
	extern obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00;
	extern obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t);
	static obj_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzeffect_walkz00();
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__effectzd2walkz12zc0zzeffect_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__writezd2effectzd2zzeffect_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_walkz00();
	BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_walkz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33327ze3z83zzeffect_walkz00(obj_t);
	extern obj_t BGl_localzf2fromzf2zzeffect_cgraphz00;
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
	extern obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t,
		bool_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_feffectz00zzast_varz00;
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t);
	static obj_t __cnst[4];


	extern obj_t BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2effectzd2envz00zzeffect_walkz00,
		BgL_bgl__writeza7d2effectza73453z00, BGl__writezd2effectzd2zzeffect_walkz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_effectzd2walkz12zd2envz12zzeffect_walkz00,
		BgL_bgl__effectza7d2walkza713454z00,
		BGl__effectzd2walkz12zc0zzeffect_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string3430z00zzeffect_walkz00,
		BgL_bgl_string3430za700za7za7e3455za7, "Effect", 6);
	      DEFINE_STRING(BGl_string3431z00zzeffect_walkz00,
		BgL_bgl_string3431za700za7za7e3456za7, "   . ", 5);
	      DEFINE_STRING(BGl_string3432z00zzeffect_walkz00,
		BgL_bgl_string3432za700za7za7e3457za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string3433z00zzeffect_walkz00,
		BgL_bgl_string3433za700za7za7e3458za7, " error", 6);
	      DEFINE_STRING(BGl_string3434z00zzeffect_walkz00,
		BgL_bgl_string3434za700za7za7e3459za7, "s", 1);
	      DEFINE_STRING(BGl_string3435z00zzeffect_walkz00,
		BgL_bgl_string3435za700za7za7e3460za7, "", 0);
	      DEFINE_STRING(BGl_string3436z00zzeffect_walkz00,
		BgL_bgl_string3436za700za7za7e3461za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string3437z00zzeffect_walkz00,
		BgL_bgl_string3437za700za7za7e3462za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string3438z00zzeffect_walkz00,
		BgL_bgl_string3438za700za7za7e3463za7, ".sch", 4);
	      DEFINE_STRING(BGl_string3440z00zzeffect_walkz00,
		BgL_bgl_string3440za700za7za7e3464za7, "Can't open output file", 22);
	      DEFINE_STRING(BGl_string3439z00zzeffect_walkz00,
		BgL_bgl_string3439za700za7za7e3465za7, "write-effect", 12);
	      DEFINE_STRING(BGl_string3441z00zzeffect_walkz00,
		BgL_bgl_string3441za700za7za7e3466za7, " (effect", 8);
	      DEFINE_STRING(BGl_string3442z00zzeffect_walkz00,
		BgL_bgl_string3442za700za7za7e3467za7, "   (", 4);
	      DEFINE_STRING(BGl_string3443z00zzeffect_walkz00,
		BgL_bgl_string3443za700za7za7e3468za7, ")", 1);
	      DEFINE_STRING(BGl_string3444z00zzeffect_walkz00,
		BgL_bgl_string3444za700za7za7e3469za7, " (read ", 7);
	      DEFINE_STRING(BGl_string3445z00zzeffect_walkz00,
		BgL_bgl_string3445za700za7za7e3470za7, " (write ", 8);
	      DEFINE_STRING(BGl_string3446z00zzeffect_walkz00,
		BgL_bgl_string3446za700za7za7e3471za7, "))", 2);
	      DEFINE_STRING(BGl_string3447z00zzeffect_walkz00,
		BgL_bgl_string3447za700za7za7e3472za7, "(directives\n (pragma\n", 21);
	      DEFINE_STRING(BGl_string3448z00zzeffect_walkz00,
		BgL_bgl_string3448za700za7za7e3473za7, " ))\n", 4);
	      DEFINE_STRING(BGl_string3450z00zzeffect_walkz00,
		BgL_bgl_string3450za700za7za7e3474za7,
		"top done (reset-effect-tables!) pass-started ", 45);
	      DEFINE_STRING(BGl_string3449z00zzeffect_walkz00,
		BgL_bgl_string3449za700za7za7e3475za7, "effect_walk", 11);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long
		BgL_checksumz00_1361, char *BgL_fromz00_1362)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
					BGl_cnstzd2initzd2zzeffect_walkz00();
					BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "effect_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			{	/* Effect/walk.scm 15 */
				obj_t BgL_cportz00_1353;

				BgL_cportz00_1353 =
					bgl_open_input_string(BGl_string3450z00zzeffect_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1354;

					BgL_iz00_1354 = ((long) 3);
				BgL_loopz00_1355:
					if ((BgL_iz00_1354 == ((long) -1)))
						{	/* Effect/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/walk.scm 15 */
							{	/* Effect/walk.scm 15 */
								obj_t BgL_arg3452z00_1357;

								{	/* Effect/walk.scm 15 */

									{	/* Effect/walk.scm 15 */
										obj_t BgL_locationz00_1359;

										BgL_locationz00_1359 = BBOOL(((bool_t) 0));
										{	/* Effect/walk.scm 15 */

											BgL_arg3452z00_1357 =
												BGl_readz00zz__readerz00(BgL_cportz00_1353,
												BgL_locationz00_1359);
										}
									}
								}
								{	/* Effect/walk.scm 15 */
									int BgL_auxz00_1384;

									BgL_auxz00_1384 = (int) (BgL_iz00_1354);
									CNST_TABLE_SET(BgL_auxz00_1384, BgL_arg3452z00_1357);
							}}
							{	/* Effect/walk.scm 15 */
								int BgL_auxz00_1360;

								BgL_auxz00_1360 = (int) ((BgL_iz00_1354 - ((long) 1)));
								{
									long BgL_iz00_1389;

									BgL_iz00_1389 = (long) (BgL_auxz00_1360);
									BgL_iz00_1354 = BgL_iz00_1389;
									goto BgL_loopz00_1355;
								}
							}
						}
				}
			}
		}
	}



/* effect-walk! */
	BGL_EXPORTED_DEF obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t
		BgL_globalsz00_1, bool_t BgL_feffectz00_2)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 33 */
			{	/* Effect/walk.scm 34 */
				obj_t BgL_list3273z00_736;

				{	/* Effect/walk.scm 34 */
					obj_t BgL_arg3275z00_738;

					{	/* Effect/walk.scm 34 */
						obj_t BgL_arg3277z00_740;

						BgL_arg3277z00_740 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg3275z00_738 =
							MAKE_PAIR(BGl_string3430z00zzeffect_walkz00, BgL_arg3277z00_740);
					}
					BgL_list3273z00_736 =
						MAKE_PAIR(BGl_string3431z00zzeffect_walkz00, BgL_arg3275z00_738);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list3273z00_736);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string3430z00zzeffect_walkz00;
			{
				obj_t BgL_hooksz00_743;

				obj_t BgL_hnamesz00_744;

				BgL_hooksz00_743 = BNIL;
				BgL_hnamesz00_744 = BNIL;
			BgL_loopz00_745:
				if (NULLP(BgL_hooksz00_743))
					{	/* Effect/walk.scm 34 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Effect/walk.scm 34 */
						bool_t BgL_testz00_1401;

						{	/* Effect/walk.scm 34 */
							obj_t BgL_fun3286z00_753;

							BgL_fun3286z00_753 = CAR(BgL_hooksz00_743);
							BgL_testz00_1401 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun3286z00_753) (BgL_fun3286z00_753,
									BEOA));
						}
						if (BgL_testz00_1401)
							{
								obj_t BgL_hnamesz00_1408;

								obj_t BgL_hooksz00_1406;

								BgL_hooksz00_1406 = CDR(BgL_hooksz00_743);
								BgL_hnamesz00_1408 = CDR(BgL_hnamesz00_744);
								BgL_hnamesz00_744 = BgL_hnamesz00_1408;
								BgL_hooksz00_743 = BgL_hooksz00_1406;
								goto BgL_loopz00_745;
							}
						else
							{	/* Effect/walk.scm 34 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string3430z00zzeffect_walkz00,
									BGl_string3432z00zzeffect_walkz00, CAR(BgL_hnamesz00_744));
							}
					}
			}
			{
				obj_t BgL_l3257z00_755;

				BgL_l3257z00_755 = BgL_globalsz00_1;
			BgL_forzd2each3259zd2_756:
				if (PAIRP(BgL_l3257z00_755))
					{	/* Effect/walk.scm 37 */
						{	/* Effect/walk.scm 38 */
							obj_t BgL_globalz00_758;

							BgL_globalz00_758 = CAR(BgL_l3257z00_755);
							BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
								(BgL_variablez00_bglt) (BgL_globalz00_758));
						}
						{
							obj_t BgL_l3257z00_1417;

							BgL_l3257z00_1417 = CDR(BgL_l3257z00_755);
							BgL_l3257z00_755 = BgL_l3257z00_1417;
							goto BgL_forzd2each3259zd2_756;
						}
					}
				else
					{	/* Effect/walk.scm 37 */
						((bool_t) 1);
					}
			}
			BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
				(BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00());
			{	/* Effect/walk.scm 44 */
				obj_t BgL_g3263z00_761;

				BgL_g3263z00_761 = BGl_getzd2varzf2allz20zzeffect_cgraphz00();
				{
					obj_t BgL_l3260z00_762;

					BgL_l3260z00_762 = BgL_g3263z00_761;
				BgL_forzd2each3262zd2_763:
					if (PAIRP(BgL_l3260z00_762))
						{	/* Effect/walk.scm 44 */
							{	/* Effect/walk.scm 45 */
								obj_t BgL_varz00_765;

								BgL_varz00_765 = CAR(BgL_l3260z00_762);
								{	/* Effect/walk.scm 45 */
									BgL_valuez00_bglt BgL_funz00_766;

									{
										BgL_variablez00_bglt BgL_auxz00_1425;

										BgL_auxz00_1425 = (BgL_variablez00_bglt) (BgL_varz00_765);
										BgL_funz00_766 =
											(((BgL_variablez00_bglt) CREF(BgL_auxz00_1425))->
											BgL_valuez00);
									}
									{	/* Effect/walk.scm 46 */
										bool_t BgL_testz00_1428;

										{	/* Effect/walk.scm 46 */
											obj_t BgL_auxz00_1429;

											{
												BgL_funz00_bglt BgL_auxz00_1430;

												BgL_auxz00_1430 = (BgL_funz00_bglt) (BgL_funz00_766);
												BgL_auxz00_1429 =
													(((BgL_funz00_bglt) CREF(BgL_auxz00_1430))->
													BgL_sidezd2effectzf3z21);
											}
											BgL_testz00_1428 = (BgL_auxz00_1429 == BUNSPEC);
										}
										if (BgL_testz00_1428)
											{
												BgL_funz00_bglt BgL_auxz00_1434;

												BgL_auxz00_1434 = (BgL_funz00_bglt) (BgL_funz00_766);
												((((BgL_funz00_bglt) CREF(BgL_auxz00_1434))->
														BgL_sidezd2effectzf3z21) =
													((obj_t) BFALSE), BUNSPEC);
											}
										else
											{	/* Effect/walk.scm 46 */
												BFALSE;
											}
									}
								}
							}
							{
								obj_t BgL_l3260z00_1437;

								BgL_l3260z00_1437 = CDR(BgL_l3260z00_762);
								BgL_l3260z00_762 = BgL_l3260z00_1437;
								goto BgL_forzd2each3262zd2_763;
							}
						}
					else
						{	/* Effect/walk.scm 44 */
							((bool_t) 1);
						}
				}
			}
			{
				obj_t BgL_l3264z00_770;

				BgL_l3264z00_770 = BgL_globalsz00_1;
			BgL_forzd2each3265zd2_771:
				if (PAIRP(BgL_l3264z00_770))
					{	/* Effect/walk.scm 51 */
						{	/* Effect/walk.scm 52 */
							obj_t BgL_globalz00_773;

							BgL_globalz00_773 = CAR(BgL_l3264z00_770);
							{	/* Effect/walk.scm 52 */
								obj_t BgL_arg3296z00_774;

								{	/* Effect/walk.scm 52 */
									BgL_sfunz00_bglt BgL_obj1758z00_1275;

									{	/* Effect/walk.scm 52 */
										BgL_variablez00_bglt BgL_obj1486z00_1274;

										BgL_obj1486z00_1274 =
											(BgL_variablez00_bglt) (BgL_globalz00_773);
										BgL_obj1758z00_1275 =
											(BgL_sfunz00_bglt) (
											(((BgL_variablez00_bglt) CREF(BgL_obj1486z00_1274))->
												BgL_valuez00));
									}
									BgL_arg3296z00_774 =
										(((BgL_sfunz00_bglt) CREF(BgL_obj1758z00_1275))->
										BgL_bodyz00);
								}
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(
									(BgL_nodez00_bglt) (BgL_arg3296z00_774));
							}
						}
						{
							obj_t BgL_l3264z00_1448;

							BgL_l3264z00_1448 = CDR(BgL_l3264z00_770);
							BgL_l3264z00_770 = BgL_l3264z00_1448;
							goto BgL_forzd2each3265zd2_771;
						}
					}
				else
					{	/* Effect/walk.scm 51 */
						((bool_t) 1);
					}
			}
			if (BgL_feffectz00_2)
				{	/* Effect/walk.scm 57 */
					BGl_feffectz12z12zzeffect_feffectz00(BgL_globalsz00_1);
				}
			else
				{	/* Effect/walk.scm 57 */
					BFALSE;
				}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Effect/walk.scm 60 */
					{	/* Effect/walk.scm 60 */
						obj_t BgL_port3266z00_779;

						{	/* Effect/walk.scm 60 */
							obj_t BgL_res3423z00_1280;

							{	/* Effect/walk.scm 60 */
								obj_t BgL_auxz00_1455;

								BgL_auxz00_1455 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res3423z00_1280 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1455);
							}
							BgL_port3266z00_779 = BgL_res3423z00_1280;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port3266z00_779);
						bgl_display_string(BGl_string3433z00zzeffect_walkz00,
							BgL_port3266z00_779);
						{	/* Effect/walk.scm 60 */
							obj_t BgL_arg3300z00_780;

							{	/* Effect/walk.scm 60 */
								bool_t BgL_testz00_1460;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Effect/walk.scm 60 */
										BgL_testz00_1460 =
											BGl_2ze3ze3zz__r4_numbers_6_5z00
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
											BINT(((long) 1)));
									}
								else
									{	/* Effect/walk.scm 60 */
										BgL_testz00_1460 = ((bool_t) 0);
									}
								if (BgL_testz00_1460)
									{	/* Effect/walk.scm 60 */
										BgL_arg3300z00_780 = BGl_string3434z00zzeffect_walkz00;
									}
								else
									{	/* Effect/walk.scm 60 */
										BgL_arg3300z00_780 = BGl_string3435z00zzeffect_walkz00;
									}
							}
							bgl_display_obj(BgL_arg3300z00_780, BgL_port3266z00_779);
						}
						bgl_display_string(BGl_string3436z00zzeffect_walkz00,
							BgL_port3266z00_779);
						bgl_display_char(((unsigned char) '\n'), BgL_port3266z00_779);
					}
					{	/* Effect/walk.scm 60 */
						obj_t BgL_list3303z00_783;

						BgL_list3303z00_783 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list3303z00_783);
					}
				}
			else
				{	/* Effect/walk.scm 60 */
					obj_t BgL_g3250z00_784;

					obj_t BgL_g3251z00_785;

					{	/* Effect/walk.scm 60 */
						obj_t BgL_list3311z00_796;

						BgL_list3311z00_796 =
							MAKE_PAIR
							(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00, BNIL);
						BgL_g3250z00_784 = BgL_list3311z00_796;
					}
					BgL_g3251z00_785 = CNST_TABLE_REF(((long) 1));
					{
						obj_t BgL_hooksz00_786;

						obj_t BgL_hnamesz00_787;

						BgL_hooksz00_786 = BgL_g3250z00_784;
						BgL_hnamesz00_787 = BgL_g3251z00_785;
					BgL_loopz00_788:
						if (NULLP(BgL_hooksz00_786))
							{	/* Effect/walk.scm 60 */
								return BgL_globalsz00_1;
							}
						else
							{	/* Effect/walk.scm 60 */
								bool_t BgL_testz00_1475;

								{	/* Effect/walk.scm 60 */
									obj_t BgL_fun3310z00_795;

									BgL_fun3310z00_795 = CAR(BgL_hooksz00_786);
									BgL_testz00_1475 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun3310z00_795)
										(BgL_fun3310z00_795, BEOA));
								}
								if (BgL_testz00_1475)
									{
										obj_t BgL_hnamesz00_1482;

										obj_t BgL_hooksz00_1480;

										BgL_hooksz00_1480 = CDR(BgL_hooksz00_786);
										BgL_hnamesz00_1482 = CDR(BgL_hnamesz00_787);
										BgL_hnamesz00_787 = BgL_hnamesz00_1482;
										BgL_hooksz00_786 = BgL_hooksz00_1480;
										goto BgL_loopz00_788;
									}
								else
									{	/* Effect/walk.scm 60 */
										obj_t BgL_arg3309z00_794;

										BgL_arg3309z00_794 = CAR(BgL_hnamesz00_787);
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string3437z00zzeffect_walkz00, BgL_arg3309z00_794);
									}
							}
					}
				}
		}
	}



/* _effect-walk! */
	obj_t BGl__effectzd2walkz12zc0zzeffect_walkz00(obj_t BgL_envz00_1346,
		obj_t BgL_globalsz00_1347, obj_t BgL_feffectz00_1348)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 33 */
			return
				BGl_effectzd2walkz12zc0zzeffect_walkz00(BgL_globalsz00_1347,
				CBOOL(BgL_feffectz00_1348));
		}
	}



/* iterate-to-fix-point! */
	obj_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t BgL_wz00_3)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 65 */
			if (NULLP(BgL_wz00_3))
				{	/* Effect/walk.scm 66 */
					return CNST_TABLE_REF(((long) 2));
				}
			else
				{
					obj_t BgL_l3267z00_798;

					{	/* Effect/walk.scm 68 */
						bool_t BgL_auxz00_1491;

						BgL_l3267z00_798 = BgL_wz00_3;
					BgL_forzd2each3269zd2_799:
						if (PAIRP(BgL_l3267z00_798))
							{	/* Effect/walk.scm 68 */
								{	/* Effect/walk.scm 70 */
									obj_t BgL_varz00_801;

									BgL_varz00_801 = CAR(BgL_l3267z00_798);
									{	/* Effect/walk.scm 70 */
										BgL_valuez00_bglt BgL_funz00_802;

										{
											BgL_variablez00_bglt BgL_auxz00_1495;

											BgL_auxz00_1495 = (BgL_variablez00_bglt) (BgL_varz00_801);
											BgL_funz00_802 =
												(((BgL_variablez00_bglt) CREF(BgL_auxz00_1495))->
												BgL_valuez00);
										}
										{	/* Effect/walk.scm 71 */
											bool_t BgL_testz00_1498;

											{	/* Effect/walk.scm 71 */
												obj_t BgL_auxz00_1499;

												{
													BgL_funz00_bglt BgL_auxz00_1500;

													BgL_auxz00_1500 = (BgL_funz00_bglt) (BgL_funz00_802);
													BgL_auxz00_1499 =
														(((BgL_funz00_bglt) CREF(BgL_auxz00_1500))->
														BgL_sidezd2effectzf3z21);
												}
												BgL_testz00_1498 = (BgL_auxz00_1499 == BTRUE);
											}
											if (BgL_testz00_1498)
												{	/* Effect/walk.scm 71 */
													BFALSE;
												}
											else
												{	/* Effect/walk.scm 71 */
													{
														BgL_funz00_bglt BgL_auxz00_1504;

														BgL_auxz00_1504 =
															(BgL_funz00_bglt) (BgL_funz00_802);
														((((BgL_funz00_bglt) CREF(BgL_auxz00_1504))->
																BgL_sidezd2effectzf3z21) =
															((obj_t) BTRUE), BUNSPEC);
													}
													if (BGl_iszd2azf3z21zz__objectz00(BgL_varz00_801,
															BGl_localzf2fromzf2zzeffect_cgraphz00))
														{	/* Effect/walk.scm 76 */
															obj_t BgL_arg3316z00_805;

															{	/* Effect/walk.scm 76 */
																BgL_localzf2fromzf2_bglt BgL_obj3133z00_1301;

																BgL_obj3133z00_1301 =
																	(BgL_localzf2fromzf2_bglt) (BgL_varz00_801);
																{
																	obj_t BgL_auxz00_1510;

																	{	/* Effect/walk.scm 76 */
																		BgL_objectz00_bglt BgL_auxz00_1511;

																		BgL_auxz00_1511 =
																			(BgL_objectz00_bglt)
																			(BgL_obj3133z00_1301);
																		BgL_auxz00_1510 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_1511);
																	}
																	BgL_arg3316z00_805 =
																		(((BgL_localzf2fromzf2_bglt)
																			CREF(BgL_auxz00_1510))->BgL_fromz00);
																}
															}
															BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
																(BgL_arg3316z00_805);
														}
													else
														{	/* Effect/walk.scm 75 */
															if (BGl_iszd2azf3z21zz__objectz00(BgL_varz00_801,
																	BGl_globalzf2fromzf2zzeffect_cgraphz00))
																{	/* Effect/walk.scm 78 */
																	obj_t BgL_arg3318z00_807;

																	{	/* Effect/walk.scm 78 */
																		BgL_globalzf2fromzf2_bglt
																			BgL_obj3188z00_1303;
																		BgL_obj3188z00_1303 =
																			(BgL_globalzf2fromzf2_bglt)
																			(BgL_varz00_801);
																		{
																			obj_t BgL_auxz00_1519;

																			{	/* Effect/walk.scm 78 */
																				BgL_objectz00_bglt BgL_auxz00_1520;

																				BgL_auxz00_1520 =
																					(BgL_objectz00_bglt)
																					(BgL_obj3188z00_1303);
																				BgL_auxz00_1519 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_1520);
																			}
																			BgL_arg3318z00_807 =
																				(((BgL_globalzf2fromzf2_bglt)
																					CREF(BgL_auxz00_1519))->BgL_fromz00);
																		}
																	}
																	BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
																		(BgL_arg3318z00_807);
																}
															else
																{	/* Effect/walk.scm 77 */
																	BFALSE;
																}
														}
												}
										}
									}
								}
								{
									obj_t BgL_l3267z00_1525;

									BgL_l3267z00_1525 = CDR(BgL_l3267z00_798);
									BgL_l3267z00_798 = BgL_l3267z00_1525;
									goto BgL_forzd2each3269zd2_799;
								}
							}
						else
							{	/* Effect/walk.scm 68 */
								BgL_auxz00_1491 = ((bool_t) 1);
							}
						return BBOOL(BgL_auxz00_1491);
					}
				}
		}
	}



/* write-effect */
	BGL_EXPORTED_DEF obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t
		BgL_globalsz00_4)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 84 */
			{	/* Effect/walk.scm 95 */
				obj_t BgL_onamez00_811;

				if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
					{	/* Effect/walk.scm 95 */
						BgL_onamez00_811 = BGl_za2destza2z00zzengine_paramz00;
					}
				else
					{	/* Effect/walk.scm 97 */
						bool_t BgL_testz00_1530;

						if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
							{	/* Effect/walk.scm 97 */
								obj_t BgL_auxz00_1533;

								BgL_auxz00_1533 =
									CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
								BgL_testz00_1530 = STRINGP(BgL_auxz00_1533);
							}
						else
							{	/* Effect/walk.scm 97 */
								BgL_testz00_1530 = ((bool_t) 0);
							}
						if (BgL_testz00_1530)
							{	/* Effect/walk.scm 97 */
								BgL_onamez00_811 =
									string_append(BGl_prefixz00zz__osz00(CAR
										(BGl_za2srczd2filesza2zd2zzengine_paramz00)),
									BGl_string3438z00zzeffect_walkz00);
							}
						else
							{	/* Effect/walk.scm 97 */
								BgL_onamez00_811 = BFALSE;
							}
					}
				{	/* Effect/walk.scm 95 */
					obj_t BgL_portz00_812;

					if (STRINGP(BgL_onamez00_811))
						{	/* Effect/walk.scm 101 */

							BgL_portz00_812 =
								BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
								(BgL_onamez00_811, BTRUE);
						}
					else
						{	/* Effect/walk.scm 102 */
							obj_t BgL_res3425z00_1312;

							{	/* Effect/walk.scm 102 */
								obj_t BgL_auxz00_1542;

								BgL_auxz00_1542 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res3425z00_1312 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1542);
							}
							BgL_portz00_812 = BgL_res3425z00_1312;
						}
					{	/* Effect/walk.scm 100 */

						if (OUTPUT_PORTP(BgL_portz00_812))
							{	/* Effect/walk.scm 105 */
								obj_t BgL_val3254z00_814;

								BgL_val3254z00_814 =
									BGl_zc3exitza33327ze3z83zzeffect_walkz00(BgL_globalsz00_4);
								{	/* Effect/walk.scm 110 */
									bool_t BgL_testz00_1548;

									{	/* Effect/walk.scm 110 */
										obj_t BgL_arg3323z00_816;

										{	/* Effect/walk.scm 110 */
											obj_t BgL_res3428z00_1326;

											{	/* Effect/walk.scm 110 */
												obj_t BgL_auxz00_1549;

												BgL_auxz00_1549 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res3428z00_1326 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1549);
											}
											BgL_arg3323z00_816 = BgL_res3428z00_1326;
										}
										BgL_testz00_1548 = (BgL_portz00_812 == BgL_arg3323z00_816);
									}
									if (BgL_testz00_1548)
										{	/* Effect/walk.scm 110 */
											BFALSE;
										}
									else
										{	/* Effect/walk.scm 110 */
											bgl_close_output_port(BgL_portz00_812);
										}
								}
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val3254z00_814)))
									{	/* Effect/walk.scm 110 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val3254z00_814), CDR(BgL_val3254z00_814));
									}
								else
									{	/* Effect/walk.scm 110 */
										return BgL_val3254z00_814;
									}
							}
						else
							{	/* Effect/walk.scm 103 */
								return
									BGl_errorz00zz__errorz00(BGl_string3439z00zzeffect_walkz00,
									BGl_string3440z00zzeffect_walkz00, BgL_onamez00_811);
							}
					}
				}
			}
		}
	}



/* <exit:3327> */
	obj_t BGl_zc3exitza33327ze3z83zzeffect_walkz00(obj_t BgL_globalsz00_1352)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 110 */
			{
				obj_t BgL_gz00_842;

				jmp_buf_t jmpbuf;

				void *BgL_an_exit3255z00_821;

				{
					BGL_STORE_TRACE();
					if (SET_EXIT(BgL_an_exit3255z00_821))
						{
							BGL_RESTORE_TRACE();
							return _exit_value_;
						}
					else
						{
							BgL_an_exit3255z00_821 = (void *) jmpbuf;
							{	/* Effect/walk.scm 110 */

								PUSH_EXIT(BgL_an_exit3255z00_821, ((long) 0));
								{	/* Effect/walk.scm 108 */
									obj_t BgL_val3256z00_822;

									{	/* Effect/walk.scm 107 */
										obj_t BgL_arg3329z00_824;

										{	/* Effect/walk.scm 107 */
											obj_t BgL_res3426z00_1315;

											{	/* Effect/walk.scm 107 */
												obj_t BgL_auxz00_1564;

												BgL_auxz00_1564 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res3426z00_1315 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1564);
											}
											BgL_arg3329z00_824 = BgL_res3426z00_1315;
										}
										bgl_display_string(BGl_string3447z00zzeffect_walkz00,
											BgL_arg3329z00_824);
									}
									{
										obj_t BgL_l3271z00_825;

										BgL_l3271z00_825 = BgL_globalsz00_1352;
									BgL_forzd2each3272zd2_826:
										if (PAIRP(BgL_l3271z00_825))
											{	/* Effect/walk.scm 108 */
												BgL_gz00_842 = CAR(BgL_l3271z00_825);
												{	/* Effect/walk.scm 86 */
													obj_t BgL_fez00_844;

													{	/* Effect/walk.scm 86 */
														BgL_funz00_bglt BgL_obj1704z00_1331;

														{	/* Effect/walk.scm 86 */
															BgL_variablez00_bglt BgL_obj1486z00_1330;

															BgL_obj1486z00_1330 =
																(BgL_variablez00_bglt) (BgL_gz00_842);
															BgL_obj1704z00_1331 =
																(BgL_funz00_bglt) (
																(((BgL_variablez00_bglt)
																		CREF(BgL_obj1486z00_1330))->BgL_valuez00));
														}
														BgL_fez00_844 =
															(((BgL_funz00_bglt) CREF(BgL_obj1704z00_1331))->
															BgL_effectz00);
													}
													if (BGl_iszd2azf3z21zz__objectz00(BgL_fez00_844,
															BGl_feffectz00zzast_varz00))
														{	/* Effect/walk.scm 89 */
															bool_t BgL_testz00_1576;

															{	/* Effect/walk.scm 89 */
																bool_t BgL_testz00_1577;

																{	/* Effect/walk.scm 89 */
																	obj_t BgL_auxz00_1578;

																	{
																		BgL_feffectz00_bglt BgL_auxz00_1579;

																		BgL_auxz00_1579 =
																			(BgL_feffectz00_bglt) (BgL_fez00_844);
																		BgL_auxz00_1578 =
																			(((BgL_feffectz00_bglt)
																				CREF(BgL_auxz00_1579))->BgL_readz00);
																	}
																	BgL_testz00_1577 =
																		(BgL_auxz00_1578 ==
																		CNST_TABLE_REF(((long) 3)));
																}
																if (BgL_testz00_1577)
																	{	/* Effect/walk.scm 89 */
																		obj_t BgL_auxz00_1584;

																		{
																			BgL_feffectz00_bglt BgL_auxz00_1585;

																			BgL_auxz00_1585 =
																				(BgL_feffectz00_bglt) (BgL_fez00_844);
																			BgL_auxz00_1584 =
																				(((BgL_feffectz00_bglt)
																					CREF(BgL_auxz00_1585))->BgL_writez00);
																		}
																		BgL_testz00_1576 =
																			(BgL_auxz00_1584 ==
																			CNST_TABLE_REF(((long) 3)));
																	}
																else
																	{	/* Effect/walk.scm 89 */
																		BgL_testz00_1576 = ((bool_t) 0);
																	}
															}
															if (BgL_testz00_1576)
																{	/* Effect/walk.scm 89 */
																	BFALSE;
																}
															else
																{	/* Effect/walk.scm 89 */
																	{	/* Effect/walk.scm 91 */
																		obj_t BgL_arg3347z00_849;

																		BgL_arg3347z00_849 =
																			BGl_shapez00zztools_shapez00
																			(BgL_gz00_842);
																		{	/* Effect/walk.scm 91 */
																			obj_t BgL_list3349z00_851;

																			{	/* Effect/walk.scm 91 */
																				obj_t BgL_arg3350z00_852;

																				{	/* Effect/walk.scm 91 */
																					obj_t BgL_arg3351z00_853;

																					BgL_arg3351z00_853 =
																						MAKE_PAIR
																						(BGl_string3441z00zzeffect_walkz00,
																						BNIL);
																					BgL_arg3350z00_852 =
																						MAKE_PAIR(BgL_arg3347z00_849,
																						BgL_arg3351z00_853);
																				}
																				BgL_list3349z00_851 =
																					MAKE_PAIR
																					(BGl_string3442z00zzeffect_walkz00,
																					BgL_arg3350z00_852);
																			}
																			BGl_displayza2za2zz__r4_output_6_10_3z00
																				(BgL_list3349z00_851);
																		}
																	}
																	{	/* Effect/walk.scm 92 */
																		bool_t BgL_testz00_1595;

																		{	/* Effect/walk.scm 92 */
																			obj_t BgL_auxz00_1596;

																			{
																				BgL_feffectz00_bglt BgL_auxz00_1597;

																				BgL_auxz00_1597 =
																					(BgL_feffectz00_bglt) (BgL_fez00_844);
																				BgL_auxz00_1596 =
																					(((BgL_feffectz00_bglt)
																						CREF(BgL_auxz00_1597))->
																					BgL_readz00);
																			}
																			BgL_testz00_1595 = NULLP(BgL_auxz00_1596);
																		}
																		if (BgL_testz00_1595)
																			{	/* Effect/walk.scm 92 */
																				BFALSE;
																			}
																		else
																			{	/* Effect/walk.scm 92 */
																				obj_t BgL_arg3354z00_856;

																				{
																					BgL_feffectz00_bglt BgL_auxz00_1601;

																					BgL_auxz00_1601 =
																						(BgL_feffectz00_bglt)
																						(BgL_fez00_844);
																					BgL_arg3354z00_856 =
																						(((BgL_feffectz00_bglt)
																							CREF(BgL_auxz00_1601))->
																						BgL_readz00);
																				}
																				{	/* Effect/walk.scm 92 */
																					obj_t BgL_list3356z00_858;

																					{	/* Effect/walk.scm 92 */
																						obj_t BgL_arg3357z00_859;

																						{	/* Effect/walk.scm 92 */
																							obj_t BgL_arg3358z00_860;

																							BgL_arg3358z00_860 =
																								MAKE_PAIR
																								(BGl_string3443z00zzeffect_walkz00,
																								BNIL);
																							BgL_arg3357z00_859 =
																								MAKE_PAIR(BgL_arg3354z00_856,
																								BgL_arg3358z00_860);
																						}
																						BgL_list3356z00_858 =
																							MAKE_PAIR
																							(BGl_string3444z00zzeffect_walkz00,
																							BgL_arg3357z00_859);
																					}
																					BGl_displayza2za2zz__r4_output_6_10_3z00
																						(BgL_list3356z00_858);
																				}
																			}
																	}
																	{	/* Effect/walk.scm 93 */
																		bool_t BgL_testz00_1608;

																		{	/* Effect/walk.scm 93 */
																			obj_t BgL_auxz00_1609;

																			{
																				BgL_feffectz00_bglt BgL_auxz00_1610;

																				BgL_auxz00_1610 =
																					(BgL_feffectz00_bglt) (BgL_fez00_844);
																				BgL_auxz00_1609 =
																					(((BgL_feffectz00_bglt)
																						CREF(BgL_auxz00_1610))->
																					BgL_writez00);
																			}
																			BgL_testz00_1608 = NULLP(BgL_auxz00_1609);
																		}
																		if (BgL_testz00_1608)
																			{	/* Effect/walk.scm 93 */
																				BFALSE;
																			}
																		else
																			{	/* Effect/walk.scm 93 */
																				obj_t BgL_arg3362z00_864;

																				{
																					BgL_feffectz00_bglt BgL_auxz00_1614;

																					BgL_auxz00_1614 =
																						(BgL_feffectz00_bglt)
																						(BgL_fez00_844);
																					BgL_arg3362z00_864 =
																						(((BgL_feffectz00_bglt)
																							CREF(BgL_auxz00_1614))->
																						BgL_writez00);
																				}
																				{	/* Effect/walk.scm 93 */
																					obj_t BgL_list3364z00_866;

																					{	/* Effect/walk.scm 93 */
																						obj_t BgL_arg3365z00_867;

																						{	/* Effect/walk.scm 93 */
																							obj_t BgL_arg3366z00_868;

																							BgL_arg3366z00_868 =
																								MAKE_PAIR
																								(BGl_string3443z00zzeffect_walkz00,
																								BNIL);
																							BgL_arg3365z00_867 =
																								MAKE_PAIR(BgL_arg3362z00_864,
																								BgL_arg3366z00_868);
																						}
																						BgL_list3364z00_866 =
																							MAKE_PAIR
																							(BGl_string3445z00zzeffect_walkz00,
																							BgL_arg3365z00_867);
																					}
																					BGl_displayza2za2zz__r4_output_6_10_3z00
																						(BgL_list3364z00_866);
																				}
																			}
																	}
																	{	/* Effect/walk.scm 94 */
																		obj_t BgL_port3270z00_870;

																		{	/* Effect/walk.scm 94 */
																			obj_t BgL_res3429z00_1342;

																			{	/* Effect/walk.scm 94 */
																				obj_t BgL_auxz00_1621;

																				BgL_auxz00_1621 =
																					BGL_CURRENT_DYNAMIC_ENV();
																				BgL_res3429z00_1342 =
																					BGL_ENV_CURRENT_OUTPUT_PORT
																					(BgL_auxz00_1621);
																			}
																			BgL_port3270z00_870 = BgL_res3429z00_1342;
																		}
																		bgl_display_string
																			(BGl_string3446z00zzeffect_walkz00,
																			BgL_port3270z00_870);
																		bgl_display_char(((unsigned char) '\n'),
																			BgL_port3270z00_870);
														}}}
													else
														{	/* Effect/walk.scm 87 */
															BFALSE;
														}
												}
												{
													obj_t BgL_l3271z00_1627;

													BgL_l3271z00_1627 = CDR(BgL_l3271z00_825);
													BgL_l3271z00_825 = BgL_l3271z00_1627;
													goto BgL_forzd2each3272zd2_826;
												}
											}
										else
											{	/* Effect/walk.scm 108 */
												((bool_t) 1);
											}
									}
									{	/* Effect/walk.scm 109 */
										obj_t BgL_arg3334z00_831;

										{	/* Effect/walk.scm 109 */
											obj_t BgL_res3427z00_1322;

											{	/* Effect/walk.scm 109 */
												obj_t BgL_auxz00_1629;

												BgL_auxz00_1629 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res3427z00_1322 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1629);
											}
											BgL_arg3334z00_831 = BgL_res3427z00_1322;
										}
										BgL_val3256z00_822 =
											bgl_display_string(BGl_string3448z00zzeffect_walkz00,
											BgL_arg3334z00_831);
									}
									POP_EXIT();
									return BgL_val3256z00_822;
								}
							}
						}
				}
			}
		}
	}



/* _write-effect */
	obj_t BGl__writezd2effectzd2zzeffect_walkz00(obj_t BgL_envz00_1350,
		obj_t BgL_globalsz00_1351)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 84 */
			return BGl_writezd2effectzd2zzeffect_walkz00(BgL_globalsz00_1351);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string3449z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3449z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string3449z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3449z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3449z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3449z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3449z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3449z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 169100475),
				BSTRING_TO_STRING(BGl_string3449z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 476444243),
				BSTRING_TO_STRING(BGl_string3449z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 53594424),
				BSTRING_TO_STRING(BGl_string3449z00zzeffect_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string3449z00zzeffect_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
