/*===========================================================================*/
/*   (Engine/heap.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/heap.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	static obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_heapz00 = BUNSPEC;
	static obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t);
	static obj_t BGl_zc3exitza32375ze3z83zzengine_heapz00(obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_zc3anonymousza32406ze3z83zzengine_heapz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza32399ze3z83zzengine_heapz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t);
	static obj_t BGl_zc3anonymousza32413ze3z83zzengine_heapz00(obj_t);
	extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
	static obj_t BGl_cnstzd2initzd2zzengine_heapz00();
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00();
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32429ze3z83zzengine_heapz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	extern obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	static obj_t BGl__dumpzd2heapszd2zzengine_heapz00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
	static obj_t BGl_zc3anonymousza32499ze3z83zzengine_heapz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_methodzd2initzd2zzengine_heapz00();
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zzengine_heapz00,
		BgL_bgl_za7c3anonymousza7a322592z00,
		BGl_zc3anonymousza32399ze3z83zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zzengine_heapz00,
		BgL_bgl_za7c3anonymousza7a322593z00,
		BGl_zc3anonymousza32406ze3z83zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2583z00zzengine_heapz00,
		BgL_bgl_za7c3anonymousza7a322594z00,
		BGl_zc3anonymousza32429ze3z83zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2587z00zzengine_heapz00,
		BgL_bgl_za7c3anonymousza7a322595z00,
		BGl_zc3anonymousza32499ze3z83zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2571z00zzengine_heapz00,
		BgL_bgl_string2571za700za7za7e2596za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string2572z00zzengine_heapz00,
		BgL_bgl_string2572za700za7za7e2597za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string2575z00zzengine_heapz00,
		BgL_bgl_string2575za700za7za7e2598za7, "(heap \"", 7);
	      DEFINE_STRING(BGl_string2576z00zzengine_heapz00,
		BgL_bgl_string2576za700za7za7e2599za7, "\"", 1);
	      DEFINE_STRING(BGl_string2577z00zzengine_heapz00,
		BgL_bgl_string2577za700za7za7e2600za7, " (variables", 11);
	      DEFINE_STRING(BGl_string2578z00zzengine_heapz00,
		BgL_bgl_string2578za700za7za7e2601za7, " )\n", 3);
	      DEFINE_STRING(BGl_string2580z00zzengine_heapz00,
		BgL_bgl_string2580za700za7za7e2602za7, " )", 2);
	      DEFINE_STRING(BGl_string2579z00zzengine_heapz00,
		BgL_bgl_string2579za700za7za7e2603za7, " (types", 7);
	      DEFINE_STRING(BGl_string2581z00zzengine_heapz00,
		BgL_bgl_string2581za700za7za7e2604za7, " (includes", 10);
	      DEFINE_STRING(BGl_string2582z00zzengine_heapz00,
		BgL_bgl_string2582za700za7za7e2605za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2584z00zzengine_heapz00,
		BgL_bgl_string2584za700za7za7e2606za7, "   ", 3);
	      DEFINE_STRING(BGl_string2585z00zzengine_heapz00,
		BgL_bgl_string2585za700za7za7e2607za7, "\n    ", 5);
	      DEFINE_STRING(BGl_string2586z00zzengine_heapz00,
		BgL_bgl_string2586za700za7za7e2608za7, "", 0);
	      DEFINE_STRING(BGl_string2588z00zzengine_heapz00,
		BgL_bgl_string2588za700za7za7e2609za7, "engine_heap", 11);
	      DEFINE_STRING(BGl_string2589z00zzengine_heapz00,
		BgL_bgl_string2589za700za7za7e2610za7,
		"type super class jvm-type-name inline sifun qualified-type name module id variable native function dump-heap ",
		109);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2heapszd2envz00zzengine_heapz00,
		BgL_bgl__dumpza7d2heapsza7d22611z00, BGl__dumpzd2heapszd2zzengine_heapz00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long
		BgL_checksumz00_1002, char *BgL_fromz00_1003)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_heapz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_heapz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
					BGl_cnstzd2initzd2zzengine_heapz00();
					BGl_importedzd2moduleszd2initz00zzengine_heapz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"engine_heap");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			{	/* Engine/heap.scm 15 */
				obj_t BgL_cportz00_994;

				BgL_cportz00_994 =
					bgl_open_input_string(BGl_string2589z00zzengine_heapz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_995;

					BgL_iz00_995 = ((long) 13);
				BgL_loopz00_996:
					if ((BgL_iz00_995 == ((long) -1)))
						{	/* Engine/heap.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Engine/heap.scm 15 */
							{	/* Engine/heap.scm 15 */
								obj_t BgL_arg2591z00_998;

								{	/* Engine/heap.scm 15 */

									{	/* Engine/heap.scm 15 */
										obj_t BgL_locationz00_1000;

										BgL_locationz00_1000 = BBOOL(((bool_t) 0));
										{	/* Engine/heap.scm 15 */

											BgL_arg2591z00_998 =
												BGl_readz00zz__readerz00(BgL_cportz00_994,
												BgL_locationz00_1000);
										}
									}
								}
								{	/* Engine/heap.scm 15 */
									int BgL_auxz00_1026;

									BgL_auxz00_1026 = (int) (BgL_iz00_995);
									CNST_TABLE_SET(BgL_auxz00_1026, BgL_arg2591z00_998);
							}}
							{	/* Engine/heap.scm 15 */
								int BgL_auxz00_1001;

								BgL_auxz00_1001 = (int) ((BgL_iz00_995 - ((long) 1)));
								{
									long BgL_iz00_1031;

									BgL_iz00_1031 = (long) (BgL_auxz00_1001);
									BgL_iz00_995 = BgL_iz00_1031;
									goto BgL_loopz00_996;
								}
							}
						}
				}
			}
		}
	}



/* dump-heaps */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t
		BgL_namesz00_1)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			BGl_initializa7ezd2Genvz12z67zzast_envz00();
			BGl_initializa7ezd2Tenvz12z67zztype_envz00();
			{
				obj_t BgL_l2320z00_466;

				{	/* Engine/heap.scm 40 */
					bool_t BgL_auxz00_1036;

					BgL_l2320z00_466 = BgL_namesz00_1;
				BgL_forzd2each2321zd2_467:
					if (PAIRP(BgL_l2320z00_466))
						{	/* Engine/heap.scm 40 */
							BGl_dumpzd2heapzd2zzengine_heapz00(CAR(BgL_l2320z00_466));
							{
								obj_t BgL_l2320z00_1041;

								BgL_l2320z00_1041 = CDR(BgL_l2320z00_466);
								BgL_l2320z00_466 = BgL_l2320z00_1041;
								goto BgL_forzd2each2321zd2_467;
							}
						}
					else
						{	/* Engine/heap.scm 40 */
							BgL_auxz00_1036 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_1036);
				}
			}
		}
	}



/* _dump-heaps */
	obj_t BGl__dumpzd2heapszd2zzengine_heapz00(obj_t BgL_envz00_968,
		obj_t BgL_namesz00_969)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			return BGl_dumpzd2heapszd2zzengine_heapz00(BgL_namesz00_969);
		}
	}



/* dump-heap */
	obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t BgL_heapz00_2)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 45 */
			{	/* Engine/heap.scm 46 */
				obj_t BgL_fnamez00_471;

				BgL_fnamez00_471 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_2,
					BGl_za2libzd2dirza2zd2zzengine_paramz00);
				if (STRINGP(BgL_fnamez00_471))
					{	/* Engine/heap.scm 48 */
						obj_t BgL_portz00_473;

						BgL_portz00_473 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_471);
						if (BINARY_PORTP(BgL_portz00_473))
							{	/* Engine/heap.scm 53 */
								obj_t BgL_val2314z00_475;

								BgL_val2314z00_475 =
									BGl_zc3exitza32375ze3z83zzengine_heapz00(BgL_heapz00_2,
									BgL_portz00_473);
								close_binary_port(BgL_portz00_473);
								if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
										(BgL_val2314z00_475)))
									{	/* Engine/heap.scm 113 */
										return
											BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
											(BgL_val2314z00_475), CDR(BgL_val2314z00_475));
									}
								else
									{	/* Engine/heap.scm 113 */
										return BgL_val2314z00_475;
									}
							}
						else
							{	/* Engine/heap.scm 50 */
								obj_t BgL_arg2424z00_542;

								obj_t BgL_arg2425z00_543;

								BgL_arg2424z00_542 = CNST_TABLE_REF(((long) 0));
								{	/* Engine/heap.scm 51 */
									obj_t BgL_list2426z00_544;

									BgL_list2426z00_544 = MAKE_PAIR(BgL_fnamez00_471, BNIL);
									BgL_arg2425z00_543 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string2571z00zzengine_heapz00, BgL_list2426z00_544);
								}
								return
									BGl_errorz00zz__errorz00(BgL_arg2424z00_542,
									BgL_arg2425z00_543, BGl_za2libzd2dirza2zd2zzengine_paramz00);
							}
					}
				else
					{	/* Engine/heap.scm 114 */
						obj_t BgL_mz00_545;

						{	/* Engine/heap.scm 114 */
							obj_t BgL_list2427z00_546;

							BgL_list2427z00_546 = MAKE_PAIR(BgL_heapz00_2, BNIL);
							BgL_mz00_545 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2571z00zzengine_heapz00, BgL_list2427z00_546);
						}
						BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)), BgL_mz00_545,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BFALSE;
					}
			}
		}
	}



/* <exit:2375> */
	obj_t BGl_zc3exitza32375ze3z83zzengine_heapz00(obj_t BgL_heapz00_992,
		obj_t BgL_portz00_991)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 113 */
			jmp_buf_t jmpbuf;

			void *BgL_an_exit2315z00_480;

			{
				BGL_STORE_TRACE();
				if (SET_EXIT(BgL_an_exit2315z00_480))
					{
						BGL_RESTORE_TRACE();
						return _exit_value_;
					}
				else
					{
						BgL_an_exit2315z00_480 = (void *) jmpbuf;
						{	/* Engine/heap.scm 113 */

							PUSH_EXIT(BgL_an_exit2315z00_480, ((long) 0));
							{	/* Engine/heap.scm 54 */
								obj_t BgL_val2316z00_481;

								{	/* Engine/heap.scm 54 */
									obj_t BgL_envsz00_482;

									BgL_envsz00_482 = input_obj(BgL_portz00_991);
									{	/* Engine/heap.scm 54 */
										obj_t BgL__z00_483;

										{	/* Engine/heap.scm 55 */
											bool_t BgL_testz00_1071;

											{	/* Engine/heap.scm 55 */
												bool_t BgL_testz00_1072;

												{	/* Engine/heap.scm 55 */
													obj_t BgL_v2322z00_541;

													BgL_v2322z00_541 = create_vector((int) (((long) 1)));
													VECTOR_SET(BgL_v2322z00_541,
														(int) (((long) 0)), BgL_envsz00_482);
													BgL_testz00_1072 = ((bool_t) 1);
												}
												if (BgL_testz00_1072)
													{	/* Engine/heap.scm 56 */
														bool_t BgL__ortest_2317z00_536;

														{	/* Engine/heap.scm 56 */
															int BgL_arg2422z00_539;

															BgL_arg2422z00_539 =
																VECTOR_LENGTH(BgL_envsz00_482);
															BgL__ortest_2317z00_536 =
																((long) (BgL_arg2422z00_539) == ((long) 5));
														}
														if (BgL__ortest_2317z00_536)
															{	/* Engine/heap.scm 56 */
																BgL_testz00_1071 = BgL__ortest_2317z00_536;
															}
														else
															{	/* Engine/heap.scm 57 */
																int BgL_arg2420z00_537;

																BgL_arg2420z00_537 =
																	VECTOR_LENGTH(BgL_envsz00_482);
																BgL_testz00_1071 =
																	((long) (BgL_arg2420z00_537) == ((long) 6));
													}}
												else
													{	/* Engine/heap.scm 55 */
														BgL_testz00_1071 = ((bool_t) 0);
													}
											}
											if (BgL_testz00_1071)
												{	/* Engine/heap.scm 55 */
													BgL__z00_483 = BFALSE;
												}
											else
												{	/* Engine/heap.scm 55 */
													BgL__z00_483 =
														BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
														BGl_string2572z00zzengine_heapz00, BgL_heapz00_992);
										}}
										{	/* Engine/heap.scm 55 */
											obj_t BgL_targetz00_484;

											BgL_targetz00_484 =
												VECTOR_REF(BgL_envsz00_482, (int) (((long) 0)));
											{	/* Engine/heap.scm 59 */
												obj_t BgL_versionz00_485;

												BgL_versionz00_485 =
													VECTOR_REF(BgL_envsz00_482, (int) (((long) 1)));
												{	/* Engine/heap.scm 60 */
													obj_t BgL_specificz00_486;

													BgL_specificz00_486 =
														VECTOR_REF(BgL_envsz00_482, (int) (((long) 2)));
													{	/* Engine/heap.scm 61 */
														obj_t BgL_genvz00_487;

														BgL_genvz00_487 =
															VECTOR_REF(BgL_envsz00_482, (int) (((long) 3)));
														{	/* Engine/heap.scm 62 */
															obj_t BgL_tenvz00_488;

															BgL_tenvz00_488 =
																VECTOR_REF(BgL_envsz00_482, (int) (((long) 4)));
															{	/* Engine/heap.scm 63 */
																obj_t BgL_includesz00_489;

																{	/* Engine/heap.scm 64 */
																	bool_t BgL_testz00_1096;

																	{	/* Engine/heap.scm 64 */
																		int BgL_arg2416z00_532;

																		BgL_arg2416z00_532 =
																			VECTOR_LENGTH(BgL_envsz00_482);
																		BgL_testz00_1096 =
																			(
																			(long) (BgL_arg2416z00_532) ==
																			((long) 6));
																	}
																	if (BgL_testz00_1096)
																		{	/* Engine/heap.scm 64 */
																			BgL_includesz00_489 =
																				VECTOR_REF(BgL_envsz00_482,
																				(int) (((long) 5)));
																		}
																	else
																		{	/* Engine/heap.scm 64 */
																			BgL_includesz00_489 = BNIL;
																		}
																}
																{	/* Engine/heap.scm 64 */

																	{	/* Engine/heap.scm 76 */
																		bool_t BgL_testz00_1102;

																		{	/* Engine/heap.scm 76 */
																			int BgL_arg2387z00_491;

																			BgL_arg2387z00_491 =
																				VECTOR_LENGTH(BgL_envsz00_482);
																			BgL_testz00_1102 =
																				(
																				(long) (BgL_arg2387z00_491) ==
																				((long) 6));
																		}
																		if (BgL_testz00_1102)
																			{	/* Engine/heap.scm 76 */
																				BGl_addzd2genvz12zc0zzast_envz00
																					(BgL_genvz00_487);
																			}
																		else
																			{	/* Engine/heap.scm 76 */
																				BGl_setzd2tenvz12zc0zztype_envz00
																					(BgL_tenvz00_488);
																				BGl_setzd2genvz12zc0zzast_envz00
																					(BgL_genvz00_487);
																			}
																	}
																	{	/* Engine/heap.scm 85 */
																		bool_t BgL_testz00_1109;

																		{	/* Engine/heap.scm 85 */
																			obj_t BgL_arg2404z00_503;

																			BgL_arg2404z00_503 =
																				BGl_thezd2backendzd2zzbackend_backendz00
																				();
																			{
																				BgL_backendz00_bglt BgL_auxz00_1111;

																				BgL_auxz00_1111 =
																					(BgL_backendz00_bglt)
																					(BgL_arg2404z00_503);
																				BgL_testz00_1109 =
																					(((BgL_backendz00_bglt)
																						CREF(BgL_auxz00_1111))->
																					BgL_qualifiedzd2typeszd2);
																			}
																		}
																		if (BgL_testz00_1109)
																			{	/* Engine/heap.scm 85 */
																				BGl_forzd2eachzd2globalz12z12zzast_envz00
																					(BGl_proc2573z00zzengine_heapz00,
																					BNIL);
																			}
																		else
																			{	/* Engine/heap.scm 85 */
																				BFALSE;
																			}
																	}
																	BGl_hashtablezd2forzd2eachz00zz__hashz00
																		(BgL_genvz00_487,
																		BGl_proc2574z00zzengine_heapz00);
																	{	/* Engine/heap.scm 99 */
																		obj_t BgL_arg2411z00_517;

																		{	/* Engine/heap.scm 99 */
																			obj_t BgL_res2558z00_870;

																			{	/* Engine/heap.scm 99 */
																				obj_t BgL_auxz00_1116;

																				BgL_auxz00_1116 =
																					BGL_CURRENT_DYNAMIC_ENV();
																				BgL_res2558z00_870 =
																					BGL_ENV_CURRENT_ERROR_PORT
																					(BgL_auxz00_1116);
																			}
																			BgL_arg2411z00_517 = BgL_res2558z00_870;
																		}
																		{	/* Engine/heap.scm 101 */
																			obj_t BgL_zc3anonymousza32413ze3z83_970;

																			BgL_zc3anonymousza32413ze3z83_970 =
																				make_fx_procedure
																				(BGl_zc3anonymousza32413ze3z83zzengine_heapz00,
																				(int) (((long) 0)), (int) (((long) 4)));
																			PROCEDURE_SET
																				(BgL_zc3anonymousza32413ze3z83_970,
																				(int) (((long) 0)), BgL_heapz00_992);
																			PROCEDURE_SET
																				(BgL_zc3anonymousza32413ze3z83_970,
																				(int) (((long) 1)), BgL_genvz00_487);
																			PROCEDURE_SET
																				(BgL_zc3anonymousza32413ze3z83_970,
																				(int) (((long) 2)), BgL_tenvz00_488);
																			PROCEDURE_SET
																				(BgL_zc3anonymousza32413ze3z83_970,
																				(int) (((long) 3)),
																				BgL_includesz00_489);
																			BgL_val2316z00_481 =
																				BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
																				(BgL_arg2411z00_517,
																				BgL_zc3anonymousza32413ze3z83_970);
								}}}}}}}}}}}
								POP_EXIT();
								return BgL_val2316z00_481;
							}
						}
					}
			}
		}
	}



/* <anonymous:2413> */
	obj_t BGl_zc3anonymousza32413ze3z83zzengine_heapz00(obj_t BgL_envz00_973)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 100 */
			{	/* Engine/heap.scm 101 */
				obj_t BgL_heapz00_974;

				obj_t BgL_genvz00_975;

				obj_t BgL_tenvz00_976;

				obj_t BgL_includesz00_977;

				BgL_heapz00_974 = PROCEDURE_REF(BgL_envz00_973, (int) (((long) 0)));
				BgL_genvz00_975 = PROCEDURE_REF(BgL_envz00_973, (int) (((long) 1)));
				BgL_tenvz00_976 = PROCEDURE_REF(BgL_envz00_973, (int) (((long) 2)));
				BgL_includesz00_977 = PROCEDURE_REF(BgL_envz00_973, (int) (((long) 3)));
				{

					{	/* Engine/heap.scm 101 */
						obj_t BgL_port2326z00_520;

						{	/* Engine/heap.scm 101 */
							obj_t BgL_res2559z00_872;

							{	/* Engine/heap.scm 101 */
								obj_t BgL_auxz00_1140;

								BgL_auxz00_1140 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2559z00_872 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1140);
							}
							BgL_port2326z00_520 = BgL_res2559z00_872;
						}
						bgl_display_string(BGl_string2575z00zzengine_heapz00,
							BgL_port2326z00_520);
						bgl_display_obj(BgL_heapz00_974, BgL_port2326z00_520);
						bgl_display_string(BGl_string2576z00zzengine_heapz00,
							BgL_port2326z00_520);
						bgl_display_char(((unsigned char) '\n'), BgL_port2326z00_520);
					}
					{	/* Engine/heap.scm 102 */
						obj_t BgL_port2327z00_521;

						{	/* Engine/heap.scm 102 */
							obj_t BgL_res2560z00_879;

							{	/* Engine/heap.scm 102 */
								obj_t BgL_auxz00_1147;

								BgL_auxz00_1147 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2560z00_879 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1147);
							}
							BgL_port2327z00_521 = BgL_res2560z00_879;
						}
						bgl_display_string(BGl_string2577z00zzengine_heapz00,
							BgL_port2327z00_521);
						bgl_display_char(((unsigned char) '\n'), BgL_port2327z00_521);
					}
					BGl_dumpzd2Genvzd2zzengine_heapz00(BgL_genvz00_975);
					{	/* Engine/heap.scm 104 */
						obj_t BgL_port2328z00_522;

						{	/* Engine/heap.scm 104 */
							obj_t BgL_res2561z00_884;

							{	/* Engine/heap.scm 104 */
								obj_t BgL_auxz00_1153;

								BgL_auxz00_1153 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2561z00_884 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1153);
							}
							BgL_port2328z00_522 = BgL_res2561z00_884;
						}
						bgl_display_string(BGl_string2578z00zzengine_heapz00,
							BgL_port2328z00_522);
						bgl_display_char(((unsigned char) '\n'), BgL_port2328z00_522);
					}
					{	/* Engine/heap.scm 105 */
						obj_t BgL_port2329z00_523;

						{	/* Engine/heap.scm 105 */
							obj_t BgL_res2562z00_889;

							{	/* Engine/heap.scm 105 */
								obj_t BgL_auxz00_1158;

								BgL_auxz00_1158 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2562z00_889 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1158);
							}
							BgL_port2329z00_523 = BgL_res2562z00_889;
						}
						bgl_display_string(BGl_string2579z00zzengine_heapz00,
							BgL_port2329z00_523);
						bgl_display_char(((unsigned char) '\n'), BgL_port2329z00_523);
					}
					BGl_dumpzd2Tenvzd2zzengine_heapz00(BgL_tenvz00_976);
					{	/* Engine/heap.scm 107 */
						obj_t BgL_port2330z00_524;

						{	/* Engine/heap.scm 107 */
							obj_t BgL_res2563z00_894;

							{	/* Engine/heap.scm 107 */
								obj_t BgL_auxz00_1164;

								BgL_auxz00_1164 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2563z00_894 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1164);
							}
							BgL_port2330z00_524 = BgL_res2563z00_894;
						}
						bgl_display_string(BGl_string2580z00zzengine_heapz00,
							BgL_port2330z00_524);
						bgl_display_char(((unsigned char) '\n'), BgL_port2330z00_524);
					}
					if (PAIRP(BgL_includesz00_977))
						{	/* Engine/heap.scm 108 */
							{	/* Engine/heap.scm 109 */
								obj_t BgL_port2331z00_526;

								{	/* Engine/heap.scm 109 */
									obj_t BgL_res2564z00_900;

									{	/* Engine/heap.scm 109 */
										obj_t BgL_auxz00_1171;

										BgL_auxz00_1171 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2564z00_900 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1171);
									}
									BgL_port2331z00_526 = BgL_res2564z00_900;
								}
								bgl_display_string(BGl_string2581z00zzengine_heapz00,
									BgL_port2331z00_526);
								bgl_display_char(((unsigned char) '\n'), BgL_port2331z00_526);
							}
							{	/* Engine/heap.scm 110 */
								obj_t BgL_port2332z00_527;

								{	/* Engine/heap.scm 110 */
									obj_t BgL_res2565z00_905;

									{	/* Engine/heap.scm 110 */
										obj_t BgL_auxz00_1176;

										BgL_auxz00_1176 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2565z00_905 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1176);
									}
									BgL_port2332z00_527 = BgL_res2565z00_905;
								}
								bgl_display_obj(BgL_includesz00_977, BgL_port2332z00_527);
								bgl_display_char(((unsigned char) '\n'), BgL_port2332z00_527);
							}
							{	/* Engine/heap.scm 111 */
								obj_t BgL_port2333z00_528;

								{	/* Engine/heap.scm 111 */
									obj_t BgL_res2566z00_908;

									{	/* Engine/heap.scm 111 */
										obj_t BgL_auxz00_1181;

										BgL_auxz00_1181 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2566z00_908 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1181);
									}
									BgL_port2333z00_528 = BgL_res2566z00_908;
								}
								bgl_display_string(BGl_string2580z00zzengine_heapz00,
									BgL_port2333z00_528);
								bgl_display_char(((unsigned char) '\n'), BgL_port2333z00_528);
						}}
					else
						{	/* Engine/heap.scm 108 */
							BFALSE;
						}
					{	/* Engine/heap.scm 112 */
						obj_t BgL_port2334z00_529;

						{	/* Engine/heap.scm 112 */
							obj_t BgL_res2567z00_913;

							{	/* Engine/heap.scm 112 */
								obj_t BgL_auxz00_1186;

								BgL_auxz00_1186 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2567z00_913 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1186);
							}
							BgL_port2334z00_529 = BgL_res2567z00_913;
						}
						bgl_display_string(BGl_string2582z00zzengine_heapz00,
							BgL_port2334z00_529);
						return bgl_display_char(((unsigned char) '\n'),
							BgL_port2334z00_529);
		}}}}
	}



/* <anonymous:2406> */
	obj_t BGl_zc3anonymousza32406ze3z83zzengine_heapz00(obj_t BgL_envz00_978,
		obj_t BgL_kz00_979, obj_t BgL_bucketz00_980)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 95 */
			{
				obj_t BgL_kz00_505;

				obj_t BgL_bucketz00_506;

				{	/* Engine/heap.scm 96 */
					bool_t BgL_auxz00_1191;

					BgL_kz00_505 = BgL_kz00_979;
					BgL_bucketz00_506 = BgL_bucketz00_980;
					{	/* Engine/heap.scm 96 */
						obj_t BgL_g2325z00_508;

						BgL_g2325z00_508 = CDR(BgL_bucketz00_506);
						{
							obj_t BgL_l2323z00_509;

							BgL_l2323z00_509 = BgL_g2325z00_508;
						BgL_forzd2each2324zd2_510:
							if (PAIRP(BgL_l2323z00_509))
								{	/* Engine/heap.scm 96 */
									{	/* Engine/heap.scm 97 */
										obj_t BgL_newz00_512;

										BgL_newz00_512 = CAR(BgL_l2323z00_509);
										{	/* Engine/heap.scm 97 */
											obj_t BgL_arg2408z00_513;

											{
												BgL_globalz00_bglt BgL_auxz00_1196;

												BgL_auxz00_1196 = (BgL_globalz00_bglt) (BgL_newz00_512);
												BgL_arg2408z00_513 =
													(((BgL_globalz00_bglt) CREF(BgL_auxz00_1196))->
													BgL_modulez00);
											}
											{	/* Engine/heap.scm 97 */
												obj_t BgL_list2409z00_514;

												BgL_list2409z00_514 =
													MAKE_PAIR(BgL_arg2408z00_513, BNIL);
												BGl_heapzd2modulezd2listz00zzheap_restorez00
													(BgL_list2409z00_514);
											}
										}
									}
									{
										obj_t BgL_l2323z00_1201;

										BgL_l2323z00_1201 = CDR(BgL_l2323z00_509);
										BgL_l2323z00_509 = BgL_l2323z00_1201;
										goto BgL_forzd2each2324zd2_510;
									}
								}
							else
								{	/* Engine/heap.scm 96 */
									BgL_auxz00_1191 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1191);
				}
			}
		}
	}



/* <anonymous:2399> */
	obj_t BGl_zc3anonymousza32399ze3z83zzengine_heapz00(obj_t BgL_envz00_981,
		obj_t BgL_newz00_982)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 87 */
			{
				obj_t BgL_newz00_496;

				BgL_newz00_496 = BgL_newz00_982;
				{	/* Engine/heap.scm 89 */
					obj_t BgL_arg2400z00_498;

					obj_t BgL_arg2401z00_499;

					obj_t BgL_arg2402z00_500;

					{
						BgL_globalz00_bglt BgL_auxz00_1204;

						BgL_auxz00_1204 = (BgL_globalz00_bglt) (BgL_newz00_496);
						BgL_arg2400z00_498 =
							(((BgL_globalz00_bglt) CREF(BgL_auxz00_1204))->BgL_modulez00);
					}
					{
						BgL_globalz00_bglt BgL_auxz00_1207;

						BgL_auxz00_1207 = (BgL_globalz00_bglt) (BgL_newz00_496);
						BgL_arg2401z00_499 =
							(((BgL_globalz00_bglt) CREF(BgL_auxz00_1207))->
							BgL_jvmzd2typezd2namez00);
					}
					BgL_arg2402z00_500 = BGl_shapez00zztools_shapez00(BgL_newz00_496);
					{	/* Engine/heap.scm 88 */
						obj_t BgL_list2403z00_501;

						BgL_list2403z00_501 = MAKE_PAIR(BgL_arg2402z00_500, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg2400z00_498,
							BgL_arg2401z00_499, BgL_list2403z00_501);
					}
				}
			}
		}
	}



/* dump-Genv */
	obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t BgL_genvz00_3)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 121 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_3,
				BGl_proc2583z00zzengine_heapz00);
		}
	}



/* <anonymous:2429> */
	obj_t BGl_zc3anonymousza32429ze3z83zzengine_heapz00(obj_t BgL_envz00_984,
		obj_t BgL_kz00_985, obj_t BgL_bucketz00_986)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 152 */
			{
				obj_t BgL_kz00_549;

				obj_t BgL_bucketz00_550;

				{	/* Engine/heap.scm 152 */
					bool_t BgL_auxz00_1214;

					BgL_kz00_549 = BgL_kz00_985;
					BgL_bucketz00_550 = BgL_bucketz00_986;
					{
						obj_t BgL_newz00_559;

						{	/* Engine/heap.scm 152 */
							obj_t BgL_g2338z00_552;

							BgL_g2338z00_552 = CDR(BgL_bucketz00_550);
							{
								obj_t BgL_l2336z00_553;

								BgL_l2336z00_553 = BgL_g2338z00_552;
							BgL_forzd2each2337zd2_554:
								if (PAIRP(BgL_l2336z00_553))
									{	/* Engine/heap.scm 152 */
										BgL_newz00_559 = CAR(BgL_l2336z00_553);
										{	/* Engine/heap.scm 123 */
											obj_t BgL_modulez00_561;

											{
												BgL_globalz00_bglt BgL_auxz00_1218;

												BgL_auxz00_1218 = (BgL_globalz00_bglt) (BgL_newz00_559);
												BgL_modulez00_561 =
													(((BgL_globalz00_bglt) CREF(BgL_auxz00_1218))->
													BgL_modulez00);
											}
											{	/* Engine/heap.scm 123 */
												obj_t BgL_idz00_562;

												{
													BgL_variablez00_bglt BgL_auxz00_1221;

													BgL_auxz00_1221 =
														(BgL_variablez00_bglt) (BgL_newz00_559);
													BgL_idz00_562 =
														(((BgL_variablez00_bglt) CREF(BgL_auxz00_1221))->
														BgL_idz00);
												}
												{	/* Engine/heap.scm 124 */
													obj_t BgL_qtz00_563;

													BgL_qtz00_563 =
														BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
														(BgL_modulez00_561);
													{	/* Engine/heap.scm 125 */
														obj_t BgL_jtz00_564;

														{
															BgL_globalz00_bglt BgL_auxz00_1225;

															BgL_auxz00_1225 =
																(BgL_globalz00_bglt) (BgL_newz00_559);
															BgL_jtz00_564 =
																(((BgL_globalz00_bglt) CREF(BgL_auxz00_1225))->
																BgL_jvmzd2typezd2namez00);
														}
														{	/* Engine/heap.scm 126 */
															BgL_valuez00_bglt BgL_valz00_565;

															{
																BgL_variablez00_bglt BgL_auxz00_1228;

																BgL_auxz00_1228 =
																	(BgL_variablez00_bglt) (BgL_newz00_559);
																BgL_valz00_565 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_auxz00_1228))->BgL_valuez00);
															}
															{	/* Engine/heap.scm 127 */
																obj_t BgL_kindz00_566;

																{	/* Engine/heap.scm 129 */
																	bool_t BgL_testz00_1231;

																	{	/* Engine/heap.scm 129 */
																		obj_t BgL_obj1823z00_928;

																		BgL_obj1823z00_928 =
																			(obj_t) (BgL_valz00_565);
																		BgL_testz00_1231 =
																			BGl_iszd2azf3z21zz__objectz00
																			(BgL_obj1823z00_928,
																			BGl_sfunz00zzast_varz00);
																	}
																	if (BgL_testz00_1231)
																		{	/* Engine/heap.scm 129 */
																			BgL_kindz00_566 =
																				CNST_TABLE_REF(((long) 1));
																		}
																	else
																		{	/* Engine/heap.scm 130 */
																			bool_t BgL_testz00_1235;

																			{	/* Engine/heap.scm 130 */
																				obj_t BgL_obj1888z00_929;

																				BgL_obj1888z00_929 =
																					(obj_t) (BgL_valz00_565);
																				BgL_testz00_1235 =
																					BGl_iszd2azf3z21zz__objectz00
																					(BgL_obj1888z00_929,
																					BGl_cfunz00zzast_varz00);
																			}
																			if (BgL_testz00_1235)
																				{	/* Engine/heap.scm 130 */
																					BgL_kindz00_566 =
																						CNST_TABLE_REF(((long) 2));
																				}
																			else
																				{	/* Engine/heap.scm 130 */
																					BgL_kindz00_566 =
																						CNST_TABLE_REF(((long) 3));
																}}}
																{	/* Engine/heap.scm 128 */

																	{	/* Engine/heap.scm 132 */
																		obj_t BgL_port2335z00_567;

																		{	/* Engine/heap.scm 132 */
																			obj_t BgL_res2568z00_931;

																			{	/* Engine/heap.scm 132 */
																				obj_t BgL_auxz00_1240;

																				BgL_auxz00_1240 =
																					BGL_CURRENT_DYNAMIC_ENV();
																				BgL_res2568z00_931 =
																					BGL_ENV_CURRENT_OUTPUT_PORT
																					(BgL_auxz00_1240);
																			}
																			BgL_port2335z00_567 = BgL_res2568z00_931;
																		}
																		bgl_display_string
																			(BGl_string2584z00zzengine_heapz00,
																			BgL_port2335z00_567);
																		{	/* Engine/heap.scm 133 */
																			obj_t BgL_arg2434z00_568;

																			{	/* Engine/heap.scm 133 */
																				obj_t BgL_arg2435z00_569;

																				{	/* Engine/heap.scm 133 */
																					obj_t BgL_arg2436z00_570;

																					obj_t BgL_arg2438z00_572;

																					obj_t BgL_arg2440z00_574;

																					obj_t BgL_arg2442z00_576;

																					obj_t BgL_arg2444z00_578;

																					obj_t BgL_arg2445z00_579;

																					obj_t BgL_arg2446z00_580;

																					obj_t BgL_arg2448z00_582;

																					BgL_arg2436z00_570 =
																						BGl_shapez00zztools_shapez00
																						(BgL_newz00_559);
																					{	/* Engine/heap.scm 135 */
																						obj_t BgL_arg2463z00_597;

																						obj_t BgL_arg2464z00_598;

																						BgL_arg2463z00_597 =
																							CNST_TABLE_REF(((long) 4));
																						{	/* Engine/heap.scm 135 */
																							obj_t BgL_list2465z00_599;

																							BgL_list2465z00_599 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2464z00_598 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_idz00_562,
																								BgL_list2465z00_599);
																						}
																						BgL_arg2438z00_572 =
																							MAKE_PAIR(BgL_arg2463z00_597,
																							BgL_arg2464z00_598);
																					}
																					{	/* Engine/heap.scm 137 */
																						obj_t BgL_arg2466z00_600;

																						obj_t BgL_arg2467z00_601;

																						BgL_arg2466z00_600 =
																							CNST_TABLE_REF(((long) 5));
																						{	/* Engine/heap.scm 137 */
																							obj_t BgL_list2468z00_602;

																							BgL_list2468z00_602 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2467z00_601 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_modulez00_561,
																								BgL_list2468z00_602);
																						}
																						BgL_arg2440z00_574 =
																							MAKE_PAIR(BgL_arg2466z00_600,
																							BgL_arg2467z00_601);
																					}
																					{	/* Engine/heap.scm 139 */
																						obj_t BgL_arg2469z00_603;

																						obj_t BgL_arg2470z00_604;

																						BgL_arg2469z00_603 =
																							CNST_TABLE_REF(((long) 6));
																						{	/* Engine/heap.scm 139 */
																							obj_t BgL_arg2471z00_605;

																							{
																								BgL_variablez00_bglt
																									BgL_auxz00_1254;
																								BgL_auxz00_1254 =
																									(BgL_variablez00_bglt)
																									(BgL_newz00_559);
																								BgL_arg2471z00_605 =
																									(((BgL_variablez00_bglt)
																										CREF(BgL_auxz00_1254))->
																									BgL_namez00);
																							}
																							{	/* Engine/heap.scm 139 */
																								obj_t BgL_list2473z00_607;

																								BgL_list2473z00_607 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2470z00_604 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg2471z00_605,
																									BgL_list2473z00_607);
																						}}
																						BgL_arg2442z00_576 =
																							MAKE_PAIR(BgL_arg2469z00_603,
																							BgL_arg2470z00_604);
																					}
																					{	/* Engine/heap.scm 141 */
																						obj_t BgL_arg2475z00_608;

																						obj_t BgL_arg2476z00_609;

																						BgL_arg2475z00_608 =
																							CNST_TABLE_REF(((long) 7));
																						{	/* Engine/heap.scm 141 */
																							obj_t BgL_list2477z00_610;

																							BgL_list2477z00_610 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2476z00_609 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_qtz00_563,
																								BgL_list2477z00_610);
																						}
																						BgL_arg2444z00_578 =
																							MAKE_PAIR(BgL_arg2475z00_608,
																							BgL_arg2476z00_609);
																					}
																					{	/* Engine/heap.scm 142 */
																						bool_t BgL_testz00_1264;

																						{	/* Engine/heap.scm 142 */
																							bool_t BgL_testz00_1265;

																							{	/* Engine/heap.scm 142 */
																								obj_t BgL_obj1823z00_935;

																								BgL_obj1823z00_935 =
																									(obj_t) (BgL_valz00_565);
																								BgL_testz00_1265 =
																									BGl_iszd2azf3z21zz__objectz00
																									(BgL_obj1823z00_935,
																									BGl_sfunz00zzast_varz00);
																							}
																							if (BgL_testz00_1265)
																								{	/* Engine/heap.scm 142 */
																									obj_t BgL_auxz00_1268;

																									{
																										BgL_sfunz00_bglt
																											BgL_auxz00_1269;
																										BgL_auxz00_1269 =
																											(BgL_sfunz00_bglt)
																											(BgL_valz00_565);
																										BgL_auxz00_1268 =
																											(((BgL_sfunz00_bglt)
																												CREF(BgL_auxz00_1269))->
																											BgL_classz00);
																									}
																									BgL_testz00_1264 =
																										(BgL_auxz00_1268 ==
																										CNST_TABLE_REF(((long) 8)));
																								}
																							else
																								{	/* Engine/heap.scm 142 */
																									BgL_testz00_1264 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_testz00_1264)
																							{	/* Engine/heap.scm 142 */
																								BgL_arg2445z00_579 =
																									BGl_string2585z00zzengine_heapz00;
																							}
																						else
																							{	/* Engine/heap.scm 142 */
																								BgL_arg2445z00_579 =
																									BGl_string2586z00zzengine_heapz00;
																							}
																					}
																					{	/* Engine/heap.scm 145 */
																						bool_t BgL_testz00_1274;

																						{	/* Engine/heap.scm 145 */
																							bool_t BgL_testz00_1275;

																							{	/* Engine/heap.scm 145 */
																								obj_t BgL_obj1823z00_937;

																								BgL_obj1823z00_937 =
																									(obj_t) (BgL_valz00_565);
																								BgL_testz00_1275 =
																									BGl_iszd2azf3z21zz__objectz00
																									(BgL_obj1823z00_937,
																									BGl_sfunz00zzast_varz00);
																							}
																							if (BgL_testz00_1275)
																								{	/* Engine/heap.scm 145 */
																									obj_t BgL_auxz00_1278;

																									{
																										BgL_sfunz00_bglt
																											BgL_auxz00_1279;
																										BgL_auxz00_1279 =
																											(BgL_sfunz00_bglt)
																											(BgL_valz00_565);
																										BgL_auxz00_1278 =
																											(((BgL_sfunz00_bglt)
																												CREF(BgL_auxz00_1279))->
																											BgL_classz00);
																									}
																									BgL_testz00_1274 =
																										(BgL_auxz00_1278 ==
																										CNST_TABLE_REF(((long) 8)));
																								}
																							else
																								{	/* Engine/heap.scm 145 */
																									BgL_testz00_1274 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_testz00_1274)
																							{	/* Engine/heap.scm 146 */
																								obj_t BgL_arg2484z00_616;

																								obj_t BgL_arg2485z00_617;

																								BgL_arg2484z00_616 =
																									CNST_TABLE_REF(((long) 9));
																								{	/* Engine/heap.scm 146 */
																									obj_t BgL_arg2486z00_618;

																									{	/* Engine/heap.scm 146 */
																										obj_t BgL_arg2489z00_621;

																										{
																											BgL_sfunz00_bglt
																												BgL_auxz00_1285;
																											BgL_auxz00_1285 =
																												(BgL_sfunz00_bglt)
																												(BgL_valz00_565);
																											BgL_arg2489z00_621 =
																												(((BgL_sfunz00_bglt)
																													CREF
																													(BgL_auxz00_1285))->
																												BgL_bodyz00);
																										}
																										BgL_arg2486z00_618 =
																											BGl_shapez00zztools_shapez00
																											(BgL_arg2489z00_621);
																									}
																									{	/* Engine/heap.scm 146 */
																										obj_t BgL_list2488z00_620;

																										BgL_list2488z00_620 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg2485z00_617 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2486z00_618,
																											BgL_list2488z00_620);
																								}}
																								BgL_arg2446z00_580 =
																									MAKE_PAIR(BgL_arg2484z00_616,
																									BgL_arg2485z00_617);
																							}
																						else
																							{	/* Engine/heap.scm 145 */
																								BgL_arg2446z00_580 =
																									BGl_string2586z00zzengine_heapz00;
																							}
																					}
																					{	/* Engine/heap.scm 149 */
																						obj_t BgL_arg2493z00_625;

																						obj_t BgL_arg2494z00_626;

																						BgL_arg2493z00_625 =
																							CNST_TABLE_REF(((long) 10));
																						{	/* Engine/heap.scm 149 */
																							obj_t BgL_list2495z00_627;

																							BgL_list2495z00_627 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2494z00_626 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_jtz00_564,
																								BgL_list2495z00_627);
																						}
																						BgL_arg2448z00_582 =
																							MAKE_PAIR(BgL_arg2493z00_625,
																							BgL_arg2494z00_626);
																					}
																					{	/* Engine/heap.scm 132 */
																						obj_t BgL_list2450z00_584;

																						{	/* Engine/heap.scm 132 */
																							obj_t BgL_arg2451z00_585;

																							{	/* Engine/heap.scm 132 */
																								obj_t BgL_arg2452z00_586;

																								{	/* Engine/heap.scm 132 */
																									obj_t BgL_arg2453z00_587;

																									{	/* Engine/heap.scm 132 */
																										obj_t BgL_arg2454z00_588;

																										{	/* Engine/heap.scm 132 */
																											obj_t BgL_arg2455z00_589;

																											{	/* Engine/heap.scm 132 */
																												obj_t
																													BgL_arg2456z00_590;
																												{	/* Engine/heap.scm 132 */
																													obj_t
																														BgL_arg2457z00_591;
																													{	/* Engine/heap.scm 132 */
																														obj_t
																															BgL_arg2458z00_592;
																														{	/* Engine/heap.scm 132 */
																															obj_t
																																BgL_arg2459z00_593;
																															{	/* Engine/heap.scm 132 */
																																obj_t
																																	BgL_arg2460z00_594;
																																{	/* Engine/heap.scm 132 */
																																	obj_t
																																		BgL_arg2461z00_595;
																																	{	/* Engine/heap.scm 132 */
																																		obj_t
																																			BgL_arg2462z00_596;
																																		BgL_arg2462z00_596
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg2461z00_595
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2448z00_582,
																																			BgL_arg2462z00_596);
																																	}
																																	BgL_arg2460z00_594
																																		=
																																		MAKE_PAIR
																																		(BGl_string2585z00zzengine_heapz00,
																																		BgL_arg2461z00_595);
																																}
																																BgL_arg2459z00_593
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2446z00_580,
																																	BgL_arg2460z00_594);
																															}
																															BgL_arg2458z00_592
																																=
																																MAKE_PAIR
																																(BgL_arg2445z00_579,
																																BgL_arg2459z00_593);
																														}
																														BgL_arg2457z00_591 =
																															MAKE_PAIR
																															(BgL_arg2444z00_578,
																															BgL_arg2458z00_592);
																													}
																													BgL_arg2456z00_590 =
																														MAKE_PAIR
																														(BGl_string2585z00zzengine_heapz00,
																														BgL_arg2457z00_591);
																												}
																												BgL_arg2455z00_589 =
																													MAKE_PAIR
																													(BgL_arg2442z00_576,
																													BgL_arg2456z00_590);
																											}
																											BgL_arg2454z00_588 =
																												MAKE_PAIR
																												(BGl_string2585z00zzengine_heapz00,
																												BgL_arg2455z00_589);
																										}
																										BgL_arg2453z00_587 =
																											MAKE_PAIR
																											(BgL_arg2440z00_574,
																											BgL_arg2454z00_588);
																									}
																									BgL_arg2452z00_586 =
																										MAKE_PAIR
																										(BGl_string2585z00zzengine_heapz00,
																										BgL_arg2453z00_587);
																								}
																								BgL_arg2451z00_585 =
																									MAKE_PAIR(BgL_arg2438z00_572,
																									BgL_arg2452z00_586);
																							}
																							BgL_list2450z00_584 =
																								MAKE_PAIR
																								(BGl_string2585z00zzengine_heapz00,
																								BgL_arg2451z00_585);
																						}
																						BgL_arg2435z00_569 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2436z00_570,
																							BgL_list2450z00_584);
																				}}
																				BgL_arg2434z00_568 =
																					MAKE_PAIR(BgL_kindz00_566,
																					BgL_arg2435z00_569);
																			}
																			bgl_display_obj(BgL_arg2434z00_568,
																				BgL_port2335z00_567);
																		}
																		bgl_display_char(((unsigned char) '\n'),
																			BgL_port2335z00_567);
										}}}}}}}}
										{
											obj_t BgL_l2336z00_1314;

											BgL_l2336z00_1314 = CDR(BgL_l2336z00_553);
											BgL_l2336z00_553 = BgL_l2336z00_1314;
											goto BgL_forzd2each2337zd2_554;
										}
									}
								else
									{	/* Engine/heap.scm 152 */
										BgL_auxz00_1214 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_1214);
				}
			}
		}
	}



/* dump-Tenv */
	obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t BgL_tenvz00_4)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 157 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_4,
				BGl_proc2587z00zzengine_heapz00);
		}
	}



/* <anonymous:2499> */
	obj_t BGl_zc3anonymousza32499ze3z83zzengine_heapz00(obj_t BgL_envz00_988,
		obj_t BgL_kz00_989, obj_t BgL_newz00_990)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 159 */
			{
				obj_t BgL_kz00_632;

				obj_t BgL_newz00_633;

				BgL_kz00_632 = BgL_kz00_989;
				BgL_newz00_633 = BgL_newz00_990;
				{	/* Engine/heap.scm 160 */
					obj_t BgL_idz00_635;

					{
						BgL_typez00_bglt BgL_auxz00_1318;

						BgL_auxz00_1318 = (BgL_typez00_bglt) (BgL_newz00_633);
						BgL_idz00_635 =
							(((BgL_typez00_bglt) CREF(BgL_auxz00_1318))->BgL_idz00);
					}
					{	/* Engine/heap.scm 160 */
						obj_t BgL_namez00_636;

						{
							BgL_typez00_bglt BgL_auxz00_1321;

							BgL_auxz00_1321 = (BgL_typez00_bglt) (BgL_newz00_633);
							BgL_namez00_636 =
								(((BgL_typez00_bglt) CREF(BgL_auxz00_1321))->BgL_namez00);
						}
						{	/* Engine/heap.scm 161 */

							if (BGl_iszd2azf3z21zz__objectz00(BgL_newz00_633,
									BGl_tclassz00zzobject_classz00))
								{	/* Engine/heap.scm 164 */
									obj_t BgL_port2345z00_639;

									{	/* Engine/heap.scm 164 */
										obj_t BgL_res2569z00_945;

										{	/* Engine/heap.scm 164 */
											obj_t BgL_auxz00_1326;

											BgL_auxz00_1326 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res2569z00_945 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1326);
										}
										BgL_port2345z00_639 = BgL_res2569z00_945;
									}
									bgl_display_string(BGl_string2584z00zzengine_heapz00,
										BgL_port2345z00_639);
									{	/* Engine/heap.scm 165 */
										obj_t BgL_arg2501z00_640;

										{	/* Engine/heap.scm 165 */
											obj_t BgL_arg2502z00_641;

											obj_t BgL_arg2503z00_642;

											BgL_arg2502z00_641 = CNST_TABLE_REF(((long) 11));
											{	/* Engine/heap.scm 165 */
												obj_t BgL_arg2504z00_643;

												obj_t BgL_arg2505z00_644;

												obj_t BgL_arg2506z00_645;

												BgL_arg2504z00_643 =
													BGl_shapez00zztools_shapez00(BgL_newz00_633);
												{	/* Engine/heap.scm 166 */
													obj_t BgL_arg2509z00_648;

													obj_t BgL_arg2510z00_649;

													BgL_arg2509z00_648 = CNST_TABLE_REF(((long) 12));
													{	/* Engine/heap.scm 166 */
														obj_t BgL_arg2512z00_650;

														{	/* Engine/heap.scm 166 */
															obj_t BgL_arg2515z00_653;

															{	/* Engine/heap.scm 166 */
																BgL_tclassz00_bglt BgL_obj2095z00_948;

																BgL_obj2095z00_948 =
																	(BgL_tclassz00_bglt) (BgL_newz00_633);
																{
																	obj_t BgL_auxz00_1334;

																	{	/* Engine/heap.scm 166 */
																		BgL_objectz00_bglt BgL_auxz00_1335;

																		BgL_auxz00_1335 =
																			(BgL_objectz00_bglt) (BgL_obj2095z00_948);
																		BgL_auxz00_1334 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_1335);
																	}
																	BgL_arg2515z00_653 =
																		(((BgL_tclassz00_bglt)
																			CREF(BgL_auxz00_1334))->
																		BgL_itszd2superzd2);
															}}
															BgL_arg2512z00_650 =
																BGl_shapez00zztools_shapez00
																(BgL_arg2515z00_653);
														}
														{	/* Engine/heap.scm 166 */
															obj_t BgL_list2514z00_652;

															BgL_list2514z00_652 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg2510z00_649 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2512z00_650, BgL_list2514z00_652);
													}}
													BgL_arg2505z00_644 =
														MAKE_PAIR(BgL_arg2509z00_648, BgL_arg2510z00_649);
												}
												{	/* Engine/heap.scm 167 */
													obj_t BgL_arg2516z00_654;

													{	/* Engine/heap.scm 167 */
														obj_t BgL_l2339z00_656;

														{	/* Engine/heap.scm 167 */
															BgL_tclassz00_bglt BgL_obj2098z00_949;

															BgL_obj2098z00_949 =
																(BgL_tclassz00_bglt) (BgL_newz00_633);
															{
																obj_t BgL_auxz00_1344;

																{	/* Engine/heap.scm 167 */
																	BgL_objectz00_bglt BgL_auxz00_1345;

																	BgL_auxz00_1345 =
																		(BgL_objectz00_bglt) (BgL_obj2098z00_949);
																	BgL_auxz00_1344 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1345);
																}
																BgL_l2339z00_656 =
																	(((BgL_tclassz00_bglt)
																		CREF(BgL_auxz00_1344))->BgL_slotsz00);
														}}
														if (NULLP(BgL_l2339z00_656))
															{	/* Engine/heap.scm 167 */
																BgL_arg2516z00_654 = BNIL;
															}
														else
															{	/* Engine/heap.scm 167 */
																obj_t BgL_head2341z00_658;

																BgL_head2341z00_658 =
																	MAKE_PAIR(BGl_shapez00zztools_shapez00(CAR
																		(BgL_l2339z00_656)), BNIL);
																{	/* Engine/heap.scm 167 */
																	obj_t BgL_g2344z00_659;

																	BgL_g2344z00_659 = CDR(BgL_l2339z00_656);
																	{
																		obj_t BgL_l2339z00_660;

																		obj_t BgL_tail2342z00_661;

																		BgL_l2339z00_660 = BgL_g2344z00_659;
																		BgL_tail2342z00_661 = BgL_head2341z00_658;
																	BgL_map2340z00_662:
																		if (NULLP(BgL_l2339z00_660))
																			{	/* Engine/heap.scm 167 */
																				BgL_arg2516z00_654 =
																					BgL_head2341z00_658;
																			}
																		else
																			{	/* Engine/heap.scm 167 */
																				obj_t BgL_newtail2343z00_664;

																				BgL_newtail2343z00_664 =
																					MAKE_PAIR(BGl_shapez00zztools_shapez00
																					(CAR(BgL_l2339z00_660)), BNIL);
																				SET_CDR(BgL_tail2342z00_661,
																					BgL_newtail2343z00_664);
																				{
																					obj_t BgL_tail2342z00_1363;

																					obj_t BgL_l2339z00_1361;

																					BgL_l2339z00_1361 =
																						CDR(BgL_l2339z00_660);
																					BgL_tail2342z00_1363 =
																						BgL_newtail2343z00_664;
																					BgL_tail2342z00_661 =
																						BgL_tail2342z00_1363;
																					BgL_l2339z00_660 = BgL_l2339z00_1361;
																					goto BgL_map2340z00_662;
																				}
																			}
																	}
																}
															}
													}
													BgL_arg2506z00_645 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2516z00_654, BNIL);
												}
												{	/* Engine/heap.scm 165 */
													obj_t BgL_list2507z00_646;

													{	/* Engine/heap.scm 165 */
														obj_t BgL_arg2508z00_647;

														BgL_arg2508z00_647 =
															MAKE_PAIR(BgL_arg2506z00_645, BNIL);
														BgL_list2507z00_646 =
															MAKE_PAIR(BgL_arg2505z00_644, BgL_arg2508z00_647);
													}
													BgL_arg2503z00_642 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2504z00_643, BgL_list2507z00_646);
												}
											}
											BgL_arg2501z00_640 =
												MAKE_PAIR(BgL_arg2502z00_641, BgL_arg2503z00_642);
										}
										bgl_display_obj(BgL_arg2501z00_640, BgL_port2345z00_639);
									}
									return
										bgl_display_char(((unsigned char) '\n'),
										BgL_port2345z00_639);
								}
							else
								{	/* Engine/heap.scm 168 */
									obj_t BgL_port2346z00_672;

									{	/* Engine/heap.scm 168 */
										obj_t BgL_res2570z00_964;

										{	/* Engine/heap.scm 168 */
											obj_t BgL_auxz00_1371;

											BgL_auxz00_1371 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res2570z00_964 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1371);
										}
										BgL_port2346z00_672 = BgL_res2570z00_964;
									}
									bgl_display_string(BGl_string2584z00zzengine_heapz00,
										BgL_port2346z00_672);
									{	/* Engine/heap.scm 168 */
										obj_t BgL_arg2528z00_673;

										{	/* Engine/heap.scm 168 */
											obj_t BgL_arg2529z00_674;

											obj_t BgL_arg2530z00_675;

											BgL_arg2529z00_674 = CNST_TABLE_REF(((long) 13));
											{	/* Engine/heap.scm 168 */
												obj_t BgL_arg2531z00_676;

												{	/* Engine/heap.scm 168 */
													obj_t BgL_arg2535z00_680;

													obj_t BgL_arg2536z00_681;

													BgL_arg2535z00_680 = CNST_TABLE_REF(((long) 6));
													{	/* Engine/heap.scm 168 */
														obj_t BgL_list2537z00_682;

														BgL_list2537z00_682 = MAKE_PAIR(BNIL, BNIL);
														BgL_arg2536z00_681 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_namez00_636, BgL_list2537z00_682);
													}
													BgL_arg2531z00_676 =
														MAKE_PAIR(BgL_arg2535z00_680, BgL_arg2536z00_681);
												}
												{	/* Engine/heap.scm 168 */
													obj_t BgL_list2533z00_678;

													{	/* Engine/heap.scm 168 */
														obj_t BgL_arg2534z00_679;

														BgL_arg2534z00_679 = MAKE_PAIR(BNIL, BNIL);
														BgL_list2533z00_678 =
															MAKE_PAIR(BgL_arg2531z00_676, BgL_arg2534z00_679);
													}
													BgL_arg2530z00_675 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_idz00_635, BgL_list2533z00_678);
											}}
											BgL_arg2528z00_673 =
												MAKE_PAIR(BgL_arg2529z00_674, BgL_arg2530z00_675);
										}
										bgl_display_obj(BgL_arg2528z00_673, BgL_port2346z00_672);
									}
									return
										bgl_display_char(((unsigned char) '\n'),
										BgL_port2346z00_672);
		}}}}}}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 143212498),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 307873065),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(((long) 284127067),
				BSTRING_TO_STRING(BGl_string2588z00zzengine_heapz00));
		}
	}

#ifdef __cplusplus
}
#endif
