/*===========================================================================*/
/*   (Expand/struct.scm)                                                     */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/struct.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	BGL_IMPORT obj_t
		BGl_matchzd2definezd2structurez12z12zz__match_normaliza7eza7(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_structz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_structz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_structz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2structza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzexpand_structz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__match_normaliza7eza7(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	static obj_t BGl__expandzd2struct2432zd2zzexpand_structz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2structzd2zzexpand_structz00(obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_structz00();
	static obj_t BGl_methodzd2initzd2zzexpand_structz00();
	static obj_t __cnst[33];


	   
		 
		DEFINE_STRING(BGl_string2433z00zzexpand_structz00,
		BgL_bgl_string2433za700za7za7e2441za7, "Illegal `define-struct' form", 28);
	      DEFINE_STRING(BGl_string2434z00zzexpand_structz00,
		BgL_bgl_string2434za700za7za7e2442za7, "Too many argument provided", 26);
	      DEFINE_STRING(BGl_string2435z00zzexpand_structz00,
		BgL_bgl_string2435za700za7za7e2443za7, "struct-ref:not an instance of", 29);
	      DEFINE_STRING(BGl_string2436z00zzexpand_structz00,
		BgL_bgl_string2436za700za7za7e2444za7, "struct-set!:not an instance of",
		30);
	      DEFINE_STRING(BGl_string2437z00zzexpand_structz00,
		BgL_bgl_string2437za700za7za7e2445za7, "expand_struct", 13);
	      DEFINE_STRING(BGl_string2438z00zzexpand_structz00,
		BgL_bgl_string2438za700za7za7e2446za7,
		"u-struct-set! struct-set! v u-struct-ref struct-ref s ((unspecified)) struct-key eq? struct? o ? -set! - c-create-struct new let car make-struct __structure @ quote error cdr null? not pair? if init make- define-inline begin (quote ()) ",
		236);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2structzd2envz00zzexpand_structz00,
		BgL_bgl__expandza7d2struct2447za7,
		BGl__expandzd2struct2432zd2zzexpand_structz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_structz00(long
		BgL_checksumz00_634, char *BgL_fromz00_635)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_structz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_structz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzexpand_structz00();
					BGl_cnstzd2initzd2zzexpand_structz00();
					BGl_importedzd2moduleszd2initz00zzexpand_structz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_structz00()
	{
		AN_OBJECT;
		{	/* Expand/struct.scm 15 */
			BGl_modulezd2initializa7ationz75zz__match_normaliza7eza7(((long) 0),
				"expand_struct");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_struct");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"expand_struct");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"expand_struct");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "expand_struct");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"expand_struct");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_structz00()
	{
		AN_OBJECT;
		{	/* Expand/struct.scm 15 */
			{	/* Expand/struct.scm 15 */
				obj_t BgL_cportz00_626;

				BgL_cportz00_626 =
					bgl_open_input_string(BGl_string2438z00zzexpand_structz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_627;

					BgL_iz00_627 = ((long) 32);
				BgL_loopz00_628:
					if ((BgL_iz00_627 == ((long) -1)))
						{	/* Expand/struct.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/struct.scm 15 */
							{	/* Expand/struct.scm 15 */
								obj_t BgL_arg2440z00_630;

								{	/* Expand/struct.scm 15 */

									{	/* Expand/struct.scm 15 */
										obj_t BgL_locationz00_632;

										BgL_locationz00_632 = BBOOL(((bool_t) 0));
										{	/* Expand/struct.scm 15 */

											BgL_arg2440z00_630 =
												BGl_readz00zz__readerz00(BgL_cportz00_626,
												BgL_locationz00_632);
										}
									}
								}
								{	/* Expand/struct.scm 15 */
									int BgL_auxz00_654;

									BgL_auxz00_654 = (int) (BgL_iz00_627);
									CNST_TABLE_SET(BgL_auxz00_654, BgL_arg2440z00_630);
							}}
							{	/* Expand/struct.scm 15 */
								int BgL_auxz00_633;

								BgL_auxz00_633 = (int) ((BgL_iz00_627 - ((long) 1)));
								{
									long BgL_iz00_659;

									BgL_iz00_659 = (long) (BgL_auxz00_633);
									BgL_iz00_627 = BgL_iz00_659;
									goto BgL_loopz00_628;
								}
							}
						}
				}
			}
		}
	}



/* expand-struct */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2structzd2zzexpand_structz00(obj_t
		BgL_xz00_1, obj_t BgL_ez00_2)
	{
		AN_OBJECT;
		{	/* Expand/struct.scm 23 */
			{
				obj_t BgL_namez00_43;

				obj_t BgL_slotsz00_44;

				if (PAIRP(BgL_xz00_1))
					{	/* Expand/struct.scm 24 */
						obj_t BgL_cdrzd21213zd2_49;

						BgL_cdrzd21213zd2_49 = CDR(BgL_xz00_1);
						if (PAIRP(BgL_cdrzd21213zd2_49))
							{	/* Expand/struct.scm 24 */
								BgL_namez00_43 = CAR(BgL_cdrzd21213zd2_49);
								BgL_slotsz00_44 = CDR(BgL_cdrzd21213zd2_49);
								BGl_matchzd2definezd2structurez12z12zz__match_normaliza7eza7
									(BgL_xz00_1);
								{	/* Expand/struct.scm 27 */
									long BgL_lenz00_53;

									BgL_lenz00_53 = bgl_list_length(BgL_slotsz00_44);
									{	/* Expand/struct.scm 27 */
										obj_t BgL_slotszd2namezd2_54;

										if (NULLP(BgL_slotsz00_44))
											{	/* Expand/struct.scm 28 */
												BgL_slotszd2namezd2_54 = BNIL;
											}
										else
											{	/* Expand/struct.scm 28 */
												obj_t BgL_head1389z00_524;

												BgL_head1389z00_524 = MAKE_PAIR(BNIL, BNIL);
												{
													obj_t BgL_l1387z00_525;

													obj_t BgL_tail1390z00_526;

													BgL_l1387z00_525 = BgL_slotsz00_44;
													BgL_tail1390z00_526 = BgL_head1389z00_524;
												BgL_map1388z00_527:
													if (NULLP(BgL_l1387z00_525))
														{	/* Expand/struct.scm 28 */
															BgL_slotszd2namezd2_54 = CDR(BgL_head1389z00_524);
														}
													else
														{	/* Expand/struct.scm 28 */
															obj_t BgL_newtail1391z00_529;

															{	/* Expand/struct.scm 28 */
																obj_t BgL_arg2421z00_531;

																{	/* Expand/struct.scm 28 */
																	obj_t BgL_sz00_533;

																	BgL_sz00_533 = CAR(BgL_l1387z00_525);
																	{

																		if (PAIRP(BgL_sz00_533))
																			{	/* Expand/struct.scm 29 */
																				obj_t BgL_cdrzd21229zd2_541;

																				BgL_cdrzd21229zd2_541 =
																					CDR(BgL_sz00_533);
																				if (PAIRP(BgL_cdrzd21229zd2_541))
																					{	/* Expand/struct.scm 29 */
																						if (NULLP(CDR
																								(BgL_cdrzd21229zd2_541)))
																							{	/* Expand/struct.scm 29 */
																								BgL_arg2421z00_531 =
																									CAR(BgL_sz00_533);
																							}
																						else
																							{	/* Expand/struct.scm 29 */
																								if (SYMBOLP(BgL_sz00_533))
																									{	/* Expand/struct.scm 29 */
																										BgL_arg2421z00_531 =
																											BgL_sz00_533;
																									}
																								else
																									{	/* Expand/struct.scm 29 */
																									BgL_tagzd21222zd2_538:
																										BgL_arg2421z00_531 =
																											BGl_errorz00zz__errorz00
																											(BFALSE,
																											BGl_string2433z00zzexpand_structz00,
																											BgL_xz00_1);
																									}
																							}
																					}
																				else
																					{	/* Expand/struct.scm 29 */
																						if (SYMBOLP(BgL_sz00_533))
																							{	/* Expand/struct.scm 29 */
																								BgL_arg2421z00_531 =
																									BgL_sz00_533;
																							}
																						else
																							{	/* Expand/struct.scm 29 */
																								goto BgL_tagzd21222zd2_538;
																							}
																					}
																			}
																		else
																			{	/* Expand/struct.scm 29 */
																				if (SYMBOLP(BgL_sz00_533))
																					{	/* Expand/struct.scm 29 */
																						BgL_arg2421z00_531 = BgL_sz00_533;
																					}
																				else
																					{	/* Expand/struct.scm 29 */
																						goto BgL_tagzd21222zd2_538;
																					}
																			}
																	}
																}
																BgL_newtail1391z00_529 =
																	MAKE_PAIR(BgL_arg2421z00_531, BNIL);
															}
															SET_CDR(BgL_tail1390z00_526,
																BgL_newtail1391z00_529);
															{
																obj_t BgL_tail1390z00_695;

																obj_t BgL_l1387z00_693;

																BgL_l1387z00_693 = CDR(BgL_l1387z00_525);
																BgL_tail1390z00_695 = BgL_newtail1391z00_529;
																BgL_tail1390z00_526 = BgL_tail1390z00_695;
																BgL_l1387z00_525 = BgL_l1387z00_693;
																goto BgL_map1388z00_527;
															}
														}
												}
											}
										{	/* Expand/struct.scm 28 */
											bool_t BgL_slotszd2valzf3z21_55;

											BgL_slotszd2valzf3z21_55 = ((bool_t) 0);
											{	/* Expand/struct.scm 39 */
												obj_t BgL_slotszd2valzd2_56;

												if (NULLP(BgL_slotsz00_44))
													{	/* Expand/struct.scm 40 */
														BgL_slotszd2valzd2_56 = BNIL;
													}
												else
													{	/* Expand/struct.scm 40 */
														obj_t BgL_head1394z00_498;

														BgL_head1394z00_498 = MAKE_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1392z00_499;

															obj_t BgL_tail1395z00_500;

															BgL_l1392z00_499 = BgL_slotsz00_44;
															BgL_tail1395z00_500 = BgL_head1394z00_498;
														BgL_map1393z00_501:
															if (NULLP(BgL_l1392z00_499))
																{	/* Expand/struct.scm 40 */
																	BgL_slotszd2valzd2_56 =
																		CDR(BgL_head1394z00_498);
																}
															else
																{	/* Expand/struct.scm 40 */
																	obj_t BgL_newtail1396z00_503;

																	{	/* Expand/struct.scm 40 */
																		obj_t BgL_arg2408z00_505;

																		{	/* Expand/struct.scm 40 */
																			obj_t BgL_sz00_507;

																			BgL_sz00_507 = CAR(BgL_l1392z00_499);
																			{

																				if (PAIRP(BgL_sz00_507))
																					{	/* Expand/struct.scm 41 */
																						obj_t BgL_cdrzd21242zd2_514;

																						BgL_cdrzd21242zd2_514 =
																							CDR(BgL_sz00_507);
																						if (PAIRP(BgL_cdrzd21242zd2_514))
																							{	/* Expand/struct.scm 41 */
																								if (NULLP(CDR
																										(BgL_cdrzd21242zd2_514)))
																									{	/* Expand/struct.scm 41 */
																										obj_t BgL_arg2413z00_517;

																										BgL_arg2413z00_517 =
																											CAR
																											(BgL_cdrzd21242zd2_514);
																										BgL_slotszd2valzf3z21_55 =
																											((bool_t) 1);
																										BgL_arg2408z00_505 =
																											BgL_arg2413z00_517;
																									}
																								else
																									{	/* Expand/struct.scm 41 */
																										if (SYMBOLP(BgL_sz00_507))
																											{	/* Expand/struct.scm 41 */
																												BgL_arg2408z00_505 =
																													CNST_TABLE_REF(((long)
																														0));
																											}
																										else
																											{	/* Expand/struct.scm 41 */
																											BgL_tagzd21237zd2_511:
																												BgL_arg2408z00_505 =
																													BGl_errorz00zz__errorz00
																													(BFALSE,
																													BGl_string2433z00zzexpand_structz00,
																													BgL_xz00_1);
																											}
																									}
																							}
																						else
																							{	/* Expand/struct.scm 41 */
																								if (SYMBOLP(BgL_sz00_507))
																									{	/* Expand/struct.scm 41 */
																										BgL_arg2408z00_505 =
																											CNST_TABLE_REF(((long)
																												0));
																									}
																								else
																									{	/* Expand/struct.scm 41 */
																										goto BgL_tagzd21237zd2_511;
																									}
																							}
																					}
																				else
																					{	/* Expand/struct.scm 41 */
																						if (SYMBOLP(BgL_sz00_507))
																							{	/* Expand/struct.scm 41 */
																								BgL_arg2408z00_505 =
																									CNST_TABLE_REF(((long) 0));
																							}
																						else
																							{	/* Expand/struct.scm 41 */
																								goto BgL_tagzd21237zd2_511;
																							}
																					}
																			}
																		}
																		BgL_newtail1396z00_503 =
																			MAKE_PAIR(BgL_arg2408z00_505, BNIL);
																	}
																	SET_CDR(BgL_tail1395z00_500,
																		BgL_newtail1396z00_503);
																	{
																		obj_t BgL_tail1395z00_726;

																		obj_t BgL_l1392z00_724;

																		BgL_l1392z00_724 = CDR(BgL_l1392z00_499);
																		BgL_tail1395z00_726 =
																			BgL_newtail1396z00_503;
																		BgL_tail1395z00_500 = BgL_tail1395z00_726;
																		BgL_l1392z00_499 = BgL_l1392z00_724;
																		goto BgL_map1393z00_501;
																	}
																}
														}
													}
												{	/* Expand/struct.scm 40 */

													{	/* Expand/struct.scm 53 */
														obj_t BgL_arg1405z00_57;

														obj_t BgL_arg1407z00_58;

														BgL_arg1405z00_57 = CNST_TABLE_REF(((long) 1));
														{	/* Expand/struct.scm 57 */
															obj_t BgL_arg1410z00_59;

															obj_t BgL_arg1425z00_60;

															{	/* Expand/struct.scm 57 */
																obj_t BgL_arg1427z00_61;

																{	/* Expand/struct.scm 57 */
																	obj_t BgL_arg1428z00_62;

																	{	/* Expand/struct.scm 57 */
																		obj_t BgL_arg1429z00_63;

																		obj_t BgL_arg1430z00_64;

																		BgL_arg1429z00_63 =
																			CNST_TABLE_REF(((long) 2));
																		{	/* Expand/struct.scm 57 */
																			obj_t BgL_arg1431z00_65;

																			obj_t BgL_arg1432z00_66;

																			{	/* Expand/struct.scm 57 */
																				obj_t BgL_arg1437z00_70;

																				obj_t BgL_arg1438z00_71;

																				{	/* Expand/struct.scm 57 */
																					obj_t BgL_arg1440z00_72;

																					{	/* Expand/struct.scm 57 */
																						obj_t BgL_arg1441z00_73;

																						obj_t BgL_arg1442z00_74;

																						{	/* Expand/struct.scm 57 */
																							obj_t BgL_symbolz00_599;

																							BgL_symbolz00_599 =
																								CNST_TABLE_REF(((long) 3));
																							BgL_arg1441z00_73 =
																								SYMBOL_TO_STRING
																								(BgL_symbolz00_599);
																						}
																						BgL_arg1442z00_74 =
																							SYMBOL_TO_STRING(BgL_namez00_43);
																						{	/* Expand/struct.scm 57 */
																							obj_t BgL_list1443z00_75;

																							{	/* Expand/struct.scm 57 */
																								obj_t BgL_arg1444z00_76;

																								BgL_arg1444z00_76 =
																									MAKE_PAIR(BgL_arg1442z00_74,
																									BNIL);
																								BgL_list1443z00_75 =
																									MAKE_PAIR(BgL_arg1441z00_73,
																									BgL_arg1444z00_76);
																							}
																							BgL_arg1440z00_72 =
																								BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																								(BgL_list1443z00_75);
																					}}
																					BgL_arg1437z00_70 =
																						string_to_symbol(BSTRING_TO_STRING
																						(BgL_arg1440z00_72));
																				}
																				BgL_arg1438z00_71 =
																					CNST_TABLE_REF(((long) 4));
																				BgL_arg1431z00_65 =
																					MAKE_PAIR(BgL_arg1437z00_70,
																					BgL_arg1438z00_71);
																			}
																			if (BgL_slotszd2valzf3z21_55)
																				{	/* Expand/struct.scm 59 */
																					obj_t BgL_arg1445z00_77;

																					obj_t BgL_arg1446z00_78;

																					BgL_arg1445z00_77 =
																						CNST_TABLE_REF(((long) 5));
																					{	/* Expand/struct.scm 59 */
																						obj_t BgL_arg1447z00_79;

																						obj_t BgL_arg1448z00_80;

																						obj_t BgL_arg1449z00_81;

																						{	/* Expand/struct.scm 59 */
																							obj_t BgL_arg1456z00_86;

																							obj_t BgL_arg1458z00_87;

																							BgL_arg1456z00_86 =
																								CNST_TABLE_REF(((long) 6));
																							{	/* Expand/struct.scm 59 */
																								obj_t BgL_list1459z00_88;

																								BgL_list1459z00_88 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg1458z00_87 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(CNST_TABLE_REF(((long) 4)),
																									BgL_list1459z00_88);
																							}
																							BgL_arg1447z00_79 =
																								MAKE_PAIR(BgL_arg1456z00_86,
																								BgL_arg1458z00_87);
																						}
																						{	/* Expand/struct.scm 60 */
																							obj_t BgL_arg1460z00_89;

																							obj_t BgL_arg1462z00_90;

																							BgL_arg1460z00_89 =
																								CNST_TABLE_REF(((long) 5));
																							{	/* Expand/struct.scm 60 */
																								obj_t BgL_arg1463z00_91;

																								obj_t BgL_arg1464z00_92;

																								obj_t BgL_arg1465z00_93;

																								{	/* Expand/struct.scm 60 */
																									obj_t BgL_arg1470z00_98;

																									obj_t BgL_arg1472z00_99;

																									BgL_arg1470z00_98 =
																										CNST_TABLE_REF(((long) 7));
																									{	/* Expand/struct.scm 60 */
																										obj_t BgL_arg1473z00_100;

																										{	/* Expand/struct.scm 60 */
																											obj_t BgL_arg1476z00_103;

																											obj_t BgL_arg1477z00_104;

																											BgL_arg1476z00_103 =
																												CNST_TABLE_REF(((long)
																													8));
																											{	/* Expand/struct.scm 60 */
																												obj_t
																													BgL_arg1478z00_105;
																												{	/* Expand/struct.scm 60 */
																													obj_t
																														BgL_arg1482z00_108;
																													obj_t
																														BgL_arg1483z00_109;
																													BgL_arg1482z00_108 =
																														CNST_TABLE_REF((
																															(long) 9));
																													{	/* Expand/struct.scm 60 */
																														obj_t
																															BgL_list1484z00_110;
																														BgL_list1484z00_110
																															=
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg1483z00_109 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(CNST_TABLE_REF((
																																	(long) 4)),
																															BgL_list1484z00_110);
																													}
																													BgL_arg1478z00_105 =
																														MAKE_PAIR
																														(BgL_arg1482z00_108,
																														BgL_arg1483z00_109);
																												}
																												{	/* Expand/struct.scm 60 */
																													obj_t
																														BgL_list1480z00_107;
																													BgL_list1480z00_107 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1477z00_104 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1478z00_105,
																														BgL_list1480z00_107);
																											}}
																											BgL_arg1473z00_100 =
																												MAKE_PAIR
																												(BgL_arg1476z00_103,
																												BgL_arg1477z00_104);
																										}
																										{	/* Expand/struct.scm 60 */
																											obj_t BgL_list1475z00_102;

																											BgL_list1475z00_102 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1472z00_99 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg1473z00_100,
																												BgL_list1475z00_102);
																									}}
																									BgL_arg1463z00_91 =
																										MAKE_PAIR(BgL_arg1470z00_98,
																										BgL_arg1472z00_99);
																								}
																								{	/* Expand/struct.scm 61 */
																									obj_t BgL_arg1485z00_111;

																									obj_t BgL_arg1486z00_112;

																									BgL_arg1485z00_111 =
																										CNST_TABLE_REF(((long) 10));
																									{	/* Expand/struct.scm 61 */
																										obj_t BgL_arg1487z00_113;

																										obj_t BgL_arg1490z00_115;

																										{	/* Expand/struct.scm 61 */
																											obj_t BgL_arg1496z00_120;

																											obj_t BgL_arg1497z00_121;

																											BgL_arg1496z00_120 =
																												CNST_TABLE_REF(((long)
																													11));
																											{	/* Expand/struct.scm 61 */
																												obj_t
																													BgL_arg1498z00_122;
																												{	/* Expand/struct.scm 61 */
																													obj_t
																														BgL_arg1502z00_125;
																													{	/* Expand/struct.scm 61 */
																														obj_t
																															BgL_arg1503z00_126;
																														obj_t
																															BgL_arg1504z00_127;
																														{	/* Expand/struct.scm 61 */
																															obj_t
																																BgL_symbolz00_602;
																															BgL_symbolz00_602
																																=
																																CNST_TABLE_REF((
																																	(long) 3));
																															BgL_arg1503z00_126
																																=
																																SYMBOL_TO_STRING
																																(BgL_symbolz00_602);
																														}
																														BgL_arg1504z00_127 =
																															SYMBOL_TO_STRING
																															(BgL_namez00_43);
																														{	/* Expand/struct.scm 61 */
																															obj_t
																																BgL_list1505z00_128;
																															{	/* Expand/struct.scm 61 */
																																obj_t
																																	BgL_arg1507z00_129;
																																BgL_arg1507z00_129
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1504z00_127,
																																	BNIL);
																																BgL_list1505z00_128
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1503z00_126,
																																	BgL_arg1507z00_129);
																															}
																															BgL_arg1502z00_125
																																=
																																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																(BgL_list1505z00_128);
																													}}
																													BgL_arg1498z00_122 =
																														string_to_symbol
																														(BSTRING_TO_STRING
																														(BgL_arg1502z00_125));
																												}
																												{	/* Expand/struct.scm 61 */
																													obj_t
																														BgL_list1501z00_124;
																													BgL_list1501z00_124 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1497z00_121 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1498z00_122,
																														BgL_list1501z00_124);
																											}}
																											BgL_arg1487z00_113 =
																												MAKE_PAIR
																												(BgL_arg1496z00_120,
																												BgL_arg1497z00_121);
																										}
																										BgL_arg1490z00_115 =
																											CNST_TABLE_REF(((long)
																												4));
																										{	/* Expand/struct.scm 61 */
																											obj_t BgL_list1492z00_117;

																											{	/* Expand/struct.scm 61 */
																												obj_t
																													BgL_arg1493z00_118;
																												{	/* Expand/struct.scm 61 */
																													obj_t
																														BgL_arg1494z00_119;
																													BgL_arg1494z00_119 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1493z00_118 =
																														MAKE_PAIR
																														(BgL_arg1490z00_115,
																														BgL_arg1494z00_119);
																												}
																												BgL_list1492z00_117 =
																													MAKE_PAIR
																													(BGl_string2434z00zzexpand_structz00,
																													BgL_arg1493z00_118);
																											}
																											BgL_arg1486z00_112 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg1487z00_113,
																												BgL_list1492z00_117);
																									}}
																									BgL_arg1464z00_92 =
																										MAKE_PAIR
																										(BgL_arg1485z00_111,
																										BgL_arg1486z00_112);
																								}
																								{	/* Expand/struct.scm 64 */
																									obj_t BgL_arg1508z00_130;

																									obj_t BgL_arg1509z00_131;

																									{	/* Expand/struct.scm 64 */
																										obj_t BgL_arg1510z00_132;

																										obj_t BgL_arg1511z00_133;

																										BgL_arg1510z00_132 =
																											CNST_TABLE_REF(((long)
																												12));
																										{	/* Expand/struct.scm 64 */
																											obj_t BgL_list1512z00_134;

																											{	/* Expand/struct.scm 64 */
																												obj_t
																													BgL_arg1513z00_135;
																												obj_t
																													BgL_arg1514z00_136;
																												BgL_arg1513z00_135 =
																													CNST_TABLE_REF(((long)
																														13));
																												BgL_arg1514z00_136 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_list1512z00_134 =
																													MAKE_PAIR
																													(BgL_arg1513z00_135,
																													BgL_arg1514z00_136);
																											}
																											BgL_arg1511z00_133 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(CNST_TABLE_REF(((long)
																														14)),
																												BgL_list1512z00_134);
																										}
																										BgL_arg1508z00_130 =
																											MAKE_PAIR
																											(BgL_arg1510z00_132,
																											BgL_arg1511z00_133);
																									}
																									{	/* Expand/struct.scm 65 */
																										obj_t BgL_arg1516z00_137;

																										obj_t BgL_arg1517z00_138;

																										{	/* Expand/struct.scm 65 */
																											obj_t BgL_arg1524z00_143;

																											obj_t BgL_arg1525z00_144;

																											BgL_arg1524z00_143 =
																												CNST_TABLE_REF(((long)
																													11));
																											{	/* Expand/struct.scm 65 */
																												obj_t
																													BgL_list1526z00_145;
																												BgL_list1526z00_145 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg1525z00_144 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_namez00_43,
																													BgL_list1526z00_145);
																											}
																											BgL_arg1516z00_137 =
																												MAKE_PAIR
																												(BgL_arg1524z00_143,
																												BgL_arg1525z00_144);
																										}
																										{	/* Expand/struct.scm 65 */
																											obj_t BgL_arg1527z00_146;

																											obj_t BgL_arg1528z00_147;

																											BgL_arg1527z00_146 =
																												CNST_TABLE_REF(((long)
																													15));
																											{	/* Expand/struct.scm 65 */
																												obj_t
																													BgL_list1529z00_148;
																												BgL_list1529z00_148 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg1528z00_147 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(CNST_TABLE_REF((
																															(long) 4)),
																													BgL_list1529z00_148);
																											}
																											BgL_arg1517z00_138 =
																												MAKE_PAIR
																												(BgL_arg1527z00_146,
																												BgL_arg1528z00_147);
																										}
																										{	/* Expand/struct.scm 64 */
																											obj_t BgL_list1519z00_140;

																											{	/* Expand/struct.scm 64 */
																												obj_t
																													BgL_arg1521z00_141;
																												{	/* Expand/struct.scm 64 */
																													obj_t
																														BgL_arg1522z00_142;
																													BgL_arg1522z00_142 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1521z00_141 =
																														MAKE_PAIR
																														(BgL_arg1517z00_138,
																														BgL_arg1522z00_142);
																												}
																												BgL_list1519z00_140 =
																													MAKE_PAIR(BINT
																													(BgL_lenz00_53),
																													BgL_arg1521z00_141);
																											}
																											BgL_arg1509z00_131 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg1516z00_137,
																												BgL_list1519z00_140);
																									}}
																									BgL_arg1465z00_93 =
																										MAKE_PAIR
																										(BgL_arg1508z00_130,
																										BgL_arg1509z00_131);
																								}
																								{	/* Expand/struct.scm 60 */
																									obj_t BgL_list1467z00_95;

																									{	/* Expand/struct.scm 60 */
																										obj_t BgL_arg1468z00_96;

																										{	/* Expand/struct.scm 60 */
																											obj_t BgL_arg1469z00_97;

																											BgL_arg1469z00_97 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1468z00_96 =
																												MAKE_PAIR
																												(BgL_arg1465z00_93,
																												BgL_arg1469z00_97);
																										}
																										BgL_list1467z00_95 =
																											MAKE_PAIR
																											(BgL_arg1464z00_92,
																											BgL_arg1468z00_96);
																									}
																									BgL_arg1462z00_90 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg1463z00_91,
																										BgL_list1467z00_95);
																							}}
																							BgL_arg1448z00_80 =
																								MAKE_PAIR(BgL_arg1460z00_89,
																								BgL_arg1462z00_90);
																						}
																						BgL_arg1449z00_81 =
																							MAKE_PAIR(BgL_namez00_43,
																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																							(BgL_slotszd2valzd2_56, BNIL));
																						{	/* Expand/struct.scm 59 */
																							obj_t BgL_list1451z00_83;

																							{	/* Expand/struct.scm 59 */
																								obj_t BgL_arg1452z00_84;

																								{	/* Expand/struct.scm 59 */
																									obj_t BgL_arg1455z00_85;

																									BgL_arg1455z00_85 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg1452z00_84 =
																										MAKE_PAIR(BgL_arg1449z00_81,
																										BgL_arg1455z00_85);
																								}
																								BgL_list1451z00_83 =
																									MAKE_PAIR(BgL_arg1448z00_80,
																									BgL_arg1452z00_84);
																							}
																							BgL_arg1446z00_78 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg1447z00_79,
																								BgL_list1451z00_83);
																					}}
																					BgL_arg1432z00_66 =
																						MAKE_PAIR(BgL_arg1445z00_77,
																						BgL_arg1446z00_78);
																				}
																			else
																				{	/* Expand/struct.scm 67 */
																					obj_t BgL_arg1531z00_150;

																					obj_t BgL_arg1532z00_151;

																					BgL_arg1531z00_150 =
																						CNST_TABLE_REF(((long) 5));
																					{	/* Expand/struct.scm 67 */
																						obj_t BgL_arg1533z00_152;

																						obj_t BgL_arg1534z00_153;

																						obj_t BgL_arg1535z00_154;

																						{	/* Expand/struct.scm 67 */
																							obj_t BgL_arg1547z00_159;

																							obj_t BgL_arg1548z00_160;

																							BgL_arg1547z00_159 =
																								CNST_TABLE_REF(((long) 6));
																							{	/* Expand/struct.scm 67 */
																								obj_t BgL_list1549z00_161;

																								BgL_list1549z00_161 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg1548z00_160 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(CNST_TABLE_REF(((long) 4)),
																									BgL_list1549z00_161);
																							}
																							BgL_arg1533z00_152 =
																								MAKE_PAIR(BgL_arg1547z00_159,
																								BgL_arg1548z00_160);
																						}
																						{	/* Expand/struct.scm 68 */
																							obj_t BgL_arg1550z00_162;

																							obj_t BgL_arg1551z00_163;

																							BgL_arg1550z00_162 =
																								CNST_TABLE_REF(((long) 5));
																							{	/* Expand/struct.scm 68 */
																								obj_t BgL_arg1553z00_164;

																								obj_t BgL_arg1554z00_165;

																								obj_t BgL_arg1555z00_166;

																								{	/* Expand/struct.scm 68 */
																									obj_t BgL_arg1561z00_171;

																									obj_t BgL_arg1562z00_172;

																									BgL_arg1561z00_171 =
																										CNST_TABLE_REF(((long) 7));
																									{	/* Expand/struct.scm 68 */
																										obj_t BgL_arg1563z00_173;

																										{	/* Expand/struct.scm 68 */
																											obj_t BgL_arg1569z00_176;

																											obj_t BgL_arg1570z00_177;

																											BgL_arg1569z00_176 =
																												CNST_TABLE_REF(((long)
																													8));
																											{	/* Expand/struct.scm 68 */
																												obj_t
																													BgL_arg1571z00_178;
																												{	/* Expand/struct.scm 68 */
																													obj_t
																														BgL_arg1575z00_181;
																													obj_t
																														BgL_arg1576z00_182;
																													BgL_arg1575z00_181 =
																														CNST_TABLE_REF((
																															(long) 9));
																													{	/* Expand/struct.scm 68 */
																														obj_t
																															BgL_list1577z00_183;
																														BgL_list1577z00_183
																															=
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg1576z00_182 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(CNST_TABLE_REF((
																																	(long) 4)),
																															BgL_list1577z00_183);
																													}
																													BgL_arg1571z00_178 =
																														MAKE_PAIR
																														(BgL_arg1575z00_181,
																														BgL_arg1576z00_182);
																												}
																												{	/* Expand/struct.scm 68 */
																													obj_t
																														BgL_list1574z00_180;
																													BgL_list1574z00_180 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1570z00_177 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1571z00_178,
																														BgL_list1574z00_180);
																											}}
																											BgL_arg1563z00_173 =
																												MAKE_PAIR
																												(BgL_arg1569z00_176,
																												BgL_arg1570z00_177);
																										}
																										{	/* Expand/struct.scm 68 */
																											obj_t BgL_list1568z00_175;

																											BgL_list1568z00_175 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1562z00_172 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg1563z00_173,
																												BgL_list1568z00_175);
																									}}
																									BgL_arg1553z00_164 =
																										MAKE_PAIR
																										(BgL_arg1561z00_171,
																										BgL_arg1562z00_172);
																								}
																								{	/* Expand/struct.scm 69 */
																									obj_t BgL_arg1578z00_184;

																									obj_t BgL_arg1579z00_185;

																									BgL_arg1578z00_184 =
																										CNST_TABLE_REF(((long) 10));
																									{	/* Expand/struct.scm 69 */
																										obj_t BgL_arg1582z00_186;

																										obj_t BgL_arg1589z00_188;

																										{	/* Expand/struct.scm 69 */
																											obj_t BgL_arg1595z00_193;

																											obj_t BgL_arg1596z00_194;

																											BgL_arg1595z00_193 =
																												CNST_TABLE_REF(((long)
																													11));
																											{	/* Expand/struct.scm 69 */
																												obj_t
																													BgL_arg1598z00_195;
																												{	/* Expand/struct.scm 69 */
																													obj_t
																														BgL_arg1601z00_198;
																													{	/* Expand/struct.scm 69 */
																														obj_t
																															BgL_arg1604z00_199;
																														obj_t
																															BgL_arg1605z00_200;
																														{	/* Expand/struct.scm 69 */
																															obj_t
																																BgL_symbolz00_605;
																															BgL_symbolz00_605
																																=
																																CNST_TABLE_REF((
																																	(long) 3));
																															BgL_arg1604z00_199
																																=
																																SYMBOL_TO_STRING
																																(BgL_symbolz00_605);
																														}
																														BgL_arg1605z00_200 =
																															SYMBOL_TO_STRING
																															(BgL_namez00_43);
																														{	/* Expand/struct.scm 69 */
																															obj_t
																																BgL_list1606z00_201;
																															{	/* Expand/struct.scm 69 */
																																obj_t
																																	BgL_arg1607z00_202;
																																BgL_arg1607z00_202
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1605z00_200,
																																	BNIL);
																																BgL_list1606z00_201
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1604z00_199,
																																	BgL_arg1607z00_202);
																															}
																															BgL_arg1601z00_198
																																=
																																BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																																(BgL_list1606z00_201);
																													}}
																													BgL_arg1598z00_195 =
																														string_to_symbol
																														(BSTRING_TO_STRING
																														(BgL_arg1601z00_198));
																												}
																												{	/* Expand/struct.scm 69 */
																													obj_t
																														BgL_list1600z00_197;
																													BgL_list1600z00_197 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1596z00_194 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg1598z00_195,
																														BgL_list1600z00_197);
																											}}
																											BgL_arg1582z00_186 =
																												MAKE_PAIR
																												(BgL_arg1595z00_193,
																												BgL_arg1596z00_194);
																										}
																										BgL_arg1589z00_188 =
																											CNST_TABLE_REF(((long)
																												4));
																										{	/* Expand/struct.scm 69 */
																											obj_t BgL_list1591z00_190;

																											{	/* Expand/struct.scm 69 */
																												obj_t
																													BgL_arg1592z00_191;
																												{	/* Expand/struct.scm 69 */
																													obj_t
																														BgL_arg1593z00_192;
																													BgL_arg1593z00_192 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1592z00_191 =
																														MAKE_PAIR
																														(BgL_arg1589z00_188,
																														BgL_arg1593z00_192);
																												}
																												BgL_list1591z00_190 =
																													MAKE_PAIR
																													(BGl_string2434z00zzexpand_structz00,
																													BgL_arg1592z00_191);
																											}
																											BgL_arg1579z00_185 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg1582z00_186,
																												BgL_list1591z00_190);
																									}}
																									BgL_arg1554z00_165 =
																										MAKE_PAIR
																										(BgL_arg1578z00_184,
																										BgL_arg1579z00_185);
																								}
																								{	/* Expand/struct.scm 72 */
																									obj_t BgL_arg1609z00_203;

																									obj_t BgL_arg1610z00_204;

																									{	/* Expand/struct.scm 72 */
																										obj_t BgL_arg1611z00_205;

																										obj_t BgL_arg1615z00_206;

																										BgL_arg1611z00_205 =
																											CNST_TABLE_REF(((long)
																												12));
																										{	/* Expand/struct.scm 72 */
																											obj_t BgL_list1616z00_207;

																											{	/* Expand/struct.scm 72 */
																												obj_t
																													BgL_arg1617z00_208;
																												obj_t
																													BgL_arg1618z00_209;
																												BgL_arg1617z00_208 =
																													CNST_TABLE_REF(((long)
																														13));
																												BgL_arg1618z00_209 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_list1616z00_207 =
																													MAKE_PAIR
																													(BgL_arg1617z00_208,
																													BgL_arg1618z00_209);
																											}
																											BgL_arg1615z00_206 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(CNST_TABLE_REF(((long)
																														14)),
																												BgL_list1616z00_207);
																										}
																										BgL_arg1609z00_203 =
																											MAKE_PAIR
																											(BgL_arg1611z00_205,
																											BgL_arg1615z00_206);
																									}
																									{	/* Expand/struct.scm 73 */
																										obj_t BgL_arg1619z00_210;

																										obj_t BgL_arg1622z00_211;

																										{	/* Expand/struct.scm 73 */
																											obj_t BgL_arg1627z00_216;

																											obj_t BgL_arg1628z00_217;

																											BgL_arg1627z00_216 =
																												CNST_TABLE_REF(((long)
																													11));
																											{	/* Expand/struct.scm 73 */
																												obj_t
																													BgL_list1629z00_218;
																												BgL_list1629z00_218 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg1628z00_217 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_namez00_43,
																													BgL_list1629z00_218);
																											}
																											BgL_arg1619z00_210 =
																												MAKE_PAIR
																												(BgL_arg1627z00_216,
																												BgL_arg1628z00_217);
																										}
																										{	/* Expand/struct.scm 73 */
																											obj_t BgL_arg1631z00_219;

																											obj_t BgL_arg1632z00_220;

																											BgL_arg1631z00_219 =
																												CNST_TABLE_REF(((long)
																													15));
																											{	/* Expand/struct.scm 73 */
																												obj_t
																													BgL_list1633z00_221;
																												BgL_list1633z00_221 =
																													MAKE_PAIR(BNIL, BNIL);
																												BgL_arg1632z00_220 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(CNST_TABLE_REF((
																															(long) 4)),
																													BgL_list1633z00_221);
																											}
																											BgL_arg1622z00_211 =
																												MAKE_PAIR
																												(BgL_arg1631z00_219,
																												BgL_arg1632z00_220);
																										}
																										{	/* Expand/struct.scm 72 */
																											obj_t BgL_list1624z00_213;

																											{	/* Expand/struct.scm 72 */
																												obj_t
																													BgL_arg1625z00_214;
																												{	/* Expand/struct.scm 72 */
																													obj_t
																														BgL_arg1626z00_215;
																													BgL_arg1626z00_215 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1625z00_214 =
																														MAKE_PAIR
																														(BgL_arg1622z00_211,
																														BgL_arg1626z00_215);
																												}
																												BgL_list1624z00_213 =
																													MAKE_PAIR(BINT
																													(BgL_lenz00_53),
																													BgL_arg1625z00_214);
																											}
																											BgL_arg1610z00_204 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_arg1619z00_210,
																												BgL_list1624z00_213);
																									}}
																									BgL_arg1555z00_166 =
																										MAKE_PAIR
																										(BgL_arg1609z00_203,
																										BgL_arg1610z00_204);
																								}
																								{	/* Expand/struct.scm 68 */
																									obj_t BgL_list1557z00_168;

																									{	/* Expand/struct.scm 68 */
																										obj_t BgL_arg1558z00_169;

																										{	/* Expand/struct.scm 68 */
																											obj_t BgL_arg1560z00_170;

																											BgL_arg1560z00_170 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1558z00_169 =
																												MAKE_PAIR
																												(BgL_arg1555z00_166,
																												BgL_arg1560z00_170);
																										}
																										BgL_list1557z00_168 =
																											MAKE_PAIR
																											(BgL_arg1554z00_165,
																											BgL_arg1558z00_169);
																									}
																									BgL_arg1551z00_163 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg1553z00_164,
																										BgL_list1557z00_168);
																							}}
																							BgL_arg1534z00_153 =
																								MAKE_PAIR(BgL_arg1550z00_162,
																								BgL_arg1551z00_163);
																						}
																						{	/* Expand/struct.scm 74 */
																							obj_t BgL_arg1635z00_222;

																							obj_t BgL_arg1636z00_223;

																							{	/* Expand/struct.scm 74 */
																								obj_t BgL_arg1637z00_224;

																								obj_t BgL_arg1638z00_225;

																								BgL_arg1637z00_224 =
																									CNST_TABLE_REF(((long) 12));
																								{	/* Expand/struct.scm 74 */
																									obj_t BgL_list1639z00_226;

																									{	/* Expand/struct.scm 74 */
																										obj_t BgL_arg1640z00_227;

																										obj_t BgL_arg1641z00_228;

																										BgL_arg1640z00_227 =
																											CNST_TABLE_REF(((long)
																												13));
																										BgL_arg1641z00_228 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_list1639z00_226 =
																											MAKE_PAIR
																											(BgL_arg1640z00_227,
																											BgL_arg1641z00_228);
																									}
																									BgL_arg1638z00_225 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(CNST_TABLE_REF(((long)
																												14)),
																										BgL_list1639z00_226);
																								}
																								BgL_arg1635z00_222 =
																									MAKE_PAIR(BgL_arg1637z00_224,
																									BgL_arg1638z00_225);
																							}
																							{	/* Expand/struct.scm 75 */
																								obj_t BgL_arg1642z00_229;

																								obj_t BgL_arg1643z00_230;

																								{	/* Expand/struct.scm 75 */
																									obj_t BgL_arg1653z00_235;

																									obj_t BgL_arg1657z00_236;

																									BgL_arg1653z00_235 =
																										CNST_TABLE_REF(((long) 11));
																									{	/* Expand/struct.scm 75 */
																										obj_t BgL_list1658z00_237;

																										BgL_list1658z00_237 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg1657z00_236 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_namez00_43,
																											BgL_list1658z00_237);
																									}
																									BgL_arg1642z00_229 =
																										MAKE_PAIR
																										(BgL_arg1653z00_235,
																										BgL_arg1657z00_236);
																								}
																								{	/* Expand/struct.scm 75 */
																									obj_t BgL_arg1659z00_238;

																									obj_t BgL_arg1660z00_239;

																									BgL_arg1659z00_238 =
																										CNST_TABLE_REF(((long) 11));
																									{	/* Expand/struct.scm 75 */
																										obj_t BgL_list1661z00_240;

																										BgL_list1661z00_240 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg1660z00_239 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BNIL,
																											BgL_list1661z00_240);
																									}
																									BgL_arg1643z00_230 =
																										MAKE_PAIR
																										(BgL_arg1659z00_238,
																										BgL_arg1660z00_239);
																								}
																								{	/* Expand/struct.scm 74 */
																									obj_t BgL_list1645z00_232;

																									{	/* Expand/struct.scm 74 */
																										obj_t BgL_arg1646z00_233;

																										{	/* Expand/struct.scm 74 */
																											obj_t BgL_arg1647z00_234;

																											BgL_arg1647z00_234 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1646z00_233 =
																												MAKE_PAIR
																												(BgL_arg1643z00_230,
																												BgL_arg1647z00_234);
																										}
																										BgL_list1645z00_232 =
																											MAKE_PAIR(BINT
																											(BgL_lenz00_53),
																											BgL_arg1646z00_233);
																									}
																									BgL_arg1636z00_223 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg1642z00_229,
																										BgL_list1645z00_232);
																							}}
																							BgL_arg1535z00_154 =
																								MAKE_PAIR(BgL_arg1635z00_222,
																								BgL_arg1636z00_223);
																						}
																						{	/* Expand/struct.scm 67 */
																							obj_t BgL_list1539z00_156;

																							{	/* Expand/struct.scm 67 */
																								obj_t BgL_arg1540z00_157;

																								{	/* Expand/struct.scm 67 */
																									obj_t BgL_arg1541z00_158;

																									BgL_arg1541z00_158 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg1540z00_157 =
																										MAKE_PAIR
																										(BgL_arg1535z00_154,
																										BgL_arg1541z00_158);
																								}
																								BgL_list1539z00_156 =
																									MAKE_PAIR(BgL_arg1534z00_153,
																									BgL_arg1540z00_157);
																							}
																							BgL_arg1532z00_151 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg1533z00_152,
																								BgL_list1539z00_156);
																					}}
																					BgL_arg1432z00_66 =
																						MAKE_PAIR(BgL_arg1531z00_150,
																						BgL_arg1532z00_151);
																				}
																			{	/* Expand/struct.scm 57 */
																				obj_t BgL_list1435z00_68;

																				{	/* Expand/struct.scm 57 */
																					obj_t BgL_arg1436z00_69;

																					BgL_arg1436z00_69 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_list1435z00_68 =
																						MAKE_PAIR(BgL_arg1432z00_66,
																						BgL_arg1436z00_69);
																				}
																				BgL_arg1430z00_64 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg1431z00_65,
																					BgL_list1435z00_68);
																		}}
																		BgL_arg1428z00_62 =
																			MAKE_PAIR(BgL_arg1429z00_63,
																			BgL_arg1430z00_64);
																	}
																	BgL_arg1427z00_61 =
																		BGl_epairifyz00zztools_miscz00
																		(BgL_arg1428z00_62, BgL_xz00_1);
																}
																BgL_arg1410z00_59 =
																	PROCEDURE_ENTRY(BgL_ez00_2) (BgL_ez00_2,
																	BgL_arg1427z00_61, BgL_ez00_2, BEOA);
															}
															{	/* Expand/struct.scm 80 */
																obj_t BgL_arg1663z00_241;

																obj_t BgL_arg1664z00_242;

																{	/* Expand/struct.scm 80 */
																	obj_t BgL_arg1665z00_243;

																	{	/* Expand/struct.scm 80 */
																		obj_t BgL_arg1666z00_244;

																		{	/* Expand/struct.scm 80 */
																			obj_t BgL_arg1668z00_245;

																			obj_t BgL_arg1669z00_246;

																			BgL_arg1668z00_245 =
																				CNST_TABLE_REF(((long) 2));
																			{	/* Expand/struct.scm 80 */
																				obj_t BgL_arg1670z00_247;

																				obj_t BgL_arg1671z00_248;

																				BgL_arg1670z00_247 =
																					MAKE_PAIR(BgL_namez00_43,
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BgL_slotszd2namezd2_54, BNIL));
																				{	/* Expand/struct.scm 81 */
																					obj_t BgL_arg1676z00_253;

																					obj_t BgL_arg1678z00_254;

																					BgL_arg1676z00_253 =
																						CNST_TABLE_REF(((long) 16));
																					{	/* Expand/struct.scm 81 */
																						obj_t BgL_arg1679z00_255;

																						obj_t BgL_arg1680z00_256;

																						{	/* Expand/struct.scm 81 */
																							obj_t BgL_arg1682z00_258;

																							{	/* Expand/struct.scm 81 */
																								obj_t BgL_arg1684z00_260;

																								obj_t BgL_arg1685z00_261;

																								BgL_arg1684z00_260 =
																									CNST_TABLE_REF(((long) 17));
																								{	/* Expand/struct.scm 81 */
																									obj_t BgL_arg1686z00_262;

																									{	/* Expand/struct.scm 81 */
																										obj_t BgL_arg1692z00_265;

																										obj_t BgL_arg1693z00_266;

																										BgL_arg1692z00_265 =
																											CNST_TABLE_REF(((long)
																												18));
																										{	/* Expand/struct.scm 81 */
																											obj_t BgL_arg1694z00_267;

																											{	/* Expand/struct.scm 81 */
																												obj_t
																													BgL_arg1700z00_271;
																												obj_t
																													BgL_arg1701z00_272;
																												BgL_arg1700z00_271 =
																													CNST_TABLE_REF(((long)
																														11));
																												{	/* Expand/struct.scm 81 */
																													obj_t
																														BgL_list1702z00_273;
																													BgL_list1702z00_273 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1701z00_272 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_namez00_43,
																														BgL_list1702z00_273);
																												}
																												BgL_arg1694z00_267 =
																													MAKE_PAIR
																													(BgL_arg1700z00_271,
																													BgL_arg1701z00_272);
																											}
																											{	/* Expand/struct.scm 81 */
																												obj_t
																													BgL_list1697z00_269;
																												{	/* Expand/struct.scm 81 */
																													obj_t
																														BgL_arg1699z00_270;
																													BgL_arg1699z00_270 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list1697z00_269 =
																														MAKE_PAIR(BINT
																														(BgL_lenz00_53),
																														BgL_arg1699z00_270);
																												}
																												BgL_arg1693z00_266 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg1694z00_267,
																													BgL_list1697z00_269);
																										}}
																										BgL_arg1686z00_262 =
																											MAKE_PAIR
																											(BgL_arg1692z00_265,
																											BgL_arg1693z00_266);
																									}
																									{	/* Expand/struct.scm 81 */
																										obj_t BgL_list1688z00_264;

																										BgL_list1688z00_264 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg1685z00_261 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg1686z00_262,
																											BgL_list1688z00_264);
																								}}
																								BgL_arg1682z00_258 =
																									MAKE_PAIR(BgL_arg1684z00_260,
																									BgL_arg1685z00_261);
																							}
																							BgL_arg1679z00_255 =
																								MAKE_PAIR(BgL_arg1682z00_258,
																								BNIL);
																						}
																						{	/* Expand/struct.scm 82 */
																							obj_t BgL_arg1703z00_274;

																							obj_t BgL_arg1704z00_275;

																							{
																								obj_t BgL_slotsz00_277;

																								obj_t BgL_resz00_278;

																								BgL_slotsz00_277 =
																									BgL_slotszd2namezd2_54;
																								BgL_resz00_278 = BNIL;
																							BgL_loopz00_279:
																								if (NULLP(BgL_slotsz00_277))
																									{	/* Expand/struct.scm 84 */
																										BgL_arg1703z00_274 =
																											BgL_resz00_278;
																									}
																								else
																									{	/* Expand/struct.scm 86 */
																										obj_t BgL_arg1706z00_281;

																										obj_t BgL_arg1710z00_282;

																										BgL_arg1706z00_281 =
																											CDR(BgL_slotsz00_277);
																										{	/* Expand/struct.scm 88 */
																											obj_t BgL_arg1713z00_283;

																											{	/* Expand/struct.scm 88 */
																												obj_t
																													BgL_arg1714z00_284;
																												obj_t
																													BgL_arg1716z00_285;
																												{	/* Expand/struct.scm 88 */
																													obj_t
																														BgL_arg1720z00_286;
																													obj_t
																														BgL_arg1721z00_287;
																													obj_t
																														BgL_arg1723z00_288;
																													BgL_arg1720z00_286 =
																														CNST_TABLE_REF((
																															(long) 19));
																													BgL_arg1721z00_287 =
																														CAR
																														(BgL_slotsz00_277);
																													BgL_arg1723z00_288 =
																														CNST_TABLE_REF((
																															(long) 20));
																													{	/* Expand/struct.scm 87 */
																														obj_t
																															BgL_list1724z00_289;
																														{	/* Expand/struct.scm 87 */
																															obj_t
																																BgL_arg1725z00_290;
																															{	/* Expand/struct.scm 87 */
																																obj_t
																																	BgL_arg1729z00_291;
																																{	/* Expand/struct.scm 87 */
																																	obj_t
																																		BgL_arg1730z00_292;
																																	BgL_arg1730z00_292
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1723z00_288,
																																		BNIL);
																																	BgL_arg1729z00_291
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1721z00_287,
																																		BgL_arg1730z00_292);
																																}
																																BgL_arg1725z00_290
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1720z00_286,
																																	BgL_arg1729z00_291);
																															}
																															BgL_list1724z00_289
																																=
																																MAKE_PAIR
																																(BgL_namez00_43,
																																BgL_arg1725z00_290);
																														}
																														BgL_arg1714z00_284 =
																															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																															(BgL_list1724z00_289);
																												}}
																												{	/* Expand/struct.scm 87 */
																													obj_t
																														BgL_arg1731z00_293;
																													obj_t
																														BgL_arg1732z00_294;
																													BgL_arg1731z00_293 =
																														CNST_TABLE_REF((
																															(long) 17));
																													BgL_arg1732z00_294 =
																														CAR
																														(BgL_slotsz00_277);
																													{	/* Expand/struct.scm 87 */
																														obj_t
																															BgL_list1737z00_296;
																														{	/* Expand/struct.scm 87 */
																															obj_t
																																BgL_arg1742z00_297;
																															BgL_arg1742z00_297
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list1737z00_296
																																=
																																MAKE_PAIR
																																(BgL_arg1732z00_294,
																																BgL_arg1742z00_297);
																														}
																														BgL_arg1716z00_285 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_arg1731z00_293,
																															BgL_list1737z00_296);
																												}}
																												BgL_arg1713z00_283 =
																													MAKE_PAIR
																													(BgL_arg1714z00_284,
																													BgL_arg1716z00_285);
																											}
																											BgL_arg1710z00_282 =
																												MAKE_PAIR
																												(BgL_arg1713z00_283,
																												BgL_resz00_278);
																										}
																										{
																											obj_t BgL_resz00_950;

																											obj_t BgL_slotsz00_949;

																											BgL_slotsz00_949 =
																												BgL_arg1706z00_281;
																											BgL_resz00_950 =
																												BgL_arg1710z00_282;
																											BgL_resz00_278 =
																												BgL_resz00_950;
																											BgL_slotsz00_277 =
																												BgL_slotsz00_949;
																											goto BgL_loopz00_279;
																										}
																									}
																							}
																							BgL_arg1704z00_275 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										17)), BNIL);
																							BgL_arg1680z00_256 =
																								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg1703z00_274,
																								BgL_arg1704z00_275);
																						}
																						{	/* Expand/struct.scm 81 */
																							obj_t BgL_list1681z00_257;

																							BgL_list1681z00_257 =
																								MAKE_PAIR(BgL_arg1680z00_256,
																								BNIL);
																							BgL_arg1678z00_254 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg1679z00_255,
																								BgL_list1681z00_257);
																					}}
																					BgL_arg1671z00_248 =
																						MAKE_PAIR(BgL_arg1676z00_253,
																						BgL_arg1678z00_254);
																				}
																				{	/* Expand/struct.scm 80 */
																					obj_t BgL_list1673z00_250;

																					{	/* Expand/struct.scm 80 */
																						obj_t BgL_arg1674z00_251;

																						BgL_arg1674z00_251 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_list1673z00_250 =
																							MAKE_PAIR(BgL_arg1671z00_248,
																							BgL_arg1674z00_251);
																					}
																					BgL_arg1669z00_246 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg1670z00_247,
																						BgL_list1673z00_250);
																			}}
																			BgL_arg1666z00_244 =
																				MAKE_PAIR(BgL_arg1668z00_245,
																				BgL_arg1669z00_246);
																		}
																		BgL_arg1665z00_243 =
																			BGl_epairifyz00zztools_miscz00
																			(BgL_arg1666z00_244, BgL_xz00_1);
																	}
																	BgL_arg1663z00_241 =
																		PROCEDURE_ENTRY(BgL_ez00_2) (BgL_ez00_2,
																		BgL_arg1665z00_243, BgL_ez00_2, BEOA);
																}
																{	/* Expand/struct.scm 100 */
																	obj_t BgL_arg1746z00_298;

																	obj_t BgL_arg1749z00_299;

																	{	/* Expand/struct.scm 100 */
																		obj_t BgL_arg1750z00_300;

																		{	/* Expand/struct.scm 100 */
																			obj_t BgL_arg1751z00_301;

																			{	/* Expand/struct.scm 100 */
																				obj_t BgL_arg1753z00_302;

																				obj_t BgL_arg1754z00_303;

																				BgL_arg1753z00_302 =
																					CNST_TABLE_REF(((long) 2));
																				{	/* Expand/struct.scm 100 */
																					obj_t BgL_arg1755z00_304;

																					obj_t BgL_arg1770z00_305;

																					{	/* Expand/struct.scm 100 */
																						obj_t BgL_arg1778z00_309;

																						obj_t BgL_arg1782z00_310;

																						{	/* Expand/struct.scm 100 */
																							obj_t BgL_arg1783z00_311;

																							{	/* Expand/struct.scm 100 */
																								obj_t BgL_arg1785z00_312;

																								obj_t BgL_arg1787z00_313;

																								BgL_arg1785z00_312 =
																									SYMBOL_TO_STRING
																									(BgL_namez00_43);
																								{	/* Expand/struct.scm 100 */
																									obj_t BgL_symbolz00_613;

																									BgL_symbolz00_613 =
																										CNST_TABLE_REF(((long) 21));
																									BgL_arg1787z00_313 =
																										SYMBOL_TO_STRING
																										(BgL_symbolz00_613);
																								}
																								{	/* Expand/struct.scm 100 */
																									obj_t BgL_list1788z00_314;

																									{	/* Expand/struct.scm 100 */
																										obj_t BgL_arg1789z00_315;

																										BgL_arg1789z00_315 =
																											MAKE_PAIR
																											(BgL_arg1787z00_313,
																											BNIL);
																										BgL_list1788z00_314 =
																											MAKE_PAIR
																											(BgL_arg1785z00_312,
																											BgL_arg1789z00_315);
																									}
																									BgL_arg1783z00_311 =
																										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																										(BgL_list1788z00_314);
																							}}
																							BgL_arg1778z00_309 =
																								string_to_symbol
																								(BSTRING_TO_STRING
																								(BgL_arg1783z00_311));
																						}
																						{	/* Expand/struct.scm 100 */
																							obj_t BgL_list1790z00_316;

																							BgL_list1790z00_316 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg1782z00_310 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(CNST_TABLE_REF(((long) 22)),
																								BgL_list1790z00_316);
																						}
																						BgL_arg1755z00_304 =
																							MAKE_PAIR(BgL_arg1778z00_309,
																							BgL_arg1782z00_310);
																					}
																					{	/* Expand/struct.scm 101 */
																						obj_t BgL_arg1791z00_317;

																						obj_t BgL_arg1792z00_318;

																						BgL_arg1791z00_317 =
																							CNST_TABLE_REF(((long) 5));
																						{	/* Expand/struct.scm 101 */
																							obj_t BgL_arg1793z00_319;

																							obj_t BgL_arg1794z00_320;

																							{	/* Expand/struct.scm 101 */
																								obj_t BgL_arg1799z00_325;

																								obj_t BgL_arg1800z00_326;

																								BgL_arg1799z00_325 =
																									CNST_TABLE_REF(((long) 23));
																								{	/* Expand/struct.scm 101 */
																									obj_t BgL_list1801z00_327;

																									BgL_list1801z00_327 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_arg1800z00_326 =
																										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																										(CNST_TABLE_REF(((long)
																												22)),
																										BgL_list1801z00_327);
																								}
																								BgL_arg1793z00_319 =
																									MAKE_PAIR(BgL_arg1799z00_325,
																									BgL_arg1800z00_326);
																							}
																							{	/* Expand/struct.scm 102 */
																								obj_t BgL_arg1802z00_328;

																								obj_t BgL_arg1803z00_329;

																								BgL_arg1802z00_328 =
																									CNST_TABLE_REF(((long) 24));
																								{	/* Expand/struct.scm 102 */
																									obj_t BgL_arg1804z00_330;

																									obj_t BgL_arg1805z00_331;

																									{	/* Expand/struct.scm 102 */
																										obj_t BgL_arg1819z00_335;

																										obj_t BgL_arg1825z00_336;

																										{	/* Expand/struct.scm 102 */
																											obj_t BgL_arg1832z00_337;

																											obj_t BgL_arg1846z00_338;

																											BgL_arg1832z00_337 =
																												CNST_TABLE_REF(((long)
																													12));
																											{	/* Expand/struct.scm 102 */
																												obj_t
																													BgL_list1847z00_339;
																												{	/* Expand/struct.scm 102 */
																													obj_t
																														BgL_arg1849z00_340;
																													obj_t
																														BgL_arg1850z00_341;
																													BgL_arg1849z00_340 =
																														CNST_TABLE_REF((
																															(long) 13));
																													BgL_arg1850z00_341 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list1847z00_339 =
																														MAKE_PAIR
																														(BgL_arg1849z00_340,
																														BgL_arg1850z00_341);
																												}
																												BgL_arg1846z00_338 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(CNST_TABLE_REF((
																															(long) 25)),
																													BgL_list1847z00_339);
																											}
																											BgL_arg1819z00_335 =
																												MAKE_PAIR
																												(BgL_arg1832z00_337,
																												BgL_arg1846z00_338);
																										}
																										{	/* Expand/struct.scm 102 */
																											obj_t BgL_list1851z00_342;

																											BgL_list1851z00_342 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1825z00_336 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(CNST_TABLE_REF(((long)
																														22)),
																												BgL_list1851z00_342);
																										}
																										BgL_arg1804z00_330 =
																											MAKE_PAIR
																											(BgL_arg1819z00_335,
																											BgL_arg1825z00_336);
																									}
																									{	/* Expand/struct.scm 102 */
																										obj_t BgL_arg1852z00_343;

																										obj_t BgL_arg1855z00_344;

																										BgL_arg1852z00_343 =
																											CNST_TABLE_REF(((long)
																												11));
																										{	/* Expand/struct.scm 102 */
																											obj_t BgL_list1856z00_345;

																											BgL_list1856z00_345 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_arg1855z00_344 =
																												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																												(BgL_namez00_43,
																												BgL_list1856z00_345);
																										}
																										BgL_arg1805z00_331 =
																											MAKE_PAIR
																											(BgL_arg1852z00_343,
																											BgL_arg1855z00_344);
																									}
																									{	/* Expand/struct.scm 102 */
																										obj_t BgL_list1807z00_333;

																										{	/* Expand/struct.scm 102 */
																											obj_t BgL_arg1812z00_334;

																											BgL_arg1812z00_334 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_list1807z00_333 =
																												MAKE_PAIR
																												(BgL_arg1805z00_331,
																												BgL_arg1812z00_334);
																										}
																										BgL_arg1803z00_329 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg1804z00_330,
																											BgL_list1807z00_333);
																								}}
																								BgL_arg1794z00_320 =
																									MAKE_PAIR(BgL_arg1802z00_328,
																									BgL_arg1803z00_329);
																							}
																							{	/* Expand/struct.scm 101 */
																								obj_t BgL_list1796z00_322;

																								{	/* Expand/struct.scm 101 */
																									obj_t BgL_arg1797z00_323;

																									{	/* Expand/struct.scm 101 */
																										obj_t BgL_arg1798z00_324;

																										BgL_arg1798z00_324 =
																											MAKE_PAIR(BNIL, BNIL);
																										BgL_arg1797z00_323 =
																											MAKE_PAIR(BFALSE,
																											BgL_arg1798z00_324);
																									}
																									BgL_list1796z00_322 =
																										MAKE_PAIR
																										(BgL_arg1794z00_320,
																										BgL_arg1797z00_323);
																								}
																								BgL_arg1792z00_318 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BgL_arg1793z00_319,
																									BgL_list1796z00_322);
																						}}
																						BgL_arg1770z00_305 =
																							MAKE_PAIR(BgL_arg1791z00_317,
																							BgL_arg1792z00_318);
																					}
																					{	/* Expand/struct.scm 100 */
																						obj_t BgL_list1772z00_307;

																						{	/* Expand/struct.scm 100 */
																							obj_t BgL_arg1773z00_308;

																							BgL_arg1773z00_308 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list1772z00_307 =
																								MAKE_PAIR(BgL_arg1770z00_305,
																								BgL_arg1773z00_308);
																						}
																						BgL_arg1754z00_303 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg1755z00_304,
																							BgL_list1772z00_307);
																				}}
																				BgL_arg1751z00_301 =
																					MAKE_PAIR(BgL_arg1753z00_302,
																					BgL_arg1754z00_303);
																			}
																			BgL_arg1750z00_300 =
																				BGl_epairifyz00zztools_miscz00
																				(BgL_arg1751z00_301, BgL_xz00_1);
																		}
																		BgL_arg1746z00_298 =
																			PROCEDURE_ENTRY(BgL_ez00_2) (BgL_ez00_2,
																			BgL_arg1750z00_300, BgL_ez00_2, BEOA);
																	}
																	{	/* Expand/struct.scm 107 */
																		obj_t BgL_g1386z00_346;

																		BgL_g1386z00_346 =
																			CNST_TABLE_REF(((long) 26));
																		{
																			long BgL_iz00_347;

																			obj_t BgL_slotsz00_348;

																			obj_t BgL_resz00_349;

																			BgL_iz00_347 = ((long) 0);
																			BgL_slotsz00_348 = BgL_slotszd2namezd2_54;
																			BgL_resz00_349 = BgL_g1386z00_346;
																		BgL_loopz00_350:
																			if ((BgL_iz00_347 == BgL_lenz00_53))
																				{	/* Expand/struct.scm 110 */
																					BgL_arg1749z00_299 = BgL_resz00_349;
																				}
																			else
																				{	/* Expand/struct.scm 112 */
																					obj_t BgL_prz00_352;

																					BgL_prz00_352 = CAR(BgL_slotsz00_348);
																					{	/* Expand/struct.scm 113 */
																						long BgL_arg1859z00_353;

																						obj_t BgL_arg1860z00_354;

																						obj_t BgL_arg1872z00_355;

																						BgL_arg1859z00_353 =
																							(BgL_iz00_347 + ((long) 1));
																						BgL_arg1860z00_354 =
																							CDR(BgL_slotsz00_348);
																						{	/* Expand/struct.scm 119 */
																							obj_t BgL_arg1873z00_356;

																							obj_t BgL_arg1874z00_357;

																							{	/* Expand/struct.scm 119 */
																								obj_t BgL_arg1875z00_358;

																								{	/* Expand/struct.scm 119 */
																									obj_t BgL_arg1876z00_359;

																									{	/* Expand/struct.scm 119 */
																										obj_t BgL_arg1877z00_360;

																										obj_t BgL_arg1879z00_361;

																										BgL_arg1877z00_360 =
																											CNST_TABLE_REF(((long)
																												2));
																										{	/* Expand/struct.scm 120 */
																											obj_t BgL_arg1881z00_362;

																											obj_t BgL_arg1882z00_363;

																											{	/* Expand/struct.scm 120 */
																												obj_t
																													BgL_arg1907z00_367;
																												obj_t
																													BgL_arg1909z00_368;
																												{	/* Expand/struct.scm 120 */
																													obj_t
																														BgL_list1910z00_369;
																													{	/* Expand/struct.scm 120 */
																														obj_t
																															BgL_arg1911z00_370;
																														{	/* Expand/struct.scm 120 */
																															obj_t
																																BgL_arg1918z00_371;
																															obj_t
																																BgL_arg1919z00_372;
																															BgL_arg1918z00_371
																																=
																																CNST_TABLE_REF((
																																	(long) 19));
																															BgL_arg1919z00_372
																																=
																																MAKE_PAIR
																																(BgL_prz00_352,
																																BNIL);
																															BgL_arg1911z00_370
																																=
																																MAKE_PAIR
																																(BgL_arg1918z00_371,
																																BgL_arg1919z00_372);
																														}
																														BgL_list1910z00_369
																															=
																															MAKE_PAIR
																															(BgL_namez00_43,
																															BgL_arg1911z00_370);
																													}
																													BgL_arg1907z00_367 =
																														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																														(BgL_list1910z00_369);
																												}
																												{	/* Expand/struct.scm 120 */
																													obj_t
																														BgL_list1920z00_373;
																													BgL_list1920z00_373 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg1909z00_368 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(CNST_TABLE_REF((
																																(long) 27)),
																														BgL_list1920z00_373);
																												}
																												BgL_arg1881z00_362 =
																													MAKE_PAIR
																													(BgL_arg1907z00_367,
																													BgL_arg1909z00_368);
																											}
																											if (CBOOL
																												(BGl_za2unsafezd2structza2zd2zzengine_paramz00))
																												{	/* Expand/struct.scm 122 */
																													obj_t
																														BgL_arg1921z00_374;
																													obj_t
																														BgL_arg1922z00_375;
																													{	/* Expand/struct.scm 122 */
																														obj_t
																															BgL_arg1923z00_376;
																														obj_t
																															BgL_arg1924z00_377;
																														BgL_arg1923z00_376 =
																															CNST_TABLE_REF((
																																(long) 12));
																														{	/* Expand/struct.scm 122 */
																															obj_t
																																BgL_list1925z00_378;
																															{	/* Expand/struct.scm 122 */
																																obj_t
																																	BgL_arg1926z00_379;
																																obj_t
																																	BgL_arg1970z00_380;
																																BgL_arg1926z00_379
																																	=
																																	CNST_TABLE_REF
																																	(((long) 13));
																																BgL_arg1970z00_380
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_list1925z00_378
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1926z00_379,
																																	BgL_arg1970z00_380);
																															}
																															BgL_arg1924z00_377
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(CNST_TABLE_REF(
																																	((long) 28)),
																																BgL_list1925z00_378);
																														}
																														BgL_arg1921z00_374 =
																															MAKE_PAIR
																															(BgL_arg1923z00_376,
																															BgL_arg1924z00_377);
																													}
																													{	/* Expand/struct.scm 122 */
																														obj_t
																															BgL_list1971z00_381;
																														{	/* Expand/struct.scm 122 */
																															obj_t
																																BgL_arg1974z00_382;
																															BgL_arg1974z00_382
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list1971z00_381
																																=
																																MAKE_PAIR(BINT
																																(BgL_iz00_347),
																																BgL_arg1974z00_382);
																														}
																														BgL_arg1922z00_375 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(CNST_TABLE_REF((
																																	(long) 27)),
																															BgL_list1971z00_381);
																													}
																													BgL_arg1882z00_363 =
																														MAKE_PAIR
																														(BgL_arg1921z00_374,
																														BgL_arg1922z00_375);
																												}
																											else
																												{	/* Expand/struct.scm 123 */
																													obj_t
																														BgL_arg1975z00_383;
																													obj_t
																														BgL_arg1981z00_384;
																													BgL_arg1975z00_383 =
																														CNST_TABLE_REF((
																															(long) 5));
																													{	/* Expand/struct.scm 123 */
																														obj_t
																															BgL_arg1986z00_385;
																														obj_t
																															BgL_arg1987z00_386;
																														obj_t
																															BgL_arg1990z00_387;
																														{	/* Expand/struct.scm 123 */
																															obj_t
																																BgL_arg2005z00_392;
																															obj_t
																																BgL_arg2010z00_393;
																															BgL_arg2005z00_392
																																=
																																CNST_TABLE_REF((
																																	(long) 24));
																															{	/* Expand/struct.scm 123 */
																																obj_t
																																	BgL_arg2012z00_394;
																																obj_t
																																	BgL_arg2013z00_395;
																																{	/* Expand/struct.scm 123 */
																																	obj_t
																																		BgL_arg2030z00_399;
																																	obj_t
																																		BgL_arg2031z00_400;
																																	{	/* Expand/struct.scm 123 */
																																		obj_t
																																			BgL_arg2038z00_401;
																																		obj_t
																																			BgL_arg2042z00_402;
																																		BgL_arg2038z00_401
																																			=
																																			CNST_TABLE_REF
																																			(((long)
																																				12));
																																		{	/* Expand/struct.scm 123 */
																																			obj_t
																																				BgL_list2043z00_403;
																																			{	/* Expand/struct.scm 123 */
																																				obj_t
																																					BgL_arg2053z00_404;
																																				obj_t
																																					BgL_arg2056z00_405;
																																				BgL_arg2053z00_404
																																					=
																																					CNST_TABLE_REF
																																					(((long) 13));
																																				BgL_arg2056z00_405
																																					=
																																					MAKE_PAIR
																																					(BNIL,
																																					BNIL);
																																				BgL_list2043z00_403
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2053z00_404,
																																					BgL_arg2056z00_405);
																																			}
																																			BgL_arg2042z00_402
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(CNST_TABLE_REF
																																				(((long)
																																						25)),
																																				BgL_list2043z00_403);
																																		}
																																		BgL_arg2030z00_399
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2038z00_401,
																																			BgL_arg2042z00_402);
																																	}
																																	{	/* Expand/struct.scm 123 */
																																		obj_t
																																			BgL_list2057z00_406;
																																		BgL_list2057z00_406
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg2031z00_400
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(CNST_TABLE_REF
																																			(((long)
																																					27)),
																																			BgL_list2057z00_406);
																																	}
																																	BgL_arg2012z00_394
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2030z00_399,
																																		BgL_arg2031z00_400);
																																}
																																{	/* Expand/struct.scm 123 */
																																	obj_t
																																		BgL_arg2061z00_407;
																																	obj_t
																																		BgL_arg2074z00_408;
																																	BgL_arg2061z00_407
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			11));
																																	{	/* Expand/struct.scm 123 */
																																		obj_t
																																			BgL_list2075z00_409;
																																		BgL_list2075z00_409
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg2074z00_408
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_namez00_43,
																																			BgL_list2075z00_409);
																																	}
																																	BgL_arg2013z00_395
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2061z00_407,
																																		BgL_arg2074z00_408);
																																}
																																{	/* Expand/struct.scm 123 */
																																	obj_t
																																		BgL_list2017z00_397;
																																	{	/* Expand/struct.scm 123 */
																																		obj_t
																																			BgL_arg2019z00_398;
																																		BgL_arg2019z00_398
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_list2017z00_397
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2013z00_395,
																																			BgL_arg2019z00_398);
																																	}
																																	BgL_arg2010z00_393
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_arg2012z00_394,
																																		BgL_list2017z00_397);
																															}}
																															BgL_arg1986z00_385
																																=
																																MAKE_PAIR
																																(BgL_arg2005z00_392,
																																BgL_arg2010z00_393);
																														}
																														{	/* Expand/struct.scm 124 */
																															obj_t
																																BgL_arg2081z00_410;
																															obj_t
																																BgL_arg2087z00_411;
																															BgL_arg2081z00_410
																																=
																																CNST_TABLE_REF((
																																	(long) 29));
																															{	/* Expand/struct.scm 124 */
																																obj_t
																																	BgL_list2088z00_412;
																																{	/* Expand/struct.scm 124 */
																																	obj_t
																																		BgL_arg2090z00_413;
																																	BgL_arg2090z00_413
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_list2088z00_412
																																		=
																																		MAKE_PAIR
																																		(BINT
																																		(BgL_iz00_347),
																																		BgL_arg2090z00_413);
																																}
																																BgL_arg2087z00_411
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(CNST_TABLE_REF
																																	(((long) 27)),
																																	BgL_list2088z00_412);
																															}
																															BgL_arg1987z00_386
																																=
																																MAKE_PAIR
																																(BgL_arg2081z00_410,
																																BgL_arg2087z00_411);
																														}
																														{	/* Expand/struct.scm 125 */
																															obj_t
																																BgL_arg2095z00_414;
																															obj_t
																																BgL_arg2101z00_415;
																															BgL_arg2095z00_414
																																=
																																CNST_TABLE_REF((
																																	(long) 10));
																															{	/* Expand/struct.scm 125 */
																																obj_t
																																	BgL_arg2124z00_417;
																																obj_t
																																	BgL_arg2128z00_418;
																																BgL_arg2124z00_417
																																	=
																																	SYMBOL_TO_STRING
																																	(BgL_namez00_43);
																																BgL_arg2128z00_418
																																	=
																																	CNST_TABLE_REF
																																	(((long) 27));
																																{	/* Expand/struct.scm 125 */
																																	obj_t
																																		BgL_list2136z00_420;
																																	{	/* Expand/struct.scm 125 */
																																		obj_t
																																			BgL_arg2141z00_421;
																																		{	/* Expand/struct.scm 125 */
																																			obj_t
																																				BgL_arg2148z00_422;
																																			BgL_arg2148z00_422
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg2141z00_421
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2128z00_418,
																																				BgL_arg2148z00_422);
																																		}
																																		BgL_list2136z00_420
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2124z00_417,
																																			BgL_arg2141z00_421);
																																	}
																																	BgL_arg2101z00_415
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BGl_string2435z00zzexpand_structz00,
																																		BgL_list2136z00_420);
																															}}
																															BgL_arg1990z00_387
																																=
																																MAKE_PAIR
																																(BgL_arg2095z00_414,
																																BgL_arg2101z00_415);
																														}
																														{	/* Expand/struct.scm 123 */
																															obj_t
																																BgL_list1994z00_389;
																															{	/* Expand/struct.scm 123 */
																																obj_t
																																	BgL_arg1996z00_390;
																																{	/* Expand/struct.scm 123 */
																																	obj_t
																																		BgL_arg1998z00_391;
																																	BgL_arg1998z00_391
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_arg1996z00_390
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1990z00_387,
																																		BgL_arg1998z00_391);
																																}
																																BgL_list1994z00_389
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1987z00_386,
																																	BgL_arg1996z00_390);
																															}
																															BgL_arg1981z00_384
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(BgL_arg1986z00_385,
																																BgL_list1994z00_389);
																													}}
																													BgL_arg1882z00_363 =
																														MAKE_PAIR
																														(BgL_arg1975z00_383,
																														BgL_arg1981z00_384);
																												}
																											{	/* Expand/struct.scm 119 */
																												obj_t
																													BgL_list1884z00_365;
																												{	/* Expand/struct.scm 119 */
																													obj_t
																														BgL_arg1885z00_366;
																													BgL_arg1885z00_366 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_list1884z00_365 =
																														MAKE_PAIR
																														(BgL_arg1882z00_363,
																														BgL_arg1885z00_366);
																												}
																												BgL_arg1879z00_361 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg1881z00_362,
																													BgL_list1884z00_365);
																										}}
																										BgL_arg1876z00_359 =
																											MAKE_PAIR
																											(BgL_arg1877z00_360,
																											BgL_arg1879z00_361);
																									}
																									BgL_arg1875z00_358 =
																										BGl_epairifyz00zztools_miscz00
																										(BgL_arg1876z00_359,
																										BgL_xz00_1);
																								}
																								BgL_arg1873z00_356 =
																									PROCEDURE_ENTRY(BgL_ez00_2)
																									(BgL_ez00_2,
																									BgL_arg1875z00_358,
																									BgL_ez00_2, BEOA);
																							}
																							{	/* Expand/struct.scm 135 */
																								obj_t BgL_arg2154z00_423;

																								{	/* Expand/struct.scm 135 */
																									obj_t BgL_arg2161z00_424;

																									{	/* Expand/struct.scm 135 */
																										obj_t BgL_arg2167z00_425;

																										{	/* Expand/struct.scm 135 */
																											obj_t BgL_arg2174z00_426;

																											obj_t BgL_arg2180z00_427;

																											BgL_arg2174z00_426 =
																												CNST_TABLE_REF(((long)
																													2));
																											{	/* Expand/struct.scm 136 */
																												obj_t
																													BgL_arg2187z00_428;
																												obj_t
																													BgL_arg2193z00_429;
																												{	/* Expand/struct.scm 136 */
																													obj_t
																														BgL_arg2219z00_433;
																													obj_t
																														BgL_arg2226z00_434;
																													{	/* Expand/struct.scm 136 */
																														obj_t
																															BgL_list2227z00_435;
																														{	/* Expand/struct.scm 136 */
																															obj_t
																																BgL_arg2233z00_436;
																															{	/* Expand/struct.scm 136 */
																																obj_t
																																	BgL_arg2240z00_437;
																																obj_t
																																	BgL_arg2246z00_438;
																																BgL_arg2240z00_437
																																	=
																																	CNST_TABLE_REF
																																	(((long) 19));
																																{	/* Expand/struct.scm 136 */
																																	obj_t
																																		BgL_arg2259z00_439;
																																	BgL_arg2259z00_439
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				20)),
																																		BNIL);
																																	BgL_arg2246z00_438
																																		=
																																		MAKE_PAIR
																																		(BgL_prz00_352,
																																		BgL_arg2259z00_439);
																																}
																																BgL_arg2233z00_436
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2240z00_437,
																																	BgL_arg2246z00_438);
																															}
																															BgL_list2227z00_435
																																=
																																MAKE_PAIR
																																(BgL_namez00_43,
																																BgL_arg2233z00_436);
																														}
																														BgL_arg2219z00_433 =
																															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																															(BgL_list2227z00_435);
																													}
																													{	/* Expand/struct.scm 136 */
																														obj_t
																															BgL_list2260z00_440;
																														{	/* Expand/struct.scm 136 */
																															obj_t
																																BgL_arg2261z00_441;
																															obj_t
																																BgL_arg2266z00_442;
																															BgL_arg2261z00_441
																																=
																																CNST_TABLE_REF((
																																	(long) 30));
																															BgL_arg2266z00_442
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list2260z00_440
																																=
																																MAKE_PAIR
																																(BgL_arg2261z00_441,
																																BgL_arg2266z00_442);
																														}
																														BgL_arg2226z00_434 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(CNST_TABLE_REF((
																																	(long) 27)),
																															BgL_list2260z00_440);
																													}
																													BgL_arg2187z00_428 =
																														MAKE_PAIR
																														(BgL_arg2219z00_433,
																														BgL_arg2226z00_434);
																												}
																												if (CBOOL
																													(BGl_za2unsafezd2structza2zd2zzengine_paramz00))
																													{	/* Expand/struct.scm 138 */
																														obj_t
																															BgL_arg2267z00_443;
																														obj_t
																															BgL_arg2273z00_444;
																														{	/* Expand/struct.scm 138 */
																															obj_t
																																BgL_arg2275z00_445;
																															obj_t
																																BgL_arg2281z00_446;
																															BgL_arg2275z00_445
																																=
																																CNST_TABLE_REF((
																																	(long) 12));
																															{	/* Expand/struct.scm 138 */
																																obj_t
																																	BgL_list2282z00_447;
																																{	/* Expand/struct.scm 138 */
																																	obj_t
																																		BgL_arg2295z00_448;
																																	obj_t
																																		BgL_arg2296z00_449;
																																	BgL_arg2295z00_448
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			13));
																																	BgL_arg2296z00_449
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_list2282z00_447
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2295z00_448,
																																		BgL_arg2296z00_449);
																																}
																																BgL_arg2281z00_446
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(CNST_TABLE_REF
																																	(((long) 31)),
																																	BgL_list2282z00_447);
																															}
																															BgL_arg2267z00_443
																																=
																																MAKE_PAIR
																																(BgL_arg2275z00_445,
																																BgL_arg2281z00_446);
																														}
																														{	/* Expand/struct.scm 138 */
																															obj_t
																																BgL_list2297z00_450;
																															{	/* Expand/struct.scm 138 */
																																obj_t
																																	BgL_arg2298z00_451;
																																{	/* Expand/struct.scm 138 */
																																	obj_t
																																		BgL_arg2302z00_452;
																																	obj_t
																																		BgL_arg2303z00_453;
																																	BgL_arg2302z00_452
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			30));
																																	BgL_arg2303z00_453
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_arg2298z00_451
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2302z00_452,
																																		BgL_arg2303z00_453);
																																}
																																BgL_list2297z00_450
																																	=
																																	MAKE_PAIR(BINT
																																	(BgL_iz00_347),
																																	BgL_arg2298z00_451);
																															}
																															BgL_arg2273z00_444
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(CNST_TABLE_REF(
																																	((long) 27)),
																																BgL_list2297z00_450);
																														}
																														BgL_arg2193z00_429 =
																															MAKE_PAIR
																															(BgL_arg2267z00_443,
																															BgL_arg2273z00_444);
																													}
																												else
																													{	/* Expand/struct.scm 139 */
																														obj_t
																															BgL_arg2304z00_454;
																														obj_t
																															BgL_arg2305z00_455;
																														BgL_arg2304z00_454 =
																															CNST_TABLE_REF((
																																(long) 5));
																														{	/* Expand/struct.scm 139 */
																															obj_t
																																BgL_arg2306z00_456;
																															obj_t
																																BgL_arg2307z00_457;
																															obj_t
																																BgL_arg2308z00_458;
																															{	/* Expand/struct.scm 139 */
																																obj_t
																																	BgL_arg2313z00_463;
																																obj_t
																																	BgL_arg2314z00_464;
																																BgL_arg2313z00_463
																																	=
																																	CNST_TABLE_REF
																																	(((long) 24));
																																{	/* Expand/struct.scm 139 */
																																	obj_t
																																		BgL_arg2315z00_465;
																																	obj_t
																																		BgL_arg2318z00_466;
																																	{	/* Expand/struct.scm 139 */
																																		obj_t
																																			BgL_arg2333z00_470;
																																		obj_t
																																			BgL_arg2335z00_471;
																																		{	/* Expand/struct.scm 139 */
																																			obj_t
																																				BgL_arg2339z00_472;
																																			obj_t
																																				BgL_arg2340z00_473;
																																			BgL_arg2339z00_472
																																				=
																																				CNST_TABLE_REF
																																				(((long)
																																					12));
																																			{	/* Expand/struct.scm 139 */
																																				obj_t
																																					BgL_list2341z00_474;
																																				{	/* Expand/struct.scm 139 */
																																					obj_t
																																						BgL_arg2347z00_475;
																																					obj_t
																																						BgL_arg2353z00_476;
																																					BgL_arg2347z00_475
																																						=
																																						CNST_TABLE_REF
																																						(((long) 13));
																																					BgL_arg2353z00_476
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_list2341z00_474
																																						=
																																						MAKE_PAIR
																																						(BgL_arg2347z00_475,
																																						BgL_arg2353z00_476);
																																				}
																																				BgL_arg2340z00_473
																																					=
																																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																					(CNST_TABLE_REF
																																					(((long) 25)), BgL_list2341z00_474);
																																			}
																																			BgL_arg2333z00_470
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2339z00_472,
																																				BgL_arg2340z00_473);
																																		}
																																		{	/* Expand/struct.scm 139 */
																																			obj_t
																																				BgL_list2354z00_477;
																																			BgL_list2354z00_477
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg2335z00_471
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(CNST_TABLE_REF
																																				(((long)
																																						27)),
																																				BgL_list2354z00_477);
																																		}
																																		BgL_arg2315z00_465
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2333z00_470,
																																			BgL_arg2335z00_471);
																																	}
																																	{	/* Expand/struct.scm 139 */
																																		obj_t
																																			BgL_arg2366z00_478;
																																		obj_t
																																			BgL_arg2373z00_479;
																																		BgL_arg2366z00_478
																																			=
																																			CNST_TABLE_REF
																																			(((long)
																																				11));
																																		{	/* Expand/struct.scm 139 */
																																			obj_t
																																				BgL_list2374z00_480;
																																			BgL_list2374z00_480
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg2373z00_479
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_namez00_43,
																																				BgL_list2374z00_480);
																																		}
																																		BgL_arg2318z00_466
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2366z00_478,
																																			BgL_arg2373z00_479);
																																	}
																																	{	/* Expand/struct.scm 139 */
																																		obj_t
																																			BgL_list2331z00_468;
																																		{	/* Expand/struct.scm 139 */
																																			obj_t
																																				BgL_arg2332z00_469;
																																			BgL_arg2332z00_469
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_list2331z00_468
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2318z00_466,
																																				BgL_arg2332z00_469);
																																		}
																																		BgL_arg2314z00_464
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_arg2315z00_465,
																																			BgL_list2331z00_468);
																																}}
																																BgL_arg2306z00_456
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2313z00_463,
																																	BgL_arg2314z00_464);
																															}
																															{	/* Expand/struct.scm 140 */
																																obj_t
																																	BgL_arg2375z00_481;
																																obj_t
																																	BgL_arg2387z00_482;
																																BgL_arg2375z00_481
																																	=
																																	CNST_TABLE_REF
																																	(((long) 32));
																																{	/* Expand/struct.scm 140 */
																																	obj_t
																																		BgL_list2388z00_483;
																																	{	/* Expand/struct.scm 140 */
																																		obj_t
																																			BgL_arg2393z00_484;
																																		{	/* Expand/struct.scm 140 */
																																			obj_t
																																				BgL_arg2394z00_485;
																																			obj_t
																																				BgL_arg2395z00_486;
																																			BgL_arg2394z00_485
																																				=
																																				CNST_TABLE_REF
																																				(((long)
																																					30));
																																			BgL_arg2395z00_486
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg2393z00_484
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2394z00_485,
																																				BgL_arg2395z00_486);
																																		}
																																		BgL_list2388z00_483
																																			=
																																			MAKE_PAIR
																																			(BINT
																																			(BgL_iz00_347),
																																			BgL_arg2393z00_484);
																																	}
																																	BgL_arg2387z00_482
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(CNST_TABLE_REF
																																		(((long)
																																				27)),
																																		BgL_list2388z00_483);
																																}
																																BgL_arg2307z00_457
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2375z00_481,
																																	BgL_arg2387z00_482);
																															}
																															{	/* Expand/struct.scm 141 */
																																obj_t
																																	BgL_arg2396z00_487;
																																obj_t
																																	BgL_arg2397z00_488;
																																BgL_arg2396z00_487
																																	=
																																	CNST_TABLE_REF
																																	(((long) 10));
																																{	/* Expand/struct.scm 141 */
																																	obj_t
																																		BgL_arg2399z00_490;
																																	obj_t
																																		BgL_arg2400z00_491;
																																	BgL_arg2399z00_490
																																		=
																																		SYMBOL_TO_STRING
																																		(BgL_namez00_43);
																																	BgL_arg2400z00_491
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			27));
																																	{	/* Expand/struct.scm 141 */
																																		obj_t
																																			BgL_list2402z00_493;
																																		{	/* Expand/struct.scm 141 */
																																			obj_t
																																				BgL_arg2403z00_494;
																																			{	/* Expand/struct.scm 141 */
																																				obj_t
																																					BgL_arg2404z00_495;
																																				BgL_arg2404z00_495
																																					=
																																					MAKE_PAIR
																																					(BNIL,
																																					BNIL);
																																				BgL_arg2403z00_494
																																					=
																																					MAKE_PAIR
																																					(BgL_arg2400z00_491,
																																					BgL_arg2404z00_495);
																																			}
																																			BgL_list2402z00_493
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2399z00_490,
																																				BgL_arg2403z00_494);
																																		}
																																		BgL_arg2397z00_488
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BGl_string2436z00zzexpand_structz00,
																																			BgL_list2402z00_493);
																																}}
																																BgL_arg2308z00_458
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2396z00_487,
																																	BgL_arg2397z00_488);
																															}
																															{	/* Expand/struct.scm 139 */
																																obj_t
																																	BgL_list2310z00_460;
																																{	/* Expand/struct.scm 139 */
																																	obj_t
																																		BgL_arg2311z00_461;
																																	{	/* Expand/struct.scm 139 */
																																		obj_t
																																			BgL_arg2312z00_462;
																																		BgL_arg2312z00_462
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_arg2311z00_461
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2308z00_458,
																																			BgL_arg2312z00_462);
																																	}
																																	BgL_list2310z00_460
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2307z00_457,
																																		BgL_arg2311z00_461);
																																}
																																BgL_arg2305z00_455
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_arg2306z00_456,
																																	BgL_list2310z00_460);
																														}}
																														BgL_arg2193z00_429 =
																															MAKE_PAIR
																															(BgL_arg2304z00_454,
																															BgL_arg2305z00_455);
																													}
																												{	/* Expand/struct.scm 135 */
																													obj_t
																														BgL_list2201z00_431;
																													{	/* Expand/struct.scm 135 */
																														obj_t
																															BgL_arg2206z00_432;
																														BgL_arg2206z00_432 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list2201z00_431
																															=
																															MAKE_PAIR
																															(BgL_arg2193z00_429,
																															BgL_arg2206z00_432);
																													}
																													BgL_arg2180z00_427 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2187z00_428,
																														BgL_list2201z00_431);
																											}}
																											BgL_arg2167z00_425 =
																												MAKE_PAIR
																												(BgL_arg2174z00_426,
																												BgL_arg2180z00_427);
																										}
																										BgL_arg2161z00_424 =
																											BGl_epairifyz00zztools_miscz00
																											(BgL_arg2167z00_425,
																											BgL_xz00_1);
																									}
																									BgL_arg2154z00_423 =
																										PROCEDURE_ENTRY(BgL_ez00_2)
																										(BgL_ez00_2,
																										BgL_arg2161z00_424,
																										BgL_ez00_2, BEOA);
																								}
																								BgL_arg1874z00_357 =
																									MAKE_PAIR(BgL_arg2154z00_423,
																									BgL_resz00_349);
																							}
																							BgL_arg1872z00_355 =
																								MAKE_PAIR(BgL_arg1873z00_356,
																								BgL_arg1874z00_357);
																						}
																						{
																							obj_t BgL_resz00_1179;

																							obj_t BgL_slotsz00_1178;

																							long BgL_iz00_1177;

																							BgL_iz00_1177 =
																								BgL_arg1859z00_353;
																							BgL_slotsz00_1178 =
																								BgL_arg1860z00_354;
																							BgL_resz00_1179 =
																								BgL_arg1872z00_355;
																							BgL_resz00_349 = BgL_resz00_1179;
																							BgL_slotsz00_348 =
																								BgL_slotsz00_1178;
																							BgL_iz00_347 = BgL_iz00_1177;
																							goto BgL_loopz00_350;
																						}
																					}
																				}
																		}
																	}
																	BgL_arg1664z00_242 =
																		MAKE_PAIR(BgL_arg1746z00_298,
																		BgL_arg1749z00_299);
																}
																BgL_arg1425z00_60 =
																	MAKE_PAIR(BgL_arg1663z00_241,
																	BgL_arg1664z00_242);
															}
															BgL_arg1407z00_58 =
																MAKE_PAIR(BgL_arg1410z00_59, BgL_arg1425z00_60);
														}
														return
															MAKE_PAIR(BgL_arg1405z00_57, BgL_arg1407z00_58);
													}
												}
											}
										}
									}
								}
							}
						else
							{	/* Expand/struct.scm 24 */
							BgL_tagzd21206zd2_46:
								return
									BGl_errorz00zz__errorz00(BFALSE,
									BGl_string2433z00zzexpand_structz00, BgL_xz00_1);
							}
					}
				else
					{	/* Expand/struct.scm 24 */
						goto BgL_tagzd21206zd2_46;
					}
			}
		}
	}



/* _expand-struct2432 */
	obj_t BGl__expandzd2struct2432zd2zzexpand_structz00(obj_t BgL_envz00_623,
		obj_t BgL_xz00_624, obj_t BgL_ez00_625)
	{
		AN_OBJECT;
		{	/* Expand/struct.scm 23 */
			return
				BGl_expandzd2structzd2zzexpand_structz00(BgL_xz00_624, BgL_ez00_625);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_structz00()
	{
		AN_OBJECT;
		{	/* Expand/struct.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_structz00()
	{
		AN_OBJECT;
		{	/* Expand/struct.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string2437z00zzexpand_structz00));
			return
				BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string2437z00zzexpand_structz00));
		}
	}

#ifdef __cplusplus
}
#endif
