/*===========================================================================*/
/*   (Foreign/jtype.scm)                                                     */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Foreign/jtype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_caliasz00_bgl
	{
		bool_t BgL_arrayzf3zf3;
	}                *BgL_caliasz00_bglt;

	typedef struct BgL_cenumz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		obj_t BgL_literalsz00;
	}               *BgL_cenumz00_bglt;

	typedef struct BgL_copaquez00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
	}                 *BgL_copaquez00_bglt;

	typedef struct BgL_cfunctionz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		long BgL_arityz00;
		struct BgL_typez00_bgl *BgL_typezd2reszd2;
		obj_t BgL_typezd2argszd2;
	}                   *BgL_cfunctionz00_bglt;

	typedef struct BgL_cptrz00_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		struct BgL_typez00_bgl *BgL_pointzd2tozd2;
		bool_t BgL_arrayzf3zf3;
	}              *BgL_cptrz00_bglt;

	typedef struct BgL_cstructz00_bgl
	{
		bool_t BgL_structzf3zf3;
		obj_t BgL_fieldsz00;
		obj_t BgL_cstructza2za2;
	}                 *BgL_cstructz00_bglt;

	typedef struct BgL_cstructza2za2_bgl
	{
		struct BgL_typez00_bgl *BgL_btypez00;
		struct BgL_cstructz00_bgl *BgL_cstructz00;
	}                    *BgL_cstructza2za2_bglt;

	typedef struct BgL_jarrayz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_jarrayz00_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_jarrayz00_bglt
		BGl_fillzd2jarrayz12zc0zzforeign_jtypez00(BgL_jarrayz00_bglt,
		BgL_typez00_bglt);
	extern BgL_typez00_bglt BGl_makezd2typezd2zztype_typez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_z52allocatezd2jarrayz80zzforeign_jtypez00();
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzforeign_jtypez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
	extern obj_t
		BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_jarrayz00zzforeign_jtypez00 = BUNSPEC;
	static obj_t BGl_z52thezd2jarrayzd2nilz52zzforeign_jtypez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_declarezd2jvmzd2typez12z12zzforeign_jtypez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_jarrayz00_bglt
		BGl_wideningzd2jarrayzd2zzforeign_jtypez00(BgL_typez00_bglt);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_cnstzd2initzd2zzforeign_jtypez00();
	extern BgL_typez00_bglt BGl_typezd2nilzd2zztype_typez00();
	BGL_EXPORTED_DECL bool_t BGl_jarrayzf3zf3zzforeign_jtypez00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzforeign_jtypez00();
	static obj_t BGl_makezd2ctypezd2accessesz122057z12zzforeign_jtypez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl__declarezd2jvmzd2typez12z12zzforeign_jtypez00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_declarezd2czd2aliasz12z12zzforeign_ctypez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl__jarrayzd2nilzd2zzforeign_jtypez00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzforeign_jtypez00();
	static obj_t BGl__z52allocatezd2jarrayz80zzforeign_jtypez00(obj_t);
	extern obj_t BGl_makezd2typedzd2formalz00zzast_identz00(obj_t);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_jarrayz00_bglt
		BGl_makezd2jarrayzd2zzforeign_jtypez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_IMPORT BgL_objectz00_bglt
		BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern BgL_typez00_bglt BGl_declarezd2subtypez12zc0zztype_envz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2jarra2059ze3zzforeign_jtypez00(obj_t,
		obj_t);
	static obj_t BGl__jarrayzf3zf3zzforeign_jtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_jarrayz00_bglt BGl_jarrayzd2nilzd2zzforeign_jtypez00();
	static obj_t BGl__wideningzd2jarray2640zd2zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzforeign_jtypez00();
	static obj_t BGl__makezd2jarrayzd2zzforeign_jtypez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__fillzd2jarrayz12zc0zzforeign_jtypez00(obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzforeign_jtypez00();
	static obj_t BGl_structzb2objectzd2ze3objec2061z83zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzforeign_jtypez00();
	static obj_t __cnst[35];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2jarrayzd2envz00zzforeign_jtypez00,
		BgL_bgl__makeza7d2jarrayza7d2657z00,
		BGl__makezd2jarrayzd2zzforeign_jtypez00, 0L, BUNSPEC, 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2647z00zzforeign_jtypez00,
		BgL_bgl_makeza7d2ctypeza7d2a2658z00,
		BGl_makezd2ctypezd2accessesz122057z12zzforeign_jtypez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2648z00zzforeign_jtypez00,
		BgL_bgl_objectza7d2za7e3stru2659z00,
		BGl_objectzd2ze3structzd2jarra2059ze3zzforeign_jtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2649z00zzforeign_jtypez00,
		BgL_bgl_structza7b2objectza72660z00,
		BGl_structzb2objectzd2ze3objec2061z83zzforeign_jtypez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzf3zd2envz21zzforeign_jtypez00,
		BgL_bgl__jarrayza7f3za7f3za7za7f2661z00,
		BGl__jarrayzf3zf3zzforeign_jtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2650z00zzforeign_jtypez00,
		BgL_bgl_string2650za700za7za7f2662za7, "", 0);
	      DEFINE_STRING(BGl_string2651z00zzforeign_jtypez00,
		BgL_bgl_string2651za700za7za7f2663za7, "foreign_jtype", 13);
	      DEFINE_STRING(BGl_string2652z00zzforeign_jtypez00,
		BgL_bgl_string2652za700za7za7f2664za7,
		"::int ::obj inline static vset! vref offset offset::int valloc len len::int vlength isa o::obj object cast define-inline -set! -ref make- val int -length bool ->obj o _ jarray ? obj coerce type bigloo (obj) obj-> ",
		213);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2nilzd2envz00zzforeign_jtypez00,
		BgL_bgl__jarrayza7d2nilza7d22665z00, BGl__jarrayzd2nilzd2zzforeign_jtypez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2jarrayzd2envz00zzforeign_jtypez00,
		BgL_bgl__wideningza7d2jarr2666za7,
		BGl__wideningzd2jarray2640zd2zzforeign_jtypez00, 0L, BUNSPEC, 1);
	extern obj_t BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fillzd2jarrayz12zd2envz12zzforeign_jtypez00,
		BgL_bgl__fillza7d2jarrayza712667z00,
		BGl__fillzd2jarrayz12zc0zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2jvmzd2typez12zd2envzc0zzforeign_jtypez00,
		BgL_bgl__declareza7d2jvmza7d2668z00,
		BGl__declarezd2jvmzd2typez12z12zzforeign_jtypez00, 0L, BUNSPEC, 3);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2jarrayzd2envz52zzforeign_jtypez00,
		BgL_bgl__za752allocateza7d2j2669z00,
		BGl__z52allocatezd2jarrayz80zzforeign_jtypez00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long
		BgL_checksumz00_817, char *BgL_fromz00_818)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzforeign_jtypez00))
				{
					BGl_requirezd2initializa7ationz75zzforeign_jtypez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzforeign_jtypez00();
					BGl_cnstzd2initzd2zzforeign_jtypez00();
					BGl_importedzd2moduleszd2initz00zzforeign_jtypez00();
					BGl_objectzd2initzd2zzforeign_jtypez00();
					BGl_methodzd2initzd2zzforeign_jtypez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzforeign_jtypez00()
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"foreign_jtype");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzforeign_jtypez00()
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 17 */
			{	/* Foreign/jtype.scm 17 */
				obj_t BgL_cportz00_798;

				BgL_cportz00_798 =
					bgl_open_input_string(BGl_string2652z00zzforeign_jtypez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_799;

					BgL_iz00_799 = ((long) 34);
				BgL_loopz00_800:
					if ((BgL_iz00_799 == ((long) -1)))
						{	/* Foreign/jtype.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Foreign/jtype.scm 17 */
							{	/* Foreign/jtype.scm 17 */
								obj_t BgL_arg2654z00_802;

								{	/* Foreign/jtype.scm 17 */

									{	/* Foreign/jtype.scm 17 */
										obj_t BgL_locationz00_804;

										BgL_locationz00_804 = BBOOL(((bool_t) 0));
										{	/* Foreign/jtype.scm 17 */

											BgL_arg2654z00_802 =
												BGl_readz00zz__readerz00(BgL_cportz00_798,
												BgL_locationz00_804);
										}
									}
								}
								{	/* Foreign/jtype.scm 17 */
									int BgL_auxz00_837;

									BgL_auxz00_837 = (int) (BgL_iz00_799);
									CNST_TABLE_SET(BgL_auxz00_837, BgL_arg2654z00_802);
							}}
							{	/* Foreign/jtype.scm 17 */
								int BgL_auxz00_805;

								BgL_auxz00_805 = (int) ((BgL_iz00_799 - ((long) 1)));
								{
									long BgL_iz00_842;

									BgL_iz00_842 = (long) (BgL_auxz00_805);
									BgL_iz00_799 = BgL_iz00_842;
									goto BgL_loopz00_800;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzforeign_jtypez00()
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 17 */
			return BUNSPEC;
		}
	}



/* declare-jvm-type! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_declarezd2jvmzd2typez12z12zzforeign_jtypez00(obj_t BgL_idz00_1,
		obj_t BgL_ofz00_2, obj_t BgL_srcz00_3)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 45 */
			{	/* Foreign/jtype.scm 47 */
				BgL_typez00_bglt BgL_pointedz00_186;

				BgL_pointedz00_186 =
					BGl_usezd2typez12zc0zztype_envz00(BgL_ofz00_2,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_3));
				{	/* Foreign/jtype.scm 47 */
					obj_t BgL_pointerz00_187;

					BgL_pointerz00_187 =
						(((BgL_typez00_bglt) CREF(BgL_pointedz00_186))->
						BgL_pointedzd2tozd2byz00);
					{	/* Foreign/jtype.scm 48 */
						obj_t BgL_namez00_188;

						BgL_namez00_188 = SYMBOL_TO_STRING(BgL_idz00_1);
						{	/* Foreign/jtype.scm 49 */
							obj_t BgL_objzd2ze3idz31_189;

							{	/* Foreign/jtype.scm 50 */
								obj_t BgL_arg2295z00_229;

								{	/* Foreign/jtype.scm 50 */
									obj_t BgL_arg2296z00_230;

									obj_t BgL_arg2297z00_231;

									{	/* Foreign/jtype.scm 50 */
										obj_t BgL_symbolz00_588;

										BgL_symbolz00_588 = CNST_TABLE_REF(((long) 0));
										BgL_arg2296z00_230 = SYMBOL_TO_STRING(BgL_symbolz00_588);
									}
									BgL_arg2297z00_231 = SYMBOL_TO_STRING(BgL_idz00_1);
									{	/* Foreign/jtype.scm 50 */
										obj_t BgL_list2298z00_232;

										{	/* Foreign/jtype.scm 50 */
											obj_t BgL_arg2302z00_233;

											BgL_arg2302z00_233 = MAKE_PAIR(BgL_arg2297z00_231, BNIL);
											BgL_list2298z00_232 =
												MAKE_PAIR(BgL_arg2296z00_230, BgL_arg2302z00_233);
										}
										BgL_arg2295z00_229 =
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list2298z00_232);
								}}
								BgL_objzd2ze3idz31_189 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg2295z00_229));
							}
							{	/* Foreign/jtype.scm 50 */

								if (BGl_iszd2azf3z21zz__objectz00(BgL_pointerz00_187,
										BGl_typez00zztype_typez00))
									{	/* Foreign/jtype.scm 53 */
										return
											BGl_declarezd2czd2aliasz12z12zzforeign_ctypez00
											(BgL_idz00_1, BgL_ofz00_2, BgL_namez00_188);
									}
								else
									{	/* Foreign/jtype.scm 57 */
										BgL_typez00_bglt BgL_typez00_191;

										BgL_typez00_191 =
											BGl_declarezd2subtypez12zc0zztype_envz00(BgL_idz00_1,
											BgL_namez00_188, CNST_TABLE_REF(((long) 1)),
											CNST_TABLE_REF(((long) 2)));
										{	/* Foreign/jtype.scm 57 */

											{	/* Foreign/jtype.scm 59 */
												obj_t BgL_arg2074z00_192;

												{	/* Foreign/jtype.scm 59 */
													obj_t BgL_arg2081z00_193;

													obj_t BgL_arg2087z00_194;

													BgL_arg2081z00_193 = CNST_TABLE_REF(((long) 3));
													{	/* Foreign/jtype.scm 60 */
														obj_t BgL_arg2090z00_195;

														obj_t BgL_arg2095z00_196;

														{	/* Foreign/jtype.scm 60 */
															obj_t BgL_arg2124z00_200;

															obj_t BgL_arg2128z00_201;

															BgL_arg2124z00_200 = CNST_TABLE_REF(((long) 4));
															{	/* Foreign/jtype.scm 60 */
																obj_t BgL_list2129z00_202;

																{	/* Foreign/jtype.scm 60 */
																	obj_t BgL_arg2135z00_203;

																	obj_t BgL_arg2141z00_204;

																	BgL_arg2135z00_203 =
																		CNST_TABLE_REF(((long) 5));
																	{	/* Foreign/jtype.scm 60 */
																		obj_t BgL_arg2154z00_206;

																		{	/* Foreign/jtype.scm 60 */
																			obj_t BgL_arg2167z00_208;

																			BgL_arg2167z00_208 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2154z00_206 =
																				MAKE_PAIR(BNIL, BgL_arg2167z00_208);
																		}
																		BgL_arg2141z00_204 =
																			MAKE_PAIR(BNIL, BgL_arg2154z00_206);
																	}
																	BgL_list2129z00_202 =
																		MAKE_PAIR(BgL_arg2135z00_203,
																		BgL_arg2141z00_204);
																}
																BgL_arg2128z00_201 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_idz00_1, BgL_list2129z00_202);
															}
															BgL_arg2090z00_195 =
																MAKE_PAIR(BgL_arg2124z00_200,
																BgL_arg2128z00_201);
														}
														{	/* Foreign/jtype.scm 61 */
															obj_t BgL_arg2174z00_209;

															obj_t BgL_arg2180z00_210;

															BgL_arg2174z00_209 = CNST_TABLE_REF(((long) 4));
															{	/* Foreign/jtype.scm 61 */
																obj_t BgL_arg2187z00_211;

																obj_t BgL_arg2193z00_212;

																BgL_arg2187z00_211 = CNST_TABLE_REF(((long) 5));
																{	/* Foreign/jtype.scm 61 */
																	obj_t BgL_arg2240z00_219;

																	{	/* Foreign/jtype.scm 61 */
																		obj_t BgL_arg2259z00_221;

																		{	/* Foreign/jtype.scm 61 */
																			obj_t BgL_arg2261z00_222;

																			obj_t BgL_arg2266z00_223;

																			BgL_arg2261z00_222 =
																				SYMBOL_TO_STRING(BgL_idz00_1);
																			{	/* Foreign/jtype.scm 61 */
																				obj_t BgL_symbolz00_593;

																				BgL_symbolz00_593 =
																					CNST_TABLE_REF(((long) 6));
																				BgL_arg2266z00_223 =
																					SYMBOL_TO_STRING(BgL_symbolz00_593);
																			}
																			{	/* Foreign/jtype.scm 61 */
																				obj_t BgL_list2267z00_224;

																				{	/* Foreign/jtype.scm 61 */
																					obj_t BgL_arg2273z00_225;

																					BgL_arg2273z00_225 =
																						MAKE_PAIR(BgL_arg2266z00_223, BNIL);
																					BgL_list2267z00_224 =
																						MAKE_PAIR(BgL_arg2261z00_222,
																						BgL_arg2273z00_225);
																				}
																				BgL_arg2259z00_221 =
																					BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																					(BgL_list2267z00_224);
																		}}
																		BgL_arg2240z00_219 =
																			string_to_symbol(BSTRING_TO_STRING
																			(BgL_arg2259z00_221));
																	}
																	BgL_arg2193z00_212 =
																		MAKE_PAIR(BgL_arg2240z00_219, BNIL);
																}
																{	/* Foreign/jtype.scm 61 */
																	obj_t BgL_list2207z00_215;

																	{	/* Foreign/jtype.scm 61 */
																		obj_t BgL_arg2219z00_216;

																		{	/* Foreign/jtype.scm 61 */
																			obj_t BgL_arg2226z00_217;

																			{	/* Foreign/jtype.scm 61 */
																				obj_t BgL_arg2233z00_218;

																				BgL_arg2233z00_218 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg2226z00_217 =
																					MAKE_PAIR(BNIL, BgL_arg2233z00_218);
																			}
																			BgL_arg2219z00_216 =
																				MAKE_PAIR(BgL_arg2193z00_212,
																				BgL_arg2226z00_217);
																		}
																		BgL_list2207z00_215 =
																			MAKE_PAIR(BgL_idz00_1,
																			BgL_arg2219z00_216);
																	}
																	BgL_arg2180z00_210 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2187z00_211, BgL_list2207z00_215);
															}}
															BgL_arg2095z00_196 =
																MAKE_PAIR(BgL_arg2174z00_209,
																BgL_arg2180z00_210);
														}
														{	/* Foreign/jtype.scm 59 */
															obj_t BgL_list2102z00_198;

															{	/* Foreign/jtype.scm 59 */
																obj_t BgL_arg2114z00_199;

																BgL_arg2114z00_199 = MAKE_PAIR(BNIL, BNIL);
																BgL_list2102z00_198 =
																	MAKE_PAIR(BgL_arg2095z00_196,
																	BgL_arg2114z00_199);
															}
															BgL_arg2087z00_194 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2090z00_195, BgL_list2102z00_198);
													}}
													BgL_arg2074z00_192 =
														MAKE_PAIR(BgL_arg2081z00_193, BgL_arg2087z00_194);
												}
												BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
													(BgL_arg2074z00_192);
											}
											{
												obj_t BgL_auxz00_893;

												BgL_auxz00_893 = (obj_t) (BgL_typez00_191);
												((((BgL_typez00_bglt) CREF(BgL_pointedz00_186))->
														BgL_pointedzd2tozd2byz00) =
													((obj_t) BgL_auxz00_893), BUNSPEC);
											}
											{	/* Foreign/jtype.scm 64 */
												BgL_typez00_bglt BgL_obj2053z00_226;

												BgL_obj2053z00_226 =
													((BgL_typez00_bglt) BgL_typez00_191);
												{	/* Foreign/jtype.scm 64 */
													BgL_jarrayz00_bglt BgL_arg2275z00_227;

													{	/* Foreign/jtype.scm 64 */
														BgL_jarrayz00_bglt BgL_res2628z00_603;

														{	/* Foreign/jtype.scm 64 */
															BgL_jarrayz00_bglt BgL_new1975z00_598;

															BgL_new1975z00_598 =
																((BgL_jarrayz00_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_jarrayz00_bgl))));
															{	/* Foreign/jtype.scm 64 */
																BgL_jarrayz00_bglt BgL_res2627z00_602;

																{	/* Foreign/jtype.scm 64 */
																	BgL_jarrayz00_bglt BgL_new1995z00_599;

																	BgL_new1995z00_599 = BgL_new1975z00_598;
																	{	/* Foreign/jtype.scm 64 */
																		BgL_typez00_bglt BgL_itemzd2type1994zd2_601;

																		BgL_itemzd2type1994zd2_601 =
																			BgL_pointedz00_186;
																		((((BgL_jarrayz00_bglt)
																					CREF(BgL_new1995z00_599))->
																				BgL_itemzd2typezd2) =
																			((BgL_typez00_bglt)
																				BgL_itemzd2type1994zd2_601), BUNSPEC);
																		BgL_res2627z00_602 = BgL_new1995z00_599;
																}} BgL_res2627z00_602;
															}
															BgL_res2628z00_603 = BgL_new1975z00_598;
														}
														BgL_arg2275z00_227 = BgL_res2628z00_603;
													}
													{	/* Foreign/jtype.scm 64 */
														obj_t BgL_auxz00_901;

														BgL_objectz00_bglt BgL_auxz00_899;

														BgL_auxz00_901 = (obj_t) (BgL_arg2275z00_227);
														BgL_auxz00_899 =
															(BgL_objectz00_bglt) (BgL_obj2053z00_226);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_899,
															BgL_auxz00_901);
												}}
												BGL_OBJECT_CLASS_NUM_SET(
													(BgL_objectz00_bglt) (BgL_obj2053z00_226),
													BGl_classzd2numzd2zz__objectz00
													(BGl_jarrayz00zzforeign_jtypez00));
												BgL_obj2053z00_226;
											}
											return BgL_typez00_191;
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* _declare-jvm-type! */
	obj_t BGl__declarezd2jvmzd2typez12z12zzforeign_jtypez00(obj_t BgL_envz00_748,
		obj_t BgL_idz00_749, obj_t BgL_ofz00_750, obj_t BgL_srcz00_751)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 45 */
			return
				(obj_t) (BGl_declarezd2jvmzd2typez12z12zzforeign_jtypez00(BgL_idz00_749,
					BgL_ofz00_750, BgL_srcz00_751));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzforeign_jtypez00()
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 17 */
			{	/* Foreign/jtype.scm 37 */
				obj_t BgL_arg2304z00_235;

				obj_t BgL_arg2305z00_236;

				obj_t BgL_arg2308z00_239;

				BgL_arg2304z00_235 = CNST_TABLE_REF(((long) 7));
				BgL_arg2305z00_236 = BGl_typez00zztype_typez00;
				{	/* Foreign/jtype.scm 37 */
					obj_t BgL_v2054z00_240;

					BgL_v2054z00_240 = create_vector((int) (((long) 0)));
					BgL_arg2308z00_239 = BgL_v2054z00_240;
				}
				BGl_jarrayz00zzforeign_jtypez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg2304z00_235,
					BgL_arg2305z00_236, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2jarrayzd2envz52zzforeign_jtypez00,
					BGl_jarrayzd2nilzd2envz00zzforeign_jtypez00,
					BGl_jarrayzf3zd2envz21zzforeign_jtypez00, ((long) 523048079), BFALSE,
					BFALSE, BgL_arg2308z00_239);
			}
			return (BGl_z52thezd2jarrayzd2nilz52zzforeign_jtypez00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* jarray? */
	BGL_EXPORTED_DEF bool_t BGl_jarrayzf3zf3zzforeign_jtypez00(obj_t
		BgL_obj2006z00_7)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 37 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj2006z00_7,
				BGl_jarrayz00zzforeign_jtypez00);
		}
	}



/* _jarray? */
	obj_t BGl__jarrayzf3zf3zzforeign_jtypez00(obj_t BgL_envz00_754,
		obj_t BgL_obj2006z00_755)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 37 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj2006z00_755,
					BGl_jarrayz00zzforeign_jtypez00));
		}
	}



/* widening-jarray */
	BGL_EXPORTED_DEF BgL_jarrayz00_bglt
		BGl_wideningzd2jarrayzd2zzforeign_jtypez00(BgL_typez00_bglt
		BgL_itemzd2type1974zd2_11)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 37 */
			{	/* Foreign/jtype.scm 37 */
				BgL_jarrayz00_bglt BgL_new1975z00_606;

				BgL_new1975z00_606 =
					((BgL_jarrayz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_jarrayz00_bgl))));
				{	/* Foreign/jtype.scm 37 */
					BgL_jarrayz00_bglt BgL_res2629z00_610;

					{	/* Foreign/jtype.scm 37 */
						BgL_jarrayz00_bglt BgL_new1995z00_607;

						BgL_new1995z00_607 = BgL_new1975z00_606;
						{	/* Foreign/jtype.scm 37 */
							BgL_typez00_bglt BgL_itemzd2type1994zd2_609;

							BgL_itemzd2type1994zd2_609 = BgL_itemzd2type1974zd2_11;
							((((BgL_jarrayz00_bglt) CREF(BgL_new1995z00_607))->
									BgL_itemzd2typezd2) =
								((BgL_typez00_bglt) BgL_itemzd2type1994zd2_609), BUNSPEC);
							BgL_res2629z00_610 = BgL_new1995z00_607;
					}} BgL_res2629z00_610;
				}
				return BgL_new1975z00_606;
			}
		}
	}



/* _widening-jarray2640 */
	obj_t BGl__wideningzd2jarray2640zd2zzforeign_jtypez00(obj_t BgL_envz00_756,
		obj_t BgL_itemzd2type1974zd2_757)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 37 */
			return
				(obj_t) (BGl_wideningzd2jarrayzd2zzforeign_jtypez00(
					(BgL_typez00_bglt) (BgL_itemzd2type1974zd2_757)));
		}
	}



/* make-jarray */
	BGL_EXPORTED_DEF BgL_jarrayz00_bglt
		BGl_makezd2jarrayzd2zzforeign_jtypez00(obj_t BgL_id1978z00_12,
		obj_t BgL_name1979z00_13, obj_t BgL_siza7e1980za7_14,
		obj_t BgL_class1981z00_15, obj_t BgL_coercezd2to1982zd2_16,
		obj_t BgL_parents1983z00_17, bool_t BgL_initzf31984zf3_18,
		bool_t BgL_magiczf31985zf3_19, obj_t BgL_z421986z42_20,
		obj_t BgL_alias1987z00_21, obj_t BgL_pointedzd2tozd2by1988z00_22,
		obj_t BgL_tvector1989z00_23, obj_t BgL_location1990z00_24,
		obj_t BgL_importzd2location1991zd2_25,
		BgL_typez00_bglt BgL_itemzd2type1977zd2_26)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 37 */
			{	/* Foreign/jtype.scm 37 */
				BgL_typez00_bglt BgL_aux1992z00_611;

				BgL_aux1992z00_611 =
					BGl_makezd2typezd2zztype_typez00(BgL_id1978z00_12, BgL_name1979z00_13,
					BgL_siza7e1980za7_14, BgL_class1981z00_15, BgL_coercezd2to1982zd2_16,
					BgL_parents1983z00_17, BgL_initzf31984zf3_18, BgL_magiczf31985zf3_19,
					BgL_z421986z42_20, BgL_alias1987z00_21,
					BgL_pointedzd2tozd2by1988z00_22, BgL_tvector1989z00_23,
					BgL_location1990z00_24, BgL_importzd2location1991zd2_25);
				BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_aux1992z00_611),
					BGl_classzd2numzd2zz__objectz00(BGl_jarrayz00zzforeign_jtypez00));
				{	/* Foreign/jtype.scm 37 */
					BgL_jarrayz00_bglt BgL_arg2311z00_613;

					{	/* Foreign/jtype.scm 37 */
						BgL_jarrayz00_bglt BgL_res2631z00_623;

						{	/* Foreign/jtype.scm 37 */
							BgL_jarrayz00_bglt BgL_new1975z00_618;

							BgL_new1975z00_618 =
								((BgL_jarrayz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_jarrayz00_bgl))));
							{	/* Foreign/jtype.scm 37 */
								BgL_jarrayz00_bglt BgL_res2630z00_622;

								{	/* Foreign/jtype.scm 37 */
									BgL_jarrayz00_bglt BgL_new1995z00_619;

									BgL_new1995z00_619 = BgL_new1975z00_618;
									{	/* Foreign/jtype.scm 37 */
										BgL_typez00_bglt BgL_itemzd2type1994zd2_621;

										BgL_itemzd2type1994zd2_621 = BgL_itemzd2type1977zd2_26;
										((((BgL_jarrayz00_bglt) CREF(BgL_new1995z00_619))->
												BgL_itemzd2typezd2) =
											((BgL_typez00_bglt) BgL_itemzd2type1994zd2_621), BUNSPEC);
										BgL_res2630z00_622 = BgL_new1995z00_619;
								}} BgL_res2630z00_622;
							}
							BgL_res2631z00_623 = BgL_new1975z00_618;
						}
						BgL_arg2311z00_613 = BgL_res2631z00_623;
					}
					{	/* Foreign/jtype.scm 37 */
						obj_t BgL_auxz00_929;

						BgL_objectz00_bglt BgL_auxz00_927;

						BgL_auxz00_929 = (obj_t) (BgL_arg2311z00_613);
						BgL_auxz00_927 = (BgL_objectz00_bglt) (BgL_aux1992z00_611);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_927, BgL_auxz00_929);
				}}
				return ((BgL_jarrayz00_bglt) (BgL_jarrayz00_bglt) (BgL_aux1992z00_611));
			}
		}
	}



/* _make-jarray */
	obj_t BGl__makezd2jarrayzd2zzforeign_jtypez00(obj_t BgL_envz00_758,
		obj_t BgL_id1978z00_759, obj_t BgL_name1979z00_760,
		obj_t BgL_siza7e1980za7_761, obj_t BgL_class1981z00_762,
		obj_t BgL_coercezd2to1982zd2_763, obj_t BgL_parents1983z00_764,
		obj_t BgL_initzf31984zf3_765, obj_t BgL_magiczf31985zf3_766,
		obj_t BgL_z421986z42_767, obj_t BgL_alias1987z00_768,
		obj_t BgL_pointedzd2tozd2by1988z00_769, obj_t BgL_tvector1989z00_770,
		obj_t BgL_location1990z00_771, obj_t BgL_importzd2location1991zd2_772,
		obj_t BgL_itemzd2type1977zd2_773)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 37 */
			return
				(obj_t) (BGl_makezd2jarrayzd2zzforeign_jtypez00(BgL_id1978z00_759,
					BgL_name1979z00_760, BgL_siza7e1980za7_761, BgL_class1981z00_762,
					BgL_coercezd2to1982zd2_763, BgL_parents1983z00_764,
					CBOOL(BgL_initzf31984zf3_765), CBOOL(BgL_magiczf31985zf3_766),
					BgL_z421986z42_767, BgL_alias1987z00_768,
					BgL_pointedzd2tozd2by1988z00_769, BgL_tvector1989z00_770,
					BgL_location1990z00_771, BgL_importzd2location1991zd2_772,
					(BgL_typez00_bglt) (BgL_itemzd2type1977zd2_773)));
		}
	}



/* fill-jarray! */
	BGL_EXPORTED_DEF BgL_jarrayz00_bglt
		BGl_fillzd2jarrayz12zc0zzforeign_jtypez00(BgL_jarrayz00_bglt
		BgL_new1995z00_27, BgL_typez00_bglt BgL_itemzd2type1994zd2_28)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 37 */
			{	/* Foreign/jtype.scm 37 */
				BgL_typez00_bglt BgL_itemzd2type1994zd2_807;

				BgL_itemzd2type1994zd2_807 = BgL_itemzd2type1994zd2_28;
				((((BgL_jarrayz00_bglt) CREF(BgL_new1995z00_27))->BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) BgL_itemzd2type1994zd2_807), BUNSPEC);
				return BgL_new1995z00_27;
			}
		}
	}



/* _fill-jarray! */
	obj_t BGl__fillzd2jarrayz12zc0zzforeign_jtypez00(obj_t BgL_envz00_774,
		obj_t BgL_new1995z00_775, obj_t BgL_itemzd2type1994zd2_776)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 37 */
			{	/* Foreign/jtype.scm 37 */
				BgL_jarrayz00_bglt BgL_auxz00_940;

				{	/* Foreign/jtype.scm 37 */
					BgL_jarrayz00_bglt BgL_res2655z00_811;

					{	/* Foreign/jtype.scm 37 */
						BgL_jarrayz00_bglt BgL_new1995z00_808;

						BgL_typez00_bglt BgL_itemzd2type1994zd2_809;

						BgL_new1995z00_808 = (BgL_jarrayz00_bglt) (BgL_new1995z00_775);
						BgL_itemzd2type1994zd2_809 =
							(BgL_typez00_bglt) (BgL_itemzd2type1994zd2_776);
						{	/* Foreign/jtype.scm 37 */
							BgL_typez00_bglt BgL_itemzd2type1994zd2_810;

							BgL_itemzd2type1994zd2_810 = BgL_itemzd2type1994zd2_809;
							((((BgL_jarrayz00_bglt) CREF(BgL_new1995z00_808))->
									BgL_itemzd2typezd2) =
								((BgL_typez00_bglt) BgL_itemzd2type1994zd2_810), BUNSPEC);
							BgL_res2655z00_811 = BgL_new1995z00_808;
						}
					}
					BgL_auxz00_940 = BgL_res2655z00_811;
				}
				return (obj_t) (BgL_auxz00_940);
			}
		}
	}



/* %allocate-jarray */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_z52allocatezd2jarrayz80zzforeign_jtypez00()
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 37 */
			{	/* Foreign/jtype.scm 37 */
				BgL_typez00_bglt BgL_new1998z00_812;

				BgL_new1998z00_812 =
					((BgL_typez00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_typez00_bgl))));
				BGL_OBJECT_CLASS_NUM_SET(
					(BgL_objectz00_bglt) (BgL_new1998z00_812),
					BGl_classzd2numzd2zz__objectz00(BGl_jarrayz00zzforeign_jtypez00));
				{	/* Foreign/jtype.scm 37 */
					BgL_objectz00_bglt BgL_auxz00_949;

					BgL_auxz00_949 = (BgL_objectz00_bglt) (BgL_new1998z00_812);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_949, BFALSE);
				}
				return BgL_new1998z00_812;
			}
		}
	}



/* _%allocate-jarray */
	obj_t BGl__z52allocatezd2jarrayz80zzforeign_jtypez00(obj_t BgL_envz00_752)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 37 */
			{	/* Foreign/jtype.scm 37 */
				BgL_typez00_bglt BgL_auxz00_952;

				{	/* Foreign/jtype.scm 37 */
					BgL_typez00_bglt BgL_res2656z00_816;

					{	/* Foreign/jtype.scm 37 */
						BgL_typez00_bglt BgL_new1998z00_814;

						BgL_new1998z00_814 =
							((BgL_typez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_typez00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new1998z00_814),
							BGl_classzd2numzd2zz__objectz00(BGl_jarrayz00zzforeign_jtypez00));
						{	/* Foreign/jtype.scm 37 */
							BgL_objectz00_bglt BgL_auxz00_957;

							BgL_auxz00_957 = (BgL_objectz00_bglt) (BgL_new1998z00_814);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_957, BFALSE);
						}
						BgL_res2656z00_816 = BgL_new1998z00_814;
					}
					BgL_auxz00_952 = BgL_res2656z00_816;
				}
				return (obj_t) (BgL_auxz00_952);
			}
		}
	}



/* jarray-nil */
	BGL_EXPORTED_DEF BgL_jarrayz00_bglt BGl_jarrayzd2nilzd2zzforeign_jtypez00()
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 37 */
			if ((BGl_z52thezd2jarrayzd2nilz52zzforeign_jtypez00 == BUNSPEC))
				{	/* Foreign/jtype.scm 37 */
					{	/* Foreign/jtype.scm 37 */
						BgL_typez00_bglt BgL_res2632z00_633;

						{	/* Foreign/jtype.scm 37 */
							BgL_typez00_bglt BgL_new1473z00_629;

							BgL_new1473z00_629 =
								((BgL_typez00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_typez00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1473z00_629),
								BGl_classzd2numzd2zz__objectz00(BGl_typez00zztype_typez00));
							{	/* Foreign/jtype.scm 37 */
								BgL_objectz00_bglt BgL_auxz00_967;

								BgL_auxz00_967 = (BgL_objectz00_bglt) (BgL_new1473z00_629);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_967, BFALSE);
							}
							BgL_res2632z00_633 = BgL_new1473z00_629;
						}
						BGl_z52thezd2jarrayzd2nilz52zzforeign_jtypez00 =
							(obj_t) (BgL_res2632z00_633);
					}
					{	/* Foreign/jtype.scm 37 */
						BgL_typez00_bglt BgL_res2633z00_663;

						{	/* Foreign/jtype.scm 37 */
							BgL_typez00_bglt BgL_new1457z00_634;

							obj_t BgL_id1442z00_635;

							BgL_new1457z00_634 =
								(BgL_typez00_bglt)
								(BGl_z52thezd2jarrayzd2nilz52zzforeign_jtypez00);
							BgL_id1442z00_635 = CNST_TABLE_REF(((long) 8));
							{	/* Foreign/jtype.scm 37 */
								obj_t BgL_id1442z00_649;

								obj_t BgL_name1443z00_650;

								obj_t BgL_siza7e1444za7_651;

								obj_t BgL_class1445z00_652;

								obj_t BgL_coercezd2to1446zd2_653;

								obj_t BgL_parents1447z00_654;

								bool_t BgL_initzf31448zf3_655;

								bool_t BgL_magiczf31449zf3_656;

								obj_t BgL_z421450z42_657;

								obj_t BgL_alias1451z00_658;

								obj_t BgL_pointedzd2tozd2by1452z00_659;

								obj_t BgL_tvector1453z00_660;

								obj_t BgL_location1455z00_661;

								obj_t BgL_importzd2location1456zd2_662;

								BgL_id1442z00_649 = BgL_id1442z00_635;
								BgL_name1443z00_650 = BUNSPEC;
								BgL_siza7e1444za7_651 = BUNSPEC;
								BgL_class1445z00_652 = BUNSPEC;
								BgL_coercezd2to1446zd2_653 = BUNSPEC;
								BgL_parents1447z00_654 = BUNSPEC;
								BgL_initzf31448zf3_655 = ((bool_t) 0);
								BgL_magiczf31449zf3_656 = ((bool_t) 0);
								BgL_z421450z42_657 = BUNSPEC;
								BgL_alias1451z00_658 = BUNSPEC;
								BgL_pointedzd2tozd2by1452z00_659 = BUNSPEC;
								BgL_tvector1453z00_660 = BUNSPEC;
								BgL_location1455z00_661 = BUNSPEC;
								BgL_importzd2location1456zd2_662 = BUNSPEC;
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_634))->BgL_idz00) =
									((obj_t) BgL_id1442z00_649), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_634))->BgL_namez00) =
									((obj_t) BgL_name1443z00_650), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_634))->
										BgL_siza7eza7) = ((obj_t) BgL_siza7e1444za7_651), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_634))->BgL_classz00) =
									((obj_t) BgL_class1445z00_652), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_634))->
										BgL_coercezd2tozd2) =
									((obj_t) BgL_coercezd2to1446zd2_653), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_634))->
										BgL_parentsz00) =
									((obj_t) BgL_parents1447z00_654), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_634))->
										BgL_initzf3zf3) =
									((bool_t) BgL_initzf31448zf3_655), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_634))->
										BgL_magiczf3zf3) =
									((bool_t) BgL_magiczf31449zf3_656), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_634))->BgL_z42z42) =
									((obj_t) BgL_z421450z42_657), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_634))->BgL_aliasz00) =
									((obj_t) BgL_alias1451z00_658), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_634))->
										BgL_pointedzd2tozd2byz00) =
									((obj_t) BgL_pointedzd2tozd2by1452z00_659), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_634))->
										BgL_tvectorz00) =
									((obj_t) BgL_tvector1453z00_660), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_634))->
										BgL_locationz00) =
									((obj_t) BgL_location1455z00_661), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_634))->
										BgL_importzd2locationzd2) =
									((obj_t) BgL_importzd2location1456zd2_662), BUNSPEC);
								BgL_res2633z00_663 = BgL_new1457z00_634;
						}} BgL_res2633z00_663;
					}
					{	/* Foreign/jtype.scm 37 */
						long BgL_arg2314z00_250;

						BgL_arg2314z00_250 =
							BGl_classzd2numzd2zz__objectz00(BGl_jarrayz00zzforeign_jtypez00);
						BGL_OBJECT_CLASS_NUM_SET(
							(BgL_objectz00_bglt)
							(BGl_z52thezd2jarrayzd2nilz52zzforeign_jtypez00),
							BgL_arg2314z00_250);
					}
					{	/* Foreign/jtype.scm 37 */
						BgL_jarrayz00_bglt BgL_arg2315z00_251;

						{	/* Foreign/jtype.scm 37 */
							BgL_typez00_bglt BgL_arg2318z00_252;

							BgL_arg2318z00_252 = BGl_typezd2nilzd2zztype_typez00();
							{	/* Foreign/jtype.scm 37 */
								BgL_jarrayz00_bglt BgL_res2635z00_672;

								{	/* Foreign/jtype.scm 37 */
									BgL_jarrayz00_bglt BgL_new1975z00_667;

									BgL_new1975z00_667 =
										((BgL_jarrayz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_jarrayz00_bgl))));
									{	/* Foreign/jtype.scm 37 */
										BgL_jarrayz00_bglt BgL_res2634z00_671;

										{	/* Foreign/jtype.scm 37 */
											BgL_jarrayz00_bglt BgL_new1995z00_668;

											BgL_new1995z00_668 = BgL_new1975z00_667;
											{	/* Foreign/jtype.scm 37 */
												BgL_typez00_bglt BgL_itemzd2type1994zd2_670;

												BgL_itemzd2type1994zd2_670 = BgL_arg2318z00_252;
												((((BgL_jarrayz00_bglt) CREF(BgL_new1995z00_668))->
														BgL_itemzd2typezd2) =
													((BgL_typez00_bglt) BgL_itemzd2type1994zd2_670),
													BUNSPEC);
												BgL_res2634z00_671 = BgL_new1995z00_668;
										}} BgL_res2634z00_671;
									}
									BgL_res2635z00_672 = BgL_new1975z00_667;
								}
								BgL_arg2315z00_251 = BgL_res2635z00_672;
						}}
						{	/* Foreign/jtype.scm 37 */
							obj_t BgL_auxz00_995;

							BgL_objectz00_bglt BgL_auxz00_993;

							BgL_auxz00_995 = (obj_t) (BgL_arg2315z00_251);
							BgL_auxz00_993 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2jarrayzd2nilz52zzforeign_jtypez00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_993, BgL_auxz00_995);
				}}}
			else
				{	/* Foreign/jtype.scm 37 */
					BFALSE;
				}
			return
				(BgL_jarrayz00_bglt) (BGl_z52thezd2jarrayzd2nilz52zzforeign_jtypez00);
		}
	}



/* _jarray-nil */
	obj_t BGl__jarrayzd2nilzd2zzforeign_jtypez00(obj_t BgL_envz00_753)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 37 */
			return (obj_t) (BGl_jarrayzd2nilzd2zzforeign_jtypez00());
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzforeign_jtypez00()
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 17 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00,
				BGl_jarrayz00zzforeign_jtypez00, BGl_proc2647z00zzforeign_jtypez00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_jarrayz00zzforeign_jtypez00, BGl_proc2648z00zzforeign_jtypez00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_jarrayz00zzforeign_jtypez00, BGl_proc2649z00zzforeign_jtypez00);
		}
	}



/* struct+object->objec2061 */
	obj_t BGl_structzb2objectzd2ze3objec2061z83zzforeign_jtypez00(obj_t
		BgL_envz00_785, obj_t BgL_oz00_786, obj_t BgL_sz00_787)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 37 */
			{
				BgL_jarrayz00_bglt BgL_oz00_574;

				obj_t BgL_sz00_575;

				{	/* Foreign/jtype.scm 37 */
					BgL_jarrayz00_bglt BgL_auxz00_1004;

					BgL_oz00_574 = (BgL_jarrayz00_bglt) (BgL_oz00_786);
					BgL_sz00_575 = BgL_sz00_787;
					{

						{	/* Foreign/jtype.scm 37 */
							obj_t BgL_old2003z00_578;

							obj_t BgL_aux2004z00_579;

							{	/* Foreign/jtype.scm 37 */
								obj_t BgL_nextzd2method2060zd2_584;

								BgL_nextzd2method2060zd2_584 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_574),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_jarrayz00zzforeign_jtypez00);
								if (PROCEDUREP(BgL_nextzd2method2060zd2_584))
									{	/* Foreign/jtype.scm 37 */
										BgL_old2003z00_578 =
											PROCEDURE_ENTRY(BgL_nextzd2method2060zd2_584)
											(BgL_nextzd2method2060zd2_584, (obj_t) (BgL_oz00_574),
											BgL_sz00_575, BEOA);
									}
								else
									{	/* Foreign/jtype.scm 37 */
										BgL_old2003z00_578 =
											(obj_t) (BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_574), BgL_sz00_575));
									}
							}
							BgL_aux2004z00_579 = STRUCT_REF(BgL_sz00_575, (int) (((long) 0)));
							{	/* Foreign/jtype.scm 37 */
								BgL_jarrayz00_bglt BgL_new2005z00_580;

								BgL_new2005z00_580 =
									((BgL_jarrayz00_bglt) (BgL_old2003z00_578));
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_new2005z00_580),
									BGl_classzd2numzd2zz__objectz00
									(BGl_jarrayz00zzforeign_jtypez00));
								{	/* Foreign/jtype.scm 37 */
									BgL_jarrayz00_bglt BgL_arg2624z00_582;

									{	/* Foreign/jtype.scm 37 */
										obj_t BgL_arg2625z00_583;

										BgL_arg2625z00_583 =
											STRUCT_REF(BgL_aux2004z00_579, (int) (((long) 0)));
										{	/* Foreign/jtype.scm 37 */
											BgL_jarrayz00_bglt BgL_res2639z00_746;

											{	/* Foreign/jtype.scm 37 */
												BgL_typez00_bglt BgL_itemzd2type1974zd2_740;

												BgL_itemzd2type1974zd2_740 =
													(BgL_typez00_bglt) (BgL_arg2625z00_583);
												{	/* Foreign/jtype.scm 37 */
													BgL_jarrayz00_bglt BgL_new1975z00_741;

													BgL_new1975z00_741 =
														((BgL_jarrayz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_jarrayz00_bgl))));
													{	/* Foreign/jtype.scm 37 */
														BgL_jarrayz00_bglt BgL_res2638z00_745;

														{	/* Foreign/jtype.scm 37 */
															BgL_jarrayz00_bglt BgL_new1995z00_742;

															BgL_new1995z00_742 = BgL_new1975z00_741;
															{	/* Foreign/jtype.scm 37 */
																BgL_typez00_bglt BgL_itemzd2type1994zd2_744;

																BgL_itemzd2type1994zd2_744 =
																	BgL_itemzd2type1974zd2_740;
																((((BgL_jarrayz00_bglt)
																			CREF(BgL_new1995z00_742))->
																		BgL_itemzd2typezd2) =
																	((BgL_typez00_bglt)
																		BgL_itemzd2type1994zd2_744), BUNSPEC);
																BgL_res2638z00_745 = BgL_new1995z00_742;
														}} BgL_res2638z00_745;
													}
													BgL_res2639z00_746 = BgL_new1975z00_741;
											}}
											BgL_arg2624z00_582 = BgL_res2639z00_746;
									}}
									{	/* Foreign/jtype.scm 37 */
										obj_t BgL_auxz00_1028;

										BgL_objectz00_bglt BgL_auxz00_1026;

										BgL_auxz00_1028 = (obj_t) (BgL_arg2624z00_582);
										BgL_auxz00_1026 = (BgL_objectz00_bglt) (BgL_new2005z00_580);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_1026, BgL_auxz00_1028);
								}}
								BgL_auxz00_1004 = BgL_new2005z00_580;
					}}}
					return (obj_t) (BgL_auxz00_1004);
				}
			}
		}
	}



/* object->struct-jarra2059 */
	obj_t BGl_objectzd2ze3structzd2jarra2059ze3zzforeign_jtypez00(obj_t
		BgL_envz00_788, obj_t BgL_obj2000z00_789)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 37 */
			{
				BgL_jarrayz00_bglt BgL_obj2000z00_564;

				BgL_obj2000z00_564 = (BgL_jarrayz00_bglt) (BgL_obj2000z00_789);
				{

					{	/* Foreign/jtype.scm 37 */
						obj_t BgL_res2001z00_567;

						{	/* Foreign/jtype.scm 37 */
							obj_t BgL_nextzd2method2058zd2_572;

							BgL_nextzd2method2058zd2_572 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj2000z00_564),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_jarrayz00zzforeign_jtypez00);
							if (PROCEDUREP(BgL_nextzd2method2058zd2_572))
								{	/* Foreign/jtype.scm 37 */
									BgL_res2001z00_567 =
										PROCEDURE_ENTRY(BgL_nextzd2method2058zd2_572)
										(BgL_nextzd2method2058zd2_572, (obj_t) (BgL_obj2000z00_564),
										BEOA);
								}
							else
								{	/* Foreign/jtype.scm 37 */
									BgL_res2001z00_567 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj2000z00_564));
								}
						}
						{	/* Foreign/jtype.scm 37 */
							obj_t BgL_aux2002z00_568;

							{	/* Foreign/jtype.scm 37 */
								obj_t BgL_keyz00_717;

								BgL_keyz00_717 = CNST_TABLE_REF(((long) 7));
								BgL_aux2002z00_568 =
									make_struct(BgL_keyz00_717, (int) (((long) 1)), BUNSPEC);
							}
							{	/* Foreign/jtype.scm 37 */
								BgL_typez00_bglt BgL_arg2620z00_570;

								{
									obj_t BgL_auxz00_1045;

									{	/* Foreign/jtype.scm 37 */
										BgL_objectz00_bglt BgL_auxz00_1046;

										BgL_auxz00_1046 = (BgL_objectz00_bglt) (BgL_obj2000z00_564);
										BgL_auxz00_1045 = BGL_OBJECT_WIDENING(BgL_auxz00_1046);
									}
									BgL_arg2620z00_570 =
										(((BgL_jarrayz00_bglt) CREF(BgL_auxz00_1045))->
										BgL_itemzd2typezd2);
								}
								{	/* Foreign/jtype.scm 37 */
									obj_t BgL_auxz00_1052;

									int BgL_auxz00_1050;

									BgL_auxz00_1052 = (obj_t) (BgL_arg2620z00_570);
									BgL_auxz00_1050 = (int) (((long) 0));
									STRUCT_SET(BgL_aux2002z00_568, BgL_auxz00_1050,
										BgL_auxz00_1052);
							}}
							{	/* Foreign/jtype.scm 37 */
								int BgL_auxz00_1055;

								BgL_auxz00_1055 = (int) (((long) 0));
								STRUCT_SET(BgL_res2001z00_567, BgL_auxz00_1055,
									BgL_aux2002z00_568);
							}
							{	/* Foreign/jtype.scm 37 */
								obj_t BgL_auxz00_1058;

								BgL_auxz00_1058 = STRUCT_KEY(BgL_res2001z00_567);
								STRUCT_KEY_SET(BgL_aux2002z00_568, BgL_auxz00_1058);
							}
							{	/* Foreign/jtype.scm 37 */
								obj_t BgL_kz00_732;

								BgL_kz00_732 = CNST_TABLE_REF(((long) 7));
								STRUCT_KEY_SET(BgL_res2001z00_567, BgL_kz00_732);
							}
							return BgL_res2001z00_567;
						}
					}
				}
			}
		}
	}



/* make-ctype-accesses!2057 */
	obj_t BGl_makezd2ctypezd2accessesz122057z12zzforeign_jtypez00(obj_t
		BgL_envz00_790, obj_t BgL_whatz00_791, obj_t BgL_whoz00_792,
		obj_t BgL_locz00_793)
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 71 */
			{
				BgL_jarrayz00_bglt BgL_whatz00_305;

				BgL_typez00_bglt BgL_whoz00_306;

				obj_t BgL_locz00_307;

				BgL_whatz00_305 = (BgL_jarrayz00_bglt) (BgL_whatz00_791);
				BgL_whoz00_306 = (BgL_typez00_bglt) (BgL_whoz00_792);
				BgL_locz00_307 = BgL_locz00_793;
				{	/* Foreign/jtype.scm 74 */
					obj_t BgL_idz00_310;

					{
						BgL_typez00_bglt BgL_auxz00_1064;

						BgL_auxz00_1064 = (BgL_typez00_bglt) (BgL_whatz00_305);
						BgL_idz00_310 =
							(((BgL_typez00_bglt) CREF(BgL_auxz00_1064))->BgL_idz00);
					}
					{	/* Foreign/jtype.scm 74 */
						obj_t BgL_oidz00_311;

						BgL_oidz00_311 =
							BGl_makezd2typedzd2identz00zzast_identz00(CNST_TABLE_REF(((long)
									9)), BgL_idz00_310);
						{	/* Foreign/jtype.scm 75 */
							obj_t BgL_tidz00_312;

							BgL_tidz00_312 =
								BGl_makezd2typedzd2formalz00zzast_identz00(BgL_idz00_310);
							{	/* Foreign/jtype.scm 76 */
								obj_t BgL_idzd2ze3objz31_313;

								{	/* Foreign/jtype.scm 77 */
									obj_t BgL_arg2612z00_557;

									{	/* Foreign/jtype.scm 77 */
										obj_t BgL_arg2614z00_558;

										obj_t BgL_arg2615z00_559;

										BgL_arg2614z00_558 = SYMBOL_TO_STRING(BgL_idz00_310);
										{	/* Foreign/jtype.scm 77 */
											obj_t BgL_symbolz00_693;

											BgL_symbolz00_693 = CNST_TABLE_REF(((long) 10));
											BgL_arg2615z00_559 = SYMBOL_TO_STRING(BgL_symbolz00_693);
										}
										{	/* Foreign/jtype.scm 77 */
											obj_t BgL_list2616z00_560;

											{	/* Foreign/jtype.scm 77 */
												obj_t BgL_arg2617z00_561;

												BgL_arg2617z00_561 =
													MAKE_PAIR(BgL_arg2615z00_559, BNIL);
												BgL_list2616z00_560 =
													MAKE_PAIR(BgL_arg2614z00_558, BgL_arg2617z00_561);
											}
											BgL_arg2612z00_557 =
												BGl_stringzd2appendzd2zz__r4_strings_6_7z00
												(BgL_list2616z00_560);
									}}
									BgL_idzd2ze3objz31_313 =
										string_to_symbol(BSTRING_TO_STRING(BgL_arg2612z00_557));
								}
								{	/* Foreign/jtype.scm 77 */
									obj_t BgL_objzd2ze3idz31_314;

									{	/* Foreign/jtype.scm 78 */
										obj_t BgL_arg2607z00_552;

										{	/* Foreign/jtype.scm 78 */
											obj_t BgL_arg2608z00_553;

											obj_t BgL_arg2609z00_554;

											{	/* Foreign/jtype.scm 78 */
												obj_t BgL_symbolz00_695;

												BgL_symbolz00_695 = CNST_TABLE_REF(((long) 0));
												BgL_arg2608z00_553 =
													SYMBOL_TO_STRING(BgL_symbolz00_695);
											}
											BgL_arg2609z00_554 = SYMBOL_TO_STRING(BgL_idz00_310);
											{	/* Foreign/jtype.scm 78 */
												obj_t BgL_list2610z00_555;

												{	/* Foreign/jtype.scm 78 */
													obj_t BgL_arg2611z00_556;

													BgL_arg2611z00_556 =
														MAKE_PAIR(BgL_arg2609z00_554, BNIL);
													BgL_list2610z00_555 =
														MAKE_PAIR(BgL_arg2608z00_553, BgL_arg2611z00_556);
												}
												BgL_arg2607z00_552 =
													BGl_stringzd2appendzd2zz__r4_strings_6_7z00
													(BgL_list2610z00_555);
										}}
										BgL_objzd2ze3idz31_314 =
											string_to_symbol(BSTRING_TO_STRING(BgL_arg2607z00_552));
									}
									{	/* Foreign/jtype.scm 78 */
										obj_t BgL_tobjzd2ze3idz31_315;

										BgL_tobjzd2ze3idz31_315 =
											BGl_makezd2typedzd2identz00zzast_identz00
											(BgL_objzd2ze3idz31_314, BgL_idz00_310);
										{	/* Foreign/jtype.scm 79 */
											obj_t BgL_idzf3zf3_316;

											{	/* Foreign/jtype.scm 80 */
												obj_t BgL_arg2602z00_547;

												{	/* Foreign/jtype.scm 80 */
													obj_t BgL_arg2603z00_548;

													obj_t BgL_arg2604z00_549;

													BgL_arg2603z00_548 = SYMBOL_TO_STRING(BgL_idz00_310);
													{	/* Foreign/jtype.scm 80 */
														obj_t BgL_symbolz00_699;

														BgL_symbolz00_699 = CNST_TABLE_REF(((long) 6));
														BgL_arg2604z00_549 =
															SYMBOL_TO_STRING(BgL_symbolz00_699);
													}
													{	/* Foreign/jtype.scm 80 */
														obj_t BgL_list2605z00_550;

														{	/* Foreign/jtype.scm 80 */
															obj_t BgL_arg2606z00_551;

															BgL_arg2606z00_551 =
																MAKE_PAIR(BgL_arg2604z00_549, BNIL);
															BgL_list2605z00_550 =
																MAKE_PAIR(BgL_arg2603z00_548,
																BgL_arg2606z00_551);
														}
														BgL_arg2602z00_547 =
															BGl_stringzd2appendzd2zz__r4_strings_6_7z00
															(BgL_list2605z00_550);
												}}
												BgL_idzf3zf3_316 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg2602z00_547));
											}
											{	/* Foreign/jtype.scm 80 */
												obj_t BgL_tidzf3zf3_317;

												BgL_tidzf3zf3_317 =
													BGl_makezd2typedzd2identz00zzast_identz00
													(BgL_idzf3zf3_316, CNST_TABLE_REF(((long) 11)));
												{	/* Foreign/jtype.scm 81 */
													obj_t BgL_idzd2lengthzd2_318;

													{	/* Foreign/jtype.scm 82 */
														obj_t BgL_arg2597z00_542;

														{	/* Foreign/jtype.scm 82 */
															obj_t BgL_arg2598z00_543;

															obj_t BgL_arg2599z00_544;

															BgL_arg2598z00_543 =
																SYMBOL_TO_STRING(BgL_idz00_310);
															{	/* Foreign/jtype.scm 82 */
																obj_t BgL_symbolz00_702;

																BgL_symbolz00_702 = CNST_TABLE_REF(((long) 12));
																BgL_arg2599z00_544 =
																	SYMBOL_TO_STRING(BgL_symbolz00_702);
															}
															{	/* Foreign/jtype.scm 82 */
																obj_t BgL_list2600z00_545;

																{	/* Foreign/jtype.scm 82 */
																	obj_t BgL_arg2601z00_546;

																	BgL_arg2601z00_546 =
																		MAKE_PAIR(BgL_arg2599z00_544, BNIL);
																	BgL_list2600z00_545 =
																		MAKE_PAIR(BgL_arg2598z00_543,
																		BgL_arg2601z00_546);
																}
																BgL_arg2597z00_542 =
																	BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																	(BgL_list2600z00_545);
														}}
														BgL_idzd2lengthzd2_318 =
															string_to_symbol(BSTRING_TO_STRING
															(BgL_arg2597z00_542));
													}
													{	/* Foreign/jtype.scm 82 */
														obj_t BgL_tidzd2lengthzd2_319;

														BgL_tidzd2lengthzd2_319 =
															BGl_makezd2typedzd2identz00zzast_identz00
															(BgL_idzd2lengthzd2_318,
															CNST_TABLE_REF(((long) 13)));
														{	/* Foreign/jtype.scm 83 */
															BgL_typez00_bglt BgL_itemzd2typezd2_320;

															{
																obj_t BgL_auxz00_1107;

																{	/* Foreign/jtype.scm 84 */
																	BgL_objectz00_bglt BgL_auxz00_1108;

																	BgL_auxz00_1108 =
																		(BgL_objectz00_bglt) (BgL_whatz00_305);
																	BgL_auxz00_1107 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_1108);
																}
																BgL_itemzd2typezd2_320 =
																	(((BgL_jarrayz00_bglt)
																		CREF(BgL_auxz00_1107))->BgL_itemzd2typezd2);
															}
															{	/* Foreign/jtype.scm 84 */
																obj_t BgL_itemzd2typezd2idz00_321;

																BgL_itemzd2typezd2idz00_321 =
																	(((BgL_typez00_bglt)
																		CREF(BgL_itemzd2typezd2_320))->BgL_idz00);
																{	/* Foreign/jtype.scm 85 */
																	obj_t BgL_fitemzd2typezd2idz00_322;

																	BgL_fitemzd2typezd2idz00_322 =
																		BGl_makezd2typedzd2formalz00zzast_identz00
																		(BgL_itemzd2typezd2idz00_321);
																	{	/* Foreign/jtype.scm 86 */
																		obj_t BgL_oitemzd2typezd2idz00_323;

																		BgL_oitemzd2typezd2idz00_323 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(CNST_TABLE_REF(((long) 14)),
																			BgL_itemzd2typezd2idz00_321);
																		{	/* Foreign/jtype.scm 87 */
																			obj_t BgL_makezd2idzd2_324;

																			{	/* Foreign/jtype.scm 88 */
																				obj_t BgL_arg2592z00_537;

																				{	/* Foreign/jtype.scm 88 */
																					obj_t BgL_arg2593z00_538;

																					obj_t BgL_arg2594z00_539;

																					{	/* Foreign/jtype.scm 88 */
																						obj_t BgL_symbolz00_706;

																						BgL_symbolz00_706 =
																							CNST_TABLE_REF(((long) 15));
																						BgL_arg2593z00_538 =
																							SYMBOL_TO_STRING
																							(BgL_symbolz00_706);
																					}
																					BgL_arg2594z00_539 =
																						SYMBOL_TO_STRING(BgL_idz00_310);
																					{	/* Foreign/jtype.scm 88 */
																						obj_t BgL_list2595z00_540;

																						{	/* Foreign/jtype.scm 88 */
																							obj_t BgL_arg2596z00_541;

																							BgL_arg2596z00_541 =
																								MAKE_PAIR(BgL_arg2594z00_539,
																								BNIL);
																							BgL_list2595z00_540 =
																								MAKE_PAIR(BgL_arg2593z00_538,
																								BgL_arg2596z00_541);
																						}
																						BgL_arg2592z00_537 =
																							BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																							(BgL_list2595z00_540);
																				}}
																				BgL_makezd2idzd2_324 =
																					string_to_symbol(BSTRING_TO_STRING
																					(BgL_arg2592z00_537));
																			}
																			{	/* Foreign/jtype.scm 88 */
																				obj_t BgL_tmakezd2idzd2_325;

																				BgL_tmakezd2idzd2_325 =
																					BGl_makezd2typedzd2identz00zzast_identz00
																					(BgL_makezd2idzd2_324, BgL_idz00_310);
																				{	/* Foreign/jtype.scm 89 */
																					obj_t BgL_idzd2refzd2_326;

																					{	/* Foreign/jtype.scm 90 */
																						obj_t BgL_arg2586z00_532;

																						{	/* Foreign/jtype.scm 90 */
																							obj_t BgL_arg2587z00_533;

																							obj_t BgL_arg2588z00_534;

																							BgL_arg2587z00_533 =
																								SYMBOL_TO_STRING(BgL_idz00_310);
																							{	/* Foreign/jtype.scm 90 */
																								obj_t BgL_symbolz00_710;

																								BgL_symbolz00_710 =
																									CNST_TABLE_REF(((long) 16));
																								BgL_arg2588z00_534 =
																									SYMBOL_TO_STRING
																									(BgL_symbolz00_710);
																							}
																							{	/* Foreign/jtype.scm 90 */
																								obj_t BgL_list2589z00_535;

																								{	/* Foreign/jtype.scm 90 */
																									obj_t BgL_arg2591z00_536;

																									BgL_arg2591z00_536 =
																										MAKE_PAIR
																										(BgL_arg2588z00_534, BNIL);
																									BgL_list2589z00_535 =
																										MAKE_PAIR
																										(BgL_arg2587z00_533,
																										BgL_arg2591z00_536);
																								}
																								BgL_arg2586z00_532 =
																									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																									(BgL_list2589z00_535);
																						}}
																						BgL_idzd2refzd2_326 =
																							string_to_symbol(BSTRING_TO_STRING
																							(BgL_arg2586z00_532));
																					}
																					{	/* Foreign/jtype.scm 90 */
																						obj_t BgL_tidzd2refzd2_327;

																						BgL_tidzd2refzd2_327 =
																							BGl_makezd2typedzd2identz00zzast_identz00
																							(BgL_idzd2refzd2_326,
																							BgL_itemzd2typezd2idz00_321);
																						{	/* Foreign/jtype.scm 91 */
																							obj_t BgL_idzd2setz12zc0_328;

																							{	/* Foreign/jtype.scm 92 */
																								obj_t BgL_arg2581z00_527;

																								{	/* Foreign/jtype.scm 92 */
																									obj_t BgL_arg2582z00_528;

																									obj_t BgL_arg2583z00_529;

																									BgL_arg2582z00_528 =
																										SYMBOL_TO_STRING
																										(BgL_idz00_310);
																									{	/* Foreign/jtype.scm 92 */
																										obj_t BgL_symbolz00_713;

																										BgL_symbolz00_713 =
																											CNST_TABLE_REF(((long)
																												17));
																										BgL_arg2583z00_529 =
																											SYMBOL_TO_STRING
																											(BgL_symbolz00_713);
																									}
																									{	/* Foreign/jtype.scm 92 */
																										obj_t BgL_list2584z00_530;

																										{	/* Foreign/jtype.scm 92 */
																											obj_t BgL_arg2585z00_531;

																											BgL_arg2585z00_531 =
																												MAKE_PAIR
																												(BgL_arg2583z00_529,
																												BNIL);
																											BgL_list2584z00_530 =
																												MAKE_PAIR
																												(BgL_arg2582z00_528,
																												BgL_arg2585z00_531);
																										}
																										BgL_arg2581z00_527 =
																											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																											(BgL_list2584z00_530);
																								}}
																								BgL_idzd2setz12zc0_328 =
																									string_to_symbol
																									(BSTRING_TO_STRING
																									(BgL_arg2581z00_527));
																							}
																							{	/* Foreign/jtype.scm 92 */

																								{

																									{	/* Foreign/jtype.scm 133 */
																										obj_t BgL_list2354z00_336;

																										{	/* Foreign/jtype.scm 133 */
																											obj_t BgL_arg2366z00_337;

																											{	/* Foreign/jtype.scm 133 */
																												obj_t
																													BgL_arg2373z00_338;
																												{	/* Foreign/jtype.scm 133 */
																													obj_t
																														BgL_arg2374z00_339;
																													{	/* Foreign/jtype.scm 133 */
																														obj_t
																															BgL_arg2375z00_340;
																														BgL_arg2375z00_340 =
																															MAKE_PAIR
																															(BgL_idzd2setz12zc0_328,
																															BNIL);
																														BgL_arg2374z00_339 =
																															MAKE_PAIR
																															(BgL_idzd2refzd2_326,
																															BgL_arg2375z00_340);
																													}
																													BgL_arg2373z00_338 =
																														MAKE_PAIR
																														(BgL_makezd2idzd2_324,
																														BgL_arg2374z00_339);
																												}
																												BgL_arg2366z00_337 =
																													MAKE_PAIR
																													(BgL_idzd2lengthzd2_318,
																													BgL_arg2373z00_338);
																											}
																											BgL_list2354z00_336 =
																												MAKE_PAIR
																												(BgL_idzf3zf3_316,
																												BgL_arg2366z00_337);
																										}
																										BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00
																											(BgL_list2354z00_336);
																									}
																									{	/* Foreign/jtype.scm 136 */
																										obj_t BgL_arg2387z00_341;

																										{	/* Foreign/jtype.scm 136 */
																											obj_t BgL_arg2393z00_342;

																											obj_t BgL_arg2394z00_343;

																											BgL_arg2393z00_342 =
																												CNST_TABLE_REF(((long)
																													31));
																											{	/* Foreign/jtype.scm 137 */
																												obj_t
																													BgL_arg2395z00_344;
																												obj_t
																													BgL_arg2396z00_345;
																												obj_t
																													BgL_arg2397z00_346;
																												obj_t
																													BgL_arg2398z00_347;
																												obj_t
																													BgL_arg2399z00_348;
																												obj_t
																													BgL_arg2400z00_349;
																												obj_t
																													BgL_arg2401z00_350;
																												{	/* Foreign/jtype.scm 137 */
																													obj_t
																														BgL_arg2410z00_359;
																													obj_t
																														BgL_arg2411z00_360;
																													BgL_arg2410z00_359 =
																														CNST_TABLE_REF((
																															(long) 32));
																													{	/* Foreign/jtype.scm 137 */
																														obj_t
																															BgL_list2412z00_361;
																														{	/* Foreign/jtype.scm 137 */
																															obj_t
																																BgL_arg2413z00_362;
																															BgL_arg2413z00_362
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list2412z00_361
																																=
																																MAKE_PAIR
																																(BgL_tidz00_312,
																																BgL_arg2413z00_362);
																														}
																														BgL_arg2411z00_360 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_idzd2ze3objz31_313,
																															BgL_list2412z00_361);
																													}
																													BgL_arg2395z00_344 =
																														MAKE_PAIR
																														(BgL_arg2410z00_359,
																														BgL_arg2411z00_360);
																												}
																												{	/* Foreign/jtype.scm 138 */
																													obj_t
																														BgL_arg2414z00_363;
																													obj_t
																														BgL_arg2415z00_364;
																													BgL_arg2414z00_363 =
																														CNST_TABLE_REF((
																															(long) 32));
																													{	/* Foreign/jtype.scm 138 */
																														obj_t
																															BgL_list2416z00_365;
																														{	/* Foreign/jtype.scm 138 */
																															obj_t
																																BgL_arg2417z00_366;
																															obj_t
																																BgL_arg2418z00_367;
																															BgL_arg2417z00_366
																																=
																																CNST_TABLE_REF((
																																	(long) 33));
																															BgL_arg2418z00_367
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list2416z00_365
																																=
																																MAKE_PAIR
																																(BgL_arg2417z00_366,
																																BgL_arg2418z00_367);
																														}
																														BgL_arg2415z00_364 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_tobjzd2ze3idz31_315,
																															BgL_list2416z00_365);
																													}
																													BgL_arg2396z00_345 =
																														MAKE_PAIR
																														(BgL_arg2414z00_363,
																														BgL_arg2415z00_364);
																												}
																												{	/* Foreign/jtype.scm 139 */
																													obj_t
																														BgL_arg2419z00_368;
																													obj_t
																														BgL_arg2420z00_369;
																													BgL_arg2419z00_368 =
																														CNST_TABLE_REF((
																															(long) 32));
																													{	/* Foreign/jtype.scm 139 */
																														obj_t
																															BgL_list2421z00_370;
																														{	/* Foreign/jtype.scm 139 */
																															obj_t
																																BgL_arg2422z00_371;
																															obj_t
																																BgL_arg2423z00_372;
																															BgL_arg2422z00_371
																																=
																																CNST_TABLE_REF((
																																	(long) 33));
																															BgL_arg2423z00_372
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list2421z00_370
																																=
																																MAKE_PAIR
																																(BgL_arg2422z00_371,
																																BgL_arg2423z00_372);
																														}
																														BgL_arg2420z00_369 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_tidzf3zf3_317,
																															BgL_list2421z00_370);
																													}
																													BgL_arg2397z00_346 =
																														MAKE_PAIR
																														(BgL_arg2419z00_368,
																														BgL_arg2420z00_369);
																												}
																												{	/* Foreign/jtype.scm 140 */
																													obj_t
																														BgL_arg2424z00_373;
																													obj_t
																														BgL_arg2425z00_374;
																													BgL_arg2424z00_373 =
																														CNST_TABLE_REF((
																															(long) 32));
																													{	/* Foreign/jtype.scm 140 */
																														obj_t
																															BgL_list2426z00_375;
																														{	/* Foreign/jtype.scm 140 */
																															obj_t
																																BgL_arg2427z00_376;
																															BgL_arg2427z00_376
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list2426z00_375
																																=
																																MAKE_PAIR
																																(BgL_tidz00_312,
																																BgL_arg2427z00_376);
																														}
																														BgL_arg2425z00_374 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_tidzd2lengthzd2_319,
																															BgL_list2426z00_375);
																													}
																													BgL_arg2398z00_347 =
																														MAKE_PAIR
																														(BgL_arg2424z00_373,
																														BgL_arg2425z00_374);
																												}
																												{	/* Foreign/jtype.scm 141 */
																													obj_t
																														BgL_arg2428z00_377;
																													obj_t
																														BgL_arg2429z00_378;
																													BgL_arg2428z00_377 =
																														CNST_TABLE_REF((
																															(long) 32));
																													{	/* Foreign/jtype.scm 141 */
																														obj_t
																															BgL_list2430z00_379;
																														{	/* Foreign/jtype.scm 141 */
																															obj_t
																																BgL_arg2431z00_380;
																															obj_t
																																BgL_arg2432z00_381;
																															BgL_arg2431z00_380
																																=
																																CNST_TABLE_REF((
																																	(long) 34));
																															BgL_arg2432z00_381
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list2430z00_379
																																=
																																MAKE_PAIR
																																(BgL_arg2431z00_380,
																																BgL_arg2432z00_381);
																														}
																														BgL_arg2429z00_378 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_tmakezd2idzd2_325,
																															BgL_list2430z00_379);
																													}
																													BgL_arg2399z00_348 =
																														MAKE_PAIR
																														(BgL_arg2428z00_377,
																														BgL_arg2429z00_378);
																												}
																												{	/* Foreign/jtype.scm 142 */
																													obj_t
																														BgL_arg2433z00_382;
																													obj_t
																														BgL_arg2434z00_383;
																													BgL_arg2433z00_382 =
																														CNST_TABLE_REF((
																															(long) 32));
																													{	/* Foreign/jtype.scm 142 */
																														obj_t
																															BgL_list2435z00_384;
																														{	/* Foreign/jtype.scm 142 */
																															obj_t
																																BgL_arg2436z00_385;
																															{	/* Foreign/jtype.scm 142 */
																																obj_t
																																	BgL_arg2437z00_386;
																																obj_t
																																	BgL_arg2438z00_387;
																																BgL_arg2437z00_386
																																	=
																																	CNST_TABLE_REF
																																	(((long) 34));
																																BgL_arg2438z00_387
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_arg2436z00_385
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2437z00_386,
																																	BgL_arg2438z00_387);
																															}
																															BgL_list2435z00_384
																																=
																																MAKE_PAIR
																																(BgL_tidz00_312,
																																BgL_arg2436z00_385);
																														}
																														BgL_arg2434z00_383 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_tidzd2refzd2_327,
																															BgL_list2435z00_384);
																													}
																													BgL_arg2400z00_349 =
																														MAKE_PAIR
																														(BgL_arg2433z00_382,
																														BgL_arg2434z00_383);
																												}
																												{	/* Foreign/jtype.scm 143 */
																													obj_t
																														BgL_arg2439z00_388;
																													obj_t
																														BgL_arg2440z00_389;
																													BgL_arg2439z00_388 =
																														CNST_TABLE_REF((
																															(long) 32));
																													{	/* Foreign/jtype.scm 143 */
																														obj_t
																															BgL_list2441z00_390;
																														{	/* Foreign/jtype.scm 143 */
																															obj_t
																																BgL_arg2442z00_391;
																															{	/* Foreign/jtype.scm 143 */
																																obj_t
																																	BgL_arg2443z00_392;
																																obj_t
																																	BgL_arg2444z00_393;
																																BgL_arg2443z00_392
																																	=
																																	CNST_TABLE_REF
																																	(((long) 34));
																																{	/* Foreign/jtype.scm 143 */
																																	obj_t
																																		BgL_arg2445z00_394;
																																	BgL_arg2445z00_394
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_arg2444z00_393
																																		=
																																		MAKE_PAIR
																																		(BgL_fitemzd2typezd2idz00_322,
																																		BgL_arg2445z00_394);
																																}
																																BgL_arg2442z00_391
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2443z00_392,
																																	BgL_arg2444z00_393);
																															}
																															BgL_list2441z00_390
																																=
																																MAKE_PAIR
																																(BgL_tidz00_312,
																																BgL_arg2442z00_391);
																														}
																														BgL_arg2440z00_389 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_idzd2setz12zc0_328,
																															BgL_list2441z00_390);
																													}
																													BgL_arg2401z00_350 =
																														MAKE_PAIR
																														(BgL_arg2439z00_388,
																														BgL_arg2440z00_389);
																												}
																												{	/* Foreign/jtype.scm 136 */
																													obj_t
																														BgL_list2403z00_352;
																													{	/* Foreign/jtype.scm 136 */
																														obj_t
																															BgL_arg2404z00_353;
																														{	/* Foreign/jtype.scm 136 */
																															obj_t
																																BgL_arg2405z00_354;
																															{	/* Foreign/jtype.scm 136 */
																																obj_t
																																	BgL_arg2406z00_355;
																																{	/* Foreign/jtype.scm 136 */
																																	obj_t
																																		BgL_arg2407z00_356;
																																	{	/* Foreign/jtype.scm 136 */
																																		obj_t
																																			BgL_arg2408z00_357;
																																		{	/* Foreign/jtype.scm 136 */
																																			obj_t
																																				BgL_arg2409z00_358;
																																			BgL_arg2409z00_358
																																				=
																																				MAKE_PAIR
																																				(BNIL,
																																				BNIL);
																																			BgL_arg2408z00_357
																																				=
																																				MAKE_PAIR
																																				(BgL_arg2401z00_350,
																																				BgL_arg2409z00_358);
																																		}
																																		BgL_arg2407z00_356
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2400z00_349,
																																			BgL_arg2408z00_357);
																																	}
																																	BgL_arg2406z00_355
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2399z00_348,
																																		BgL_arg2407z00_356);
																																}
																																BgL_arg2405z00_354
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2398z00_347,
																																	BgL_arg2406z00_355);
																															}
																															BgL_arg2404z00_353
																																=
																																MAKE_PAIR
																																(BgL_arg2397z00_346,
																																BgL_arg2405z00_354);
																														}
																														BgL_list2403z00_352
																															=
																															MAKE_PAIR
																															(BgL_arg2396z00_345,
																															BgL_arg2404z00_353);
																													}
																													BgL_arg2394z00_343 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2395z00_344,
																														BgL_list2403z00_352);
																											}}
																											BgL_arg2387z00_341 =
																												MAKE_PAIR
																												(BgL_arg2393z00_342,
																												BgL_arg2394z00_343);
																										}
																										BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																											(BgL_arg2387z00_341);
																									}
																									{	/* Foreign/jtype.scm 145 */
																										obj_t BgL_arg2446z00_395;

																										obj_t BgL_arg2447z00_396;

																										obj_t BgL_arg2448z00_397;

																										obj_t BgL_arg2449z00_398;

																										obj_t BgL_arg2450z00_399;

																										obj_t BgL_arg2451z00_400;

																										obj_t BgL_arg2452z00_401;

																										{	/* Foreign/jtype.scm 96 */
																											obj_t BgL_arg2571z00_510;

																											obj_t BgL_arg2572z00_511;

																											BgL_arg2571z00_510 =
																												CNST_TABLE_REF(((long)
																													18));
																											{	/* Foreign/jtype.scm 96 */
																												obj_t
																													BgL_arg2573z00_512;
																												obj_t
																													BgL_arg2574z00_513;
																												{	/* Foreign/jtype.scm 96 */
																													obj_t
																														BgL_arg2578z00_517;
																													{	/* Foreign/jtype.scm 96 */
																														obj_t
																															BgL_list2579z00_518;
																														BgL_list2579z00_518
																															=
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg2578z00_517 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_oidz00_311,
																															BgL_list2579z00_518);
																													}
																													BgL_arg2573z00_512 =
																														MAKE_PAIR
																														(BgL_idzd2ze3objz31_313,
																														BgL_arg2578z00_517);
																												}
																												{	/* Foreign/jtype.scm 97 */
																													obj_t
																														BgL_list2580z00_519;
																													BgL_list2580z00_519 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 9)),
																														BNIL);
																													BgL_arg2574z00_513 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 19)),
																														CNST_TABLE_REF((
																																(long) 20)),
																														BgL_list2580z00_519);
																												}
																												{	/* Foreign/jtype.scm 96 */
																													obj_t
																														BgL_list2576z00_515;
																													{	/* Foreign/jtype.scm 96 */
																														obj_t
																															BgL_arg2577z00_516;
																														BgL_arg2577z00_516 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list2576z00_515
																															=
																															MAKE_PAIR
																															(BgL_arg2574z00_513,
																															BgL_arg2577z00_516);
																													}
																													BgL_arg2572z00_511 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2573z00_512,
																														BgL_list2576z00_515);
																											}}
																											BgL_arg2446z00_395 =
																												MAKE_PAIR
																												(BgL_arg2571z00_510,
																												BgL_arg2572z00_511);
																										}
																										{	/* Foreign/jtype.scm 100 */
																											obj_t BgL_arg2560z00_499;

																											obj_t BgL_arg2561z00_500;

																											BgL_arg2560z00_499 =
																												CNST_TABLE_REF(((long)
																													18));
																											{	/* Foreign/jtype.scm 100 */
																												obj_t
																													BgL_arg2562z00_501;
																												obj_t
																													BgL_arg2563z00_502;
																												{	/* Foreign/jtype.scm 100 */
																													obj_t
																														BgL_arg2567z00_506;
																													{	/* Foreign/jtype.scm 100 */
																														obj_t
																															BgL_list2568z00_507;
																														BgL_list2568z00_507
																															=
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg2567z00_506 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(CNST_TABLE_REF((
																																	(long) 9)),
																															BgL_list2568z00_507);
																													}
																													BgL_arg2562z00_501 =
																														MAKE_PAIR
																														(BgL_tobjzd2ze3idz31_315,
																														BgL_arg2567z00_506);
																												}
																												{	/* Foreign/jtype.scm 101 */
																													obj_t
																														BgL_list2569z00_508;
																													BgL_list2569z00_508 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 9)),
																														BNIL);
																													BgL_arg2563z00_502 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 19)),
																														BgL_idz00_310,
																														BgL_list2569z00_508);
																												}
																												{	/* Foreign/jtype.scm 100 */
																													obj_t
																														BgL_list2565z00_504;
																													{	/* Foreign/jtype.scm 100 */
																														obj_t
																															BgL_arg2566z00_505;
																														BgL_arg2566z00_505 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list2565z00_504
																															=
																															MAKE_PAIR
																															(BgL_arg2563z00_502,
																															BgL_arg2566z00_505);
																													}
																													BgL_arg2561z00_500 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2562z00_501,
																														BgL_list2565z00_504);
																											}}
																											BgL_arg2447z00_396 =
																												MAKE_PAIR
																												(BgL_arg2560z00_499,
																												BgL_arg2561z00_500);
																										}
																										{	/* Foreign/jtype.scm 105 */
																											obj_t BgL_arg2547z00_488;

																											obj_t BgL_arg2548z00_489;

																											BgL_arg2547z00_488 =
																												CNST_TABLE_REF(((long)
																													18));
																											{	/* Foreign/jtype.scm 105 */
																												obj_t
																													BgL_arg2549z00_490;
																												obj_t
																													BgL_arg2550z00_491;
																												{	/* Foreign/jtype.scm 105 */
																													obj_t
																														BgL_arg2556z00_495;
																													{	/* Foreign/jtype.scm 105 */
																														obj_t
																															BgL_list2557z00_496;
																														BgL_list2557z00_496
																															=
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg2556z00_495 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(CNST_TABLE_REF((
																																	(long) 21)),
																															BgL_list2557z00_496);
																													}
																													BgL_arg2549z00_490 =
																														MAKE_PAIR
																														(BgL_tidzf3zf3_317,
																														BgL_arg2556z00_495);
																												}
																												{	/* Foreign/jtype.scm 106 */
																													obj_t
																														BgL_list2558z00_497;
																													BgL_list2558z00_497 =
																														MAKE_PAIR
																														(CNST_TABLE_REF((
																																(long) 9)),
																														BNIL);
																													BgL_arg2550z00_491 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 22)),
																														BgL_idz00_310,
																														BgL_list2558z00_497);
																												}
																												{	/* Foreign/jtype.scm 105 */
																													obj_t
																														BgL_list2552z00_493;
																													{	/* Foreign/jtype.scm 105 */
																														obj_t
																															BgL_arg2555z00_494;
																														BgL_arg2555z00_494 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list2552z00_493
																															=
																															MAKE_PAIR
																															(BgL_arg2550z00_491,
																															BgL_arg2555z00_494);
																													}
																													BgL_arg2548z00_489 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2549z00_490,
																														BgL_list2552z00_493);
																											}}
																											BgL_arg2448z00_397 =
																												MAKE_PAIR
																												(BgL_arg2547z00_488,
																												BgL_arg2548z00_489);
																										}
																										{	/* Foreign/jtype.scm 110 */
																											obj_t BgL_arg2530z00_472;

																											obj_t BgL_arg2531z00_473;

																											BgL_arg2530z00_472 =
																												CNST_TABLE_REF(((long)
																													18));
																											{	/* Foreign/jtype.scm 110 */
																												obj_t
																													BgL_arg2532z00_474;
																												obj_t
																													BgL_arg2533z00_475;
																												{	/* Foreign/jtype.scm 110 */
																													obj_t
																														BgL_arg2537z00_479;
																													{	/* Foreign/jtype.scm 110 */
																														obj_t
																															BgL_list2538z00_480;
																														BgL_list2538z00_480
																															=
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg2537z00_479 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_oidz00_311,
																															BgL_list2538z00_480);
																													}
																													BgL_arg2532z00_474 =
																														MAKE_PAIR
																														(BgL_tidzd2lengthzd2_319,
																														BgL_arg2537z00_479);
																												}
																												{	/* Foreign/jtype.scm 111 */
																													obj_t
																														BgL_list2539z00_481;
																													{	/* Foreign/jtype.scm 111 */
																														obj_t
																															BgL_arg2540z00_482;
																														{	/* Foreign/jtype.scm 111 */
																															obj_t
																																BgL_arg2541z00_483;
																															obj_t
																																BgL_arg2542z00_484;
																															BgL_arg2541z00_483
																																=
																																CNST_TABLE_REF((
																																	(long) 13));
																															{	/* Foreign/jtype.scm 111 */
																																obj_t
																																	BgL_arg2544z00_486;
																																BgL_arg2544z00_486
																																	=
																																	MAKE_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 9)),
																																	BNIL);
																																BgL_arg2542z00_484
																																	=
																																	MAKE_PAIR
																																	(BGl_string2650z00zzforeign_jtypez00,
																																	BgL_arg2544z00_486);
																															}
																															BgL_arg2540z00_482
																																=
																																MAKE_PAIR
																																(BgL_arg2541z00_483,
																																BgL_arg2542z00_484);
																														}
																														BgL_list2539z00_481
																															=
																															MAKE_PAIR
																															(BgL_itemzd2typezd2idz00_321,
																															BgL_arg2540z00_482);
																													}
																													BgL_arg2533z00_475 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 23)),
																														BgL_idz00_310,
																														BgL_list2539z00_481);
																												}
																												{	/* Foreign/jtype.scm 110 */
																													obj_t
																														BgL_list2535z00_477;
																													{	/* Foreign/jtype.scm 110 */
																														obj_t
																															BgL_arg2536z00_478;
																														BgL_arg2536z00_478 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list2535z00_477
																															=
																															MAKE_PAIR
																															(BgL_arg2533z00_475,
																															BgL_arg2536z00_478);
																													}
																													BgL_arg2531z00_473 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2532z00_474,
																														BgL_list2535z00_477);
																											}}
																											BgL_arg2449z00_398 =
																												MAKE_PAIR
																												(BgL_arg2530z00_472,
																												BgL_arg2531z00_473);
																										}
																										{	/* Foreign/jtype.scm 116 */
																											obj_t BgL_arg2508z00_453;

																											obj_t BgL_arg2509z00_454;

																											BgL_arg2508z00_453 =
																												CNST_TABLE_REF(((long)
																													18));
																											{	/* Foreign/jtype.scm 116 */
																												obj_t
																													BgL_arg2510z00_455;
																												obj_t
																													BgL_arg2512z00_456;
																												{	/* Foreign/jtype.scm 116 */
																													obj_t
																														BgL_arg2516z00_460;
																													{	/* Foreign/jtype.scm 116 */
																														obj_t
																															BgL_list2517z00_461;
																														BgL_list2517z00_461
																															=
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg2516z00_460 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(CNST_TABLE_REF((
																																	(long) 24)),
																															BgL_list2517z00_461);
																													}
																													BgL_arg2510z00_455 =
																														MAKE_PAIR
																														(BgL_tmakezd2idzd2_325,
																														BgL_arg2516z00_460);
																												}
																												{	/* Foreign/jtype.scm 117 */
																													obj_t
																														BgL_list2518z00_462;
																													{	/* Foreign/jtype.scm 117 */
																														obj_t
																															BgL_arg2520z00_463;
																														{	/* Foreign/jtype.scm 117 */
																															obj_t
																																BgL_arg2521z00_464;
																															obj_t
																																BgL_arg2522z00_465;
																															BgL_arg2521z00_464
																																=
																																CNST_TABLE_REF((
																																	(long) 13));
																															{	/* Foreign/jtype.scm 117 */
																																obj_t
																																	BgL_arg2525z00_467;
																																{	/* Foreign/jtype.scm 117 */
																																	obj_t
																																		BgL_arg2527z00_469;
																																	{	/* Foreign/jtype.scm 117 */
																																		obj_t
																																			BgL_arg2528z00_470;
																																		BgL_arg2528z00_470
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					25)),
																																			BNIL);
																																		BgL_arg2527z00_469
																																			=
																																			MAKE_PAIR
																																			(BFALSE,
																																			BgL_arg2528z00_470);
																																	}
																																	BgL_arg2525z00_467
																																		=
																																		MAKE_PAIR
																																		(BGl_string2650z00zzforeign_jtypez00,
																																		BgL_arg2527z00_469);
																																}
																																BgL_arg2522z00_465
																																	=
																																	MAKE_PAIR
																																	(BGl_string2650z00zzforeign_jtypez00,
																																	BgL_arg2525z00_467);
																															}
																															BgL_arg2520z00_463
																																=
																																MAKE_PAIR
																																(BgL_arg2521z00_464,
																																BgL_arg2522z00_465);
																														}
																														BgL_list2518z00_462
																															=
																															MAKE_PAIR
																															(BgL_itemzd2typezd2idz00_321,
																															BgL_arg2520z00_463);
																													}
																													BgL_arg2512z00_456 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 26)),
																														BgL_idz00_310,
																														BgL_list2518z00_462);
																												}
																												{	/* Foreign/jtype.scm 116 */
																													obj_t
																														BgL_list2514z00_458;
																													{	/* Foreign/jtype.scm 116 */
																														obj_t
																															BgL_arg2515z00_459;
																														BgL_arg2515z00_459 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list2514z00_458
																															=
																															MAKE_PAIR
																															(BgL_arg2512z00_456,
																															BgL_arg2515z00_459);
																													}
																													BgL_arg2509z00_454 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2510z00_455,
																														BgL_list2514z00_458);
																											}}
																											BgL_arg2450z00_399 =
																												MAKE_PAIR
																												(BgL_arg2508z00_453,
																												BgL_arg2509z00_454);
																										}
																										{	/* Foreign/jtype.scm 123 */
																											obj_t BgL_arg2487z00_433;

																											obj_t BgL_arg2488z00_434;

																											BgL_arg2487z00_433 =
																												CNST_TABLE_REF(((long)
																													18));
																											{	/* Foreign/jtype.scm 123 */
																												obj_t
																													BgL_arg2489z00_435;
																												obj_t
																													BgL_arg2490z00_436;
																												{	/* Foreign/jtype.scm 123 */
																													obj_t
																														BgL_arg2494z00_440;
																													{	/* Foreign/jtype.scm 123 */
																														obj_t
																															BgL_list2495z00_441;
																														{	/* Foreign/jtype.scm 123 */
																															obj_t
																																BgL_arg2496z00_442;
																															obj_t
																																BgL_arg2497z00_443;
																															BgL_arg2496z00_442
																																=
																																CNST_TABLE_REF((
																																	(long) 27));
																															BgL_arg2497z00_443
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list2495z00_441
																																=
																																MAKE_PAIR
																																(BgL_arg2496z00_442,
																																BgL_arg2497z00_443);
																														}
																														BgL_arg2494z00_440 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_oidz00_311,
																															BgL_list2495z00_441);
																													}
																													BgL_arg2489z00_435 =
																														MAKE_PAIR
																														(BgL_tidzd2refzd2_327,
																														BgL_arg2494z00_440);
																												}
																												{	/* Foreign/jtype.scm 124 */
																													obj_t
																														BgL_list2498z00_444;
																													{	/* Foreign/jtype.scm 124 */
																														obj_t
																															BgL_arg2499z00_445;
																														{	/* Foreign/jtype.scm 124 */
																															obj_t
																																BgL_arg2501z00_446;
																															obj_t
																																BgL_arg2502z00_447;
																															BgL_arg2501z00_446
																																=
																																CNST_TABLE_REF((
																																	(long) 13));
																															{	/* Foreign/jtype.scm 124 */
																																obj_t
																																	BgL_arg2504z00_449;
																																{	/* Foreign/jtype.scm 125 */
																																	obj_t
																																		BgL_arg2505z00_450;
																																	obj_t
																																		BgL_arg2506z00_451;
																																	BgL_arg2505z00_450
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			9));
																																	BgL_arg2506z00_451
																																		=
																																		MAKE_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				28)),
																																		BNIL);
																																	BgL_arg2504z00_449
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2505z00_450,
																																		BgL_arg2506z00_451);
																																}
																																BgL_arg2502z00_447
																																	=
																																	MAKE_PAIR
																																	(BGl_string2650z00zzforeign_jtypez00,
																																	BgL_arg2504z00_449);
																															}
																															BgL_arg2499z00_445
																																=
																																MAKE_PAIR
																																(BgL_arg2501z00_446,
																																BgL_arg2502z00_447);
																														}
																														BgL_list2498z00_444
																															=
																															MAKE_PAIR
																															(BgL_itemzd2typezd2idz00_321,
																															BgL_arg2499z00_445);
																													}
																													BgL_arg2490z00_436 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 29)),
																														BgL_idz00_310,
																														BgL_list2498z00_444);
																												}
																												{	/* Foreign/jtype.scm 123 */
																													obj_t
																														BgL_list2492z00_438;
																													{	/* Foreign/jtype.scm 123 */
																														obj_t
																															BgL_arg2493z00_439;
																														BgL_arg2493z00_439 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list2492z00_438
																															=
																															MAKE_PAIR
																															(BgL_arg2490z00_436,
																															BgL_arg2493z00_439);
																													}
																													BgL_arg2488z00_434 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2489z00_435,
																														BgL_list2492z00_438);
																											}}
																											BgL_arg2451z00_400 =
																												MAKE_PAIR
																												(BgL_arg2487z00_433,
																												BgL_arg2488z00_434);
																										}
																										{	/* Foreign/jtype.scm 128 */
																											obj_t BgL_arg2461z00_410;

																											obj_t BgL_arg2462z00_411;

																											BgL_arg2461z00_410 =
																												CNST_TABLE_REF(((long)
																													18));
																											{	/* Foreign/jtype.scm 128 */
																												obj_t
																													BgL_arg2463z00_412;
																												obj_t
																													BgL_arg2464z00_413;
																												{	/* Foreign/jtype.scm 128 */
																													obj_t
																														BgL_arg2468z00_417;
																													{	/* Foreign/jtype.scm 128 */
																														obj_t
																															BgL_list2469z00_418;
																														{	/* Foreign/jtype.scm 128 */
																															obj_t
																																BgL_arg2470z00_419;
																															obj_t
																																BgL_arg2471z00_420;
																															BgL_arg2470z00_419
																																=
																																CNST_TABLE_REF((
																																	(long) 27));
																															{	/* Foreign/jtype.scm 128 */
																																obj_t
																																	BgL_arg2472z00_421;
																																BgL_arg2472z00_421
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_arg2471z00_420
																																	=
																																	MAKE_PAIR
																																	(BgL_oitemzd2typezd2idz00_323,
																																	BgL_arg2472z00_421);
																															}
																															BgL_list2469z00_418
																																=
																																MAKE_PAIR
																																(BgL_arg2470z00_419,
																																BgL_arg2471z00_420);
																														}
																														BgL_arg2468z00_417 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_oidz00_311,
																															BgL_list2469z00_418);
																													}
																													BgL_arg2463z00_412 =
																														MAKE_PAIR
																														(BgL_idzd2setz12zc0_328,
																														BgL_arg2468z00_417);
																												}
																												{	/* Foreign/jtype.scm 129 */
																													obj_t
																														BgL_list2473z00_422;
																													{	/* Foreign/jtype.scm 129 */
																														obj_t
																															BgL_arg2475z00_423;
																														{	/* Foreign/jtype.scm 129 */
																															obj_t
																																BgL_arg2476z00_424;
																															obj_t
																																BgL_arg2478z00_425;
																															BgL_arg2476z00_424
																																=
																																CNST_TABLE_REF((
																																	(long) 13));
																															{	/* Foreign/jtype.scm 129 */
																																obj_t
																																	BgL_arg2481z00_427;
																																{	/* Foreign/jtype.scm 130 */
																																	obj_t
																																		BgL_arg2482z00_428;
																																	obj_t
																																		BgL_arg2483z00_429;
																																	BgL_arg2482z00_428
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			9));
																																	{	/* Foreign/jtype.scm 130 */
																																		obj_t
																																			BgL_arg2484z00_430;
																																		obj_t
																																			BgL_arg2485z00_431;
																																		BgL_arg2484z00_430
																																			=
																																			CNST_TABLE_REF
																																			(((long)
																																				28));
																																		BgL_arg2485z00_431
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					14)),
																																			BNIL);
																																		BgL_arg2483z00_429
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2484z00_430,
																																			BgL_arg2485z00_431);
																																	}
																																	BgL_arg2481z00_427
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2482z00_428,
																																		BgL_arg2483z00_429);
																																}
																																BgL_arg2478z00_425
																																	=
																																	MAKE_PAIR
																																	(BGl_string2650z00zzforeign_jtypez00,
																																	BgL_arg2481z00_427);
																															}
																															BgL_arg2475z00_423
																																=
																																MAKE_PAIR
																																(BgL_arg2476z00_424,
																																BgL_arg2478z00_425);
																														}
																														BgL_list2473z00_422
																															=
																															MAKE_PAIR
																															(BgL_itemzd2typezd2idz00_321,
																															BgL_arg2475z00_423);
																													}
																													BgL_arg2464z00_413 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 30)),
																														BgL_idz00_310,
																														BgL_list2473z00_422);
																												}
																												{	/* Foreign/jtype.scm 128 */
																													obj_t
																														BgL_list2466z00_415;
																													{	/* Foreign/jtype.scm 128 */
																														obj_t
																															BgL_arg2467z00_416;
																														BgL_arg2467z00_416 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_list2466z00_415
																															=
																															MAKE_PAIR
																															(BgL_arg2464z00_413,
																															BgL_arg2467z00_416);
																													}
																													BgL_arg2462z00_411 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2463z00_412,
																														BgL_list2466z00_415);
																											}}
																											BgL_arg2452z00_401 =
																												MAKE_PAIR
																												(BgL_arg2461z00_410,
																												BgL_arg2462z00_411);
																										}
																										{	/* Foreign/jtype.scm 145 */
																											obj_t BgL_list2453z00_402;

																											{	/* Foreign/jtype.scm 145 */
																												obj_t
																													BgL_arg2454z00_403;
																												{	/* Foreign/jtype.scm 145 */
																													obj_t
																														BgL_arg2455z00_404;
																													{	/* Foreign/jtype.scm 145 */
																														obj_t
																															BgL_arg2456z00_405;
																														{	/* Foreign/jtype.scm 145 */
																															obj_t
																																BgL_arg2457z00_406;
																															{	/* Foreign/jtype.scm 145 */
																																obj_t
																																	BgL_arg2458z00_407;
																																{	/* Foreign/jtype.scm 145 */
																																	obj_t
																																		BgL_arg2459z00_408;
																																	BgL_arg2459z00_408
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2452z00_401,
																																		BNIL);
																																	BgL_arg2458z00_407
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2451z00_400,
																																		BgL_arg2459z00_408);
																																}
																																BgL_arg2457z00_406
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2450z00_399,
																																	BgL_arg2458z00_407);
																															}
																															BgL_arg2456z00_405
																																=
																																MAKE_PAIR
																																(BgL_arg2449z00_398,
																																BgL_arg2457z00_406);
																														}
																														BgL_arg2455z00_404 =
																															MAKE_PAIR
																															(BgL_arg2448z00_397,
																															BgL_arg2456z00_405);
																													}
																													BgL_arg2454z00_403 =
																														MAKE_PAIR
																														(BgL_arg2447z00_396,
																														BgL_arg2455z00_404);
																												}
																												BgL_list2453z00_402 =
																													MAKE_PAIR
																													(BgL_arg2446z00_395,
																													BgL_arg2454z00_403);
																											}
																											return
																												BgL_list2453z00_402;
																										}
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzforeign_jtypez00()
	{
		AN_OBJECT;
		{	/* Foreign/jtype.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 195902195),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 453255680),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzforeign_ctypez00(((long) 178768066),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzforeign_accessz00(((long) 477377954),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
			return
				BGl_modulezd2initializa7ationz75zzforeign_libraryz00(((long) 477408199),
				BSTRING_TO_STRING(BGl_string2651z00zzforeign_jtypez00));
		}
	}

#ifdef __cplusplus
}
#endif
