/*===========================================================================*/
/*   (Inline/walk.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	static obj_t BGl__resetzd2statz12zc0zzinline_walkz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2inliningzd2kfactorza2zd2zzengine_paramz00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl__inlinezd2setupz123260zc0zzinline_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static bool_t BGl_showzd2statz12zc0zzinline_walkz00();
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzinline_walkz00();
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zzinline_walkz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	BGL_EXPORTED_DECL obj_t BGl_inlinezd2walkz12zc0zzinline_walkz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_inlinezd2setupz12zc0zzinline_walkz00(obj_t);
	static obj_t BGl__showzd2statz12zc0zzinline_walkz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_walkz00();
	BGL_EXPORTED_DEF obj_t BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 =
		BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_walkz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2inlinezd2modeza2zd2zzinline_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_walkz00();
	extern obj_t BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt,
		long, obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_resetzd2statz12zc0zzinline_walkz00();
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2kfactorza2z00zzinline_walkz00 = BUNSPEC;
	static obj_t BGl__inlinezd2walkz123259zc0zzinline_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_walkz00();
	static obj_t __cnst[8];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_showzd2statz12zd2envz12zzinline_walkz00,
		BgL_bgl__showza7d2statza712za73278za7,
		BGl__showzd2statz12zc0zzinline_walkz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2setupz12zd2envz12zzinline_walkz00,
		BgL_bgl__inlineza7d2setupza73279z00,
		BGl__inlinezd2setupz123260zc0zzinline_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_resetzd2statz12zd2envz12zzinline_walkz00,
		BgL_bgl__resetza7d2statza7123280z00,
		BGl__resetzd2statz12zc0zzinline_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3261z00zzinline_walkz00,
		BgL_bgl_string3261za700za7za7i3281za7, "Inlining", 8);
	      DEFINE_STRING(BGl_string3262z00zzinline_walkz00,
		BgL_bgl_string3262za700za7za7i3282za7, "   . ", 5);
	      DEFINE_STRING(BGl_string3263z00zzinline_walkz00,
		BgL_bgl_string3263za700za7za7i3283za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string3264z00zzinline_walkz00,
		BgL_bgl_string3264za700za7za7i3284za7, " error", 6);
	      DEFINE_STRING(BGl_string3265z00zzinline_walkz00,
		BgL_bgl_string3265za700za7za7i3285za7, "s", 1);
	      DEFINE_STRING(BGl_string3266z00zzinline_walkz00,
		BgL_bgl_string3266za700za7za7i3286za7, "", 0);
	      DEFINE_STRING(BGl_string3267z00zzinline_walkz00,
		BgL_bgl_string3267za700za7za7i3287za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string3268z00zzinline_walkz00,
		BgL_bgl_string3268za700za7za7i3288za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string3270z00zzinline_walkz00,
		BgL_bgl_string3270za700za7za7i3289za7, "      (inlined calls     : ", 27);
	      DEFINE_STRING(BGl_string3269z00zzinline_walkz00,
		BgL_bgl_string3269za700za7za7i3290za7, ")\n", 2);
	      DEFINE_STRING(BGl_string3271z00zzinline_walkz00,
		BgL_bgl_string3271za700za7za7i3291za7, "      (non inlined calls : ", 27);
	      DEFINE_STRING(BGl_string3272z00zzinline_walkz00,
		BgL_bgl_string3272za700za7za7i3292za7, "inline-setup!", 13);
	      DEFINE_STRING(BGl_string3273z00zzinline_walkz00,
		BgL_bgl_string3273za700za7za7i3293za7, "Illegal mode", 12);
	      DEFINE_STRING(BGl_string3274z00zzinline_walkz00,
		BgL_bgl_string3274za700za7za7i3294za7, "inline_walk", 11);
	      DEFINE_STRING(BGl_string3275z00zzinline_walkz00,
		BgL_bgl_string3275za700za7za7i3295za7,
		"predicate reducer (show-stat!) inline sifun pass-started (reset-stat!) all ",
		75);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2walkz12zd2envz12zzinline_walkz00,
		BgL_bgl__inlineza7d2walkza713296z00,
		BGl__inlinezd2walkz123259zc0zzinline_walkz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long
		BgL_checksumz00_1244, char *BgL_fromz00_1245)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_walkz00();
					BGl_cnstzd2initzd2zzinline_walkz00();
					BGl_importedzd2moduleszd2initz00zzinline_walkz00();
					BGl_toplevelzd2initzd2zzinline_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_walkz00()
	{
		AN_OBJECT;
		{	/* Inline/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "inline_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"inline_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"inline_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_walkz00()
	{
		AN_OBJECT;
		{	/* Inline/walk.scm 15 */
			{	/* Inline/walk.scm 15 */
				obj_t BgL_cportz00_1236;

				BgL_cportz00_1236 =
					bgl_open_input_string(BGl_string3275z00zzinline_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1237;

					BgL_iz00_1237 = ((long) 7);
				BgL_loopz00_1238:
					if ((BgL_iz00_1237 == ((long) -1)))
						{	/* Inline/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/walk.scm 15 */
							{	/* Inline/walk.scm 15 */
								obj_t BgL_arg3277z00_1240;

								{	/* Inline/walk.scm 15 */

									{	/* Inline/walk.scm 15 */
										obj_t BgL_locationz00_1242;

										BgL_locationz00_1242 = BBOOL(((bool_t) 0));
										{	/* Inline/walk.scm 15 */

											BgL_arg3277z00_1240 =
												BGl_readz00zz__readerz00(BgL_cportz00_1236,
												BgL_locationz00_1242);
										}
									}
								}
								{	/* Inline/walk.scm 15 */
									int BgL_auxz00_1265;

									BgL_auxz00_1265 = (int) (BgL_iz00_1237);
									CNST_TABLE_SET(BgL_auxz00_1265, BgL_arg3277z00_1240);
							}}
							{	/* Inline/walk.scm 15 */
								int BgL_auxz00_1243;

								BgL_auxz00_1243 = (int) ((BgL_iz00_1237 - ((long) 1)));
								{
									long BgL_iz00_1270;

									BgL_iz00_1270 = (long) (BgL_auxz00_1243);
									BgL_iz00_1237 = BgL_iz00_1270;
									goto BgL_loopz00_1238;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_walkz00()
	{
		AN_OBJECT;
		{	/* Inline/walk.scm 15 */
			BGl_za2inlinezd2modeza2zd2zzinline_walkz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 = BINT(((long) 0));
			BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 = BINT(((long) 0));
			return (BGl_za2kfactorza2z00zzinline_walkz00 = BINT(((long) 1)), BUNSPEC);
		}
	}



/* inline-walk! */
	BGL_EXPORTED_DEF obj_t BGl_inlinezd2walkz12zc0zzinline_walkz00(obj_t
		BgL_globalsz00_1, obj_t BgL_whatz00_2)
	{
		AN_OBJECT;
		{	/* Inline/walk.scm 40 */
			{	/* Inline/walk.scm 42 */
				obj_t BgL_list3152z00_733;

				{	/* Inline/walk.scm 42 */
					obj_t BgL_arg3154z00_735;

					{	/* Inline/walk.scm 42 */
						obj_t BgL_arg3156z00_737;

						BgL_arg3156z00_737 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg3154z00_735 =
							MAKE_PAIR(BGl_string3261z00zzinline_walkz00, BgL_arg3156z00_737);
					}
					BgL_list3152z00_733 =
						MAKE_PAIR(BGl_string3262z00zzinline_walkz00, BgL_arg3154z00_735);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list3152z00_733);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string3261z00zzinline_walkz00;
			{	/* Inline/walk.scm 42 */
				obj_t BgL_g3143z00_738;

				obj_t BgL_g3144z00_739;

				{	/* Inline/walk.scm 42 */
					obj_t BgL_list3166z00_751;

					BgL_list3166z00_751 =
						MAKE_PAIR(BGl_resetzd2statz12zd2envz12zzinline_walkz00, BNIL);
					BgL_g3143z00_738 = BgL_list3166z00_751;
				}
				BgL_g3144z00_739 = CNST_TABLE_REF(((long) 1));
				{
					obj_t BgL_hooksz00_740;

					obj_t BgL_hnamesz00_741;

					BgL_hooksz00_740 = BgL_g3143z00_738;
					BgL_hnamesz00_741 = BgL_g3144z00_739;
				BgL_loopz00_742:
					if (NULLP(BgL_hooksz00_740))
						{	/* Inline/walk.scm 42 */
							CNST_TABLE_REF(((long) 2));
						}
					else
						{	/* Inline/walk.scm 42 */
							bool_t BgL_testz00_1288;

							{	/* Inline/walk.scm 42 */
								obj_t BgL_fun3165z00_750;

								BgL_fun3165z00_750 = CAR(BgL_hooksz00_740);
								BgL_testz00_1288 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun3165z00_750) (BgL_fun3165z00_750,
										BEOA));
							}
							if (BgL_testz00_1288)
								{
									obj_t BgL_hnamesz00_1295;

									obj_t BgL_hooksz00_1293;

									BgL_hooksz00_1293 = CDR(BgL_hooksz00_740);
									BgL_hnamesz00_1295 = CDR(BgL_hnamesz00_741);
									BgL_hnamesz00_741 = BgL_hnamesz00_1295;
									BgL_hooksz00_740 = BgL_hooksz00_1293;
									goto BgL_loopz00_742;
								}
							else
								{	/* Inline/walk.scm 42 */
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string3261z00zzinline_walkz00,
										BGl_string3263z00zzinline_walkz00, CAR(BgL_hnamesz00_741));
								}
						}
				}
			}
			BGl_inlinezd2setupz12zc0zzinline_walkz00(BgL_whatz00_2);
			{
				obj_t BgL_l3148z00_752;

				BgL_l3148z00_752 = BgL_globalsz00_1;
			BgL_forzd2each3150zd2_753:
				if (PAIRP(BgL_l3148z00_752))
					{	/* Inline/walk.scm 46 */
						{	/* Inline/walk.scm 47 */
							obj_t BgL_gz00_755;

							BgL_gz00_755 = CAR(BgL_l3148z00_752);
							{	/* Inline/walk.scm 47 */
								obj_t BgL_kfactorz00_756;

								{	/* Inline/walk.scm 47 */
									bool_t BgL_testz00_1303;

									{	/* Inline/walk.scm 47 */
										obj_t BgL_auxz00_1304;

										{	/* Inline/walk.scm 47 */
											BgL_sfunz00_bglt BgL_obj1761z00_1198;

											{	/* Inline/walk.scm 47 */
												BgL_variablez00_bglt BgL_obj1486z00_1197;

												BgL_obj1486z00_1197 =
													(BgL_variablez00_bglt) (BgL_gz00_755);
												BgL_obj1761z00_1198 =
													(BgL_sfunz00_bglt) (
													(((BgL_variablez00_bglt) CREF(BgL_obj1486z00_1197))->
														BgL_valuez00));
											}
											BgL_auxz00_1304 =
												(((BgL_sfunz00_bglt) CREF(BgL_obj1761z00_1198))->
												BgL_classz00);
										}
										BgL_testz00_1303 =
											(BgL_auxz00_1304 == CNST_TABLE_REF(((long) 3)));
									}
									if (BgL_testz00_1303)
										{	/* Inline/walk.scm 47 */
											BgL_kfactorz00_756 = BINT(((long) 1));
										}
									else
										{	/* Inline/walk.scm 47 */
											BgL_kfactorz00_756 = BGl_za2kfactorza2z00zzinline_walkz00;
										}
								}
								{	/* Inline/walk.scm 53 */
									obj_t BgL_arg3168z00_757;

									{
										BgL_variablez00_bglt BgL_auxz00_1312;

										BgL_auxz00_1312 = (BgL_variablez00_bglt) (BgL_gz00_755);
										BgL_arg3168z00_757 =
											(((BgL_variablez00_bglt) CREF(BgL_auxz00_1312))->
											BgL_idz00);
									}
									BGl_enterzd2functionzd2zztools_errorz00(BgL_arg3168z00_757);
								}
								BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
									(BgL_variablez00_bglt) (BgL_gz00_755),
									(long) CINT(BgL_kfactorz00_756), BNIL);
								BGl_leavezd2functionzd2zztools_errorz00();
						}}
						{
							obj_t BgL_l3148z00_1320;

							BgL_l3148z00_1320 = CDR(BgL_l3148z00_752);
							BgL_l3148z00_752 = BgL_l3148z00_1320;
							goto BgL_forzd2each3150zd2_753;
						}
					}
				else
					{	/* Inline/walk.scm 46 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_globalsz00_764;

				obj_t BgL_newzd2globalszd2_765;

				BgL_globalsz00_764 = BgL_globalsz00_1;
				BgL_newzd2globalszd2_765 = BNIL;
			BgL_loopz00_766:
				if (NULLP(BgL_globalsz00_764))
					{	/* Inline/walk.scm 62 */
						obj_t BgL_valuez00_768;

						{	/* Inline/walk.scm 62 */
							obj_t BgL_arg3188z00_788;

							obj_t BgL_arg3189z00_789;

							BgL_arg3188z00_788 = CNST_TABLE_REF(((long) 4));
							BgL_arg3189z00_789 = bgl_reverse_bang(BgL_newzd2globalszd2_765);
							BgL_valuez00_768 =
								BGl_removezd2varzd2zzast_removez00(BgL_arg3188z00_788,
								BgL_arg3189z00_789);
						}
						if (
							((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
								> ((long) 0)))
							{	/* Inline/walk.scm 62 */
								{	/* Inline/walk.scm 62 */
									obj_t BgL_port3151z00_770;

									{	/* Inline/walk.scm 62 */
										obj_t BgL_res3257z00_1205;

										{	/* Inline/walk.scm 62 */
											obj_t BgL_auxz00_1330;

											BgL_auxz00_1330 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res3257z00_1205 =
												BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1330);
										}
										BgL_port3151z00_770 = BgL_res3257z00_1205;
									}
									bgl_display_obj
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
										BgL_port3151z00_770);
									bgl_display_string(BGl_string3264z00zzinline_walkz00,
										BgL_port3151z00_770);
									{	/* Inline/walk.scm 62 */
										obj_t BgL_arg3176z00_771;

										{	/* Inline/walk.scm 62 */
											bool_t BgL_testz00_1335;

											if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
												{	/* Inline/walk.scm 62 */
													BgL_testz00_1335 =
														BGl_2ze3ze3zz__r4_numbers_6_5z00
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
														BINT(((long) 1)));
												}
											else
												{	/* Inline/walk.scm 62 */
													BgL_testz00_1335 = ((bool_t) 0);
												}
											if (BgL_testz00_1335)
												{	/* Inline/walk.scm 62 */
													BgL_arg3176z00_771 =
														BGl_string3265z00zzinline_walkz00;
												}
											else
												{	/* Inline/walk.scm 62 */
													BgL_arg3176z00_771 =
														BGl_string3266z00zzinline_walkz00;
												}
										}
										bgl_display_obj(BgL_arg3176z00_771, BgL_port3151z00_770);
									}
									bgl_display_string(BGl_string3267z00zzinline_walkz00,
										BgL_port3151z00_770);
									bgl_display_char(((unsigned char) '\n'), BgL_port3151z00_770);
								}
								{	/* Inline/walk.scm 62 */
									obj_t BgL_list3179z00_774;

									BgL_list3179z00_774 = MAKE_PAIR(BINT(((long) -1)), BNIL);
									return BGl_exitz00zz__errorz00(BgL_list3179z00_774);
								}
							}
						else
							{	/* Inline/walk.scm 62 */
								obj_t BgL_g3146z00_775;

								obj_t BgL_g3147z00_776;

								{	/* Inline/walk.scm 62 */
									obj_t BgL_list3187z00_787;

									BgL_list3187z00_787 =
										MAKE_PAIR(BGl_showzd2statz12zd2envz12zzinline_walkz00,
										BNIL);
									BgL_g3146z00_775 = BgL_list3187z00_787;
								}
								BgL_g3147z00_776 = CNST_TABLE_REF(((long) 5));
								{
									obj_t BgL_hooksz00_777;

									obj_t BgL_hnamesz00_778;

									BgL_hooksz00_777 = BgL_g3146z00_775;
									BgL_hnamesz00_778 = BgL_g3147z00_776;
								BgL_loopz00_779:
									if (NULLP(BgL_hooksz00_777))
										{	/* Inline/walk.scm 62 */
											return BgL_valuez00_768;
										}
									else
										{	/* Inline/walk.scm 62 */
											bool_t BgL_testz00_1350;

											{	/* Inline/walk.scm 62 */
												obj_t BgL_fun3186z00_786;

												BgL_fun3186z00_786 = CAR(BgL_hooksz00_777);
												BgL_testz00_1350 =
													CBOOL(PROCEDURE_ENTRY(BgL_fun3186z00_786)
													(BgL_fun3186z00_786, BEOA));
											}
											if (BgL_testz00_1350)
												{
													obj_t BgL_hnamesz00_1357;

													obj_t BgL_hooksz00_1355;

													BgL_hooksz00_1355 = CDR(BgL_hooksz00_777);
													BgL_hnamesz00_1357 = CDR(BgL_hnamesz00_778);
													BgL_hnamesz00_778 = BgL_hnamesz00_1357;
													BgL_hooksz00_777 = BgL_hooksz00_1355;
													goto BgL_loopz00_779;
												}
											else
												{	/* Inline/walk.scm 62 */
													obj_t BgL_arg3185z00_785;

													BgL_arg3185z00_785 = CAR(BgL_hnamesz00_778);
													return
														BGl_internalzd2errorzd2zztools_errorz00
														(BGl_za2currentzd2passza2zd2zzengine_passz00,
														BGl_string3268z00zzinline_walkz00,
														BgL_arg3185z00_785);
												}
										}
								}
							}
					}
				else
					{	/* Inline/walk.scm 64 */
						bool_t BgL_testz00_1361;

						{	/* Inline/walk.scm 64 */
							obj_t BgL_arg3195z00_795;

							{	/* Inline/walk.scm 64 */
								BgL_globalz00_bglt BgL_obj1551z00_1219;

								{	/* Inline/walk.scm 64 */
									obj_t BgL_pairz00_1218;

									BgL_pairz00_1218 = BgL_globalsz00_764;
									BgL_obj1551z00_1219 =
										(BgL_globalz00_bglt) (CAR(BgL_pairz00_1218));
								}
								BgL_arg3195z00_795 =
									(((BgL_globalz00_bglt) CREF(BgL_obj1551z00_1219))->
									BgL_modulez00);
							}
							BgL_testz00_1361 =
								(BgL_arg3195z00_795 == BGl_za2moduleza2z00zzmodule_modulez00);
						}
						if (BgL_testz00_1361)
							{	/* Inline/walk.scm 65 */
								obj_t BgL_arg3191z00_791;

								obj_t BgL_arg3192z00_792;

								BgL_arg3191z00_791 = CDR(BgL_globalsz00_764);
								BgL_arg3192z00_792 =
									MAKE_PAIR(CAR(BgL_globalsz00_764), BgL_newzd2globalszd2_765);
								{
									obj_t BgL_newzd2globalszd2_1370;

									obj_t BgL_globalsz00_1369;

									BgL_globalsz00_1369 = BgL_arg3191z00_791;
									BgL_newzd2globalszd2_1370 = BgL_arg3192z00_792;
									BgL_newzd2globalszd2_765 = BgL_newzd2globalszd2_1370;
									BgL_globalsz00_764 = BgL_globalsz00_1369;
									goto BgL_loopz00_766;
								}
							}
						else
							{
								obj_t BgL_globalsz00_1371;

								BgL_globalsz00_1371 = CDR(BgL_globalsz00_764);
								BgL_globalsz00_764 = BgL_globalsz00_1371;
								goto BgL_loopz00_766;
							}
					}
			}
		}
	}



/* _inline-walk!3259 */
	obj_t BGl__inlinezd2walkz123259zc0zzinline_walkz00(obj_t BgL_envz00_1229,
		obj_t BgL_globalsz00_1230, obj_t BgL_whatz00_1231)
	{
		AN_OBJECT;
		{	/* Inline/walk.scm 40 */
			return
				BGl_inlinezd2walkz12zc0zzinline_walkz00(BgL_globalsz00_1230,
				BgL_whatz00_1231);
		}
	}



/* reset-stat! */
	obj_t BGl_resetzd2statz12zc0zzinline_walkz00()
	{
		AN_OBJECT;
		{	/* Inline/walk.scm 78 */
			BGl_za2inlinedzd2callsza2zd2zzinline_walkz00 = BINT(((long) 0));
			return (BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 =
				BINT(((long) 0)), BUNSPEC);
		}
	}



/* _reset-stat! */
	obj_t BGl__resetzd2statz12zc0zzinline_walkz00(obj_t BgL_envz00_1232)
	{
		AN_OBJECT;
		{	/* Inline/walk.scm 78 */
			return BGl_resetzd2statz12zc0zzinline_walkz00();
		}
	}



/* show-stat! */
	bool_t BGl_showzd2statz12zc0zzinline_walkz00()
	{
		AN_OBJECT;
		{	/* Inline/walk.scm 85 */
			{	/* Inline/walk.scm 86 */
				obj_t BgL_list3197z00_797;

				{	/* Inline/walk.scm 86 */
					obj_t BgL_arg3199z00_799;

					{	/* Inline/walk.scm 86 */
						obj_t BgL_arg3200z00_800;

						BgL_arg3200z00_800 =
							MAKE_PAIR(BGl_string3269z00zzinline_walkz00, BNIL);
						BgL_arg3199z00_799 =
							MAKE_PAIR(BGl_za2inlinedzd2callsza2zd2zzinline_walkz00,
							BgL_arg3200z00_800);
					}
					BgL_list3197z00_797 =
						MAKE_PAIR(BGl_string3270z00zzinline_walkz00, BgL_arg3199z00_799);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list3197z00_797);
			}
			{	/* Inline/walk.scm 87 */
				obj_t BgL_list3201z00_801;

				{	/* Inline/walk.scm 87 */
					obj_t BgL_arg3203z00_803;

					{	/* Inline/walk.scm 87 */
						obj_t BgL_arg3204z00_804;

						BgL_arg3204z00_804 =
							MAKE_PAIR(BGl_string3269z00zzinline_walkz00, BNIL);
						BgL_arg3203z00_803 =
							MAKE_PAIR(BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00,
							BgL_arg3204z00_804);
					}
					BgL_list3201z00_801 =
						MAKE_PAIR(BGl_string3271z00zzinline_walkz00, BgL_arg3203z00_803);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list3201z00_801);
			}
			return ((bool_t) 1);
		}
	}



/* _show-stat! */
	obj_t BGl__showzd2statz12zc0zzinline_walkz00(obj_t BgL_envz00_1233)
	{
		AN_OBJECT;
		{	/* Inline/walk.scm 85 */
			return BBOOL(BGl_showzd2statz12zc0zzinline_walkz00());
		}
	}



/* inline-setup! */
	BGL_EXPORTED_DEF obj_t BGl_inlinezd2setupz12zc0zzinline_walkz00(obj_t
		BgL_whatz00_3)
	{
		AN_OBJECT;
		{	/* Inline/walk.scm 93 */
			if ((BgL_whatz00_3 == CNST_TABLE_REF(((long) 0))))
				{	/* Inline/walk.scm 95 */
					BGl_za2inlinezd2modeza2zd2zzinline_walkz00 =
						CNST_TABLE_REF(((long) 0));
					{	/* Inline/walk.scm 98 */
						obj_t BgL_yz00_808;

						BgL_yz00_808 =
							PROCEDURE_ENTRY(BGl_za2inliningzd2kfactorza2zd2zzengine_paramz00)
							(BGl_za2inliningzd2kfactorza2zd2zzengine_paramz00,
							BGl_za2optimza2z00zzengine_paramz00, BEOA);
						return (BGl_za2kfactorza2z00zzinline_walkz00 =
							BGl_2maxz00zz__r4_numbers_6_5z00(BINT(((long) 1)), BgL_yz00_808),
							BUNSPEC);
				}}
			else
				{	/* Inline/walk.scm 95 */
					if ((BgL_whatz00_3 == CNST_TABLE_REF(((long) 6))))
						{	/* Inline/walk.scm 95 */
							return (BGl_za2kfactorza2z00zzinline_walkz00 =
								BINT(((long) 1)), BUNSPEC);
						}
					else
						{	/* Inline/walk.scm 95 */
							if ((BgL_whatz00_3 == CNST_TABLE_REF(((long) 7))))
								{	/* Inline/walk.scm 95 */
									BGl_za2inlinezd2modeza2zd2zzinline_walkz00 =
										CNST_TABLE_REF(((long) 7));
									return (BGl_za2kfactorza2z00zzinline_walkz00 =
										BINT(((long) 1)), BUNSPEC);
								}
							else
								{	/* Inline/walk.scm 95 */
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string3272z00zzinline_walkz00,
										BGl_string3273z00zzinline_walkz00, BgL_whatz00_3);
								}
						}
				}
		}
	}



/* _inline-setup!3260 */
	obj_t BGl__inlinezd2setupz123260zc0zzinline_walkz00(obj_t BgL_envz00_1234,
		obj_t BgL_whatz00_1235)
	{
		AN_OBJECT;
		{	/* Inline/walk.scm 93 */
			return BGl_inlinezd2setupz12zc0zzinline_walkz00(BgL_whatz00_1235);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_walkz00()
	{
		AN_OBJECT;
		{	/* Inline/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_walkz00()
	{
		AN_OBJECT;
		{	/* Inline/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string3274z00zzinline_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3274z00zzinline_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string3274z00zzinline_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3274z00zzinline_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3274z00zzinline_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3274z00zzinline_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3274z00zzinline_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3274z00zzinline_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string3274z00zzinline_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string3274z00zzinline_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 52292466),
				BSTRING_TO_STRING(BGl_string3274z00zzinline_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 326457085),
				BSTRING_TO_STRING(BGl_string3274z00zzinline_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
