/*===========================================================================*/
/*   (Integrate/definition.scm)                                              */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/definition.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_svarzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                      *BgL_svarzf2iinfozf2_bglt;

	typedef struct BgL_sexitzf2iinfozf2_bgl
	{
		obj_t BgL_fzd2markzd2;
		obj_t BgL_uzd2markzd2;
		bool_t BgL_kapturedzf3zf3;
		bool_t BgL_celledzf3zf3;
	}                       *BgL_sexitzf2iinfozf2_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t);
	extern obj_t BGl_za2phiza2z00zzintegrate_az00;
	extern obj_t BGl_Az00zzintegrate_az00(BgL_globalz00_bglt, BgL_nodez00_bglt);
	BGL_IMPORT obj_t bgl_display_fixnum(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static bool_t BGl_verbzd2globaliza7ationz75zzintegrate_definitionz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzintegrate_definitionz00();
	extern obj_t BGl_Kza2z12zb0zzintegrate_kkz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_kapturedz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_uz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_kkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t, obj_t);
	extern obj_t BGl_Gz12z12zzintegrate_gz00(obj_t);
	extern obj_t BGl_globaliza7ez12zb5zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_Kz12z12zzintegrate_kkz00(obj_t, BgL_globalz00_bglt);
	extern obj_t BGl_Uz12z12zzintegrate_uz00();
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	static obj_t BGl_methodzd2initzd2zzintegrate_definitionz00();
	extern obj_t BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00(obj_t);
	extern obj_t
		BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_definitionz00 =
		BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_definitionz00();
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	static obj_t BGl__integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t,
		obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_definitionz00();
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2definitionz12zd2envz12zzintegrate_definitionz00,
		BgL_bgl__integrateza7d2def3488za7,
		BGl__integratezd2definitionz12zc0zzintegrate_definitionz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3477z00zzintegrate_definitionz00,
		BgL_bgl_string3477za700za7za7i3489za7, "Integrate/definition.scm", 24);
	      DEFINE_STRING(BGl_string3478z00zzintegrate_definitionz00,
		BgL_bgl_string3478za700za7za7i3490za7, ",", 1);
	      DEFINE_STRING(BGl_string3480z00zzintegrate_definitionz00,
		BgL_bgl_string3480za700za7za7i3491za7, "f=", 2);
	      DEFINE_STRING(BGl_string3479z00zzintegrate_definitionz00,
		BgL_bgl_string3479za700za7za7i3492za7, ":", 1);
	      DEFINE_STRING(BGl_string3481z00zzintegrate_definitionz00,
		BgL_bgl_string3481za700za7za7i3493za7, " -> ", 4);
	      DEFINE_STRING(BGl_string3482z00zzintegrate_definitionz00,
		BgL_bgl_string3482za700za7za7i3494za7, " -->", 4);
	      DEFINE_STRING(BGl_string3483z00zzintegrate_definitionz00,
		BgL_bgl_string3483za700za7za7i3495za7, "           ", 11);
	      DEFINE_STRING(BGl_string3484z00zzintegrate_definitionz00,
		BgL_bgl_string3484za700za7za7i3496za7, "integrate_definition", 20);
	      DEFINE_STRING(BGl_string3485z00zzintegrate_definitionz00,
		BgL_bgl_string3485za700za7za7i3497za7, "simpleread ", 11);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long
		BgL_checksumz00_1367, char *BgL_fromz00_1368)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_definitionz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_definitionz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_definitionz00();
					BGl_cnstzd2initzd2zzintegrate_definitionz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_definitionz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_definitionz00()
	{
		AN_OBJECT;
		{	/* Integrate/definition.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_definition");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"integrate_definition");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_definition");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"integrate_definition");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_definitionz00()
	{
		AN_OBJECT;
		{	/* Integrate/definition.scm 15 */
			{	/* Integrate/definition.scm 15 */
				obj_t BgL_cportz00_1359;

				BgL_cportz00_1359 =
					bgl_open_input_string(BGl_string3485z00zzintegrate_definitionz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1360;

					BgL_iz00_1360 = ((long) 0);
				BgL_loopz00_1361:
					if ((BgL_iz00_1360 == ((long) -1)))
						{	/* Integrate/definition.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/definition.scm 15 */
							{	/* Integrate/definition.scm 15 */
								obj_t BgL_arg3487z00_1363;

								{	/* Integrate/definition.scm 15 */

									{	/* Integrate/definition.scm 15 */
										obj_t BgL_locationz00_1365;

										BgL_locationz00_1365 = BBOOL(((bool_t) 0));
										{	/* Integrate/definition.scm 15 */

											BgL_arg3487z00_1363 =
												BGl_readz00zz__readerz00(BgL_cportz00_1359,
												BgL_locationz00_1365);
										}
									}
								}
								{	/* Integrate/definition.scm 15 */
									int BgL_auxz00_1385;

									BgL_auxz00_1385 = (int) (BgL_iz00_1360);
									CNST_TABLE_SET(BgL_auxz00_1385, BgL_arg3487z00_1363);
							}}
							{	/* Integrate/definition.scm 15 */
								int BgL_auxz00_1366;

								BgL_auxz00_1366 = (int) ((BgL_iz00_1360 - ((long) 1)));
								{
									long BgL_iz00_1390;

									BgL_iz00_1390 = (long) (BgL_auxz00_1366);
									BgL_iz00_1360 = BgL_iz00_1390;
									goto BgL_loopz00_1361;
								}
							}
						}
				}
			}
		}
	}



/* integrate-definition! */
	BGL_EXPORTED_DEF obj_t
		BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t
		BgL_globalz00_1)
	{
		AN_OBJECT;
		{	/* Integrate/definition.scm 56 */
			{	/* Integrate/definition.scm 61 */
				BgL_valuez00_bglt BgL_funz00_833;

				{
					BgL_variablez00_bglt BgL_auxz00_1392;

					BgL_auxz00_1392 = (BgL_variablez00_bglt) (BgL_globalz00_1);
					BgL_funz00_833 =
						(((BgL_variablez00_bglt) CREF(BgL_auxz00_1392))->BgL_valuez00);
				}
				{	/* Integrate/definition.scm 61 */
					obj_t BgL_bodyz00_834;

					{
						BgL_sfunz00_bglt BgL_auxz00_1395;

						BgL_auxz00_1395 = (BgL_sfunz00_bglt) (BgL_funz00_833);
						BgL_bodyz00_834 =
							(((BgL_sfunz00_bglt) CREF(BgL_auxz00_1395))->BgL_bodyz00);
					}
					{	/* Integrate/definition.scm 62 */
						obj_t BgL_az00_835;

						BgL_az00_835 =
							BGl_Az00zzintegrate_az00(
							(BgL_globalz00_bglt) (BgL_globalz00_1),
							(BgL_nodez00_bglt) (BgL_bodyz00_834));
						{	/* Integrate/definition.scm 63 */

							BGl_Kza2z12zb0zzintegrate_kkz00(BGl_Kz12z12zzintegrate_kkz00
								(BgL_az00_835, (BgL_globalz00_bglt) (BgL_globalz00_1)));
							BGl_Uz12z12zzintegrate_uz00();
							{	/* Integrate/definition.scm 66 */
								obj_t BgL_gz00_837;

								BgL_gz00_837 =
									BGl_Gz12z12zzintegrate_gz00
									(BGl_Cnz62Ctz12z70zzintegrate_ctnz00(BgL_az00_835));
								if (NULLP(BgL_gz00_837))
									{	/* Integrate/definition.scm 72 */
										obj_t BgL_list3384z00_839;

										BgL_list3384z00_839 = MAKE_PAIR(BgL_globalz00_1, BNIL);
										return BgL_list3384z00_839;
									}
								else
									{	/* Integrate/definition.scm 70 */
										BGl_verbzd2globaliza7ationz75zzintegrate_definitionz00
											(BgL_globalz00_1, BgL_gz00_837);
										{
											obj_t BgL_l3369z00_840;

											BgL_l3369z00_840 = BGl_za2phiza2z00zzintegrate_az00;
										BgL_forzd2each3370zd2_841:
											if (PAIRP(BgL_l3369z00_840))
												{	/* Integrate/definition.scm 76 */
													{	/* Integrate/definition.scm 78 */
														obj_t BgL_fz00_843;

														BgL_fz00_843 = CAR(BgL_l3369z00_840);
														{	/* Integrate/definition.scm 78 */
															bool_t BgL_testz00_1414;

															if (BGl_iszd2azf3z21zz__objectz00(BgL_fz00_843,
																	BGl_localz00zzast_varz00))
																{	/* Integrate/definition.scm 78 */
																	bool_t BgL_testz00_1417;

																	{	/* Integrate/definition.scm 78 */
																		BgL_sfunzf2iinfozf2_bglt
																			BgL_obj3296z00_1313;
																		{	/* Integrate/definition.scm 78 */
																			BgL_variablez00_bglt BgL_obj1486z00_1312;

																			BgL_obj1486z00_1312 =
																				(BgL_variablez00_bglt) (BgL_fz00_843);
																			BgL_obj3296z00_1313 =
																				(BgL_sfunzf2iinfozf2_bglt) (
																				(((BgL_variablez00_bglt)
																						CREF(BgL_obj1486z00_1312))->
																					BgL_valuez00));
																		}
																		{
																			obj_t BgL_auxz00_1421;

																			{	/* Integrate/definition.scm 78 */
																				BgL_objectz00_bglt BgL_auxz00_1422;

																				BgL_auxz00_1422 =
																					(BgL_objectz00_bglt)
																					(BgL_obj3296z00_1313);
																				BgL_auxz00_1421 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_1422);
																			}
																			BgL_testz00_1417 =
																				(((BgL_sfunzf2iinfozf2_bglt)
																					CREF(BgL_auxz00_1421))->BgL_gzf3zf3);
																		}
																	}
																	if (BgL_testz00_1417)
																		{	/* Integrate/definition.scm 78 */
																			BgL_testz00_1414 = ((bool_t) 0);
																		}
																	else
																		{	/* Integrate/definition.scm 78 */
																			BgL_testz00_1414 = ((bool_t) 1);
																		}
																}
															else
																{	/* Integrate/definition.scm 78 */
																	BgL_testz00_1414 = ((bool_t) 0);
																}
															if (BgL_testz00_1414)
																{	/* Integrate/definition.scm 79 */
																	obj_t BgL_gz00_845;

																	{	/* Integrate/definition.scm 79 */
																		BgL_sfunzf2iinfozf2_bglt
																			BgL_obj3299z00_1315;
																		{	/* Integrate/definition.scm 79 */
																			BgL_variablez00_bglt BgL_obj1486z00_1314;

																			BgL_obj1486z00_1314 =
																				(BgL_variablez00_bglt) (BgL_fz00_843);
																			BgL_obj3299z00_1315 =
																				(BgL_sfunzf2iinfozf2_bglt) (
																				(((BgL_variablez00_bglt)
																						CREF(BgL_obj1486z00_1314))->
																					BgL_valuez00));
																		}
																		{
																			obj_t BgL_auxz00_1429;

																			{	/* Integrate/definition.scm 79 */
																				BgL_objectz00_bglt BgL_auxz00_1430;

																				BgL_auxz00_1430 =
																					(BgL_objectz00_bglt)
																					(BgL_obj3299z00_1315);
																				BgL_auxz00_1429 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_1430);
																			}
																			BgL_gz00_845 =
																				(((BgL_sfunzf2iinfozf2_bglt)
																					CREF(BgL_auxz00_1429))->BgL_lz00);
																		}
																	}
																	{	/* Integrate/definition.scm 79 */
																		BgL_valuez00_bglt BgL_ifuz00_846;

																		{
																			BgL_variablez00_bglt BgL_auxz00_1434;

																			BgL_auxz00_1434 =
																				(BgL_variablez00_bglt) (BgL_gz00_845);
																			BgL_ifuz00_846 =
																				(((BgL_variablez00_bglt)
																					CREF(BgL_auxz00_1434))->BgL_valuez00);
																		}
																		{	/* Integrate/definition.scm 80 */

																			{	/* Integrate/definition.scm 81 */
																				bool_t BgL_testz00_1437;

																				{	/* Integrate/definition.scm 81 */
																					obj_t BgL_auxz00_1438;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_1439;
																						BgL_auxz00_1439 =
																							(BgL_variablez00_bglt)
																							(BgL_globalz00_1);
																						BgL_auxz00_1438 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_auxz00_1439))->
																							BgL_idz00);
																					}
																					BgL_testz00_1437 =
																						(BgL_auxz00_1438 ==
																						CNST_TABLE_REF(((long) 0)));
																				}
																				if (BgL_testz00_1437)
																					{	/* Integrate/definition.scm 82 */
																						obj_t BgL_port3368z00_848;

																						{	/* Integrate/definition.scm 82 */
																							obj_t BgL_res3476z00_1319;

																							{	/* Integrate/definition.scm 82 */
																								obj_t BgL_auxz00_1444;

																								BgL_auxz00_1444 =
																									BGL_CURRENT_DYNAMIC_ENV();
																								BgL_res3476z00_1319 =
																									BGL_ENV_CURRENT_ERROR_PORT
																									(BgL_auxz00_1444);
																							}
																							BgL_port3368z00_848 =
																								BgL_res3476z00_1319;
																						}
																						bgl_display_string
																							(BGl_string3477z00zzintegrate_definitionz00,
																							BgL_port3368z00_848);
																						bgl_display_string
																							(BGl_string3478z00zzintegrate_definitionz00,
																							BgL_port3368z00_848);
																						bgl_display_fixnum(BINT(((long)
																									82)), BgL_port3368z00_848);
																						bgl_display_string
																							(BGl_string3479z00zzintegrate_definitionz00,
																							BgL_port3368z00_848);
																						bgl_display_string
																							(BGl_string3480z00zzintegrate_definitionz00,
																							BgL_port3368z00_848);
																						bgl_display_obj
																							(BGl_shapez00zztools_shapez00
																							(BgL_fz00_843),
																							BgL_port3368z00_848);
																						bgl_display_string
																							(BGl_string3481z00zzintegrate_definitionz00,
																							BgL_port3368z00_848);
																						bgl_display_obj
																							(BGl_shapez00zztools_shapez00
																							(BgL_gz00_845),
																							BgL_port3368z00_848);
																						bgl_display_char(((unsigned char)
																								'\n'), BgL_port3368z00_848);
																					}
																				else
																					{	/* Integrate/definition.scm 81 */
																						BFALSE;
																					}
																			}
																			{	/* Integrate/definition.scm 85 */
																				obj_t BgL_arg3392z00_853;

																				{	/* Integrate/definition.scm 85 */
																					obj_t BgL_arg3393z00_854;

																					{	/* Integrate/definition.scm 85 */
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_obj3302z00_1333;
																						BgL_obj3302z00_1333 =
																							(BgL_sfunzf2iinfozf2_bglt)
																							(BgL_ifuz00_846);
																						{
																							obj_t BgL_auxz00_1460;

																							{	/* Integrate/definition.scm 85 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1461;
																								BgL_auxz00_1461 =
																									(BgL_objectz00_bglt)
																									(BgL_obj3302z00_1333);
																								BgL_auxz00_1460 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1461);
																							}
																							BgL_arg3393z00_854 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									CREF(BgL_auxz00_1460))->
																								BgL_ledz00);
																						}
																					}
																					BgL_arg3392z00_853 =
																						MAKE_PAIR(BgL_fz00_843,
																						BgL_arg3393z00_854);
																				}
																				{	/* Integrate/definition.scm 83 */
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_obj3304z00_1334;
																					obj_t BgL_val3303z00_1335;

																					BgL_obj3304z00_1334 =
																						(BgL_sfunzf2iinfozf2_bglt)
																						(BgL_ifuz00_846);
																					BgL_val3303z00_1335 =
																						BgL_arg3392z00_853;
																					{
																						obj_t BgL_auxz00_1467;

																						{	/* Integrate/definition.scm 83 */
																							BgL_objectz00_bglt
																								BgL_auxz00_1468;
																							BgL_auxz00_1468 =
																								(BgL_objectz00_bglt)
																								(BgL_obj3304z00_1334);
																							BgL_auxz00_1467 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_1468);
																						}
																						((((BgL_sfunzf2iinfozf2_bglt)
																									CREF(BgL_auxz00_1467))->
																								BgL_ledz00) =
																							((obj_t) BgL_val3303z00_1335),
																							BUNSPEC);
																					}
																				}
																			}
																		}
																	}
																}
															else
																{	/* Integrate/definition.scm 78 */
																	BFALSE;
																}
														}
													}
													{
														obj_t BgL_l3369z00_1472;

														BgL_l3369z00_1472 = CDR(BgL_l3369z00_840);
														BgL_l3369z00_840 = BgL_l3369z00_1472;
														goto BgL_forzd2each3370zd2_841;
													}
												}
											else
												{	/* Integrate/definition.scm 76 */
													((bool_t) 1);
												}
										}
										{
											obj_t BgL_l3371z00_860;

											BgL_l3371z00_860 = BgL_gz00_837;
										BgL_forzd2each3372zd2_861:
											if (PAIRP(BgL_l3371z00_860))
												{	/* Integrate/definition.scm 89 */
													BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2
														(CAR(BgL_l3371z00_860));
													{
														obj_t BgL_l3371z00_1478;

														BgL_l3371z00_1478 = CDR(BgL_l3371z00_860);
														BgL_l3371z00_860 = BgL_l3371z00_1478;
														goto BgL_forzd2each3372zd2_861;
													}
												}
											else
												{	/* Integrate/definition.scm 89 */
													((bool_t) 1);
												}
										}
										BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2
											(BgL_globalz00_1);
										BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00
											(BgL_gz00_837);
										{	/* Integrate/definition.scm 98 */
											obj_t BgL_newzd2gzd2_865;

											{	/* Integrate/definition.scm 98 */
												obj_t BgL_head3375z00_869;

												{	/* Integrate/definition.scm 98 */
													obj_t BgL_arg3409z00_880;

													{	/* Integrate/definition.scm 98 */
														obj_t BgL_arg3411z00_882;

														BgL_arg3411z00_882 = CAR(BgL_gz00_837);
														BgL_arg3409z00_880 =
															BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31
															((BgL_localz00_bglt) (BgL_arg3411z00_882));
													}
													BgL_head3375z00_869 =
														MAKE_PAIR(BgL_arg3409z00_880, BNIL);
												}
												{	/* Integrate/definition.scm 98 */
													obj_t BgL_g3378z00_870;

													BgL_g3378z00_870 = CDR(BgL_gz00_837);
													{
														obj_t BgL_l3373z00_871;

														obj_t BgL_tail3376z00_872;

														BgL_l3373z00_871 = BgL_g3378z00_870;
														BgL_tail3376z00_872 = BgL_head3375z00_869;
													BgL_map3374z00_873:
														if (NULLP(BgL_l3373z00_871))
															{	/* Integrate/definition.scm 98 */
																BgL_newzd2gzd2_865 = BgL_head3375z00_869;
															}
														else
															{	/* Integrate/definition.scm 98 */
																obj_t BgL_newtail3377z00_875;

																{	/* Integrate/definition.scm 98 */
																	obj_t BgL_arg3406z00_877;

																	{	/* Integrate/definition.scm 98 */
																		obj_t BgL_arg3408z00_879;

																		BgL_arg3408z00_879 = CAR(BgL_l3373z00_871);
																		BgL_arg3406z00_877 =
																			BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31
																			((BgL_localz00_bglt)
																			(BgL_arg3408z00_879));
																	}
																	BgL_newtail3377z00_875 =
																		MAKE_PAIR(BgL_arg3406z00_877, BNIL);
																}
																SET_CDR(BgL_tail3376z00_872,
																	BgL_newtail3377z00_875);
																{
																	obj_t BgL_tail3376z00_1496;

																	obj_t BgL_l3373z00_1494;

																	BgL_l3373z00_1494 = CDR(BgL_l3373z00_871);
																	BgL_tail3376z00_1496 = BgL_newtail3377z00_875;
																	BgL_tail3376z00_872 = BgL_tail3376z00_1496;
																	BgL_l3373z00_871 = BgL_l3373z00_1494;
																	goto BgL_map3374z00_873;
																}
															}
													}
												}
											}
											{
												obj_t BgL_auxz00_1499;

												BgL_sfunz00_bglt BgL_auxz00_1497;

												BgL_auxz00_1499 =
													BGl_globaliza7ez12zb5zzintegrate_nodez00(
													(BgL_nodez00_bglt) (BgL_bodyz00_834),
													(BgL_variablez00_bglt) (BgL_globalz00_1), BNIL);
												BgL_auxz00_1497 = (BgL_sfunz00_bglt) (BgL_funz00_833);
												((((BgL_sfunz00_bglt) CREF(BgL_auxz00_1497))->
														BgL_bodyz00) = ((obj_t) BgL_auxz00_1499), BUNSPEC);
											}
											return MAKE_PAIR(BgL_globalz00_1, BgL_newzd2gzd2_865);
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* _integrate-definition! */
	obj_t BGl__integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t
		BgL_envz00_1357, obj_t BgL_globalz00_1358)
	{
		AN_OBJECT;
		{	/* Integrate/definition.scm 56 */
			return
				BGl_integratezd2definitionz12zc0zzintegrate_definitionz00
				(BgL_globalz00_1358);
		}
	}



/* verb-globalization */
	bool_t BGl_verbzd2globaliza7ationz75zzintegrate_definitionz00(obj_t
		BgL_globalz00_2, obj_t BgL_gz00_3)
	{
		AN_OBJECT;
		{	/* Integrate/definition.scm 106 */
			{
				obj_t BgL_l3379z00_884;

				BgL_l3379z00_884 = BgL_gz00_3;
			BgL_forzd2each3380zd2_885:
				if (PAIRP(BgL_l3379z00_884))
					{	/* Integrate/definition.scm 110 */
						{	/* Integrate/definition.scm 111 */
							obj_t BgL_localz00_887;

							BgL_localz00_887 = CAR(BgL_l3379z00_884);
							if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long) 3)),
									BGl_za2verboseza2z00zzengine_paramz00))
								{	/* Integrate/definition.scm 111 */
									if (BGl_zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long) 3)),
											BGl_za2verboseza2z00zzengine_paramz00, BNIL))
										{	/* Integrate/definition.scm 111 */
											obj_t BgL_arg3417z00_893;

											BgL_arg3417z00_893 =
												BGl_shapez00zztools_shapez00(BgL_localz00_887);
											{	/* Integrate/definition.scm 111 */
												obj_t BgL_list3419z00_895;

												{	/* Integrate/definition.scm 111 */
													obj_t BgL_arg3420z00_896;

													{	/* Integrate/definition.scm 111 */
														obj_t BgL_arg3421z00_897;

														{	/* Integrate/definition.scm 111 */
															obj_t BgL_arg3422z00_898;

															BgL_arg3422z00_898 =
																MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
															BgL_arg3421z00_897 =
																MAKE_PAIR
																(BGl_string3482z00zzintegrate_definitionz00,
																BgL_arg3422z00_898);
														}
														BgL_arg3420z00_896 =
															MAKE_PAIR(BgL_arg3417z00_893, BgL_arg3421z00_897);
													}
													BgL_list3419z00_895 =
														MAKE_PAIR
														(BGl_string3483z00zzintegrate_definitionz00,
														BgL_arg3420z00_896);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
													BgL_list3419z00_895);
										}}
									else
										{	/* Integrate/definition.scm 111 */
											BUNSPEC;
										}
								}
							else
								{	/* Integrate/definition.scm 111 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l3379z00_1523;

							BgL_l3379z00_1523 = CDR(BgL_l3379z00_884);
							BgL_l3379z00_884 = BgL_l3379z00_1523;
							goto BgL_forzd2each3380zd2_885;
						}
					}
				else
					{	/* Integrate/definition.scm 110 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_definitionz00()
	{
		AN_OBJECT;
		{	/* Integrate/definition.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_definitionz00()
	{
		AN_OBJECT;
		{	/* Integrate/definition.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_az00(((long) 408271643),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_kkz00(((long) 442403958),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_uz00(((long) 406437228),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(((long) 112989039),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_gz00(((long) 408163452),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_kapturedz00(((long)
					421147681),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(((long)
					23718232),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_nodez00(((long) 421929044),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(((long)
					154146174),
				BSTRING_TO_STRING(BGl_string3484z00zzintegrate_definitionz00));
		}
	}

#ifdef __cplusplus
}
#endif
