/*===========================================================================*/
/*   (Module/main.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/main.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_mainz00 = BUNSPEC;
	static obj_t BGl_mainzd2consumerzd2zzmodule_mainz00(obj_t, obj_t);
	static obj_t BGl_mainzd2producerzd2zzmodule_mainz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl__makezd2mainzd2compilerz00zzmodule_mainz00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00();
	static obj_t BGl_cnstzd2initzd2zzmodule_mainz00();
	static obj_t BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_mainz00();
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	static bool_t BGl_correctzd2mainzf3z21zzmodule_mainz00(BgL_globalz00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern BgL_ccompz00_bglt BGl_makezd2ccompzd2zzmodule_modulez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_mainz00();
	static obj_t BGl_zc3anonymousza32082ze3z83zzmodule_mainz00(obj_t);
	static obj_t BGl__mainzd2consumerzd2zzmodule_mainz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_mainz00();
	static obj_t BGl__mainzd2producerzd2zzmodule_mainz00(obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_mainzd2producerzd2envz00zzmodule_mainz00,
		BgL_bgl__mainza7d2producer2306za7, BGl__mainzd2producerzd2zzmodule_mainz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2mainzd2compilerzd2envzd2zzmodule_mainz00,
		BgL_bgl__makeza7d2mainza7d2c2307z00,
		BGl__makezd2mainzd2compilerz00zzmodule_mainz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2297z00zzmodule_mainz00,
		BgL_bgl_za7c3anonymousza7a322308z00,
		BGl_zc3anonymousza32082ze3z83zzmodule_mainz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_mainzd2consumerzd2envz00zzmodule_mainz00,
		BgL_bgl__mainza7d2consumer2309za7, BGl__mainzd2consumerzd2zzmodule_mainz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2300z00zzmodule_mainz00,
		BgL_bgl_string2300za700za7za7m2310za7, "Illegal main clause", 19);
	      DEFINE_STRING(BGl_string2301z00zzmodule_mainz00,
		BgL_bgl_string2301za700za7za7m2311za7, "Duplicated main clause", 22);
	      DEFINE_STRING(BGl_string2302z00zzmodule_mainz00,
		BgL_bgl_string2302za700za7za7m2312za7, "module_main", 11);
	      DEFINE_STRING(BGl_string2303z00zzmodule_mainz00,
		BgL_bgl_string2303za700za7za7m2313za7,
		"argv::pair argv::obj export bdb imported void main ", 51);
	      DEFINE_STRING(BGl_string2298z00zzmodule_mainz00,
		BgL_bgl_string2298za700za7za7m2314za7,
		"Illegal declaration of main function", 36);
	      DEFINE_STRING(BGl_string2299z00zzmodule_mainz00,
		BgL_bgl_string2299za700za7za7m2315za7, "Parse error", 11);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_mainz00(long
		BgL_checksumz00_633, char *BgL_fromz00_634)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_mainz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_mainz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_mainz00();
					BGl_cnstzd2initzd2zzmodule_mainz00();
					BGl_importedzd2moduleszd2initz00zzmodule_mainz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_main");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "module_main");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "module_main");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			{	/* Module/main.scm 15 */
				obj_t BgL_cportz00_625;

				BgL_cportz00_625 =
					bgl_open_input_string(BGl_string2303z00zzmodule_mainz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_626;

					BgL_iz00_626 = ((long) 6);
				BgL_loopz00_627:
					if ((BgL_iz00_626 == ((long) -1)))
						{	/* Module/main.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/main.scm 15 */
							{	/* Module/main.scm 15 */
								obj_t BgL_arg2305z00_629;

								{	/* Module/main.scm 15 */

									{	/* Module/main.scm 15 */
										obj_t BgL_locationz00_631;

										BgL_locationz00_631 = BBOOL(((bool_t) 0));
										{	/* Module/main.scm 15 */

											BgL_arg2305z00_629 =
												BGl_readz00zz__readerz00(BgL_cportz00_625,
												BgL_locationz00_631);
										}
									}
								}
								{	/* Module/main.scm 15 */
									int BgL_auxz00_650;

									BgL_auxz00_650 = (int) (BgL_iz00_626);
									CNST_TABLE_SET(BgL_auxz00_650, BgL_arg2305z00_629);
							}}
							{	/* Module/main.scm 15 */
								int BgL_auxz00_632;

								BgL_auxz00_632 = (int) ((BgL_iz00_626 - ((long) 1)));
								{
									long BgL_iz00_655;

									BgL_iz00_655 = (long) (BgL_auxz00_632);
									BgL_iz00_626 = BgL_iz00_655;
									goto BgL_loopz00_627;
								}
							}
						}
				}
			}
		}
	}



/* make-main-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2mainzd2compilerz00zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 33 */
			{	/* Module/main.scm 34 */
				obj_t BgL_arg2074z00_417;

				BgL_arg2074z00_417 = CNST_TABLE_REF(((long) 0));
				return
					(obj_t) (BGl_makezd2ccompzd2zzmodule_modulez00(BgL_arg2074z00_417,
						BGl_mainzd2producerzd2envz00zzmodule_mainz00,
						BGl_mainzd2consumerzd2envz00zzmodule_mainz00,
						BGl_proc2297z00zzmodule_mainz00));
			}
		}
	}



/* _make-main-compiler */
	obj_t BGl__makezd2mainzd2compilerz00zzmodule_mainz00(obj_t BgL_envz00_618)
	{
		AN_OBJECT;
		{	/* Module/main.scm 33 */
			return BGl_makezd2mainzd2compilerz00zzmodule_mainz00();
		}
	}



/* <anonymous:2082> */
	obj_t BGl_zc3anonymousza32082ze3z83zzmodule_mainz00(obj_t BgL_envz00_619)
	{
		AN_OBJECT;
		{	/* Module/module.scm 54 */
			{

				return CNST_TABLE_REF(((long) 1));
		}}
	}



/* correct-main? */
	bool_t BGl_correctzd2mainzf3z21zzmodule_mainz00(BgL_globalz00_bglt
		BgL_globalz00_1)
	{
		AN_OBJECT;
		{	/* Module/main.scm 44 */
			{	/* Module/main.scm 45 */
				BgL_valuez00_bglt BgL_sfunz00_421;

				{
					BgL_variablez00_bglt BgL_auxz00_662;

					BgL_auxz00_662 = (BgL_variablez00_bglt) (BgL_globalz00_1);
					BgL_sfunz00_421 =
						(((BgL_variablez00_bglt) CREF(BgL_auxz00_662))->BgL_valuez00);
				}
				{	/* Module/main.scm 46 */
					bool_t BgL_testz00_665;

					{	/* Module/main.scm 46 */
						obj_t BgL_obj1932z00_596;

						BgL_obj1932z00_596 = (obj_t) (BgL_sfunz00_421);
						BgL_testz00_665 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj1932z00_596,
							BGl_sfunz00zzast_varz00);
					}
					if (BgL_testz00_665)
						{	/* Module/main.scm 47 */
							bool_t BgL_testz00_668;

							{	/* Module/main.scm 47 */
								long BgL_auxz00_669;

								{
									BgL_funz00_bglt BgL_auxz00_670;

									BgL_auxz00_670 = (BgL_funz00_bglt) (BgL_sfunz00_421);
									BgL_auxz00_669 =
										(((BgL_funz00_bglt) CREF(BgL_auxz00_670))->BgL_arityz00);
								}
								BgL_testz00_668 = (BgL_auxz00_669 == ((long) 1));
							}
							if (BgL_testz00_668)
								{	/* Module/main.scm 48 */
									obj_t BgL_argsz00_424;

									{	/* Module/main.scm 48 */
										obj_t BgL_pairz00_601;

										{
											BgL_sfunz00_bglt BgL_auxz00_674;

											BgL_auxz00_674 = (BgL_sfunz00_bglt) (BgL_sfunz00_421);
											BgL_pairz00_601 =
												(((BgL_sfunz00_bglt) CREF(BgL_auxz00_674))->
												BgL_argsz00);
										}
										BgL_argsz00_424 = CAR(BgL_pairz00_601);
									}
									{	/* Module/main.scm 48 */
										BgL_typez00_bglt BgL_typez00_425;

										{
											BgL_variablez00_bglt BgL_auxz00_678;

											BgL_auxz00_678 = (BgL_variablez00_bglt) (BgL_argsz00_424);
											BgL_typez00_425 =
												(((BgL_variablez00_bglt) CREF(BgL_auxz00_678))->
												BgL_typez00);
										}
										{	/* Module/main.scm 49 */

											{	/* Module/main.scm 50 */
												bool_t BgL__ortest_2072z00_426;

												BgL__ortest_2072z00_426 =
													(
													(obj_t) (BgL_typez00_425) ==
													BGl_za2objza2z00zztype_cachez00);
												if (BgL__ortest_2072z00_426)
													{	/* Module/main.scm 50 */
														return BgL__ortest_2072z00_426;
													}
												else
													{	/* Module/main.scm 50 */
														return
															(
															(obj_t) (BgL_typez00_425) ==
															BGl_za2pairza2z00zztype_cachez00);
													}
											}
										}
									}
								}
							else
								{	/* Module/main.scm 47 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Module/main.scm 46 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* main-producer */
	obj_t BGl_mainzd2producerzd2zzmodule_mainz00(obj_t BgL_clausez00_2)
	{
		AN_OBJECT;
		{	/* Module/main.scm 55 */
			{	/* Module/main.scm 56 */
				bool_t BgL_testz00_686;

				if ((BGl_za2mainza2z00zzmodule_modulez00 == CNST_TABLE_REF(((long) 2))))
					{	/* Module/main.scm 56 */
						BgL_testz00_686 = ((bool_t) 1);
					}
				else
					{	/* Module/main.scm 56 */
						obj_t BgL_obj1729z00_603;

						BgL_obj1729z00_603 = BGl_za2mainza2z00zzmodule_modulez00;
						BgL_testz00_686 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj1729z00_603,
							BGl_globalz00zzast_varz00);
					}
				if (BgL_testz00_686)
					{	/* Module/main.scm 56 */
						return
							BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(BgL_clausez00_2);
					}
				else
					{
						obj_t BgL_mainz00_431;

						if (PAIRP(BgL_clausez00_2))
							{	/* Module/main.scm 58 */
								obj_t BgL_cdrzd21211zd2_436;

								BgL_cdrzd21211zd2_436 = CDR(BgL_clausez00_2);
								if (PAIRP(BgL_cdrzd21211zd2_436))
									{	/* Module/main.scm 58 */
										obj_t BgL_carzd21213zd2_438;

										BgL_carzd21213zd2_438 = CAR(BgL_cdrzd21211zd2_436);
										if (SYMBOLP(BgL_carzd21213zd2_438))
											{	/* Module/main.scm 58 */
												if (NULLP(CDR(BgL_cdrzd21211zd2_436)))
													{	/* Module/main.scm 58 */
														BgL_mainz00_431 = BgL_carzd21213zd2_438;
														{	/* Module/main.scm 60 */
															obj_t BgL_globalz00_442;

															BgL_globalz00_442 =
																BGl_findzd2globalzf2modulez20zzast_envz00
																(BgL_mainz00_431,
																BGl_za2moduleza2z00zzmodule_modulez00);
															if (BGl_iszd2azf3z21zz__objectz00
																(BgL_globalz00_442, BGl_globalz00zzast_varz00))
																{	/* Module/main.scm 61 */
																	if (BGl_correctzd2mainzf3z21zzmodule_mainz00(
																			(BgL_globalz00_bglt) (BgL_globalz00_442)))
																		{	/* Module/main.scm 62 */
																			return BFALSE;
																		}
																	else
																		{	/* Module/main.scm 63 */
																			obj_t BgL_list2104z00_445;

																			BgL_list2104z00_445 =
																				MAKE_PAIR(BNIL, BNIL);
																			return
																				BGl_userzd2errorzd2zztools_errorz00
																				(BGl_za2moduleza2z00zzmodule_modulez00,
																				BGl_string2298z00zzmodule_mainz00,
																				BgL_mainz00_431, BgL_list2104z00_445);
																		}
																}
															else
																{	/* Module/main.scm 61 */
																	{	/* Module/main.scm 68 */
																		bool_t BgL_testz00_711;

																		if (
																			((long)
																				CINT
																				(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
																				> ((long) 0)))
																			{	/* Module/main.scm 69 */
																				obj_t BgL_arg2193z00_464;

																				obj_t BgL_arg2200z00_465;

																				BgL_arg2193z00_464 =
																					CNST_TABLE_REF(((long) 3));
																				{	/* Module/main.scm 70 */
																					obj_t BgL_arg2206z00_466;

																					BgL_arg2206z00_466 =
																						BGl_thezd2backendzd2zzbackend_backendz00
																						();
																					{
																						BgL_backendz00_bglt BgL_auxz00_717;

																						BgL_auxz00_717 =
																							(BgL_backendz00_bglt)
																							(BgL_arg2206z00_466);
																						BgL_arg2200z00_465 =
																							(((BgL_backendz00_bglt)
																								CREF(BgL_auxz00_717))->
																							BgL_debugzd2supportzd2);
																				}}
																				BgL_testz00_711 =
																					CBOOL
																					(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																					(BgL_arg2193z00_464,
																						BgL_arg2200z00_465));
																			}
																		else
																			{	/* Module/main.scm 68 */
																				BgL_testz00_711 = ((bool_t) 0);
																			}
																		if (BgL_testz00_711)
																			{	/* Module/main.scm 71 */
																				obj_t BgL_arg2114z00_447;

																				{	/* Module/main.scm 71 */
																					obj_t BgL_arg2124z00_448;

																					obj_t BgL_arg2128z00_449;

																					BgL_arg2124z00_448 =
																						CNST_TABLE_REF(((long) 4));
																					{	/* Module/main.scm 71 */
																						obj_t BgL_arg2135z00_450;

																						{	/* Module/main.scm 71 */
																							obj_t BgL_arg2148z00_453;

																							{	/* Module/main.scm 71 */
																								obj_t BgL_list2149z00_454;

																								BgL_list2149z00_454 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2148z00_453 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(CNST_TABLE_REF(((long) 5)),
																									BgL_list2149z00_454);
																							}
																							BgL_arg2135z00_450 =
																								MAKE_PAIR(BgL_mainz00_431,
																								BgL_arg2148z00_453);
																						}
																						{	/* Module/main.scm 71 */
																							obj_t BgL_list2142z00_452;

																							BgL_list2142z00_452 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2128z00_449 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg2135z00_450,
																								BgL_list2142z00_452);
																					}}
																					BgL_arg2114z00_447 =
																						MAKE_PAIR(BgL_arg2124z00_448,
																						BgL_arg2128z00_449);
																				}
																				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																					(BgL_arg2114z00_447);
																			}
																		else
																			{	/* Module/main.scm 72 */
																				obj_t BgL_arg2154z00_455;

																				{	/* Module/main.scm 72 */
																					obj_t BgL_arg2161z00_456;

																					obj_t BgL_arg2167z00_457;

																					BgL_arg2161z00_456 =
																						CNST_TABLE_REF(((long) 4));
																					{	/* Module/main.scm 72 */
																						obj_t BgL_arg2174z00_458;

																						{	/* Module/main.scm 72 */
																							obj_t BgL_arg2187z00_461;

																							{	/* Module/main.scm 72 */
																								obj_t BgL_list2188z00_462;

																								BgL_list2188z00_462 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_arg2187z00_461 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(CNST_TABLE_REF(((long) 6)),
																									BgL_list2188z00_462);
																							}
																							BgL_arg2174z00_458 =
																								MAKE_PAIR(BgL_mainz00_431,
																								BgL_arg2187z00_461);
																						}
																						{	/* Module/main.scm 72 */
																							obj_t BgL_list2181z00_460;

																							BgL_list2181z00_460 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_arg2167z00_457 =
																								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																								(BgL_arg2174z00_458,
																								BgL_list2181z00_460);
																					}}
																					BgL_arg2154z00_455 =
																						MAKE_PAIR(BgL_arg2161z00_456,
																						BgL_arg2167z00_457);
																				}
																				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																					(BgL_arg2154z00_455);
																	}}
																	return (BGl_za2mainza2z00zzmodule_modulez00 =
																		BGl_findzd2globalzf2modulez20zzast_envz00
																		(BgL_mainz00_431,
																			BGl_za2moduleza2z00zzmodule_modulez00),
																		BUNSPEC);
																}
														}
													}
												else
													{	/* Module/main.scm 58 */
													BgL_tagzd21206zd2_433:
														{	/* Module/main.scm 75 */
															obj_t BgL_list2207z00_467;

															BgL_list2207z00_467 = MAKE_PAIR(BNIL, BNIL);
															return
																BGl_userzd2errorzd2zztools_errorz00
																(BGl_string2299z00zzmodule_mainz00,
																BGl_string2300z00zzmodule_mainz00,
																BgL_clausez00_2, BgL_list2207z00_467);
														}
													}
											}
										else
											{	/* Module/main.scm 58 */
												goto BgL_tagzd21206zd2_433;
											}
									}
								else
									{	/* Module/main.scm 58 */
										goto BgL_tagzd21206zd2_433;
									}
							}
						else
							{	/* Module/main.scm 58 */
								goto BgL_tagzd21206zd2_433;
							}
					}
			}
		}
	}



/* _main-producer */
	obj_t BGl__mainzd2producerzd2zzmodule_mainz00(obj_t BgL_envz00_620,
		obj_t BgL_clausez00_621)
	{
		AN_OBJECT;
		{	/* Module/main.scm 55 */
			return BGl_mainzd2producerzd2zzmodule_mainz00(BgL_clausez00_621);
		}
	}



/* main-consumer */
	obj_t BGl_mainzd2consumerzd2zzmodule_mainz00(obj_t BgL_modulez00_3,
		obj_t BgL_clausez00_4)
	{
		AN_OBJECT;
		{	/* Module/main.scm 80 */
			{	/* Module/main.scm 81 */
				bool_t BgL_testz00_744;

				{	/* Module/main.scm 81 */
					obj_t BgL_obj1729z00_616;

					BgL_obj1729z00_616 = BGl_za2mainza2z00zzmodule_modulez00;
					BgL_testz00_744 =
						BGl_iszd2azf3z21zz__objectz00(BgL_obj1729z00_616,
						BGl_globalz00zzast_varz00);
				}
				if (BgL_testz00_744)
					{	/* Module/main.scm 81 */
						BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(BgL_clausez00_4);
					}
				else
					{	/* Module/main.scm 81 */
						BGl_za2mainza2z00zzmodule_modulez00 = CNST_TABLE_REF(((long) 2));
			}}
			return BNIL;
		}
	}



/* _main-consumer */
	obj_t BGl__mainzd2consumerzd2zzmodule_mainz00(obj_t BgL_envz00_622,
		obj_t BgL_modulez00_623, obj_t BgL_clausez00_624)
	{
		AN_OBJECT;
		{	/* Module/main.scm 80 */
			return
				BGl_mainzd2consumerzd2zzmodule_mainz00(BgL_modulez00_623,
				BgL_clausez00_624);
		}
	}



/* duplicate-main-error */
	obj_t BGl_duplicatezd2mainzd2errorz00zzmodule_mainz00(obj_t BgL_clausez00_5)
	{
		AN_OBJECT;
		{	/* Module/main.scm 89 */
			{	/* Module/main.scm 90 */
				obj_t BgL_list2210z00_470;

				BgL_list2210z00_470 = MAKE_PAIR(BNIL, BNIL);
				return
					BGl_userzd2errorzd2zztools_errorz00(BGl_string2299z00zzmodule_mainz00,
					BGl_string2301z00zzmodule_mainz00, BgL_clausez00_5,
					BgL_list2210z00_470);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_mainz00()
	{
		AN_OBJECT;
		{	/* Module/main.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2302z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string2302z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2302z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2302z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string2302z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2302z00zzmodule_mainz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string2302z00zzmodule_mainz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string2302z00zzmodule_mainz00));
		}
	}

#ifdef __cplusplus
}
#endif
