/*===========================================================================*/
/*   (Object/java-access.scm)                                                */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/java-access.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_indexedz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t
		BGl_genzd2javazd2classzd2constructorszd2zzobject_creatorz00
		(BgL_jclassz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_javazd2accesszd2 =
		BUNSPEC;
	static bool_t
		BGl_correctzd2javazd2classzf3zf3zzobject_javazd2accesszd2
		(BgL_jclassz00_bglt, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_cnstzd2initzd2zzobject_javazd2accesszd2();
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_javazd2accesszd2();
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_jclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_javazd2accesszd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_coercionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_creatorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_getterz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t
		BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t);
	extern obj_t
		BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00
		(BgL_jclassz00_bglt, obj_t, obj_t);
	extern obj_t
		BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(BgL_jclassz00_bglt,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t
		BGl_importzd2javazd2classzd2creatorzd2zzobject_creatorz00
		(BgL_jclassz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2javazd2classzd2accessorsz12zc0zzobject_javazd2accesszd2(obj_t,
		obj_t, BgL_jclassz00_bglt, bool_t, obj_t, obj_t);
	extern obj_t
		BGl_genzd2javazd2classzd2slotszd2accessz12z12zzobject_getterz00
		(BgL_jclassz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	static obj_t
		BGl__importzd2javazd2classzd2accessorsz12zc0zzobject_javazd2accesszd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_javazd2accesszd2();
	static obj_t BGl_methodzd2initzd2zzobject_javazd2accesszd2();
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string2401z00zzobject_javazd2accesszd2,
		BgL_bgl_string2401za700za7za7o2407za7, "super of `", 10);
	      DEFINE_STRING(BGl_string2402z00zzobject_javazd2accesszd2,
		BgL_bgl_string2402za700za7za7o2408za7, "' is not a class", 16);
	      DEFINE_STRING(BGl_string2403z00zzobject_javazd2accesszd2,
		BgL_bgl_string2403za700za7za7o2409za7, "object_java-access", 18);
	      DEFINE_STRING(BGl_string2404z00zzobject_javazd2accesszd2,
		BgL_bgl_string2404za700za7za7o2410za7, "foreign ", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2javazd2classzd2accessorsz12zd2envz12zzobject_javazd2accesszd2,
		BgL_bgl__importza7d2javaza7d2411z00,
		BGl__importzd2javazd2classzd2accessorsz12zc0zzobject_javazd2accesszd2, 0L,
		BUNSPEC, 6);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzobject_javazd2accesszd2(long
		BgL_checksumz00_649, char *BgL_fromz00_650)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_javazd2accesszd2))
				{
					BGl_requirezd2initializa7ationz75zzobject_javazd2accesszd2 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_javazd2accesszd2();
					BGl_cnstzd2initzd2zzobject_javazd2accesszd2();
					BGl_importedzd2moduleszd2initz00zzobject_javazd2accesszd2();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_javazd2accesszd2()
	{
		AN_OBJECT;
		{	/* Object/java-access.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_java-access");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_java-access");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"object_java-access");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_javazd2accesszd2()
	{
		AN_OBJECT;
		{	/* Object/java-access.scm 21 */
			{	/* Object/java-access.scm 21 */
				obj_t BgL_cportz00_641;

				BgL_cportz00_641 =
					bgl_open_input_string(BGl_string2404z00zzobject_javazd2accesszd2,
					(int) (((long) 0)));
				{
					long BgL_iz00_642;

					BgL_iz00_642 = ((long) 0);
				BgL_loopz00_643:
					if ((BgL_iz00_642 == ((long) -1)))
						{	/* Object/java-access.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Object/java-access.scm 21 */
							{	/* Object/java-access.scm 21 */
								obj_t BgL_arg2406z00_645;

								{	/* Object/java-access.scm 21 */

									{	/* Object/java-access.scm 21 */
										obj_t BgL_locationz00_647;

										BgL_locationz00_647 = BBOOL(((bool_t) 0));
										{	/* Object/java-access.scm 21 */

											BgL_arg2406z00_645 =
												BGl_readz00zz__readerz00(BgL_cportz00_641,
												BgL_locationz00_647);
										}
									}
								}
								{	/* Object/java-access.scm 21 */
									int BgL_auxz00_666;

									BgL_auxz00_666 = (int) (BgL_iz00_642);
									CNST_TABLE_SET(BgL_auxz00_666, BgL_arg2406z00_645);
							}}
							{	/* Object/java-access.scm 21 */
								int BgL_auxz00_648;

								BgL_auxz00_648 = (int) ((BgL_iz00_642 - ((long) 1)));
								{
									long BgL_iz00_671;

									BgL_iz00_671 = (long) (BgL_auxz00_648);
									BgL_iz00_642 = BgL_iz00_671;
									goto BgL_loopz00_643;
								}
							}
						}
				}
			}
		}
	}



/* import-java-class-accessors! */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2javazd2classzd2accessorsz12zc0zzobject_javazd2accesszd2(obj_t
		BgL_pslotsz00_1, obj_t BgL_constrsz00_2, BgL_jclassz00_bglt BgL_classz00_3,
		bool_t BgL_abstractzf3zf3_4, obj_t BgL_modulez00_5, obj_t BgL_srcz00_6)
	{
		AN_OBJECT;
		{	/* Object/java-access.scm 50 */
			if (BGl_correctzd2javazd2classzf3zf3zzobject_javazd2accesszd2
				(BgL_classz00_3, BgL_srcz00_6))
				{	/* Object/java-access.scm 52 */
					{	/* Object/java-access.scm 56 */
						obj_t BgL_cslotsz00_616;

						{	/* Object/java-access.scm 56 */
							obj_t BgL_arg2333z00_617;

							{
								obj_t BgL_auxz00_675;

								{	/* Object/java-access.scm 56 */
									BgL_objectz00_bglt BgL_auxz00_676;

									BgL_auxz00_676 = (BgL_objectz00_bglt) (BgL_classz00_3);
									BgL_auxz00_675 = BGL_OBJECT_WIDENING(BgL_auxz00_676);
								}
								BgL_arg2333z00_617 =
									(((BgL_jclassz00_bglt) CREF(BgL_auxz00_675))->
									BgL_itszd2superzd2);
							}
							BgL_cslotsz00_616 =
								BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00
								(BgL_classz00_3, BgL_pslotsz00_1, BgL_arg2333z00_617,
								BgL_srcz00_6);
						}
						{
							obj_t BgL_auxz00_681;

							{	/* Object/java-access.scm 56 */
								BgL_objectz00_bglt BgL_auxz00_682;

								BgL_auxz00_682 = (BgL_objectz00_bglt) (BgL_classz00_3);
								BgL_auxz00_681 = BGL_OBJECT_WIDENING(BgL_auxz00_682);
							}
							((((BgL_jclassz00_bglt) CREF(BgL_auxz00_681))->BgL_slotsz00) =
								((obj_t) BgL_cslotsz00_616), BUNSPEC);
						}
					}
					BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(
						(obj_t) (BgL_classz00_3));
					{	/* Object/java-access.scm 61 */
						obj_t BgL_fieldsz00_429;

						{	/* Object/java-access.scm 61 */
							obj_t BgL_arg2307z00_439;

							{
								obj_t BgL_auxz00_688;

								{	/* Object/java-access.scm 61 */
									BgL_objectz00_bglt BgL_auxz00_689;

									BgL_auxz00_689 = (BgL_objectz00_bglt) (BgL_classz00_3);
									BgL_auxz00_688 = BGL_OBJECT_WIDENING(BgL_auxz00_689);
								}
								BgL_arg2307z00_439 =
									(((BgL_jclassz00_bglt) CREF(BgL_auxz00_688))->BgL_slotsz00);
							}
							BgL_fieldsz00_429 =
								BGl_genzd2javazd2classzd2slotszd2accessz12z12zzobject_getterz00
								(BgL_classz00_3, BgL_arg2307z00_439, BgL_srcz00_6);
						}
						{	/* Object/java-access.scm 62 */
							bool_t BgL_testz00_694;

							{	/* Object/java-access.scm 62 */
								obj_t BgL_auxz00_695;

								{
									BgL_typez00_bglt BgL_auxz00_696;

									BgL_auxz00_696 = (BgL_typez00_bglt) (BgL_classz00_3);
									BgL_auxz00_695 =
										(((BgL_typez00_bglt) CREF(BgL_auxz00_696))->BgL_idz00);
								}
								BgL_testz00_694 =
									(BgL_auxz00_695 == CNST_TABLE_REF(((long) 0)));
							}
							if (BgL_testz00_694)
								{	/* Object/java-access.scm 62 */
									return BgL_fieldsz00_429;
								}
							else
								{	/* Object/java-access.scm 64 */
									obj_t BgL_predz00_431;

									BgL_predz00_431 =
										BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00
										(BgL_classz00_3, BgL_srcz00_6, BgL_modulez00_5);
									if (BgL_abstractzf3zf3_4)
										{	/* Object/java-access.scm 65 */
											return bgl_append2(BgL_predz00_431, BgL_fieldsz00_429);
										}
									else
										{	/* Object/java-access.scm 67 */
											obj_t BgL_constz00_432;

											BgL_constz00_432 =
												BGl_genzd2javazd2classzd2constructorszd2zzobject_creatorz00
												(BgL_classz00_3, BgL_constrsz00_2, BgL_srcz00_6);
											{	/* Object/java-access.scm 67 */
												obj_t BgL_creatorz00_433;

												BgL_creatorz00_433 =
													BGl_importzd2javazd2classzd2creatorzd2zzobject_creatorz00
													(BgL_classz00_3, BgL_constrsz00_2, BgL_srcz00_6);
												{	/* Object/java-access.scm 70 */

													return
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_predz00_431,
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_creatorz00_433,
															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
															(BgL_fieldsz00_429,
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																(BgL_constz00_432, BNIL))));
												}
											}
										}
								}
						}
					}
				}
			else
				{	/* Object/java-access.scm 52 */
					return BNIL;
				}
		}
	}



/* _import-java-class-accessors! */
	obj_t
		BGl__importzd2javazd2classzd2accessorsz12zc0zzobject_javazd2accesszd2(obj_t
		BgL_envz00_634, obj_t BgL_pslotsz00_635, obj_t BgL_constrsz00_636,
		obj_t BgL_classz00_637, obj_t BgL_abstractzf3zf3_638,
		obj_t BgL_modulez00_639, obj_t BgL_srcz00_640)
	{
		AN_OBJECT;
		{	/* Object/java-access.scm 50 */
			return
				BGl_importzd2javazd2classzd2accessorsz12zc0zzobject_javazd2accesszd2
				(BgL_pslotsz00_635, BgL_constrsz00_636,
				(BgL_jclassz00_bglt) (BgL_classz00_637), CBOOL(BgL_abstractzf3zf3_638),
				BgL_modulez00_639, BgL_srcz00_640);
		}
	}



/* correct-java-class? */
	bool_t
		BGl_correctzd2javazd2classzf3zf3zzobject_javazd2accesszd2(BgL_jclassz00_bglt
		BgL_classz00_8, obj_t BgL_srcz00_9)
	{
		AN_OBJECT;
		{	/* Object/java-access.scm 92 */
			{	/* Object/java-access.scm 93 */
				obj_t BgL_superz00_442;

				obj_t BgL_classzd2idzd2_443;

				{
					obj_t BgL_auxz00_713;

					{	/* Object/java-access.scm 93 */
						BgL_objectz00_bglt BgL_auxz00_714;

						BgL_auxz00_714 = (BgL_objectz00_bglt) (BgL_classz00_8);
						BgL_auxz00_713 = BGL_OBJECT_WIDENING(BgL_auxz00_714);
					}
					BgL_superz00_442 =
						(((BgL_jclassz00_bglt) CREF(BgL_auxz00_713))->BgL_itszd2superzd2);
				}
				{
					BgL_typez00_bglt BgL_auxz00_718;

					BgL_auxz00_718 = (BgL_typez00_bglt) (BgL_classz00_8);
					BgL_classzd2idzd2_443 =
						(((BgL_typez00_bglt) CREF(BgL_auxz00_718))->BgL_idz00);
				}
				{	/* Object/java-access.scm 98 */
					bool_t BgL_testz00_721;

					if (BGl_iszd2azf3z21zz__objectz00(BgL_superz00_442,
							BGl_typez00zztype_typez00))
						{	/* Object/java-access.scm 98 */
							if (BGl_iszd2azf3z21zz__objectz00(BgL_superz00_442,
									BGl_jclassz00zzobject_classz00))
								{	/* Object/java-access.scm 98 */
									BgL_testz00_721 = ((bool_t) 0);
								}
							else
								{	/* Object/java-access.scm 98 */
									BgL_testz00_721 = ((bool_t) 1);
								}
						}
					else
						{	/* Object/java-access.scm 98 */
							BgL_testz00_721 = ((bool_t) 0);
						}
					if (BgL_testz00_721)
						{	/* Object/java-access.scm 98 */
							{	/* Object/java-access.scm 99 */
								obj_t BgL_arg2312z00_445;

								obj_t BgL_arg2313z00_446;

								{
									BgL_typez00_bglt BgL_auxz00_726;

									BgL_auxz00_726 = (BgL_typez00_bglt) (BgL_superz00_442);
									BgL_arg2312z00_445 =
										(((BgL_typez00_bglt) CREF(BgL_auxz00_726))->BgL_idz00);
								}
								{	/* Object/java-access.scm 100 */
									obj_t BgL_arg2318z00_449;

									BgL_arg2318z00_449 = SYMBOL_TO_STRING(BgL_classzd2idzd2_443);
									BgL_arg2313z00_446 =
										string_append_3(BGl_string2401z00zzobject_javazd2accesszd2,
										BgL_arg2318z00_449,
										BGl_string2402z00zzobject_javazd2accesszd2);
								}
								{	/* Object/java-access.scm 99 */
									obj_t BgL_list2314z00_447;

									BgL_list2314z00_447 =
										MAKE_PAIR(BGl_typez00zztype_typez00, BNIL);
									BGl_userzd2errorzd2zztools_errorz00(BgL_arg2312z00_445,
										BgL_arg2313z00_446, BgL_srcz00_9, BgL_list2314z00_447);
								}
							}
							return ((bool_t) 0);
						}
					else
						{	/* Object/java-access.scm 98 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_javazd2accesszd2()
	{
		AN_OBJECT;
		{	/* Object/java-access.scm 21 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_javazd2accesszd2()
	{
		AN_OBJECT;
		{	/* Object/java-access.scm 21 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 195902195),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_structz00(((long) 112894054),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 17869975),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 405988581),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_getterz00(((long) 462520640),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_creatorz00(((long) 371328867),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_predicatez00(((long) 444447869),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_coercionz00(((long) 173226634),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 457322990),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string2403z00zzobject_javazd2accesszd2));
		}
	}

#ifdef __cplusplus
}
#endif
