/*===========================================================================*/
/*   (Object/method.scm)                                                     */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/method.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_makezd2methodzd2bodyz00zzobject_methodz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_methodz00 = BUNSPEC;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_methodz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_methodz00();
	static obj_t BGl__makezd2methodzd2bodyz00zzobject_methodz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_methodz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern long BGl_globalzd2arityzd2zztools_argsz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_methodz00();
	static obj_t BGl_methodzd2initzd2zzobject_methodz00();
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string2508z00zzobject_methodz00,
		BgL_bgl_string2508za700za7za7o2514za7, "Can't find generic for method", 29);
	      DEFINE_STRING(BGl_string2510z00zzobject_methodz00,
		BgL_bgl_string2510za700za7za7o2515za7, "object_method", 13);
	      DEFINE_STRING(BGl_string2509z00zzobject_methodz00,
		BgL_bgl_string2509za700za7za7o2516za7,
		"method has a non-class dispatching type arg", 43);
	      DEFINE_STRING(BGl_string2511z00zzobject_methodz00,
		BgL_bgl_string2511za700za7za7o2517za7,
		"(quote method-definition-error) add-method! begin cons* apply procedure? if @ find-super-class-method let call-next-method labels - next-method ",
		144);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2methodzd2bodyzd2envzd2zzobject_methodz00,
		BgL_bgl__makeza7d2methodza7d2518z00,
		BGl__makezd2methodzd2bodyz00zzobject_methodz00, 0L, BUNSPEC, 5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_methodz00(long
		BgL_checksumz00_756, char *BgL_fromz00_757)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_methodz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_methodz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_methodz00();
					BGl_cnstzd2initzd2zzobject_methodz00();
					BGl_importedzd2moduleszd2initz00zzobject_methodz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"object_method");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_method");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			{	/* Object/method.scm 15 */
				obj_t BgL_cportz00_748;

				BgL_cportz00_748 =
					bgl_open_input_string(BGl_string2511z00zzobject_methodz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_749;

					BgL_iz00_749 = ((long) 13);
				BgL_loopz00_750:
					if ((BgL_iz00_749 == ((long) -1)))
						{	/* Object/method.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Object/method.scm 15 */
							{	/* Object/method.scm 15 */
								obj_t BgL_arg2513z00_752;

								{	/* Object/method.scm 15 */

									{	/* Object/method.scm 15 */
										obj_t BgL_locationz00_754;

										BgL_locationz00_754 = BBOOL(((bool_t) 0));
										{	/* Object/method.scm 15 */

											BgL_arg2513z00_752 =
												BGl_readz00zz__readerz00(BgL_cportz00_748,
												BgL_locationz00_754);
										}
									}
								}
								{	/* Object/method.scm 15 */
									int BgL_auxz00_774;

									BgL_auxz00_774 = (int) (BgL_iz00_749);
									CNST_TABLE_SET(BgL_auxz00_774, BgL_arg2513z00_752);
							}}
							{	/* Object/method.scm 15 */
								int BgL_auxz00_755;

								BgL_auxz00_755 = (int) ((BgL_iz00_749 - ((long) 1)));
								{
									long BgL_iz00_779;

									BgL_iz00_779 = (long) (BgL_auxz00_755);
									BgL_iz00_749 = BgL_iz00_779;
									goto BgL_loopz00_750;
								}
							}
						}
				}
			}
		}
	}



/* make-method-body */
	BGL_EXPORTED_DEF obj_t BGl_makezd2methodzd2bodyz00zzobject_methodz00(obj_t
		BgL_idz00_1, obj_t BgL_argsz00_2, obj_t BgL_localsz00_3,
		obj_t BgL_bodyz00_4, obj_t BgL_srcz00_5)
	{
		AN_OBJECT;
		{	/* Object/method.scm 30 */
			{	/* Object/method.scm 31 */
				obj_t BgL_idz00_381;

				BgL_idz00_381 =
					BGl_idzd2ofzd2idz00zzast_identz00(BgL_idz00_1,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_5));
				{	/* Object/method.scm 31 */
					obj_t BgL_methodz00_382;

					BgL_methodz00_382 =
						BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0)));
					{	/* Object/method.scm 32 */
						long BgL_arityz00_383;

						BgL_arityz00_383 =
							BGl_globalzd2arityzd2zztools_argsz00(BgL_argsz00_2);
						{	/* Object/method.scm 33 */
							obj_t BgL_argszd2idzd2_384;

							if (NULLP(BgL_localsz00_3))
								{	/* Object/method.scm 34 */
									BgL_argszd2idzd2_384 = BNIL;
								}
							else
								{	/* Object/method.scm 34 */
									obj_t BgL_head2214z00_519;

									{	/* Object/method.scm 34 */
										obj_t BgL_arg2476z00_530;

										{	/* Object/method.scm 34 */
											BgL_variablez00_bglt BgL_obj1479z00_677;

											{	/* Object/method.scm 34 */
												obj_t BgL_pairz00_676;

												BgL_pairz00_676 = BgL_localsz00_3;
												BgL_obj1479z00_677 =
													(BgL_variablez00_bglt) (CAR(BgL_pairz00_676));
											}
											BgL_arg2476z00_530 =
												(((BgL_variablez00_bglt) CREF(BgL_obj1479z00_677))->
												BgL_idz00);
										}
										BgL_head2214z00_519 = MAKE_PAIR(BgL_arg2476z00_530, BNIL);
									}
									{	/* Object/method.scm 34 */
										obj_t BgL_g2217z00_520;

										BgL_g2217z00_520 = CDR(BgL_localsz00_3);
										{
											obj_t BgL_l2212z00_521;

											obj_t BgL_tail2215z00_522;

											BgL_l2212z00_521 = BgL_g2217z00_520;
											BgL_tail2215z00_522 = BgL_head2214z00_519;
										BgL_map2213z00_523:
											if (NULLP(BgL_l2212z00_521))
												{	/* Object/method.scm 34 */
													BgL_argszd2idzd2_384 = BgL_head2214z00_519;
												}
											else
												{	/* Object/method.scm 34 */
													obj_t BgL_newtail2216z00_525;

													{	/* Object/method.scm 34 */
														obj_t BgL_arg2472z00_527;

														{	/* Object/method.scm 34 */
															BgL_variablez00_bglt BgL_obj1479z00_683;

															{	/* Object/method.scm 34 */
																obj_t BgL_pairz00_682;

																BgL_pairz00_682 = BgL_l2212z00_521;
																BgL_obj1479z00_683 =
																	(BgL_variablez00_bglt) (CAR(BgL_pairz00_682));
															}
															BgL_arg2472z00_527 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_obj1479z00_683))->BgL_idz00);
														}
														BgL_newtail2216z00_525 =
															MAKE_PAIR(BgL_arg2472z00_527, BNIL);
													}
													SET_CDR(BgL_tail2215z00_522, BgL_newtail2216z00_525);
													{
														obj_t BgL_tail2215z00_802;

														obj_t BgL_l2212z00_800;

														BgL_l2212z00_800 = CDR(BgL_l2212z00_521);
														BgL_tail2215z00_802 = BgL_newtail2216z00_525;
														BgL_tail2215z00_522 = BgL_tail2215z00_802;
														BgL_l2212z00_521 = BgL_l2212z00_800;
														goto BgL_map2213z00_523;
													}
												}
										}
									}
								}
							{	/* Object/method.scm 34 */
								BgL_typez00_bglt BgL_typez00_385;

								{	/* Object/method.scm 35 */
									BgL_variablez00_bglt BgL_obj1483z00_690;

									{	/* Object/method.scm 35 */
										obj_t BgL_pairz00_689;

										BgL_pairz00_689 = BgL_localsz00_3;
										BgL_obj1483z00_690 =
											(BgL_variablez00_bglt) (CAR(BgL_pairz00_689));
									}
									BgL_typez00_385 =
										(((BgL_variablez00_bglt) CREF(BgL_obj1483z00_690))->
										BgL_typez00);
								}
								{	/* Object/method.scm 35 */
									obj_t BgL_mzd2idzd2_386;

									{	/* Object/method.scm 41 */
										obj_t BgL_arg2461z00_509;

										{	/* Object/method.scm 41 */
											obj_t BgL_arg2462z00_510;

											{	/* Object/method.scm 41 */
												obj_t BgL_arg2463z00_511;

												obj_t BgL_arg2464z00_512;

												BgL_arg2463z00_511 = CNST_TABLE_REF(((long) 1));
												BgL_arg2464z00_512 =
													(((BgL_typez00_bglt) CREF(BgL_typez00_385))->
													BgL_idz00);
												{	/* Object/method.scm 41 */
													obj_t BgL_list2465z00_513;

													{	/* Object/method.scm 41 */
														obj_t BgL_arg2466z00_514;

														{	/* Object/method.scm 41 */
															obj_t BgL_arg2467z00_515;

															BgL_arg2467z00_515 =
																MAKE_PAIR(BgL_arg2464z00_512, BNIL);
															BgL_arg2466z00_514 =
																MAKE_PAIR(BgL_arg2463z00_511,
																BgL_arg2467z00_515);
														}
														BgL_list2465z00_513 =
															MAKE_PAIR(BgL_idz00_381, BgL_arg2466z00_514);
													}
													BgL_arg2462z00_510 =
														BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
														(BgL_list2465z00_513);
											}}
											BgL_arg2461z00_509 =
												BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg2462z00_510);
										}
										BgL_mzd2idzd2_386 =
											BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
											(BgL_arg2461z00_509);
									}
									{	/* Object/method.scm 40 */

										{	/* Object/method.scm 42 */
											bool_t BgL_testz00_814;

											{	/* Object/method.scm 42 */
												obj_t BgL_obj2012z00_692;

												BgL_obj2012z00_692 = (obj_t) (BgL_typez00_385);
												BgL_testz00_814 =
													BGl_iszd2azf3z21zz__objectz00(BgL_obj2012z00_692,
													BGl_tclassz00zzobject_classz00);
											}
											if (BgL_testz00_814)
												{	/* Object/method.scm 44 */
													BgL_globalz00_bglt BgL_holderz00_388;

													{	/* Object/method.scm 44 */
														BgL_tclassz00_bglt BgL_obj2019z00_693;

														BgL_obj2019z00_693 =
															(BgL_tclassz00_bglt) (BgL_typez00_385);
														{
															obj_t BgL_auxz00_818;

															{	/* Object/method.scm 44 */
																BgL_objectz00_bglt BgL_auxz00_819;

																BgL_auxz00_819 =
																	(BgL_objectz00_bglt) (BgL_obj2019z00_693);
																BgL_auxz00_818 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_819);
															}
															BgL_holderz00_388 =
																(((BgL_tclassz00_bglt) CREF(BgL_auxz00_818))->
																BgL_holderz00);
														}
													}
													{	/* Object/method.scm 44 */
														obj_t BgL_modulez00_389;

														BgL_modulez00_389 =
															(((BgL_globalz00_bglt) CREF(BgL_holderz00_388))->
															BgL_modulez00);
														{	/* Object/method.scm 45 */
															obj_t BgL_genericz00_390;

															BgL_genericz00_390 =
																BGl_findzd2globalzd2zzast_envz00(BgL_idz00_381,
																BNIL);
															{	/* Object/method.scm 46 */

																if (BGl_iszd2azf3z21zz__objectz00
																	(BgL_genericz00_390,
																		BGl_globalz00zzast_varz00))
																	{	/* Object/method.scm 51 */
																		obj_t BgL_bodyz00_392;

																		{	/* Object/method.scm 51 */
																			obj_t BgL_arg2332z00_429;

																			obj_t BgL_arg2333z00_430;

																			BgL_arg2332z00_429 =
																				CNST_TABLE_REF(((long) 2));
																			{	/* Object/method.scm 51 */
																				obj_t BgL_arg2335z00_431;

																				{	/* Object/method.scm 51 */
																					obj_t BgL_arg2353z00_435;

																					{	/* Object/method.scm 51 */
																						obj_t BgL_arg2373z00_437;

																						obj_t BgL_arg2374z00_438;

																						BgL_arg2373z00_437 =
																							CNST_TABLE_REF(((long) 3));
																						{	/* Object/method.scm 51 */
																							obj_t BgL_arg2387z00_440;

																							{	/* Object/method.scm 52 */
																								obj_t BgL_arg2396z00_444;

																								obj_t BgL_arg2397z00_445;

																								BgL_arg2396z00_444 =
																									CNST_TABLE_REF(((long) 4));
																								{	/* Object/method.scm 52 */
																									obj_t BgL_arg2398z00_446;

																									obj_t BgL_arg2399z00_447;

																									{	/* Object/method.scm 52 */
																										obj_t BgL_arg2403z00_451;

																										{	/* Object/method.scm 52 */
																											obj_t BgL_arg2405z00_453;

																											{	/* Object/method.scm 52 */
																												obj_t
																													BgL_arg2406z00_454;
																												{	/* Object/method.scm 52 */
																													obj_t
																														BgL_arg2409z00_457;
																													obj_t
																														BgL_arg2410z00_458;
																													BgL_arg2409z00_457 =
																														CNST_TABLE_REF((
																															(long) 5));
																													{	/* Object/method.scm 53 */
																														obj_t
																															BgL_arg2411z00_459;
																														obj_t
																															BgL_arg2412z00_460;
																														BgL_arg2411z00_459 =
																															CAR
																															(BgL_argszd2idzd2_384);
																														{	/* Object/method.scm 55 */
																															obj_t
																																BgL_arg2417z00_465;
																															obj_t
																																BgL_arg2418z00_466;
																															BgL_arg2417z00_465
																																=
																																CNST_TABLE_REF((
																																	(long) 6));
																															{	/* Object/method.scm 55 */
																																obj_t
																																	BgL_arg2419z00_467;
																																{
																																	BgL_variablez00_bglt
																																		BgL_auxz00_833;
																																	BgL_auxz00_833
																																		=
																																		(BgL_variablez00_bglt)
																																		(BgL_holderz00_388);
																																	BgL_arg2419z00_467
																																		=
																																		(((BgL_variablez00_bglt) CREF(BgL_auxz00_833))->BgL_idz00);
																																}
																																{	/* Object/method.scm 55 */
																																	obj_t
																																		BgL_list2421z00_469;
																																	{	/* Object/method.scm 55 */
																																		obj_t
																																			BgL_arg2422z00_470;
																																		BgL_arg2422z00_470
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_list2421z00_469
																																			=
																																			MAKE_PAIR
																																			(BgL_modulez00_389,
																																			BgL_arg2422z00_470);
																																	}
																																	BgL_arg2418z00_466
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_arg2419z00_467,
																																		BgL_list2421z00_469);
																															}}
																															BgL_arg2412z00_460
																																=
																																MAKE_PAIR
																																(BgL_arg2417z00_465,
																																BgL_arg2418z00_466);
																														}
																														{	/* Object/method.scm 52 */
																															obj_t
																																BgL_list2414z00_462;
																															{	/* Object/method.scm 52 */
																																obj_t
																																	BgL_arg2415z00_463;
																																{	/* Object/method.scm 52 */
																																	obj_t
																																		BgL_arg2416z00_464;
																																	BgL_arg2416z00_464
																																		=
																																		MAKE_PAIR
																																		(BNIL,
																																		BNIL);
																																	BgL_arg2415z00_463
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2412z00_460,
																																		BgL_arg2416z00_464);
																																}
																																BgL_list2414z00_462
																																	=
																																	MAKE_PAIR
																																	(BgL_idz00_381,
																																	BgL_arg2415z00_463);
																															}
																															BgL_arg2410z00_458
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(BgL_arg2411z00_459,
																																BgL_list2414z00_462);
																													}}
																													BgL_arg2406z00_454 =
																														MAKE_PAIR
																														(BgL_arg2409z00_457,
																														BgL_arg2410z00_458);
																												}
																												{	/* Object/method.scm 52 */
																													obj_t
																														BgL_list2408z00_456;
																													BgL_list2408z00_456 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg2405z00_453 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_arg2406z00_454,
																														BgL_list2408z00_456);
																											}}
																											BgL_arg2403z00_451 =
																												MAKE_PAIR
																												(BgL_methodz00_382,
																												BgL_arg2405z00_453);
																										}
																										BgL_arg2398z00_446 =
																											MAKE_PAIR
																											(BgL_arg2403z00_451,
																											BNIL);
																									}
																									{	/* Object/method.scm 57 */
																										obj_t BgL_arg2423z00_471;

																										obj_t BgL_arg2424z00_472;

																										BgL_arg2423z00_471 =
																											CNST_TABLE_REF(((long)
																												7));
																										{	/* Object/method.scm 57 */
																											obj_t BgL_arg2425z00_473;

																											obj_t BgL_arg2426z00_474;

																											obj_t BgL_arg2427z00_475;

																											{	/* Object/method.scm 57 */
																												obj_t
																													BgL_arg2432z00_480;
																												obj_t
																													BgL_arg2433z00_481;
																												BgL_arg2432z00_480 =
																													CNST_TABLE_REF(((long)
																														8));
																												{	/* Object/method.scm 57 */
																													obj_t
																														BgL_list2434z00_482;
																													BgL_list2434z00_482 =
																														MAKE_PAIR(BNIL,
																														BNIL);
																													BgL_arg2433z00_481 =
																														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																														(BgL_methodz00_382,
																														BgL_list2434z00_482);
																												}
																												BgL_arg2425z00_473 =
																													MAKE_PAIR
																													(BgL_arg2432z00_480,
																													BgL_arg2433z00_481);
																											}
																											if (
																												(BgL_arityz00_383 >=
																													((long) 0)))
																												{	/* Object/method.scm 58 */
																													BgL_arg2426z00_474 =
																														MAKE_PAIR
																														(BgL_methodz00_382,
																														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																														(BgL_argszd2idzd2_384,
																															BNIL));
																												}
																											else
																												{	/* Object/method.scm 60 */
																													obj_t
																														BgL_arg2437z00_485;
																													obj_t
																														BgL_arg2438z00_486;
																													BgL_arg2437z00_485 =
																														CNST_TABLE_REF((
																															(long) 9));
																													{	/* Object/method.scm 61 */
																														obj_t
																															BgL_arg2439z00_487;
																														{	/* Object/method.scm 61 */
																															obj_t
																																BgL_arg2443z00_491;
																															obj_t
																																BgL_arg2444z00_492;
																															BgL_arg2443z00_491
																																=
																																CNST_TABLE_REF((
																																	(long) 10));
																															BgL_arg2444z00_492
																																=
																																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																(BgL_argszd2idzd2_384,
																																BNIL);
																															BgL_arg2439z00_487
																																=
																																MAKE_PAIR
																																(BgL_arg2443z00_491,
																																BgL_arg2444z00_492);
																														}
																														{	/* Object/method.scm 60 */
																															obj_t
																																BgL_list2441z00_489;
																															{	/* Object/method.scm 60 */
																																obj_t
																																	BgL_arg2442z00_490;
																																BgL_arg2442z00_490
																																	=
																																	MAKE_PAIR
																																	(BNIL, BNIL);
																																BgL_list2441z00_489
																																	=
																																	MAKE_PAIR
																																	(BgL_arg2439z00_487,
																																	BgL_arg2442z00_490);
																															}
																															BgL_arg2438z00_486
																																=
																																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																(BgL_methodz00_382,
																																BgL_list2441z00_489);
																													}}
																													BgL_arg2426z00_474 =
																														MAKE_PAIR
																														(BgL_arg2437z00_485,
																														BgL_arg2438z00_486);
																												}
																											{	/* Object/method.scm 62 */
																												obj_t
																													BgL_arg2445z00_493;
																												obj_t
																													BgL_arg2446z00_494;
																												BgL_arg2445z00_493 =
																													CNST_TABLE_REF(((long)
																														11));
																												{	/* Object/method.scm 63 */
																													obj_t
																														BgL_arg2447z00_495;
																													if ((BgL_arityz00_383
																															>= ((long) 0)))
																														{	/* Object/method.scm 63 */
																															BgL_arg2447z00_495
																																=
																																MAKE_PAIR
																																(BgL_idz00_381,
																																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																(BgL_argszd2idzd2_384,
																																	BNIL));
																														}
																													else
																														{	/* Object/method.scm 65 */
																															obj_t
																																BgL_arg2452z00_500;
																															obj_t
																																BgL_arg2453z00_501;
																															BgL_arg2452z00_500
																																=
																																CNST_TABLE_REF((
																																	(long) 9));
																															{	/* Object/method.scm 67 */
																																obj_t
																																	BgL_arg2454z00_502;
																																{	/* Object/method.scm 67 */
																																	obj_t
																																		BgL_arg2458z00_506;
																																	obj_t
																																		BgL_arg2459z00_507;
																																	BgL_arg2458z00_506
																																		=
																																		CNST_TABLE_REF
																																		(((long)
																																			10));
																																	BgL_arg2459z00_507
																																		=
																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_argszd2idzd2_384,
																																		BNIL);
																																	BgL_arg2454z00_502
																																		=
																																		MAKE_PAIR
																																		(BgL_arg2458z00_506,
																																		BgL_arg2459z00_507);
																																}
																																{	/* Object/method.scm 65 */
																																	obj_t
																																		BgL_list2456z00_504;
																																	{	/* Object/method.scm 65 */
																																		obj_t
																																			BgL_arg2457z00_505;
																																		BgL_arg2457z00_505
																																			=
																																			MAKE_PAIR
																																			(BNIL,
																																			BNIL);
																																		BgL_list2456z00_504
																																			=
																																			MAKE_PAIR
																																			(BgL_arg2454z00_502,
																																			BgL_arg2457z00_505);
																																	}
																																	BgL_arg2453z00_501
																																		=
																																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_idz00_381,
																																		BgL_list2456z00_504);
																															}}
																															BgL_arg2447z00_495
																																=
																																MAKE_PAIR
																																(BgL_arg2452z00_500,
																																BgL_arg2453z00_501);
																														}
																													{	/* Object/method.scm 62 */
																														obj_t
																															BgL_list2449z00_497;
																														BgL_list2449z00_497
																															=
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg2446z00_494 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_arg2447z00_495,
																															BgL_list2449z00_497);
																												}}
																												BgL_arg2427z00_475 =
																													MAKE_PAIR
																													(BgL_arg2445z00_493,
																													BgL_arg2446z00_494);
																											}
																											{	/* Object/method.scm 57 */
																												obj_t
																													BgL_list2429z00_477;
																												{	/* Object/method.scm 57 */
																													obj_t
																														BgL_arg2430z00_478;
																													{	/* Object/method.scm 57 */
																														obj_t
																															BgL_arg2431z00_479;
																														BgL_arg2431z00_479 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg2430z00_478 =
																															MAKE_PAIR
																															(BgL_arg2427z00_475,
																															BgL_arg2431z00_479);
																													}
																													BgL_list2429z00_477 =
																														MAKE_PAIR
																														(BgL_arg2426z00_474,
																														BgL_arg2430z00_478);
																												}
																												BgL_arg2424z00_472 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_arg2425z00_473,
																													BgL_list2429z00_477);
																										}}
																										BgL_arg2399z00_447 =
																											MAKE_PAIR
																											(BgL_arg2423z00_471,
																											BgL_arg2424z00_472);
																									}
																									{	/* Object/method.scm 52 */
																										obj_t BgL_list2401z00_449;

																										{	/* Object/method.scm 52 */
																											obj_t BgL_arg2402z00_450;

																											BgL_arg2402z00_450 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_list2401z00_449 =
																												MAKE_PAIR
																												(BgL_arg2399z00_447,
																												BgL_arg2402z00_450);
																										}
																										BgL_arg2397z00_445 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2398z00_446,
																											BgL_list2401z00_449);
																								}}
																								BgL_arg2387z00_440 =
																									MAKE_PAIR(BgL_arg2396z00_444,
																									BgL_arg2397z00_445);
																							}
																							{	/* Object/method.scm 51 */
																								obj_t BgL_list2394z00_442;

																								{	/* Object/method.scm 51 */
																									obj_t BgL_arg2395z00_443;

																									BgL_arg2395z00_443 =
																										MAKE_PAIR(BNIL, BNIL);
																									BgL_list2394z00_442 =
																										MAKE_PAIR
																										(BgL_arg2387z00_440,
																										BgL_arg2395z00_443);
																								}
																								BgL_arg2374z00_438 =
																									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																									(BNIL, BgL_list2394z00_442);
																						}}
																						BgL_arg2353z00_435 =
																							MAKE_PAIR(BgL_arg2373z00_437,
																							BgL_arg2374z00_438);
																					}
																					BgL_arg2335z00_431 =
																						MAKE_PAIR(BgL_arg2353z00_435, BNIL);
																				}
																				{	/* Object/method.scm 51 */
																					obj_t BgL_list2340z00_433;

																					{	/* Object/method.scm 51 */
																						obj_t BgL_arg2347z00_434;

																						BgL_arg2347z00_434 =
																							MAKE_PAIR(BNIL, BNIL);
																						BgL_list2340z00_433 =
																							MAKE_PAIR(BgL_bodyz00_4,
																							BgL_arg2347z00_434);
																					}
																					BgL_arg2333z00_430 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2335z00_431,
																						BgL_list2340z00_433);
																			}}
																			BgL_bodyz00_392 =
																				MAKE_PAIR(BgL_arg2332z00_429,
																				BgL_arg2333z00_430);
																		}
																		{	/* Object/method.scm 51 */
																			obj_t BgL_ebodyz00_393;

																			if (EXTENDED_PAIRP(BgL_srcz00_5))
																				{	/* Object/method.scm 70 */
																					obj_t BgL_arg2318z00_426;

																					obj_t BgL_arg2330z00_427;

																					obj_t BgL_arg2331z00_428;

																					BgL_arg2318z00_426 =
																						CAR(BgL_bodyz00_392);
																					BgL_arg2330z00_427 =
																						CDR(BgL_bodyz00_392);
																					BgL_arg2331z00_428 =
																						CER(BgL_srcz00_5);
																					{	/* Object/method.scm 70 */
																						obj_t BgL_res2502z00_709;

																						BgL_res2502z00_709 =
																							MAKE_EXTENDED_PAIR
																							(BgL_arg2318z00_426,
																							BgL_arg2330z00_427,
																							BgL_arg2331z00_428);
																						BgL_ebodyz00_393 =
																							BgL_res2502z00_709;
																					}
																				}
																			else
																				{	/* Object/method.scm 69 */
																					BgL_ebodyz00_393 = BgL_bodyz00_392;
																				}
																			{	/* Object/method.scm 69 */
																				obj_t BgL_bdgz00_394;

																				{	/* Object/method.scm 72 */
																					obj_t BgL_arg2312z00_422;

																					{	/* Object/method.scm 72 */
																						obj_t BgL_list2313z00_423;

																						{	/* Object/method.scm 72 */
																							obj_t BgL_arg2314z00_424;

																							BgL_arg2314z00_424 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list2313z00_423 =
																								MAKE_PAIR(BgL_ebodyz00_393,
																								BgL_arg2314z00_424);
																						}
																						BgL_arg2312z00_422 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_argsz00_2,
																							BgL_list2313z00_423);
																					}
																					BgL_bdgz00_394 =
																						MAKE_PAIR(BgL_mzd2idzd2_386,
																						BgL_arg2312z00_422);
																				}
																				{	/* Object/method.scm 72 */
																					obj_t BgL_ebdgz00_395;

																					if (EXTENDED_PAIRP(BgL_srcz00_5))
																						{	/* Object/method.scm 74 */
																							obj_t BgL_arg2308z00_419;

																							obj_t BgL_arg2309z00_420;

																							obj_t BgL_arg2311z00_421;

																							BgL_arg2308z00_419 =
																								CAR(BgL_bdgz00_394);
																							BgL_arg2309z00_420 =
																								CDR(BgL_bdgz00_394);
																							BgL_arg2311z00_421 =
																								CER(BgL_srcz00_5);
																							{	/* Object/method.scm 74 */
																								obj_t BgL_res2503z00_717;

																								BgL_res2503z00_717 =
																									MAKE_EXTENDED_PAIR
																									(BgL_arg2308z00_419,
																									BgL_arg2309z00_420,
																									BgL_arg2311z00_421);
																								BgL_ebdgz00_395 =
																									BgL_res2503z00_717;
																							}
																						}
																					else
																						{	/* Object/method.scm 73 */
																							BgL_ebdgz00_395 = BgL_bdgz00_394;
																						}
																					{	/* Object/method.scm 73 */

																						{	/* Object/method.scm 76 */
																							obj_t BgL_arg2226z00_396;

																							{	/* Object/method.scm 76 */
																								obj_t BgL_arg2233z00_398;

																								obj_t BgL_arg2240z00_399;

																								BgL_arg2233z00_398 =
																									CNST_TABLE_REF(((long) 2));
																								{	/* Object/method.scm 76 */
																									obj_t BgL_arg2246z00_400;

																									obj_t BgL_arg2259z00_401;

																									BgL_arg2246z00_400 =
																										MAKE_PAIR(BgL_ebdgz00_395,
																										BNIL);
																									{	/* Object/method.scm 77 */
																										obj_t BgL_arg2267z00_405;

																										obj_t BgL_arg2273z00_406;

																										BgL_arg2267z00_405 =
																											CNST_TABLE_REF(((long)
																												12));
																										{	/* Object/method.scm 78 */
																											obj_t BgL_arg2275z00_407;

																											{	/* Object/method.scm 78 */
																												obj_t
																													BgL_arg2297z00_412;
																												obj_t
																													BgL_arg2298z00_413;
																												BgL_arg2297z00_412 =
																													CNST_TABLE_REF(((long)
																														6));
																												{	/* Object/method.scm 78 */
																													obj_t
																														BgL_arg2302z00_414;
																													{
																														BgL_variablez00_bglt
																															BgL_auxz00_920;
																														BgL_auxz00_920 =
																															(BgL_variablez00_bglt)
																															(BgL_holderz00_388);
																														BgL_arg2302z00_414 =
																															(((BgL_variablez00_bglt) CREF(BgL_auxz00_920))->BgL_idz00);
																													}
																													{	/* Object/method.scm 78 */
																														obj_t
																															BgL_list2304z00_416;
																														{	/* Object/method.scm 78 */
																															obj_t
																																BgL_arg2305z00_417;
																															BgL_arg2305z00_417
																																=
																																MAKE_PAIR(BNIL,
																																BNIL);
																															BgL_list2304z00_416
																																=
																																MAKE_PAIR
																																(BgL_modulez00_389,
																																BgL_arg2305z00_417);
																														}
																														BgL_arg2298z00_413 =
																															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																															(BgL_arg2302z00_414,
																															BgL_list2304z00_416);
																												}}
																												BgL_arg2275z00_407 =
																													MAKE_PAIR
																													(BgL_arg2297z00_412,
																													BgL_arg2298z00_413);
																											}
																											{	/* Object/method.scm 77 */
																												obj_t
																													BgL_list2282z00_409;
																												{	/* Object/method.scm 77 */
																													obj_t
																														BgL_arg2295z00_410;
																													{	/* Object/method.scm 77 */
																														obj_t
																															BgL_arg2296z00_411;
																														BgL_arg2296z00_411 =
																															MAKE_PAIR(BNIL,
																															BNIL);
																														BgL_arg2295z00_410 =
																															MAKE_PAIR
																															(BgL_mzd2idzd2_386,
																															BgL_arg2296z00_411);
																													}
																													BgL_list2282z00_409 =
																														MAKE_PAIR
																														(BgL_arg2275z00_407,
																														BgL_arg2295z00_410);
																												}
																												BgL_arg2273z00_406 =
																													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																													(BgL_idz00_381,
																													BgL_list2282z00_409);
																										}}
																										BgL_arg2259z00_401 =
																											MAKE_PAIR
																											(BgL_arg2267z00_405,
																											BgL_arg2273z00_406);
																									}
																									{	/* Object/method.scm 76 */
																										obj_t BgL_list2262z00_403;

																										{	/* Object/method.scm 76 */
																											obj_t BgL_arg2266z00_404;

																											BgL_arg2266z00_404 =
																												MAKE_PAIR(BNIL, BNIL);
																											BgL_list2262z00_403 =
																												MAKE_PAIR
																												(BgL_arg2259z00_401,
																												BgL_arg2266z00_404);
																										}
																										BgL_arg2240z00_399 =
																											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																											(BgL_arg2246z00_400,
																											BgL_list2262z00_403);
																								}}
																								BgL_arg2226z00_396 =
																									MAKE_PAIR(BgL_arg2233z00_398,
																									BgL_arg2240z00_399);
																							}
																							{	/* Object/method.scm 76 */
																								obj_t BgL_list2227z00_397;

																								BgL_list2227z00_397 =
																									MAKE_PAIR(BgL_arg2226z00_396,
																									BNIL);
																								return BgL_list2227z00_397;
																							}
																						}
																					}
																				}
																			}
																		}
																	}
																else
																	{	/* Object/method.scm 49 */
																		obj_t BgL_arg2482z00_724;

																		{	/* Object/method.scm 49 */
																			obj_t BgL_list2484z00_725;

																			BgL_list2484z00_725 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																				BNIL);
																			BgL_arg2482z00_724 = BgL_list2484z00_725;
																		}
																		{	/* Object/method.scm 49 */
																			obj_t BgL_list2483z00_726;

																			BgL_list2483z00_726 =
																				MAKE_PAIR(BgL_arg2482z00_724, BNIL);
																			return
																				BGl_userzd2errorzd2zztools_errorz00
																				(BgL_idz00_381,
																				BGl_string2508z00zzobject_methodz00,
																				BgL_srcz00_5, BgL_list2483z00_726);
																		}
																	}
															}
														}
													}
												}
											else
												{	/* Object/method.scm 43 */
													obj_t BgL_arg2482z00_732;

													{	/* Object/method.scm 43 */
														obj_t BgL_list2484z00_733;

														BgL_list2484z00_733 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 13)), BNIL);
														BgL_arg2482z00_732 = BgL_list2484z00_733;
													}
													{	/* Object/method.scm 43 */
														obj_t BgL_list2483z00_734;

														BgL_list2483z00_734 =
															MAKE_PAIR(BgL_arg2482z00_732, BNIL);
														return
															BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_381,
															BGl_string2509z00zzobject_methodz00, BgL_srcz00_5,
															BgL_list2483z00_734);
													}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* _make-method-body */
	obj_t BGl__makezd2methodzd2bodyz00zzobject_methodz00(obj_t BgL_envz00_742,
		obj_t BgL_idz00_743, obj_t BgL_argsz00_744, obj_t BgL_localsz00_745,
		obj_t BgL_bodyz00_746, obj_t BgL_srcz00_747)
	{
		AN_OBJECT;
		{	/* Object/method.scm 30 */
			return
				BGl_makezd2methodzd2bodyz00zzobject_methodz00(BgL_idz00_743,
				BgL_argsz00_744, BgL_localsz00_745, BgL_bodyz00_746, BgL_srcz00_747);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_methodz00()
	{
		AN_OBJECT;
		{	/* Object/method.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 320731191),
				BSTRING_TO_STRING(BGl_string2510z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2510z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string2510z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2510z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2510z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2510z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 531182497),
				BSTRING_TO_STRING(BGl_string2510z00zzobject_methodz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string2510z00zzobject_methodz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string2510z00zzobject_methodz00));
		}
	}

#ifdef __cplusplus
}
#endif
