/*===========================================================================*/
/*   (Object/predicate.scm)                                                  */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/predicate.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_wclassz00_bgl
	{
		obj_t BgL_itszd2classzd2;
	}                *BgL_wclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_indexedz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_predicatez00 = BUNSPEC;
	static obj_t BGl__importzd2classzd2predz12z12zzobject_predicatez00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzobject_predicatez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00();
	static bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00();
	static obj_t
		BGl__importzd2javazd2classzd2predz12zc0zzobject_predicatez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_predicatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_to_symbol(char *);
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00
		(BgL_jclassz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t
		BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00();
	static obj_t BGl__genzd2classzd2predz12z12zzobject_predicatez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_predicatez00();
	static obj_t __cnst[19];


	   
		 
		DEFINE_STRING(BGl_string2561z00zzobject_predicatez00,
		BgL_bgl_string2561za700za7za7o2565za7, "object_predicate", 16);
	      DEFINE_STRING(BGl_string2562z00zzobject_predicatez00,
		BgL_bgl_string2562za700za7za7o2566za7,
		"export isa static define define-inline effect no-cfa-top predicate-of pragma ::obj inline super super- @ is-a? obj ?::bool ? (make-heap make-add-heap) ",
		151);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2classzd2predz12zd2envzc0zzobject_predicatez00,
		BgL_bgl__importza7d2classza72567z00,
		BGl__importzd2classzd2predz12z12zzobject_predicatez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2classzd2predz12zd2envzc0zzobject_predicatez00,
		BgL_bgl__genza7d2classza7d2p2568z00,
		BGl__genzd2classzd2predz12z12zzobject_predicatez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2javazd2classzd2predz12zd2envz12zzobject_predicatez00,
		BgL_bgl__importza7d2javaza7d2569z00,
		BGl__importzd2javazd2classzd2predz12zc0zzobject_predicatez00, 0L, BUNSPEC,
		3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzobject_predicatez00(long
		BgL_checksumz00_868, char *BgL_fromz00_869)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_predicatez00))
				{
					BGl_requirezd2initializa7ationz75zzobject_predicatez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_predicatez00();
					BGl_cnstzd2initzd2zzobject_predicatez00();
					BGl_importedzd2moduleszd2initz00zzobject_predicatez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_predicate");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_predicate");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 21 */
			{	/* Object/predicate.scm 21 */
				obj_t BgL_cportz00_860;

				BgL_cportz00_860 =
					bgl_open_input_string(BGl_string2562z00zzobject_predicatez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_861;

					BgL_iz00_861 = ((long) 18);
				BgL_loopz00_862:
					if ((BgL_iz00_861 == ((long) -1)))
						{	/* Object/predicate.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Object/predicate.scm 21 */
							{	/* Object/predicate.scm 21 */
								obj_t BgL_arg2564z00_864;

								{	/* Object/predicate.scm 21 */

									{	/* Object/predicate.scm 21 */
										obj_t BgL_locationz00_866;

										BgL_locationz00_866 = BBOOL(((bool_t) 0));
										{	/* Object/predicate.scm 21 */

											BgL_arg2564z00_864 =
												BGl_readz00zz__readerz00(BgL_cportz00_860,
												BgL_locationz00_866);
										}
									}
								}
								{	/* Object/predicate.scm 21 */
									int BgL_auxz00_887;

									BgL_auxz00_887 = (int) (BgL_iz00_861);
									CNST_TABLE_SET(BgL_auxz00_887, BgL_arg2564z00_864);
							}}
							{	/* Object/predicate.scm 21 */
								int BgL_auxz00_867;

								BgL_auxz00_867 = (int) ((BgL_iz00_861 - ((long) 1)));
								{
									long BgL_iz00_892;

									BgL_iz00_892 = (long) (BgL_auxz00_867);
									BgL_iz00_861 = BgL_iz00_892;
									goto BgL_loopz00_862;
								}
							}
						}
				}
			}
		}
	}



/* inline-pred? */
	bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 49 */
			{	/* Object/predicate.scm 50 */
				bool_t BgL_testz00_894;

				{	/* Object/predicate.scm 50 */
					bool_t BgL__ortest_2295z00_429;

					{	/* Object/predicate.scm 50 */
						bool_t BgL_testz00_895;

						{	/* Object/predicate.scm 50 */
							bool_t BgL_res2558z00_797;

							{	/* Object/predicate.scm 50 */
								obj_t BgL_objz00_787;

								BgL_objz00_787 = BGl_za2profilezd2modeza2zd2zzengine_paramz00;
								if (INTEGERP(BgL_objz00_787))
									{	/* Object/predicate.scm 50 */
										BgL_res2558z00_797 = ((bool_t) 1);
									}
								else
									{	/* Object/predicate.scm 50 */
										if (REALP(BgL_objz00_787))
											{	/* Object/predicate.scm 50 */
												BgL_res2558z00_797 = ((bool_t) 1);
											}
										else
											{	/* Object/predicate.scm 50 */
												if (ELONGP(BgL_objz00_787))
													{	/* Object/predicate.scm 50 */
														BgL_res2558z00_797 = ((bool_t) 1);
													}
												else
													{	/* Object/predicate.scm 50 */
														if (LLONGP(BgL_objz00_787))
															{	/* Object/predicate.scm 50 */
																BgL_res2558z00_797 = ((bool_t) 1);
															}
														else
															{	/* Object/predicate.scm 50 */
																BgL_res2558z00_797 = BIGNUMP(BgL_objz00_787);
															}
													}
											}
									}
							}
							BgL_testz00_895 = BgL_res2558z00_797;
						}
						if (BgL_testz00_895)
							{	/* Object/predicate.scm 50 */
								BgL__ortest_2295z00_429 = ((bool_t) 0);
							}
						else
							{	/* Object/predicate.scm 50 */
								BgL__ortest_2295z00_429 = ((bool_t) 1);
							}
					}
					if (BgL__ortest_2295z00_429)
						{	/* Object/predicate.scm 50 */
							BgL_testz00_894 = BgL__ortest_2295z00_429;
						}
					else
						{	/* Object/predicate.scm 50 */
							BgL_testz00_894 =
								(
								(long) CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00) <
								((long) 1));
				}}
				if (BgL_testz00_894)
					{	/* Object/predicate.scm 50 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
								(BGl_za2passza2z00zzengine_paramz00,
									CNST_TABLE_REF(((long) 0)))))
							{	/* Object/predicate.scm 52 */
								return ((bool_t) 0);
							}
						else
							{	/* Object/predicate.scm 52 */
								return ((bool_t) 1);
							}
					}
				else
					{	/* Object/predicate.scm 50 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* gen-class-pred! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt
		BgL_classz00_1, obj_t BgL_srczd2defzd2_2, obj_t BgL_importz00_3)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 60 */
			{	/* Object/predicate.scm 61 */
				obj_t BgL_idz00_431;

				{
					BgL_typez00_bglt BgL_auxz00_912;

					BgL_auxz00_912 = (BgL_typez00_bglt) (BgL_classz00_1);
					BgL_idz00_431 =
						(((BgL_typez00_bglt) CREF(BgL_auxz00_912))->BgL_idz00);
				}
				{	/* Object/predicate.scm 61 */
					obj_t BgL_idzf3zf3_432;

					{	/* Object/predicate.scm 62 */
						obj_t BgL_arg2437z00_519;

						{	/* Object/predicate.scm 62 */
							obj_t BgL_arg2438z00_520;

							obj_t BgL_arg2439z00_521;

							BgL_arg2438z00_520 = SYMBOL_TO_STRING(BgL_idz00_431);
							{	/* Object/predicate.scm 62 */
								obj_t BgL_symbolz00_802;

								BgL_symbolz00_802 = CNST_TABLE_REF(((long) 1));
								BgL_arg2439z00_521 = SYMBOL_TO_STRING(BgL_symbolz00_802);
							}
							{	/* Object/predicate.scm 62 */
								obj_t BgL_list2440z00_522;

								{	/* Object/predicate.scm 62 */
									obj_t BgL_arg2441z00_523;

									BgL_arg2441z00_523 = MAKE_PAIR(BgL_arg2439z00_521, BNIL);
									BgL_list2440z00_522 =
										MAKE_PAIR(BgL_arg2438z00_520, BgL_arg2441z00_523);
								}
								BgL_arg2437z00_519 =
									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
									(BgL_list2440z00_522);
						}}
						BgL_idzf3zf3_432 =
							string_to_symbol(BSTRING_TO_STRING(BgL_arg2437z00_519));
					}
					{	/* Object/predicate.scm 62 */
						obj_t BgL_predzd2idzd2_433;

						{	/* Object/predicate.scm 63 */
							obj_t BgL_arg2432z00_514;

							{	/* Object/predicate.scm 63 */
								obj_t BgL_arg2433z00_515;

								obj_t BgL_arg2434z00_516;

								BgL_arg2433z00_515 = SYMBOL_TO_STRING(BgL_idz00_431);
								{	/* Object/predicate.scm 63 */
									obj_t BgL_symbolz00_805;

									BgL_symbolz00_805 = CNST_TABLE_REF(((long) 2));
									BgL_arg2434z00_516 = SYMBOL_TO_STRING(BgL_symbolz00_805);
								}
								{	/* Object/predicate.scm 63 */
									obj_t BgL_list2435z00_517;

									{	/* Object/predicate.scm 63 */
										obj_t BgL_arg2436z00_518;

										BgL_arg2436z00_518 = MAKE_PAIR(BgL_arg2434z00_516, BNIL);
										BgL_list2435z00_517 =
											MAKE_PAIR(BgL_arg2433z00_515, BgL_arg2436z00_518);
									}
									BgL_arg2432z00_514 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list2435z00_517);
							}}
							BgL_predzd2idzd2_433 =
								string_to_symbol(BSTRING_TO_STRING(BgL_arg2432z00_514));
						}
						{	/* Object/predicate.scm 63 */
							BgL_globalz00_bglt BgL_holderz00_434;

							{
								obj_t BgL_auxz00_931;

								{	/* Object/predicate.scm 64 */
									BgL_objectz00_bglt BgL_auxz00_932;

									BgL_auxz00_932 = (BgL_objectz00_bglt) (BgL_classz00_1);
									BgL_auxz00_931 = BGL_OBJECT_WIDENING(BgL_auxz00_932);
								}
								BgL_holderz00_434 =
									(((BgL_tclassz00_bglt) CREF(BgL_auxz00_931))->BgL_holderz00);
							}
							{	/* Object/predicate.scm 64 */
								obj_t BgL_objz00_435;

								BgL_objz00_435 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												3))));
								{	/* Object/predicate.scm 65 */
									obj_t BgL_superz00_436;

									{
										obj_t BgL_auxz00_939;

										{	/* Object/predicate.scm 66 */
											BgL_objectz00_bglt BgL_auxz00_940;

											BgL_auxz00_940 = (BgL_objectz00_bglt) (BgL_classz00_1);
											BgL_auxz00_939 = BGL_OBJECT_WIDENING(BgL_auxz00_940);
										}
										BgL_superz00_436 =
											(((BgL_tclassz00_bglt) CREF(BgL_auxz00_939))->
											BgL_itszd2superzd2);
									}
									{	/* Object/predicate.scm 66 */

										{

											if (BGl_iszd2azf3z21zz__objectz00(BgL_superz00_436,
													BGl_tclassz00zzobject_classz00))
												{	/* Object/predicate.scm 73 */
													obj_t BgL_superzd2predzd2idz00_439;

													obj_t BgL_superzd2typedzd2_440;

													{	/* Object/predicate.scm 73 */
														obj_t BgL_arg2410z00_491;

														{	/* Object/predicate.scm 73 */
															obj_t BgL_arg2411z00_492;

															obj_t BgL_arg2412z00_493;

															{	/* Object/predicate.scm 73 */
																obj_t BgL_symbolz00_810;

																BgL_symbolz00_810 = CNST_TABLE_REF(((long) 6));
																BgL_arg2411z00_492 =
																	SYMBOL_TO_STRING(BgL_symbolz00_810);
															}
															BgL_arg2412z00_493 =
																SYMBOL_TO_STRING(BgL_predzd2idzd2_433);
															{	/* Object/predicate.scm 73 */
																obj_t BgL_list2413z00_494;

																{	/* Object/predicate.scm 73 */
																	obj_t BgL_arg2414z00_495;

																	BgL_arg2414z00_495 =
																		MAKE_PAIR(BgL_arg2412z00_493, BNIL);
																	BgL_list2413z00_494 =
																		MAKE_PAIR(BgL_arg2411z00_492,
																		BgL_arg2414z00_495);
																}
																BgL_arg2410z00_491 =
																	BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																	(BgL_list2413z00_494);
														}}
														BgL_superzd2predzd2idz00_439 =
															string_to_symbol(BSTRING_TO_STRING
															(BgL_arg2410z00_491));
													}
													{	/* Object/predicate.scm 74 */
														obj_t BgL_arg2415z00_496;

														obj_t BgL_arg2416z00_497;

														BgL_arg2415z00_496 = CNST_TABLE_REF(((long) 7));
														{
															BgL_typez00_bglt BgL_auxz00_955;

															BgL_auxz00_955 =
																(BgL_typez00_bglt) (BgL_superz00_436);
															BgL_arg2416z00_497 =
																(((BgL_typez00_bglt) CREF(BgL_auxz00_955))->
																BgL_idz00);
														}
														BgL_superzd2typedzd2_440 =
															BGl_makezd2typedzd2identz00zzast_identz00
															(BgL_arg2415z00_496, BgL_arg2416z00_497);
													}
													{	/* Object/predicate.scm 77 */
														obj_t BgL_arg2302z00_441;

														if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
															{	/* Object/predicate.scm 78 */
																obj_t BgL_arg2304z00_443;

																{	/* Object/predicate.scm 78 */
																	obj_t BgL_arg2305z00_444;

																	{	/* Object/predicate.scm 78 */
																		obj_t BgL_arg2308z00_447;

																		obj_t BgL_arg2309z00_448;

																		BgL_arg2308z00_447 =
																			CNST_TABLE_REF(((long) 8));
																		{	/* Object/predicate.scm 78 */
																			obj_t BgL_list2310z00_449;

																			{	/* Object/predicate.scm 78 */
																				obj_t BgL_arg2311z00_450;

																				obj_t BgL_arg2312z00_451;

																				BgL_arg2311z00_450 =
																					CNST_TABLE_REF(((long) 9));
																				BgL_arg2312z00_451 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_list2310z00_449 =
																					MAKE_PAIR(BgL_arg2311z00_450,
																					BgL_arg2312z00_451);
																			}
																			BgL_arg2309z00_448 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_predzd2idzd2_433,
																				BgL_list2310z00_449);
																		}
																		BgL_arg2305z00_444 =
																			MAKE_PAIR(BgL_arg2308z00_447,
																			BgL_arg2309z00_448);
																	}
																	{	/* Object/predicate.scm 78 */
																		obj_t BgL_list2307z00_446;

																		BgL_list2307z00_446 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg2304z00_443 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2305z00_444, BgL_list2307z00_446);
																}}
																BgL_arg2302z00_441 =
																	MAKE_PAIR(BgL_importz00_3,
																	BgL_arg2304z00_443);
															}
														else
															{	/* Object/predicate.scm 79 */
																obj_t BgL_arg2313z00_452;

																{	/* Object/predicate.scm 79 */
																	obj_t BgL_arg2314z00_453;

																	{	/* Object/predicate.scm 79 */
																		obj_t BgL_arg2318z00_456;

																		{	/* Object/predicate.scm 79 */
																			obj_t BgL_list2319z00_457;

																			BgL_list2319z00_457 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2318z00_456 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(CNST_TABLE_REF(((long) 9)),
																				BgL_list2319z00_457);
																		}
																		BgL_arg2314z00_453 =
																			MAKE_PAIR(BgL_predzd2idzd2_433,
																			BgL_arg2318z00_456);
																	}
																	{	/* Object/predicate.scm 79 */
																		obj_t BgL_list2316z00_455;

																		BgL_list2316z00_455 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg2313z00_452 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2314z00_453, BgL_list2316z00_455);
																}}
																BgL_arg2302z00_441 =
																	MAKE_PAIR(BgL_importz00_3,
																	BgL_arg2313z00_452);
															}
														BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
															(BgL_arg2302z00_441);
													}
													{	/* Object/predicate.scm 81 */
														obj_t BgL_arg2330z00_458;

														{	/* Object/predicate.scm 81 */
															obj_t BgL_arg2331z00_459;

															obj_t BgL_arg2332z00_460;

															BgL_arg2331z00_459 = CNST_TABLE_REF(((long) 10));
															{	/* Object/predicate.scm 81 */
																obj_t BgL_arg2333z00_461;

																{	/* Object/predicate.scm 81 */
																	obj_t BgL_arg2339z00_464;

																	{	/* Object/predicate.scm 81 */
																		obj_t BgL_arg2340z00_465;

																		obj_t BgL_arg2347z00_466;

																		obj_t BgL_arg2353z00_467;

																		{	/* Object/predicate.scm 81 */
																			obj_t BgL_arg2375z00_472;

																			obj_t BgL_arg2387z00_473;

																			BgL_arg2375z00_472 =
																				CNST_TABLE_REF(((long) 11));
																			{	/* Object/predicate.scm 81 */
																				obj_t BgL_arg2393z00_474;

																				{
																					BgL_typez00_bglt BgL_auxz00_980;

																					BgL_auxz00_980 =
																						(BgL_typez00_bglt) (BgL_classz00_1);
																					BgL_arg2393z00_474 =
																						(((BgL_typez00_bglt)
																							CREF(BgL_auxz00_980))->BgL_idz00);
																				}
																				{	/* Object/predicate.scm 81 */
																					obj_t BgL_list2395z00_476;

																					BgL_list2395z00_476 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2387z00_473 =
																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg2393z00_474,
																						BgL_list2395z00_476);
																			}}
																			BgL_arg2340z00_465 =
																				MAKE_PAIR(BgL_arg2375z00_472,
																				BgL_arg2387z00_473);
																		}
																		BgL_arg2347z00_466 =
																			CNST_TABLE_REF(((long) 12));
																		BgL_arg2353z00_467 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																			BNIL);
																		{	/* Object/predicate.scm 81 */
																			obj_t BgL_list2367z00_469;

																			{	/* Object/predicate.scm 81 */
																				obj_t BgL_arg2373z00_470;

																				{	/* Object/predicate.scm 81 */
																					obj_t BgL_arg2374z00_471;

																					BgL_arg2374z00_471 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_arg2373z00_470 =
																						MAKE_PAIR(BgL_arg2353z00_467,
																						BgL_arg2374z00_471);
																				}
																				BgL_list2367z00_469 =
																					MAKE_PAIR(BgL_arg2347z00_466,
																					BgL_arg2373z00_470);
																			}
																			BgL_arg2339z00_464 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_arg2340z00_465,
																				BgL_list2367z00_469);
																	}}
																	BgL_arg2333z00_461 =
																		MAKE_PAIR(BgL_idzf3zf3_432,
																		BgL_arg2339z00_464);
																}
																{	/* Object/predicate.scm 81 */
																	obj_t BgL_list2336z00_463;

																	BgL_list2336z00_463 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg2332z00_460 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2333z00_461, BgL_list2336z00_463);
															}}
															BgL_arg2330z00_458 =
																MAKE_PAIR(BgL_arg2331z00_459,
																BgL_arg2332z00_460);
														}
														BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
															(BgL_arg2330z00_458);
													}
													{	/* Object/predicate.scm 85 */
														obj_t BgL_arg2396z00_477;

														{	/* Object/predicate.scm 85 */
															obj_t BgL_arg2398z00_479;

															{	/* Object/predicate.scm 85 */
																obj_t BgL_arg2400z00_481;

																obj_t BgL_arg2401z00_482;

																if (BGl_inlinezd2predzf3z21zzobject_predicatez00
																	())
																	{	/* Object/predicate.scm 85 */
																		BgL_arg2400z00_481 =
																			CNST_TABLE_REF(((long) 14));
																	}
																else
																	{	/* Object/predicate.scm 85 */
																		BgL_arg2400z00_481 =
																			CNST_TABLE_REF(((long) 15));
																	}
																{	/* Object/predicate.scm 86 */
																	obj_t BgL_arg2403z00_484;

																	obj_t BgL_arg2404z00_485;

																	{	/* Object/predicate.scm 86 */
																		obj_t BgL_arg2408z00_489;

																		{	/* Object/predicate.scm 86 */
																			obj_t BgL_list2409z00_490;

																			BgL_list2409z00_490 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_arg2408z00_489 =
																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																				(BgL_objz00_435, BgL_list2409z00_490);
																		}
																		BgL_arg2403z00_484 =
																			MAKE_PAIR(BgL_predzd2idzd2_433,
																			BgL_arg2408z00_489);
																	}
																	{	/* Object/predicate.scm 68 */
																		obj_t BgL_arg2418z00_499;

																		obj_t BgL_arg2419z00_500;

																		BgL_arg2418z00_499 =
																			CNST_TABLE_REF(((long) 4));
																		{	/* Object/predicate.scm 68 */
																			obj_t BgL_arg2420z00_501;

																			{	/* Object/predicate.scm 68 */
																				obj_t BgL_arg2424z00_505;

																				obj_t BgL_arg2425z00_506;

																				BgL_arg2424z00_505 =
																					CNST_TABLE_REF(((long) 5));
																				{	/* Object/predicate.scm 68 */
																					obj_t BgL_arg2426z00_507;

																					obj_t BgL_arg2427z00_508;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_1007;
																						BgL_auxz00_1007 =
																							(BgL_variablez00_bglt)
																							(BgL_holderz00_434);
																						BgL_arg2426z00_507 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_auxz00_1007))->
																							BgL_idz00);
																					}
																					BgL_arg2427z00_508 =
																						(((BgL_globalz00_bglt)
																							CREF(BgL_holderz00_434))->
																						BgL_modulez00);
																					{	/* Object/predicate.scm 68 */
																						obj_t BgL_list2429z00_510;

																						{	/* Object/predicate.scm 68 */
																							obj_t BgL_arg2430z00_511;

																							BgL_arg2430z00_511 =
																								MAKE_PAIR(BNIL, BNIL);
																							BgL_list2429z00_510 =
																								MAKE_PAIR(BgL_arg2427z00_508,
																								BgL_arg2430z00_511);
																						}
																						BgL_arg2425z00_506 =
																							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																							(BgL_arg2426z00_507,
																							BgL_list2429z00_510);
																				}}
																				BgL_arg2420z00_501 =
																					MAKE_PAIR(BgL_arg2424z00_505,
																					BgL_arg2425z00_506);
																			}
																			{	/* Object/predicate.scm 68 */
																				obj_t BgL_list2422z00_503;

																				{	/* Object/predicate.scm 68 */
																					obj_t BgL_arg2423z00_504;

																					BgL_arg2423z00_504 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_list2422z00_503 =
																						MAKE_PAIR(BgL_arg2420z00_501,
																						BgL_arg2423z00_504);
																				}
																				BgL_arg2419z00_500 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BgL_objz00_435, BgL_list2422z00_503);
																		}}
																		BgL_arg2404z00_485 =
																			MAKE_PAIR(BgL_arg2418z00_499,
																			BgL_arg2419z00_500);
																	}
																	{	/* Object/predicate.scm 85 */
																		obj_t BgL_list2406z00_487;

																		{	/* Object/predicate.scm 85 */
																			obj_t BgL_arg2407z00_488;

																			BgL_arg2407z00_488 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list2406z00_487 =
																				MAKE_PAIR(BgL_arg2404z00_485,
																				BgL_arg2407z00_488);
																		}
																		BgL_arg2401z00_482 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg2403z00_484, BgL_list2406z00_487);
																}}
																BgL_arg2398z00_479 =
																	MAKE_PAIR(BgL_arg2400z00_481,
																	BgL_arg2401z00_482);
															}
															{	/* Object/predicate.scm 85 */
																obj_t BgL_list2399z00_480;

																BgL_list2399z00_480 =
																	MAKE_PAIR(BgL_srczd2defzd2_2, BNIL);
																BgL_arg2396z00_477 =
																	BGl_epairifyza2za2zztools_miscz00
																	(BgL_arg2398z00_479, BgL_list2399z00_480);
														}}
														{	/* Object/predicate.scm 84 */
															obj_t BgL_list2397z00_478;

															BgL_list2397z00_478 =
																MAKE_PAIR(BgL_arg2396z00_477, BNIL);
															return BgL_list2397z00_478;
														}
													}
												}
											else
												{	/* Object/predicate.scm 69 */
													return BNIL;
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* _gen-class-pred! */
	obj_t BGl__genzd2classzd2predz12z12zzobject_predicatez00(obj_t BgL_envz00_848,
		obj_t BgL_classz00_849, obj_t BgL_srczd2defzd2_850, obj_t BgL_importz00_851)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 60 */
			return
				BGl_genzd2classzd2predz12z12zzobject_predicatez00(
				(BgL_tclassz00_bglt) (BgL_classz00_849), BgL_srczd2defzd2_850,
				BgL_importz00_851);
		}
	}



/* import-class-pred! */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt
		BgL_classz00_4, obj_t BgL_srczd2defzd2_5, obj_t BgL_modulez00_6)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 93 */
			if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
				{	/* Object/predicate.scm 94 */
					return
						BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_4,
						BgL_srczd2defzd2_5, CNST_TABLE_REF(((long) 16)));
				}
			else
				{	/* Object/predicate.scm 98 */
					obj_t BgL_idz00_525;

					{
						BgL_typez00_bglt BgL_auxz00_1032;

						BgL_auxz00_1032 = (BgL_typez00_bglt) (BgL_classz00_4);
						BgL_idz00_525 =
							(((BgL_typez00_bglt) CREF(BgL_auxz00_1032))->BgL_idz00);
					}
					{	/* Object/predicate.scm 98 */
						obj_t BgL_idzf3zf3_526;

						{	/* Object/predicate.scm 99 */
							obj_t BgL_arg2453z00_540;

							{	/* Object/predicate.scm 99 */
								obj_t BgL_arg2454z00_541;

								obj_t BgL_arg2455z00_542;

								BgL_arg2454z00_541 = SYMBOL_TO_STRING(BgL_idz00_525);
								{	/* Object/predicate.scm 99 */
									obj_t BgL_symbolz00_821;

									BgL_symbolz00_821 = CNST_TABLE_REF(((long) 1));
									BgL_arg2455z00_542 = SYMBOL_TO_STRING(BgL_symbolz00_821);
								}
								{	/* Object/predicate.scm 99 */
									obj_t BgL_list2456z00_543;

									{	/* Object/predicate.scm 99 */
										obj_t BgL_arg2457z00_544;

										BgL_arg2457z00_544 = MAKE_PAIR(BgL_arg2455z00_542, BNIL);
										BgL_list2456z00_543 =
											MAKE_PAIR(BgL_arg2454z00_541, BgL_arg2457z00_544);
									}
									BgL_arg2453z00_540 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list2456z00_543);
							}}
							BgL_idzf3zf3_526 =
								string_to_symbol(BSTRING_TO_STRING(BgL_arg2453z00_540));
						}
						{	/* Object/predicate.scm 99 */
							obj_t BgL_predzd2idzd2_527;

							{	/* Object/predicate.scm 100 */
								obj_t BgL_arg2448z00_535;

								{	/* Object/predicate.scm 100 */
									obj_t BgL_arg2449z00_536;

									obj_t BgL_arg2450z00_537;

									BgL_arg2449z00_536 = SYMBOL_TO_STRING(BgL_idz00_525);
									{	/* Object/predicate.scm 100 */
										obj_t BgL_symbolz00_824;

										BgL_symbolz00_824 = CNST_TABLE_REF(((long) 2));
										BgL_arg2450z00_537 = SYMBOL_TO_STRING(BgL_symbolz00_824);
									}
									{	/* Object/predicate.scm 100 */
										obj_t BgL_list2451z00_538;

										{	/* Object/predicate.scm 100 */
											obj_t BgL_arg2452z00_539;

											BgL_arg2452z00_539 = MAKE_PAIR(BgL_arg2450z00_537, BNIL);
											BgL_list2451z00_538 =
												MAKE_PAIR(BgL_arg2449z00_536, BgL_arg2452z00_539);
										}
										BgL_arg2448z00_535 =
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list2451z00_538);
								}}
								BgL_predzd2idzd2_527 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg2448z00_535));
							}
							{	/* Object/predicate.scm 101 */
								obj_t BgL_superz00_529;

								{
									obj_t BgL_auxz00_1051;

									{	/* Object/predicate.scm 102 */
										BgL_objectz00_bglt BgL_auxz00_1052;

										BgL_auxz00_1052 = (BgL_objectz00_bglt) (BgL_classz00_4);
										BgL_auxz00_1051 = BGL_OBJECT_WIDENING(BgL_auxz00_1052);
									}
									BgL_superz00_529 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_1051))->
										BgL_itszd2superzd2);
								}
								{	/* Object/predicate.scm 102 */

									if (BGl_iszd2azf3z21zz__objectz00(BgL_superz00_529,
											BGl_tclassz00zzobject_classz00))
										{	/* Object/predicate.scm 105 */
											obj_t BgL_arg2444z00_531;

											{	/* Object/predicate.scm 105 */
												obj_t BgL_arg2446z00_533;

												{	/* Object/predicate.scm 105 */
													obj_t BgL_list2447z00_534;

													BgL_list2447z00_534 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg2446z00_533 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(CNST_TABLE_REF(((long) 9)), BgL_list2447z00_534);
												}
												BgL_arg2444z00_531 =
													MAKE_PAIR(BgL_predzd2idzd2_527, BgL_arg2446z00_533);
											}
											BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_6,
												BgL_arg2444z00_531, BNIL);
										}
									else
										{	/* Object/predicate.scm 103 */
											BFALSE;
										}
									return BNIL;
								}
							}
						}
					}
				}
		}
	}



/* _import-class-pred! */
	obj_t BGl__importzd2classzd2predz12z12zzobject_predicatez00(obj_t
		BgL_envz00_852, obj_t BgL_classz00_853, obj_t BgL_srczd2defzd2_854,
		obj_t BgL_modulez00_855)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 93 */
			return
				BGl_importzd2classzd2predz12z12zzobject_predicatez00(
				(BgL_tclassz00_bglt) (BgL_classz00_853), BgL_srczd2defzd2_854,
				BgL_modulez00_855);
		}
	}



/* gen-java-class-pred! */
	obj_t
		BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt
		BgL_classz00_7, obj_t BgL_srczd2defzd2_8, obj_t BgL_mclausez00_9)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 115 */
			{	/* Object/predicate.scm 116 */
				obj_t BgL_idz00_545;

				{
					BgL_typez00_bglt BgL_auxz00_1065;

					BgL_auxz00_1065 = (BgL_typez00_bglt) (BgL_classz00_7);
					BgL_idz00_545 =
						(((BgL_typez00_bglt) CREF(BgL_auxz00_1065))->BgL_idz00);
				}
				{	/* Object/predicate.scm 116 */
					obj_t BgL_idzf3zf3_546;

					{	/* Object/predicate.scm 117 */
						obj_t BgL_arg2513z00_603;

						{	/* Object/predicate.scm 117 */
							obj_t BgL_arg2514z00_604;

							obj_t BgL_arg2515z00_605;

							BgL_arg2514z00_604 = SYMBOL_TO_STRING(BgL_idz00_545);
							{	/* Object/predicate.scm 117 */
								obj_t BgL_symbolz00_831;

								BgL_symbolz00_831 = CNST_TABLE_REF(((long) 1));
								BgL_arg2515z00_605 = SYMBOL_TO_STRING(BgL_symbolz00_831);
							}
							{	/* Object/predicate.scm 117 */
								obj_t BgL_list2516z00_606;

								{	/* Object/predicate.scm 117 */
									obj_t BgL_arg2517z00_607;

									BgL_arg2517z00_607 = MAKE_PAIR(BgL_arg2515z00_605, BNIL);
									BgL_list2516z00_606 =
										MAKE_PAIR(BgL_arg2514z00_604, BgL_arg2517z00_607);
								}
								BgL_arg2513z00_603 =
									BGl_stringzd2appendzd2zz__r4_strings_6_7z00
									(BgL_list2516z00_606);
						}}
						BgL_idzf3zf3_546 =
							string_to_symbol(BSTRING_TO_STRING(BgL_arg2513z00_603));
					}
					{	/* Object/predicate.scm 117 */
						obj_t BgL_predzd2idzd2_547;

						{	/* Object/predicate.scm 118 */
							obj_t BgL_arg2507z00_598;

							{	/* Object/predicate.scm 118 */
								obj_t BgL_arg2508z00_599;

								obj_t BgL_arg2509z00_600;

								BgL_arg2508z00_599 = SYMBOL_TO_STRING(BgL_idz00_545);
								{	/* Object/predicate.scm 118 */
									obj_t BgL_symbolz00_834;

									BgL_symbolz00_834 = CNST_TABLE_REF(((long) 2));
									BgL_arg2509z00_600 = SYMBOL_TO_STRING(BgL_symbolz00_834);
								}
								{	/* Object/predicate.scm 118 */
									obj_t BgL_list2510z00_601;

									{	/* Object/predicate.scm 118 */
										obj_t BgL_arg2512z00_602;

										BgL_arg2512z00_602 = MAKE_PAIR(BgL_arg2509z00_600, BNIL);
										BgL_list2510z00_601 =
											MAKE_PAIR(BgL_arg2508z00_599, BgL_arg2512z00_602);
									}
									BgL_arg2507z00_598 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list2510z00_601);
							}}
							BgL_predzd2idzd2_547 =
								string_to_symbol(BSTRING_TO_STRING(BgL_arg2507z00_598));
						}
						{	/* Object/predicate.scm 118 */
							obj_t BgL_objz00_548;

							BgL_objz00_548 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											3))));
							{	/* Object/predicate.scm 120 */

								{

									{	/* Object/predicate.scm 125 */
										obj_t BgL_arg2458z00_551;

										{	/* Object/predicate.scm 125 */
											obj_t BgL_arg2459z00_552;

											{	/* Object/predicate.scm 125 */
												obj_t BgL_arg2460z00_553;

												{	/* Object/predicate.scm 125 */
													obj_t BgL_arg2463z00_556;

													obj_t BgL_arg2464z00_557;

													BgL_arg2463z00_556 = CNST_TABLE_REF(((long) 8));
													{	/* Object/predicate.scm 125 */
														obj_t BgL_list2465z00_558;

														{	/* Object/predicate.scm 125 */
															obj_t BgL_arg2466z00_559;

															obj_t BgL_arg2467z00_560;

															BgL_arg2466z00_559 = CNST_TABLE_REF(((long) 9));
															BgL_arg2467z00_560 = MAKE_PAIR(BNIL, BNIL);
															BgL_list2465z00_558 =
																MAKE_PAIR(BgL_arg2466z00_559,
																BgL_arg2467z00_560);
														}
														BgL_arg2464z00_557 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_predzd2idzd2_547, BgL_list2465z00_558);
													}
													BgL_arg2460z00_553 =
														MAKE_PAIR(BgL_arg2463z00_556, BgL_arg2464z00_557);
												}
												{	/* Object/predicate.scm 125 */
													obj_t BgL_list2462z00_555;

													BgL_list2462z00_555 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg2459z00_552 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2460z00_553, BgL_list2462z00_555);
											}}
											BgL_arg2458z00_551 =
												MAKE_PAIR(BgL_mclausez00_9, BgL_arg2459z00_552);
										}
										BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
											(BgL_arg2458z00_551);
									}
									{	/* Object/predicate.scm 127 */
										obj_t BgL_arg2468z00_561;

										{	/* Object/predicate.scm 127 */
											obj_t BgL_arg2469z00_562;

											obj_t BgL_arg2470z00_563;

											BgL_arg2469z00_562 = CNST_TABLE_REF(((long) 10));
											{	/* Object/predicate.scm 127 */
												obj_t BgL_arg2471z00_564;

												{	/* Object/predicate.scm 127 */
													obj_t BgL_arg2475z00_567;

													{	/* Object/predicate.scm 127 */
														obj_t BgL_arg2476z00_568;

														obj_t BgL_arg2478z00_569;

														obj_t BgL_arg2479z00_570;

														{	/* Object/predicate.scm 127 */
															obj_t BgL_arg2485z00_575;

															obj_t BgL_arg2486z00_576;

															BgL_arg2485z00_575 = CNST_TABLE_REF(((long) 11));
															{	/* Object/predicate.scm 127 */
																obj_t BgL_arg2487z00_577;

																{
																	BgL_typez00_bglt BgL_auxz00_1099;

																	BgL_auxz00_1099 =
																		(BgL_typez00_bglt) (BgL_classz00_7);
																	BgL_arg2487z00_577 =
																		(((BgL_typez00_bglt)
																			CREF(BgL_auxz00_1099))->BgL_idz00);
																}
																{	/* Object/predicate.scm 127 */
																	obj_t BgL_list2489z00_579;

																	BgL_list2489z00_579 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg2486z00_576 =
																		BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2487z00_577, BgL_list2489z00_579);
															}}
															BgL_arg2476z00_568 =
																MAKE_PAIR(BgL_arg2485z00_575,
																BgL_arg2486z00_576);
														}
														BgL_arg2478z00_569 = CNST_TABLE_REF(((long) 12));
														BgL_arg2479z00_570 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 13)), BNIL);
														{	/* Object/predicate.scm 127 */
															obj_t BgL_list2482z00_572;

															{	/* Object/predicate.scm 127 */
																obj_t BgL_arg2483z00_573;

																{	/* Object/predicate.scm 127 */
																	obj_t BgL_arg2484z00_574;

																	BgL_arg2484z00_574 = MAKE_PAIR(BNIL, BNIL);
																	BgL_arg2483z00_573 =
																		MAKE_PAIR(BgL_arg2479z00_570,
																		BgL_arg2484z00_574);
																}
																BgL_list2482z00_572 =
																	MAKE_PAIR(BgL_arg2478z00_569,
																	BgL_arg2483z00_573);
															}
															BgL_arg2475z00_567 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg2476z00_568, BgL_list2482z00_572);
													}}
													BgL_arg2471z00_564 =
														MAKE_PAIR(BgL_idzf3zf3_546, BgL_arg2475z00_567);
												}
												{	/* Object/predicate.scm 127 */
													obj_t BgL_list2473z00_566;

													BgL_list2473z00_566 = MAKE_PAIR(BNIL, BNIL);
													BgL_arg2470z00_563 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2471z00_564, BgL_list2473z00_566);
											}}
											BgL_arg2468z00_561 =
												MAKE_PAIR(BgL_arg2469z00_562, BgL_arg2470z00_563);
										}
										BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
											(BgL_arg2468z00_561);
									}
									{	/* Object/predicate.scm 130 */
										obj_t BgL_arg2490z00_580;

										{	/* Object/predicate.scm 130 */
											obj_t BgL_arg2492z00_582;

											{	/* Object/predicate.scm 130 */
												obj_t BgL_arg2494z00_584;

												obj_t BgL_arg2495z00_585;

												if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
													{	/* Object/predicate.scm 130 */
														BgL_arg2494z00_584 = CNST_TABLE_REF(((long) 14));
													}
												else
													{	/* Object/predicate.scm 130 */
														BgL_arg2494z00_584 = CNST_TABLE_REF(((long) 15));
													}
												{	/* Object/predicate.scm 131 */
													obj_t BgL_arg2497z00_587;

													obj_t BgL_arg2498z00_588;

													{	/* Object/predicate.scm 131 */
														obj_t BgL_arg2502z00_592;

														{	/* Object/predicate.scm 131 */
															obj_t BgL_list2503z00_593;

															BgL_list2503z00_593 = MAKE_PAIR(BNIL, BNIL);
															BgL_arg2502z00_592 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_objz00_548, BgL_list2503z00_593);
														}
														BgL_arg2497z00_587 =
															MAKE_PAIR(BgL_predzd2idzd2_547,
															BgL_arg2502z00_592);
													}
													{	/* Object/predicate.scm 122 */
														obj_t BgL_list2505z00_595;

														BgL_list2505z00_595 =
															MAKE_PAIR(BgL_objz00_548, BNIL);
														BgL_arg2498z00_588 =
															BGl_makezd2privatezd2sexpz00zzast_privatez00
															(CNST_TABLE_REF(((long) 17)), BgL_idz00_545,
															BgL_list2505z00_595);
													}
													{	/* Object/predicate.scm 130 */
														obj_t BgL_list2500z00_590;

														{	/* Object/predicate.scm 130 */
															obj_t BgL_arg2501z00_591;

															BgL_arg2501z00_591 = MAKE_PAIR(BNIL, BNIL);
															BgL_list2500z00_590 =
																MAKE_PAIR(BgL_arg2498z00_588,
																BgL_arg2501z00_591);
														}
														BgL_arg2495z00_585 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2497z00_587, BgL_list2500z00_590);
												}}
												BgL_arg2492z00_582 =
													MAKE_PAIR(BgL_arg2494z00_584, BgL_arg2495z00_585);
											}
											{	/* Object/predicate.scm 130 */
												obj_t BgL_list2493z00_583;

												BgL_list2493z00_583 =
													MAKE_PAIR(BgL_srczd2defzd2_8, BNIL);
												BgL_arg2490z00_580 =
													BGl_epairifyza2za2zztools_miscz00(BgL_arg2492z00_582,
													BgL_list2493z00_583);
										}}
										{	/* Object/predicate.scm 129 */
											obj_t BgL_list2491z00_581;

											BgL_list2491z00_581 = MAKE_PAIR(BgL_arg2490z00_580, BNIL);
											return BgL_list2491z00_581;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* import-java-class-pred! */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00
		(BgL_jclassz00_bglt BgL_classz00_10, obj_t BgL_srczd2defzd2_11,
		obj_t BgL_modulez00_12)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 138 */
			if (BGl_inlinezd2predzf3z21zzobject_predicatez00())
				{	/* Object/predicate.scm 143 */
					obj_t BgL_arg2520z00_609;

					if ((BgL_modulez00_12 == BGl_za2moduleza2z00zzmodule_modulez00))
						{	/* Object/predicate.scm 143 */
							BgL_arg2520z00_609 = CNST_TABLE_REF(((long) 18));
						}
					else
						{	/* Object/predicate.scm 143 */
							BgL_arg2520z00_609 = CNST_TABLE_REF(((long) 16));
						}
					return
						BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00
						(BgL_classz00_10, BgL_srczd2defzd2_11, BgL_arg2520z00_609);
				}
			else
				{	/* Object/predicate.scm 145 */
					obj_t BgL_idz00_611;

					{
						BgL_typez00_bglt BgL_auxz00_1141;

						BgL_auxz00_1141 = (BgL_typez00_bglt) (BgL_classz00_10);
						BgL_idz00_611 =
							(((BgL_typez00_bglt) CREF(BgL_auxz00_1141))->BgL_idz00);
					}
					{	/* Object/predicate.scm 145 */
						obj_t BgL_idzf3zf3_612;

						{	/* Object/predicate.scm 146 */
							obj_t BgL_arg2532z00_624;

							{	/* Object/predicate.scm 146 */
								obj_t BgL_arg2533z00_625;

								obj_t BgL_arg2534z00_626;

								BgL_arg2533z00_625 = SYMBOL_TO_STRING(BgL_idz00_611);
								{	/* Object/predicate.scm 146 */
									obj_t BgL_symbolz00_842;

									BgL_symbolz00_842 = CNST_TABLE_REF(((long) 1));
									BgL_arg2534z00_626 = SYMBOL_TO_STRING(BgL_symbolz00_842);
								}
								{	/* Object/predicate.scm 146 */
									obj_t BgL_list2535z00_627;

									{	/* Object/predicate.scm 146 */
										obj_t BgL_arg2536z00_628;

										BgL_arg2536z00_628 = MAKE_PAIR(BgL_arg2534z00_626, BNIL);
										BgL_list2535z00_627 =
											MAKE_PAIR(BgL_arg2533z00_625, BgL_arg2536z00_628);
									}
									BgL_arg2532z00_624 =
										BGl_stringzd2appendzd2zz__r4_strings_6_7z00
										(BgL_list2535z00_627);
							}}
							BgL_idzf3zf3_612 =
								string_to_symbol(BSTRING_TO_STRING(BgL_arg2532z00_624));
						}
						{	/* Object/predicate.scm 146 */
							obj_t BgL_predzd2idzd2_613;

							{	/* Object/predicate.scm 147 */
								obj_t BgL_arg2527z00_619;

								{	/* Object/predicate.scm 147 */
									obj_t BgL_arg2528z00_620;

									obj_t BgL_arg2529z00_621;

									BgL_arg2528z00_620 = SYMBOL_TO_STRING(BgL_idz00_611);
									{	/* Object/predicate.scm 147 */
										obj_t BgL_symbolz00_845;

										BgL_symbolz00_845 = CNST_TABLE_REF(((long) 2));
										BgL_arg2529z00_621 = SYMBOL_TO_STRING(BgL_symbolz00_845);
									}
									{	/* Object/predicate.scm 147 */
										obj_t BgL_list2530z00_622;

										{	/* Object/predicate.scm 147 */
											obj_t BgL_arg2531z00_623;

											BgL_arg2531z00_623 = MAKE_PAIR(BgL_arg2529z00_621, BNIL);
											BgL_list2530z00_622 =
												MAKE_PAIR(BgL_arg2528z00_620, BgL_arg2531z00_623);
										}
										BgL_arg2527z00_619 =
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list2530z00_622);
								}}
								BgL_predzd2idzd2_613 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg2527z00_619));
							}
							{	/* Object/predicate.scm 148 */

								{	/* Object/predicate.scm 150 */
									obj_t BgL_arg2522z00_615;

									{	/* Object/predicate.scm 150 */
										obj_t BgL_arg2525z00_617;

										{	/* Object/predicate.scm 150 */
											obj_t BgL_list2526z00_618;

											BgL_list2526z00_618 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg2525z00_617 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 9)), BgL_list2526z00_618);
										}
										BgL_arg2522z00_615 =
											MAKE_PAIR(BgL_predzd2idzd2_613, BgL_arg2525z00_617);
									}
									BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_12,
										BgL_arg2522z00_615, BNIL);
								}
								return BNIL;
							}
						}
					}
				}
		}
	}



/* _import-java-class-pred! */
	obj_t BGl__importzd2javazd2classzd2predz12zc0zzobject_predicatez00(obj_t
		BgL_envz00_856, obj_t BgL_classz00_857, obj_t BgL_srczd2defzd2_858,
		obj_t BgL_modulez00_859)
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 138 */
			return
				BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(
				(BgL_jclassz00_bglt) (BgL_classz00_857), BgL_srczd2defzd2_858,
				BgL_modulez00_859);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 21 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00()
	{
		AN_OBJECT;
		{	/* Object/predicate.scm 21 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 12445515),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 315910987),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 195902195),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 498714928),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 453255680),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 76434050),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzobject_structz00(((long) 112894054),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 17869975),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 405988581),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 457322990),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string2561z00zzobject_predicatez00));
		}
	}

#ifdef __cplusplus
}
#endif
