/*===========================================================================*/
/*   (SawMill/collapse.scm)                                                  */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/collapse.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_lastz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_lastz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_jumpexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_jumpexitz00_bglt;

	typedef struct BgL_rtl_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_failz00_bglt;

	typedef struct BgL_rtl_notseqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_notseqz00_bglt;

	typedef struct BgL_rtl_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                *BgL_rtl_ifz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_purez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_purez00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                 *BgL_rtl_isaz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_boxrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxrefz00_bglt;

	typedef struct BgL_rtl_effectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_effectz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_boxsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_applyz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                   *BgL_rtl_applyz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_funcallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_protectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_protectz00_bglt;

	typedef struct BgL_rtl_protectedz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                       *BgL_rtl_protectedz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_collapsedz00_bgl
	{
		obj_t BgL_lastz00;
	}                   *BgL_collapsedz00_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl__z52allocatezd2collapsedz80zzsaw_collapsez00(obj_t);
	BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_collapsez00zzsaw_collapsez00(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_collapsez00();
	static obj_t BGl_structzb2objectzd2ze3objec3892z83zzsaw_collapsez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__collapsez00zzsaw_collapsez00(obj_t, obj_t);
	static obj_t BGl__collapsedzd2nilzd2zzsaw_collapsez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_collapsez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	static BgL_collapsedz00_bglt BGl_collapsedzd2nilzd2zzsaw_collapsez00();
	static obj_t BGl_objectzd2ze3structzd2colla3890ze3zzsaw_collapsez00(obj_t,
		obj_t);
	static bool_t BGl_dfsz00zzsaw_collapsez00(BgL_blockz00_bglt);
	static obj_t BGl_methodzd2initzd2zzsaw_collapsez00();
	extern obj_t BGl_substz00zzsaw_libz00(obj_t, obj_t, obj_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_collapsez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_collapsez00();
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl_collapsedz00zzsaw_collapsez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT BgL_objectz00_bglt
		BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_objectzd2initzd2zzsaw_collapsez00();
	static obj_t BGl__collapsedzf3zf3zzsaw_collapsez00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00();
	static obj_t BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00 = BUNSPEC;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4044z00zzsaw_collapsez00,
		BgL_bgl_objectza7d2za7e3stru4051z00,
		BGl_objectzd2ze3structzd2colla3890ze3zzsaw_collapsez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4045z00zzsaw_collapsez00,
		BgL_bgl_structza7b2objectza74052z00,
		BGl_structzb2objectzd2ze3objec3892z83zzsaw_collapsez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4046z00zzsaw_collapsez00,
		BgL_bgl_string4046za700za7za7s4053za7, "saw_collapse", 12);
	      DEFINE_STRING(BGl_string4047z00zzsaw_collapsez00,
		BgL_bgl_string4047za700za7za7s4054za7, "collapsed ", 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_collapsezd2envzd2zzsaw_collapsez00,
		BgL_bgl__collapseza700za7za7sa4055za7, BGl__collapsez00zzsaw_collapsez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_collapsedzd2nilzd2envz00zzsaw_collapsez00,
		BgL_bgl__collapsedza7d2nil4056za7, BGl__collapsedzd2nilzd2zzsaw_collapsez00,
		0L, BUNSPEC, 0);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2collapsedzd2envz52zzsaw_collapsez00,
		BgL_bgl__za752allocateza7d2c4057z00,
		BGl__z52allocatezd2collapsedz80zzsaw_collapsez00, 0L, BUNSPEC, 0);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_collapsedzf3zd2envz21zzsaw_collapsez00,
		BgL_bgl__collapsedza7f3za7f34058z00, BGl__collapsedzf3zf3zzsaw_collapsez00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_collapsez00(long
		BgL_checksumz00_1829, char *BgL_fromz00_1830)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_collapsez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_collapsez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00();
					BGl_cnstzd2initzd2zzsaw_collapsez00();
					BGl_importedzd2moduleszd2initz00zzsaw_collapsez00();
					BGl_objectzd2initzd2zzsaw_collapsez00();
					BGl_methodzd2initzd2zzsaw_collapsez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_collapse");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_collapse");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			{	/* SawMill/collapse.scm 1 */
				obj_t BgL_cportz00_1815;

				BgL_cportz00_1815 =
					bgl_open_input_string(BGl_string4047z00zzsaw_collapsez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1816;

					BgL_iz00_1816 = ((long) 0);
				BgL_loopz00_1817:
					if ((BgL_iz00_1816 == ((long) -1)))
						{	/* SawMill/collapse.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/collapse.scm 1 */
							{	/* SawMill/collapse.scm 1 */
								obj_t BgL_arg4049z00_1819;

								{	/* SawMill/collapse.scm 1 */

									{	/* SawMill/collapse.scm 1 */
										obj_t BgL_locationz00_1821;

										BgL_locationz00_1821 = BBOOL(((bool_t) 0));
										{	/* SawMill/collapse.scm 1 */

											BgL_arg4049z00_1819 =
												BGl_readz00zz__readerz00(BgL_cportz00_1815,
												BgL_locationz00_1821);
										}
									}
								}
								{	/* SawMill/collapse.scm 1 */
									int BgL_auxz00_1848;

									BgL_auxz00_1848 = (int) (BgL_iz00_1816);
									CNST_TABLE_SET(BgL_auxz00_1848, BgL_arg4049z00_1819);
							}}
							{	/* SawMill/collapse.scm 1 */
								int BgL_auxz00_1822;

								BgL_auxz00_1822 = (int) ((BgL_iz00_1816 - ((long) 1)));
								{
									long BgL_iz00_1853;

									BgL_iz00_1853 = (long) (BgL_auxz00_1822);
									BgL_iz00_1816 = BgL_iz00_1853;
									goto BgL_loopz00_1817;
								}
							}
						}
				}
			}
		}
	}



/* collapse */
	BGL_EXPORTED_DEF obj_t BGl_collapsez00zzsaw_collapsez00(BgL_blockz00_bglt
		BgL_bz00_1)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 13 */
			BGl_dfsz00zzsaw_collapsez00(BgL_bz00_1);
			return BUNSPEC;
		}
	}



/* dfs */
	bool_t BGl_dfsz00zzsaw_collapsez00(BgL_blockz00_bglt BgL_bz00_1052)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 14 */
			{	/* SawMill/collapse.scm 16 */
				BgL_blockz00_bglt BgL_obj3877z00_1055;

				BgL_obj3877z00_1055 = ((BgL_blockz00_bglt) BgL_bz00_1052);
				{	/* SawMill/collapse.scm 16 */
					BgL_collapsedz00_bglt BgL_arg3893z00_1056;

					{	/* SawMill/collapse.scm 16 */
						obj_t BgL_arg3894z00_1057;

						BgL_arg3894z00_1057 =
							BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
							(((BgL_blockz00_bglt) CREF(BgL_bz00_1052))->BgL_firstz00));
						{	/* SawMill/collapse.scm 16 */
							BgL_collapsedz00_bglt BgL_res4032z00_1689;

							{	/* SawMill/collapse.scm 16 */
								BgL_collapsedz00_bglt BgL_new3838z00_1684;

								BgL_new3838z00_1684 =
									((BgL_collapsedz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_collapsedz00_bgl))));
								{	/* SawMill/collapse.scm 16 */
									BgL_collapsedz00_bglt BgL_res4031z00_1688;

									{	/* SawMill/collapse.scm 16 */
										BgL_collapsedz00_bglt BgL_new3848z00_1685;

										BgL_new3848z00_1685 = BgL_new3838z00_1684;
										{	/* SawMill/collapse.scm 16 */
											obj_t BgL_last3847z00_1687;

											BgL_last3847z00_1687 = BgL_arg3894z00_1057;
											((((BgL_collapsedz00_bglt) CREF(BgL_new3848z00_1685))->
													BgL_lastz00) =
												((obj_t) BgL_last3847z00_1687), BUNSPEC);
											BgL_res4031z00_1688 = BgL_new3848z00_1685;
									}} BgL_res4031z00_1688;
								}
								BgL_res4032z00_1689 = BgL_new3838z00_1684;
							}
							BgL_arg3893z00_1056 = BgL_res4032z00_1689;
					}}
					{	/* SawMill/collapse.scm 16 */
						obj_t BgL_auxz00_1863;

						BgL_objectz00_bglt BgL_auxz00_1861;

						BgL_auxz00_1863 = (obj_t) (BgL_arg3893z00_1056);
						BgL_auxz00_1861 = (BgL_objectz00_bglt) (BgL_obj3877z00_1055);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_1861, BgL_auxz00_1863);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					(BgL_objectz00_bglt) (BgL_obj3877z00_1055),
					BGl_classzd2numzd2zz__objectz00(BGl_collapsedz00zzsaw_collapsez00));
				BgL_obj3877z00_1055;
			}
			{	/* SawMill/collapse.scm 17 */
				bool_t BgL_testz00_1869;

				{	/* SawMill/collapse.scm 17 */
					bool_t BgL_testz00_1870;

					{	/* SawMill/collapse.scm 17 */
						obj_t BgL_auxz00_1871;

						BgL_auxz00_1871 =
							(((BgL_blockz00_bglt) CREF(BgL_bz00_1052))->BgL_predsz00);
						BgL_testz00_1870 = PAIRP(BgL_auxz00_1871);
					}
					if (BgL_testz00_1870)
						{	/* SawMill/collapse.scm 17 */
							obj_t BgL_auxz00_1874;

							{	/* SawMill/collapse.scm 17 */
								obj_t BgL_pairz00_1695;

								BgL_pairz00_1695 =
									(((BgL_blockz00_bglt) CREF(BgL_bz00_1052))->BgL_predsz00);
								BgL_auxz00_1874 = CDR(BgL_pairz00_1695);
							}
							BgL_testz00_1869 = NULLP(BgL_auxz00_1874);
						}
					else
						{	/* SawMill/collapse.scm 17 */
							BgL_testz00_1869 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_1869)
					{	/* SawMill/collapse.scm 18 */
						obj_t BgL_pz00_1061;

						{	/* SawMill/collapse.scm 18 */
							obj_t BgL_pairz00_1698;

							BgL_pairz00_1698 =
								(((BgL_blockz00_bglt) CREF(BgL_bz00_1052))->BgL_predsz00);
							BgL_pz00_1061 = CAR(BgL_pairz00_1698);
						}
						{	/* SawMill/collapse.scm 18 */
							obj_t BgL_psz00_1062;

							{
								BgL_blockz00_bglt BgL_auxz00_1880;

								BgL_auxz00_1880 = (BgL_blockz00_bglt) (BgL_pz00_1061);
								BgL_psz00_1062 =
									(((BgL_blockz00_bglt) CREF(BgL_auxz00_1880))->BgL_succsz00);
							}
							{	/* SawMill/collapse.scm 18 */

								if (NULLP(CDR(BgL_psz00_1062)))
									{	/* SawMill/collapse.scm 20 */
										{	/* SawMill/collapse.scm 23 */
											obj_t BgL_arg3899z00_1064;

											obj_t BgL_arg3900z00_1065;

											{	/* SawMill/collapse.scm 23 */
												BgL_collapsedz00_bglt BgL_obj3860z00_1702;

												BgL_obj3860z00_1702 =
													(BgL_collapsedz00_bglt) (BgL_pz00_1061);
												{
													obj_t BgL_auxz00_1887;

													{	/* SawMill/collapse.scm 23 */
														BgL_objectz00_bglt BgL_auxz00_1888;

														BgL_auxz00_1888 =
															(BgL_objectz00_bglt) (BgL_obj3860z00_1702);
														BgL_auxz00_1887 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1888);
													}
													BgL_arg3899z00_1064 =
														(((BgL_collapsedz00_bglt) CREF(BgL_auxz00_1887))->
														BgL_lastz00);
												}
											}
											BgL_arg3900z00_1065 =
												(((BgL_blockz00_bglt) CREF(BgL_bz00_1052))->
												BgL_firstz00);
											SET_CDR(BgL_arg3899z00_1064, BgL_arg3900z00_1065);
										}
										{	/* SawMill/collapse.scm 24 */
											obj_t BgL_arg3901z00_1066;

											{	/* SawMill/collapse.scm 24 */
												BgL_collapsedz00_bglt BgL_obj3860z00_1706;

												BgL_obj3860z00_1706 =
													(BgL_collapsedz00_bglt) (BgL_bz00_1052);
												{
													obj_t BgL_auxz00_1895;

													{	/* SawMill/collapse.scm 24 */
														BgL_objectz00_bglt BgL_auxz00_1896;

														BgL_auxz00_1896 =
															(BgL_objectz00_bglt) (BgL_obj3860z00_1706);
														BgL_auxz00_1895 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1896);
													}
													BgL_arg3901z00_1066 =
														(((BgL_collapsedz00_bglt) CREF(BgL_auxz00_1895))->
														BgL_lastz00);
												}
											}
											{	/* SawMill/collapse.scm 24 */
												BgL_collapsedz00_bglt BgL_obj3862z00_1707;

												obj_t BgL_val3861z00_1708;

												BgL_obj3862z00_1707 =
													(BgL_collapsedz00_bglt) (BgL_pz00_1061);
												BgL_val3861z00_1708 = BgL_arg3901z00_1066;
												{
													obj_t BgL_auxz00_1901;

													{	/* SawMill/collapse.scm 24 */
														BgL_objectz00_bglt BgL_auxz00_1902;

														BgL_auxz00_1902 =
															(BgL_objectz00_bglt) (BgL_obj3862z00_1707);
														BgL_auxz00_1901 =
															BGL_OBJECT_WIDENING(BgL_auxz00_1902);
													}
													((((BgL_collapsedz00_bglt) CREF(BgL_auxz00_1901))->
															BgL_lastz00) =
														((obj_t) BgL_val3861z00_1708), BUNSPEC);
												}
											}
										}
										{	/* SawMill/collapse.scm 25 */
											obj_t BgL_arg3902z00_1067;

											BgL_arg3902z00_1067 =
												(((BgL_blockz00_bglt) CREF(BgL_bz00_1052))->
												BgL_succsz00);
											{
												BgL_blockz00_bglt BgL_auxz00_1907;

												BgL_auxz00_1907 = (BgL_blockz00_bglt) (BgL_pz00_1061);
												((((BgL_blockz00_bglt) CREF(BgL_auxz00_1907))->
														BgL_succsz00) =
													((obj_t) BgL_arg3902z00_1067), BUNSPEC);
											}
										}
										{	/* SawMill/collapse.scm 26 */
											obj_t BgL_g3884z00_1068;

											BgL_g3884z00_1068 =
												(((BgL_blockz00_bglt) CREF(BgL_bz00_1052))->
												BgL_succsz00);
											{
												obj_t BgL_l3880z00_1069;

												BgL_l3880z00_1069 = BgL_g3884z00_1068;
											BgL_forzd2each3883zd2_1070:
												if (PAIRP(BgL_l3880z00_1069))
													{	/* SawMill/collapse.scm 26 */
														{	/* SawMill/collapse.scm 27 */
															obj_t BgL_sz00_1072;

															BgL_sz00_1072 = CAR(BgL_l3880z00_1069);
															{	/* SawMill/collapse.scm 28 */
																obj_t BgL_arg3904z00_1074;

																{	/* SawMill/collapse.scm 28 */
																	obj_t BgL_arg3905z00_1075;

																	{
																		BgL_blockz00_bglt BgL_auxz00_1914;

																		BgL_auxz00_1914 =
																			(BgL_blockz00_bglt) (BgL_sz00_1072);
																		BgL_arg3905z00_1075 =
																			(((BgL_blockz00_bglt)
																				CREF(BgL_auxz00_1914))->BgL_predsz00);
																	}
																	BgL_arg3904z00_1074 =
																		BGl_substz00zzsaw_libz00
																		(BgL_arg3905z00_1075,
																		(obj_t) (BgL_bz00_1052), BgL_pz00_1061);
																}
																{
																	BgL_blockz00_bglt BgL_auxz00_1919;

																	BgL_auxz00_1919 =
																		(BgL_blockz00_bglt) (BgL_sz00_1072);
																	((((BgL_blockz00_bglt)
																				CREF(BgL_auxz00_1919))->BgL_predsz00) =
																		((obj_t) BgL_arg3904z00_1074), BUNSPEC);
																}
															}
														}
														{
															obj_t BgL_l3880z00_1922;

															BgL_l3880z00_1922 = CDR(BgL_l3880z00_1069);
															BgL_l3880z00_1069 = BgL_l3880z00_1922;
															goto BgL_forzd2each3883zd2_1070;
														}
													}
												else
													{	/* SawMill/collapse.scm 26 */
														((bool_t) 1);
													}
											}
										}
									}
								else
									{	/* SawMill/collapse.scm 20 */
										((bool_t) 0);
									}
							}
						}
					}
				else
					{	/* SawMill/collapse.scm 17 */
						((bool_t) 0);
					}
			}
			{	/* SawMill/collapse.scm 30 */
				obj_t BgL_g3887z00_1083;

				BgL_g3887z00_1083 =
					(((BgL_blockz00_bglt) CREF(BgL_bz00_1052))->BgL_succsz00);
				{
					obj_t BgL_l3885z00_1084;

					BgL_l3885z00_1084 = BgL_g3887z00_1083;
				BgL_forzd2each3886zd2_1085:
					if (PAIRP(BgL_l3885z00_1084))
						{	/* SawMill/collapse.scm 30 */
							{	/* SawMill/collapse.scm 31 */
								BgL_blockz00_bglt BgL_succz00_1087;

								{	/* SawMill/collapse.scm 31 */
									obj_t BgL_pairz00_1721;

									BgL_pairz00_1721 = BgL_l3885z00_1084;
									BgL_succz00_1087 =
										(BgL_blockz00_bglt) (CAR(BgL_pairz00_1721));
								}
								{	/* SawMill/collapse.scm 31 */
									bool_t BgL_testz00_1929;

									{	/* SawMill/collapse.scm 31 */
										obj_t BgL_obj3858z00_1722;

										BgL_obj3858z00_1722 = (obj_t) (BgL_succz00_1087);
										BgL_testz00_1929 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj3858z00_1722,
											BGl_collapsedz00zzsaw_collapsez00);
									}
									if (BgL_testz00_1929)
										{	/* SawMill/collapse.scm 31 */
											((bool_t) 0);
										}
									else
										{	/* SawMill/collapse.scm 31 */
											BGl_dfsz00zzsaw_collapsez00(BgL_succz00_1087);
										}
								}
							}
							{
								obj_t BgL_l3885z00_1933;

								BgL_l3885z00_1933 = CDR(BgL_l3885z00_1084);
								BgL_l3885z00_1084 = BgL_l3885z00_1933;
								goto BgL_forzd2each3886zd2_1085;
							}
						}
					else
						{	/* SawMill/collapse.scm 30 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* _collapse */
	obj_t BGl__collapsez00zzsaw_collapsez00(obj_t BgL_envz00_1797,
		obj_t BgL_bz00_1798)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 13 */
			return
				BGl_collapsez00zzsaw_collapsez00((BgL_blockz00_bglt) (BgL_bz00_1798));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			{	/* SawMill/collapse.scm 7 */
				obj_t BgL_arg3916z00_1090;

				obj_t BgL_arg3917z00_1091;

				obj_t BgL_arg3920z00_1094;

				BgL_arg3916z00_1090 = CNST_TABLE_REF(((long) 0));
				BgL_arg3917z00_1091 = BGl_blockz00zzsaw_defsz00;
				{	/* SawMill/collapse.scm 7 */
					obj_t BgL_v3888z00_1095;

					BgL_v3888z00_1095 = create_vector((int) (((long) 0)));
					BgL_arg3920z00_1094 = BgL_v3888z00_1095;
				}
				BGl_collapsedz00zzsaw_collapsez00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3916z00_1090,
					BgL_arg3917z00_1091, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2collapsedzd2envz52zzsaw_collapsez00,
					BGl_collapsedzd2nilzd2envz00zzsaw_collapsez00,
					BGl_collapsedzf3zd2envz21zzsaw_collapsez00, ((long) 25242469), BFALSE,
					BFALSE, BgL_arg3920z00_1094);
			}
			return (BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* _collapsed? */
	obj_t BGl__collapsedzf3zf3zzsaw_collapsez00(obj_t BgL_envz00_1801,
		obj_t BgL_obj3858z00_1802)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 7 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3858z00_1802,
					BGl_collapsedz00zzsaw_collapsez00));
		}
	}



/* _%allocate-collapsed */
	obj_t BGl__z52allocatezd2collapsedz80zzsaw_collapsez00(obj_t BgL_envz00_1799)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 7 */
			{	/* SawMill/collapse.scm 7 */
				BgL_blockz00_bglt BgL_auxz00_1943;

				{	/* SawMill/collapse.scm 7 */
					BgL_blockz00_bglt BgL_res4050z00_1828;

					{	/* SawMill/collapse.scm 7 */
						BgL_blockz00_bglt BgL_new3851z00_1826;

						BgL_new3851z00_1826 =
							((BgL_blockz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_blockz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new3851z00_1826),
							BGl_classzd2numzd2zz__objectz00
							(BGl_collapsedz00zzsaw_collapsez00));
						{	/* SawMill/collapse.scm 7 */
							BgL_objectz00_bglt BgL_auxz00_1948;

							BgL_auxz00_1948 = (BgL_objectz00_bglt) (BgL_new3851z00_1826);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_1948, BFALSE);
						}
						BgL_res4050z00_1828 = BgL_new3851z00_1826;
					}
					BgL_auxz00_1943 = BgL_res4050z00_1828;
				}
				return (obj_t) (BgL_auxz00_1943);
			}
		}
	}



/* collapsed-nil */
	BgL_collapsedz00_bglt BGl_collapsedzd2nilzd2zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 7 */
			if ((BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00 == BUNSPEC))
				{	/* SawMill/collapse.scm 7 */
					{	/* SawMill/collapse.scm 7 */
						BgL_blockz00_bglt BgL_res4034z00_1738;

						{	/* SawMill/collapse.scm 7 */
							BgL_blockz00_bglt BgL_new3835z00_1734;

							BgL_new3835z00_1734 =
								((BgL_blockz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_blockz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new3835z00_1734),
								BGl_classzd2numzd2zz__objectz00(BGl_blockz00zzsaw_defsz00));
							{	/* SawMill/collapse.scm 7 */
								BgL_objectz00_bglt BgL_auxz00_1958;

								BgL_auxz00_1958 = (BgL_objectz00_bglt) (BgL_new3835z00_1734);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_1958, BFALSE);
							}
							BgL_res4034z00_1738 = BgL_new3835z00_1734;
						}
						BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00 =
							(obj_t) (BgL_res4034z00_1738);
					}
					{	/* SawMill/collapse.scm 7 */
						obj_t BgL_arg3928z00_1108;

						BgL_arg3928z00_1108 = MAKE_PAIR(BFALSE, BFALSE);
						{	/* SawMill/collapse.scm 7 */
							BgL_blockz00_bglt BgL_res4035z00_1748;

							{	/* SawMill/collapse.scm 7 */
								BgL_blockz00_bglt BgL_new3829z00_1739;

								int BgL_label3825z00_1740;

								BgL_new3829z00_1739 =
									(BgL_blockz00_bglt)
									(BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00);
								BgL_label3825z00_1740 = (int) (((long) 0));
								{	/* SawMill/collapse.scm 7 */
									int BgL_label3825z00_1744;

									obj_t BgL_preds3826z00_1745;

									obj_t BgL_succs3827z00_1746;

									obj_t BgL_first3828z00_1747;

									BgL_label3825z00_1744 = BgL_label3825z00_1740;
									BgL_preds3826z00_1745 = BNIL;
									BgL_succs3827z00_1746 = BNIL;
									BgL_first3828z00_1747 = BgL_arg3928z00_1108;
									((((BgL_blockz00_bglt) CREF(BgL_new3829z00_1739))->
											BgL_labelz00) = ((int) BgL_label3825z00_1744), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3829z00_1739))->
											BgL_predsz00) = ((obj_t) BgL_preds3826z00_1745), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3829z00_1739))->
											BgL_succsz00) = ((obj_t) BgL_succs3827z00_1746), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3829z00_1739))->
											BgL_firstz00) = ((obj_t) BgL_first3828z00_1747), BUNSPEC);
									BgL_res4035z00_1748 = BgL_new3829z00_1739;
							}} BgL_res4035z00_1748;
					}}
					{	/* SawMill/collapse.scm 7 */
						long BgL_arg3929z00_1109;

						BgL_arg3929z00_1109 =
							BGl_classzd2numzd2zz__objectz00
							(BGl_collapsedz00zzsaw_collapsez00);
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00),
							BgL_arg3929z00_1109);
					}
					{	/* SawMill/collapse.scm 7 */
						BgL_collapsedz00_bglt BgL_arg3930z00_1110;

						{	/* SawMill/collapse.scm 7 */
							BgL_collapsedz00_bglt BgL_res4037z00_1757;

							{	/* SawMill/collapse.scm 7 */
								BgL_collapsedz00_bglt BgL_new3838z00_1752;

								BgL_new3838z00_1752 =
									((BgL_collapsedz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_collapsedz00_bgl))));
								{	/* SawMill/collapse.scm 7 */
									BgL_collapsedz00_bglt BgL_res4036z00_1756;

									{	/* SawMill/collapse.scm 7 */
										BgL_collapsedz00_bglt BgL_new3848z00_1753;

										BgL_new3848z00_1753 = BgL_new3838z00_1752;
										{	/* SawMill/collapse.scm 7 */
											obj_t BgL_last3847z00_1755;

											BgL_last3847z00_1755 = BUNSPEC;
											((((BgL_collapsedz00_bglt) CREF(BgL_new3848z00_1753))->
													BgL_lastz00) =
												((obj_t) BgL_last3847z00_1755), BUNSPEC);
											BgL_res4036z00_1756 = BgL_new3848z00_1753;
									}} BgL_res4036z00_1756;
								}
								BgL_res4037z00_1757 = BgL_new3838z00_1752;
							}
							BgL_arg3930z00_1110 = BgL_res4037z00_1757;
						}
						{	/* SawMill/collapse.scm 7 */
							obj_t BgL_auxz00_1976;

							BgL_objectz00_bglt BgL_auxz00_1974;

							BgL_auxz00_1976 = (obj_t) (BgL_arg3930z00_1110);
							BgL_auxz00_1974 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_1974, BgL_auxz00_1976);
				}}}
			else
				{	/* SawMill/collapse.scm 7 */
					BFALSE;
				}
			return
				(BgL_collapsedz00_bglt)
				(BGl_z52thezd2collapsedzd2nilz52zzsaw_collapsez00);
		}
	}



/* _collapsed-nil */
	obj_t BGl__collapsedzd2nilzd2zzsaw_collapsez00(obj_t BgL_envz00_1800)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 7 */
			return (obj_t) (BGl_collapsedzd2nilzd2zzsaw_collapsez00());
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_collapsedz00zzsaw_collapsez00, BGl_proc4044z00zzsaw_collapsez00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_collapsedz00zzsaw_collapsez00, BGl_proc4045z00zzsaw_collapsez00);
		}
	}



/* struct+object->objec3892 */
	obj_t BGl_structzb2objectzd2ze3objec3892z83zzsaw_collapsez00(obj_t
		BgL_envz00_1810, obj_t BgL_oz00_1811, obj_t BgL_sz00_1812)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 7 */
			{
				BgL_collapsedz00_bglt BgL_oz00_1670;

				obj_t BgL_sz00_1671;

				{	/* SawMill/collapse.scm 7 */
					BgL_collapsedz00_bglt BgL_auxz00_1984;

					BgL_oz00_1670 = (BgL_collapsedz00_bglt) (BgL_oz00_1811);
					BgL_sz00_1671 = BgL_sz00_1812;
					{

						{	/* SawMill/collapse.scm 7 */
							obj_t BgL_old3855z00_1674;

							obj_t BgL_aux3856z00_1675;

							{	/* SawMill/collapse.scm 7 */
								obj_t BgL_nextzd2method3891zd2_1680;

								BgL_nextzd2method3891zd2_1680 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_1670),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_collapsedz00zzsaw_collapsez00);
								if (PROCEDUREP(BgL_nextzd2method3891zd2_1680))
									{	/* SawMill/collapse.scm 7 */
										BgL_old3855z00_1674 =
											PROCEDURE_ENTRY(BgL_nextzd2method3891zd2_1680)
											(BgL_nextzd2method3891zd2_1680, (obj_t) (BgL_oz00_1670),
											BgL_sz00_1671, BEOA);
									}
								else
									{	/* SawMill/collapse.scm 7 */
										BgL_old3855z00_1674 =
											(obj_t) (BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_1670), BgL_sz00_1671));
									}
							}
							BgL_aux3856z00_1675 =
								STRUCT_REF(BgL_sz00_1671, (int) (((long) 0)));
							{	/* SawMill/collapse.scm 7 */
								BgL_collapsedz00_bglt BgL_new3857z00_1676;

								BgL_new3857z00_1676 =
									((BgL_collapsedz00_bglt) (BgL_old3855z00_1674));
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_new3857z00_1676),
									BGl_classzd2numzd2zz__objectz00
									(BGl_collapsedz00zzsaw_collapsez00));
								{	/* SawMill/collapse.scm 7 */
									BgL_collapsedz00_bglt BgL_arg4028z00_1678;

									{	/* SawMill/collapse.scm 7 */
										obj_t BgL_arg4029z00_1679;

										BgL_arg4029z00_1679 =
											STRUCT_REF(BgL_aux3856z00_1675, (int) (((long) 0)));
										{	/* SawMill/collapse.scm 7 */
											BgL_collapsedz00_bglt BgL_res4040z00_1795;

											{	/* SawMill/collapse.scm 7 */
												BgL_collapsedz00_bglt BgL_new3838z00_1790;

												BgL_new3838z00_1790 =
													((BgL_collapsedz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_collapsedz00_bgl))));
												{	/* SawMill/collapse.scm 7 */
													BgL_collapsedz00_bglt BgL_res4039z00_1794;

													{	/* SawMill/collapse.scm 7 */
														BgL_collapsedz00_bglt BgL_new3848z00_1791;

														BgL_new3848z00_1791 = BgL_new3838z00_1790;
														{	/* SawMill/collapse.scm 7 */
															obj_t BgL_last3847z00_1793;

															BgL_last3847z00_1793 = BgL_arg4029z00_1679;
															((((BgL_collapsedz00_bglt)
																		CREF(BgL_new3848z00_1791))->BgL_lastz00) =
																((obj_t) BgL_last3847z00_1793), BUNSPEC);
															BgL_res4039z00_1794 = BgL_new3848z00_1791;
													}} BgL_res4039z00_1794;
												}
												BgL_res4040z00_1795 = BgL_new3838z00_1790;
											}
											BgL_arg4028z00_1678 = BgL_res4040z00_1795;
									}}
									{	/* SawMill/collapse.scm 7 */
										obj_t BgL_auxz00_2007;

										BgL_objectz00_bglt BgL_auxz00_2005;

										BgL_auxz00_2007 = (obj_t) (BgL_arg4028z00_1678);
										BgL_auxz00_2005 =
											(BgL_objectz00_bglt) (BgL_new3857z00_1676);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_2005, BgL_auxz00_2007);
								}}
								BgL_auxz00_1984 = BgL_new3857z00_1676;
					}}}
					return (obj_t) (BgL_auxz00_1984);
				}
			}
		}
	}



/* object->struct-colla3890 */
	obj_t BGl_objectzd2ze3structzd2colla3890ze3zzsaw_collapsez00(obj_t
		BgL_envz00_1813, obj_t BgL_obj3852z00_1814)
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 7 */
			{
				BgL_collapsedz00_bglt BgL_obj3852z00_1660;

				BgL_obj3852z00_1660 = (BgL_collapsedz00_bglt) (BgL_obj3852z00_1814);
				{

					{	/* SawMill/collapse.scm 7 */
						obj_t BgL_res3853z00_1663;

						{	/* SawMill/collapse.scm 7 */
							obj_t BgL_nextzd2method3889zd2_1668;

							BgL_nextzd2method3889zd2_1668 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj3852z00_1660),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_collapsedz00zzsaw_collapsez00);
							if (PROCEDUREP(BgL_nextzd2method3889zd2_1668))
								{	/* SawMill/collapse.scm 7 */
									BgL_res3853z00_1663 =
										PROCEDURE_ENTRY(BgL_nextzd2method3889zd2_1668)
										(BgL_nextzd2method3889zd2_1668,
										(obj_t) (BgL_obj3852z00_1660), BEOA);
								}
							else
								{	/* SawMill/collapse.scm 7 */
									BgL_res3853z00_1663 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj3852z00_1660));
								}
						}
						{	/* SawMill/collapse.scm 7 */
							obj_t BgL_aux3854z00_1664;

							{	/* SawMill/collapse.scm 7 */
								obj_t BgL_keyz00_1766;

								BgL_keyz00_1766 = CNST_TABLE_REF(((long) 0));
								BgL_aux3854z00_1664 =
									make_struct(BgL_keyz00_1766, (int) (((long) 1)), BUNSPEC);
							}
							{	/* SawMill/collapse.scm 7 */
								obj_t BgL_arg4024z00_1666;

								{
									obj_t BgL_auxz00_2024;

									{	/* SawMill/collapse.scm 7 */
										BgL_objectz00_bglt BgL_auxz00_2025;

										BgL_auxz00_2025 =
											(BgL_objectz00_bglt) (BgL_obj3852z00_1660);
										BgL_auxz00_2024 = BGL_OBJECT_WIDENING(BgL_auxz00_2025);
									}
									BgL_arg4024z00_1666 =
										(((BgL_collapsedz00_bglt) CREF(BgL_auxz00_2024))->
										BgL_lastz00);
								}
								{	/* SawMill/collapse.scm 7 */
									int BgL_auxz00_2029;

									BgL_auxz00_2029 = (int) (((long) 0));
									STRUCT_SET(BgL_aux3854z00_1664, BgL_auxz00_2029,
										BgL_arg4024z00_1666);
							}}
							{	/* SawMill/collapse.scm 7 */
								int BgL_auxz00_2032;

								BgL_auxz00_2032 = (int) (((long) 0));
								STRUCT_SET(BgL_res3853z00_1663, BgL_auxz00_2032,
									BgL_aux3854z00_1664);
							}
							{	/* SawMill/collapse.scm 7 */
								obj_t BgL_auxz00_2035;

								BgL_auxz00_2035 = STRUCT_KEY(BgL_res3853z00_1663);
								STRUCT_KEY_SET(BgL_aux3854z00_1664, BgL_auxz00_2035);
							}
							{	/* SawMill/collapse.scm 7 */
								obj_t BgL_kz00_1781;

								BgL_kz00_1781 = CNST_TABLE_REF(((long) 0));
								STRUCT_KEY_SET(BgL_res3853z00_1663, BgL_kz00_1781);
							}
							return BgL_res3853z00_1663;
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_collapsez00()
	{
		AN_OBJECT;
		{	/* SawMill/collapse.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4046z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4046z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4046z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 123885324),
				BSTRING_TO_STRING(BGl_string4046z00zzsaw_collapsez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 192042637),
				BSTRING_TO_STRING(BGl_string4046z00zzsaw_collapsez00));
		}
	}

#ifdef __cplusplus
}
#endif
