/*===========================================================================*/
/*   (SawMill/regset.scm)                                                    */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/regset.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_lastz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_lastz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_jumpexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_jumpexitz00_bglt;

	typedef struct BgL_rtl_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_failz00_bglt;

	typedef struct BgL_rtl_notseqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_notseqz00_bglt;

	typedef struct BgL_rtl_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                *BgL_rtl_ifz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_purez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_purez00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                 *BgL_rtl_isaz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_boxrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxrefz00_bglt;

	typedef struct BgL_rtl_effectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_effectz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_boxsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_applyz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                   *BgL_rtl_applyz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_funcallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_protectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_protectz00_bglt;

	typedef struct BgL_rtl_protectedz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                       *BgL_rtl_protectedz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;


	static obj_t BGl__regsetzd2forzd2each4308z00zzsaw_regsetz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_listzd2ze3regsetz31zzsaw_regsetz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl__regsetzd2addza2z124304z62zzsaw_regsetz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_regsetzd2filterzd2zzsaw_regsetz00(obj_t,
		BgL_regsetz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_regsetz00();
	BGL_EXPORTED_DEF obj_t BGl_regsetz00zzsaw_regsetz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_duplicatezd2regsetzd2zzsaw_regsetz00(BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_regsetzd2addza2z12z62zzsaw_regsetz00(BgL_regsetz00_bglt, obj_t);
	static obj_t BGl__regsetzd2nilzd2zzsaw_regsetz00(obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec4066z83zzsaw_regsetz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3anonymousza34174ze3z83zzsaw_regsetz00(obj_t, obj_t);
	static obj_t BGl__fillzd2regsetz124312zc0zzsaw_regsetz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__regsetzd2addz124303zc0zzsaw_regsetz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl__makezd2regset4311zd2zzsaw_regsetz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t make_string(long, unsigned char);
	static obj_t BGl_toplevelzd2initzd2zzsaw_regsetz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_za2registerzd2cachezd2cachedza2z00zzsaw_regsetz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t
		BGl_regsetzd2unionz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_regsetzd2removez12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_rtl_regzf2razf2_bglt);
	static obj_t BGl_loopz00zzsaw_regsetz00(obj_t, BgL_regsetz00_bglt, long);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt BGl_makezd2regsetzd2zzsaw_regsetz00(int,
		int, obj_t, obj_t, obj_t);
	static obj_t BGl__regsetzd2filter4309zd2zzsaw_regsetz00(obj_t, obj_t, obj_t);
	static obj_t BGl__regsetzd2memberzf34301z21zzsaw_regsetz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__regsetzd2dump4310zd2zzsaw_regsetz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2ze3listz31zzsaw_regsetz00(BgL_regsetz00_bglt);
	static obj_t BGl_methodzd2initzd2zzsaw_regsetz00();
	static obj_t BGl__duplicatezd2regset4300zd2zzsaw_regsetz00(obj_t, obj_t);
	static obj_t BGl_z52thezd2regsetzd2nilz52zzsaw_regsetz00 = BUNSPEC;
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_fillzd2regsetz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt, int, int, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2emptyzf3z21zzsaw_regsetz00(BgL_regsetz00_bglt);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_regsetz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2dumpzd2zzsaw_regsetz00(BgL_regsetz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_z52allocatezd2regsetz80zzsaw_regsetz00();
	static obj_t BGl__regsetzd2unionz124306zc0zzsaw_regsetz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_regsetzd2memberzf3z21zzsaw_regsetz00(BgL_rtl_regzf2razf2_bglt,
		BgL_regsetz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_regsetz00();
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_regsetz00(obj_t);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	static obj_t BGl__listzd2ze3regset4298z31zzsaw_regsetz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_dumpz00zzsaw_defsz00(obj_t, obj_t, int);
	static obj_t BGl_objectzd2ze3structzd2regse4063ze3zzsaw_regsetz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl__regsetzd2removez124305zc0zzsaw_regsetz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_regsetzd2addz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt,
		BgL_rtl_regzf2razf2_bglt);
	BGL_IMPORT obj_t make_vector(int, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_regsetzd2forzd2eachz00zzsaw_regsetz00(obj_t,
		BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt BGl_regsetzd2nilzd2zzsaw_regsetz00();
	static obj_t BGl_za2registerzd2cacheza2zd2zzsaw_regsetz00 = BUNSPEC;
	static obj_t BGl__z52allocatezd2regsetz80zzsaw_regsetz00(obj_t);
	static obj_t BGl__regsetzd2unionza2z124307z62zzsaw_regsetz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3anonymousza34085ze3z83zzsaw_regsetz00(obj_t, obj_t);
	static obj_t BGl__regsetzf3zf3zzsaw_regsetz00(obj_t, obj_t);
	static obj_t BGl__regsetzd2ze3list4299z31zzsaw_regsetz00(obj_t, obj_t);
	static obj_t BGl__regsetzd2emptyzf34302z21zzsaw_regsetz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_regsetz00();
	BGL_EXPORTED_DECL bool_t
		BGl_regsetzd2unionza2z12z62zzsaw_regsetz00(BgL_regsetz00_bglt, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_regsetz00();
	static obj_t BGl__makezd2emptyzd2regset4297z00zzsaw_regsetz00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2emptyzd2regsetzd2envzd2zzsaw_regsetz00,
		BgL_bgl__makeza7d2emptyza7d24330z00,
		BGl__makezd2emptyzd2regset4297z00zzsaw_regsetz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_regsetz00,
		BgL_bgl__regsetza7f3za7f3za7za7s4331z00, BGl__regsetzf3zf3zzsaw_regsetz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4322z00zzsaw_regsetz00,
		BgL_bgl_objectza7d2za7e3stru4332z00,
		BGl_objectzd2ze3structzd2regse4063ze3zzsaw_regsetz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4323z00zzsaw_regsetz00,
		BgL_bgl_structza7b2objectza74333z00,
		BGl_structzb2objectzd2ze3objec4066z83zzsaw_regsetz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2filterzd2envz00zzsaw_regsetz00,
		BgL_bgl__regsetza7d2filter4334za7,
		BGl__regsetzd2filter4309zd2zzsaw_regsetz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4318z00zzsaw_regsetz00,
		BgL_bgl_string4318za700za7za7s4335za7, "{", 1);
	      DEFINE_STRING(BGl_string4320z00zzsaw_regsetz00,
		BgL_bgl_string4320za700za7za7s4336za7, " ", 1);
	      DEFINE_STRING(BGl_string4319z00zzsaw_regsetz00,
		BgL_bgl_string4319za700za7za7s4337za7, "}", 1);
	      DEFINE_STRING(BGl_string4321z00zzsaw_regsetz00,
		BgL_bgl_string4321za700za7za7s4338za7, "", 0);
	      DEFINE_STRING(BGl_string4324z00zzsaw_regsetz00,
		BgL_bgl_string4324za700za7za7s4339za7, "saw_regset", 10);
	      DEFINE_STRING(BGl_string4325z00zzsaw_regsetz00,
		BgL_bgl_string4325za700za7za7s4340za7, "#() regset ", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_listzd2ze3regsetzd2envze3zzsaw_regsetz00,
		BgL_bgl__listza7d2za7e3regse4341z00,
		BGl__listzd2ze3regset4298z31zzsaw_regsetz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2memberzf3zd2envzf3zzsaw_regsetz00,
		BgL_bgl__regsetza7d2member4342za7,
		BGl__regsetzd2memberzf34301z21zzsaw_regsetz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2forzd2eachzd2envzd2zzsaw_regsetz00,
		BgL_bgl__regsetza7d2forza7d24343z00,
		BGl__regsetzd2forzd2each4308z00zzsaw_regsetz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2unionz12zd2envz12zzsaw_regsetz00,
		BgL_bgl__regsetza7d2unionza74344z00,
		BGl__regsetzd2unionz124306zc0zzsaw_regsetz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2addz12zd2envz12zzsaw_regsetz00,
		BgL_bgl__regsetza7d2addza7124345z00,
		BGl__regsetzd2addz124303zc0zzsaw_regsetz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_regsetz00,
		BgL_bgl__regsetza7d2nilza7d24346z00, BGl__regsetzd2nilzd2zzsaw_regsetz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_regsetz00,
		BgL_bgl__makeza7d2regset434347za7, BGl__makezd2regset4311zd2zzsaw_regsetz00,
		0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2ze3listzd2envze3zzsaw_regsetz00,
		BgL_bgl__regsetza7d2za7e3lis4348z00,
		BGl__regsetzd2ze3list4299z31zzsaw_regsetz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2addza2z12zd2envzb0zzsaw_regsetz00,
		BgL_bgl__regsetza7d2addza7a24349z00,
		BGl__regsetzd2addza2z124304z62zzsaw_regsetz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2emptyzf3zd2envzf3zzsaw_regsetz00,
		BgL_bgl__regsetza7d2emptyza74350z00,
		BGl__regsetzd2emptyzf34302z21zzsaw_regsetz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2removez12zd2envz12zzsaw_regsetz00,
		BgL_bgl__regsetza7d2remove4351za7,
		BGl__regsetzd2removez124305zc0zzsaw_regsetz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2dumpzd2envz00zzsaw_regsetz00,
		BgL_bgl__regsetza7d2dump434352za7, va_generic_entry,
		BGl__regsetzd2dump4310zd2zzsaw_regsetz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2unionza2z12zd2envzb0zzsaw_regsetz00,
		BgL_bgl__regsetza7d2unionza74353z00,
		BGl__regsetzd2unionza2z124307z62zzsaw_regsetz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fillzd2regsetz12zd2envz12zzsaw_regsetz00,
		BgL_bgl__fillza7d2regsetza714354z00,
		BGl__fillzd2regsetz124312zc0zzsaw_regsetz00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_duplicatezd2regsetzd2envz00zzsaw_regsetz00,
		BgL_bgl__duplicateza7d2reg4355za7,
		BGl__duplicatezd2regset4300zd2zzsaw_regsetz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2regsetzd2envz52zzsaw_regsetz00,
		BgL_bgl__za752allocateza7d2r4356z00,
		BGl__z52allocatezd2regsetz80zzsaw_regsetz00, 0L, BUNSPEC, 0);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long
		BgL_checksumz00_2418, char *BgL_fromz00_2419)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_regsetz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_regsetz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzsaw_regsetz00();
					BGl_cnstzd2initzd2zzsaw_regsetz00();
					BGl_importedzd2moduleszd2initz00zzsaw_regsetz00();
					BGl_objectzd2initzd2zzsaw_regsetz00();
					BGl_methodzd2initzd2zzsaw_regsetz00();
					BGl_toplevelzd2initzd2zzsaw_regsetz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_regsetz00()
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_regset");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_regset");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_regset");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_regsetz00()
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 15 */
			{	/* SawMill/regset.scm 15 */
				obj_t BgL_cportz00_2387;

				BgL_cportz00_2387 =
					bgl_open_input_string(BGl_string4325z00zzsaw_regsetz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2388;

					BgL_iz00_2388 = ((long) 1);
				BgL_loopz00_2389:
					if ((BgL_iz00_2388 == ((long) -1)))
						{	/* SawMill/regset.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/regset.scm 15 */
							{	/* SawMill/regset.scm 15 */
								obj_t BgL_arg4327z00_2391;

								{	/* SawMill/regset.scm 15 */

									{	/* SawMill/regset.scm 15 */
										obj_t BgL_locationz00_2393;

										BgL_locationz00_2393 = BBOOL(((bool_t) 0));
										{	/* SawMill/regset.scm 15 */

											BgL_arg4327z00_2391 =
												BGl_readz00zz__readerz00(BgL_cportz00_2387,
												BgL_locationz00_2393);
										}
									}
								}
								{	/* SawMill/regset.scm 15 */
									int BgL_auxz00_2438;

									BgL_auxz00_2438 = (int) (BgL_iz00_2388);
									CNST_TABLE_SET(BgL_auxz00_2438, BgL_arg4327z00_2391);
							}}
							{	/* SawMill/regset.scm 15 */
								int BgL_auxz00_2394;

								BgL_auxz00_2394 = (int) ((BgL_iz00_2388 - ((long) 1)));
								{
									long BgL_iz00_2443;

									BgL_iz00_2443 = (long) (BgL_auxz00_2394);
									BgL_iz00_2388 = BgL_iz00_2443;
									goto BgL_loopz00_2389;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_regsetz00()
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 15 */
			BGl_za2registerzd2cacheza2zd2zzsaw_regsetz00 = BFALSE;
			return (BGl_za2registerzd2cachezd2cachedza2z00zzsaw_regsetz00 =
				BFALSE, BUNSPEC);
		}
	}



/* make-empty-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00(obj_t BgL_registersz00_6)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 69 */
			{	/* SawMill/regset.scm 70 */
				long BgL_lz00_1198;

				BgL_lz00_1198 = bgl_list_length(BgL_registersz00_6);
				{	/* SawMill/regset.scm 70 */
					obj_t BgL_vecz00_1199;

					if (
						(BGl_za2registerzd2cacheza2zd2zzsaw_regsetz00 ==
							BgL_registersz00_6))
						{	/* SawMill/regset.scm 71 */
							BgL_vecz00_1199 =
								BGl_za2registerzd2cachezd2cachedza2z00zzsaw_regsetz00;
						}
					else
						{	/* SawMill/regset.scm 73 */
							obj_t BgL_vz00_1207;

							BgL_vz00_1207 = make_vector((int) (BgL_lz00_1198), BUNSPEC);
							{
								obj_t BgL_l4055z00_1208;

								BgL_l4055z00_1208 = BgL_registersz00_6;
							BgL_forzd2each4056zd2_1209:
								if (PAIRP(BgL_l4055z00_1208))
									{	/* SawMill/regset.scm 74 */
										{	/* SawMill/regset.scm 75 */
											obj_t BgL_rz00_1211;

											BgL_rz00_1211 = CAR(BgL_l4055z00_1208);
											{	/* SawMill/regset.scm 75 */
												int BgL_arg4079z00_1212;

												{	/* SawMill/regset.scm 75 */
													BgL_rtl_regzf2razf2_bglt BgL_obj3954z00_1978;

													BgL_obj3954z00_1978 =
														(BgL_rtl_regzf2razf2_bglt) (BgL_rz00_1211);
													{
														obj_t BgL_auxz00_2454;

														{	/* SawMill/regset.scm 75 */
															BgL_objectz00_bglt BgL_auxz00_2455;

															BgL_auxz00_2455 =
																(BgL_objectz00_bglt) (BgL_obj3954z00_1978);
															BgL_auxz00_2454 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2455);
														}
														BgL_arg4079z00_1212 =
															(((BgL_rtl_regzf2razf2_bglt)
																CREF(BgL_auxz00_2454))->BgL_numz00);
												}}
												VECTOR_SET(BgL_vz00_1207, BgL_arg4079z00_1212,
													BgL_rz00_1211);
										}}
										{
											obj_t BgL_l4055z00_2460;

											BgL_l4055z00_2460 = CDR(BgL_l4055z00_1208);
											BgL_l4055z00_1208 = BgL_l4055z00_2460;
											goto BgL_forzd2each4056zd2_1209;
										}
									}
								else
									{	/* SawMill/regset.scm 74 */
										((bool_t) 1);
									}
							}
							BgL_vecz00_1199 = BgL_vz00_1207;
						}
					{	/* SawMill/regset.scm 71 */

						BGl_za2registerzd2cacheza2zd2zzsaw_regsetz00 = BgL_registersz00_6;
						BGl_za2registerzd2cachezd2cachedza2z00zzsaw_regsetz00 =
							BgL_vecz00_1199;
						{	/* SawMill/regset.scm 82 */
							obj_t BgL_arg4072z00_1201;

							{	/* SawMill/regset.scm 85 */
								long BgL_arg4073z00_1202;

								BgL_arg4073z00_1202 =
									(((long) 1) + (BgL_lz00_1198 / ((long) 8)));
								{	/* SawMill/regset.scm 85 */
									obj_t BgL_list4074z00_1203;

									BgL_list4074z00_1203 =
										MAKE_PAIR(BCHAR(((unsigned char) '\000')), BNIL);
									{	/* SawMill/regset.scm 85 */
										obj_t BgL_res4288z00_1993;

										{	/* SawMill/regset.scm 85 */
											obj_t BgL_arg1833z00_1990;

											BgL_arg1833z00_1990 = CAR(BgL_list4074z00_1203);
											BgL_res4288z00_1993 =
												make_string(BgL_arg4073z00_1202,
												CCHAR(BgL_arg1833z00_1990));
										}
										BgL_arg4072z00_1201 = BgL_res4288z00_1993;
							}}}
							{	/* SawMill/regset.scm 82 */
								BgL_regsetz00_bglt BgL_res4291z00_2017;

								{	/* SawMill/regset.scm 82 */
									int BgL_length3994z00_1994;

									int BgL_msiza7e3995za7_1995;

									obj_t BgL_regv3996z00_1996;

									BgL_length3994z00_1994 = (int) (((long) 0));
									BgL_msiza7e3995za7_1995 = (int) (BgL_lz00_1198);
									BgL_regv3996z00_1996 = BgL_vecz00_1199;
									{	/* SawMill/regset.scm 82 */
										BgL_regsetz00_bglt BgL_new3999z00_1999;

										{	/* SawMill/regset.scm 82 */
											BgL_regsetz00_bglt BgL_res4289z00_2004;

											{	/* SawMill/regset.scm 82 */
												BgL_regsetz00_bglt BgL_new4013z00_2000;

												BgL_new4013z00_2000 =
													((BgL_regsetz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_regsetz00_bgl))));
												BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
													(BgL_new4013z00_2000),
													BGl_classzd2numzd2zz__objectz00
													(BGl_regsetz00zzsaw_regsetz00));
												{	/* SawMill/regset.scm 82 */
													BgL_objectz00_bglt BgL_auxz00_2475;

													BgL_auxz00_2475 =
														(BgL_objectz00_bglt) (BgL_new4013z00_2000);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_2475, BFALSE);
												}
												BgL_res4289z00_2004 = BgL_new4013z00_2000;
											}
											BgL_new3999z00_1999 = BgL_res4289z00_2004;
										}
										{	/* SawMill/regset.scm 82 */
											BgL_regsetz00_bglt BgL_res4290z00_2016;

											{	/* SawMill/regset.scm 82 */
												BgL_regsetz00_bglt BgL_new4006z00_2005;

												BgL_new4006z00_2005 = BgL_new3999z00_1999;
												{	/* SawMill/regset.scm 82 */
													int BgL_length4001z00_2011;

													int BgL_msiza7e4002za7_2012;

													obj_t BgL_regv4003z00_2013;

													obj_t BgL_regl4004z00_2014;

													obj_t BgL_string4005z00_2015;

													BgL_length4001z00_2011 = BgL_length3994z00_1994;
													BgL_msiza7e4002za7_2012 = BgL_msiza7e3995za7_1995;
													BgL_regv4003z00_2013 = BgL_regv3996z00_1996;
													BgL_regl4004z00_2014 = BgL_registersz00_6;
													BgL_string4005z00_2015 = BgL_arg4072z00_1201;
													((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2005))->
															BgL_lengthz00) =
														((int) BgL_length4001z00_2011), BUNSPEC);
													((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2005))->
															BgL_msiza7eza7) =
														((int) BgL_msiza7e4002za7_2012), BUNSPEC);
													((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2005))->
															BgL_regvz00) =
														((obj_t) BgL_regv4003z00_2013), BUNSPEC);
													((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2005))->
															BgL_reglz00) =
														((obj_t) BgL_regl4004z00_2014), BUNSPEC);
													((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2005))->
															BgL_stringz00) =
														((obj_t) BgL_string4005z00_2015), BUNSPEC);
													BgL_res4290z00_2016 = BgL_new4006z00_2005;
											}} BgL_res4290z00_2016;
										}
										BgL_res4291z00_2017 = BgL_new3999z00_1999;
								}}
								return BgL_res4291z00_2017;
							}
						}
					}
				}
			}
		}
	}



/* _make-empty-regset4297 */
	obj_t BGl__makezd2emptyzd2regset4297z00zzsaw_regsetz00(obj_t BgL_envz00_2306,
		obj_t BgL_registersz00_2307)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 69 */
			return
				(obj_t) (BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00
				(BgL_registersz00_2307));
		}
	}



/* list->regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_listzd2ze3regsetz31zzsaw_regsetz00(obj_t BgL_lstz00_7,
		obj_t BgL_registersz00_8)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 92 */
			{	/* SawMill/regset.scm 93 */
				BgL_regsetz00_bglt BgL_sz00_1215;

				BgL_sz00_1215 =
					BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00(BgL_registersz00_8);
				{
					obj_t BgL_l4057z00_1216;

					BgL_l4057z00_1216 = BgL_lstz00_7;
				BgL_forzd2each4058zd2_1217:
					if (PAIRP(BgL_l4057z00_1216))
						{	/* SawMill/regset.scm 94 */
							{	/* SawMill/regset.scm 94 */
								obj_t BgL_ez00_1219;

								BgL_ez00_1219 = CAR(BgL_l4057z00_1216);
								BGl_regsetzd2addz12zc0zzsaw_regsetz00(BgL_sz00_1215,
									(BgL_rtl_regzf2razf2_bglt) (BgL_ez00_1219));
							}
							{
								obj_t BgL_l4057z00_2491;

								BgL_l4057z00_2491 = CDR(BgL_l4057z00_1216);
								BgL_l4057z00_1216 = BgL_l4057z00_2491;
								goto BgL_forzd2each4058zd2_1217;
							}
						}
					else
						{	/* SawMill/regset.scm 94 */
							((bool_t) 1);
						}
				}
				return BgL_sz00_1215;
			}
		}
	}



/* _list->regset4298 */
	obj_t BGl__listzd2ze3regset4298z31zzsaw_regsetz00(obj_t BgL_envz00_2308,
		obj_t BgL_lstz00_2309, obj_t BgL_registersz00_2310)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 92 */
			return
				(obj_t) (BGl_listzd2ze3regsetz31zzsaw_regsetz00(BgL_lstz00_2309,
					BgL_registersz00_2310));
		}
	}



/* regset->list */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2ze3listz31zzsaw_regsetz00(BgL_regsetz00_bglt BgL_sz00_9)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 100 */
			{	/* SawMill/regset.scm 101 */
				obj_t BgL_rz00_1221;

				BgL_rz00_1221 = MAKE_CELL(BNIL);
				{	/* SawMill/regset.scm 102 */
					obj_t BgL_zc3anonymousza34085ze3z83_2311;

					BgL_zc3anonymousza34085ze3z83_2311 =
						make_fx_procedure(BGl_zc3anonymousza34085ze3z83zzsaw_regsetz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza34085ze3z83_2311,
						(int) (((long) 0)), BgL_rz00_1221);
					BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
						(BgL_zc3anonymousza34085ze3z83_2311, BgL_sz00_9);
				}
				return bgl_reverse_bang(CELL_REF(BgL_rz00_1221));
			}
		}
	}



/* _regset->list4299 */
	obj_t BGl__regsetzd2ze3list4299z31zzsaw_regsetz00(obj_t BgL_envz00_2312,
		obj_t BgL_sz00_2313)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 100 */
			return
				BGl_regsetzd2ze3listz31zzsaw_regsetz00(
				(BgL_regsetz00_bglt) (BgL_sz00_2313));
		}
	}



/* <anonymous:4085> */
	obj_t BGl_zc3anonymousza34085ze3z83zzsaw_regsetz00(obj_t BgL_envz00_2314,
		obj_t BgL_ez00_2316)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 102 */
			{	/* SawMill/regset.scm 102 */
				obj_t BgL_rz00_2315;

				BgL_rz00_2315 = PROCEDURE_REF(BgL_envz00_2314, (int) (((long) 0)));
				{
					obj_t BgL_ez00_1223;

					BgL_ez00_1223 = BgL_ez00_2316;
					{	/* SawMill/regset.scm 102 */
						obj_t BgL_auxz00_2317;

						BgL_auxz00_2317 = MAKE_PAIR(BgL_ez00_1223, CELL_REF(BgL_rz00_2315));
						return CELL_SET(BgL_rz00_2315, BgL_auxz00_2317);
					}
				}
			}
		}
	}



/* duplicate-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_duplicatezd2regsetzd2zzsaw_regsetz00(BgL_regsetz00_bglt BgL_s0z00_10)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 108 */
			{	/* SawMill/regset.scm 109 */
				BgL_regsetz00_bglt BgL_sz00_1226;

				{	/* SawMill/regset.scm 109 */
					obj_t BgL_arg4086z00_1227;

					BgL_arg4086z00_1227 =
						(((BgL_regsetz00_bglt) CREF(BgL_s0z00_10))->BgL_reglz00);
					BgL_sz00_1226 =
						BGl_makezd2emptyzd2regsetz00zzsaw_regsetz00(BgL_arg4086z00_1227);
				}
				BGl_regsetzd2unionz12zc0zzsaw_regsetz00(BgL_sz00_1226, BgL_s0z00_10);
				return BgL_sz00_1226;
			}
		}
	}



/* _duplicate-regset4300 */
	obj_t BGl__duplicatezd2regset4300zd2zzsaw_regsetz00(obj_t BgL_envz00_2318,
		obj_t BgL_s0z00_2319)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 108 */
			return
				(obj_t) (BGl_duplicatezd2regsetzd2zzsaw_regsetz00(
					(BgL_regsetz00_bglt) (BgL_s0z00_2319)));
		}
	}



/* regset-member? */
	BGL_EXPORTED_DEF bool_t
		BGl_regsetzd2memberzf3z21zzsaw_regsetz00(BgL_rtl_regzf2razf2_bglt
		BgL_regz00_11, BgL_regsetz00_bglt BgL_sz00_12)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 116 */
			{	/* SawMill/regset.scm 118 */
				long BgL_basez00_1229;

				long BgL_bitz00_1230;

				{	/* SawMill/regset.scm 118 */
					long BgL_auxz00_2513;

					{	/* SawMill/regset.scm 118 */
						int BgL_auxz00_2514;

						{
							obj_t BgL_auxz00_2515;

							{	/* SawMill/regset.scm 118 */
								BgL_objectz00_bglt BgL_auxz00_2516;

								BgL_auxz00_2516 = (BgL_objectz00_bglt) (BgL_regz00_11);
								BgL_auxz00_2515 = BGL_OBJECT_WIDENING(BgL_auxz00_2516);
							}
							BgL_auxz00_2514 =
								(((BgL_rtl_regzf2razf2_bglt) CREF(BgL_auxz00_2515))->
								BgL_numz00);
						}
						BgL_auxz00_2513 = (long) (BgL_auxz00_2514);
					}
					BgL_basez00_1229 = (BgL_auxz00_2513 / ((long) 8));
				}
				{	/* SawMill/regset.scm 119 */
					int BgL_arg4096z00_1240;

					{
						obj_t BgL_auxz00_2522;

						{	/* SawMill/regset.scm 119 */
							BgL_objectz00_bglt BgL_auxz00_2523;

							BgL_auxz00_2523 = (BgL_objectz00_bglt) (BgL_regz00_11);
							BgL_auxz00_2522 = BGL_OBJECT_WIDENING(BgL_auxz00_2523);
						}
						BgL_arg4096z00_1240 =
							(((BgL_rtl_regzf2razf2_bglt) CREF(BgL_auxz00_2522))->BgL_numz00);
					}
					{	/* SawMill/regset.scm 119 */
						long BgL_auxz00_2527;

						BgL_auxz00_2527 = (long) (BgL_arg4096z00_1240);
						BgL_bitz00_1230 = (BgL_auxz00_2527 % ((long) 8));
				}}
				if (
					(BgL_basez00_1229 <
						STRING_LENGTH(
							(((BgL_regsetz00_bglt) CREF(BgL_sz00_12))->BgL_stringz00))))
					{	/* SawMill/regset.scm 120 */
						return
							(
							((STRING_REF(
										(((BgL_regsetz00_bglt) CREF(BgL_sz00_12))->BgL_stringz00),
										BgL_basez00_1229)) & (((long) 1) <<
									(int) (BgL_bitz00_1230))) > ((long) 0));
					}
				else
					{	/* SawMill/regset.scm 120 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _regset-member?4301 */
	obj_t BGl__regsetzd2memberzf34301z21zzsaw_regsetz00(obj_t BgL_envz00_2320,
		obj_t BgL_regz00_2321, obj_t BgL_sz00_2322)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 116 */
			return
				BBOOL(BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
					(BgL_rtl_regzf2razf2_bglt) (BgL_regz00_2321),
					(BgL_regsetz00_bglt) (BgL_sz00_2322)));
		}
	}



/* regset-empty? */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2emptyzf3z21zzsaw_regsetz00(BgL_regsetz00_bglt BgL_sz00_13)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 126 */
			return
				BBOOL(
				((long) (
						(((BgL_regsetz00_bglt) CREF(BgL_sz00_13))->BgL_lengthz00)) ==
					((long) 0)));
		}
	}



/* _regset-empty?4302 */
	obj_t BGl__regsetzd2emptyzf34302z21zzsaw_regsetz00(obj_t BgL_envz00_2323,
		obj_t BgL_sz00_2324)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 126 */
			return
				BGl_regsetzd2emptyzf3z21zzsaw_regsetz00(
				(BgL_regsetz00_bglt) (BgL_sz00_2324));
		}
	}



/* regset-add! */
	BGL_EXPORTED_DEF bool_t
		BGl_regsetzd2addz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt BgL_sz00_14,
		BgL_rtl_regzf2razf2_bglt BgL_regz00_15)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 132 */
			{	/* SawMill/regset.scm 133 */
				bool_t BgL_testz00_2551;

				if (BGl_regsetzd2memberzf3z21zzsaw_regsetz00(BgL_regz00_15,
						BgL_sz00_14))
					{	/* SawMill/regset.scm 133 */
						BgL_testz00_2551 = ((bool_t) 0);
					}
				else
					{	/* SawMill/regset.scm 133 */
						BgL_testz00_2551 = ((bool_t) 1);
					}
				if (BgL_testz00_2551)
					{	/* SawMill/regset.scm 135 */
						long BgL_basez00_1246;

						long BgL_bitz00_1247;

						{	/* SawMill/regset.scm 135 */
							long BgL_auxz00_2554;

							{	/* SawMill/regset.scm 135 */
								int BgL_auxz00_2555;

								{
									obj_t BgL_auxz00_2556;

									{	/* SawMill/regset.scm 135 */
										BgL_objectz00_bglt BgL_auxz00_2557;

										BgL_auxz00_2557 = (BgL_objectz00_bglt) (BgL_regz00_15);
										BgL_auxz00_2556 = BGL_OBJECT_WIDENING(BgL_auxz00_2557);
									}
									BgL_auxz00_2555 =
										(((BgL_rtl_regzf2razf2_bglt) CREF(BgL_auxz00_2556))->
										BgL_numz00);
								}
								BgL_auxz00_2554 = (long) (BgL_auxz00_2555);
							}
							BgL_basez00_1246 = (BgL_auxz00_2554 / ((long) 8));
						}
						{	/* SawMill/regset.scm 136 */
							int BgL_arg4108z00_1257;

							{
								obj_t BgL_auxz00_2563;

								{	/* SawMill/regset.scm 136 */
									BgL_objectz00_bglt BgL_auxz00_2564;

									BgL_auxz00_2564 = (BgL_objectz00_bglt) (BgL_regz00_15);
									BgL_auxz00_2563 = BGL_OBJECT_WIDENING(BgL_auxz00_2564);
								}
								BgL_arg4108z00_1257 =
									(((BgL_rtl_regzf2razf2_bglt) CREF(BgL_auxz00_2563))->
									BgL_numz00);
							}
							{	/* SawMill/regset.scm 136 */
								long BgL_auxz00_2568;

								BgL_auxz00_2568 = (long) (BgL_arg4108z00_1257);
								BgL_bitz00_1247 = (BgL_auxz00_2568 % ((long) 8));
						}}
						{	/* SawMill/regset.scm 138 */
							long BgL_arg4100z00_1249;

							BgL_arg4100z00_1249 =
								(
								(long) (
									(((BgL_regsetz00_bglt) CREF(BgL_sz00_14))->BgL_lengthz00)) +
								((long) 1));
							{
								int BgL_auxz00_2574;

								BgL_auxz00_2574 = (int) (BgL_arg4100z00_1249);
								((((BgL_regsetz00_bglt) CREF(BgL_sz00_14))->BgL_lengthz00) =
									((int) BgL_auxz00_2574), BUNSPEC);
						}}
						{	/* SawMill/regset.scm 139 */
							long BgL_nvalz00_1252;

							BgL_nvalz00_1252 =
								(
								(STRING_REF(
										(((BgL_regsetz00_bglt) CREF(BgL_sz00_14))->BgL_stringz00),
										BgL_basez00_1246)) | (((long) 1) <<
									(int) (BgL_bitz00_1247)));
							{	/* SawMill/regset.scm 140 */
								obj_t BgL_arg4069z00_2077;

								unsigned char BgL_arg4070z00_2078;

								BgL_arg4069z00_2077 =
									(((BgL_regsetz00_bglt) CREF(BgL_sz00_14))->BgL_stringz00);
								BgL_arg4070z00_2078 = (BgL_nvalz00_1252);
								STRING_SET(BgL_arg4069z00_2077, BgL_basez00_1246,
									BgL_arg4070z00_2078);
							}
							return ((bool_t) 1);
						}
					}
				else
					{	/* SawMill/regset.scm 133 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _regset-add!4303 */
	obj_t BGl__regsetzd2addz124303zc0zzsaw_regsetz00(obj_t BgL_envz00_2325,
		obj_t BgL_sz00_2326, obj_t BgL_regz00_2327)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 132 */
			return
				BBOOL(BGl_regsetzd2addz12zc0zzsaw_regsetz00(
					(BgL_regsetz00_bglt) (BgL_sz00_2326),
					(BgL_rtl_regzf2razf2_bglt) (BgL_regz00_2327)));
		}
	}



/* regset-add*! */
	BGL_EXPORTED_DEF bool_t
		BGl_regsetzd2addza2z12z62zzsaw_regsetz00(BgL_regsetz00_bglt BgL_sz00_16,
		obj_t BgL_regsz00_17)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 146 */
			{
				obj_t BgL_l4059z00_1260;

				BgL_l4059z00_1260 = BgL_regsz00_17;
			BgL_forzd2each4060zd2_1261:
				if (PAIRP(BgL_l4059z00_1260))
					{	/* SawMill/regset.scm 147 */
						{	/* SawMill/regset.scm 147 */
							obj_t BgL_rz00_1263;

							BgL_rz00_1263 = CAR(BgL_l4059z00_1260);
							BGl_regsetzd2addz12zc0zzsaw_regsetz00(BgL_sz00_16,
								(BgL_rtl_regzf2razf2_bglt) (BgL_rz00_1263));
						}
						{
							obj_t BgL_l4059z00_2595;

							BgL_l4059z00_2595 = CDR(BgL_l4059z00_1260);
							BgL_l4059z00_1260 = BgL_l4059z00_2595;
							goto BgL_forzd2each4060zd2_1261;
						}
					}
				else
					{	/* SawMill/regset.scm 147 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* _regset-add*!4304 */
	obj_t BGl__regsetzd2addza2z124304z62zzsaw_regsetz00(obj_t BgL_envz00_2328,
		obj_t BgL_sz00_2329, obj_t BgL_regsz00_2330)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 146 */
			return
				BBOOL(BGl_regsetzd2addza2z12z62zzsaw_regsetz00(
					(BgL_regsetz00_bglt) (BgL_sz00_2329), BgL_regsz00_2330));
		}
	}



/* regset-remove! */
	BGL_EXPORTED_DEF bool_t
		BGl_regsetzd2removez12zc0zzsaw_regsetz00(BgL_regsetz00_bglt BgL_sz00_18,
		BgL_rtl_regzf2razf2_bglt BgL_regz00_19)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 152 */
			if (BGl_regsetzd2memberzf3z21zzsaw_regsetz00(BgL_regz00_19, BgL_sz00_18))
				{	/* SawMill/regset.scm 155 */
					long BgL_basez00_1267;

					long BgL_bitz00_1268;

					{	/* SawMill/regset.scm 155 */
						long BgL_auxz00_2602;

						{	/* SawMill/regset.scm 155 */
							int BgL_auxz00_2603;

							{
								obj_t BgL_auxz00_2604;

								{	/* SawMill/regset.scm 155 */
									BgL_objectz00_bglt BgL_auxz00_2605;

									BgL_auxz00_2605 = (BgL_objectz00_bglt) (BgL_regz00_19);
									BgL_auxz00_2604 = BGL_OBJECT_WIDENING(BgL_auxz00_2605);
								}
								BgL_auxz00_2603 =
									(((BgL_rtl_regzf2razf2_bglt) CREF(BgL_auxz00_2604))->
									BgL_numz00);
							}
							BgL_auxz00_2602 = (long) (BgL_auxz00_2603);
						}
						BgL_basez00_1267 = (BgL_auxz00_2602 / ((long) 8));
					}
					{	/* SawMill/regset.scm 156 */
						int BgL_arg4122z00_1279;

						{
							obj_t BgL_auxz00_2611;

							{	/* SawMill/regset.scm 156 */
								BgL_objectz00_bglt BgL_auxz00_2612;

								BgL_auxz00_2612 = (BgL_objectz00_bglt) (BgL_regz00_19);
								BgL_auxz00_2611 = BGL_OBJECT_WIDENING(BgL_auxz00_2612);
							}
							BgL_arg4122z00_1279 =
								(((BgL_rtl_regzf2razf2_bglt) CREF(BgL_auxz00_2611))->
								BgL_numz00);
						}
						{	/* SawMill/regset.scm 156 */
							long BgL_auxz00_2616;

							BgL_auxz00_2616 = (long) (BgL_arg4122z00_1279);
							BgL_bitz00_1268 = (BgL_auxz00_2616 % ((long) 8));
					}}
					{	/* SawMill/regset.scm 158 */
						long BgL_arg4113z00_1270;

						BgL_arg4113z00_1270 =
							(
							(long) (
								(((BgL_regsetz00_bglt) CREF(BgL_sz00_18))->BgL_lengthz00)) -
							((long) 1));
						{
							int BgL_auxz00_2622;

							BgL_auxz00_2622 = (int) (BgL_arg4113z00_1270);
							((((BgL_regsetz00_bglt) CREF(BgL_sz00_18))->BgL_lengthz00) =
								((int) BgL_auxz00_2622), BUNSPEC);
					}}
					{	/* SawMill/regset.scm 159 */
						long BgL_nvalz00_1273;

						BgL_nvalz00_1273 =
							(
							(STRING_REF(
									(((BgL_regsetz00_bglt) CREF(BgL_sz00_18))->BgL_stringz00),
									BgL_basez00_1267)) & ~((((long) 1) <<
									(int) (BgL_bitz00_1268))));
						{	/* SawMill/regset.scm 161 */
							obj_t BgL_arg4069z00_2114;

							unsigned char BgL_arg4070z00_2115;

							BgL_arg4069z00_2114 =
								(((BgL_regsetz00_bglt) CREF(BgL_sz00_18))->BgL_stringz00);
							BgL_arg4070z00_2115 = (BgL_nvalz00_1273);
							STRING_SET(BgL_arg4069z00_2114, BgL_basez00_1267,
								BgL_arg4070z00_2115);
						}
						return ((bool_t) 1);
					}
				}
			else
				{	/* SawMill/regset.scm 153 */
					return ((bool_t) 0);
				}
		}
	}



/* _regset-remove!4305 */
	obj_t BGl__regsetzd2removez124305zc0zzsaw_regsetz00(obj_t BgL_envz00_2331,
		obj_t BgL_sz00_2332, obj_t BgL_regz00_2333)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 152 */
			return
				BBOOL(BGl_regsetzd2removez12zc0zzsaw_regsetz00(
					(BgL_regsetz00_bglt) (BgL_sz00_2332),
					(BgL_rtl_regzf2razf2_bglt) (BgL_regz00_2333)));
		}
	}



/* regset-union! */
	BGL_EXPORTED_DEF bool_t
		BGl_regsetzd2unionz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt BgL_s1z00_20,
		BgL_regsetz00_bglt BgL_s2z00_21)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 167 */
			{	/* SawMill/regset.scm 168 */
				obj_t BgL_st1z00_1281;

				obj_t BgL_st2z00_1282;

				BgL_st1z00_1281 =
					(((BgL_regsetz00_bglt) CREF(BgL_s1z00_20))->BgL_stringz00);
				BgL_st2z00_1282 =
					(((BgL_regsetz00_bglt) CREF(BgL_s2z00_21))->BgL_stringz00);
				{	/* SawMill/regset.scm 170 */
					long BgL_g4050z00_1283;

					BgL_g4050z00_1283 = (STRING_LENGTH(BgL_st1z00_1281) - ((long) 1));
					{
						long BgL_iz00_1284;

						bool_t BgL_resz00_1285;

						BgL_iz00_1284 = BgL_g4050z00_1283;
						BgL_resz00_1285 = ((bool_t) 0);
					BgL_loopz00_1286:
						if ((BgL_iz00_1284 == ((long) -1)))
							{	/* SawMill/regset.scm 173 */
								return BgL_resz00_1285;
							}
						else
							{	/* SawMill/regset.scm 173 */
								if (
									(STRING_REF(BgL_st1z00_1281, BgL_iz00_1284) ==
										STRING_REF(BgL_st2z00_1282, BgL_iz00_1284)))
									{
										long BgL_iz00_2649;

										BgL_iz00_2649 = (BgL_iz00_1284 - ((long) 1));
										BgL_iz00_1284 = BgL_iz00_2649;
										goto BgL_loopz00_1286;
									}
								else
									{	/* SawMill/regset.scm 178 */
										long BgL_n2z00_1290;

										BgL_n2z00_1290 =
											(STRING_REF(
												(((BgL_regsetz00_bglt) CREF(BgL_s2z00_21))->
													BgL_stringz00), BgL_iz00_1284));
										{	/* SawMill/regset.scm 179 */
											long BgL_g4051z00_1291;

											BgL_g4051z00_1291 =
												(STRING_REF(
													(((BgL_regsetz00_bglt) CREF(BgL_s1z00_20))->
														BgL_stringz00), BgL_iz00_1284));
											{
												long BgL_jz00_1292;

												bool_t BgL_resz00_1293;

												long BgL_n1z00_1294;

												BgL_jz00_1292 = ((long) 1);
												BgL_resz00_1293 = BgL_resz00_1285;
												BgL_n1z00_1294 = BgL_g4051z00_1291;
											BgL_liipz00_1295:
												if ((BgL_jz00_1292 == ((long) 256)))
													{
														bool_t BgL_resz00_2661;

														long BgL_iz00_2659;

														BgL_iz00_2659 = (BgL_iz00_1284 - ((long) 1));
														BgL_resz00_2661 = BgL_resz00_1293;
														BgL_resz00_1285 = BgL_resz00_2661;
														BgL_iz00_1284 = BgL_iz00_2659;
														goto BgL_loopz00_1286;
													}
												else
													{	/* SawMill/regset.scm 183 */
														if (
															((BgL_n1z00_1294 & BgL_jz00_1292) ==
																(BgL_n2z00_1290 & BgL_jz00_1292)))
															{
																long BgL_jz00_2666;

																BgL_jz00_2666 =
																	(BgL_jz00_1292 << (int) (((long) 1)));
																BgL_jz00_1292 = BgL_jz00_2666;
																goto BgL_liipz00_1295;
															}
														else
															{	/* SawMill/regset.scm 185 */
																if (
																	((BgL_n1z00_1294 & BgL_jz00_1292) ==
																		((long) 0)))
																	{	/* SawMill/regset.scm 187 */
																		{	/* SawMill/regset.scm 189 */
																			long BgL_arg4132z00_1302;

																			BgL_arg4132z00_1302 =
																				(
																				(long) (
																					(((BgL_regsetz00_bglt)
																							CREF(BgL_s1z00_20))->
																						BgL_lengthz00)) + ((long) 1));
																			{
																				int BgL_auxz00_2675;

																				BgL_auxz00_2675 =
																					(int) (BgL_arg4132z00_1302);
																				((((BgL_regsetz00_bglt)
																							CREF(BgL_s1z00_20))->
																						BgL_lengthz00) =
																					((int) BgL_auxz00_2675), BUNSPEC);
																		}}
																		{	/* SawMill/regset.scm 190 */
																			long BgL_n1z00_1305;

																			BgL_n1z00_1305 =
																				(BgL_n1z00_1294 | BgL_jz00_1292);
																			{	/* SawMill/regset.scm 191 */
																				obj_t BgL_arg4069z00_2178;

																				unsigned char BgL_arg4070z00_2179;

																				BgL_arg4069z00_2178 =
																					(((BgL_regsetz00_bglt)
																						CREF(BgL_s1z00_20))->BgL_stringz00);
																				BgL_arg4070z00_2179 = (BgL_n1z00_1305);
																				STRING_SET(BgL_arg4069z00_2178,
																					BgL_iz00_1284, BgL_arg4070z00_2179);
																			}
																			{
																				long BgL_n1z00_2686;

																				bool_t BgL_resz00_2685;

																				long BgL_jz00_2682;

																				BgL_jz00_2682 =
																					(BgL_jz00_1292 << (int) (((long) 1)));
																				BgL_resz00_2685 = ((bool_t) 1);
																				BgL_n1z00_2686 = BgL_n1z00_1305;
																				BgL_n1z00_1294 = BgL_n1z00_2686;
																				BgL_resz00_1293 = BgL_resz00_2685;
																				BgL_jz00_1292 = BgL_jz00_2682;
																				goto BgL_liipz00_1295;
																			}
																		}
																	}
																else
																	{
																		long BgL_jz00_2687;

																		BgL_jz00_2687 =
																			(BgL_jz00_1292 << (int) (((long) 1)));
																		BgL_jz00_1292 = BgL_jz00_2687;
																		goto BgL_liipz00_1295;
																	}
															}
													}
											}
										}
									}
							}
					}
				}
			}
		}
	}



/* _regset-union!4306 */
	obj_t BGl__regsetzd2unionz124306zc0zzsaw_regsetz00(obj_t BgL_envz00_2334,
		obj_t BgL_s1z00_2335, obj_t BgL_s2z00_2336)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 167 */
			return
				BBOOL(BGl_regsetzd2unionz12zc0zzsaw_regsetz00(
					(BgL_regsetz00_bglt) (BgL_s1z00_2335),
					(BgL_regsetz00_bglt) (BgL_s2z00_2336)));
		}
	}



/* regset-union*! */
	BGL_EXPORTED_DEF bool_t
		BGl_regsetzd2unionza2z12z62zzsaw_regsetz00(BgL_regsetz00_bglt BgL_sz00_22,
		obj_t BgL_ssz00_23)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 199 */
			if (NULLP(BgL_ssz00_23))
				{	/* SawMill/regset.scm 201 */
					return ((bool_t) 0);
				}
			else
				{	/* SawMill/regset.scm 201 */
					if (NULLP(CDR(BgL_ssz00_23)))
						{	/* SawMill/regset.scm 204 */
							obj_t BgL_arg4148z00_1318;

							BgL_arg4148z00_1318 = CAR(BgL_ssz00_23);
							return
								BGl_regsetzd2unionz12zc0zzsaw_regsetz00(BgL_sz00_22,
								(BgL_regsetz00_bglt) (BgL_arg4148z00_1318));
						}
					else
						{
							obj_t BgL_ssz00_1319;

							bool_t BgL_resz00_1320;

							BgL_ssz00_1319 = BgL_ssz00_23;
							BgL_resz00_1320 = ((bool_t) 0);
						BgL_loopz00_1321:
							if (NULLP(BgL_ssz00_1319))
								{	/* SawMill/regset.scm 208 */
									return BgL_resz00_1320;
								}
							else
								{	/* SawMill/regset.scm 210 */
									obj_t BgL_arg4150z00_1323;

									bool_t BgL_arg4151z00_1324;

									BgL_arg4150z00_1323 = CDR(BgL_ssz00_1319);
									{	/* SawMill/regset.scm 210 */
										bool_t BgL__ortest_4054z00_1325;

										{	/* SawMill/regset.scm 210 */
											obj_t BgL_arg4152z00_1326;

											BgL_arg4152z00_1326 = CAR(BgL_ssz00_1319);
											BgL__ortest_4054z00_1325 =
												BGl_regsetzd2unionz12zc0zzsaw_regsetz00(BgL_sz00_22,
												(BgL_regsetz00_bglt) (BgL_arg4152z00_1326));
										}
										if (BgL__ortest_4054z00_1325)
											{	/* SawMill/regset.scm 210 */
												BgL_arg4151z00_1324 = BgL__ortest_4054z00_1325;
											}
										else
											{	/* SawMill/regset.scm 210 */
												BgL_arg4151z00_1324 = BgL_resz00_1320;
											}
									}
									{
										bool_t BgL_resz00_2710;

										obj_t BgL_ssz00_2709;

										BgL_ssz00_2709 = BgL_arg4150z00_1323;
										BgL_resz00_2710 = BgL_arg4151z00_1324;
										BgL_resz00_1320 = BgL_resz00_2710;
										BgL_ssz00_1319 = BgL_ssz00_2709;
										goto BgL_loopz00_1321;
									}
								}
						}
				}
		}
	}



/* _regset-union*!4307 */
	obj_t BGl__regsetzd2unionza2z124307z62zzsaw_regsetz00(obj_t BgL_envz00_2337,
		obj_t BgL_sz00_2338, obj_t BgL_ssz00_2339)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 199 */
			return
				BBOOL(BGl_regsetzd2unionza2z12z62zzsaw_regsetz00(
					(BgL_regsetz00_bglt) (BgL_sz00_2338), BgL_ssz00_2339));
		}
	}



/* regset-for-each */
	BGL_EXPORTED_DEF obj_t BGl_regsetzd2forzd2eachz00zzsaw_regsetz00(obj_t
		BgL_procz00_24, BgL_regsetz00_bglt BgL_sz00_25)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 215 */
			{
				long BgL_iz00_1328;

				{	/* SawMill/regset.scm 216 */
					bool_t BgL_auxz00_2714;

					BgL_iz00_1328 = ((long) 0);
				BgL_loopz00_1329:
					if (
						(BgL_iz00_1328 <
							(long) (
								(((BgL_regsetz00_bglt) CREF(BgL_sz00_25))->BgL_msiza7eza7))))
						{	/* SawMill/regset.scm 218 */
							obj_t BgL_ez00_1331;

							{	/* SawMill/regset.scm 218 */
								obj_t BgL_arg4157z00_1334;

								BgL_arg4157z00_1334 =
									(((BgL_regsetz00_bglt) CREF(BgL_sz00_25))->BgL_regvz00);
								BgL_ez00_1331 =
									VECTOR_REF(BgL_arg4157z00_1334, (int) (BgL_iz00_1328));
							}
							if (BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
									(BgL_rtl_regzf2razf2_bglt) (BgL_ez00_1331), BgL_sz00_25))
								{	/* SawMill/regset.scm 219 */
									PROCEDURE_ENTRY(BgL_procz00_24) (BgL_procz00_24,
										BgL_ez00_1331, BEOA);
								}
							else
								{	/* SawMill/regset.scm 219 */
									BFALSE;
								}
							{
								long BgL_iz00_2727;

								BgL_iz00_2727 = (BgL_iz00_1328 + ((long) 1));
								BgL_iz00_1328 = BgL_iz00_2727;
								goto BgL_loopz00_1329;
							}
						}
					else
						{	/* SawMill/regset.scm 217 */
							BgL_auxz00_2714 = ((bool_t) 0);
						}
					return BBOOL(BgL_auxz00_2714);
				}
			}
		}
	}



/* _regset-for-each4308 */
	obj_t BGl__regsetzd2forzd2each4308z00zzsaw_regsetz00(obj_t BgL_envz00_2340,
		obj_t BgL_procz00_2341, obj_t BgL_sz00_2342)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 215 */
			return
				BGl_regsetzd2forzd2eachz00zzsaw_regsetz00(BgL_procz00_2341,
				(BgL_regsetz00_bglt) (BgL_sz00_2342));
		}
	}



/* regset-filter */
	BGL_EXPORTED_DEF obj_t BGl_regsetzd2filterzd2zzsaw_regsetz00(obj_t
		BgL_procz00_26, BgL_regsetz00_bglt BgL_sz00_27)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 225 */
			return
				BGl_loopz00zzsaw_regsetz00(BgL_procz00_26, BgL_sz00_27, ((long) 0));
		}
	}



/* loop */
	obj_t BGl_loopz00zzsaw_regsetz00(obj_t BgL_procz00_2385,
		BgL_regsetz00_bglt BgL_sz00_2384, long BgL_iz00_1336)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 226 */
		BGl_loopz00zzsaw_regsetz00:
			if (
				(BgL_iz00_1336 <
					(long) (
						(((BgL_regsetz00_bglt) CREF(BgL_sz00_2384))->BgL_msiza7eza7))))
				{	/* SawMill/regset.scm 228 */
					obj_t BgL_ez00_1339;

					{	/* SawMill/regset.scm 228 */
						obj_t BgL_arg4165z00_1345;

						BgL_arg4165z00_1345 =
							(((BgL_regsetz00_bglt) CREF(BgL_sz00_2384))->BgL_regvz00);
						BgL_ez00_1339 =
							VECTOR_REF(BgL_arg4165z00_1345, (int) (BgL_iz00_1336));
					}
					{	/* SawMill/regset.scm 229 */
						bool_t BgL_testz00_2740;

						if (BGl_regsetzd2memberzf3z21zzsaw_regsetz00(
								(BgL_rtl_regzf2razf2_bglt) (BgL_ez00_1339), BgL_sz00_2384))
							{	/* SawMill/regset.scm 229 */
								BgL_testz00_2740 =
									CBOOL(PROCEDURE_ENTRY(BgL_procz00_2385) (BgL_procz00_2385,
										BgL_ez00_1339, BEOA));
							}
						else
							{	/* SawMill/regset.scm 229 */
								BgL_testz00_2740 = ((bool_t) 0);
							}
						if (BgL_testz00_2740)
							{	/* SawMill/regset.scm 229 */
								return
									MAKE_PAIR(BgL_ez00_1339,
									BGl_loopz00zzsaw_regsetz00(BgL_procz00_2385, BgL_sz00_2384,
										(BgL_iz00_1336 + ((long) 1))));
							}
						else
							{
								long BgL_iz00_2750;

								BgL_iz00_2750 = (BgL_iz00_1336 + ((long) 1));
								BgL_iz00_1336 = BgL_iz00_2750;
								goto BGl_loopz00zzsaw_regsetz00;
							}
					}
				}
			else
				{	/* SawMill/regset.scm 227 */
					return BNIL;
				}
		}
	}



/* _regset-filter4309 */
	obj_t BGl__regsetzd2filter4309zd2zzsaw_regsetz00(obj_t BgL_envz00_2343,
		obj_t BgL_procz00_2344, obj_t BgL_sz00_2345)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 225 */
			return
				BGl_regsetzd2filterzd2zzsaw_regsetz00(BgL_procz00_2344,
				(BgL_regsetz00_bglt) (BgL_sz00_2345));
		}
	}



/* regset-dump */
	BGL_EXPORTED_DEF obj_t BGl_regsetzd2dumpzd2zzsaw_regsetz00(BgL_regsetz00_bglt
		BgL_sz00_30, obj_t BgL_pz00_31)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 249 */
			{	/* SawMill/regset.scm 250 */
				obj_t BgL_pz00_1356;

				if (PAIRP(BgL_pz00_31))
					{	/* SawMill/regset.scm 250 */
						BgL_pz00_1356 = CAR(BgL_pz00_31);
					}
				else
					{	/* SawMill/regset.scm 250 */
						obj_t BgL_res4292z00_2217;

						{	/* SawMill/regset.scm 250 */
							obj_t BgL_auxz00_2757;

							BgL_auxz00_2757 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res4292z00_2217 =
								BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2757);
						}
						BgL_pz00_1356 = BgL_res4292z00_2217;
					}
				bgl_display_string(BGl_string4318z00zzsaw_regsetz00, BgL_pz00_1356);
				{	/* SawMill/regset.scm 253 */
					obj_t BgL_zc3anonymousza34174ze3z83_2346;

					BgL_zc3anonymousza34174ze3z83_2346 =
						make_fx_procedure(BGl_zc3anonymousza34174ze3z83zzsaw_regsetz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza34174ze3z83_2346,
						(int) (((long) 0)), BgL_pz00_1356);
					BGl_regsetzd2forzd2eachz00zzsaw_regsetz00
						(BgL_zc3anonymousza34174ze3z83_2346, BgL_sz00_30);
				}
				return
					bgl_display_string(BGl_string4319z00zzsaw_regsetz00, BgL_pz00_1356);
			}
		}
	}



/* _regset-dump4310 */
	obj_t BGl__regsetzd2dump4310zd2zzsaw_regsetz00(obj_t BgL_envz00_2347,
		obj_t BgL_sz00_2348, obj_t BgL_pz00_2349)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 249 */
			return
				BGl_regsetzd2dumpzd2zzsaw_regsetz00(
				(BgL_regsetz00_bglt) (BgL_sz00_2348), BgL_pz00_2349);
		}
	}



/* <anonymous:4174> */
	obj_t BGl_zc3anonymousza34174ze3z83zzsaw_regsetz00(obj_t BgL_envz00_2350,
		obj_t BgL_ez00_2352)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 252 */
			{	/* SawMill/regset.scm 253 */
				obj_t BgL_pz00_2351;

				BgL_pz00_2351 = PROCEDURE_REF(BgL_envz00_2350, (int) (((long) 0)));
				{
					obj_t BgL_ez00_1358;

					BgL_ez00_1358 = BgL_ez00_2352;
					bgl_display_string(BGl_string4320z00zzsaw_regsetz00, BgL_pz00_2351);
					return
						BGl_dumpz00zzsaw_defsz00(BgL_ez00_1358, BgL_pz00_2351,
						(int) (((long) 0)));
		}}}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_regsetz00()
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 15 */
			{	/* SawMill/regset.scm 27 */
				obj_t BgL_arg4176z00_1362;

				obj_t BgL_arg4177z00_1363;

				obj_t BgL_arg4180z00_1366;

				BgL_arg4176z00_1362 = CNST_TABLE_REF(((long) 0));
				BgL_arg4177z00_1363 = BGl_objectz00zz__objectz00;
				{	/* SawMill/regset.scm 27 */
					obj_t BgL_v4061z00_1367;

					BgL_v4061z00_1367 = create_vector((int) (((long) 0)));
					BgL_arg4180z00_1366 = BgL_v4061z00_1367;
				}
				BGl_regsetz00zzsaw_regsetz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg4176z00_1362,
					BgL_arg4177z00_1363, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2regsetzd2envz52zzsaw_regsetz00,
					BGl_regsetzd2nilzd2envz00zzsaw_regsetz00,
					BGl_regsetzf3zd2envz21zzsaw_regsetz00, ((long) 143126315), BFALSE,
					BFALSE, BgL_arg4180z00_1366);
			}
			return (BGl_z52thezd2regsetzd2nilz52zzsaw_regsetz00 = BUNSPEC, BUNSPEC);
		}
	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_regsetz00(obj_t
		BgL_obj4036z00_32)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 27 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj4036z00_32,
				BGl_regsetz00zzsaw_regsetz00);
		}
	}



/* _regset? */
	obj_t BGl__regsetzf3zf3zzsaw_regsetz00(obj_t BgL_envz00_2355,
		obj_t BgL_obj4036z00_2356)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 27 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj4036z00_2356,
					BGl_regsetz00zzsaw_regsetz00));
		}
	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt BGl_makezd2regsetzd2zzsaw_regsetz00(int
		BgL_length3994z00_36, int BgL_msiza7e3995za7_37, obj_t BgL_regv3996z00_38,
		obj_t BgL_regl3997z00_39, obj_t BgL_string3998z00_40)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 27 */
			{	/* SawMill/regset.scm 27 */
				BgL_regsetz00_bglt BgL_new3999z00_2224;

				{	/* SawMill/regset.scm 27 */
					BgL_regsetz00_bglt BgL_res4293z00_2229;

					{	/* SawMill/regset.scm 27 */
						BgL_regsetz00_bglt BgL_new4013z00_2225;

						BgL_new4013z00_2225 =
							((BgL_regsetz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_regsetz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new4013z00_2225),
							BGl_classzd2numzd2zz__objectz00(BGl_regsetz00zzsaw_regsetz00));
						{	/* SawMill/regset.scm 27 */
							BgL_objectz00_bglt BgL_auxz00_2786;

							BgL_auxz00_2786 = (BgL_objectz00_bglt) (BgL_new4013z00_2225);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2786, BFALSE);
						}
						BgL_res4293z00_2229 = BgL_new4013z00_2225;
					}
					BgL_new3999z00_2224 = BgL_res4293z00_2229;
				}
				{	/* SawMill/regset.scm 27 */
					BgL_regsetz00_bglt BgL_res4294z00_2241;

					{	/* SawMill/regset.scm 27 */
						BgL_regsetz00_bglt BgL_new4006z00_2230;

						BgL_new4006z00_2230 = BgL_new3999z00_2224;
						{	/* SawMill/regset.scm 27 */
							int BgL_length4001z00_2236;

							int BgL_msiza7e4002za7_2237;

							obj_t BgL_regv4003z00_2238;

							obj_t BgL_regl4004z00_2239;

							obj_t BgL_string4005z00_2240;

							BgL_length4001z00_2236 = BgL_length3994z00_36;
							BgL_msiza7e4002za7_2237 = BgL_msiza7e3995za7_37;
							BgL_regv4003z00_2238 = BgL_regv3996z00_38;
							BgL_regl4004z00_2239 = BgL_regl3997z00_39;
							BgL_string4005z00_2240 = BgL_string3998z00_40;
							((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2230))->
									BgL_lengthz00) = ((int) BgL_length4001z00_2236), BUNSPEC);
							((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2230))->
									BgL_msiza7eza7) = ((int) BgL_msiza7e4002za7_2237), BUNSPEC);
							((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2230))->BgL_regvz00) =
								((obj_t) BgL_regv4003z00_2238), BUNSPEC);
							((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2230))->BgL_reglz00) =
								((obj_t) BgL_regl4004z00_2239), BUNSPEC);
							((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2230))->
									BgL_stringz00) = ((obj_t) BgL_string4005z00_2240), BUNSPEC);
							BgL_res4294z00_2241 = BgL_new4006z00_2230;
					}} BgL_res4294z00_2241;
				}
				return BgL_new3999z00_2224;
			}
		}
	}



/* _make-regset4311 */
	obj_t BGl__makezd2regset4311zd2zzsaw_regsetz00(obj_t BgL_envz00_2357,
		obj_t BgL_length3994z00_2358, obj_t BgL_msiza7e3995za7_2359,
		obj_t BgL_regv3996z00_2360, obj_t BgL_regl3997z00_2361,
		obj_t BgL_string3998z00_2362)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 27 */
			return
				(obj_t) (BGl_makezd2regsetzd2zzsaw_regsetz00(CINT
					(BgL_length3994z00_2358), CINT(BgL_msiza7e3995za7_2359),
					BgL_regv3996z00_2360, BgL_regl3997z00_2361, BgL_string3998z00_2362));
		}
	}



/* fill-regset! */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_fillzd2regsetz12zc0zzsaw_regsetz00(BgL_regsetz00_bglt BgL_new4006z00_41,
		int BgL_length4001z00_42, int BgL_msiza7e4002za7_43,
		obj_t BgL_regv4003z00_44, obj_t BgL_regl4004z00_45,
		obj_t BgL_string4005z00_46)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 27 */
			{	/* SawMill/regset.scm 27 */
				int BgL_length4001z00_2396;

				int BgL_msiza7e4002za7_2397;

				obj_t BgL_regv4003z00_2398;

				obj_t BgL_regl4004z00_2399;

				obj_t BgL_string4005z00_2400;

				BgL_length4001z00_2396 = BgL_length4001z00_42;
				BgL_msiza7e4002za7_2397 = BgL_msiza7e4002za7_43;
				BgL_regv4003z00_2398 = BgL_regv4003z00_44;
				BgL_regl4004z00_2399 = BgL_regl4004z00_45;
				BgL_string4005z00_2400 = BgL_string4005z00_46;
				((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_41))->BgL_lengthz00) =
					((int) BgL_length4001z00_2396), BUNSPEC);
				((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_41))->BgL_msiza7eza7) =
					((int) BgL_msiza7e4002za7_2397), BUNSPEC);
				((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_41))->BgL_regvz00) =
					((obj_t) BgL_regv4003z00_2398), BUNSPEC);
				((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_41))->BgL_reglz00) =
					((obj_t) BgL_regl4004z00_2399), BUNSPEC);
				((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_41))->BgL_stringz00) =
					((obj_t) BgL_string4005z00_2400), BUNSPEC);
				return BgL_new4006z00_41;
			}
		}
	}



/* _fill-regset!4312 */
	obj_t BGl__fillzd2regsetz124312zc0zzsaw_regsetz00(obj_t BgL_envz00_2363,
		obj_t BgL_new4006z00_2364, obj_t BgL_length4001z00_2365,
		obj_t BgL_msiza7e4002za7_2366, obj_t BgL_regv4003z00_2367,
		obj_t BgL_regl4004z00_2368, obj_t BgL_string4005z00_2369)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 27 */
			{	/* SawMill/regset.scm 27 */
				BgL_regsetz00_bglt BgL_auxz00_2803;

				{	/* SawMill/regset.scm 27 */
					BgL_regsetz00_bglt BgL_res4328z00_2412;

					{	/* SawMill/regset.scm 27 */
						BgL_regsetz00_bglt BgL_new4006z00_2401;

						int BgL_length4001z00_2402;

						int BgL_msiza7e4002za7_2403;

						obj_t BgL_regv4003z00_2404;

						obj_t BgL_regl4004z00_2405;

						obj_t BgL_string4005z00_2406;

						BgL_new4006z00_2401 = (BgL_regsetz00_bglt) (BgL_new4006z00_2364);
						BgL_length4001z00_2402 = CINT(BgL_length4001z00_2365);
						BgL_msiza7e4002za7_2403 = CINT(BgL_msiza7e4002za7_2366);
						BgL_regv4003z00_2404 = BgL_regv4003z00_2367;
						BgL_regl4004z00_2405 = BgL_regl4004z00_2368;
						BgL_string4005z00_2406 = BgL_string4005z00_2369;
						{	/* SawMill/regset.scm 27 */
							int BgL_length4001z00_2407;

							int BgL_msiza7e4002za7_2408;

							obj_t BgL_regv4003z00_2409;

							obj_t BgL_regl4004z00_2410;

							obj_t BgL_string4005z00_2411;

							BgL_length4001z00_2407 = BgL_length4001z00_2402;
							BgL_msiza7e4002za7_2408 = BgL_msiza7e4002za7_2403;
							BgL_regv4003z00_2409 = BgL_regv4003z00_2404;
							BgL_regl4004z00_2410 = BgL_regl4004z00_2405;
							BgL_string4005z00_2411 = BgL_string4005z00_2406;
							((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2401))->
									BgL_lengthz00) = ((int) BgL_length4001z00_2407), BUNSPEC);
							((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2401))->
									BgL_msiza7eza7) = ((int) BgL_msiza7e4002za7_2408), BUNSPEC);
							((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2401))->BgL_regvz00) =
								((obj_t) BgL_regv4003z00_2409), BUNSPEC);
							((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2401))->BgL_reglz00) =
								((obj_t) BgL_regl4004z00_2410), BUNSPEC);
							((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2401))->
									BgL_stringz00) = ((obj_t) BgL_string4005z00_2411), BUNSPEC);
							BgL_res4328z00_2412 = BgL_new4006z00_2401;
					}}
					BgL_auxz00_2803 = BgL_res4328z00_2412;
				}
				return (obj_t) (BgL_auxz00_2803);
			}
		}
	}



/* %allocate-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_z52allocatezd2regsetz80zzsaw_regsetz00()
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 27 */
			{	/* SawMill/regset.scm 27 */
				BgL_regsetz00_bglt BgL_new4013z00_2413;

				BgL_new4013z00_2413 =
					((BgL_regsetz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_regsetz00_bgl))));
				BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new4013z00_2413),
					BGl_classzd2numzd2zz__objectz00(BGl_regsetz00zzsaw_regsetz00));
				{	/* SawMill/regset.scm 27 */
					BgL_objectz00_bglt BgL_auxz00_2817;

					BgL_auxz00_2817 = (BgL_objectz00_bglt) (BgL_new4013z00_2413);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_2817, BFALSE);
				}
				return BgL_new4013z00_2413;
			}
		}
	}



/* _%allocate-regset */
	obj_t BGl__z52allocatezd2regsetz80zzsaw_regsetz00(obj_t BgL_envz00_2353)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 27 */
			{	/* SawMill/regset.scm 27 */
				BgL_regsetz00_bglt BgL_auxz00_2820;

				{	/* SawMill/regset.scm 27 */
					BgL_regsetz00_bglt BgL_res4329z00_2417;

					{	/* SawMill/regset.scm 27 */
						BgL_regsetz00_bglt BgL_new4013z00_2415;

						BgL_new4013z00_2415 =
							((BgL_regsetz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_regsetz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new4013z00_2415),
							BGl_classzd2numzd2zz__objectz00(BGl_regsetz00zzsaw_regsetz00));
						{	/* SawMill/regset.scm 27 */
							BgL_objectz00_bglt BgL_auxz00_2825;

							BgL_auxz00_2825 = (BgL_objectz00_bglt) (BgL_new4013z00_2415);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2825, BFALSE);
						}
						BgL_res4329z00_2417 = BgL_new4013z00_2415;
					}
					BgL_auxz00_2820 = BgL_res4329z00_2417;
				}
				return (obj_t) (BgL_auxz00_2820);
			}
		}
	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt BGl_regsetzd2nilzd2zzsaw_regsetz00()
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 27 */
			if ((BGl_z52thezd2regsetzd2nilz52zzsaw_regsetz00 == BUNSPEC))
				{	/* SawMill/regset.scm 27 */
					{	/* SawMill/regset.scm 27 */
						BgL_regsetz00_bglt BgL_res4295z00_2255;

						{	/* SawMill/regset.scm 27 */
							BgL_regsetz00_bglt BgL_new4013z00_2251;

							BgL_new4013z00_2251 =
								((BgL_regsetz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_regsetz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new4013z00_2251),
								BGl_classzd2numzd2zz__objectz00(BGl_regsetz00zzsaw_regsetz00));
							{	/* SawMill/regset.scm 27 */
								BgL_objectz00_bglt BgL_auxz00_2835;

								BgL_auxz00_2835 = (BgL_objectz00_bglt) (BgL_new4013z00_2251);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2835, BFALSE);
							}
							BgL_res4295z00_2255 = BgL_new4013z00_2251;
						}
						BGl_z52thezd2regsetzd2nilz52zzsaw_regsetz00 =
							(obj_t) (BgL_res4295z00_2255);
					}
					{	/* SawMill/regset.scm 27 */
						BgL_regsetz00_bglt BgL_res4296z00_2267;

						{	/* SawMill/regset.scm 27 */
							BgL_regsetz00_bglt BgL_new4006z00_2256;

							int BgL_length4001z00_2257;

							int BgL_msiza7e4002za7_2258;

							obj_t BgL_regv4003z00_2259;

							BgL_new4006z00_2256 =
								(BgL_regsetz00_bglt)
								(BGl_z52thezd2regsetzd2nilz52zzsaw_regsetz00);
							BgL_length4001z00_2257 = (int) (((long) 0));
							BgL_msiza7e4002za7_2258 = (int) (((long) 0));
							BgL_regv4003z00_2259 = CNST_TABLE_REF(((long) 1));
							{	/* SawMill/regset.scm 27 */
								int BgL_length4001z00_2262;

								int BgL_msiza7e4002za7_2263;

								obj_t BgL_regv4003z00_2264;

								obj_t BgL_regl4004z00_2265;

								obj_t BgL_string4005z00_2266;

								BgL_length4001z00_2262 = BgL_length4001z00_2257;
								BgL_msiza7e4002za7_2263 = BgL_msiza7e4002za7_2258;
								BgL_regv4003z00_2264 = BgL_regv4003z00_2259;
								BgL_regl4004z00_2265 = BNIL;
								BgL_string4005z00_2266 = BGl_string4321z00zzsaw_regsetz00;
								((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2256))->
										BgL_lengthz00) = ((int) BgL_length4001z00_2262), BUNSPEC);
								((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2256))->
										BgL_msiza7eza7) = ((int) BgL_msiza7e4002za7_2263), BUNSPEC);
								((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2256))->
										BgL_regvz00) = ((obj_t) BgL_regv4003z00_2264), BUNSPEC);
								((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2256))->
										BgL_reglz00) = ((obj_t) BgL_regl4004z00_2265), BUNSPEC);
								((((BgL_regsetz00_bglt) CREF(BgL_new4006z00_2256))->
										BgL_stringz00) = ((obj_t) BgL_string4005z00_2266), BUNSPEC);
								BgL_res4296z00_2267 = BgL_new4006z00_2256;
						}}
						(obj_t) (BgL_res4296z00_2267);
				}}
			else
				{	/* SawMill/regset.scm 27 */
					BFALSE;
				}
			return (BgL_regsetz00_bglt) (BGl_z52thezd2regsetzd2nilz52zzsaw_regsetz00);
		}
	}



/* _regset-nil */
	obj_t BGl__regsetzd2nilzd2zzsaw_regsetz00(obj_t BgL_envz00_2354)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 27 */
			return (obj_t) (BGl_regsetzd2nilzd2zzsaw_regsetz00());
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_regsetz00()
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 15 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_regsetz00zzsaw_regsetz00, BGl_proc4322z00zzsaw_regsetz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_regsetz00zzsaw_regsetz00, BGl_proc4323z00zzsaw_regsetz00);
		}
	}



/* struct+object->objec4066 */
	obj_t BGl_structzb2objectzd2ze3objec4066z83zzsaw_regsetz00(obj_t
		BgL_envz00_2372, obj_t BgL_oz00_2373, obj_t BgL_sz00_2374)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 27 */
			{
				BgL_regsetz00_bglt BgL_oz00_1950;

				obj_t BgL_sz00_1951;

				{	/* SawMill/regset.scm 27 */
					BgL_regsetz00_bglt BgL_auxz00_2854;

					BgL_oz00_1950 = (BgL_regsetz00_bglt) (BgL_oz00_2373);
					BgL_sz00_1951 = BgL_sz00_2374;
					{	/* SawMill/regset.scm 27 */
						obj_t BgL_arg4285z00_1954;

						BgL_arg4285z00_1954 = STRUCT_REF(BgL_sz00_1951, (int) (((long) 0)));
						{	/* SawMill/regset.scm 27 */
							BgL_objectz00_bglt BgL_auxz00_2857;

							BgL_auxz00_2857 = (BgL_objectz00_bglt) (BgL_oz00_1950);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2857, BgL_arg4285z00_1954);
					}}
					{
						int BgL_auxz00_2860;

						BgL_auxz00_2860 =
							CINT(STRUCT_REF(BgL_sz00_1951, (int) (((long) 1))));
						((((BgL_regsetz00_bglt) CREF(BgL_oz00_1950))->BgL_lengthz00) =
							((int) BgL_auxz00_2860), BUNSPEC);
					}
					{
						int BgL_auxz00_2865;

						BgL_auxz00_2865 =
							CINT(STRUCT_REF(BgL_sz00_1951, (int) (((long) 2))));
						((((BgL_regsetz00_bglt) CREF(BgL_oz00_1950))->BgL_msiza7eza7) =
							((int) BgL_auxz00_2865), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2870;

						BgL_auxz00_2870 = STRUCT_REF(BgL_sz00_1951, (int) (((long) 3)));
						((((BgL_regsetz00_bglt) CREF(BgL_oz00_1950))->BgL_regvz00) =
							((obj_t) BgL_auxz00_2870), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2874;

						BgL_auxz00_2874 = STRUCT_REF(BgL_sz00_1951, (int) (((long) 4)));
						((((BgL_regsetz00_bglt) CREF(BgL_oz00_1950))->BgL_reglz00) =
							((obj_t) BgL_auxz00_2874), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2878;

						BgL_auxz00_2878 = STRUCT_REF(BgL_sz00_1951, (int) (((long) 5)));
						((((BgL_regsetz00_bglt) CREF(BgL_oz00_1950))->BgL_stringz00) =
							((obj_t) BgL_auxz00_2878), BUNSPEC);
					}
					BgL_auxz00_2854 = BgL_oz00_1950;
					return (obj_t) (BgL_auxz00_2854);
				}
			}
		}
	}



/* object->struct-regse4063 */
	obj_t BGl_objectzd2ze3structzd2regse4063ze3zzsaw_regsetz00(obj_t
		BgL_envz00_2375, obj_t BgL_obj4014z00_2376)
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 27 */
			{
				BgL_regsetz00_bglt BgL_obj4014z00_1934;

				BgL_obj4014z00_1934 = (BgL_regsetz00_bglt) (BgL_obj4014z00_2376);
				{	/* SawMill/regset.scm 27 */
					obj_t BgL_res4015z00_1937;

					{	/* SawMill/regset.scm 27 */
						obj_t BgL_keyz00_2268;

						BgL_keyz00_2268 = CNST_TABLE_REF(((long) 0));
						BgL_res4015z00_1937 =
							make_struct(BgL_keyz00_2268, (int) (((long) 6)), BUNSPEC);
					}
					{	/* SawMill/regset.scm 27 */
						int BgL_auxz00_2887;

						BgL_auxz00_2887 = (int) (((long) 0));
						STRUCT_SET(BgL_res4015z00_1937, BgL_auxz00_2887, BFALSE);
					}
					{	/* SawMill/regset.scm 27 */
						int BgL_arg4275z00_1939;

						BgL_arg4275z00_1939 =
							(((BgL_regsetz00_bglt) CREF(BgL_obj4014z00_1934))->BgL_lengthz00);
						{	/* SawMill/regset.scm 27 */
							obj_t BgL_auxz00_2893;

							int BgL_auxz00_2891;

							BgL_auxz00_2893 = BINT(BgL_arg4275z00_1939);
							BgL_auxz00_2891 = (int) (((long) 1));
							STRUCT_SET(BgL_res4015z00_1937, BgL_auxz00_2891, BgL_auxz00_2893);
					}}
					{	/* SawMill/regset.scm 27 */
						int BgL_arg4277z00_1941;

						BgL_arg4277z00_1941 =
							(((BgL_regsetz00_bglt) CREF(BgL_obj4014z00_1934))->
							BgL_msiza7eza7);
						{	/* SawMill/regset.scm 27 */
							obj_t BgL_auxz00_2899;

							int BgL_auxz00_2897;

							BgL_auxz00_2899 = BINT(BgL_arg4277z00_1941);
							BgL_auxz00_2897 = (int) (((long) 2));
							STRUCT_SET(BgL_res4015z00_1937, BgL_auxz00_2897, BgL_auxz00_2899);
					}}
					{	/* SawMill/regset.scm 27 */
						obj_t BgL_arg4279z00_1943;

						BgL_arg4279z00_1943 =
							(((BgL_regsetz00_bglt) CREF(BgL_obj4014z00_1934))->BgL_regvz00);
						{	/* SawMill/regset.scm 27 */
							int BgL_auxz00_2903;

							BgL_auxz00_2903 = (int) (((long) 3));
							STRUCT_SET(BgL_res4015z00_1937, BgL_auxz00_2903,
								BgL_arg4279z00_1943);
					}}
					{	/* SawMill/regset.scm 27 */
						obj_t BgL_arg4281z00_1945;

						BgL_arg4281z00_1945 =
							(((BgL_regsetz00_bglt) CREF(BgL_obj4014z00_1934))->BgL_reglz00);
						{	/* SawMill/regset.scm 27 */
							int BgL_auxz00_2907;

							BgL_auxz00_2907 = (int) (((long) 4));
							STRUCT_SET(BgL_res4015z00_1937, BgL_auxz00_2907,
								BgL_arg4281z00_1945);
					}}
					{	/* SawMill/regset.scm 27 */
						obj_t BgL_arg4283z00_1947;

						BgL_arg4283z00_1947 =
							(((BgL_regsetz00_bglt) CREF(BgL_obj4014z00_1934))->BgL_stringz00);
						{	/* SawMill/regset.scm 27 */
							int BgL_auxz00_2911;

							BgL_auxz00_2911 = (int) (((long) 5));
							STRUCT_SET(BgL_res4015z00_1937, BgL_auxz00_2911,
								BgL_arg4283z00_1947);
					}}
					return BgL_res4015z00_1937;
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_regsetz00()
	{
		AN_OBJECT;
		{	/* SawMill/regset.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string4324z00zzsaw_regsetz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4324z00zzsaw_regsetz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4324z00zzsaw_regsetz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4324z00zzsaw_regsetz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 466514915),
				BSTRING_TO_STRING(BGl_string4324z00zzsaw_regsetz00));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 123885324),
				BSTRING_TO_STRING(BGl_string4324z00zzsaw_regsetz00));
			BGl_modulezd2initializa7ationz75zzsaw_node2rtlz00(((long) 345795750),
				BSTRING_TO_STRING(BGl_string4324z00zzsaw_regsetz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 192042637),
				BSTRING_TO_STRING(BGl_string4324z00zzsaw_regsetz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_registerzd2allocationzd2(((long)
					167519689), BSTRING_TO_STRING(BGl_string4324z00zzsaw_regsetz00));
		}
	}

#ifdef __cplusplus
}
#endif
