/*===========================================================================*/
/*   (SawMsil/maxstack.scm)                                                  */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMsil/maxstack.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_lastz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_lastz00_bglt;

	typedef struct BgL_rtl_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                    *BgL_rtl_returnz00_bglt;

	typedef struct BgL_rtl_jumpexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                      *BgL_rtl_jumpexitz00_bglt;

	typedef struct BgL_rtl_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_failz00_bglt;

	typedef struct BgL_rtl_notseqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_notseqz00_bglt;

	typedef struct BgL_rtl_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                *BgL_rtl_ifz00_bglt;

	typedef struct BgL_rtl_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
	}                    *BgL_rtl_selectz00_bglt;

	typedef struct BgL_rtl_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_patternsz00;
		obj_t BgL_labelsz00;
	}                    *BgL_rtl_switchz00_bglt;

	typedef struct BgL_rtl_ifeqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifeqz00_bglt;

	typedef struct BgL_rtl_ifnez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_thenz00;
	}                  *BgL_rtl_ifnez00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_purez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                  *BgL_rtl_purez00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_movz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_movz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_loadgz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                   *BgL_rtl_loadgz00_bglt;

	typedef struct BgL_rtl_loadfunz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                     *BgL_rtl_loadfunz00_bglt;

	typedef struct BgL_rtl_globalrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                       *BgL_rtl_globalrefz00_bglt;

	typedef struct BgL_rtl_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_getfieldz00_bglt;

	typedef struct BgL_rtl_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_rtl_vallocz00_bglt;

	typedef struct BgL_rtl_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vrefz00_bglt;

	typedef struct BgL_rtl_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                     *BgL_rtl_vlengthz00_bglt;

	typedef struct BgL_rtl_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                 *BgL_rtl_isaz00_bglt;

	typedef struct BgL_rtl_makeboxz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_makeboxz00_bglt;

	typedef struct BgL_rtl_boxrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxrefz00_bglt;

	typedef struct BgL_rtl_effectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_effectz00_bglt;

	typedef struct BgL_rtl_storegz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                    *BgL_rtl_storegz00_bglt;

	typedef struct BgL_rtl_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_objtypez00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                      *BgL_rtl_setfieldz00_bglt;

	typedef struct BgL_rtl_vsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                  *BgL_rtl_vsetz00_bglt;

	typedef struct BgL_rtl_boxsetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                    *BgL_rtl_boxsetz00_bglt;

	typedef struct BgL_rtl_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_constrz00;
	}                 *BgL_rtl_newz00_bglt;

	typedef struct BgL_rtl_callz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_globalz00_bgl *BgL_varz00;
	}                  *BgL_rtl_callz00_bglt;

	typedef struct BgL_rtl_applyz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                   *BgL_rtl_applyz00_bglt;

	typedef struct BgL_rtl_lightfuncallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                          *BgL_rtl_lightfuncallz00_bglt;

	typedef struct BgL_rtl_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_funcallz00_bglt;

	typedef struct BgL_rtl_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_formatz00;
	}                    *BgL_rtl_pragmaz00_bglt;

	typedef struct BgL_rtl_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                  *BgL_rtl_castz00_bglt;

	typedef struct BgL_rtl_cast_nullz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}                       *BgL_rtl_cast_nullz00_bglt;

	typedef struct BgL_rtl_protectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                     *BgL_rtl_protectz00_bglt;

	typedef struct BgL_rtl_protectedz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                       *BgL_rtl_protectedz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_stackedz00_bgl
	{
		char dummy;
	}                 *BgL_stackedz00_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static int BGl_extrazd2argszd2zzmsil_maxstackz00(BgL_rtl_funz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_ne3922z75zzmsil_maxstackz00(obj_t,
		obj_t);
	static obj_t BGl_stackzd2exprzd2zzmsil_maxstackz00(obj_t, obj_t, obj_t);
	static obj_t BGl__typezd2destzd2fun4149z00zzmsil_maxstackz00(obj_t, obj_t);
	static obj_t BGl__stackedzd2nilzd2zzmsil_maxstackz00(obj_t);
	BGL_EXPORTED_DECL int BGl_maxstackz00zzmsil_maxstackz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl__extrazd2argszd2default3900z00zzmsil_maxstackz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_ca3930z75zzmsil_maxstackz00(obj_t,
		obj_t);
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_no3916z75zzmsil_maxstackz00(obj_t,
		obj_t);
	extern int BGl_typeSiza7eza7zzmsil_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_globalrefz00zzsaw_defsz00;
	static obj_t BGl_extrazd2argszd2rtl_funca3903z00zzmsil_maxstackz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2stack3936ze3zzmsil_maxstackz00(obj_t,
		obj_t);
	static obj_t BGl__siza7ezd2destzd2funzd2defaul3910z75zzmsil_maxstackz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzmsil_maxstackz00();
	static obj_t BGl__z52allocatezd2stackedz80zzmsil_maxstackz00(obj_t);
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_li3926z75zzmsil_maxstackz00(obj_t,
		obj_t);
	static obj_t BGl__maxstackz00zzmsil_maxstackz00(obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec3938z83zzmsil_maxstackz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_typezd2destzd2funzd2rtl_ca3934zd2zzmsil_maxstackz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmsil_maxstackz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmsil_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static long BGl_popzd2argszd2zzmsil_maxstackz00(BgL_rtl_funz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzmsil_maxstackz00();
	BGL_IMPORT long bgl_list_length(obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	extern obj_t BGl_rtl_funcallz00zzsaw_defsz00;
	static obj_t BGl_pushzd2argszd2zzmsil_maxstackz00(BgL_rtl_funz00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl__typezd2destzd2funzd2defaul3931zd2zzmsil_maxstackz00(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_typezd2destzd2funz00zzmsil_maxstackz00(BgL_rtl_funz00_bglt);
	static obj_t BGl__extrazd2argszd2zzmsil_maxstackz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_newz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_ap3924z75zzmsil_maxstackz00(obj_t,
		obj_t);
	static bool_t BGl_dfsz00zzmsil_maxstackz00(obj_t, obj_t, long);
	BGL_EXPORTED_DECL int
		BGl_siza7ezd2destzd2funza7zzmsil_maxstackz00(BgL_rtl_funz00_bglt);
	static obj_t BGl_methodzd2initzd2zzmsil_maxstackz00();
	extern obj_t BGl_rtl_callz00zzsaw_defsz00;
	static obj_t BGl_extrazd2argszd2rtl_call3909z00zzmsil_maxstackz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_rtl_castz00zzsaw_defsz00;
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_la3913z75zzmsil_maxstackz00(obj_t,
		obj_t);
	static obj_t BGl_setmaxz12z12zzmsil_maxstackz00(obj_t, obj_t);
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmsil_maxstackz00 = BUNSPEC;
	static obj_t BGl_pushzd2argzd2zzmsil_maxstackz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_rtl_switchz00zzsaw_defsz00;
	extern obj_t BGl_rtl_applyz00zzsaw_defsz00;
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_fu3928z75zzmsil_maxstackz00(obj_t,
		obj_t);
	static obj_t BGl__stackedzf3zf3zzmsil_maxstackz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmsil_maxstackz00();
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	extern obj_t BGl_rtl_notseqz00zzsaw_defsz00;
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_ef3918z75zzmsil_maxstackz00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_lastz00zzsaw_defsz00;
	static obj_t BGl_extrazd2argszd2rtl_globa3905z00zzmsil_maxstackz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl__siza7ezd2destzd2fun4145za7zzmsil_maxstackz00(obj_t, obj_t);
	extern obj_t BGl_rtl_lightfuncallz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static long BGl_popzd2argzd2zzmsil_maxstackz00(obj_t, obj_t);
	static int
		BGl_siza7ezd2destzd2funzd2defaul3910z75zzmsil_maxstackz00
		(BgL_rtl_funz00_bglt);
	static BgL_stackedz00_bglt BGl_wideningzd2stackedzd2zzmsil_maxstackz00();
	BGL_IMPORT BgL_objectz00_bglt
		BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_rtl_effectz00zzsaw_defsz00;
	static obj_t BGl_extrazd2argszd2rtl_switc3907z00zzmsil_maxstackz00(obj_t,
		obj_t, obj_t);
	static long BGl_popzd2destzd2zzmsil_maxstackz00(obj_t, BgL_rtl_funz00_bglt,
		obj_t);
	static BgL_stackedz00_bglt BGl_stackedzd2nilzd2zzmsil_maxstackz00();
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_rtl_purez00zzsaw_defsz00;
	static obj_t BGl_objectzd2initzd2zzmsil_maxstackz00();
	static obj_t BGl_siza7ezd2destzd2funzd2rtl_pu3920z75zzmsil_maxstackz00(obj_t,
		obj_t);
	static obj_t BGl_stackedz00zzmsil_maxstackz00 = BUNSPEC;
	static obj_t BGl_z52thezd2stackedzd2nilz52zzmsil_maxstackz00 = BUNSPEC;
	static obj_t BGl_libraryzd2moduleszd2initz00zzmsil_maxstackz00();
	static BgL_typez00_bglt
		BGl_typezd2destzd2funzd2defaul3931zd2zzmsil_maxstackz00
		(BgL_rtl_funz00_bglt);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_maxstackzd2envzd2zzmsil_maxstackz00,
		BgL_bgl__maxstackza700za7za7ms4172za7, BGl__maxstackz00zzmsil_maxstackz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4150z00zzmsil_maxstackz00,
		BgL_bgl_extraza7d2argsza7d2r4173z00,
		BGl_extrazd2argszd2rtl_funca3903z00zzmsil_maxstackz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4151z00zzmsil_maxstackz00,
		BgL_bgl_extraza7d2argsza7d2r4174z00,
		BGl_extrazd2argszd2rtl_globa3905z00zzmsil_maxstackz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4152z00zzmsil_maxstackz00,
		BgL_bgl_extraza7d2argsza7d2r4175z00,
		BGl_extrazd2argszd2rtl_switc3907z00zzmsil_maxstackz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4153z00zzmsil_maxstackz00,
		BgL_bgl_extraza7d2argsza7d2r4176z00,
		BGl_extrazd2argszd2rtl_call3909z00zzmsil_maxstackz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4154z00zzmsil_maxstackz00,
		BgL_bgl_siza7a7eza7d2destza7d24177za7,
		BGl_siza7ezd2destzd2funzd2rtl_la3913z75zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4155z00zzmsil_maxstackz00,
		BgL_bgl_siza7a7eza7d2destza7d24178za7,
		BGl_siza7ezd2destzd2funzd2rtl_no3916z75zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4156z00zzmsil_maxstackz00,
		BgL_bgl_siza7a7eza7d2destza7d24179za7,
		BGl_siza7ezd2destzd2funzd2rtl_ef3918z75zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4157z00zzmsil_maxstackz00,
		BgL_bgl_siza7a7eza7d2destza7d24180za7,
		BGl_siza7ezd2destzd2funzd2rtl_pu3920z75zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4158z00zzmsil_maxstackz00,
		BgL_bgl_siza7a7eza7d2destza7d24181za7,
		BGl_siza7ezd2destzd2funzd2rtl_ne3922z75zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4160z00zzmsil_maxstackz00,
		BgL_bgl_siza7a7eza7d2destza7d24182za7,
		BGl_siza7ezd2destzd2funzd2rtl_li3926z75zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4159z00zzmsil_maxstackz00,
		BgL_bgl_siza7a7eza7d2destza7d24183za7,
		BGl_siza7ezd2destzd2funzd2rtl_ap3924z75zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4161z00zzmsil_maxstackz00,
		BgL_bgl_siza7a7eza7d2destza7d24184za7,
		BGl_siza7ezd2destzd2funzd2rtl_fu3928z75zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4162z00zzmsil_maxstackz00,
		BgL_bgl_siza7a7eza7d2destza7d24185za7,
		BGl_siza7ezd2destzd2funzd2rtl_ca3930z75zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4163z00zzmsil_maxstackz00,
		BgL_bgl_typeza7d2destza7d2fu4186z00,
		BGl_typezd2destzd2funzd2rtl_ca3934zd2zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4164z00zzmsil_maxstackz00,
		BgL_bgl_objectza7d2za7e3stru4187z00,
		BGl_objectzd2ze3structzd2stack3936ze3zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc4165z00zzmsil_maxstackz00,
		BgL_bgl_structza7b2objectza74188z00,
		BGl_structzb2objectzd2ze3objec3938z83zzmsil_maxstackz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string4166z00zzmsil_maxstackz00,
		BgL_bgl_string4166za700za7za7m4189za7, "no method for", 13);
	      DEFINE_STRING(BGl_string4167z00zzmsil_maxstackz00,
		BgL_bgl_string4167za700za7za7m4190za7, "msil_maxstack", 13);
	      DEFINE_STRING(BGl_string4168z00zzmsil_maxstackz00,
		BgL_bgl_string4168za700za7za7m4191za7,
		"size-dest-fun c-null? $obj->bool make-l-procedure cnst-table-set! cnst-table-ref stacked ",
		89);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_stackedzd2nilzd2envz00zzmsil_maxstackz00,
		BgL_bgl__stackedza7d2nilza7d4192z00,
		BGl__stackedzd2nilzd2zzmsil_maxstackz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_typezd2destzd2funzd2defaul3931zd2envz00zzmsil_maxstackz00,
		BgL_bgl__typeza7d2destza7d2f4193z00,
		BGl__typezd2destzd2funzd2defaul3931zd2zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_stackedzf3zd2envz21zzmsil_maxstackz00,
		BgL_bgl__stackedza7f3za7f3za7za74194z00,
		BGl__stackedzf3zf3zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_siza7ezd2destzd2funzd2envz75zzmsil_maxstackz00,
		BgL_bgl__siza7a7eza7d2destza7d4195za7,
		BGl__siza7ezd2destzd2fun4145za7zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_extrazd2argszd2envz00zzmsil_maxstackz00,
		BgL_bgl__extraza7d2argsza7d24196z00, BGl__extrazd2argszd2zzmsil_maxstackz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_siza7ezd2destzd2funzd2defaul3910zd2envza7zzmsil_maxstackz00,
		BgL_bgl__siza7a7eza7d2destza7d4197za7,
		BGl__siza7ezd2destzd2funzd2defaul3910z75zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_typezd2destzd2funzd2envzd2zzmsil_maxstackz00,
		BgL_bgl__typeza7d2destza7d2f4198z00,
		BGl__typezd2destzd2fun4149z00zzmsil_maxstackz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_extrazd2argszd2default3900zd2envzd2zzmsil_maxstackz00,
		BgL_bgl__extraza7d2argsza7d24199z00,
		BGl__extrazd2argszd2default3900z00zzmsil_maxstackz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2stackedzd2envz52zzmsil_maxstackz00,
		BgL_bgl__za752allocateza7d2s4200z00,
		BGl__z52allocatezd2stackedz80zzmsil_maxstackz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmsil_maxstackz00(long
		BgL_checksumz00_2325, char *BgL_fromz00_2326)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmsil_maxstackz00))
				{
					BGl_requirezd2initializa7ationz75zzmsil_maxstackz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmsil_maxstackz00();
					BGl_cnstzd2initzd2zzmsil_maxstackz00();
					BGl_importedzd2moduleszd2initz00zzmsil_maxstackz00();
					BGl_objectzd2initzd2zzmsil_maxstackz00();
					BGl_methodzd2initzd2zzmsil_maxstackz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmsil_maxstackz00()
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"msil_maxstack");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"msil_maxstack");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "msil_maxstack");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"msil_maxstack");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmsil_maxstackz00()
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 1 */
			{	/* SawMsil/maxstack.scm 1 */
				obj_t BgL_cportz00_2296;

				BgL_cportz00_2296 =
					bgl_open_input_string(BGl_string4168z00zzmsil_maxstackz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2297;

					BgL_iz00_2297 = ((long) 6);
				BgL_loopz00_2298:
					if ((BgL_iz00_2297 == ((long) -1)))
						{	/* SawMsil/maxstack.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMsil/maxstack.scm 1 */
							{	/* SawMsil/maxstack.scm 1 */
								obj_t BgL_arg4170z00_2300;

								{	/* SawMsil/maxstack.scm 1 */

									{	/* SawMsil/maxstack.scm 1 */
										obj_t BgL_locationz00_2302;

										BgL_locationz00_2302 = BBOOL(((bool_t) 0));
										{	/* SawMsil/maxstack.scm 1 */

											BgL_arg4170z00_2300 =
												BGl_readz00zz__readerz00(BgL_cportz00_2296,
												BgL_locationz00_2302);
										}
									}
								}
								{	/* SawMsil/maxstack.scm 1 */
									int BgL_auxz00_2345;

									BgL_auxz00_2345 = (int) (BgL_iz00_2297);
									CNST_TABLE_SET(BgL_auxz00_2345, BgL_arg4170z00_2300);
							}}
							{	/* SawMsil/maxstack.scm 1 */
								int BgL_auxz00_2303;

								BgL_auxz00_2303 = (int) ((BgL_iz00_2297 - ((long) 1)));
								{
									long BgL_iz00_2350;

									BgL_iz00_2350 = (long) (BgL_auxz00_2303);
									BgL_iz00_2297 = BgL_iz00_2350;
									goto BgL_loopz00_2298;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmsil_maxstackz00()
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 1 */
			return BUNSPEC;
		}
	}



/* maxstack */
	BGL_EXPORTED_DEF int BGl_maxstackz00zzmsil_maxstackz00(obj_t BgL_lz00_1)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 11 */
			{	/* SawMsil/maxstack.scm 12 */
				obj_t BgL_maxz00_1097;

				{	/* SawMsil/maxstack.scm 12 */
					obj_t BgL_cellvalz00_2352;

					BgL_cellvalz00_2352 = BINT(((long) 0));
					BgL_maxz00_1097 = MAKE_CELL(BgL_cellvalz00_2352);
				}
				{	/* SawMsil/maxstack.scm 13 */
					obj_t BgL_setmaxz12z12_2212;

					{
						int BgL_auxz00_2354;

						BgL_auxz00_2354 = (int) (((long) 1));
						BgL_setmaxz12z12_2212 = MAKE_EL_PROCEDURE_1(BgL_auxz00_2354);
					}
					PROCEDURE_1_EL_SET(BgL_setmaxz12z12_2212,
						(int) (((long) 0)), BgL_maxz00_1097);
					BGl_dfsz00zzmsil_maxstackz00(BgL_setmaxz12z12_2212,
						CAR(BgL_lz00_1), ((long) 0));
					return CINT(CELL_REF(BgL_maxz00_1097));
				}
			}
		}
	}



/* dfs */
	bool_t BGl_dfsz00zzmsil_maxstackz00(obj_t BgL_setmaxz12z12_2295,
		obj_t BgL_bz00_1101, long BgL_stkz00_1102)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 14 */
			{	/* SawMsil/maxstack.scm 15 */
				BgL_blockz00_bglt BgL_obj3883z00_1104;

				BgL_obj3883z00_1104 =
					((BgL_blockz00_bglt) (BgL_blockz00_bglt) (BgL_bz00_1101));
				{	/* SawMsil/maxstack.scm 15 */
					BgL_stackedz00_bglt BgL_arg3939z00_1105;

					BgL_arg3939z00_1105 = BGl_wideningzd2stackedzd2zzmsil_maxstackz00();
					{	/* SawMsil/maxstack.scm 15 */
						obj_t BgL_auxz00_2367;

						BgL_objectz00_bglt BgL_auxz00_2365;

						BgL_auxz00_2367 = (obj_t) (BgL_arg3939z00_1105);
						BgL_auxz00_2365 = (BgL_objectz00_bglt) (BgL_obj3883z00_1104);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2365, BgL_auxz00_2367);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					(BgL_objectz00_bglt) (BgL_obj3883z00_1104),
					BGl_classzd2numzd2zz__objectz00(BGl_stackedz00zzmsil_maxstackz00));
				BgL_obj3883z00_1104;
			}
			{	/* SawMsil/maxstack.scm 16 */
				obj_t BgL_g3890z00_1107;

				{
					BgL_blockz00_bglt BgL_auxz00_2373;

					BgL_auxz00_2373 = (BgL_blockz00_bglt) (BgL_bz00_1101);
					BgL_g3890z00_1107 =
						(((BgL_blockz00_bglt) CREF(BgL_auxz00_2373))->BgL_firstz00);
				}
				{
					obj_t BgL_l3888z00_1108;

					BgL_l3888z00_1108 = BgL_g3890z00_1107;
				BgL_forzd2each3889zd2_1109:
					if (PAIRP(BgL_l3888z00_1108))
						{	/* SawMsil/maxstack.scm 16 */
							{	/* SawMsil/maxstack.scm 16 */
								obj_t BgL_insz00_1111;

								BgL_insz00_1111 = CAR(BgL_l3888z00_1108);
								{	/* SawMsil/maxstack.scm 16 */
									long BgL_stkz00_1852;

									BgL_stkz00_1852 = BgL_stkz00_1102;
									{	/* SawMsil/maxstack.scm 16 */
										obj_t BgL_arg3948z00_1854;

										BgL_rtl_funz00_bglt BgL_arg3949z00_1855;

										obj_t BgL_arg3950z00_1856;

										{
											BgL_rtl_insz00_bglt BgL_auxz00_2379;

											BgL_auxz00_2379 = (BgL_rtl_insz00_bglt) (BgL_insz00_1111);
											BgL_arg3948z00_1854 =
												(((BgL_rtl_insz00_bglt) CREF(BgL_auxz00_2379))->
												BgL_destz00);
										}
										{
											BgL_rtl_insz00_bglt BgL_auxz00_2382;

											BgL_auxz00_2382 = (BgL_rtl_insz00_bglt) (BgL_insz00_1111);
											BgL_arg3949z00_1855 =
												(((BgL_rtl_insz00_bglt) CREF(BgL_auxz00_2382))->
												BgL_funz00);
										}
										BgL_arg3950z00_1856 =
											BGl_stackzd2exprzd2zzmsil_maxstackz00(BgL_insz00_1111,
											BINT(BgL_stkz00_1852), BgL_setmaxz12z12_2295);
										BgL_stkz00_1102 =
											BGl_popzd2destzd2zzmsil_maxstackz00(BgL_arg3948z00_1854,
											BgL_arg3949z00_1855, BgL_arg3950z00_1856);
							}}}
							{
								obj_t BgL_l3888z00_2388;

								BgL_l3888z00_2388 = CDR(BgL_l3888z00_1108);
								BgL_l3888z00_1108 = BgL_l3888z00_2388;
								goto BgL_forzd2each3889zd2_1109;
							}
						}
					else
						{	/* SawMsil/maxstack.scm 16 */
							((bool_t) 1);
						}
				}
			}
			{	/* SawMsil/maxstack.scm 18 */
				obj_t BgL_g3894z00_1113;

				{
					BgL_blockz00_bglt BgL_auxz00_2390;

					BgL_auxz00_2390 = (BgL_blockz00_bglt) (BgL_bz00_1101);
					BgL_g3894z00_1113 =
						(((BgL_blockz00_bglt) CREF(BgL_auxz00_2390))->BgL_succsz00);
				}
				{
					obj_t BgL_l3891z00_1114;

					BgL_l3891z00_1114 = BgL_g3894z00_1113;
				BgL_forzd2each3893zd2_1115:
					if (PAIRP(BgL_l3891z00_1114))
						{	/* SawMsil/maxstack.scm 18 */
							{	/* SawMsil/maxstack.scm 18 */
								obj_t BgL_sz00_1117;

								BgL_sz00_1117 = CAR(BgL_l3891z00_1114);
								if (BGl_iszd2azf3z21zz__objectz00(BgL_sz00_1117,
										BGl_stackedz00zzmsil_maxstackz00))
									{	/* SawMsil/maxstack.scm 18 */
										((bool_t) 0);
									}
								else
									{	/* SawMsil/maxstack.scm 18 */
										BGl_dfsz00zzmsil_maxstackz00(BgL_setmaxz12z12_2295,
											BgL_sz00_1117, BgL_stkz00_1102);
									}
							}
							{
								obj_t BgL_l3891z00_2399;

								BgL_l3891z00_2399 = CDR(BgL_l3891z00_1114);
								BgL_l3891z00_1114 = BgL_l3891z00_2399;
								goto BgL_forzd2each3893zd2_1115;
							}
						}
					else
						{	/* SawMsil/maxstack.scm 18 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* _maxstack */
	obj_t BGl__maxstackz00zzmsil_maxstackz00(obj_t BgL_envz00_2213,
		obj_t BgL_lz00_2214)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 11 */
			return BINT(BGl_maxstackz00zzmsil_maxstackz00(BgL_lz00_2214));
		}
	}



/* setmax! */
	obj_t BGl_setmaxz12z12zzmsil_maxstackz00(obj_t BgL_envz00_2215,
		obj_t BgL_nz00_2217)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 13 */
			{	/* SawMsil/maxstack.scm 13 */
				obj_t BgL_maxz00_2216;

				BgL_maxz00_2216 =
					PROCEDURE_1_EL_REF(BgL_envz00_2215, (int) (((long) 0)));
				{
					obj_t BgL_nz00_1120;

					BgL_nz00_1120 = BgL_nz00_2217;
					if (
						((long) CINT(BgL_nz00_1120) >
							(long) CINT(CELL_REF(BgL_maxz00_2216))))
						{	/* SawMsil/maxstack.scm 13 */
							CELL_SET(BgL_maxz00_2216, BgL_nz00_1120);
						}
					else
						{	/* SawMsil/maxstack.scm 13 */
							BFALSE;
						}
					return BgL_nz00_1120;
				}
			}
		}
	}



/* stack-expr */
	obj_t BGl_stackzd2exprzd2zzmsil_maxstackz00(obj_t BgL_insz00_5,
		obj_t BgL_stkz00_6, obj_t BgL_maxz00_7)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 26 */
			{	/* SawMsil/maxstack.scm 28 */
				obj_t BgL_stkz00_1129;

				{	/* SawMsil/maxstack.scm 28 */
					obj_t BgL_arg3957z00_1136;

					{	/* SawMsil/maxstack.scm 28 */
						BgL_rtl_funz00_bglt BgL_arg3958z00_1137;

						obj_t BgL_arg3959z00_1138;

						{
							BgL_rtl_insz00_bglt BgL_auxz00_2409;

							BgL_auxz00_2409 = (BgL_rtl_insz00_bglt) (BgL_insz00_5);
							BgL_arg3958z00_1137 =
								(((BgL_rtl_insz00_bglt) CREF(BgL_auxz00_2409))->BgL_funz00);
						}
						{
							BgL_rtl_insz00_bglt BgL_auxz00_2412;

							BgL_auxz00_2412 = (BgL_rtl_insz00_bglt) (BgL_insz00_5);
							BgL_arg3959z00_1138 =
								(((BgL_rtl_insz00_bglt) CREF(BgL_auxz00_2412))->BgL_argsz00);
						}
						BgL_arg3957z00_1136 =
							BGl_pushzd2argszd2zzmsil_maxstackz00(BgL_arg3958z00_1137,
							BgL_arg3959z00_1138, BgL_stkz00_6, BgL_maxz00_7);
					}
					BgL_stkz00_1129 =
						BGl_setmaxz12z12zzmsil_maxstackz00(BgL_maxz00_7,
						BgL_arg3957z00_1136);
				}
				{	/* SawMsil/maxstack.scm 29 */
					long BgL_arg3951z00_1130;

					{	/* SawMsil/maxstack.scm 29 */
						obj_t BgL_arg3952z00_1131;

						BgL_rtl_funz00_bglt BgL_arg3953z00_1132;

						long BgL_arg3954z00_1133;

						{
							BgL_rtl_insz00_bglt BgL_auxz00_2418;

							BgL_auxz00_2418 = (BgL_rtl_insz00_bglt) (BgL_insz00_5);
							BgL_arg3952z00_1131 =
								(((BgL_rtl_insz00_bglt) CREF(BgL_auxz00_2418))->BgL_destz00);
						}
						{
							BgL_rtl_insz00_bglt BgL_auxz00_2421;

							BgL_auxz00_2421 = (BgL_rtl_insz00_bglt) (BgL_insz00_5);
							BgL_arg3953z00_1132 =
								(((BgL_rtl_insz00_bglt) CREF(BgL_auxz00_2421))->BgL_funz00);
						}
						{	/* SawMsil/maxstack.scm 29 */
							BgL_rtl_funz00_bglt BgL_arg3955z00_1134;

							obj_t BgL_arg3956z00_1135;

							{
								BgL_rtl_insz00_bglt BgL_auxz00_2424;

								BgL_auxz00_2424 = (BgL_rtl_insz00_bglt) (BgL_insz00_5);
								BgL_arg3955z00_1134 =
									(((BgL_rtl_insz00_bglt) CREF(BgL_auxz00_2424))->BgL_funz00);
							}
							{
								BgL_rtl_insz00_bglt BgL_auxz00_2427;

								BgL_auxz00_2427 = (BgL_rtl_insz00_bglt) (BgL_insz00_5);
								BgL_arg3956z00_1135 =
									(((BgL_rtl_insz00_bglt) CREF(BgL_auxz00_2427))->BgL_argsz00);
							}
							BgL_arg3954z00_1133 =
								BGl_popzd2argszd2zzmsil_maxstackz00(BgL_arg3955z00_1134,
								BgL_arg3956z00_1135, BgL_stkz00_1129);
						}
						{	/* SawMsil/maxstack.scm 29 */
							int BgL_arg3973z00_1890;

							if (CBOOL(BgL_arg3952z00_1131))
								{	/* SawMsil/maxstack.scm 29 */
									BgL_typez00_bglt BgL_arg3974z00_1891;

									{
										BgL_rtl_regz00_bglt BgL_auxz00_2433;

										BgL_auxz00_2433 =
											(BgL_rtl_regz00_bglt) (BgL_arg3952z00_1131);
										BgL_arg3974z00_1891 =
											(((BgL_rtl_regz00_bglt) CREF(BgL_auxz00_2433))->
											BgL_typez00);
									}
									BgL_arg3973z00_1890 =
										BGl_typeSiza7eza7zzmsil_typez00(BgL_arg3974z00_1891);
								}
							else
								{	/* SawMsil/maxstack.scm 29 */
									BgL_arg3973z00_1890 =
										BGl_siza7ezd2destzd2funza7zzmsil_maxstackz00
										(BgL_arg3953z00_1132);
								}
							BgL_arg3951z00_1130 =
								(BgL_arg3954z00_1133 + (long) (BgL_arg3973z00_1890));
					}}
					return
						BGl_setmaxz12z12zzmsil_maxstackz00(BgL_maxz00_7,
						BINT(BgL_arg3951z00_1130));
				}
			}
		}
	}



/* push-args */
	obj_t BGl_pushzd2argszd2zzmsil_maxstackz00(BgL_rtl_funz00_bglt BgL_funz00_8,
		obj_t BgL_argsz00_9, obj_t BgL_stkz00_10, obj_t BgL_maxz00_11)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 31 */
			{	/* SawMsil/maxstack.scm 32 */
				int BgL_arg3960z00_1139;

				{	/* SawMsil/maxstack.scm 32 */
					int BgL_res4123z00_1922;

					{	/* SawMsil/maxstack.scm 32 */
						obj_t BgL_method3901z00_1897;

						{	/* SawMsil/maxstack.scm 32 */
							BgL_objectz00_bglt BgL_objz00_1898;

							BgL_objz00_1898 = (BgL_objectz00_bglt) (BgL_funz00_8);
							{	/* SawMsil/maxstack.scm 32 */
								long BgL_objzd2classzd2numz00_1899;

								BgL_objzd2classzd2numz00_1899 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1898);
								{	/* SawMsil/maxstack.scm 32 */
									obj_t BgL_arg2388z00_1900;

									BgL_arg2388z00_1900 =
										PROCEDURE_REF(BGl_extrazd2argszd2envz00zzmsil_maxstackz00,
										(int) (((long) 1)));
									{	/* SawMsil/maxstack.scm 32 */
										obj_t BgL_arrayz00_1902;

										int BgL_offsetz00_1903;

										BgL_arrayz00_1902 = BgL_arg2388z00_1900;
										BgL_offsetz00_1903 = (int) (BgL_objzd2classzd2numz00_1899);
										{	/* SawMsil/maxstack.scm 32 */
											long BgL_offsetz00_1904;

											BgL_offsetz00_1904 =
												((long) (BgL_offsetz00_1903) - OBJECT_TYPE);
											{	/* SawMsil/maxstack.scm 32 */
												long BgL_modz00_1905;

												{	/* SawMsil/maxstack.scm 32 */
													int BgL_arg2390z00_1906;

													BgL_arg2390z00_1906 = (int) (((long) 8));
													{	/* SawMsil/maxstack.scm 32 */
														long BgL_auxz00_2451;

														BgL_auxz00_2451 = (long) (BgL_arg2390z00_1906);
														BgL_modz00_1905 =
															(BgL_offsetz00_1904 / BgL_auxz00_2451);
												}}
												{	/* SawMsil/maxstack.scm 32 */
													long BgL_restz00_1907;

													{	/* SawMsil/maxstack.scm 32 */
														int BgL_arg2389z00_1908;

														BgL_arg2389z00_1908 = (int) (((long) 8));
														{	/* SawMsil/maxstack.scm 32 */
															long BgL_auxz00_2455;

															BgL_auxz00_2455 = (long) (BgL_arg2389z00_1908);
															BgL_restz00_1907 =
																(BgL_offsetz00_1904 % BgL_auxz00_2455);
													}}
													{	/* SawMsil/maxstack.scm 32 */

														BgL_method3901z00_1897 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1902,
																(int) (BgL_modz00_1905)),
															(int) (BgL_restz00_1907));
						}}}}}}}}
						BgL_res4123z00_1922 =
							CINT(PROCEDURE_ENTRY(BgL_method3901z00_1897)
							(BgL_method3901z00_1897, (obj_t) (BgL_funz00_8), BgL_argsz00_9,
								BEOA));
					}
					BgL_arg3960z00_1139 = BgL_res4123z00_1922;
				}
				{	/* SawMsil/maxstack.scm 32 */
					long BgL_za71za7_1923;

					long BgL_za72za7_1924;

					BgL_za71za7_1923 = (long) (BgL_arg3960z00_1139);
					BgL_za72za7_1924 = (long) CINT(BgL_stkz00_10);
					BgL_stkz00_10 = BINT((BgL_za71za7_1923 + BgL_za72za7_1924));
			}}
			{
				obj_t BgL_l3895z00_1140;

				BgL_l3895z00_1140 = BgL_argsz00_9;
			BgL_forzd2each3896zd2_1141:
				if (PAIRP(BgL_l3895z00_1140))
					{	/* SawMsil/maxstack.scm 33 */
						{	/* SawMsil/maxstack.scm 33 */
							obj_t BgL_az00_1143;

							BgL_az00_1143 = CAR(BgL_l3895z00_1140);
							BgL_stkz00_10 =
								BGl_pushzd2argzd2zzmsil_maxstackz00(BgL_az00_1143,
								BgL_stkz00_10, BgL_maxz00_11);
						}
						{
							obj_t BgL_l3895z00_2474;

							BgL_l3895z00_2474 = CDR(BgL_l3895z00_1140);
							BgL_l3895z00_1140 = BgL_l3895z00_2474;
							goto BgL_forzd2each3896zd2_1141;
						}
					}
				else
					{	/* SawMsil/maxstack.scm 33 */
						((bool_t) 1);
					}
			}
			return BgL_stkz00_10;
		}
	}



/* push-arg */
	obj_t BGl_pushzd2argzd2zzmsil_maxstackz00(obj_t BgL_argz00_12,
		obj_t BgL_stkz00_13, obj_t BgL_maxz00_14)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 36 */
			if (BGl_iszd2azf3z21zz__objectz00(BgL_argz00_12,
					BGl_rtl_regz00zzsaw_defsz00))
				{	/* SawMsil/maxstack.scm 41 */
					int BgL_arg3965z00_1147;

					{	/* SawMsil/maxstack.scm 41 */
						BgL_typez00_bglt BgL_arg3966z00_1148;

						{
							BgL_rtl_regz00_bglt BgL_auxz00_2478;

							BgL_auxz00_2478 = (BgL_rtl_regz00_bglt) (BgL_argz00_12);
							BgL_arg3966z00_1148 =
								(((BgL_rtl_regz00_bglt) CREF(BgL_auxz00_2478))->BgL_typez00);
						}
						BgL_arg3965z00_1147 =
							BGl_typeSiza7eza7zzmsil_typez00(BgL_arg3966z00_1148);
					}
					return
						BINT(((long) CINT(BgL_stkz00_13) + (long) (BgL_arg3965z00_1147)));
				}
			else
				{	/* SawMsil/maxstack.scm 37 */
					return
						BGl_stackzd2exprzd2zzmsil_maxstackz00(BgL_argz00_12, BgL_stkz00_13,
						BgL_maxz00_14);
				}
		}
	}



/* pop-args */
	long BGl_popzd2argszd2zzmsil_maxstackz00(BgL_rtl_funz00_bglt BgL_funz00_16,
		obj_t BgL_argsz00_17, obj_t BgL_stkz00_18)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 46 */
			{
				obj_t BgL_l3897z00_1149;

				BgL_l3897z00_1149 = BgL_argsz00_17;
			BgL_forzd2each3898zd2_1150:
				if (PAIRP(BgL_l3897z00_1149))
					{	/* SawMsil/maxstack.scm 47 */
						{	/* SawMsil/maxstack.scm 47 */
							obj_t BgL_az00_1152;

							BgL_az00_1152 = CAR(BgL_l3897z00_1149);
							BgL_stkz00_18 =
								BINT(BGl_popzd2argzd2zzmsil_maxstackz00(BgL_az00_1152,
									BgL_stkz00_18));
						}
						{
							obj_t BgL_l3897z00_2492;

							BgL_l3897z00_2492 = CDR(BgL_l3897z00_1149);
							BgL_l3897z00_1149 = BgL_l3897z00_2492;
							goto BgL_forzd2each3898zd2_1150;
						}
					}
				else
					{	/* SawMsil/maxstack.scm 47 */
						((bool_t) 1);
					}
			}
			{	/* SawMsil/maxstack.scm 48 */
				int BgL_arg3969z00_1154;

				{	/* SawMsil/maxstack.scm 48 */
					int BgL_res4126z00_1963;

					{	/* SawMsil/maxstack.scm 48 */
						obj_t BgL_method3901z00_1938;

						{	/* SawMsil/maxstack.scm 48 */
							BgL_objectz00_bglt BgL_objz00_1939;

							BgL_objz00_1939 = (BgL_objectz00_bglt) (BgL_funz00_16);
							{	/* SawMsil/maxstack.scm 48 */
								long BgL_objzd2classzd2numz00_1940;

								BgL_objzd2classzd2numz00_1940 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_1939);
								{	/* SawMsil/maxstack.scm 48 */
									obj_t BgL_arg2388z00_1941;

									BgL_arg2388z00_1941 =
										PROCEDURE_REF(BGl_extrazd2argszd2envz00zzmsil_maxstackz00,
										(int) (((long) 1)));
									{	/* SawMsil/maxstack.scm 48 */
										obj_t BgL_arrayz00_1943;

										int BgL_offsetz00_1944;

										BgL_arrayz00_1943 = BgL_arg2388z00_1941;
										BgL_offsetz00_1944 = (int) (BgL_objzd2classzd2numz00_1940);
										{	/* SawMsil/maxstack.scm 48 */
											long BgL_offsetz00_1945;

											BgL_offsetz00_1945 =
												((long) (BgL_offsetz00_1944) - OBJECT_TYPE);
											{	/* SawMsil/maxstack.scm 48 */
												long BgL_modz00_1946;

												{	/* SawMsil/maxstack.scm 48 */
													int BgL_arg2390z00_1947;

													BgL_arg2390z00_1947 = (int) (((long) 8));
													{	/* SawMsil/maxstack.scm 48 */
														long BgL_auxz00_2502;

														BgL_auxz00_2502 = (long) (BgL_arg2390z00_1947);
														BgL_modz00_1946 =
															(BgL_offsetz00_1945 / BgL_auxz00_2502);
												}}
												{	/* SawMsil/maxstack.scm 48 */
													long BgL_restz00_1948;

													{	/* SawMsil/maxstack.scm 48 */
														int BgL_arg2389z00_1949;

														BgL_arg2389z00_1949 = (int) (((long) 8));
														{	/* SawMsil/maxstack.scm 48 */
															long BgL_auxz00_2506;

															BgL_auxz00_2506 = (long) (BgL_arg2389z00_1949);
															BgL_restz00_1948 =
																(BgL_offsetz00_1945 % BgL_auxz00_2506);
													}}
													{	/* SawMsil/maxstack.scm 48 */

														BgL_method3901z00_1938 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_1943,
																(int) (BgL_modz00_1946)),
															(int) (BgL_restz00_1948));
						}}}}}}}}
						BgL_res4126z00_1963 =
							CINT(PROCEDURE_ENTRY(BgL_method3901z00_1938)
							(BgL_method3901z00_1938, (obj_t) (BgL_funz00_16), BgL_argsz00_17,
								BEOA));
					}
					BgL_arg3969z00_1154 = BgL_res4126z00_1963;
				}
				return ((long) CINT(BgL_stkz00_18) - (long) (BgL_arg3969z00_1154));
		}}
	}



/* pop-arg */
	long BGl_popzd2argzd2zzmsil_maxstackz00(obj_t BgL_argz00_19,
		obj_t BgL_stkz00_20)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 50 */
			{	/* SawMsil/maxstack.scm 51 */
				obj_t BgL_regz00_1155;

				if (BGl_iszd2azf3z21zz__objectz00(BgL_argz00_19,
						BGl_rtl_regz00zzsaw_defsz00))
					{	/* SawMsil/maxstack.scm 51 */
						BgL_regz00_1155 = BgL_argz00_19;
					}
				else
					{
						BgL_rtl_insz00_bglt BgL_auxz00_2522;

						BgL_auxz00_2522 = (BgL_rtl_insz00_bglt) (BgL_argz00_19);
						BgL_regz00_1155 =
							(((BgL_rtl_insz00_bglt) CREF(BgL_auxz00_2522))->BgL_destz00);
					}
				{	/* SawMsil/maxstack.scm 52 */
					int BgL_arg3970z00_1156;

					{	/* SawMsil/maxstack.scm 52 */
						BgL_typez00_bglt BgL_arg3971z00_1157;

						{
							BgL_rtl_regz00_bglt BgL_auxz00_2525;

							BgL_auxz00_2525 = (BgL_rtl_regz00_bglt) (BgL_regz00_1155);
							BgL_arg3971z00_1157 =
								(((BgL_rtl_regz00_bglt) CREF(BgL_auxz00_2525))->BgL_typez00);
						}
						BgL_arg3970z00_1156 =
							BGl_typeSiza7eza7zzmsil_typez00(BgL_arg3971z00_1157);
					}
					return ((long) CINT(BgL_stkz00_20) - (long) (BgL_arg3970z00_1156));
		}}}
	}



/* pop-dest */
	long BGl_popzd2destzd2zzmsil_maxstackz00(obj_t BgL_destz00_24,
		BgL_rtl_funz00_bglt BgL_funz00_25, obj_t BgL_stkz00_26)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 57 */
			{	/* SawMsil/maxstack.scm 58 */
				int BgL_arg3975z00_2003;

				if (CBOOL(BgL_destz00_24))
					{	/* SawMsil/maxstack.scm 58 */
						BgL_typez00_bglt BgL_arg3976z00_2004;

						{
							BgL_rtl_regz00_bglt BgL_auxz00_2534;

							BgL_auxz00_2534 = (BgL_rtl_regz00_bglt) (BgL_destz00_24);
							BgL_arg3976z00_2004 =
								(((BgL_rtl_regz00_bglt) CREF(BgL_auxz00_2534))->BgL_typez00);
						}
						BgL_arg3975z00_2003 =
							BGl_typeSiza7eza7zzmsil_typez00(BgL_arg3976z00_2004);
					}
				else
					{	/* SawMsil/maxstack.scm 58 */
						int BgL_res4132z00_2032;

						{	/* SawMsil/maxstack.scm 58 */
							obj_t BgL_method3911z00_2007;

							{	/* SawMsil/maxstack.scm 58 */
								BgL_objectz00_bglt BgL_objz00_2008;

								BgL_objz00_2008 = (BgL_objectz00_bglt) (BgL_funz00_25);
								{	/* SawMsil/maxstack.scm 58 */
									long BgL_objzd2classzd2numz00_2009;

									BgL_objzd2classzd2numz00_2009 =
										BGL_OBJECT_CLASS_NUM(BgL_objz00_2008);
									{	/* SawMsil/maxstack.scm 58 */
										obj_t BgL_arg2388z00_2010;

										BgL_arg2388z00_2010 =
											PROCEDURE_REF
											(BGl_siza7ezd2destzd2funzd2envz75zzmsil_maxstackz00,
											(int) (((long) 1)));
										{	/* SawMsil/maxstack.scm 58 */
											obj_t BgL_arrayz00_2012;

											int BgL_offsetz00_2013;

											BgL_arrayz00_2012 = BgL_arg2388z00_2010;
											BgL_offsetz00_2013 =
												(int) (BgL_objzd2classzd2numz00_2009);
											{	/* SawMsil/maxstack.scm 58 */
												long BgL_offsetz00_2014;

												BgL_offsetz00_2014 =
													((long) (BgL_offsetz00_2013) - OBJECT_TYPE);
												{	/* SawMsil/maxstack.scm 58 */
													long BgL_modz00_2015;

													{	/* SawMsil/maxstack.scm 58 */
														int BgL_arg2390z00_2016;

														BgL_arg2390z00_2016 = (int) (((long) 8));
														{	/* SawMsil/maxstack.scm 58 */
															long BgL_auxz00_2546;

															BgL_auxz00_2546 = (long) (BgL_arg2390z00_2016);
															BgL_modz00_2015 =
																(BgL_offsetz00_2014 / BgL_auxz00_2546);
													}}
													{	/* SawMsil/maxstack.scm 58 */
														long BgL_restz00_2017;

														{	/* SawMsil/maxstack.scm 58 */
															int BgL_arg2389z00_2018;

															BgL_arg2389z00_2018 = (int) (((long) 8));
															{	/* SawMsil/maxstack.scm 58 */
																long BgL_auxz00_2550;

																BgL_auxz00_2550 = (long) (BgL_arg2389z00_2018);
																BgL_restz00_2017 =
																	(BgL_offsetz00_2014 % BgL_auxz00_2550);
														}}
														{	/* SawMsil/maxstack.scm 58 */

															BgL_method3911z00_2007 =
																VECTOR_REF(VECTOR_REF(BgL_arrayz00_2012,
																	(int) (BgL_modz00_2015)),
																(int) (BgL_restz00_2017));
							}}}}}}}}
							BgL_res4132z00_2032 =
								CINT(PROCEDURE_ENTRY(BgL_method3911z00_2007)
								(BgL_method3911z00_2007, (obj_t) (BgL_funz00_25), BEOA));
						}
						BgL_arg3975z00_2003 = BgL_res4132z00_2032;
					}
				return ((long) CINT(BgL_stkz00_26) - (long) (BgL_arg3975z00_2003));
		}}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmsil_maxstackz00()
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 1 */
			{	/* SawMsil/maxstack.scm 9 */
				obj_t BgL_arg3977z00_1163;

				obj_t BgL_arg3978z00_1164;

				obj_t BgL_arg3981z00_1167;

				BgL_arg3977z00_1163 = CNST_TABLE_REF(((long) 0));
				BgL_arg3978z00_1164 = BGl_blockz00zzsaw_defsz00;
				{	/* SawMsil/maxstack.scm 9 */
					obj_t BgL_v3899z00_1168;

					BgL_v3899z00_1168 = create_vector((int) (((long) 0)));
					BgL_arg3981z00_1167 = BgL_v3899z00_1168;
				}
				BGl_stackedz00zzmsil_maxstackz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3977z00_1163,
					BgL_arg3978z00_1164, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2stackedzd2envz52zzmsil_maxstackz00,
					BGl_stackedzd2nilzd2envz00zzmsil_maxstackz00,
					BGl_stackedzf3zd2envz21zzmsil_maxstackz00, ((long) 68683664), BFALSE,
					BFALSE, BgL_arg3981z00_1167);
			}
			return (BGl_z52thezd2stackedzd2nilz52zzmsil_maxstackz00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* _stacked? */
	obj_t BGl__stackedzf3zf3zzmsil_maxstackz00(obj_t BgL_envz00_2226,
		obj_t BgL_obj3868z00_2227)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 9 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3868z00_2227,
					BGl_stackedz00zzmsil_maxstackz00));
		}
	}



/* widening-stacked */
	BgL_stackedz00_bglt BGl_wideningzd2stackedzd2zzmsil_maxstackz00()
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 9 */
			{	/* SawMsil/maxstack.scm 9 */
				BgL_stackedz00_bglt BgL_new3851z00_1169;

				BgL_new3851z00_1169 =
					((BgL_stackedz00_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_stackedz00_bgl))));
				return BgL_new3851z00_1169;
			}
		}
	}



/* _%allocate-stacked */
	obj_t BGl__z52allocatezd2stackedz80zzmsil_maxstackz00(obj_t BgL_envz00_2224)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 9 */
			{	/* SawMsil/maxstack.scm 9 */
				BgL_blockz00_bglt BgL_auxz00_2571;

				{	/* SawMsil/maxstack.scm 9 */
					BgL_blockz00_bglt BgL_res4171z00_2309;

					{	/* SawMsil/maxstack.scm 9 */
						BgL_blockz00_bglt BgL_new3861z00_2307;

						BgL_new3861z00_2307 =
							((BgL_blockz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_blockz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new3861z00_2307),
							BGl_classzd2numzd2zz__objectz00
							(BGl_stackedz00zzmsil_maxstackz00));
						{	/* SawMsil/maxstack.scm 9 */
							BgL_objectz00_bglt BgL_auxz00_2576;

							BgL_auxz00_2576 = (BgL_objectz00_bglt) (BgL_new3861z00_2307);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2576, BFALSE);
						}
						BgL_res4171z00_2309 = BgL_new3861z00_2307;
					}
					BgL_auxz00_2571 = BgL_res4171z00_2309;
				}
				return (obj_t) (BgL_auxz00_2571);
			}
		}
	}



/* stacked-nil */
	BgL_stackedz00_bglt BGl_stackedzd2nilzd2zzmsil_maxstackz00()
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 9 */
			if ((BGl_z52thezd2stackedzd2nilz52zzmsil_maxstackz00 == BUNSPEC))
				{	/* SawMsil/maxstack.scm 9 */
					{	/* SawMsil/maxstack.scm 9 */
						BgL_blockz00_bglt BgL_res4133z00_2044;

						{	/* SawMsil/maxstack.scm 9 */
							BgL_blockz00_bglt BgL_new3848z00_2040;

							BgL_new3848z00_2040 =
								((BgL_blockz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_blockz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new3848z00_2040),
								BGl_classzd2numzd2zz__objectz00(BGl_blockz00zzsaw_defsz00));
							{	/* SawMsil/maxstack.scm 9 */
								BgL_objectz00_bglt BgL_auxz00_2586;

								BgL_auxz00_2586 = (BgL_objectz00_bglt) (BgL_new3848z00_2040);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2586, BFALSE);
							}
							BgL_res4133z00_2044 = BgL_new3848z00_2040;
						}
						BGl_z52thezd2stackedzd2nilz52zzmsil_maxstackz00 =
							(obj_t) (BgL_res4133z00_2044);
					}
					{	/* SawMsil/maxstack.scm 9 */
						obj_t BgL_arg3989z00_1180;

						BgL_arg3989z00_1180 = MAKE_PAIR(BFALSE, BFALSE);
						{	/* SawMsil/maxstack.scm 9 */
							BgL_blockz00_bglt BgL_res4134z00_2054;

							{	/* SawMsil/maxstack.scm 9 */
								BgL_blockz00_bglt BgL_new3842z00_2045;

								int BgL_label3838z00_2046;

								BgL_new3842z00_2045 =
									(BgL_blockz00_bglt)
									(BGl_z52thezd2stackedzd2nilz52zzmsil_maxstackz00);
								BgL_label3838z00_2046 = (int) (((long) 0));
								{	/* SawMsil/maxstack.scm 9 */
									int BgL_label3838z00_2050;

									obj_t BgL_preds3839z00_2051;

									obj_t BgL_succs3840z00_2052;

									obj_t BgL_first3841z00_2053;

									BgL_label3838z00_2050 = BgL_label3838z00_2046;
									BgL_preds3839z00_2051 = BNIL;
									BgL_succs3840z00_2052 = BNIL;
									BgL_first3841z00_2053 = BgL_arg3989z00_1180;
									((((BgL_blockz00_bglt) CREF(BgL_new3842z00_2045))->
											BgL_labelz00) = ((int) BgL_label3838z00_2050), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3842z00_2045))->
											BgL_predsz00) = ((obj_t) BgL_preds3839z00_2051), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3842z00_2045))->
											BgL_succsz00) = ((obj_t) BgL_succs3840z00_2052), BUNSPEC);
									((((BgL_blockz00_bglt) CREF(BgL_new3842z00_2045))->
											BgL_firstz00) = ((obj_t) BgL_first3841z00_2053), BUNSPEC);
									BgL_res4134z00_2054 = BgL_new3842z00_2045;
							}} BgL_res4134z00_2054;
					}}
					{	/* SawMsil/maxstack.scm 9 */
						long BgL_arg3990z00_1181;

						BgL_arg3990z00_1181 =
							BGl_classzd2numzd2zz__objectz00(BGl_stackedz00zzmsil_maxstackz00);
						BGL_OBJECT_CLASS_NUM_SET(
							(BgL_objectz00_bglt)
							(BGl_z52thezd2stackedzd2nilz52zzmsil_maxstackz00),
							BgL_arg3990z00_1181);
					}
					{	/* SawMsil/maxstack.scm 9 */
						BgL_stackedz00_bglt BgL_arg3991z00_1182;

						BgL_arg3991z00_1182 = BGl_wideningzd2stackedzd2zzmsil_maxstackz00();
						{	/* SawMsil/maxstack.scm 9 */
							obj_t BgL_auxz00_2603;

							BgL_objectz00_bglt BgL_auxz00_2601;

							BgL_auxz00_2603 = (obj_t) (BgL_arg3991z00_1182);
							BgL_auxz00_2601 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2stackedzd2nilz52zzmsil_maxstackz00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2601, BgL_auxz00_2603);
				}}}
			else
				{	/* SawMsil/maxstack.scm 9 */
					BFALSE;
				}
			return
				(BgL_stackedz00_bglt) (BGl_z52thezd2stackedzd2nilz52zzmsil_maxstackz00);
		}
	}



/* _stacked-nil */
	obj_t BGl__stackedzd2nilzd2zzmsil_maxstackz00(obj_t BgL_envz00_2225)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 9 */
			return (obj_t) (BGl_stackedzd2nilzd2zzmsil_maxstackz00());
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmsil_maxstackz00()
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 1 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_extrazd2argszd2envz00zzmsil_maxstackz00,
				BGl_extrazd2argszd2default3900zd2envzd2zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_extrazd2argszd2envz00zzmsil_maxstackz00,
				BGl_rtl_funcallz00zzsaw_defsz00, BGl_proc4150z00zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_extrazd2argszd2envz00zzmsil_maxstackz00,
				BGl_rtl_globalrefz00zzsaw_defsz00, BGl_proc4151z00zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_extrazd2argszd2envz00zzmsil_maxstackz00,
				BGl_rtl_switchz00zzsaw_defsz00, BGl_proc4152z00zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_extrazd2argszd2envz00zzmsil_maxstackz00,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc4153z00zzmsil_maxstackz00);
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzmsil_maxstackz00,
				BGl_siza7ezd2destzd2funzd2defaul3910zd2envza7zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzmsil_maxstackz00,
				BGl_rtl_lastz00zzsaw_defsz00, BGl_proc4154z00zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzmsil_maxstackz00,
				BGl_rtl_notseqz00zzsaw_defsz00, BGl_proc4155z00zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzmsil_maxstackz00,
				BGl_rtl_effectz00zzsaw_defsz00, BGl_proc4156z00zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzmsil_maxstackz00,
				BGl_rtl_purez00zzsaw_defsz00, BGl_proc4157z00zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzmsil_maxstackz00,
				BGl_rtl_newz00zzsaw_defsz00, BGl_proc4158z00zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzmsil_maxstackz00,
				BGl_rtl_applyz00zzsaw_defsz00, BGl_proc4159z00zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzmsil_maxstackz00,
				BGl_rtl_lightfuncallz00zzsaw_defsz00,
				BGl_proc4160z00zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzmsil_maxstackz00,
				BGl_rtl_funcallz00zzsaw_defsz00, BGl_proc4161z00zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_siza7ezd2destzd2funzd2envz75zzmsil_maxstackz00,
				BGl_rtl_castz00zzsaw_defsz00, BGl_proc4162z00zzmsil_maxstackz00);
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_typezd2destzd2funzd2envzd2zzmsil_maxstackz00,
				BGl_typezd2destzd2funzd2defaul3931zd2envz00zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_typezd2destzd2funzd2envzd2zzmsil_maxstackz00,
				BGl_rtl_callz00zzsaw_defsz00, BGl_proc4163z00zzmsil_maxstackz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_stackedz00zzmsil_maxstackz00, BGl_proc4164z00zzmsil_maxstackz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_stackedz00zzmsil_maxstackz00, BGl_proc4165z00zzmsil_maxstackz00);
		}
	}



/* struct+object->objec3938 */
	obj_t BGl_structzb2objectzd2ze3objec3938z83zzmsil_maxstackz00(obj_t
		BgL_envz00_2249, obj_t BgL_oz00_2250, obj_t BgL_sz00_2251)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 9 */
			{
				BgL_stackedz00_bglt BgL_oz00_1826;

				obj_t BgL_sz00_1827;

				{	/* SawMsil/maxstack.scm 9 */
					BgL_stackedz00_bglt BgL_auxz00_2628;

					BgL_oz00_1826 = (BgL_stackedz00_bglt) (BgL_oz00_2250);
					BgL_sz00_1827 = BgL_sz00_2251;
					{

						{	/* SawMsil/maxstack.scm 9 */
							obj_t BgL_old3865z00_1830;

							{	/* SawMsil/maxstack.scm 9 */
								obj_t BgL_nextzd2method3937zd2_1835;

								BgL_nextzd2method3937zd2_1835 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_1826),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_stackedz00zzmsil_maxstackz00);
								if (PROCEDUREP(BgL_nextzd2method3937zd2_1835))
									{	/* SawMsil/maxstack.scm 9 */
										BgL_old3865z00_1830 =
											PROCEDURE_ENTRY(BgL_nextzd2method3937zd2_1835)
											(BgL_nextzd2method3937zd2_1835, (obj_t) (BgL_oz00_1826),
											BgL_sz00_1827, BEOA);
									}
								else
									{	/* SawMsil/maxstack.scm 9 */
										BgL_old3865z00_1830 =
											(obj_t) (BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_1826), BgL_sz00_1827));
									}
							}
							{	/* SawMsil/maxstack.scm 9 */
								BgL_stackedz00_bglt BgL_new3867z00_1832;

								BgL_new3867z00_1832 =
									((BgL_stackedz00_bglt) (BgL_old3865z00_1830));
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_new3867z00_1832),
									BGl_classzd2numzd2zz__objectz00
									(BGl_stackedz00zzmsil_maxstackz00));
								{	/* SawMsil/maxstack.scm 9 */
									BgL_stackedz00_bglt BgL_arg4113z00_1834;

									BgL_arg4113z00_1834 =
										BGl_wideningzd2stackedzd2zzmsil_maxstackz00();
									{	/* SawMsil/maxstack.scm 9 */
										obj_t BgL_auxz00_2646;

										BgL_objectz00_bglt BgL_auxz00_2644;

										BgL_auxz00_2646 = (obj_t) (BgL_arg4113z00_1834);
										BgL_auxz00_2644 =
											(BgL_objectz00_bglt) (BgL_new3867z00_1832);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_2644, BgL_auxz00_2646);
									}
								}
								BgL_auxz00_2628 = BgL_new3867z00_1832;
							}
						}
					}
					return (obj_t) (BgL_auxz00_2628);
				}
			}
		}
	}



/* object->struct-stack3936 */
	obj_t BGl_objectzd2ze3structzd2stack3936ze3zzmsil_maxstackz00(obj_t
		BgL_envz00_2252, obj_t BgL_obj3862z00_2253)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 9 */
			{
				BgL_stackedz00_bglt BgL_obj3862z00_1818;

				BgL_obj3862z00_1818 = (BgL_stackedz00_bglt) (BgL_obj3862z00_2253);
				{

					{	/* SawMsil/maxstack.scm 9 */
						obj_t BgL_res3863z00_1821;

						{	/* SawMsil/maxstack.scm 9 */
							obj_t BgL_nextzd2method3935zd2_1824;

							BgL_nextzd2method3935zd2_1824 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj3862z00_1818),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_stackedz00zzmsil_maxstackz00);
							if (PROCEDUREP(BgL_nextzd2method3935zd2_1824))
								{	/* SawMsil/maxstack.scm 9 */
									BgL_res3863z00_1821 =
										PROCEDURE_ENTRY(BgL_nextzd2method3935zd2_1824)
										(BgL_nextzd2method3935zd2_1824,
										(obj_t) (BgL_obj3862z00_1818), BEOA);
								}
							else
								{	/* SawMsil/maxstack.scm 9 */
									BgL_res3863z00_1821 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj3862z00_1818));
								}
						}
						{	/* SawMsil/maxstack.scm 9 */
							obj_t BgL_aux3864z00_1822;

							{	/* SawMsil/maxstack.scm 9 */
								obj_t BgL_keyz00_2083;

								BgL_keyz00_2083 = CNST_TABLE_REF(((long) 0));
								BgL_aux3864z00_1822 =
									make_struct(BgL_keyz00_2083, (int) (((long) 0)), BUNSPEC);
							}
							{	/* SawMsil/maxstack.scm 9 */
								int BgL_auxz00_2663;

								BgL_auxz00_2663 = (int) (((long) 0));
								STRUCT_SET(BgL_res3863z00_1821, BgL_auxz00_2663,
									BgL_aux3864z00_1822);
							}
							{	/* SawMsil/maxstack.scm 9 */
								obj_t BgL_auxz00_2666;

								BgL_auxz00_2666 = STRUCT_KEY(BgL_res3863z00_1821);
								STRUCT_KEY_SET(BgL_aux3864z00_1822, BgL_auxz00_2666);
							}
							{	/* SawMsil/maxstack.scm 9 */
								obj_t BgL_kz00_2094;

								BgL_kz00_2094 = CNST_TABLE_REF(((long) 0));
								STRUCT_KEY_SET(BgL_res3863z00_1821, BgL_kz00_2094);
							}
							return BgL_res3863z00_1821;
						}
					}
				}
			}
		}
	}



/* type-dest-fun-rtl_ca3934 */
	obj_t BGl_typezd2destzd2funzd2rtl_ca3934zd2zzmsil_maxstackz00(obj_t
		BgL_envz00_2254, obj_t BgL_funz00_2255)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 109 */
			{
				BgL_rtl_callz00_bglt BgL_funz00_1812;

				{	/* SawMsil/maxstack.scm 110 */
					BgL_typez00_bglt BgL_auxz00_2672;

					BgL_funz00_1812 = (BgL_rtl_callz00_bglt) (BgL_funz00_2255);
					{	/* SawMsil/maxstack.scm 110 */
						BgL_variablez00_bglt BgL_obj2643z00_2082;

						BgL_obj2643z00_2082 =
							(BgL_variablez00_bglt) (
							(((BgL_rtl_callz00_bglt) CREF(BgL_funz00_1812))->BgL_varz00));
						BgL_auxz00_2672 =
							(((BgL_variablez00_bglt) CREF(BgL_obj2643z00_2082))->BgL_typez00);
					}
					return (obj_t) (BgL_auxz00_2672);
				}
			}
		}
	}



/* size-dest-fun-rtl_ca3930 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_ca3930z75zzmsil_maxstackz00(obj_t
		BgL_envz00_2256, obj_t BgL_funz00_2257)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 101 */
			return BINT(((long) 1));
		}
	}



/* size-dest-fun-rtl_fu3928 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_fu3928z75zzmsil_maxstackz00(obj_t
		BgL_envz00_2258, obj_t BgL_funz00_2259)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 100 */
			return BINT(((long) 1));
		}
	}



/* size-dest-fun-rtl_li3926 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_li3926z75zzmsil_maxstackz00(obj_t
		BgL_envz00_2260, obj_t BgL_funz00_2261)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 99 */
			return BINT(((long) 1));
		}
	}



/* size-dest-fun-rtl_ap3924 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_ap3924z75zzmsil_maxstackz00(obj_t
		BgL_envz00_2262, obj_t BgL_funz00_2263)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 98 */
			return BINT(((long) 1));
		}
	}



/* size-dest-fun-rtl_ne3922 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_ne3922z75zzmsil_maxstackz00(obj_t
		BgL_envz00_2264, obj_t BgL_funz00_2265)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 97 */
			return BINT(((long) 1));
		}
	}



/* size-dest-fun-rtl_pu3920 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_pu3920z75zzmsil_maxstackz00(obj_t
		BgL_envz00_2266, obj_t BgL_funz00_2267)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 95 */
			return BINT(((long) 1));
		}
	}



/* size-dest-fun-rtl_ef3918 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_ef3918z75zzmsil_maxstackz00(obj_t
		BgL_envz00_2268, obj_t BgL_funz00_2269)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 92 */
			return BINT(((long) 0));
		}
	}



/* size-dest-fun-rtl_no3916 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_no3916z75zzmsil_maxstackz00(obj_t
		BgL_envz00_2270, obj_t BgL_funz00_2271)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 91 */
			return BINT(((long) 0));
		}
	}



/* size-dest-fun-rtl_la3913 */
	obj_t BGl_siza7ezd2destzd2funzd2rtl_la3913z75zzmsil_maxstackz00(obj_t
		BgL_envz00_2272, obj_t BgL_funz00_2273)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 90 */
			return BINT(((long) 0));
		}
	}



/* extra-args-rtl_call3909 */
	obj_t BGl_extrazd2argszd2rtl_call3909z00zzmsil_maxstackz00(obj_t
		BgL_envz00_2274, obj_t BgL_funz00_2275, obj_t BgL_argsz00_2276)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 73 */
			{
				BgL_rtl_callz00_bglt BgL_funz00_1753;

				obj_t BgL_argsz00_1754;

				{	/* SawMsil/maxstack.scm 74 */
					long BgL_auxz00_2687;

					BgL_funz00_1753 = (BgL_rtl_callz00_bglt) (BgL_funz00_2275);
					BgL_argsz00_1754 = BgL_argsz00_2276;
					{	/* SawMsil/maxstack.scm 74 */
						obj_t BgL_idz00_1757;

						{	/* SawMsil/maxstack.scm 74 */
							BgL_variablez00_bglt BgL_obj2639z00_2071;

							BgL_obj2639z00_2071 =
								(BgL_variablez00_bglt) (
								(((BgL_rtl_callz00_bglt) CREF(BgL_funz00_1753))->BgL_varz00));
							BgL_idz00_1757 =
								(((BgL_variablez00_bglt) CREF(BgL_obj2639z00_2071))->BgL_idz00);
						}
						{	/* SawMsil/maxstack.scm 76 */
							bool_t BgL_testz00_2691;

							if ((BgL_idz00_1757 == CNST_TABLE_REF(((long) 1))))
								{	/* SawMsil/maxstack.scm 76 */
									BgL_testz00_2691 = ((bool_t) 1);
								}
							else
								{	/* SawMsil/maxstack.scm 76 */
									if ((BgL_idz00_1757 == CNST_TABLE_REF(((long) 2))))
										{	/* SawMsil/maxstack.scm 76 */
											BgL_testz00_2691 = ((bool_t) 1);
										}
									else
										{	/* SawMsil/maxstack.scm 76 */
											if ((BgL_idz00_1757 == CNST_TABLE_REF(((long) 3))))
												{	/* SawMsil/maxstack.scm 76 */
													BgL_testz00_2691 = ((bool_t) 1);
												}
											else
												{	/* SawMsil/maxstack.scm 76 */
													if ((BgL_idz00_1757 == CNST_TABLE_REF(((long) 4))))
														{	/* SawMsil/maxstack.scm 76 */
															BgL_testz00_2691 = ((bool_t) 1);
														}
													else
														{	/* SawMsil/maxstack.scm 76 */
															BgL_testz00_2691 =
																(BgL_idz00_1757 == CNST_TABLE_REF(((long) 5)));
								}}}}
							if (BgL_testz00_2691)
								{	/* SawMsil/maxstack.scm 76 */
									BgL_auxz00_2687 = ((long) 1);
								}
							else
								{	/* SawMsil/maxstack.scm 76 */
									BgL_auxz00_2687 = ((long) 0);
					}}}
					return BINT(BgL_auxz00_2687);
				}
			}
		}
	}



/* extra-args-rtl_switc3907 */
	obj_t BGl_extrazd2argszd2rtl_switc3907z00zzmsil_maxstackz00(obj_t
		BgL_envz00_2277, obj_t BgL_funz00_2278, obj_t BgL_argsz00_2279)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 70 */
			return BINT(((long) 1));
		}
	}



/* extra-args-rtl_globa3905 */
	obj_t BGl_extrazd2argszd2rtl_globa3905z00zzmsil_maxstackz00(obj_t
		BgL_envz00_2280, obj_t BgL_funz00_2281, obj_t BgL_argsz00_2282)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 67 */
			return BINT(((long) 2));
		}
	}



/* extra-args-rtl_funca3903 */
	obj_t BGl_extrazd2argszd2rtl_funca3903z00zzmsil_maxstackz00(obj_t
		BgL_envz00_2283, obj_t BgL_funz00_2284, obj_t BgL_argsz00_2285)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 64 */
			{
				BgL_rtl_funcallz00_bglt BgL_funz00_1732;

				obj_t BgL_argsz00_1733;

				{	/* SawMsil/maxstack.scm 65 */
					long BgL_auxz00_2710;

					BgL_funz00_1732 = (BgL_rtl_funcallz00_bglt) (BgL_funz00_2284);
					BgL_argsz00_1733 = BgL_argsz00_2285;
					if ((bgl_list_length(BgL_argsz00_1733) > ((long) 4)))
						{	/* SawMsil/maxstack.scm 65 */
							BgL_auxz00_2710 = ((long) 1);
						}
					else
						{	/* SawMsil/maxstack.scm 65 */
							BgL_auxz00_2710 = ((long) 0);
						}
					return BINT(BgL_auxz00_2710);
				}
			}
		}
	}



/* extra-args */
	int BGl_extrazd2argszd2zzmsil_maxstackz00(BgL_rtl_funz00_bglt BgL_funz00_27,
		obj_t BgL_argsz00_28)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 61 */
			{	/* SawMsil/maxstack.scm 61 */
				obj_t BgL_method3901z00_2101;

				{	/* SawMsil/maxstack.scm 61 */
					BgL_objectz00_bglt BgL_objz00_2102;

					BgL_objz00_2102 = (BgL_objectz00_bglt) (BgL_funz00_27);
					{	/* SawMsil/maxstack.scm 61 */
						long BgL_objzd2classzd2numz00_2103;

						BgL_objzd2classzd2numz00_2103 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_2102);
						{	/* SawMsil/maxstack.scm 61 */
							obj_t BgL_arg2388z00_2104;

							BgL_arg2388z00_2104 =
								PROCEDURE_REF(BGl_extrazd2argszd2envz00zzmsil_maxstackz00,
								(int) (((long) 1)));
							{	/* SawMsil/maxstack.scm 61 */
								obj_t BgL_arrayz00_2106;

								int BgL_offsetz00_2107;

								BgL_arrayz00_2106 = BgL_arg2388z00_2104;
								BgL_offsetz00_2107 = (int) (BgL_objzd2classzd2numz00_2103);
								{	/* SawMsil/maxstack.scm 61 */
									long BgL_offsetz00_2108;

									BgL_offsetz00_2108 =
										((long) (BgL_offsetz00_2107) - OBJECT_TYPE);
									{	/* SawMsil/maxstack.scm 61 */
										long BgL_modz00_2109;

										{	/* SawMsil/maxstack.scm 61 */
											int BgL_arg2390z00_2110;

											BgL_arg2390z00_2110 = (int) (((long) 8));
											{	/* SawMsil/maxstack.scm 61 */
												long BgL_auxz00_2724;

												BgL_auxz00_2724 = (long) (BgL_arg2390z00_2110);
												BgL_modz00_2109 =
													(BgL_offsetz00_2108 / BgL_auxz00_2724);
										}}
										{	/* SawMsil/maxstack.scm 61 */
											long BgL_restz00_2111;

											{	/* SawMsil/maxstack.scm 61 */
												int BgL_arg2389z00_2112;

												BgL_arg2389z00_2112 = (int) (((long) 8));
												{	/* SawMsil/maxstack.scm 61 */
													long BgL_auxz00_2728;

													BgL_auxz00_2728 = (long) (BgL_arg2389z00_2112);
													BgL_restz00_2111 =
														(BgL_offsetz00_2108 % BgL_auxz00_2728);
											}}
											{	/* SawMsil/maxstack.scm 61 */

												BgL_method3901z00_2101 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_2106,
														(int) (BgL_modz00_2109)), (int) (BgL_restz00_2111));
				}}}}}}}}
				return
					CINT(PROCEDURE_ENTRY(BgL_method3901z00_2101) (BgL_method3901z00_2101,
						(obj_t) (BgL_funz00_27), BgL_argsz00_28, BEOA));
			}
		}
	}



/* _extra-args */
	obj_t BGl__extrazd2argszd2zzmsil_maxstackz00(obj_t BgL_envz00_2219,
		obj_t BgL_funz00_2220, obj_t BgL_argsz00_2221)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 61 */
			return
				BINT(BGl_extrazd2argszd2zzmsil_maxstackz00(
					(BgL_rtl_funz00_bglt) (BgL_funz00_2220), BgL_argsz00_2221));
		}
	}



/* _extra-args-default3900 */
	obj_t BGl__extrazd2argszd2default3900z00zzmsil_maxstackz00(obj_t
		BgL_envz00_2286, obj_t BgL_funz00_2287, obj_t BgL_argsz00_2288)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 1 */
			return BINT((int) (((long) 0)));
		}
	}



/* size-dest-fun */
	BGL_EXPORTED_DEF int
		BGl_siza7ezd2destzd2funza7zzmsil_maxstackz00(BgL_rtl_funz00_bglt
		BgL_funz00_39)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 86 */
			{	/* SawMsil/maxstack.scm 86 */
				obj_t BgL_method3911z00_2126;

				{	/* SawMsil/maxstack.scm 86 */
					BgL_objectz00_bglt BgL_objz00_2127;

					BgL_objz00_2127 = (BgL_objectz00_bglt) (BgL_funz00_39);
					{	/* SawMsil/maxstack.scm 86 */
						long BgL_objzd2classzd2numz00_2128;

						BgL_objzd2classzd2numz00_2128 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_2127);
						{	/* SawMsil/maxstack.scm 86 */
							obj_t BgL_arg2388z00_2129;

							BgL_arg2388z00_2129 =
								PROCEDURE_REF
								(BGl_siza7ezd2destzd2funzd2envz75zzmsil_maxstackz00,
								(int) (((long) 1)));
							{	/* SawMsil/maxstack.scm 86 */
								obj_t BgL_arrayz00_2131;

								int BgL_offsetz00_2132;

								BgL_arrayz00_2131 = BgL_arg2388z00_2129;
								BgL_offsetz00_2132 = (int) (BgL_objzd2classzd2numz00_2128);
								{	/* SawMsil/maxstack.scm 86 */
									long BgL_offsetz00_2133;

									BgL_offsetz00_2133 =
										((long) (BgL_offsetz00_2132) - OBJECT_TYPE);
									{	/* SawMsil/maxstack.scm 86 */
										long BgL_modz00_2134;

										{	/* SawMsil/maxstack.scm 86 */
											int BgL_arg2390z00_2135;

											BgL_arg2390z00_2135 = (int) (((long) 8));
											{	/* SawMsil/maxstack.scm 86 */
												long BgL_auxz00_2752;

												BgL_auxz00_2752 = (long) (BgL_arg2390z00_2135);
												BgL_modz00_2134 =
													(BgL_offsetz00_2133 / BgL_auxz00_2752);
										}}
										{	/* SawMsil/maxstack.scm 86 */
											long BgL_restz00_2136;

											{	/* SawMsil/maxstack.scm 86 */
												int BgL_arg2389z00_2137;

												BgL_arg2389z00_2137 = (int) (((long) 8));
												{	/* SawMsil/maxstack.scm 86 */
													long BgL_auxz00_2756;

													BgL_auxz00_2756 = (long) (BgL_arg2389z00_2137);
													BgL_restz00_2136 =
														(BgL_offsetz00_2133 % BgL_auxz00_2756);
											}}
											{	/* SawMsil/maxstack.scm 86 */

												BgL_method3911z00_2126 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_2131,
														(int) (BgL_modz00_2134)), (int) (BgL_restz00_2136));
				}}}}}}}}
				return
					CINT(PROCEDURE_ENTRY(BgL_method3911z00_2126) (BgL_method3911z00_2126,
						(obj_t) (BgL_funz00_39), BEOA));
			}
		}
	}



/* _size-dest-fun4145 */
	obj_t BGl__siza7ezd2destzd2fun4145za7zzmsil_maxstackz00(obj_t BgL_envz00_2222,
		obj_t BgL_funz00_2223)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 86 */
			return
				BINT(BGl_siza7ezd2destzd2funza7zzmsil_maxstackz00(
					(BgL_rtl_funz00_bglt) (BgL_funz00_2223)));
		}
	}



/* size-dest-fun-defaul3910 */
	int
		BGl_siza7ezd2destzd2funzd2defaul3910z75zzmsil_maxstackz00
		(BgL_rtl_funz00_bglt BgL_funz00_40)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 1 */
			{	/* SawMsil/maxstack.scm 88 */
				BgL_typez00_bglt BgL_arg4115z00_2151;

				{	/* SawMsil/maxstack.scm 88 */
					BgL_typez00_bglt BgL_res4142z00_2178;

					{	/* SawMsil/maxstack.scm 88 */
						obj_t BgL_method3932z00_2153;

						{	/* SawMsil/maxstack.scm 88 */
							BgL_objectz00_bglt BgL_objz00_2154;

							BgL_objz00_2154 = (BgL_objectz00_bglt) (BgL_funz00_40);
							{	/* SawMsil/maxstack.scm 88 */
								long BgL_objzd2classzd2numz00_2155;

								BgL_objzd2classzd2numz00_2155 =
									BGL_OBJECT_CLASS_NUM(BgL_objz00_2154);
								{	/* SawMsil/maxstack.scm 88 */
									obj_t BgL_arg2388z00_2156;

									BgL_arg2388z00_2156 =
										PROCEDURE_REF
										(BGl_typezd2destzd2funzd2envzd2zzmsil_maxstackz00,
										(int) (((long) 1)));
									{	/* SawMsil/maxstack.scm 88 */
										obj_t BgL_arrayz00_2158;

										int BgL_offsetz00_2159;

										BgL_arrayz00_2158 = BgL_arg2388z00_2156;
										BgL_offsetz00_2159 = (int) (BgL_objzd2classzd2numz00_2155);
										{	/* SawMsil/maxstack.scm 88 */
											long BgL_offsetz00_2160;

											BgL_offsetz00_2160 =
												((long) (BgL_offsetz00_2159) - OBJECT_TYPE);
											{	/* SawMsil/maxstack.scm 88 */
												long BgL_modz00_2161;

												{	/* SawMsil/maxstack.scm 88 */
													int BgL_arg2390z00_2162;

													BgL_arg2390z00_2162 = (int) (((long) 8));
													{	/* SawMsil/maxstack.scm 88 */
														long BgL_auxz00_2778;

														BgL_auxz00_2778 = (long) (BgL_arg2390z00_2162);
														BgL_modz00_2161 =
															(BgL_offsetz00_2160 / BgL_auxz00_2778);
												}}
												{	/* SawMsil/maxstack.scm 88 */
													long BgL_restz00_2163;

													{	/* SawMsil/maxstack.scm 88 */
														int BgL_arg2389z00_2164;

														BgL_arg2389z00_2164 = (int) (((long) 8));
														{	/* SawMsil/maxstack.scm 88 */
															long BgL_auxz00_2782;

															BgL_auxz00_2782 = (long) (BgL_arg2389z00_2164);
															BgL_restz00_2163 =
																(BgL_offsetz00_2160 % BgL_auxz00_2782);
													}}
													{	/* SawMsil/maxstack.scm 88 */

														BgL_method3932z00_2153 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2158,
																(int) (BgL_modz00_2161)),
															(int) (BgL_restz00_2163));
						}}}}}}}}
						BgL_res4142z00_2178 =
							(BgL_typez00_bglt) (PROCEDURE_ENTRY(BgL_method3932z00_2153)
							(BgL_method3932z00_2153, (obj_t) (BgL_funz00_40), BEOA));
					}
					BgL_arg4115z00_2151 = BgL_res4142z00_2178;
				}
				return BGl_typeSiza7eza7zzmsil_typez00(BgL_arg4115z00_2151);
			}
		}
	}



/* _size-dest-fun-defaul3910 */
	obj_t BGl__siza7ezd2destzd2funzd2defaul3910z75zzmsil_maxstackz00(obj_t
		BgL_envz00_2289, obj_t BgL_funz00_2290)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 1 */
			return
				BINT(BGl_siza7ezd2destzd2funzd2defaul3910z75zzmsil_maxstackz00(
					(BgL_rtl_funz00_bglt) (BgL_funz00_2290)));
		}
	}



/* type-dest-fun */
	BgL_typez00_bglt
		BGl_typezd2destzd2funz00zzmsil_maxstackz00(BgL_rtl_funz00_bglt
		BgL_funz00_50)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 105 */
			{	/* SawMsil/maxstack.scm 105 */
				obj_t BgL_method3932z00_2179;

				{	/* SawMsil/maxstack.scm 105 */
					BgL_objectz00_bglt BgL_objz00_2180;

					BgL_objz00_2180 = (BgL_objectz00_bglt) (BgL_funz00_50);
					{	/* SawMsil/maxstack.scm 105 */
						long BgL_objzd2classzd2numz00_2181;

						BgL_objzd2classzd2numz00_2181 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_2180);
						{	/* SawMsil/maxstack.scm 105 */
							obj_t BgL_arg2388z00_2182;

							BgL_arg2388z00_2182 =
								PROCEDURE_REF(BGl_typezd2destzd2funzd2envzd2zzmsil_maxstackz00,
								(int) (((long) 1)));
							{	/* SawMsil/maxstack.scm 105 */
								obj_t BgL_arrayz00_2184;

								int BgL_offsetz00_2185;

								BgL_arrayz00_2184 = BgL_arg2388z00_2182;
								BgL_offsetz00_2185 = (int) (BgL_objzd2classzd2numz00_2181);
								{	/* SawMsil/maxstack.scm 105 */
									long BgL_offsetz00_2186;

									BgL_offsetz00_2186 =
										((long) (BgL_offsetz00_2185) - OBJECT_TYPE);
									{	/* SawMsil/maxstack.scm 105 */
										long BgL_modz00_2187;

										{	/* SawMsil/maxstack.scm 105 */
											int BgL_arg2390z00_2188;

											BgL_arg2390z00_2188 = (int) (((long) 8));
											{	/* SawMsil/maxstack.scm 105 */
												long BgL_auxz00_2805;

												BgL_auxz00_2805 = (long) (BgL_arg2390z00_2188);
												BgL_modz00_2187 =
													(BgL_offsetz00_2186 / BgL_auxz00_2805);
										}}
										{	/* SawMsil/maxstack.scm 105 */
											long BgL_restz00_2189;

											{	/* SawMsil/maxstack.scm 105 */
												int BgL_arg2389z00_2190;

												BgL_arg2389z00_2190 = (int) (((long) 8));
												{	/* SawMsil/maxstack.scm 105 */
													long BgL_auxz00_2809;

													BgL_auxz00_2809 = (long) (BgL_arg2389z00_2190);
													BgL_restz00_2189 =
														(BgL_offsetz00_2186 % BgL_auxz00_2809);
											}}
											{	/* SawMsil/maxstack.scm 105 */

												BgL_method3932z00_2179 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_2184,
														(int) (BgL_modz00_2187)), (int) (BgL_restz00_2189));
				}}}}}}}}
				return
					(BgL_typez00_bglt) (PROCEDURE_ENTRY(BgL_method3932z00_2179)
					(BgL_method3932z00_2179, (obj_t) (BgL_funz00_50), BEOA));
			}
		}
	}



/* _type-dest-fun4149 */
	obj_t BGl__typezd2destzd2fun4149z00zzmsil_maxstackz00(obj_t BgL_envz00_2291,
		obj_t BgL_funz00_2292)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 105 */
			return
				(obj_t) (BGl_typezd2destzd2funz00zzmsil_maxstackz00(
					(BgL_rtl_funz00_bglt) (BgL_funz00_2292)));
		}
	}



/* type-dest-fun-defaul3931 */
	BgL_typez00_bglt
		BGl_typezd2destzd2funzd2defaul3931zd2zzmsil_maxstackz00(BgL_rtl_funz00_bglt
		BgL_funz00_51)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 1 */
			{	/* SawMsil/maxstack.scm 107 */
				obj_t BgL_arg4116z00_1841;

				obj_t BgL_arg4119z00_1843;

				BgL_arg4116z00_1841 = CNST_TABLE_REF(((long) 6));
				{	/* SawMsil/maxstack.scm 107 */
					obj_t BgL_arg4120z00_1844;

					{	/* SawMsil/maxstack.scm 107 */
						BgL_objectz00_bglt BgL_objectz00_2204;

						BgL_objectz00_2204 = (BgL_objectz00_bglt) (BgL_funz00_51);
						{	/* SawMsil/maxstack.scm 107 */
							long BgL_arg2391z00_2205;

							{	/* SawMsil/maxstack.scm 107 */
								long BgL_arg2392z00_2206;

								BgL_arg2392z00_2206 = BGL_OBJECT_CLASS_NUM(BgL_objectz00_2204);
								BgL_arg2391z00_2205 = (BgL_arg2392z00_2206 - OBJECT_TYPE);
							}
							BgL_arg4120z00_1844 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								(int) (BgL_arg2391z00_2205));
					}}
					BgL_arg4119z00_1843 =
						BGl_classzd2namezd2zz__objectz00(BgL_arg4120z00_1844);
				}
				return
					(BgL_typez00_bglt) (BGl_errorz00zz__errorz00(BgL_arg4116z00_1841,
						BGl_string4166z00zzmsil_maxstackz00, BgL_arg4119z00_1843));
			}
		}
	}



/* _type-dest-fun-defaul3931 */
	obj_t BGl__typezd2destzd2funzd2defaul3931zd2zzmsil_maxstackz00(obj_t
		BgL_envz00_2293, obj_t BgL_funz00_2294)
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 1 */
			return
				(obj_t) (BGl_typezd2destzd2funzd2defaul3931zd2zzmsil_maxstackz00(
					(BgL_rtl_funz00_bglt) (BgL_funz00_2294)));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmsil_maxstackz00()
	{
		AN_OBJECT;
		{	/* SawMsil/maxstack.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string4167z00zzmsil_maxstackz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string4167z00zzmsil_maxstackz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string4167z00zzmsil_maxstackz00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 192042637),
				BSTRING_TO_STRING(BGl_string4167z00zzmsil_maxstackz00));
			return
				BGl_modulezd2initializa7ationz75zzmsil_typez00(((long) 473237879),
				BSTRING_TO_STRING(BGl_string4167z00zzmsil_maxstackz00));
		}
	}

#ifdef __cplusplus
}
#endif
