/*===========================================================================*/
/*   (Tailc/walk.scm)                                                        */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tailc/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_localzd2tailzd2_bgl
	{
		char dummy;
	}                      *BgL_localzd2tailzd2_bglt;


	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static BgL_localzd2tailzd2_bglt BGl_localzd2tailzd2nilz00zztailc_walkz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_getzd2tailzd2callszd2selec3224zd2zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tailczd2walkz12zc0zztailc_walkz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl__getzd2tailzd2callsz00zztailc_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern BgL_appz00_bglt BGl_makezd2appzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		obj_t, obj_t, BgL_varz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zztailc_walkz00();
	extern BgL_valuez00_bglt BGl_valuezd2nilzd2zzast_varz00();
	static obj_t BGl_tailczd2globalzd2zztailc_walkz00(obj_t);
	static obj_t BGl__getzd2tailzd2callszd2defau3213zd2zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztailc_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zztailc_walkz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl__tailczd2walkz12zc0zztailc_walkz00(obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sfunz00_bglt);
	static obj_t BGl_getzd2tailzd2callszd2seque3218zd2zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_getzd2tailzd2callszd2condi3222zd2zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl__z52allocatezd2localzd2tailz52zztailc_walkz00(obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern BgL_letzd2funzd2_bglt BGl_makezd2letzd2funz00zzast_nodez00(obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, BgL_nodez00_bglt);
	static obj_t BGl__localzd2tailzd2nilz00zztailc_walkz00(obj_t);
	static obj_t BGl_globalzd2ze3localz12z23zztailc_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z52thezd2localzd2tailzd2nilz80zztailc_walkz00 = BUNSPEC;
	extern BgL_sfunz00_bglt BGl_makezd2sfunzd2zzast_varz00(long, obj_t, obj_t,
		obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_getzd2tailzd2callszd2closu3216zd2zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_localzd2tailzd2zztailc_walkz00 = BUNSPEC;
	static obj_t BGl__localzd2tailzf3z21zztailc_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztailc_walkz00();
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztailc_walkz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern BgL_typez00_bglt BGl_typezd2nilzd2zztype_typez00();
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static BgL_localzd2tailzd2_bglt
		BGl_wideningzd2localzd2tailz00zztailc_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztailc_walkz00();
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	static obj_t BGl_getzd2tailzd2callszd2app3220zd2zztailc_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_getzd2tailzd2callszd2letzd2f3226z00zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT BgL_objectz00_bglt
		BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_objectzd2ze3structzd2local3230ze3zztailc_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_structzb2objectzd2ze3objec3232z83zztailc_walkz00(obj_t,
		obj_t, obj_t);
	extern BgL_varz00_bglt BGl_makezd2varzd2zzast_nodez00(obj_t, BgL_typez00_bglt,
		BgL_variablez00_bglt);
	static obj_t BGl_objectzd2initzd2zztailc_walkz00();
	static obj_t BGl_getzd2tailzd2callszd2letzd2v3228z00zztailc_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztailc_walkz00();
	extern BgL_svarz00_bglt BGl_makezd2svarzd2zzast_varz00(obj_t);
	static obj_t __cnst[3];


	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_getzd2tailzd2callszd2defau3213zd2envz00zztailc_walkz00,
		BgL_bgl__getza7d2tailza7d2ca3468z00,
		BGl__getzd2tailzd2callszd2defau3213zd2zztailc_walkz00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_localzd2tailzd2nilzd2envzd2zztailc_walkz00,
		BgL_bgl__localza7d2tailza7d23469z00,
		BGl__localzd2tailzd2nilz00zztailc_walkz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_z52allocatezd2localzd2tailzd2envz80zztailc_walkz00,
		BgL_bgl__za752allocateza7d2l3470z00,
		BGl__z52allocatezd2localzd2tailz52zztailc_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_localzd2tailzf3zd2envzf3zztailc_walkz00,
		BgL_bgl__localza7d2tailza7f33471z00, BGl__localzd2tailzf3z21zztailc_walkz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
		BgL_bgl__getza7d2tailza7d2ca3472z00,
		BGl__getzd2tailzd2callsz00zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3452z00zztailc_walkz00,
		BgL_bgl_getza7d2tailza7d2cal3473z00,
		BGl_getzd2tailzd2callszd2closu3216zd2zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3453z00zztailc_walkz00,
		BgL_bgl_getza7d2tailza7d2cal3474z00,
		BGl_getzd2tailzd2callszd2seque3218zd2zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3454z00zztailc_walkz00,
		BgL_bgl_getza7d2tailza7d2cal3475z00,
		BGl_getzd2tailzd2callszd2app3220zd2zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3455z00zztailc_walkz00,
		BgL_bgl_getza7d2tailza7d2cal3476z00,
		BGl_getzd2tailzd2callszd2condi3222zd2zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3456z00zztailc_walkz00,
		BgL_bgl_getza7d2tailza7d2cal3477z00,
		BGl_getzd2tailzd2callszd2selec3224zd2zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3457z00zztailc_walkz00,
		BgL_bgl_getza7d2tailza7d2cal3478z00,
		BGl_getzd2tailzd2callszd2letzd2f3226z00zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3458z00zztailc_walkz00,
		BgL_bgl_getza7d2tailza7d2cal3479z00,
		BGl_getzd2tailzd2callszd2letzd2v3228z00zztailc_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3460z00zztailc_walkz00,
		BgL_bgl_structza7b2objectza73480z00,
		BGl_structzb2objectzd2ze3objec3232z83zztailc_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3459z00zztailc_walkz00,
		BgL_bgl_objectza7d2za7e3stru3481z00,
		BGl_objectzd2ze3structzd2local3230ze3zztailc_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3446z00zztailc_walkz00,
		BgL_bgl_string3446za700za7za7t3482za7, "Tailc", 5);
	      DEFINE_STRING(BGl_string3447z00zztailc_walkz00,
		BgL_bgl_string3447za700za7za7t3483za7, "   . ", 5);
	      DEFINE_STRING(BGl_string3448z00zztailc_walkz00,
		BgL_bgl_string3448za700za7za7t3484za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string3450z00zztailc_walkz00,
		BgL_bgl_string3450za700za7za7t3485za7, ": ", 2);
	      DEFINE_STRING(BGl_string3449z00zztailc_walkz00,
		BgL_bgl_string3449za700za7za7t3486za7, " self tail call(s)", 18);
	      DEFINE_STRING(BGl_string3451z00zztailc_walkz00,
		BgL_bgl_string3451za700za7za7t3487za7, "        ", 8);
	      DEFINE_STRING(BGl_string3461z00zztailc_walkz00,
		BgL_bgl_string3461za700za7za7t3488za7, "get-tail-calls", 14);
	      DEFINE_STRING(BGl_string3462z00zztailc_walkz00,
		BgL_bgl_string3462za700za7za7t3489za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string3463z00zztailc_walkz00,
		BgL_bgl_string3463za700za7za7t3490za7, "tailc_walk", 10);
	      DEFINE_STRING(BGl_string3464z00zztailc_walkz00,
		BgL_bgl_string3464za700za7za7t3491za7, "_ local-tail pass-started ", 26);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_tailczd2walkz12zd2envz12zztailc_walkz00,
		BgL_bgl__tailcza7d2walkza7123492z00, BGl__tailczd2walkz12zc0zztailc_walkz00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztailc_walkz00(long
		BgL_checksumz00_1885, char *BgL_fromz00_1886)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztailc_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztailc_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztailc_walkz00();
					BGl_cnstzd2initzd2zztailc_walkz00();
					BGl_importedzd2moduleszd2initz00zztailc_walkz00();
					BGl_objectzd2initzd2zztailc_walkz00();
					BGl_methodzd2initzd2zztailc_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "tailc_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "tailc_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tailc_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 15 */
			{	/* Tailc/walk.scm 15 */
				obj_t BgL_cportz00_1868;

				BgL_cportz00_1868 =
					bgl_open_input_string(BGl_string3464z00zztailc_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1869;

					BgL_iz00_1869 = ((long) 2);
				BgL_loopz00_1870:
					if ((BgL_iz00_1869 == ((long) -1)))
						{	/* Tailc/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Tailc/walk.scm 15 */
							{	/* Tailc/walk.scm 15 */
								obj_t BgL_arg3466z00_1872;

								{	/* Tailc/walk.scm 15 */

									{	/* Tailc/walk.scm 15 */
										obj_t BgL_locationz00_1874;

										BgL_locationz00_1874 = BBOOL(((bool_t) 0));
										{	/* Tailc/walk.scm 15 */

											BgL_arg3466z00_1872 =
												BGl_readz00zz__readerz00(BgL_cportz00_1868,
												BgL_locationz00_1874);
										}
									}
								}
								{	/* Tailc/walk.scm 15 */
									int BgL_auxz00_1904;

									BgL_auxz00_1904 = (int) (BgL_iz00_1869);
									CNST_TABLE_SET(BgL_auxz00_1904, BgL_arg3466z00_1872);
							}}
							{	/* Tailc/walk.scm 15 */
								int BgL_auxz00_1875;

								BgL_auxz00_1875 = (int) ((BgL_iz00_1869 - ((long) 1)));
								{
									long BgL_iz00_1909;

									BgL_iz00_1909 = (long) (BgL_auxz00_1875);
									BgL_iz00_1869 = BgL_iz00_1909;
									goto BgL_loopz00_1870;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* tailc-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tailczd2walkz12zc0zztailc_walkz00(obj_t
		BgL_globalsz00_1)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 31 */
			{	/* Tailc/walk.scm 32 */
				obj_t BgL_list3233z00_766;

				{	/* Tailc/walk.scm 32 */
					obj_t BgL_arg3235z00_768;

					{	/* Tailc/walk.scm 32 */
						obj_t BgL_arg3237z00_770;

						BgL_arg3237z00_770 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg3235z00_768 =
							MAKE_PAIR(BGl_string3446z00zztailc_walkz00, BgL_arg3237z00_770);
					}
					BgL_list3233z00_766 =
						MAKE_PAIR(BGl_string3447z00zztailc_walkz00, BgL_arg3235z00_768);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list3233z00_766);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string3446z00zztailc_walkz00;
			{
				obj_t BgL_hooksz00_773;

				obj_t BgL_hnamesz00_774;

				BgL_hooksz00_773 = BNIL;
				BgL_hnamesz00_774 = BNIL;
			BgL_loopz00_775:
				if (NULLP(BgL_hooksz00_773))
					{	/* Tailc/walk.scm 32 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Tailc/walk.scm 32 */
						bool_t BgL_testz00_1921;

						{	/* Tailc/walk.scm 32 */
							obj_t BgL_fun3245z00_783;

							BgL_fun3245z00_783 = CAR(BgL_hooksz00_773);
							BgL_testz00_1921 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun3245z00_783) (BgL_fun3245z00_783,
									BEOA));
						}
						if (BgL_testz00_1921)
							{
								obj_t BgL_hnamesz00_1928;

								obj_t BgL_hooksz00_1926;

								BgL_hooksz00_1926 = CDR(BgL_hooksz00_773);
								BgL_hnamesz00_1928 = CDR(BgL_hnamesz00_774);
								BgL_hnamesz00_774 = BgL_hnamesz00_1928;
								BgL_hooksz00_773 = BgL_hooksz00_1926;
								goto BgL_loopz00_775;
							}
						else
							{	/* Tailc/walk.scm 32 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string3446z00zztailc_walkz00,
									BGl_string3448z00zztailc_walkz00, CAR(BgL_hnamesz00_774));
							}
					}
			}
			{
				obj_t BgL_l3198z00_785;

				BgL_l3198z00_785 = BgL_globalsz00_1;
			BgL_forzd2each3199zd2_786:
				if (PAIRP(BgL_l3198z00_785))
					{	/* Tailc/walk.scm 33 */
						BGl_tailczd2globalzd2zztailc_walkz00(CAR(BgL_l3198z00_785));
						{
							obj_t BgL_l3198z00_1936;

							BgL_l3198z00_1936 = CDR(BgL_l3198z00_785);
							BgL_l3198z00_785 = BgL_l3198z00_1936;
							goto BgL_forzd2each3199zd2_786;
						}
					}
				else
					{	/* Tailc/walk.scm 33 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_1;
		}
	}



/* _tailc-walk! */
	obj_t BGl__tailczd2walkz12zc0zztailc_walkz00(obj_t BgL_envz00_1807,
		obj_t BgL_globalsz00_1808)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 31 */
			return BGl_tailczd2walkz12zc0zztailc_walkz00(BgL_globalsz00_1808);
		}
	}



/* tailc-global */
	obj_t BGl_tailczd2globalzd2zztailc_walkz00(obj_t BgL_globalz00_2)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 39 */
			{	/* Tailc/walk.scm 40 */
				obj_t BgL_arg3250z00_790;

				{
					BgL_variablez00_bglt BgL_auxz00_1939;

					BgL_auxz00_1939 = (BgL_variablez00_bglt) (BgL_globalz00_2);
					BgL_arg3250z00_790 =
						(((BgL_variablez00_bglt) CREF(BgL_auxz00_1939))->BgL_idz00);
				}
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg3250z00_790);
			}
			{	/* Tailc/walk.scm 41 */
				obj_t BgL_callsz00_791;

				{	/* Tailc/walk.scm 41 */
					obj_t BgL_arg3266z00_805;

					{	/* Tailc/walk.scm 41 */
						BgL_sfunz00_bglt BgL_obj1758z00_1391;

						{	/* Tailc/walk.scm 41 */
							BgL_variablez00_bglt BgL_obj1486z00_1390;

							BgL_obj1486z00_1390 = (BgL_variablez00_bglt) (BgL_globalz00_2);
							BgL_obj1758z00_1391 =
								(BgL_sfunz00_bglt) (
								(((BgL_variablez00_bglt) CREF(BgL_obj1486z00_1390))->
									BgL_valuez00));
						}
						BgL_arg3266z00_805 =
							(((BgL_sfunz00_bglt) CREF(BgL_obj1758z00_1391))->BgL_bodyz00);
					}
					{	/* Tailc/walk.scm 41 */
						obj_t BgL_res3415z00_1420;

						{	/* Tailc/walk.scm 41 */
							BgL_nodez00_bglt BgL_nz00_1392;

							BgL_variablez00_bglt BgL_hz00_1393;

							BgL_nz00_1392 = (BgL_nodez00_bglt) (BgL_arg3266z00_805);
							BgL_hz00_1393 = (BgL_variablez00_bglt) (BgL_globalz00_2);
							{	/* Tailc/walk.scm 41 */
								obj_t BgL_method3214z00_1395;

								{	/* Tailc/walk.scm 41 */
									BgL_objectz00_bglt BgL_objz00_1396;

									BgL_objz00_1396 = (BgL_objectz00_bglt) (BgL_nz00_1392);
									{	/* Tailc/walk.scm 41 */
										long BgL_objzd2classzd2numz00_1397;

										BgL_objzd2classzd2numz00_1397 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1396);
										{	/* Tailc/walk.scm 41 */
											obj_t BgL_arg2388z00_1398;

											BgL_arg2388z00_1398 =
												PROCEDURE_REF
												(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
												(int) (((long) 1)));
											{	/* Tailc/walk.scm 41 */
												obj_t BgL_arrayz00_1400;

												int BgL_offsetz00_1401;

												BgL_arrayz00_1400 = BgL_arg2388z00_1398;
												BgL_offsetz00_1401 =
													(int) (BgL_objzd2classzd2numz00_1397);
												{	/* Tailc/walk.scm 41 */
													long BgL_offsetz00_1402;

													BgL_offsetz00_1402 =
														((long) (BgL_offsetz00_1401) - OBJECT_TYPE);
													{	/* Tailc/walk.scm 41 */
														long BgL_modz00_1403;

														{	/* Tailc/walk.scm 41 */
															int BgL_arg2390z00_1404;

															BgL_arg2390z00_1404 = (int) (((long) 8));
															{	/* Tailc/walk.scm 41 */
																long BgL_auxz00_1957;

																BgL_auxz00_1957 = (long) (BgL_arg2390z00_1404);
																BgL_modz00_1403 =
																	(BgL_offsetz00_1402 / BgL_auxz00_1957);
														}}
														{	/* Tailc/walk.scm 41 */
															long BgL_restz00_1405;

															{	/* Tailc/walk.scm 41 */
																int BgL_arg2389z00_1406;

																BgL_arg2389z00_1406 = (int) (((long) 8));
																{	/* Tailc/walk.scm 41 */
																	long BgL_auxz00_1961;

																	BgL_auxz00_1961 =
																		(long) (BgL_arg2389z00_1406);
																	BgL_restz00_1405 =
																		(BgL_offsetz00_1402 % BgL_auxz00_1961);
															}}
															{	/* Tailc/walk.scm 41 */

																BgL_method3214z00_1395 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1400,
																		(int) (BgL_modz00_1403)),
																	(int) (BgL_restz00_1405));
								}}}}}}}}
								BgL_res3415z00_1420 =
									PROCEDURE_ENTRY(BgL_method3214z00_1395)
									(BgL_method3214z00_1395, (obj_t) (BgL_nz00_1392),
									(obj_t) (BgL_hz00_1393), BNIL, BEOA);
						}}
						BgL_callsz00_791 = BgL_res3415z00_1420;
				}}
				if (PAIRP(BgL_callsz00_791))
					{	/* Tailc/walk.scm 42 */
						{	/* Tailc/walk.scm 43 */
							obj_t BgL_arg3254z00_795;

							long BgL_arg3256z00_797;

							BgL_arg3254z00_795 =
								BGl_shapez00zztools_shapez00(BgL_globalz00_2);
							BgL_arg3256z00_797 = bgl_list_length(BgL_callsz00_791);
							{	/* Tailc/walk.scm 43 */
								obj_t BgL_list3258z00_799;

								{	/* Tailc/walk.scm 43 */
									obj_t BgL_arg3260z00_800;

									{	/* Tailc/walk.scm 43 */
										obj_t BgL_arg3261z00_801;

										{	/* Tailc/walk.scm 43 */
											obj_t BgL_arg3262z00_802;

											{	/* Tailc/walk.scm 43 */
												obj_t BgL_arg3264z00_803;

												{	/* Tailc/walk.scm 43 */
													obj_t BgL_arg3265z00_804;

													BgL_arg3265z00_804 =
														MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
													BgL_arg3264z00_803 =
														MAKE_PAIR(BGl_string3449z00zztailc_walkz00,
														BgL_arg3265z00_804);
												}
												BgL_arg3262z00_802 =
													MAKE_PAIR(BINT(BgL_arg3256z00_797),
													BgL_arg3264z00_803);
											}
											BgL_arg3261z00_801 =
												MAKE_PAIR(BGl_string3450z00zztailc_walkz00,
												BgL_arg3262z00_802);
										}
										BgL_arg3260z00_800 =
											MAKE_PAIR(BgL_arg3254z00_795, BgL_arg3261z00_801);
									}
									BgL_list3258z00_799 =
										MAKE_PAIR(BGl_string3451z00zztailc_walkz00,
										BgL_arg3260z00_800);
								}
								BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
									BgL_list3258z00_799);
						}}
						BGl_globalzd2ze3localz12z23zztailc_walkz00(BgL_globalz00_2,
							BgL_callsz00_791);
					}
				else
					{	/* Tailc/walk.scm 42 */
						BFALSE;
					}
			}
			return BGl_leavezd2functionzd2zztools_errorz00();
		}
	}



/* global->local! */
	obj_t BGl_globalzd2ze3localz12z23zztailc_walkz00(obj_t BgL_globalz00_3,
		obj_t BgL_callsz00_4)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 51 */
			{	/* Tailc/walk.scm 52 */
				BgL_valuez00_bglt BgL_gfunz00_808;

				{
					BgL_variablez00_bglt BgL_auxz00_1988;

					BgL_auxz00_1988 = (BgL_variablez00_bglt) (BgL_globalz00_3);
					BgL_gfunz00_808 =
						(((BgL_variablez00_bglt) CREF(BgL_auxz00_1988))->BgL_valuez00);
				}
				{	/* Tailc/walk.scm 52 */
					BgL_typez00_bglt BgL_gtypez00_809;

					{
						BgL_variablez00_bglt BgL_auxz00_1991;

						BgL_auxz00_1991 = (BgL_variablez00_bglt) (BgL_globalz00_3);
						BgL_gtypez00_809 =
							(((BgL_variablez00_bglt) CREF(BgL_auxz00_1991))->BgL_typez00);
					}
					{	/* Tailc/walk.scm 53 */
						obj_t BgL_lbodyz00_810;

						{
							BgL_sfunz00_bglt BgL_auxz00_1994;

							BgL_auxz00_1994 = (BgL_sfunz00_bglt) (BgL_gfunz00_808);
							BgL_lbodyz00_810 =
								(((BgL_sfunz00_bglt) CREF(BgL_auxz00_1994))->BgL_bodyz00);
						}
						{	/* Tailc/walk.scm 54 */
							obj_t BgL_largsz00_811;

							{
								BgL_sfunz00_bglt BgL_auxz00_1997;

								BgL_auxz00_1997 = (BgL_sfunz00_bglt) (BgL_gfunz00_808);
								BgL_largsz00_811 =
									(((BgL_sfunz00_bglt) CREF(BgL_auxz00_1997))->BgL_argsz00);
							}
							{	/* Tailc/walk.scm 55 */
								obj_t BgL_gargsz00_812;

								if (NULLP(BgL_largsz00_811))
									{	/* Tailc/walk.scm 56 */
										BgL_gargsz00_812 = BNIL;
									}
								else
									{	/* Tailc/walk.scm 56 */
										obj_t BgL_head3202z00_866;

										BgL_head3202z00_866 = MAKE_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l3200z00_867;

											obj_t BgL_tail3203z00_868;

											BgL_l3200z00_867 = BgL_largsz00_811;
											BgL_tail3203z00_868 = BgL_head3202z00_866;
										BgL_map3201z00_869:
											if (NULLP(BgL_l3200z00_867))
												{	/* Tailc/walk.scm 56 */
													BgL_gargsz00_812 = CDR(BgL_head3202z00_866);
												}
											else
												{	/* Tailc/walk.scm 56 */
													obj_t BgL_newtail3204z00_871;

													{	/* Tailc/walk.scm 56 */
														BgL_localz00_bglt BgL_arg3308z00_873;

														{	/* Tailc/walk.scm 56 */
															obj_t BgL_oldz00_875;

															BgL_oldz00_875 = CAR(BgL_l3200z00_867);
															{	/* Tailc/walk.scm 58 */
																BgL_svarz00_bglt BgL_arg3310z00_876;

																{	/* Tailc/walk.scm 58 */
																	BgL_svarz00_bglt BgL_duplicated3173z00_877;

																	{	/* Tailc/walk.scm 59 */
																		BgL_variablez00_bglt BgL_obj1486z00_1432;

																		BgL_obj1486z00_1432 =
																			(BgL_variablez00_bglt) (BgL_oldz00_875);
																		BgL_duplicated3173z00_877 =
																			(BgL_svarz00_bglt) (
																			(((BgL_variablez00_bglt)
																					CREF(BgL_obj1486z00_1432))->
																				BgL_valuez00));
																	}
																	{	/* Tailc/walk.scm 58 */
																		BgL_svarz00_bglt BgL_new3174z00_878;

																		{	/* Tailc/walk.scm 58 */
																			obj_t BgL_arg3311z00_879;

																			BgL_arg3311z00_879 =
																				(((BgL_svarz00_bglt)
																					CREF(BgL_duplicated3173z00_877))->
																				BgL_locz00);
																			BgL_new3174z00_878 =
																				BGl_makezd2svarzd2zzast_varz00
																				(BgL_arg3311z00_879);
																		}
																		{	/* Tailc/walk.scm 58 */

																			BgL_arg3310z00_876 = BgL_new3174z00_878;
																		}
																	}
																}
																BgL_arg3308z00_873 =
																	BGl_clonezd2localzd2zzast_localz00(
																	(BgL_localz00_bglt) (BgL_oldz00_875),
																	(BgL_valuez00_bglt) (BgL_arg3310z00_876));
															}
														}
														BgL_newtail3204z00_871 =
															MAKE_PAIR((obj_t) (BgL_arg3308z00_873), BNIL);
													}
													SET_CDR(BgL_tail3203z00_868, BgL_newtail3204z00_871);
													{
														obj_t BgL_tail3203z00_2020;

														obj_t BgL_l3200z00_2018;

														BgL_l3200z00_2018 = CDR(BgL_l3200z00_867);
														BgL_tail3203z00_2020 = BgL_newtail3204z00_871;
														BgL_tail3203z00_868 = BgL_tail3203z00_2020;
														BgL_l3200z00_867 = BgL_l3200z00_2018;
														goto BgL_map3201z00_869;
													}
												}
										}
									}
								{	/* Tailc/walk.scm 56 */
									BgL_sfunz00_bglt BgL_lfunz00_813;

									{	/* Tailc/walk.scm 61 */
										BgL_sfunz00_bglt BgL_duplicated3175z00_847;

										BgL_duplicated3175z00_847 =
											(BgL_sfunz00_bglt) (BgL_gfunz00_808);
										{	/* Tailc/walk.scm 62 */
											BgL_sfunz00_bglt BgL_new3176z00_848;

											{	/* Tailc/walk.scm 62 */
												long BgL_arg3290z00_849;

												obj_t BgL_arg3291z00_850;

												obj_t BgL_arg3292z00_851;

												obj_t BgL_arg3293z00_852;

												bool_t BgL_arg3294z00_853;

												obj_t BgL_arg3295z00_854;

												obj_t BgL_arg3296z00_855;

												obj_t BgL_arg3297z00_856;

												obj_t BgL_arg3298z00_857;

												obj_t BgL_arg3299z00_858;

												obj_t BgL_arg3300z00_859;

												obj_t BgL_arg3301z00_860;

												obj_t BgL_arg3302z00_861;

												obj_t BgL_arg3303z00_862;

												obj_t BgL_arg3304z00_863;

												{
													BgL_funz00_bglt BgL_auxz00_2022;

													BgL_auxz00_2022 = (BgL_funz00_bglt) (BgL_gfunz00_808);
													BgL_arg3290z00_849 =
														(((BgL_funz00_bglt) CREF(BgL_auxz00_2022))->
														BgL_arityz00);
												}
												{
													BgL_funz00_bglt BgL_auxz00_2025;

													BgL_auxz00_2025 =
														(BgL_funz00_bglt) (BgL_duplicated3175z00_847);
													BgL_arg3291z00_850 =
														(((BgL_funz00_bglt) CREF(BgL_auxz00_2025))->
														BgL_sidezd2effectzf3z21);
												}
												{
													BgL_funz00_bglt BgL_auxz00_2028;

													BgL_auxz00_2028 =
														(BgL_funz00_bglt) (BgL_duplicated3175z00_847);
													BgL_arg3292z00_851 =
														(((BgL_funz00_bglt) CREF(BgL_auxz00_2028))->
														BgL_predicatezd2ofzd2);
												}
												{
													BgL_funz00_bglt BgL_auxz00_2031;

													BgL_auxz00_2031 =
														(BgL_funz00_bglt) (BgL_duplicated3175z00_847);
													BgL_arg3293z00_852 =
														(((BgL_funz00_bglt) CREF(BgL_auxz00_2031))->
														BgL_stackzd2allocatorzd2);
												}
												{
													BgL_funz00_bglt BgL_auxz00_2034;

													BgL_auxz00_2034 =
														(BgL_funz00_bglt) (BgL_duplicated3175z00_847);
													BgL_arg3294z00_853 =
														(((BgL_funz00_bglt) CREF(BgL_auxz00_2034))->
														BgL_topzf3zf3);
												}
												{
													BgL_funz00_bglt BgL_auxz00_2037;

													BgL_auxz00_2037 =
														(BgL_funz00_bglt) (BgL_duplicated3175z00_847);
													BgL_arg3295z00_854 =
														(((BgL_funz00_bglt) CREF(BgL_auxz00_2037))->
														BgL_thezd2closurezd2);
												}
												{
													BgL_funz00_bglt BgL_auxz00_2040;

													BgL_auxz00_2040 =
														(BgL_funz00_bglt) (BgL_duplicated3175z00_847);
													BgL_arg3296z00_855 =
														(((BgL_funz00_bglt) CREF(BgL_auxz00_2040))->
														BgL_effectz00);
												}
												BgL_arg3297z00_856 =
													(((BgL_sfunz00_bglt)
														CREF(BgL_duplicated3175z00_847))->BgL_propertyz00);
												BgL_arg3298z00_857 =
													(((BgL_sfunz00_bglt)
														CREF(BgL_duplicated3175z00_847))->
													BgL_argszd2namezd2);
												BgL_arg3299z00_858 =
													(((BgL_sfunz00_bglt)
														CREF(BgL_duplicated3175z00_847))->BgL_classz00);
												BgL_arg3300z00_859 =
													(((BgL_sfunz00_bglt)
														CREF(BgL_duplicated3175z00_847))->
													BgL_dssslzd2keywordszd2);
												BgL_arg3301z00_860 =
													(((BgL_sfunz00_bglt)
														CREF(BgL_duplicated3175z00_847))->BgL_locz00);
												BgL_arg3302z00_861 =
													(((BgL_sfunz00_bglt)
														CREF(BgL_duplicated3175z00_847))->BgL_optionalsz00);
												BgL_arg3303z00_862 =
													(((BgL_sfunz00_bglt)
														CREF(BgL_duplicated3175z00_847))->BgL_keysz00);
												BgL_arg3304z00_863 =
													(((BgL_sfunz00_bglt)
														CREF(BgL_duplicated3175z00_847))->
													BgL_thezd2closurezd2globalz00);
												BgL_new3176z00_848 =
													BGl_makezd2sfunzd2zzast_varz00(BgL_arg3290z00_849,
													BgL_arg3291z00_850, BgL_arg3292z00_851,
													BgL_arg3293z00_852, BgL_arg3294z00_853,
													BgL_arg3295z00_854, BgL_arg3296z00_855,
													BgL_arg3297z00_856, BgL_largsz00_811,
													BgL_arg3298z00_857, BgL_lbodyz00_810,
													BgL_arg3299z00_858, BgL_arg3300z00_859,
													BgL_arg3301z00_860, BgL_arg3302z00_861,
													BgL_arg3303z00_862, BgL_arg3304z00_863);
											}
											{	/* Tailc/walk.scm 61 */

												BgL_lfunz00_813 = BgL_new3176z00_848;
									}}}
									{	/* Tailc/walk.scm 61 */
										BgL_localz00_bglt BgL_localz00_814;

										{	/* Tailc/walk.scm 65 */
											obj_t BgL_arg3289z00_846;

											{
												BgL_variablez00_bglt BgL_auxz00_2052;

												BgL_auxz00_2052 =
													(BgL_variablez00_bglt) (BgL_globalz00_3);
												BgL_arg3289z00_846 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_2052))->
													BgL_idz00);
											}
											BgL_localz00_814 =
												BGl_makezd2localzd2sfunz00zzast_localz00
												(BgL_arg3289z00_846, BgL_gtypez00_809, BgL_lfunz00_813);
										}
										{	/* Tailc/walk.scm 65 */
											obj_t BgL_locz00_815;

											{
												BgL_nodez00_bglt BgL_auxz00_2056;

												BgL_auxz00_2056 = (BgL_nodez00_bglt) (BgL_lbodyz00_810);
												BgL_locz00_815 =
													(((BgL_nodez00_bglt) CREF(BgL_auxz00_2056))->
													BgL_locz00);
											}
											{	/* Tailc/walk.scm 66 */
												BgL_letzd2funzd2_bglt BgL_gbodyz00_816;

												{	/* Tailc/walk.scm 67 */
													obj_t BgL_arg3275z00_827;

													BgL_appz00_bglt BgL_arg3276z00_828;

													{	/* Tailc/walk.scm 70 */
														obj_t BgL_list3277z00_829;

														BgL_list3277z00_829 =
															MAKE_PAIR((obj_t) (BgL_localz00_814), BNIL);
														BgL_arg3275z00_827 = BgL_list3277z00_829;
													}
													{	/* Tailc/walk.scm 71 */
														BgL_varz00_bglt BgL_arg3279z00_831;

														obj_t BgL_arg3280z00_832;

														BgL_arg3279z00_831 =
															BGl_makezd2varzd2zzast_nodez00(BgL_locz00_815,
															BgL_gtypez00_809,
															(BgL_variablez00_bglt) (BgL_localz00_814));
														if (NULLP(BgL_gargsz00_812))
															{	/* Tailc/walk.scm 78 */
																BgL_arg3280z00_832 = BNIL;
															}
														else
															{	/* Tailc/walk.scm 78 */
																obj_t BgL_head3207z00_835;

																BgL_head3207z00_835 = MAKE_PAIR(BNIL, BNIL);
																{
																	obj_t BgL_l3205z00_836;

																	obj_t BgL_tail3208z00_837;

																	BgL_l3205z00_836 = BgL_gargsz00_812;
																	BgL_tail3208z00_837 = BgL_head3207z00_835;
																BgL_map3206z00_838:
																	if (NULLP(BgL_l3205z00_836))
																		{	/* Tailc/walk.scm 78 */
																			BgL_arg3280z00_832 =
																				CDR(BgL_head3207z00_835);
																		}
																	else
																		{	/* Tailc/walk.scm 78 */
																			obj_t BgL_newtail3209z00_840;

																			{	/* Tailc/walk.scm 78 */
																				BgL_varz00_bglt BgL_arg3284z00_842;

																				{	/* Tailc/walk.scm 78 */
																					obj_t BgL_vz00_844;

																					BgL_vz00_844 = CAR(BgL_l3205z00_836);
																					{	/* Tailc/walk.scm 81 */
																						BgL_typez00_bglt BgL_arg3286z00_845;

																						{
																							BgL_variablez00_bglt
																								BgL_auxz00_2070;
																							BgL_auxz00_2070 =
																								(BgL_variablez00_bglt)
																								(BgL_vz00_844);
																							BgL_arg3286z00_845 =
																								(((BgL_variablez00_bglt)
																									CREF(BgL_auxz00_2070))->
																								BgL_typez00);
																						}
																						BgL_arg3284z00_842 =
																							BGl_makezd2varzd2zzast_nodez00
																							(BgL_locz00_815,
																							BgL_arg3286z00_845,
																							(BgL_variablez00_bglt)
																							(BgL_vz00_844));
																					}
																				}
																				BgL_newtail3209z00_840 =
																					MAKE_PAIR(
																					(obj_t) (BgL_arg3284z00_842), BNIL);
																			}
																			SET_CDR(BgL_tail3208z00_837,
																				BgL_newtail3209z00_840);
																			{
																				obj_t BgL_tail3208z00_2080;

																				obj_t BgL_l3205z00_2078;

																				BgL_l3205z00_2078 =
																					CDR(BgL_l3205z00_836);
																				BgL_tail3208z00_2080 =
																					BgL_newtail3209z00_840;
																				BgL_tail3208z00_837 =
																					BgL_tail3208z00_2080;
																				BgL_l3205z00_836 = BgL_l3205z00_2078;
																				goto BgL_map3206z00_838;
																			}
																		}
																}
															}
														BgL_arg3276z00_828 =
															BGl_makezd2appzd2zzast_nodez00(BgL_locz00_815,
															BgL_gtypez00_809, BUNSPEC, BINT(((long) -1)),
															BgL_arg3279z00_831, BgL_arg3280z00_832);
													}
													BgL_gbodyz00_816 =
														BGl_makezd2letzd2funz00zzast_nodez00(BgL_locz00_815,
														BgL_gtypez00_809, BUNSPEC, BINT(((long) -1)),
														BgL_arg3275z00_827,
														(BgL_nodez00_bglt) (BgL_arg3276z00_828));
												}
												{	/* Tailc/walk.scm 67 */

													{
														BgL_sfunz00_bglt BgL_auxz00_2086;

														BgL_auxz00_2086 =
															(BgL_sfunz00_bglt) (BgL_gfunz00_808);
														((((BgL_sfunz00_bglt) CREF(BgL_auxz00_2086))->
																BgL_argsz00) =
															((obj_t) BgL_gargsz00_812), BUNSPEC);
													}
													{
														obj_t BgL_auxz00_2091;

														BgL_sfunz00_bglt BgL_auxz00_2089;

														BgL_auxz00_2091 = (obj_t) (BgL_gbodyz00_816);
														BgL_auxz00_2089 =
															(BgL_sfunz00_bglt) (BgL_gfunz00_808);
														((((BgL_sfunz00_bglt) CREF(BgL_auxz00_2089))->
																BgL_bodyz00) =
															((obj_t) BgL_auxz00_2091), BUNSPEC);
													}
													{
														obj_t BgL_l3210z00_817;

														BgL_l3210z00_817 = BgL_callsz00_4;
													BgL_forzd2each3211zd2_818:
														if (PAIRP(BgL_l3210z00_817))
															{	/* Tailc/walk.scm 88 */
																{	/* Tailc/walk.scm 89 */
																	obj_t BgL_callz00_820;

																	BgL_callz00_820 = CAR(BgL_l3210z00_817);
																	{	/* Tailc/walk.scm 89 */
																		obj_t BgL_locz00_821;

																		{
																			BgL_nodez00_bglt BgL_auxz00_2097;

																			BgL_auxz00_2097 =
																				(BgL_nodez00_bglt) (BgL_callz00_820);
																			BgL_locz00_821 =
																				(((BgL_nodez00_bglt)
																					CREF(BgL_auxz00_2097))->BgL_locz00);
																		}
																		{	/* Tailc/walk.scm 89 */
																			BgL_varz00_bglt BgL_varz00_822;

																			{	/* Tailc/walk.scm 92 */
																				BgL_typez00_bglt BgL_arg3272z00_824;

																				{
																					BgL_variablez00_bglt BgL_auxz00_2100;

																					BgL_auxz00_2100 =
																						(BgL_variablez00_bglt)
																						(BgL_localz00_814);
																					BgL_arg3272z00_824 =
																						(((BgL_variablez00_bglt)
																							CREF(BgL_auxz00_2100))->
																						BgL_typez00);
																				}
																				BgL_varz00_822 =
																					BGl_makezd2varzd2zzast_nodez00
																					(BgL_locz00_821, BgL_arg3272z00_824,
																					(BgL_variablez00_bglt)
																					(BgL_localz00_814));
																			}
																			{	/* Tailc/walk.scm 90 */

																				{
																					BgL_appz00_bglt BgL_auxz00_2105;

																					BgL_auxz00_2105 =
																						(BgL_appz00_bglt) (BgL_callz00_820);
																					((((BgL_appz00_bglt)
																								CREF(BgL_auxz00_2105))->
																							BgL_funz00) =
																						((BgL_varz00_bglt) BgL_varz00_822),
																						BUNSPEC);
																				}
																			}
																		}
																	}
																}
																{
																	obj_t BgL_l3210z00_2108;

																	BgL_l3210z00_2108 = CDR(BgL_l3210z00_817);
																	BgL_l3210z00_817 = BgL_l3210z00_2108;
																	goto BgL_forzd2each3211zd2_818;
																}
															}
														else
															{	/* Tailc/walk.scm 88 */
																((bool_t) 1);
															}
													}
													return BGl_funz00zzast_varz00;
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 15 */
			{	/* Tailc/walk.scm 25 */
				obj_t BgL_arg3312z00_880;

				obj_t BgL_arg3313z00_881;

				obj_t BgL_arg3316z00_884;

				BgL_arg3312z00_880 = CNST_TABLE_REF(((long) 1));
				BgL_arg3313z00_881 = BGl_localz00zzast_varz00;
				{	/* Tailc/walk.scm 25 */
					obj_t BgL_v3212z00_885;

					BgL_v3212z00_885 = create_vector((int) (((long) 0)));
					BgL_arg3316z00_884 = BgL_v3212z00_885;
				}
				BGl_localzd2tailzd2zztailc_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3312z00_880,
					BgL_arg3313z00_881, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2localzd2tailzd2envz80zztailc_walkz00,
					BGl_localzd2tailzd2nilzd2envzd2zztailc_walkz00,
					BGl_localzd2tailzf3zd2envzf3zztailc_walkz00, ((long) 443659219),
					BFALSE, BFALSE, BgL_arg3316z00_884);
			}
			return (BGl_z52thezd2localzd2tailzd2nilz80zztailc_walkz00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* _local-tail? */
	obj_t BGl__localzd2tailzf3z21zztailc_walkz00(obj_t BgL_envz00_1815,
		obj_t BgL_obj3139z00_1816)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 25 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj3139z00_1816,
					BGl_localzd2tailzd2zztailc_walkz00));
		}
	}



/* widening-local-tail */
	BgL_localzd2tailzd2_bglt BGl_wideningzd2localzd2tailz00zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 25 */
			{	/* Tailc/walk.scm 25 */
				BgL_localzd2tailzd2_bglt BgL_new3115z00_886;

				BgL_new3115z00_886 =
					((BgL_localzd2tailzd2_bglt) BREF(GC_MALLOC(sizeof(struct
								BgL_localzd2tailzd2_bgl))));
				return BgL_new3115z00_886;
			}
		}
	}



/* _%allocate-local-tail */
	obj_t BGl__z52allocatezd2localzd2tailz52zztailc_walkz00(obj_t BgL_envz00_1813)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 25 */
			{	/* Tailc/walk.scm 25 */
				BgL_localz00_bglt BgL_auxz00_2117;

				{	/* Tailc/walk.scm 25 */
					BgL_localz00_bglt BgL_res3467z00_1881;

					{	/* Tailc/walk.scm 25 */
						BgL_localz00_bglt BgL_new3131z00_1879;

						BgL_new3131z00_1879 =
							((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localz00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new3131z00_1879),
							BGl_classzd2numzd2zz__objectz00
							(BGl_localzd2tailzd2zztailc_walkz00));
						{	/* Tailc/walk.scm 25 */
							BgL_objectz00_bglt BgL_auxz00_2122;

							BgL_auxz00_2122 = (BgL_objectz00_bglt) (BgL_new3131z00_1879);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2122, BFALSE);
						}
						BgL_res3467z00_1881 = BgL_new3131z00_1879;
					}
					BgL_auxz00_2117 = BgL_res3467z00_1881;
				}
				return (obj_t) (BgL_auxz00_2117);
			}
		}
	}



/* local-tail-nil */
	BgL_localzd2tailzd2_bglt BGl_localzd2tailzd2nilz00zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 25 */
			if ((BGl_z52thezd2localzd2tailzd2nilz80zztailc_walkz00 == BUNSPEC))
				{	/* Tailc/walk.scm 25 */
					{	/* Tailc/walk.scm 25 */
						BgL_localz00_bglt BgL_res3417z00_1490;

						{	/* Tailc/walk.scm 25 */
							BgL_localz00_bglt BgL_new1686z00_1486;

							BgL_new1686z00_1486 =
								((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1686z00_1486),
								BGl_classzd2numzd2zz__objectz00(BGl_localz00zzast_varz00));
							{	/* Tailc/walk.scm 25 */
								BgL_objectz00_bglt BgL_auxz00_2132;

								BgL_auxz00_2132 = (BgL_objectz00_bglt) (BgL_new1686z00_1486);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2132, BFALSE);
							}
							BgL_res3417z00_1490 = BgL_new1686z00_1486;
						}
						BGl_z52thezd2localzd2tailzd2nilz80zztailc_walkz00 =
							(obj_t) (BgL_res3417z00_1490);
					}
					{	/* Tailc/walk.scm 25 */
						obj_t BgL_arg3321z00_894;

						BgL_typez00_bglt BgL_arg3322z00_895;

						BgL_valuez00_bglt BgL_arg3323z00_896;

						BgL_arg3321z00_894 = CNST_TABLE_REF(((long) 2));
						BgL_arg3322z00_895 = BGl_typezd2nilzd2zztype_typez00();
						BgL_arg3323z00_896 = BGl_valuezd2nilzd2zzast_varz00();
						{	/* Tailc/walk.scm 25 */
							BgL_localz00_bglt BgL_res3418z00_1512;

							{	/* Tailc/walk.scm 25 */
								BgL_localz00_bglt BgL_new1674z00_1491;

								BgL_new1674z00_1491 =
									(BgL_localz00_bglt)
									(BGl_z52thezd2localzd2tailzd2nilz80zztailc_walkz00);
								{	/* Tailc/walk.scm 25 */
									obj_t BgL_id1664z00_1502;

									obj_t BgL_name1665z00_1503;

									BgL_typez00_bglt BgL_type1666z00_1504;

									BgL_valuez00_bglt BgL_value1667z00_1505;

									obj_t BgL_access1668z00_1506;

									obj_t BgL_fastzd2alpha1669zd2_1507;

									obj_t BgL_removable1670z00_1508;

									long BgL_occurrence1671z00_1509;

									bool_t BgL_userzf31672zf3_1510;

									long BgL_key1673z00_1511;

									BgL_id1664z00_1502 = BgL_arg3321z00_894;
									BgL_name1665z00_1503 = BUNSPEC;
									BgL_type1666z00_1504 = BgL_arg3322z00_895;
									BgL_value1667z00_1505 = BgL_arg3323z00_896;
									BgL_access1668z00_1506 = BUNSPEC;
									BgL_fastzd2alpha1669zd2_1507 = BUNSPEC;
									BgL_removable1670z00_1508 = BUNSPEC;
									BgL_occurrence1671z00_1509 = ((long) 0);
									BgL_userzf31672zf3_1510 = ((bool_t) 0);
									BgL_key1673z00_1511 = ((long) 0);
									((((BgL_localz00_bglt) CREF(BgL_new1674z00_1491))->
											BgL_idz00) = ((obj_t) BgL_id1664z00_1502), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1674z00_1491))->
											BgL_namez00) = ((obj_t) BgL_name1665z00_1503), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1674z00_1491))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_type1666z00_1504), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1674z00_1491))->
											BgL_valuez00) =
										((BgL_valuez00_bglt) BgL_value1667z00_1505), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1674z00_1491))->
											BgL_accessz00) =
										((obj_t) BgL_access1668z00_1506), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1674z00_1491))->
											BgL_fastzd2alphazd2) =
										((obj_t) BgL_fastzd2alpha1669zd2_1507), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1674z00_1491))->
											BgL_removablez00) =
										((obj_t) BgL_removable1670z00_1508), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1674z00_1491))->
											BgL_occurrencez00) =
										((long) BgL_occurrence1671z00_1509), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1674z00_1491))->
											BgL_userzf3zf3) =
										((bool_t) BgL_userzf31672zf3_1510), BUNSPEC);
									((((BgL_localz00_bglt) CREF(BgL_new1674z00_1491))->
											BgL_keyz00) = ((long) BgL_key1673z00_1511), BUNSPEC);
									BgL_res3418z00_1512 = BgL_new1674z00_1491;
							}} BgL_res3418z00_1512;
					}}
					{	/* Tailc/walk.scm 25 */
						long BgL_arg3326z00_899;

						BgL_arg3326z00_899 =
							BGl_classzd2numzd2zz__objectz00
							(BGl_localzd2tailzd2zztailc_walkz00);
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
							(BGl_z52thezd2localzd2tailzd2nilz80zztailc_walkz00),
							BgL_arg3326z00_899);
					}
					{	/* Tailc/walk.scm 25 */
						BgL_localzd2tailzd2_bglt BgL_arg3327z00_900;

						BgL_arg3327z00_900 =
							BGl_wideningzd2localzd2tailz00zztailc_walkz00();
						{	/* Tailc/walk.scm 25 */
							obj_t BgL_auxz00_2156;

							BgL_objectz00_bglt BgL_auxz00_2154;

							BgL_auxz00_2156 = (obj_t) (BgL_arg3327z00_900);
							BgL_auxz00_2154 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2localzd2tailzd2nilz80zztailc_walkz00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2154, BgL_auxz00_2156);
				}}}
			else
				{	/* Tailc/walk.scm 25 */
					BFALSE;
				}
			return
				(BgL_localzd2tailzd2_bglt)
				(BGl_z52thezd2localzd2tailzd2nilz80zztailc_walkz00);
		}
	}



/* _local-tail-nil */
	obj_t BGl__localzd2tailzd2nilz00zztailc_walkz00(obj_t BgL_envz00_1814)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 25 */
			return (obj_t) (BGl_localzd2tailzd2nilz00zztailc_walkz00());
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 15 */
			BGl_addzd2genericz12zc0zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_getzd2tailzd2callszd2defau3213zd2envz00zztailc_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc3452z00zztailc_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3453z00zztailc_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc3454z00zztailc_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3455z00zztailc_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc3456z00zztailc_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3457z00zztailc_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3458z00zztailc_walkz00);
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_localzd2tailzd2zztailc_walkz00, BGl_proc3459z00zztailc_walkz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_localzd2tailzd2zztailc_walkz00, BGl_proc3460z00zztailc_walkz00);
		}
	}



/* struct+object->objec3232 */
	obj_t BGl_structzb2objectzd2ze3objec3232z83zztailc_walkz00(obj_t
		BgL_envz00_1831, obj_t BgL_oz00_1832, obj_t BgL_sz00_1833)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 25 */
			{
				BgL_localzd2tailzd2_bglt BgL_oz00_1367;

				obj_t BgL_sz00_1368;

				{	/* Tailc/walk.scm 25 */
					BgL_localzd2tailzd2_bglt BgL_auxz00_2172;

					BgL_oz00_1367 = (BgL_localzd2tailzd2_bglt) (BgL_oz00_1832);
					BgL_sz00_1368 = BgL_sz00_1833;
					{

						{	/* Tailc/walk.scm 25 */
							obj_t BgL_old3135z00_1371;

							{	/* Tailc/walk.scm 25 */
								obj_t BgL_nextzd2method3231zd2_1376;

								BgL_nextzd2method3231zd2_1376 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_1367),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_localzd2tailzd2zztailc_walkz00);
								if (PROCEDUREP(BgL_nextzd2method3231zd2_1376))
									{	/* Tailc/walk.scm 25 */
										BgL_old3135z00_1371 =
											PROCEDURE_ENTRY(BgL_nextzd2method3231zd2_1376)
											(BgL_nextzd2method3231zd2_1376, (obj_t) (BgL_oz00_1367),
											BgL_sz00_1368, BEOA);
									}
								else
									{	/* Tailc/walk.scm 25 */
										BgL_old3135z00_1371 =
											(obj_t) (BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_1367), BgL_sz00_1368));
									}
							}
							{	/* Tailc/walk.scm 25 */
								BgL_localzd2tailzd2_bglt BgL_new3137z00_1373;

								BgL_new3137z00_1373 =
									((BgL_localzd2tailzd2_bglt) (BgL_old3135z00_1371));
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_new3137z00_1373),
									BGl_classzd2numzd2zz__objectz00
									(BGl_localzd2tailzd2zztailc_walkz00));
								{	/* Tailc/walk.scm 25 */
									BgL_localzd2tailzd2_bglt BgL_arg3410z00_1375;

									BgL_arg3410z00_1375 =
										BGl_wideningzd2localzd2tailz00zztailc_walkz00();
									{	/* Tailc/walk.scm 25 */
										obj_t BgL_auxz00_2190;

										BgL_objectz00_bglt BgL_auxz00_2188;

										BgL_auxz00_2190 = (obj_t) (BgL_arg3410z00_1375);
										BgL_auxz00_2188 =
											(BgL_objectz00_bglt) (BgL_new3137z00_1373);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_2188, BgL_auxz00_2190);
									}
								}
								BgL_auxz00_2172 = BgL_new3137z00_1373;
							}
						}
					}
					return (obj_t) (BgL_auxz00_2172);
				}
			}
		}
	}



/* object->struct-local3230 */
	obj_t BGl_objectzd2ze3structzd2local3230ze3zztailc_walkz00(obj_t
		BgL_envz00_1834, obj_t BgL_obj3132z00_1835)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 25 */
			{
				BgL_localzd2tailzd2_bglt BgL_obj3132z00_1359;

				BgL_obj3132z00_1359 = (BgL_localzd2tailzd2_bglt) (BgL_obj3132z00_1835);
				{

					{	/* Tailc/walk.scm 25 */
						obj_t BgL_res3133z00_1362;

						{	/* Tailc/walk.scm 25 */
							obj_t BgL_nextzd2method3229zd2_1365;

							BgL_nextzd2method3229zd2_1365 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj3132z00_1359),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_localzd2tailzd2zztailc_walkz00);
							if (PROCEDUREP(BgL_nextzd2method3229zd2_1365))
								{	/* Tailc/walk.scm 25 */
									BgL_res3133z00_1362 =
										PROCEDURE_ENTRY(BgL_nextzd2method3229zd2_1365)
										(BgL_nextzd2method3229zd2_1365,
										(obj_t) (BgL_obj3132z00_1359), BEOA);
								}
							else
								{	/* Tailc/walk.scm 25 */
									BgL_res3133z00_1362 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj3132z00_1359));
								}
						}
						{	/* Tailc/walk.scm 25 */
							obj_t BgL_aux3134z00_1363;

							{	/* Tailc/walk.scm 25 */
								obj_t BgL_keyz00_1764;

								BgL_keyz00_1764 = CNST_TABLE_REF(((long) 1));
								BgL_aux3134z00_1363 =
									make_struct(BgL_keyz00_1764, (int) (((long) 0)), BUNSPEC);
							}
							{	/* Tailc/walk.scm 25 */
								int BgL_auxz00_2207;

								BgL_auxz00_2207 = (int) (((long) 0));
								STRUCT_SET(BgL_res3133z00_1362, BgL_auxz00_2207,
									BgL_aux3134z00_1363);
							}
							{	/* Tailc/walk.scm 25 */
								obj_t BgL_auxz00_2210;

								BgL_auxz00_2210 = STRUCT_KEY(BgL_res3133z00_1362);
								STRUCT_KEY_SET(BgL_aux3134z00_1363, BgL_auxz00_2210);
							}
							{	/* Tailc/walk.scm 25 */
								obj_t BgL_kz00_1775;

								BgL_kz00_1775 = CNST_TABLE_REF(((long) 1));
								STRUCT_KEY_SET(BgL_res3133z00_1362, BgL_kz00_1775);
							}
							return BgL_res3133z00_1362;
						}
					}
				}
			}
		}
	}



/* get-tail-calls-let-v3228 */
	obj_t BGl_getzd2tailzd2callszd2letzd2v3228z00zztailc_walkz00(obj_t
		BgL_envz00_1836, obj_t BgL_nodez00_1837, obj_t BgL_hostz00_1838,
		obj_t BgL_tailsz00_1839)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 172 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1350;

				obj_t BgL_hostz00_1351;

				obj_t BgL_tailsz00_1352;

				BgL_nodez00_1350 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_1837);
				BgL_hostz00_1351 = BgL_hostz00_1838;
				BgL_tailsz00_1352 = BgL_tailsz00_1839;
				{	/* Tailc/walk.scm 173 */
					BgL_nodez00_bglt BgL_arg3405z00_1733;

					BgL_arg3405z00_1733 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1350))->BgL_bodyz00);
					{	/* Tailc/walk.scm 173 */
						obj_t BgL_res3439z00_1763;

						{	/* Tailc/walk.scm 173 */
							BgL_variablez00_bglt BgL_hz00_1736;

							obj_t BgL_tailsz00_1737;

							BgL_hz00_1736 = (BgL_variablez00_bglt) (BgL_hostz00_1351);
							BgL_tailsz00_1737 = BgL_tailsz00_1352;
							{	/* Tailc/walk.scm 173 */
								obj_t BgL_method3214z00_1738;

								{	/* Tailc/walk.scm 173 */
									BgL_objectz00_bglt BgL_objz00_1739;

									BgL_objz00_1739 = (BgL_objectz00_bglt) (BgL_arg3405z00_1733);
									{	/* Tailc/walk.scm 173 */
										long BgL_objzd2classzd2numz00_1740;

										BgL_objzd2classzd2numz00_1740 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1739);
										{	/* Tailc/walk.scm 173 */
											obj_t BgL_arg2388z00_1741;

											BgL_arg2388z00_1741 =
												PROCEDURE_REF
												(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
												(int) (((long) 1)));
											{	/* Tailc/walk.scm 173 */
												obj_t BgL_arrayz00_1743;

												int BgL_offsetz00_1744;

												BgL_arrayz00_1743 = BgL_arg2388z00_1741;
												BgL_offsetz00_1744 =
													(int) (BgL_objzd2classzd2numz00_1740);
												{	/* Tailc/walk.scm 173 */
													long BgL_offsetz00_1745;

													BgL_offsetz00_1745 =
														((long) (BgL_offsetz00_1744) - OBJECT_TYPE);
													{	/* Tailc/walk.scm 173 */
														long BgL_modz00_1746;

														{	/* Tailc/walk.scm 173 */
															int BgL_arg2390z00_1747;

															BgL_arg2390z00_1747 = (int) (((long) 8));
															{	/* Tailc/walk.scm 173 */
																long BgL_auxz00_2226;

																BgL_auxz00_2226 = (long) (BgL_arg2390z00_1747);
																BgL_modz00_1746 =
																	(BgL_offsetz00_1745 / BgL_auxz00_2226);
														}}
														{	/* Tailc/walk.scm 173 */
															long BgL_restz00_1748;

															{	/* Tailc/walk.scm 173 */
																int BgL_arg2389z00_1749;

																BgL_arg2389z00_1749 = (int) (((long) 8));
																{	/* Tailc/walk.scm 173 */
																	long BgL_auxz00_2230;

																	BgL_auxz00_2230 =
																		(long) (BgL_arg2389z00_1749);
																	BgL_restz00_1748 =
																		(BgL_offsetz00_1745 % BgL_auxz00_2230);
															}}
															{	/* Tailc/walk.scm 173 */

																BgL_method3214z00_1738 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1743,
																		(int) (BgL_modz00_1746)),
																	(int) (BgL_restz00_1748));
								}}}}}}}}
								BgL_res3439z00_1763 =
									PROCEDURE_ENTRY(BgL_method3214z00_1738)
									(BgL_method3214z00_1738, (obj_t) (BgL_arg3405z00_1733),
									(obj_t) (BgL_hz00_1736), BgL_tailsz00_1737, BEOA);
						}}
						return BgL_res3439z00_1763;
					}
				}
			}
		}
	}



/* get-tail-calls-let-f3226 */
	obj_t BGl_getzd2tailzd2callszd2letzd2f3226z00zztailc_walkz00(obj_t
		BgL_envz00_1840, obj_t BgL_nodez00_1841, obj_t BgL_hostz00_1842,
		obj_t BgL_tailsz00_1843)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 162 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1341;

				obj_t BgL_hostz00_1342;

				obj_t BgL_tailsz00_1343;

				BgL_nodez00_1341 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_1841);
				BgL_hostz00_1342 = BgL_hostz00_1842;
				BgL_tailsz00_1343 = BgL_tailsz00_1843;
				{	/* Tailc/walk.scm 163 */
					BgL_nodez00_bglt BgL_arg3403z00_1701;

					BgL_arg3403z00_1701 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1341))->BgL_bodyz00);
					{	/* Tailc/walk.scm 163 */
						obj_t BgL_res3436z00_1731;

						{	/* Tailc/walk.scm 163 */
							BgL_variablez00_bglt BgL_hz00_1704;

							obj_t BgL_tailsz00_1705;

							BgL_hz00_1704 = (BgL_variablez00_bglt) (BgL_hostz00_1342);
							BgL_tailsz00_1705 = BgL_tailsz00_1343;
							{	/* Tailc/walk.scm 163 */
								obj_t BgL_method3214z00_1706;

								{	/* Tailc/walk.scm 163 */
									BgL_objectz00_bglt BgL_objz00_1707;

									BgL_objz00_1707 = (BgL_objectz00_bglt) (BgL_arg3403z00_1701);
									{	/* Tailc/walk.scm 163 */
										long BgL_objzd2classzd2numz00_1708;

										BgL_objzd2classzd2numz00_1708 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1707);
										{	/* Tailc/walk.scm 163 */
											obj_t BgL_arg2388z00_1709;

											BgL_arg2388z00_1709 =
												PROCEDURE_REF
												(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
												(int) (((long) 1)));
											{	/* Tailc/walk.scm 163 */
												obj_t BgL_arrayz00_1711;

												int BgL_offsetz00_1712;

												BgL_arrayz00_1711 = BgL_arg2388z00_1709;
												BgL_offsetz00_1712 =
													(int) (BgL_objzd2classzd2numz00_1708);
												{	/* Tailc/walk.scm 163 */
													long BgL_offsetz00_1713;

													BgL_offsetz00_1713 =
														((long) (BgL_offsetz00_1712) - OBJECT_TYPE);
													{	/* Tailc/walk.scm 163 */
														long BgL_modz00_1714;

														{	/* Tailc/walk.scm 163 */
															int BgL_arg2390z00_1715;

															BgL_arg2390z00_1715 = (int) (((long) 8));
															{	/* Tailc/walk.scm 163 */
																long BgL_auxz00_2252;

																BgL_auxz00_2252 = (long) (BgL_arg2390z00_1715);
																BgL_modz00_1714 =
																	(BgL_offsetz00_1713 / BgL_auxz00_2252);
														}}
														{	/* Tailc/walk.scm 163 */
															long BgL_restz00_1716;

															{	/* Tailc/walk.scm 163 */
																int BgL_arg2389z00_1717;

																BgL_arg2389z00_1717 = (int) (((long) 8));
																{	/* Tailc/walk.scm 163 */
																	long BgL_auxz00_2256;

																	BgL_auxz00_2256 =
																		(long) (BgL_arg2389z00_1717);
																	BgL_restz00_1716 =
																		(BgL_offsetz00_1713 % BgL_auxz00_2256);
															}}
															{	/* Tailc/walk.scm 163 */

																BgL_method3214z00_1706 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1711,
																		(int) (BgL_modz00_1714)),
																	(int) (BgL_restz00_1716));
								}}}}}}}}
								BgL_res3436z00_1731 =
									PROCEDURE_ENTRY(BgL_method3214z00_1706)
									(BgL_method3214z00_1706, (obj_t) (BgL_arg3403z00_1701),
									(obj_t) (BgL_hz00_1704), BgL_tailsz00_1705, BEOA);
						}}
						return BgL_res3436z00_1731;
					}
				}
			}
		}
	}



/* get-tail-calls-selec3224 */
	obj_t BGl_getzd2tailzd2callszd2selec3224zd2zztailc_walkz00(obj_t
		BgL_envz00_1844, obj_t BgL_nodez00_1845, obj_t BgL_hostz00_1846,
		obj_t BgL_tailsz00_1847)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 150 */
			{
				BgL_selectz00_bglt BgL_nodez00_1324;

				obj_t BgL_hostz00_1325;

				obj_t BgL_tailsz00_1326;

				BgL_nodez00_1324 = (BgL_selectz00_bglt) (BgL_nodez00_1845);
				BgL_hostz00_1325 = BgL_hostz00_1846;
				BgL_tailsz00_1326 = BgL_tailsz00_1847;
				{	/* Tailc/walk.scm 152 */
					obj_t BgL_g3193z00_1330;

					BgL_g3193z00_1330 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1324))->BgL_clausesz00);
					{
						obj_t BgL_clausesz00_1331;

						obj_t BgL_tailsz00_1332;

						BgL_clausesz00_1331 = BgL_g3193z00_1330;
						BgL_tailsz00_1332 = BgL_tailsz00_1326;
					BgL_liipz00_1333:
						if (NULLP(BgL_clausesz00_1331))
							{	/* Tailc/walk.scm 154 */
								return BgL_tailsz00_1332;
							}
						else
							{	/* Tailc/walk.scm 156 */
								obj_t BgL_arg3398z00_1335;

								obj_t BgL_arg3399z00_1336;

								BgL_arg3398z00_1335 = CDR(BgL_clausesz00_1331);
								{	/* Tailc/walk.scm 157 */
									obj_t BgL_arg3400z00_1337;

									BgL_arg3400z00_1337 = CDR(CAR(BgL_clausesz00_1331));
									{	/* Tailc/walk.scm 157 */
										obj_t BgL_res3433z00_1699;

										{	/* Tailc/walk.scm 157 */
											BgL_nodez00_bglt BgL_nz00_1671;

											BgL_variablez00_bglt BgL_hz00_1672;

											obj_t BgL_tailsz00_1673;

											BgL_nz00_1671 = (BgL_nodez00_bglt) (BgL_arg3400z00_1337);
											BgL_hz00_1672 = (BgL_variablez00_bglt) (BgL_hostz00_1325);
											BgL_tailsz00_1673 = BgL_tailsz00_1332;
											{	/* Tailc/walk.scm 157 */
												obj_t BgL_method3214z00_1674;

												{	/* Tailc/walk.scm 157 */
													BgL_objectz00_bglt BgL_objz00_1675;

													BgL_objz00_1675 =
														(BgL_objectz00_bglt) (BgL_nz00_1671);
													{	/* Tailc/walk.scm 157 */
														long BgL_objzd2classzd2numz00_1676;

														BgL_objzd2classzd2numz00_1676 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1675);
														{	/* Tailc/walk.scm 157 */
															obj_t BgL_arg2388z00_1677;

															BgL_arg2388z00_1677 =
																PROCEDURE_REF
																(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
																(int) (((long) 1)));
															{	/* Tailc/walk.scm 157 */
																obj_t BgL_arrayz00_1679;

																int BgL_offsetz00_1680;

																BgL_arrayz00_1679 = BgL_arg2388z00_1677;
																BgL_offsetz00_1680 =
																	(int) (BgL_objzd2classzd2numz00_1676);
																{	/* Tailc/walk.scm 157 */
																	long BgL_offsetz00_1681;

																	BgL_offsetz00_1681 =
																		((long) (BgL_offsetz00_1680) - OBJECT_TYPE);
																	{	/* Tailc/walk.scm 157 */
																		long BgL_modz00_1682;

																		{	/* Tailc/walk.scm 157 */
																			int BgL_arg2390z00_1683;

																			BgL_arg2390z00_1683 = (int) (((long) 8));
																			{	/* Tailc/walk.scm 157 */
																				long BgL_auxz00_2284;

																				BgL_auxz00_2284 =
																					(long) (BgL_arg2390z00_1683);
																				BgL_modz00_1682 =
																					(BgL_offsetz00_1681 /
																					BgL_auxz00_2284);
																		}}
																		{	/* Tailc/walk.scm 157 */
																			long BgL_restz00_1684;

																			{	/* Tailc/walk.scm 157 */
																				int BgL_arg2389z00_1685;

																				BgL_arg2389z00_1685 =
																					(int) (((long) 8));
																				{	/* Tailc/walk.scm 157 */
																					long BgL_auxz00_2288;

																					BgL_auxz00_2288 =
																						(long) (BgL_arg2389z00_1685);
																					BgL_restz00_1684 =
																						(BgL_offsetz00_1681 %
																						BgL_auxz00_2288);
																			}}
																			{	/* Tailc/walk.scm 157 */

																				BgL_method3214z00_1674 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1679,
																						(int) (BgL_modz00_1682)),
																					(int) (BgL_restz00_1684));
												}}}}}}}}
												BgL_res3433z00_1699 =
													PROCEDURE_ENTRY(BgL_method3214z00_1674)
													(BgL_method3214z00_1674, (obj_t) (BgL_nz00_1671),
													(obj_t) (BgL_hz00_1672), BgL_tailsz00_1673, BEOA);
										}}
										BgL_arg3399z00_1336 = BgL_res3433z00_1699;
								}}
								{
									obj_t BgL_tailsz00_2300;

									obj_t BgL_clausesz00_2299;

									BgL_clausesz00_2299 = BgL_arg3398z00_1335;
									BgL_tailsz00_2300 = BgL_arg3399z00_1336;
									BgL_tailsz00_1332 = BgL_tailsz00_2300;
									BgL_clausesz00_1331 = BgL_clausesz00_2299;
									goto BgL_liipz00_1333;
								}
							}
					}
				}
			}
		}
	}



/* get-tail-calls-condi3222 */
	obj_t BGl_getzd2tailzd2callszd2condi3222zd2zztailc_walkz00(obj_t
		BgL_envz00_1848, obj_t BgL_nodez00_1849, obj_t BgL_hostz00_1850,
		obj_t BgL_tailsz00_1851)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 143 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1313;

				obj_t BgL_hostz00_1314;

				obj_t BgL_tailsz00_1315;

				BgL_nodez00_1313 = (BgL_conditionalz00_bglt) (BgL_nodez00_1849);
				BgL_hostz00_1314 = BgL_hostz00_1850;
				BgL_tailsz00_1315 = BgL_tailsz00_1851;
				{	/* Tailc/walk.scm 144 */
					BgL_nodez00_bglt BgL_arg3393z00_1603;

					obj_t BgL_arg3394z00_1604;

					BgL_arg3393z00_1603 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1313))->BgL_truez00);
					{	/* Tailc/walk.scm 144 */
						BgL_nodez00_bglt BgL_arg3395z00_1605;

						BgL_arg3395z00_1605 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1313))->
							BgL_falsez00);
						{	/* Tailc/walk.scm 144 */
							obj_t BgL_res3427z00_1636;

							{	/* Tailc/walk.scm 144 */
								BgL_variablez00_bglt BgL_hz00_1609;

								obj_t BgL_tailsz00_1610;

								BgL_hz00_1609 = (BgL_variablez00_bglt) (BgL_hostz00_1314);
								BgL_tailsz00_1610 = BgL_tailsz00_1315;
								{	/* Tailc/walk.scm 144 */
									obj_t BgL_method3214z00_1611;

									{	/* Tailc/walk.scm 144 */
										BgL_objectz00_bglt BgL_objz00_1612;

										BgL_objz00_1612 =
											(BgL_objectz00_bglt) (BgL_arg3395z00_1605);
										{	/* Tailc/walk.scm 144 */
											long BgL_objzd2classzd2numz00_1613;

											BgL_objzd2classzd2numz00_1613 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1612);
											{	/* Tailc/walk.scm 144 */
												obj_t BgL_arg2388z00_1614;

												BgL_arg2388z00_1614 =
													PROCEDURE_REF
													(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
													(int) (((long) 1)));
												{	/* Tailc/walk.scm 144 */
													obj_t BgL_arrayz00_1616;

													int BgL_offsetz00_1617;

													BgL_arrayz00_1616 = BgL_arg2388z00_1614;
													BgL_offsetz00_1617 =
														(int) (BgL_objzd2classzd2numz00_1613);
													{	/* Tailc/walk.scm 144 */
														long BgL_offsetz00_1618;

														BgL_offsetz00_1618 =
															((long) (BgL_offsetz00_1617) - OBJECT_TYPE);
														{	/* Tailc/walk.scm 144 */
															long BgL_modz00_1619;

															{	/* Tailc/walk.scm 144 */
																int BgL_arg2390z00_1620;

																BgL_arg2390z00_1620 = (int) (((long) 8));
																{	/* Tailc/walk.scm 144 */
																	long BgL_auxz00_2313;

																	BgL_auxz00_2313 =
																		(long) (BgL_arg2390z00_1620);
																	BgL_modz00_1619 =
																		(BgL_offsetz00_1618 / BgL_auxz00_2313);
															}}
															{	/* Tailc/walk.scm 144 */
																long BgL_restz00_1621;

																{	/* Tailc/walk.scm 144 */
																	int BgL_arg2389z00_1622;

																	BgL_arg2389z00_1622 = (int) (((long) 8));
																	{	/* Tailc/walk.scm 144 */
																		long BgL_auxz00_2317;

																		BgL_auxz00_2317 =
																			(long) (BgL_arg2389z00_1622);
																		BgL_restz00_1621 =
																			(BgL_offsetz00_1618 % BgL_auxz00_2317);
																}}
																{	/* Tailc/walk.scm 144 */

																	BgL_method3214z00_1611 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1616,
																			(int) (BgL_modz00_1619)),
																		(int) (BgL_restz00_1621));
									}}}}}}}}
									BgL_res3427z00_1636 =
										PROCEDURE_ENTRY(BgL_method3214z00_1611)
										(BgL_method3214z00_1611, (obj_t) (BgL_arg3395z00_1605),
										(obj_t) (BgL_hz00_1609), BgL_tailsz00_1610, BEOA);
							}}
							BgL_arg3394z00_1604 = BgL_res3427z00_1636;
					}}
					{	/* Tailc/walk.scm 144 */
						obj_t BgL_res3430z00_1665;

						{	/* Tailc/walk.scm 144 */
							BgL_variablez00_bglt BgL_hz00_1638;

							BgL_hz00_1638 = (BgL_variablez00_bglt) (BgL_hostz00_1314);
							{	/* Tailc/walk.scm 144 */
								obj_t BgL_method3214z00_1640;

								{	/* Tailc/walk.scm 144 */
									BgL_objectz00_bglt BgL_objz00_1641;

									BgL_objz00_1641 = (BgL_objectz00_bglt) (BgL_arg3393z00_1603);
									{	/* Tailc/walk.scm 144 */
										long BgL_objzd2classzd2numz00_1642;

										BgL_objzd2classzd2numz00_1642 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1641);
										{	/* Tailc/walk.scm 144 */
											obj_t BgL_arg2388z00_1643;

											BgL_arg2388z00_1643 =
												PROCEDURE_REF
												(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
												(int) (((long) 1)));
											{	/* Tailc/walk.scm 144 */
												obj_t BgL_arrayz00_1645;

												int BgL_offsetz00_1646;

												BgL_arrayz00_1645 = BgL_arg2388z00_1643;
												BgL_offsetz00_1646 =
													(int) (BgL_objzd2classzd2numz00_1642);
												{	/* Tailc/walk.scm 144 */
													long BgL_offsetz00_1647;

													BgL_offsetz00_1647 =
														((long) (BgL_offsetz00_1646) - OBJECT_TYPE);
													{	/* Tailc/walk.scm 144 */
														long BgL_modz00_1648;

														{	/* Tailc/walk.scm 144 */
															int BgL_arg2390z00_1649;

															BgL_arg2390z00_1649 = (int) (((long) 8));
															{	/* Tailc/walk.scm 144 */
																long BgL_auxz00_2337;

																BgL_auxz00_2337 = (long) (BgL_arg2390z00_1649);
																BgL_modz00_1648 =
																	(BgL_offsetz00_1647 / BgL_auxz00_2337);
														}}
														{	/* Tailc/walk.scm 144 */
															long BgL_restz00_1650;

															{	/* Tailc/walk.scm 144 */
																int BgL_arg2389z00_1651;

																BgL_arg2389z00_1651 = (int) (((long) 8));
																{	/* Tailc/walk.scm 144 */
																	long BgL_auxz00_2341;

																	BgL_auxz00_2341 =
																		(long) (BgL_arg2389z00_1651);
																	BgL_restz00_1650 =
																		(BgL_offsetz00_1647 % BgL_auxz00_2341);
															}}
															{	/* Tailc/walk.scm 144 */

																BgL_method3214z00_1640 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1645,
																		(int) (BgL_modz00_1648)),
																	(int) (BgL_restz00_1650));
								}}}}}}}}
								BgL_res3430z00_1665 =
									PROCEDURE_ENTRY(BgL_method3214z00_1640)
									(BgL_method3214z00_1640, (obj_t) (BgL_arg3393z00_1603),
									(obj_t) (BgL_hz00_1638), BgL_arg3394z00_1604, BEOA);
						}}
						return BgL_res3430z00_1665;
					}
				}
			}
		}
	}



/* get-tail-calls-app3220 */
	obj_t BGl_getzd2tailzd2callszd2app3220zd2zztailc_walkz00(obj_t
		BgL_envz00_1852, obj_t BgL_nodez00_1853, obj_t BgL_hostz00_1854,
		obj_t BgL_tailsz00_1855)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 126 */
			{
				BgL_appz00_bglt BgL_nodez00_1295;

				obj_t BgL_hostz00_1296;

				obj_t BgL_tailsz00_1297;

				BgL_nodez00_1295 = (BgL_appz00_bglt) (BgL_nodez00_1853);
				BgL_hostz00_1296 = BgL_hostz00_1854;
				BgL_tailsz00_1297 = BgL_tailsz00_1855;
				{	/* Tailc/walk.scm 128 */
					BgL_variablez00_bglt BgL_calleez00_1301;

					{	/* Tailc/walk.scm 128 */
						BgL_varz00_bglt BgL_obj2029z00_1566;

						BgL_obj2029z00_1566 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1295))->BgL_funz00);
						BgL_calleez00_1301 =
							(((BgL_varz00_bglt) CREF(BgL_obj2029z00_1566))->BgL_variablez00);
					}
					if (((obj_t) (BgL_calleez00_1301) == BgL_hostz00_1296))
						{	/* Tailc/walk.scm 130 */
							return MAKE_PAIR((obj_t) (BgL_nodez00_1295), BgL_tailsz00_1297);
						}
					else
						{	/* Tailc/walk.scm 132 */
							bool_t BgL_testz00_2360;

							{	/* Tailc/walk.scm 132 */
								obj_t BgL_obj3139z00_1567;

								BgL_obj3139z00_1567 = (obj_t) (BgL_calleez00_1301);
								BgL_testz00_2360 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj3139z00_1567,
									BGl_localzd2tailzd2zztailc_walkz00);
							}
							if (BgL_testz00_2360)
								{	/* Tailc/walk.scm 132 */
									return BgL_tailsz00_1297;
								}
							else
								{	/* Tailc/walk.scm 134 */
									bool_t BgL_testz00_2363;

									{	/* Tailc/walk.scm 134 */
										obj_t BgL_obj1687z00_1568;

										BgL_obj1687z00_1568 = (obj_t) (BgL_calleez00_1301);
										BgL_testz00_2363 =
											BGl_iszd2azf3z21zz__objectz00(BgL_obj1687z00_1568,
											BGl_localz00zzast_varz00);
									}
									if (BgL_testz00_2363)
										{	/* Tailc/walk.scm 134 */
											{	/* Tailc/walk.scm 135 */
												BgL_localz00_bglt BgL_obj3188z00_1305;

												BgL_obj3188z00_1305 =
													((BgL_localz00_bglt)
													(BgL_localz00_bglt) (BgL_calleez00_1301));
												{	/* Tailc/walk.scm 135 */
													BgL_localzd2tailzd2_bglt BgL_arg3387z00_1306;

													BgL_arg3387z00_1306 =
														BGl_wideningzd2localzd2tailz00zztailc_walkz00();
													{	/* Tailc/walk.scm 135 */
														obj_t BgL_auxz00_2371;

														BgL_objectz00_bglt BgL_auxz00_2369;

														BgL_auxz00_2371 = (obj_t) (BgL_arg3387z00_1306);
														BgL_auxz00_2369 =
															(BgL_objectz00_bglt) (BgL_obj3188z00_1305);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_2369,
															BgL_auxz00_2371);
													}
												}
												BGL_OBJECT_CLASS_NUM_SET(
													(BgL_objectz00_bglt) (BgL_obj3188z00_1305),
													BGl_classzd2numzd2zz__objectz00
													(BGl_localzd2tailzd2zztailc_walkz00));
												BgL_obj3188z00_1305;
											}
											{	/* Tailc/walk.scm 136 */
												obj_t BgL_arg3389z00_1308;

												{	/* Tailc/walk.scm 136 */
													BgL_sfunz00_bglt BgL_obj1758z00_1572;

													BgL_obj1758z00_1572 =
														(BgL_sfunz00_bglt) (
														(((BgL_variablez00_bglt) CREF(BgL_calleez00_1301))->
															BgL_valuez00));
													BgL_arg3389z00_1308 =
														(((BgL_sfunz00_bglt) CREF(BgL_obj1758z00_1572))->
														BgL_bodyz00);
												}
												{	/* Tailc/walk.scm 136 */
													obj_t BgL_res3424z00_1601;

													{	/* Tailc/walk.scm 136 */
														BgL_nodez00_bglt BgL_nz00_1573;

														BgL_variablez00_bglt BgL_hz00_1574;

														obj_t BgL_tailsz00_1575;

														BgL_nz00_1573 =
															(BgL_nodez00_bglt) (BgL_arg3389z00_1308);
														BgL_hz00_1574 =
															(BgL_variablez00_bglt) (BgL_hostz00_1296);
														BgL_tailsz00_1575 = BgL_tailsz00_1297;
														{	/* Tailc/walk.scm 136 */
															obj_t BgL_method3214z00_1576;

															{	/* Tailc/walk.scm 136 */
																BgL_objectz00_bglt BgL_objz00_1577;

																BgL_objz00_1577 =
																	(BgL_objectz00_bglt) (BgL_nz00_1573);
																{	/* Tailc/walk.scm 136 */
																	long BgL_objzd2classzd2numz00_1578;

																	BgL_objzd2classzd2numz00_1578 =
																		BGL_OBJECT_CLASS_NUM(BgL_objz00_1577);
																	{	/* Tailc/walk.scm 136 */
																		obj_t BgL_arg2388z00_1579;

																		BgL_arg2388z00_1579 =
																			PROCEDURE_REF
																			(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
																			(int) (((long) 1)));
																		{	/* Tailc/walk.scm 136 */
																			obj_t BgL_arrayz00_1581;

																			int BgL_offsetz00_1582;

																			BgL_arrayz00_1581 = BgL_arg2388z00_1579;
																			BgL_offsetz00_1582 =
																				(int) (BgL_objzd2classzd2numz00_1578);
																			{	/* Tailc/walk.scm 136 */
																				long BgL_offsetz00_1583;

																				BgL_offsetz00_1583 =
																					(
																					(long) (BgL_offsetz00_1582) -
																					OBJECT_TYPE);
																				{	/* Tailc/walk.scm 136 */
																					long BgL_modz00_1584;

																					{	/* Tailc/walk.scm 136 */
																						int BgL_arg2390z00_1585;

																						BgL_arg2390z00_1585 =
																							(int) (((long) 8));
																						{	/* Tailc/walk.scm 136 */
																							long BgL_auxz00_2390;

																							BgL_auxz00_2390 =
																								(long) (BgL_arg2390z00_1585);
																							BgL_modz00_1584 =
																								(BgL_offsetz00_1583 /
																								BgL_auxz00_2390);
																					}}
																					{	/* Tailc/walk.scm 136 */
																						long BgL_restz00_1586;

																						{	/* Tailc/walk.scm 136 */
																							int BgL_arg2389z00_1587;

																							BgL_arg2389z00_1587 =
																								(int) (((long) 8));
																							{	/* Tailc/walk.scm 136 */
																								long BgL_auxz00_2394;

																								BgL_auxz00_2394 =
																									(long) (BgL_arg2389z00_1587);
																								BgL_restz00_1586 =
																									(BgL_offsetz00_1583 %
																									BgL_auxz00_2394);
																						}}
																						{	/* Tailc/walk.scm 136 */

																							BgL_method3214z00_1576 =
																								VECTOR_REF(VECTOR_REF
																								(BgL_arrayz00_1581,
																									(int) (BgL_modz00_1584)),
																								(int) (BgL_restz00_1586));
															}}}}}}}}
															BgL_res3424z00_1601 =
																PROCEDURE_ENTRY(BgL_method3214z00_1576)
																(BgL_method3214z00_1576,
																(obj_t) (BgL_nz00_1573),
																(obj_t) (BgL_hz00_1574), BgL_tailsz00_1575,
																BEOA);
													}}
													return BgL_res3424z00_1601;
												}
											}
										}
									else
										{	/* Tailc/walk.scm 134 */
											return BgL_tailsz00_1297;
										}
								}
						}
				}
			}
		}
	}



/* get-tail-calls-seque3218 */
	obj_t BGl_getzd2tailzd2callszd2seque3218zd2zztailc_walkz00(obj_t
		BgL_envz00_1856, obj_t BgL_nodez00_1857, obj_t BgL_hostz00_1858,
		obj_t BgL_tailsz00_1859)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 117 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1282;

				obj_t BgL_hostz00_1283;

				obj_t BgL_tailsz00_1284;

				BgL_nodez00_1282 = (BgL_sequencez00_bglt) (BgL_nodez00_1857);
				BgL_hostz00_1283 = BgL_hostz00_1858;
				BgL_tailsz00_1284 = BgL_tailsz00_1859;
				if (NULLP(
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1282))->BgL_nodesz00)))
					{	/* Tailc/walk.scm 119 */
						return BgL_tailsz00_1284;
					}
				else
					{	/* Tailc/walk.scm 121 */
						obj_t BgL_arg3379z00_1289;

						BgL_arg3379z00_1289 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1282))->
									BgL_nodesz00)));
						{	/* Tailc/walk.scm 121 */
							obj_t BgL_res3421z00_1564;

							{	/* Tailc/walk.scm 121 */
								BgL_nodez00_bglt BgL_nz00_1536;

								BgL_variablez00_bglt BgL_hz00_1537;

								obj_t BgL_tailsz00_1538;

								BgL_nz00_1536 = (BgL_nodez00_bglt) (BgL_arg3379z00_1289);
								BgL_hz00_1537 = (BgL_variablez00_bglt) (BgL_hostz00_1283);
								BgL_tailsz00_1538 = BgL_tailsz00_1284;
								{	/* Tailc/walk.scm 121 */
									obj_t BgL_method3214z00_1539;

									{	/* Tailc/walk.scm 121 */
										BgL_objectz00_bglt BgL_objz00_1540;

										BgL_objz00_1540 = (BgL_objectz00_bglt) (BgL_nz00_1536);
										{	/* Tailc/walk.scm 121 */
											long BgL_objzd2classzd2numz00_1541;

											BgL_objzd2classzd2numz00_1541 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1540);
											{	/* Tailc/walk.scm 121 */
												obj_t BgL_arg2388z00_1542;

												BgL_arg2388z00_1542 =
													PROCEDURE_REF
													(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
													(int) (((long) 1)));
												{	/* Tailc/walk.scm 121 */
													obj_t BgL_arrayz00_1544;

													int BgL_offsetz00_1545;

													BgL_arrayz00_1544 = BgL_arg2388z00_1542;
													BgL_offsetz00_1545 =
														(int) (BgL_objzd2classzd2numz00_1541);
													{	/* Tailc/walk.scm 121 */
														long BgL_offsetz00_1546;

														BgL_offsetz00_1546 =
															((long) (BgL_offsetz00_1545) - OBJECT_TYPE);
														{	/* Tailc/walk.scm 121 */
															long BgL_modz00_1547;

															{	/* Tailc/walk.scm 121 */
																int BgL_arg2390z00_1548;

																BgL_arg2390z00_1548 = (int) (((long) 8));
																{	/* Tailc/walk.scm 121 */
																	long BgL_auxz00_2422;

																	BgL_auxz00_2422 =
																		(long) (BgL_arg2390z00_1548);
																	BgL_modz00_1547 =
																		(BgL_offsetz00_1546 / BgL_auxz00_2422);
															}}
															{	/* Tailc/walk.scm 121 */
																long BgL_restz00_1549;

																{	/* Tailc/walk.scm 121 */
																	int BgL_arg2389z00_1550;

																	BgL_arg2389z00_1550 = (int) (((long) 8));
																	{	/* Tailc/walk.scm 121 */
																		long BgL_auxz00_2426;

																		BgL_auxz00_2426 =
																			(long) (BgL_arg2389z00_1550);
																		BgL_restz00_1549 =
																			(BgL_offsetz00_1546 % BgL_auxz00_2426);
																}}
																{	/* Tailc/walk.scm 121 */

																	BgL_method3214z00_1539 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1544,
																			(int) (BgL_modz00_1547)),
																		(int) (BgL_restz00_1549));
									}}}}}}}}
									BgL_res3421z00_1564 =
										PROCEDURE_ENTRY(BgL_method3214z00_1539)
										(BgL_method3214z00_1539, (obj_t) (BgL_nz00_1536),
										(obj_t) (BgL_hz00_1537), BgL_tailsz00_1538, BEOA);
							}}
							return BgL_res3421z00_1564;
						}
					}
			}
		}
	}



/* get-tail-calls-closu3216 */
	obj_t BGl_getzd2tailzd2callszd2closu3216zd2zztailc_walkz00(obj_t
		BgL_envz00_1860, obj_t BgL_nodez00_1861, obj_t BgL_hostz00_1862,
		obj_t BgL_tailsz00_1863)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 111 */
			{
				BgL_closurez00_bglt BgL_nodez00_1272;

				obj_t BgL_hostz00_1273;

				obj_t BgL_tailsz00_1274;

				BgL_nodez00_1272 = (BgL_closurez00_bglt) (BgL_nodez00_1861);
				BgL_hostz00_1273 = BgL_hostz00_1862;
				BgL_tailsz00_1274 = BgL_tailsz00_1863;
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string3461z00zztailc_walkz00, BGl_string3462z00zztailc_walkz00,
					BGl_shapez00zztools_shapez00((obj_t) (BgL_nodez00_1272)));
			}
		}
	}



/* get-tail-calls */
	obj_t BGl_getzd2tailzd2callsz00zztailc_walkz00(BgL_nodez00_bglt BgL_nz00_5,
		BgL_variablez00_bglt BgL_hz00_6, obj_t BgL_tailsz00_7)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 105 */
			{	/* Tailc/walk.scm 105 */
				obj_t BgL_method3214z00_1782;

				{	/* Tailc/walk.scm 105 */
					BgL_objectz00_bglt BgL_objz00_1783;

					BgL_objz00_1783 = (BgL_objectz00_bglt) (BgL_nz00_5);
					{	/* Tailc/walk.scm 105 */
						long BgL_objzd2classzd2numz00_1784;

						BgL_objzd2classzd2numz00_1784 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1783);
						{	/* Tailc/walk.scm 105 */
							obj_t BgL_arg2388z00_1785;

							BgL_arg2388z00_1785 =
								PROCEDURE_REF(BGl_getzd2tailzd2callszd2envzd2zztailc_walkz00,
								(int) (((long) 1)));
							{	/* Tailc/walk.scm 105 */
								obj_t BgL_arrayz00_1787;

								int BgL_offsetz00_1788;

								BgL_arrayz00_1787 = BgL_arg2388z00_1785;
								BgL_offsetz00_1788 = (int) (BgL_objzd2classzd2numz00_1784);
								{	/* Tailc/walk.scm 105 */
									long BgL_offsetz00_1789;

									BgL_offsetz00_1789 =
										((long) (BgL_offsetz00_1788) - OBJECT_TYPE);
									{	/* Tailc/walk.scm 105 */
										long BgL_modz00_1790;

										{	/* Tailc/walk.scm 105 */
											int BgL_arg2390z00_1791;

											BgL_arg2390z00_1791 = (int) (((long) 8));
											{	/* Tailc/walk.scm 105 */
												long BgL_auxz00_2450;

												BgL_auxz00_2450 = (long) (BgL_arg2390z00_1791);
												BgL_modz00_1790 =
													(BgL_offsetz00_1789 / BgL_auxz00_2450);
										}}
										{	/* Tailc/walk.scm 105 */
											long BgL_restz00_1792;

											{	/* Tailc/walk.scm 105 */
												int BgL_arg2389z00_1793;

												BgL_arg2389z00_1793 = (int) (((long) 8));
												{	/* Tailc/walk.scm 105 */
													long BgL_auxz00_2454;

													BgL_auxz00_2454 = (long) (BgL_arg2389z00_1793);
													BgL_restz00_1792 =
														(BgL_offsetz00_1789 % BgL_auxz00_2454);
											}}
											{	/* Tailc/walk.scm 105 */

												BgL_method3214z00_1782 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1787,
														(int) (BgL_modz00_1790)), (int) (BgL_restz00_1792));
				}}}}}}}}
				return
					PROCEDURE_ENTRY(BgL_method3214z00_1782) (BgL_method3214z00_1782,
					(obj_t) (BgL_nz00_5), (obj_t) (BgL_hz00_6), BgL_tailsz00_7, BEOA);
			}
		}
	}



/* _get-tail-calls */
	obj_t BGl__getzd2tailzd2callsz00zztailc_walkz00(obj_t BgL_envz00_1809,
		obj_t BgL_nz00_1810, obj_t BgL_hz00_1811, obj_t BgL_tailsz00_1812)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 105 */
			return
				BGl_getzd2tailzd2callsz00zztailc_walkz00(
				(BgL_nodez00_bglt) (BgL_nz00_1810),
				(BgL_variablez00_bglt) (BgL_hz00_1811), BgL_tailsz00_1812);
		}
	}



/* _get-tail-calls-defau3213 */
	obj_t BGl__getzd2tailzd2callszd2defau3213zd2zztailc_walkz00(obj_t
		BgL_envz00_1864, obj_t BgL_nz00_1865, obj_t BgL_hz00_1866,
		obj_t BgL_tailsz00_1867)
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 15 */
			return BgL_tailsz00_1867;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztailc_walkz00()
	{
		AN_OBJECT;
		{	/* Tailc/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 182148081),
				BSTRING_TO_STRING(BGl_string3463z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string3463z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 216344604),
				BSTRING_TO_STRING(BGl_string3463z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3463z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3463z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3463z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 52292466),
				BSTRING_TO_STRING(BGl_string3463z00zztailc_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3463z00zztailc_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_localz00(((long) 499216671),
				BSTRING_TO_STRING(BGl_string3463z00zztailc_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
