/*===========================================================================*/
/*   (Tools/trace.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tools/trace.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;


	BGL_EXPORTED_DECL obj_t BGl_stopzd2tracezd2zztools_tracez00();
	BGL_EXPORTED_DEF obj_t BGl_za2tracezd2portza2zd2zztools_tracez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztools_tracez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	static obj_t BGl_za2tracezd2passza2zd2zztools_tracez00 = BUNSPEC;
	extern obj_t BGl_za2bigloozd2nameza2zd2zzengine_paramz00;
	static obj_t BGl__startzd2tracezd2zztools_tracez00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zztools_tracez00();
	static obj_t BGl__tracezd2satisfyzf3z21zztools_tracez00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2levelza2z00zztools_tracez00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztools_tracez00();
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zztools_tracez00();
	BGL_EXPORTED_DECL obj_t BGl_tracezd2satisfyzf3z21zztools_tracez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT long bgl_current_seconds();
	BGL_IMPORT obj_t bgl_seconds_to_date(long);
	static bool_t BGl_za2tracezd2modeza2zd2zztools_tracez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_printzd2tracezd2zztools_tracez00(obj_t);
	static obj_t BGl__stopzd2tracezd2zztools_tracez00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_commandzd2linezd2zz__osz00();
	extern obj_t BGl_za2tracezd2nameza2zd2zzengine_paramz00;
	static obj_t BGl_zc3anonymousza31404ze3z83zztools_tracez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_startzd2tracezd2zztools_tracez00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zztools_tracez00();
	extern obj_t BGl_za2additionalzd2tracesza2zd2zzengine_paramz00;
	static obj_t BGl_methodzd2initzd2zztools_tracez00();
	static obj_t BGl__printzd2tracezd2zztools_tracez00(obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_startzd2tracezd2envz00zztools_tracez00,
		BgL_bgl__startza7d2traceza7d1426z00, BGl__startzd2tracezd2zztools_tracez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1415z00zztools_tracez00,
		BgL_bgl_za7c3anonymousza7a311427z00,
		BGl_zc3anonymousza31404ze3z83zztools_tracez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1416z00zztools_tracez00,
		BgL_bgl_string1416za700za7za7t1428za7, "start-trace", 11);
	      DEFINE_STRING(BGl_string1417z00zztools_tracez00,
		BgL_bgl_string1417za700za7za7t1429za7, "Can't open trace file", 21);
	      DEFINE_STRING(BGl_string1418z00zztools_tracez00,
		BgL_bgl_string1418za700za7za7t1430za7, ";; ", 3);
	      DEFINE_STRING(BGl_string1420z00zztools_tracez00,
		BgL_bgl_string1420za700za7za7t1431za7, "none ", 5);
	      DEFINE_STRING(BGl_string1419z00zztools_tracez00,
		BgL_bgl_string1419za700za7za7t1432za7, "tools_trace", 11);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_printzd2tracezd2envz00zztools_tracez00,
		BgL_bgl__printza7d2traceza7d1433z00, va_generic_entry,
		BGl__printzd2tracezd2zztools_tracez00, BUNSPEC, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2satisfyzf3zd2envzf3zztools_tracez00,
		BgL_bgl__traceza7d2satisfy1434za7,
		BGl__tracezd2satisfyzf3z21zztools_tracez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_stopzd2tracezd2envz00zztools_tracez00,
		BgL_bgl__stopza7d2traceza7d21435z00, BGl__stopzd2tracezd2zztools_tracez00,
		0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long
		BgL_checksumz00_112, char *BgL_fromz00_113)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztools_tracez00))
				{
					BGl_requirezd2initializa7ationz75zztools_tracez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztools_tracez00();
					BGl_cnstzd2initzd2zztools_tracez00();
					BGl_importedzd2moduleszd2initz00zztools_tracez00();
					BGl_toplevelzd2initzd2zztools_tracez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztools_tracez00()
	{
		AN_OBJECT;
		{	/* Tools/trace.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "tools_trace");
			BGl_modulezd2initializa7ationz75zz__pp_circlez00(((long) 0),
				"tools_trace");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"tools_trace");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"tools_trace");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tools_trace");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "tools_trace");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztools_tracez00()
	{
		AN_OBJECT;
		{	/* Tools/trace.scm 15 */
			{	/* Tools/trace.scm 15 */
				obj_t BgL_cportz00_104;

				BgL_cportz00_104 =
					bgl_open_input_string(BGl_string1420z00zztools_tracez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_105;

					BgL_iz00_105 = ((long) 0);
				BgL_loopz00_106:
					if ((BgL_iz00_105 == ((long) -1)))
						{	/* Tools/trace.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Tools/trace.scm 15 */
							{	/* Tools/trace.scm 15 */
								obj_t BgL_arg1425z00_108;

								{	/* Tools/trace.scm 15 */

									{	/* Tools/trace.scm 15 */
										obj_t BgL_locationz00_110;

										BgL_locationz00_110 = BBOOL(((bool_t) 0));
										{	/* Tools/trace.scm 15 */

											BgL_arg1425z00_108 =
												BGl_readz00zz__readerz00(BgL_cportz00_104,
												BgL_locationz00_110);
										}
									}
								}
								{	/* Tools/trace.scm 15 */
									int BgL_auxz00_133;

									BgL_auxz00_133 = (int) (BgL_iz00_105);
									CNST_TABLE_SET(BgL_auxz00_133, BgL_arg1425z00_108);
							}}
							{	/* Tools/trace.scm 15 */
								int BgL_auxz00_111;

								BgL_auxz00_111 = (int) ((BgL_iz00_105 - ((long) 1)));
								{
									long BgL_iz00_138;

									BgL_iz00_138 = (long) (BgL_auxz00_111);
									BgL_iz00_105 = BgL_iz00_138;
									goto BgL_loopz00_106;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztools_tracez00()
	{
		AN_OBJECT;
		{	/* Tools/trace.scm 15 */
			BGl_za2tracezd2portza2zd2zztools_tracez00 = BFALSE;
			BGl_za2tracezd2passza2zd2zztools_tracez00 = CNST_TABLE_REF(((long) 0));
			BGl_za2levelza2z00zztools_tracez00 = BINT(((long) 0));
			return (BGl_za2tracezd2modeza2zd2zztools_tracez00 =
				((bool_t) 0), BUNSPEC);
		}
	}



/* start-trace */
	BGL_EXPORTED_DEF obj_t BGl_startzd2tracezd2zztools_tracez00(obj_t
		BgL_levelz00_1, obj_t BgL_passz00_2)
	{
		AN_OBJECT;
		{	/* Tools/trace.scm 35 */
			if (BGl_za2tracezd2modeza2zd2zztools_tracez00)
				{	/* Tools/trace.scm 37 */
					obj_t BgL_tracezd2namezd2_46;

					BgL_tracezd2namezd2_46 = BGl_za2tracezd2nameza2zd2zzengine_paramz00;
					BGl_za2tracezd2passza2zd2zztools_tracez00 = BgL_passz00_2;
					{	/* Tools/trace.scm 39 */

						BGl_za2tracezd2portza2zd2zztools_tracez00 =
							BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
							(BgL_tracezd2namezd2_46, BTRUE);
					}
					if (OUTPUT_PORTP(BGl_za2tracezd2portza2zd2zztools_tracez00))
						{	/* Tools/trace.scm 40 */
							BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
								(BGl_za2tracezd2portza2zd2zztools_tracez00,
								BGl_proc1415z00zztools_tracez00);
							return (BGl_za2levelza2z00zztools_tracez00 =
								BgL_levelz00_1, BUNSPEC);
						}
					else
						{	/* Tools/trace.scm 40 */
							return
								BGl_internalzd2errorzd2zztools_errorz00
								(BGl_string1416z00zztools_tracez00,
								BGl_string1417z00zztools_tracez00, BgL_tracezd2namezd2_46);
						}
				}
			else
				{	/* Tools/trace.scm 36 */
					return BFALSE;
				}
		}
	}



/* _start-trace */
	obj_t BGl__startzd2tracezd2zztools_tracez00(obj_t BgL_envz00_94,
		obj_t BgL_levelz00_95, obj_t BgL_passz00_96)
	{
		AN_OBJECT;
		{	/* Tools/trace.scm 35 */
			return
				BGl_startzd2tracezd2zztools_tracez00(BgL_levelz00_95, BgL_passz00_96);
		}
	}



/* <anonymous:1404> */
	obj_t BGl_zc3anonymousza31404ze3z83zztools_tracez00(obj_t BgL_envz00_97)
	{
		AN_OBJECT;
		{	/* Tools/trace.scm 46 */
			{

				{	/* Tools/trace.scm 47 */
					obj_t BgL_port1388z00_52;

					{	/* Tools/trace.scm 47 */
						obj_t BgL_res1411z00_69;

						{	/* Tools/trace.scm 47 */
							obj_t BgL_auxz00_149;

							BgL_auxz00_149 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res1411z00_69 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_149);
						}
						BgL_port1388z00_52 = BgL_res1411z00_69;
					}
					bgl_display_string(BGl_string1418z00zztools_tracez00,
						BgL_port1388z00_52);
					bgl_display_obj(BGl_za2bigloozd2nameza2zd2zzengine_paramz00,
						BgL_port1388z00_52);
					bgl_display_char(((unsigned char) '\n'), BgL_port1388z00_52);
				}
				{	/* Tools/trace.scm 48 */
					obj_t BgL_port1389z00_53;

					{	/* Tools/trace.scm 48 */
						obj_t BgL_res1412z00_74;

						{	/* Tools/trace.scm 48 */
							obj_t BgL_auxz00_155;

							BgL_auxz00_155 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res1412z00_74 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_155);
						}
						BgL_port1389z00_53 = BgL_res1412z00_74;
					}
					bgl_display_string(BGl_string1418z00zztools_tracez00,
						BgL_port1389z00_53);
					bgl_display_obj(bgl_seconds_to_date(bgl_current_seconds()),
						BgL_port1389z00_53);
					bgl_display_char(((unsigned char) '\n'), BgL_port1389z00_53);
				}
				{	/* Tools/trace.scm 49 */
					obj_t BgL_port1390z00_55;

					{	/* Tools/trace.scm 49 */
						obj_t BgL_res1414z00_81;

						{	/* Tools/trace.scm 49 */
							obj_t BgL_auxz00_163;

							BgL_auxz00_163 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_res1414z00_81 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_163);
						}
						BgL_port1390z00_55 = BgL_res1414z00_81;
					}
					bgl_display_string(BGl_string1418z00zztools_tracez00,
						BgL_port1390z00_55);
					bgl_display_obj(BGl_commandzd2linezd2zz__osz00(), BgL_port1390z00_55);
					return bgl_display_char(((unsigned char) '\n'), BgL_port1390z00_55);
		}}}
	}



/* stop-trace */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2tracezd2zztools_tracez00()
	{
		AN_OBJECT;
		{	/* Tools/trace.scm 55 */
			if (BGl_za2tracezd2modeza2zd2zztools_tracez00)
				{	/* Tools/trace.scm 56 */
					if (OUTPUT_PORTP(BGl_za2tracezd2portza2zd2zztools_tracez00))
						{	/* Tools/trace.scm 57 */
							return
								bgl_close_output_port
								(BGl_za2tracezd2portza2zd2zztools_tracez00);
						}
					else
						{	/* Tools/trace.scm 57 */
							return BFALSE;
						}
				}
			else
				{	/* Tools/trace.scm 56 */
					return BFALSE;
				}
		}
	}



/* _stop-trace */
	obj_t BGl__stopzd2tracezd2zztools_tracez00(obj_t BgL_envz00_98)
	{
		AN_OBJECT;
		{	/* Tools/trace.scm 55 */
			return BGl_stopzd2tracezd2zztools_tracez00();
		}
	}



/* trace-satisfy? */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2satisfyzf3z21zztools_tracez00(obj_t
		BgL_passz00_3, obj_t BgL_levelz00_4)
	{
		AN_OBJECT;
		{	/* Tools/trace.scm 63 */
			if (BGl_za2tracezd2modeza2zd2zztools_tracez00)
				{	/* Tools/trace.scm 65 */
					obj_t BgL__andtest_1386z00_60;

					{	/* Tools/trace.scm 65 */
						bool_t BgL__ortest_1387z00_61;

						BgL__ortest_1387z00_61 =
							(BgL_passz00_3 == BGl_za2tracezd2passza2zd2zztools_tracez00);
						if (BgL__ortest_1387z00_61)
							{	/* Tools/trace.scm 65 */
								BgL__andtest_1386z00_60 = BBOOL(BgL__ortest_1387z00_61);
							}
						else
							{	/* Tools/trace.scm 65 */
								BgL__andtest_1386z00_60 =
									BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_passz00_3,
									BGl_za2additionalzd2tracesza2zd2zzengine_paramz00);
							}
					}
					if (CBOOL(BgL__andtest_1386z00_60))
						{	/* Tools/trace.scm 66 */
							long BgL_n1z00_87;

							long BgL_n2z00_88;

							BgL_n1z00_87 = (long) CINT(BgL_levelz00_4);
							BgL_n2z00_88 = (long) CINT(BGl_za2levelza2z00zztools_tracez00);
							return BBOOL((BgL_n1z00_87 <= BgL_n2z00_88));
						}
					else
						{	/* Tools/trace.scm 65 */
							return BFALSE;
						}
				}
			else
				{	/* Tools/trace.scm 64 */
					return BFALSE;
				}
		}
	}



/* _trace-satisfy? */
	obj_t BGl__tracezd2satisfyzf3z21zztools_tracez00(obj_t BgL_envz00_99,
		obj_t BgL_passz00_100, obj_t BgL_levelz00_101)
	{
		AN_OBJECT;
		{	/* Tools/trace.scm 63 */
			return
				BGl_tracezd2satisfyzf3z21zztools_tracez00(BgL_passz00_100,
				BgL_levelz00_101);
		}
	}



/* print-trace */
	BGL_EXPORTED_DEF obj_t BGl_printzd2tracezd2zztools_tracez00(obj_t
		BgL_expz00_5)
	{
		AN_OBJECT;
		{	/* Tools/trace.scm 71 */
			if (BGl_za2tracezd2modeza2zd2zztools_tracez00)
				{	/* Tools/trace.scm 72 */
					{
						obj_t BgL_l1391z00_62;

						BgL_l1391z00_62 = BgL_expz00_5;
					BgL_forzd2each1392zd2_63:
						if (PAIRP(BgL_l1391z00_62))
							{	/* Tools/trace.scm 74 */
								{	/* Tools/trace.scm 74 */
									obj_t BgL_ez00_65;

									BgL_ez00_65 = CAR(BgL_l1391z00_62);
									BGl_displayzd2circlezd2zz__pp_circlez00(BgL_ez00_65,
										BGl_za2tracezd2portza2zd2zztools_tracez00);
								}
								{
									obj_t BgL_l1391z00_192;

									BgL_l1391z00_192 = CDR(BgL_l1391z00_62);
									BgL_l1391z00_62 = BgL_l1391z00_192;
									goto BgL_forzd2each1392zd2_63;
								}
							}
						else
							{	/* Tools/trace.scm 74 */
								((bool_t) 1);
							}
					}
					return FLUSH_OUTPUT_PORT(BGl_za2tracezd2portza2zd2zztools_tracez00);
				}
			else
				{	/* Tools/trace.scm 72 */
					return BFALSE;
				}
		}
	}



/* _print-trace */
	obj_t BGl__printzd2tracezd2zztools_tracez00(obj_t BgL_envz00_102,
		obj_t BgL_expz00_103)
	{
		AN_OBJECT;
		{	/* Tools/trace.scm 71 */
			return BGl_printzd2tracezd2zztools_tracez00(BgL_expz00_103);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztools_tracez00()
	{
		AN_OBJECT;
		{	/* Tools/trace.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztools_tracez00()
	{
		AN_OBJECT;
		{	/* Tools/trace.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 210077936),
				BSTRING_TO_STRING(BGl_string1419z00zztools_tracez00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1419z00zztools_tracez00));
		}
	}

#ifdef __cplusplus
}
#endif
