/*===========================================================================*/
/*   (Tvector/tvector.scm)                                                   */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tvector/tvector.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;


	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_makezd2coercionzd2clausez00zztvector_tvectorz00(obj_t);
	extern BgL_typez00_bglt BGl_makezd2typezd2zztype_typez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_tvecz00_bglt
		BGl_wideningzd2tveczd2zztvector_tvectorz00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl__emitzd2tvectorzd2typesz00zztvector_tvectorz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztvector_tvectorz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
	BGL_IMPORT obj_t bigloo_mangle(obj_t);
	static obj_t BGl__fillzd2tvecz12zc0zztvector_tvectorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__addzd2tvectorzd2typez12z12zztvector_tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_tveczf3zf3zztvector_tvectorz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_emitzd2tvectorzd2typesz00zztvector_tvectorz00(obj_t);
	static obj_t BGl__declarezd2tvectorzd2typez12z12zztvector_tvectorz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_tvecz00_bglt BGl_tveczd2nilzd2zztvector_tvectorz00();
	static obj_t BGl__makezd2tveczd2zztvector_tvectorz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_cnstzd2initzd2zztvector_tvectorz00();
	static obj_t BGl__z52allocatezd2tvecz80zztvector_tvectorz00(obj_t);
	extern BgL_typez00_bglt BGl_typezd2nilzd2zztype_typez00();
	static obj_t BGl__tveczf3zf3zztvector_tvectorz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztvector_tvectorz00();
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_EXPORTED_DECL BgL_tvecz00_bglt
		BGl_fillzd2tvecz12zc0zztvector_tvectorz00(BgL_tvecz00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t bgl_display_string(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2ze3structzd2tvec1583ze3zztvector_tvectorz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl__tveczd2nilzd2zztvector_tvectorz00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_z52allocatezd2tvecz80zztvector_tvectorz00();
	static obj_t BGl_toplevelzd2initzd2zztvector_tvectorz00();
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT BgL_objectz00_bglt
		BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL BgL_tvecz00_bglt
		BGl_declarezd2tvectorzd2typez12z12zztvector_tvectorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_structzb2objectzd2ze3objec1585z83zztvector_tvectorz00(obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_declarezd2subtypez12zc0zztype_envz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_tvecz00_bglt
		BGl_makezd2tveczd2zztvector_tvectorz00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		BgL_typez00_bglt);
	static obj_t BGl__wideningzd2tvec1683zd2zztvector_tvectorz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zztvector_tvectorz00();
	BGL_EXPORTED_DEF obj_t BGl_tvecz00zztvector_tvectorz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2tvectorzd2typez12z12zztvector_tvectorz00(BgL_tvecz00_bglt);
	static obj_t BGl_libraryzd2moduleszd2initz00zztvector_tvectorz00();
	static obj_t BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zztvector_tvectorz00();
	static obj_t __cnst[7];


	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_wideningzd2tveczd2envz00zztvector_tvectorz00,
		BgL_bgl__wideningza7d2tvec1713za7,
		BGl__wideningzd2tvec1683zd2zztvector_tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2tveczd2envz00zztvector_tvectorz00,
		BgL_bgl__makeza7d2tvecza7d2za71714za7,
		BGl__makezd2tveczd2zztvector_tvectorz00, 0L, BUNSPEC, 15);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tveczd2nilzd2envz00zztvector_tvectorz00,
		BgL_bgl__tvecza7d2nilza7d2za7za71715z00,
		BGl__tveczd2nilzd2zztvector_tvectorz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1703z00zztvector_tvectorz00,
		BgL_bgl_objectza7d2za7e3stru1716z00,
		BGl_objectzd2ze3structzd2tvec1583ze3zztvector_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1704z00zztvector_tvectorz00,
		BgL_bgl_structza7b2objectza71717z00,
		BGl_structzb2objectzd2ze3objec1585z83zztvector_tvectorz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_z52allocatezd2tveczd2envz52zztvector_tvectorz00,
		BgL_bgl__za752allocateza7d2t1718z00,
		BGl__z52allocatezd2tvecz80zztvector_tvectorz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1700z00zztvector_tvectorz00,
		BgL_bgl_string1700za700za7za7t1719za7, "   ", 3);
	      DEFINE_STRING(BGl_string1701z00zztvector_tvectorz00,
		BgL_bgl_string1701za700za7za7t1720za7, " el0;", 5);
	      DEFINE_STRING(BGl_string1702z00zztvector_tvectorz00,
		BgL_bgl_string1702za700za7za7t1721za7, "};\n", 3);
	      DEFINE_STRING(BGl_string1692z00zztvector_tvectorz00,
		BgL_bgl_string1692za700za7za7t1722za7, "declare-tvector-type!", 21);
	      DEFINE_STRING(BGl_string1693z00zztvector_tvectorz00,
		BgL_bgl_string1693za700za7za7t1723za7, "Unable to find `obj' type", 25);
	      DEFINE_STRING(BGl_string1694z00zztvector_tvectorz00,
		BgL_bgl_string1694za700za7za7t1724za7, "/* Tvector type definitions */",
		30);
	      DEFINE_STRING(BGl_string1705z00zztvector_tvectorz00,
		BgL_bgl_string1705za700za7za7t1725za7, "tvector_tvector", 15);
	      DEFINE_STRING(BGl_string1695z00zztvector_tvectorz00,
		BgL_bgl_string1695za700za7za7t1726za7, "struct bgl_tvector_of_", 22);
	      DEFINE_STRING(BGl_string1706z00zztvector_tvectorz00,
		BgL_bgl_string1706za700za7za7t1727za7,
		"_ tvec tvector coerce type bigloo obj ", 38);
	      DEFINE_STRING(BGl_string1696z00zztvector_tvectorz00,
		BgL_bgl_string1696za700za7za7t1728za7, " {", 2);
	      DEFINE_STRING(BGl_string1697z00zztvector_tvectorz00,
		BgL_bgl_string1697za700za7za7t1729za7, "   header_t header;", 19);
	      DEFINE_STRING(BGl_string1698z00zztvector_tvectorz00,
		BgL_bgl_string1698za700za7za7t1730za7, "   long     length;", 19);
	      DEFINE_STRING(BGl_string1699z00zztvector_tvectorz00,
		BgL_bgl_string1699za700za7za7t1731za7, "   obj_t    descr;", 18);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2tvectorzd2typez12zd2envzc0zztvector_tvectorz00,
		BgL_bgl__declareza7d2tvect1732za7,
		BGl__declarezd2tvectorzd2typez12z12zztvector_tvectorz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2tvectorzd2typez12zd2envzc0zztvector_tvectorz00,
		BgL_bgl__addza7d2tvectorza7d1733z00,
		BGl__addzd2tvectorzd2typez12z12zztvector_tvectorz00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_emitzd2tvectorzd2typeszd2envzd2zztvector_tvectorz00,
		BgL_bgl__emitza7d2tvectorza71734z00,
		BGl__emitzd2tvectorzd2typesz00zztvector_tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_fillzd2tvecz12zd2envz12zztvector_tvectorz00,
		BgL_bgl__fillza7d2tvecza712za71735za7,
		BGl__fillzd2tvecz12zc0zztvector_tvectorz00, 0L, BUNSPEC, 2);
	BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_tveczf3zd2envz21zztvector_tvectorz00,
		BgL_bgl__tvecza7f3za7f3za7za7tve1736z00,
		BGl__tveczf3zf3zztvector_tvectorz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long
		BgL_checksumz00_485, char *BgL_fromz00_486)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztvector_tvectorz00))
				{
					BGl_requirezd2initializa7ationz75zztvector_tvectorz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztvector_tvectorz00();
					BGl_cnstzd2initzd2zztvector_tvectorz00();
					BGl_importedzd2moduleszd2initz00zztvector_tvectorz00();
					BGl_objectzd2initzd2zztvector_tvectorz00();
					BGl_methodzd2initzd2zztvector_tvectorz00();
					BGl_toplevelzd2initzd2zztvector_tvectorz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"tvector_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"tvector_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tvector_tvector");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"tvector_tvector");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"tvector_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"tvector_tvector");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 15 */
			{	/* Tvector/tvector.scm 15 */
				obj_t BgL_cportz00_466;

				BgL_cportz00_466 =
					bgl_open_input_string(BGl_string1706z00zztvector_tvectorz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_467;

					BgL_iz00_467 = ((long) 6);
				BgL_loopz00_468:
					if ((BgL_iz00_467 == ((long) -1)))
						{	/* Tvector/tvector.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Tvector/tvector.scm 15 */
							{	/* Tvector/tvector.scm 15 */
								obj_t BgL_arg1710z00_470;

								{	/* Tvector/tvector.scm 15 */

									{	/* Tvector/tvector.scm 15 */
										obj_t BgL_locationz00_472;

										BgL_locationz00_472 = BBOOL(((bool_t) 0));
										{	/* Tvector/tvector.scm 15 */

											BgL_arg1710z00_470 =
												BGl_readz00zz__readerz00(BgL_cportz00_466,
												BgL_locationz00_472);
										}
									}
								}
								{	/* Tvector/tvector.scm 15 */
									int BgL_auxz00_508;

									BgL_auxz00_508 = (int) (BgL_iz00_467);
									CNST_TABLE_SET(BgL_auxz00_508, BgL_arg1710z00_470);
							}}
							{	/* Tvector/tvector.scm 15 */
								int BgL_auxz00_473;

								BgL_auxz00_473 = (int) ((BgL_iz00_467 - ((long) 1)));
								{
									long BgL_iz00_513;

									BgL_iz00_513 = (long) (BgL_auxz00_473);
									BgL_iz00_467 = BgL_iz00_513;
									goto BgL_loopz00_468;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 15 */
			return (BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00 =
				BNIL, BUNSPEC);
		}
	}



/* add-tvector-type! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2tvectorzd2typez12z12zztvector_tvectorz00(BgL_tvecz00_bglt
		BgL_typez00_1)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 39 */
			return (BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00 =
				MAKE_PAIR(
					(obj_t) (BgL_typez00_1),
					BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00), BUNSPEC);
		}
	}



/* _add-tvector-type! */
	obj_t BGl__addzd2tvectorzd2typez12z12zztvector_tvectorz00(obj_t
		BgL_envz00_419, obj_t BgL_typez00_420)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 39 */
			return
				BGl_addzd2tvectorzd2typez12z12zztvector_tvectorz00(
				(BgL_tvecz00_bglt) (BgL_typez00_420));
		}
	}



/* declare-tvector-type! */
	BGL_EXPORTED_DEF BgL_tvecz00_bglt
		BGl_declarezd2tvectorzd2typez12z12zztvector_tvectorz00(obj_t
		BgL_tvectzd2idzd2_2, obj_t BgL_itemzd2idzd2_3, obj_t BgL_srcz00_4)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 45 */
			{	/* Tvector/tvector.scm 46 */
				BgL_typez00_bglt BgL_objz00_136;

				BgL_objz00_136 =
					BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 0)));
				{	/* Tvector/tvector.scm 47 */
					bool_t BgL_testz00_521;

					{	/* Tvector/tvector.scm 47 */
						obj_t BgL_obj1474z00_253;

						BgL_obj1474z00_253 = (obj_t) (BgL_objz00_136);
						BgL_testz00_521 =
							BGl_iszd2azf3z21zz__objectz00(BgL_obj1474z00_253,
							BGl_typez00zztype_typez00);
					}
					if (BgL_testz00_521)
						{	/* Tvector/tvector.scm 49 */
							BgL_typez00_bglt BgL_typez00_138;

							BgL_typez00_bglt BgL_itemzd2typezd2_139;

							{	/* Tvector/tvector.scm 50 */
								obj_t BgL_arg1592z00_144;

								obj_t BgL_arg1593z00_145;

								obj_t BgL_arg1595z00_146;

								BgL_arg1592z00_144 =
									(((BgL_typez00_bglt) CREF(BgL_objz00_136))->BgL_namez00);
								{	/* Tvector/tvector.scm 51 */
									obj_t BgL_list1596z00_147;

									BgL_list1596z00_147 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
									BgL_arg1593z00_145 = BgL_list1596z00_147;
								}
								BgL_arg1595z00_146 = CNST_TABLE_REF(((long) 1));
								BgL_typez00_138 =
									BGl_declarezd2subtypez12zc0zztype_envz00(BgL_tvectzd2idzd2_2,
									BgL_arg1592z00_144, BgL_arg1593z00_145, BgL_arg1595z00_146);
							}
							BgL_itemzd2typezd2_139 =
								BGl_usezd2typez12zc0zztype_envz00(BgL_itemzd2idzd2_3,
								BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_4));
							{	/* Tvector/tvector.scm 55 */
								BgL_typez00_bglt BgL_obj1569z00_140;

								BgL_obj1569z00_140 = ((BgL_typez00_bglt) BgL_typez00_138);
								{	/* Tvector/tvector.scm 55 */
									BgL_tvecz00_bglt BgL_arg1589z00_141;

									{	/* Tvector/tvector.scm 55 */
										BgL_tvecz00_bglt BgL_res1669z00_263;

										{	/* Tvector/tvector.scm 55 */
											BgL_tvecz00_bglt BgL_new1496z00_258;

											BgL_new1496z00_258 =
												((BgL_tvecz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_tvecz00_bgl))));
											{	/* Tvector/tvector.scm 55 */
												BgL_tvecz00_bglt BgL_res1668z00_262;

												{	/* Tvector/tvector.scm 55 */
													BgL_tvecz00_bglt BgL_new1516z00_259;

													BgL_new1516z00_259 = BgL_new1496z00_258;
													{	/* Tvector/tvector.scm 55 */
														BgL_typez00_bglt BgL_itemzd2type1515zd2_261;

														BgL_itemzd2type1515zd2_261 = BgL_itemzd2typezd2_139;
														((((BgL_tvecz00_bglt) CREF(BgL_new1516z00_259))->
																BgL_itemzd2typezd2) =
															((BgL_typez00_bglt) BgL_itemzd2type1515zd2_261),
															BUNSPEC);
														BgL_res1668z00_262 = BgL_new1516z00_259;
												}} BgL_res1668z00_262;
											}
											BgL_res1669z00_263 = BgL_new1496z00_258;
										}
										BgL_arg1589z00_141 = BgL_res1669z00_263;
									}
									{	/* Tvector/tvector.scm 55 */
										obj_t BgL_auxz00_536;

										BgL_objectz00_bglt BgL_auxz00_534;

										BgL_auxz00_536 = (obj_t) (BgL_arg1589z00_141);
										BgL_auxz00_534 = (BgL_objectz00_bglt) (BgL_obj1569z00_140);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_534, BgL_auxz00_536);
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_obj1569z00_140),
									BGl_classzd2numzd2zz__objectz00
									(BGl_tvecz00zztvector_tvectorz00));
								BgL_obj1569z00_140;
							}
							BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
								(BGl_makezd2coercionzd2clausez00zztvector_tvectorz00
								(BgL_tvectzd2idzd2_2));
							{	/* Tvector/tvector.scm 59 */
								BgL_tvecz00_bglt BgL_typez00_266;

								BgL_typez00_266 = (BgL_tvecz00_bglt) (BgL_typez00_138);
								BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00 =
									MAKE_PAIR(
									(obj_t) (BgL_typez00_266),
									BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00);
							}
							{
								obj_t BgL_auxz00_547;

								BgL_auxz00_547 = (obj_t) (BgL_typez00_138);
								((((BgL_typez00_bglt) CREF(BgL_itemzd2typezd2_139))->
										BgL_tvectorz00) = ((obj_t) BgL_auxz00_547), BUNSPEC);
							}
							return (BgL_tvecz00_bglt) (BgL_typez00_138);
						}
					else
						{	/* Tvector/tvector.scm 47 */
							return
								(BgL_tvecz00_bglt) (BGl_userzd2errorzd2zztools_errorz00
								(BGl_string1692z00zztvector_tvectorz00,
									BGl_string1693z00zztvector_tvectorz00,
									BGl_expzd2envzd2zz__r4_numbers_6_5z00, BNIL));
						}
				}
			}
		}
	}



/* _declare-tvector-type! */
	obj_t BGl__declarezd2tvectorzd2typez12z12zztvector_tvectorz00(obj_t
		BgL_envz00_421, obj_t BgL_tvectzd2idzd2_422, obj_t BgL_itemzd2idzd2_423,
		obj_t BgL_srcz00_424)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 45 */
			return
				(obj_t) (BGl_declarezd2tvectorzd2typez12z12zztvector_tvectorz00
				(BgL_tvectzd2idzd2_422, BgL_itemzd2idzd2_423, BgL_srcz00_424));
		}
	}



/* emit-tvector-types */
	BGL_EXPORTED_DEF obj_t BGl_emitzd2tvectorzd2typesz00zztvector_tvectorz00(obj_t
		BgL_oportz00_5)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 68 */
			if (PAIRP(BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00))
				{	/* Tvector/tvector.scm 69 */
					bgl_display_char(((unsigned char) '\n'), BgL_oportz00_5);
					bgl_display_string(BGl_string1694z00zztvector_tvectorz00,
						BgL_oportz00_5);
					bgl_display_char(((unsigned char) '\n'), BgL_oportz00_5);
				}
			else
				{	/* Tvector/tvector.scm 69 */
					BFALSE;
				}
			{	/* Tvector/tvector.scm 71 */
				obj_t BgL_g1580z00_152;

				BgL_g1580z00_152 =
					bgl_reverse_bang
					(BGl_za2tvectorzd2typezd2listza2z00zztvector_tvectorz00);
				{
					obj_t BgL_l1577z00_153;

					BgL_l1577z00_153 = BgL_g1580z00_152;
				BgL_forzd2each1579zd2_154:
					if (PAIRP(BgL_l1577z00_153))
						{	/* Tvector/tvector.scm 71 */
							{	/* Tvector/tvector.scm 72 */
								obj_t BgL_tvectorz00_156;

								BgL_tvectorz00_156 = CAR(BgL_l1577z00_153);
								{	/* Tvector/tvector.scm 72 */
									obj_t BgL_itemzd2typezd2namez00_157;

									{	/* Tvector/tvector.scm 72 */
										BgL_typez00_bglt BgL_obj1386z00_278;

										{	/* Tvector/tvector.scm 72 */
											BgL_tvecz00_bglt BgL_obj1528z00_277;

											BgL_obj1528z00_277 =
												(BgL_tvecz00_bglt) (BgL_tvectorz00_156);
											{
												obj_t BgL_auxz00_565;

												{	/* Tvector/tvector.scm 72 */
													BgL_objectz00_bglt BgL_auxz00_566;

													BgL_auxz00_566 =
														(BgL_objectz00_bglt) (BgL_obj1528z00_277);
													BgL_auxz00_565 = BGL_OBJECT_WIDENING(BgL_auxz00_566);
												}
												BgL_obj1386z00_278 =
													(((BgL_tvecz00_bglt) CREF(BgL_auxz00_565))->
													BgL_itemzd2typezd2);
											}
										}
										BgL_itemzd2typezd2namez00_157 =
											(((BgL_typez00_bglt) CREF(BgL_obj1386z00_278))->
											BgL_namez00);
									}
									bgl_display_string(BGl_string1695z00zztvector_tvectorz00,
										BgL_oportz00_5);
									bgl_display_obj(bigloo_mangle(BgL_itemzd2typezd2namez00_157),
										BgL_oportz00_5);
									bgl_display_string(BGl_string1696z00zztvector_tvectorz00,
										BgL_oportz00_5);
									bgl_display_char(((unsigned char) '\n'), BgL_oportz00_5);
									bgl_display_string(BGl_string1697z00zztvector_tvectorz00,
										BgL_oportz00_5);
									bgl_display_char(((unsigned char) '\n'), BgL_oportz00_5);
									bgl_display_string(BGl_string1698z00zztvector_tvectorz00,
										BgL_oportz00_5);
									bgl_display_char(((unsigned char) '\n'), BgL_oportz00_5);
									bgl_display_string(BGl_string1699z00zztvector_tvectorz00,
										BgL_oportz00_5);
									bgl_display_char(((unsigned char) '\n'), BgL_oportz00_5);
									bgl_display_string(BGl_string1700z00zztvector_tvectorz00,
										BgL_oportz00_5);
									bgl_display_obj(BgL_itemzd2typezd2namez00_157,
										BgL_oportz00_5);
									bgl_display_string(BGl_string1701z00zztvector_tvectorz00,
										BgL_oportz00_5);
									bgl_display_char(((unsigned char) '\n'), BgL_oportz00_5);
									bgl_display_string(BGl_string1702z00zztvector_tvectorz00,
										BgL_oportz00_5);
									bgl_display_char(((unsigned char) '\n'), BgL_oportz00_5);
							}}
							{
								obj_t BgL_l1577z00_588;

								BgL_l1577z00_588 = CDR(BgL_l1577z00_153);
								BgL_l1577z00_153 = BgL_l1577z00_588;
								goto BgL_forzd2each1579zd2_154;
							}
						}
					else
						{	/* Tvector/tvector.scm 71 */
							((bool_t) 1);
						}
				}
			}
			return bgl_display_char(((unsigned char) '\n'), BgL_oportz00_5);
		}
	}



/* _emit-tvector-types */
	obj_t BGl__emitzd2tvectorzd2typesz00zztvector_tvectorz00(obj_t BgL_envz00_427,
		obj_t BgL_oportz00_428)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 68 */
			return
				BGl_emitzd2tvectorzd2typesz00zztvector_tvectorz00(BgL_oportz00_428);
		}
	}



/* make-coercion-clause */
	obj_t BGl_makezd2coercionzd2clausez00zztvector_tvectorz00(obj_t
		BgL_tvectzd2idzd2_6)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 86 */
			{	/* Tvector/tvector.scm 87 */
				obj_t BgL_arg1607z00_167;

				obj_t BgL_arg1609z00_168;

				BgL_arg1607z00_167 = CNST_TABLE_REF(((long) 2));
				{	/* Tvector/tvector.scm 87 */
					obj_t BgL_arg1610z00_169;

					obj_t BgL_arg1611z00_170;

					{	/* Tvector/tvector.scm 87 */
						obj_t BgL_arg1618z00_174;

						obj_t BgL_arg1619z00_175;

						BgL_arg1618z00_174 = CNST_TABLE_REF(((long) 3));
						{	/* Tvector/tvector.scm 87 */
							obj_t BgL_list1620z00_176;

							{	/* Tvector/tvector.scm 87 */
								obj_t BgL_arg1622z00_177;

								obj_t BgL_arg1623z00_178;

								BgL_arg1622z00_177 = CNST_TABLE_REF(((long) 4));
								{	/* Tvector/tvector.scm 87 */
									obj_t BgL_arg1625z00_180;

									{	/* Tvector/tvector.scm 87 */
										obj_t BgL_arg1627z00_182;

										BgL_arg1627z00_182 = MAKE_PAIR(BNIL, BNIL);
										BgL_arg1625z00_180 = MAKE_PAIR(BNIL, BgL_arg1627z00_182);
									}
									BgL_arg1623z00_178 = MAKE_PAIR(BNIL, BgL_arg1625z00_180);
								}
								BgL_list1620z00_176 =
									MAKE_PAIR(BgL_arg1622z00_177, BgL_arg1623z00_178);
							}
							BgL_arg1619z00_175 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_tvectzd2idzd2_6,
								BgL_list1620z00_176);
						}
						BgL_arg1610z00_169 =
							MAKE_PAIR(BgL_arg1618z00_174, BgL_arg1619z00_175);
					}
					{	/* Tvector/tvector.scm 88 */
						obj_t BgL_arg1628z00_183;

						obj_t BgL_arg1629z00_184;

						BgL_arg1628z00_183 = CNST_TABLE_REF(((long) 3));
						{	/* Tvector/tvector.scm 88 */
							obj_t BgL_list1630z00_185;

							{	/* Tvector/tvector.scm 88 */
								obj_t BgL_arg1631z00_186;

								{	/* Tvector/tvector.scm 88 */
									obj_t BgL_arg1633z00_188;

									{	/* Tvector/tvector.scm 88 */
										obj_t BgL_arg1636z00_190;

										BgL_arg1636z00_190 = MAKE_PAIR(BNIL, BNIL);
										BgL_arg1633z00_188 = MAKE_PAIR(BNIL, BgL_arg1636z00_190);
									}
									BgL_arg1631z00_186 = MAKE_PAIR(BNIL, BgL_arg1633z00_188);
								}
								BgL_list1630z00_185 =
									MAKE_PAIR(BgL_tvectzd2idzd2_6, BgL_arg1631z00_186);
							}
							BgL_arg1629z00_184 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
										(long) 4)), BgL_list1630z00_185);
						}
						BgL_arg1611z00_170 =
							MAKE_PAIR(BgL_arg1628z00_183, BgL_arg1629z00_184);
					}
					{	/* Tvector/tvector.scm 87 */
						obj_t BgL_list1616z00_172;

						{	/* Tvector/tvector.scm 87 */
							obj_t BgL_arg1617z00_173;

							BgL_arg1617z00_173 = MAKE_PAIR(BNIL, BNIL);
							BgL_list1616z00_172 =
								MAKE_PAIR(BgL_arg1611z00_170, BgL_arg1617z00_173);
						}
						BgL_arg1609z00_168 =
							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BgL_arg1610z00_169,
							BgL_list1616z00_172);
				}}
				return MAKE_PAIR(BgL_arg1607z00_167, BgL_arg1609z00_168);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 15 */
			{	/* Tvector/tvector.scm 23 */
				obj_t BgL_arg1637z00_191;

				obj_t BgL_arg1638z00_192;

				obj_t BgL_arg1641z00_195;

				BgL_arg1637z00_191 = CNST_TABLE_REF(((long) 5));
				BgL_arg1638z00_192 = BGl_typez00zztype_typez00;
				{	/* Tvector/tvector.scm 23 */
					obj_t BgL_v1581z00_196;

					BgL_v1581z00_196 = create_vector((int) (((long) 0)));
					BgL_arg1641z00_195 = BgL_v1581z00_196;
				}
				BGl_tvecz00zztvector_tvectorz00 =
					BGl_registerzd2classz12zc0zz__objectz00(BgL_arg1637z00_191,
					BgL_arg1638z00_192, ((bool_t) 0), BFALSE,
					BGl_z52allocatezd2tveczd2envz52zztvector_tvectorz00,
					BGl_tveczd2nilzd2envz00zztvector_tvectorz00,
					BGl_tveczf3zd2envz21zztvector_tvectorz00, ((long) 524731270), BFALSE,
					BFALSE, BgL_arg1641z00_195);
			}
			return (BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00 =
				BUNSPEC, BUNSPEC);
		}
	}



/* tvec? */
	BGL_EXPORTED_DEF bool_t BGl_tveczf3zf3zztvector_tvectorz00(obj_t
		BgL_obj1527z00_7)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			return
				BGl_iszd2azf3z21zz__objectz00(BgL_obj1527z00_7,
				BGl_tvecz00zztvector_tvectorz00);
		}
	}



/* _tvec? */
	obj_t BGl__tveczf3zf3zztvector_tvectorz00(obj_t BgL_envz00_431,
		obj_t BgL_obj1527z00_432)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			return
				BBOOL(BGl_iszd2azf3z21zz__objectz00(BgL_obj1527z00_432,
					BGl_tvecz00zztvector_tvectorz00));
		}
	}



/* widening-tvec */
	BGL_EXPORTED_DEF BgL_tvecz00_bglt
		BGl_wideningzd2tveczd2zztvector_tvectorz00(BgL_typez00_bglt
		BgL_itemzd2type1495zd2_11)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_tvecz00_bglt BgL_new1496z00_303;

				BgL_new1496z00_303 =
					((BgL_tvecz00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_tvecz00_bgl))));
				{	/* Tvector/tvector.scm 23 */
					BgL_tvecz00_bglt BgL_res1670z00_307;

					{	/* Tvector/tvector.scm 23 */
						BgL_tvecz00_bglt BgL_new1516z00_304;

						BgL_new1516z00_304 = BgL_new1496z00_303;
						{	/* Tvector/tvector.scm 23 */
							BgL_typez00_bglt BgL_itemzd2type1515zd2_306;

							BgL_itemzd2type1515zd2_306 = BgL_itemzd2type1495zd2_11;
							((((BgL_tvecz00_bglt) CREF(BgL_new1516z00_304))->
									BgL_itemzd2typezd2) =
								((BgL_typez00_bglt) BgL_itemzd2type1515zd2_306), BUNSPEC);
							BgL_res1670z00_307 = BgL_new1516z00_304;
					}} BgL_res1670z00_307;
				}
				return BgL_new1496z00_303;
			}
		}
	}



/* _widening-tvec1683 */
	obj_t BGl__wideningzd2tvec1683zd2zztvector_tvectorz00(obj_t BgL_envz00_433,
		obj_t BgL_itemzd2type1495zd2_434)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			return
				(obj_t) (BGl_wideningzd2tveczd2zztvector_tvectorz00(
					(BgL_typez00_bglt) (BgL_itemzd2type1495zd2_434)));
		}
	}



/* make-tvec */
	BGL_EXPORTED_DEF BgL_tvecz00_bglt BGl_makezd2tveczd2zztvector_tvectorz00(obj_t
		BgL_id1499z00_12, obj_t BgL_name1500z00_13, obj_t BgL_siza7e1501za7_14,
		obj_t BgL_class1502z00_15, obj_t BgL_coercezd2to1503zd2_16,
		obj_t BgL_parents1504z00_17, bool_t BgL_initzf31505zf3_18,
		bool_t BgL_magiczf31506zf3_19, obj_t BgL_z421507z42_20,
		obj_t BgL_alias1508z00_21, obj_t BgL_pointedzd2tozd2by1509z00_22,
		obj_t BgL_tvector1510z00_23, obj_t BgL_location1511z00_24,
		obj_t BgL_importzd2location1512zd2_25,
		BgL_typez00_bglt BgL_itemzd2type1498zd2_26)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_typez00_bglt BgL_aux1513z00_308;

				BgL_aux1513z00_308 =
					BGl_makezd2typezd2zztype_typez00(BgL_id1499z00_12, BgL_name1500z00_13,
					BgL_siza7e1501za7_14, BgL_class1502z00_15, BgL_coercezd2to1503zd2_16,
					BgL_parents1504z00_17, BgL_initzf31505zf3_18, BgL_magiczf31506zf3_19,
					BgL_z421507z42_20, BgL_alias1508z00_21,
					BgL_pointedzd2tozd2by1509z00_22, BgL_tvector1510z00_23,
					BgL_location1511z00_24, BgL_importzd2location1512zd2_25);
				BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_aux1513z00_308),
					BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00));
				{	/* Tvector/tvector.scm 23 */
					BgL_tvecz00_bglt BgL_arg1643z00_310;

					{	/* Tvector/tvector.scm 23 */
						BgL_tvecz00_bglt BgL_res1672z00_320;

						{	/* Tvector/tvector.scm 23 */
							BgL_tvecz00_bglt BgL_new1496z00_315;

							BgL_new1496z00_315 =
								((BgL_tvecz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_tvecz00_bgl))));
							{	/* Tvector/tvector.scm 23 */
								BgL_tvecz00_bglt BgL_res1671z00_319;

								{	/* Tvector/tvector.scm 23 */
									BgL_tvecz00_bglt BgL_new1516z00_316;

									BgL_new1516z00_316 = BgL_new1496z00_315;
									{	/* Tvector/tvector.scm 23 */
										BgL_typez00_bglt BgL_itemzd2type1515zd2_318;

										BgL_itemzd2type1515zd2_318 = BgL_itemzd2type1498zd2_26;
										((((BgL_tvecz00_bglt) CREF(BgL_new1516z00_316))->
												BgL_itemzd2typezd2) =
											((BgL_typez00_bglt) BgL_itemzd2type1515zd2_318), BUNSPEC);
										BgL_res1671z00_319 = BgL_new1516z00_316;
								}} BgL_res1671z00_319;
							}
							BgL_res1672z00_320 = BgL_new1496z00_315;
						}
						BgL_arg1643z00_310 = BgL_res1672z00_320;
					}
					{	/* Tvector/tvector.scm 23 */
						obj_t BgL_auxz00_633;

						BgL_objectz00_bglt BgL_auxz00_631;

						BgL_auxz00_633 = (obj_t) (BgL_arg1643z00_310);
						BgL_auxz00_631 = (BgL_objectz00_bglt) (BgL_aux1513z00_308);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_631, BgL_auxz00_633);
				}}
				return ((BgL_tvecz00_bglt) (BgL_tvecz00_bglt) (BgL_aux1513z00_308));
			}
		}
	}



/* _make-tvec */
	obj_t BGl__makezd2tveczd2zztvector_tvectorz00(obj_t BgL_envz00_435,
		obj_t BgL_id1499z00_436, obj_t BgL_name1500z00_437,
		obj_t BgL_siza7e1501za7_438, obj_t BgL_class1502z00_439,
		obj_t BgL_coercezd2to1503zd2_440, obj_t BgL_parents1504z00_441,
		obj_t BgL_initzf31505zf3_442, obj_t BgL_magiczf31506zf3_443,
		obj_t BgL_z421507z42_444, obj_t BgL_alias1508z00_445,
		obj_t BgL_pointedzd2tozd2by1509z00_446, obj_t BgL_tvector1510z00_447,
		obj_t BgL_location1511z00_448, obj_t BgL_importzd2location1512zd2_449,
		obj_t BgL_itemzd2type1498zd2_450)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			return
				(obj_t) (BGl_makezd2tveczd2zztvector_tvectorz00(BgL_id1499z00_436,
					BgL_name1500z00_437, BgL_siza7e1501za7_438, BgL_class1502z00_439,
					BgL_coercezd2to1503zd2_440, BgL_parents1504z00_441,
					CBOOL(BgL_initzf31505zf3_442), CBOOL(BgL_magiczf31506zf3_443),
					BgL_z421507z42_444, BgL_alias1508z00_445,
					BgL_pointedzd2tozd2by1509z00_446, BgL_tvector1510z00_447,
					BgL_location1511z00_448, BgL_importzd2location1512zd2_449,
					(BgL_typez00_bglt) (BgL_itemzd2type1498zd2_450)));
		}
	}



/* fill-tvec! */
	BGL_EXPORTED_DEF BgL_tvecz00_bglt
		BGl_fillzd2tvecz12zc0zztvector_tvectorz00(BgL_tvecz00_bglt
		BgL_new1516z00_27, BgL_typez00_bglt BgL_itemzd2type1515zd2_28)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_typez00_bglt BgL_itemzd2type1515zd2_475;

				BgL_itemzd2type1515zd2_475 = BgL_itemzd2type1515zd2_28;
				((((BgL_tvecz00_bglt) CREF(BgL_new1516z00_27))->BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) BgL_itemzd2type1515zd2_475), BUNSPEC);
				return BgL_new1516z00_27;
			}
		}
	}



/* _fill-tvec! */
	obj_t BGl__fillzd2tvecz12zc0zztvector_tvectorz00(obj_t BgL_envz00_451,
		obj_t BgL_new1516z00_452, obj_t BgL_itemzd2type1515zd2_453)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_tvecz00_bglt BgL_auxz00_644;

				{	/* Tvector/tvector.scm 23 */
					BgL_tvecz00_bglt BgL_res1711z00_479;

					{	/* Tvector/tvector.scm 23 */
						BgL_tvecz00_bglt BgL_new1516z00_476;

						BgL_typez00_bglt BgL_itemzd2type1515zd2_477;

						BgL_new1516z00_476 = (BgL_tvecz00_bglt) (BgL_new1516z00_452);
						BgL_itemzd2type1515zd2_477 =
							(BgL_typez00_bglt) (BgL_itemzd2type1515zd2_453);
						{	/* Tvector/tvector.scm 23 */
							BgL_typez00_bglt BgL_itemzd2type1515zd2_478;

							BgL_itemzd2type1515zd2_478 = BgL_itemzd2type1515zd2_477;
							((((BgL_tvecz00_bglt) CREF(BgL_new1516z00_476))->
									BgL_itemzd2typezd2) =
								((BgL_typez00_bglt) BgL_itemzd2type1515zd2_478), BUNSPEC);
							BgL_res1711z00_479 = BgL_new1516z00_476;
						}
					}
					BgL_auxz00_644 = BgL_res1711z00_479;
				}
				return (obj_t) (BgL_auxz00_644);
			}
		}
	}



/* %allocate-tvec */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_z52allocatezd2tvecz80zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_typez00_bglt BgL_new1519z00_480;

				BgL_new1519z00_480 =
					((BgL_typez00_bglt) BREF(GC_MALLOC(sizeof(struct BgL_typez00_bgl))));
				BGL_OBJECT_CLASS_NUM_SET(
					(BgL_objectz00_bglt) (BgL_new1519z00_480),
					BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00));
				{	/* Tvector/tvector.scm 23 */
					BgL_objectz00_bglt BgL_auxz00_653;

					BgL_auxz00_653 = (BgL_objectz00_bglt) (BgL_new1519z00_480);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_653, BFALSE);
				}
				return BgL_new1519z00_480;
			}
		}
	}



/* _%allocate-tvec */
	obj_t BGl__z52allocatezd2tvecz80zztvector_tvectorz00(obj_t BgL_envz00_429)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{	/* Tvector/tvector.scm 23 */
				BgL_typez00_bglt BgL_auxz00_656;

				{	/* Tvector/tvector.scm 23 */
					BgL_typez00_bglt BgL_res1712z00_484;

					{	/* Tvector/tvector.scm 23 */
						BgL_typez00_bglt BgL_new1519z00_482;

						BgL_new1519z00_482 =
							((BgL_typez00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_typez00_bgl))));
						BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt) (BgL_new1519z00_482),
							BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00));
						{	/* Tvector/tvector.scm 23 */
							BgL_objectz00_bglt BgL_auxz00_661;

							BgL_auxz00_661 = (BgL_objectz00_bglt) (BgL_new1519z00_482);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_661, BFALSE);
						}
						BgL_res1712z00_484 = BgL_new1519z00_482;
					}
					BgL_auxz00_656 = BgL_res1712z00_484;
				}
				return (obj_t) (BgL_auxz00_656);
			}
		}
	}



/* tvec-nil */
	BGL_EXPORTED_DEF BgL_tvecz00_bglt BGl_tveczd2nilzd2zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			if ((BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00 == BUNSPEC))
				{	/* Tvector/tvector.scm 23 */
					{	/* Tvector/tvector.scm 23 */
						BgL_typez00_bglt BgL_res1673z00_330;

						{	/* Tvector/tvector.scm 23 */
							BgL_typez00_bglt BgL_new1473z00_326;

							BgL_new1473z00_326 =
								((BgL_typez00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_typez00_bgl))));
							BGL_OBJECT_CLASS_NUM_SET((BgL_objectz00_bglt)
								(BgL_new1473z00_326),
								BGl_classzd2numzd2zz__objectz00(BGl_typez00zztype_typez00));
							{	/* Tvector/tvector.scm 23 */
								BgL_objectz00_bglt BgL_auxz00_671;

								BgL_auxz00_671 = (BgL_objectz00_bglt) (BgL_new1473z00_326);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_671, BFALSE);
							}
							BgL_res1673z00_330 = BgL_new1473z00_326;
						}
						BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00 =
							(obj_t) (BgL_res1673z00_330);
					}
					{	/* Tvector/tvector.scm 23 */
						BgL_typez00_bglt BgL_res1674z00_360;

						{	/* Tvector/tvector.scm 23 */
							BgL_typez00_bglt BgL_new1457z00_331;

							obj_t BgL_id1442z00_332;

							BgL_new1457z00_331 =
								(BgL_typez00_bglt)
								(BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00);
							BgL_id1442z00_332 = CNST_TABLE_REF(((long) 6));
							{	/* Tvector/tvector.scm 23 */
								obj_t BgL_id1442z00_346;

								obj_t BgL_name1443z00_347;

								obj_t BgL_siza7e1444za7_348;

								obj_t BgL_class1445z00_349;

								obj_t BgL_coercezd2to1446zd2_350;

								obj_t BgL_parents1447z00_351;

								bool_t BgL_initzf31448zf3_352;

								bool_t BgL_magiczf31449zf3_353;

								obj_t BgL_z421450z42_354;

								obj_t BgL_alias1451z00_355;

								obj_t BgL_pointedzd2tozd2by1452z00_356;

								obj_t BgL_tvector1453z00_357;

								obj_t BgL_location1455z00_358;

								obj_t BgL_importzd2location1456zd2_359;

								BgL_id1442z00_346 = BgL_id1442z00_332;
								BgL_name1443z00_347 = BUNSPEC;
								BgL_siza7e1444za7_348 = BUNSPEC;
								BgL_class1445z00_349 = BUNSPEC;
								BgL_coercezd2to1446zd2_350 = BUNSPEC;
								BgL_parents1447z00_351 = BUNSPEC;
								BgL_initzf31448zf3_352 = ((bool_t) 0);
								BgL_magiczf31449zf3_353 = ((bool_t) 0);
								BgL_z421450z42_354 = BUNSPEC;
								BgL_alias1451z00_355 = BUNSPEC;
								BgL_pointedzd2tozd2by1452z00_356 = BUNSPEC;
								BgL_tvector1453z00_357 = BUNSPEC;
								BgL_location1455z00_358 = BUNSPEC;
								BgL_importzd2location1456zd2_359 = BUNSPEC;
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_331))->BgL_idz00) =
									((obj_t) BgL_id1442z00_346), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_331))->BgL_namez00) =
									((obj_t) BgL_name1443z00_347), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_331))->
										BgL_siza7eza7) = ((obj_t) BgL_siza7e1444za7_348), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_331))->BgL_classz00) =
									((obj_t) BgL_class1445z00_349), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_331))->
										BgL_coercezd2tozd2) =
									((obj_t) BgL_coercezd2to1446zd2_350), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_331))->
										BgL_parentsz00) =
									((obj_t) BgL_parents1447z00_351), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_331))->
										BgL_initzf3zf3) =
									((bool_t) BgL_initzf31448zf3_352), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_331))->
										BgL_magiczf3zf3) =
									((bool_t) BgL_magiczf31449zf3_353), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_331))->BgL_z42z42) =
									((obj_t) BgL_z421450z42_354), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_331))->BgL_aliasz00) =
									((obj_t) BgL_alias1451z00_355), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_331))->
										BgL_pointedzd2tozd2byz00) =
									((obj_t) BgL_pointedzd2tozd2by1452z00_356), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_331))->
										BgL_tvectorz00) =
									((obj_t) BgL_tvector1453z00_357), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_331))->
										BgL_locationz00) =
									((obj_t) BgL_location1455z00_358), BUNSPEC);
								((((BgL_typez00_bglt) CREF(BgL_new1457z00_331))->
										BgL_importzd2locationzd2) =
									((obj_t) BgL_importzd2location1456zd2_359), BUNSPEC);
								BgL_res1674z00_360 = BgL_new1457z00_331;
						}} BgL_res1674z00_360;
					}
					{	/* Tvector/tvector.scm 23 */
						long BgL_arg1646z00_206;

						BgL_arg1646z00_206 =
							BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00);
						BGL_OBJECT_CLASS_NUM_SET(
							(BgL_objectz00_bglt)
							(BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00),
							BgL_arg1646z00_206);
					}
					{	/* Tvector/tvector.scm 23 */
						BgL_tvecz00_bglt BgL_arg1647z00_207;

						{	/* Tvector/tvector.scm 23 */
							BgL_typez00_bglt BgL_arg1653z00_208;

							BgL_arg1653z00_208 = BGl_typezd2nilzd2zztype_typez00();
							{	/* Tvector/tvector.scm 23 */
								BgL_tvecz00_bglt BgL_res1676z00_369;

								{	/* Tvector/tvector.scm 23 */
									BgL_tvecz00_bglt BgL_new1496z00_364;

									BgL_new1496z00_364 =
										((BgL_tvecz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_tvecz00_bgl))));
									{	/* Tvector/tvector.scm 23 */
										BgL_tvecz00_bglt BgL_res1675z00_368;

										{	/* Tvector/tvector.scm 23 */
											BgL_tvecz00_bglt BgL_new1516z00_365;

											BgL_new1516z00_365 = BgL_new1496z00_364;
											{	/* Tvector/tvector.scm 23 */
												BgL_typez00_bglt BgL_itemzd2type1515zd2_367;

												BgL_itemzd2type1515zd2_367 = BgL_arg1653z00_208;
												((((BgL_tvecz00_bglt) CREF(BgL_new1516z00_365))->
														BgL_itemzd2typezd2) =
													((BgL_typez00_bglt) BgL_itemzd2type1515zd2_367),
													BUNSPEC);
												BgL_res1675z00_368 = BgL_new1516z00_365;
										}} BgL_res1675z00_368;
									}
									BgL_res1676z00_369 = BgL_new1496z00_364;
								}
								BgL_arg1647z00_207 = BgL_res1676z00_369;
						}}
						{	/* Tvector/tvector.scm 23 */
							obj_t BgL_auxz00_699;

							BgL_objectz00_bglt BgL_auxz00_697;

							BgL_auxz00_699 = (obj_t) (BgL_arg1647z00_207);
							BgL_auxz00_697 =
								(BgL_objectz00_bglt)
								(BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_697, BgL_auxz00_699);
				}}}
			else
				{	/* Tvector/tvector.scm 23 */
					BFALSE;
				}
			return
				(BgL_tvecz00_bglt) (BGl_z52thezd2tveczd2nilz52zztvector_tvectorz00);
		}
	}



/* _tvec-nil */
	obj_t BGl__tveczd2nilzd2zztvector_tvectorz00(obj_t BgL_envz00_430)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			return (obj_t) (BGl_tveczd2nilzd2zztvector_tvectorz00());
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 15 */
			BGl_addzd2methodz12zc0zz__objectz00
				(BGl_objectzd2ze3structzd2envze3zz__objectz00,
				BGl_tvecz00zztvector_tvectorz00, BGl_proc1703z00zztvector_tvectorz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00
				(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
				BGl_tvecz00zztvector_tvectorz00, BGl_proc1704z00zztvector_tvectorz00);
		}
	}



/* struct+object->objec1585 */
	obj_t BGl_structzb2objectzd2ze3objec1585z83zztvector_tvectorz00(obj_t
		BgL_envz00_461, obj_t BgL_oz00_462, obj_t BgL_sz00_463)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{
				BgL_tvecz00_bglt BgL_oz00_241;

				obj_t BgL_sz00_242;

				{	/* Tvector/tvector.scm 23 */
					BgL_tvecz00_bglt BgL_auxz00_707;

					BgL_oz00_241 = (BgL_tvecz00_bglt) (BgL_oz00_462);
					BgL_sz00_242 = BgL_sz00_463;
					{

						{	/* Tvector/tvector.scm 23 */
							obj_t BgL_old1524z00_245;

							obj_t BgL_aux1525z00_246;

							{	/* Tvector/tvector.scm 23 */
								obj_t BgL_nextzd2method1584zd2_251;

								BgL_nextzd2method1584zd2_251 =
									BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
									(BgL_objectz00_bglt) (BgL_oz00_241),
									BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00,
									BGl_tvecz00zztvector_tvectorz00);
								if (PROCEDUREP(BgL_nextzd2method1584zd2_251))
									{	/* Tvector/tvector.scm 23 */
										BgL_old1524z00_245 =
											PROCEDURE_ENTRY(BgL_nextzd2method1584zd2_251)
											(BgL_nextzd2method1584zd2_251, (obj_t) (BgL_oz00_241),
											BgL_sz00_242, BEOA);
									}
								else
									{	/* Tvector/tvector.scm 23 */
										BgL_old1524z00_245 =
											(obj_t) (BGl_structzb2objectzd2ze3objectz83zz__objectz00(
												(BgL_objectz00_bglt) (BgL_oz00_241), BgL_sz00_242));
									}
							}
							BgL_aux1525z00_246 = STRUCT_REF(BgL_sz00_242, (int) (((long) 0)));
							{	/* Tvector/tvector.scm 23 */
								BgL_tvecz00_bglt BgL_new1526z00_247;

								BgL_new1526z00_247 = ((BgL_tvecz00_bglt) (BgL_old1524z00_245));
								BGL_OBJECT_CLASS_NUM_SET(
									(BgL_objectz00_bglt) (BgL_new1526z00_247),
									BGl_classzd2numzd2zz__objectz00
									(BGl_tvecz00zztvector_tvectorz00));
								{	/* Tvector/tvector.scm 23 */
									BgL_tvecz00_bglt BgL_arg1664z00_249;

									{	/* Tvector/tvector.scm 23 */
										obj_t BgL_arg1665z00_250;

										BgL_arg1665z00_250 =
											STRUCT_REF(BgL_aux1525z00_246, (int) (((long) 0)));
										{	/* Tvector/tvector.scm 23 */
											BgL_tvecz00_bglt BgL_res1679z00_417;

											{	/* Tvector/tvector.scm 23 */
												BgL_typez00_bglt BgL_itemzd2type1495zd2_411;

												BgL_itemzd2type1495zd2_411 =
													(BgL_typez00_bglt) (BgL_arg1665z00_250);
												{	/* Tvector/tvector.scm 23 */
													BgL_tvecz00_bglt BgL_new1496z00_412;

													BgL_new1496z00_412 =
														((BgL_tvecz00_bglt) BREF(GC_MALLOC(sizeof(struct
																	BgL_tvecz00_bgl))));
													{	/* Tvector/tvector.scm 23 */
														BgL_tvecz00_bglt BgL_res1678z00_416;

														{	/* Tvector/tvector.scm 23 */
															BgL_tvecz00_bglt BgL_new1516z00_413;

															BgL_new1516z00_413 = BgL_new1496z00_412;
															{	/* Tvector/tvector.scm 23 */
																BgL_typez00_bglt BgL_itemzd2type1515zd2_415;

																BgL_itemzd2type1515zd2_415 =
																	BgL_itemzd2type1495zd2_411;
																((((BgL_tvecz00_bglt)
																			CREF(BgL_new1516z00_413))->
																		BgL_itemzd2typezd2) =
																	((BgL_typez00_bglt)
																		BgL_itemzd2type1515zd2_415), BUNSPEC);
																BgL_res1678z00_416 = BgL_new1516z00_413;
														}} BgL_res1678z00_416;
													}
													BgL_res1679z00_417 = BgL_new1496z00_412;
											}}
											BgL_arg1664z00_249 = BgL_res1679z00_417;
									}}
									{	/* Tvector/tvector.scm 23 */
										obj_t BgL_auxz00_731;

										BgL_objectz00_bglt BgL_auxz00_729;

										BgL_auxz00_731 = (obj_t) (BgL_arg1664z00_249);
										BgL_auxz00_729 = (BgL_objectz00_bglt) (BgL_new1526z00_247);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_729, BgL_auxz00_731);
								}}
								BgL_auxz00_707 = BgL_new1526z00_247;
					}}}
					return (obj_t) (BgL_auxz00_707);
				}
			}
		}
	}



/* object->struct-tvec1583 */
	obj_t BGl_objectzd2ze3structzd2tvec1583ze3zztvector_tvectorz00(obj_t
		BgL_envz00_464, obj_t BgL_obj1521z00_465)
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 23 */
			{
				BgL_tvecz00_bglt BgL_obj1521z00_231;

				BgL_obj1521z00_231 = (BgL_tvecz00_bglt) (BgL_obj1521z00_465);
				{

					{	/* Tvector/tvector.scm 23 */
						obj_t BgL_res1522z00_234;

						{	/* Tvector/tvector.scm 23 */
							obj_t BgL_nextzd2method1582zd2_239;

							BgL_nextzd2method1582zd2_239 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								(BgL_objectz00_bglt) (BgL_obj1521z00_231),
								BGl_objectzd2ze3structzd2envze3zz__objectz00,
								BGl_tvecz00zztvector_tvectorz00);
							if (PROCEDUREP(BgL_nextzd2method1582zd2_239))
								{	/* Tvector/tvector.scm 23 */
									BgL_res1522z00_234 =
										PROCEDURE_ENTRY(BgL_nextzd2method1582zd2_239)
										(BgL_nextzd2method1582zd2_239, (obj_t) (BgL_obj1521z00_231),
										BEOA);
								}
							else
								{	/* Tvector/tvector.scm 23 */
									BgL_res1522z00_234 =
										BGl_objectzd2ze3structz31zz__objectz00(
										(BgL_objectz00_bglt) (BgL_obj1521z00_231));
								}
						}
						{	/* Tvector/tvector.scm 23 */
							obj_t BgL_aux1523z00_235;

							{	/* Tvector/tvector.scm 23 */
								obj_t BgL_keyz00_388;

								BgL_keyz00_388 = CNST_TABLE_REF(((long) 5));
								BgL_aux1523z00_235 =
									make_struct(BgL_keyz00_388, (int) (((long) 1)), BUNSPEC);
							}
							{	/* Tvector/tvector.scm 23 */
								BgL_typez00_bglt BgL_arg1660z00_237;

								{
									obj_t BgL_auxz00_748;

									{	/* Tvector/tvector.scm 23 */
										BgL_objectz00_bglt BgL_auxz00_749;

										BgL_auxz00_749 = (BgL_objectz00_bglt) (BgL_obj1521z00_231);
										BgL_auxz00_748 = BGL_OBJECT_WIDENING(BgL_auxz00_749);
									}
									BgL_arg1660z00_237 =
										(((BgL_tvecz00_bglt) CREF(BgL_auxz00_748))->
										BgL_itemzd2typezd2);
								}
								{	/* Tvector/tvector.scm 23 */
									obj_t BgL_auxz00_755;

									int BgL_auxz00_753;

									BgL_auxz00_755 = (obj_t) (BgL_arg1660z00_237);
									BgL_auxz00_753 = (int) (((long) 0));
									STRUCT_SET(BgL_aux1523z00_235, BgL_auxz00_753,
										BgL_auxz00_755);
							}}
							{	/* Tvector/tvector.scm 23 */
								int BgL_auxz00_758;

								BgL_auxz00_758 = (int) (((long) 0));
								STRUCT_SET(BgL_res1522z00_234, BgL_auxz00_758,
									BgL_aux1523z00_235);
							}
							{	/* Tvector/tvector.scm 23 */
								obj_t BgL_auxz00_761;

								BgL_auxz00_761 = STRUCT_KEY(BgL_res1522z00_234);
								STRUCT_KEY_SET(BgL_aux1523z00_235, BgL_auxz00_761);
							}
							{	/* Tvector/tvector.scm 23 */
								obj_t BgL_kz00_403;

								BgL_kz00_403 = CNST_TABLE_REF(((long) 5));
								STRUCT_KEY_SET(BgL_res1522z00_234, BgL_kz00_403);
							}
							return BgL_res1522z00_234;
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztvector_tvectorz00()
	{
		AN_OBJECT;
		{	/* Tvector/tvector.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string1705z00zztvector_tvectorz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 171845042),
				BSTRING_TO_STRING(BGl_string1705z00zztvector_tvectorz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 139755433),
				BSTRING_TO_STRING(BGl_string1705z00zztvector_tvectorz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 358171001),
				BSTRING_TO_STRING(BGl_string1705z00zztvector_tvectorz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 345457731),
				BSTRING_TO_STRING(BGl_string1705z00zztvector_tvectorz00));
		}
	}

#ifdef __cplusplus
}
#endif
