/*===========================================================================*/
/*   (Type/typeof.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Type/typeof.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62httpzd2redirectionzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                      
		*BgL_z62httpzd2redirectionzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62httpzd2statuszd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		int BgL_statusz00;
	}                                  *BgL_z62httpzd2statuszd2errorz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62httpzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                         *BgL_z62httpzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62httpzd2redirectionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_portz00;
		obj_t BgL_urlz00;
	}                               *BgL_z62httpzd2redirectionzb0_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_tarzd2headerzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		long BgL_modez00;
		long BgL_uidz00;
		long BgL_gidz00;
		long BgL_siza7eza7;
		obj_t BgL_mtimez00;
		long BgL_checksumz00;
		obj_t BgL_typez00;
		obj_t BgL_linknamez00;
		obj_t BgL_magicz00;
		obj_t BgL_unamez00;
		obj_t BgL_gnamez00;
		long BgL_devmajorz00;
		long BgL_devminorz00;
	}                      *BgL_tarzd2headerzd2_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
	}              *BgL_typez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2heapzd2formatz00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_isaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		struct BgL_typez00_bgl *BgL_classz00;
	}             *BgL_isaz00_bglt;

	typedef struct BgL_castzd2nullzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                     *BgL_castzd2nullzd2_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		obj_t BgL_libraryz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzf3z21;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;


	static obj_t BGl_typeofzd2boxzd2setz123186z12zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl_typeofzd2conditional3168zd2zztype_typeofz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_typeofzd2letzd2fun3174z00zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl_typeofzd2closure3158zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_typeofzd2extern3162zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_typeofzd2letzd2var3176z00zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_typeofzd2appzd2ly3188z00zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl__typeofzd2atomzd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zztype_typeofz00();
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zztype_typeofz00();
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_typeofzd2makezd2box3182z00zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_typeofzd2atom3152zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl__typeofzd2kwotezd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_typeofzd2select3172zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl__typeofz00zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl__typeofzd2default3149zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
	static obj_t BGl_typeofzd2app3192zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	static BgL_typez00_bglt
		BGl_typeofzd2default3149zd2zztype_typeofz00(BgL_nodez00_bglt);
	static obj_t BGl_typeofzd2jumpzd2exzd2it3180zd2zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztype_typeofz00();
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_typeofzd2setzd2exzd2it3178zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztype_typeofz00 = BUNSPEC;
	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	static obj_t BGl_typeofzd2funcall3190zd2zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl_typeofzd2cast3164zd2zztype_typeofz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_typeofz00zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_atomz00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zztype_typeofz00();
	static obj_t BGl_typeofzd2var3156zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_typeofzd2setq3166zd2zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_typeofzd2boxzd2ref3184z00zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_typeofzd2kwotezd2zztype_typeofz00(obj_t);
	extern obj_t BGl_za2llongza2z00zztype_cachez00;
	static obj_t BGl_typeofzd2fail3170zd2zztype_typeofz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_typeofzd2atomzd2zztype_typeofz00(obj_t);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_typeofz00();
	static obj_t BGl_typeofzd2sequence3160zd2zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl_typeofzd2kwote3154zd2zztype_typeofz00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typeofzd2kwotezd2envz00zztype_typeofz00,
		BgL_bgl__typeofza7d2kwoteza73378z00, BGl__typeofzd2kwotezd2zztype_typeofz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_typeofzd2default3149zd2envz00zztype_typeofz00,
		BgL_bgl__typeofza7d2defaul3379za7,
		BGl__typeofzd2default3149zd2zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_typeofzd2envzd2zztype_typeofz00,
		BgL_bgl__typeofza700za7za7type3380za7, BGl__typeofz00zztype_typeofz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_typeofzd2atomzd2envz00zztype_typeofz00,
		BgL_bgl__typeofza7d2atomza7d3381z00, BGl__typeofzd2atomzd2zztype_typeofz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3350z00zztype_typeofz00,
		BgL_bgl_typeofza7d2atom3153382za7, BGl_typeofzd2atom3152zd2zztype_typeofz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3351z00zztype_typeofz00,
		BgL_bgl_typeofza7d2kwote313383za7,
		BGl_typeofzd2kwote3154zd2zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3352z00zztype_typeofz00,
		BgL_bgl_typeofza7d2var31563384za7, BGl_typeofzd2var3156zd2zztype_typeofz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3353z00zztype_typeofz00,
		BgL_bgl_typeofza7d2closure3385za7,
		BGl_typeofzd2closure3158zd2zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3354z00zztype_typeofz00,
		BgL_bgl_typeofza7d2sequenc3386za7,
		BGl_typeofzd2sequence3160zd2zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3355z00zztype_typeofz00,
		BgL_bgl_typeofza7d2extern33387za7,
		BGl_typeofzd2extern3162zd2zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3356z00zztype_typeofz00,
		BgL_bgl_typeofza7d2cast3163388za7, BGl_typeofzd2cast3164zd2zztype_typeofz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3357z00zztype_typeofz00,
		BgL_bgl_typeofza7d2setq3163389za7, BGl_typeofzd2setq3166zd2zztype_typeofz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3358z00zztype_typeofz00,
		BgL_bgl_typeofza7d2conditi3390za7,
		BGl_typeofzd2conditional3168zd2zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3360z00zztype_typeofz00,
		BgL_bgl_typeofza7d2select33391za7,
		BGl_typeofzd2select3172zd2zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3359z00zztype_typeofz00,
		BgL_bgl_typeofza7d2fail3173392za7, BGl_typeofzd2fail3170zd2zztype_typeofz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3361z00zztype_typeofz00,
		BgL_bgl_typeofza7d2letza7d2f3393z00,
		BGl_typeofzd2letzd2fun3174z00zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3362z00zztype_typeofz00,
		BgL_bgl_typeofza7d2letza7d2v3394z00,
		BGl_typeofzd2letzd2var3176z00zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3363z00zztype_typeofz00,
		BgL_bgl_typeofza7d2setza7d2e3395z00,
		BGl_typeofzd2setzd2exzd2it3178zd2zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3364z00zztype_typeofz00,
		BgL_bgl_typeofza7d2jumpza7d23396z00,
		BGl_typeofzd2jumpzd2exzd2it3180zd2zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3365z00zztype_typeofz00,
		BgL_bgl_typeofza7d2makeza7d23397z00,
		BGl_typeofzd2makezd2box3182z00zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3366z00zztype_typeofz00,
		BgL_bgl_typeofza7d2boxza7d2r3398z00,
		BGl_typeofzd2boxzd2ref3184z00zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3367z00zztype_typeofz00,
		BgL_bgl_typeofza7d2boxza7d2s3399z00,
		BGl_typeofzd2boxzd2setz123186z12zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3368z00zztype_typeofz00,
		BgL_bgl_typeofza7d2appza7d2l3400z00,
		BGl_typeofzd2appzd2ly3188z00zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3370z00zztype_typeofz00,
		BgL_bgl_typeofza7d2app31923401za7, BGl_typeofzd2app3192zd2zztype_typeofz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3369z00zztype_typeofz00,
		BgL_bgl_typeofza7d2funcall3402za7,
		BGl_typeofzd2funcall3190zd2zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3371z00zztype_typeofz00,
		BgL_bgl_string3371za700za7za7t3403za7, "typeof", 6);
	      DEFINE_STRING(BGl_string3372z00zztype_typeofz00,
		BgL_bgl_string3372za700za7za7t3404za7, "Not implemented yet", 19);
	      DEFINE_STRING(BGl_string3373z00zztype_typeofz00,
		BgL_bgl_string3373za700za7za7t3405za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3374z00zztype_typeofz00,
		BgL_bgl_string3374za700za7za7t3406za7, "type_typeof", 11);
	      DEFINE_STRING(BGl_string3375z00zztype_typeofz00,
		BgL_bgl_string3375za700za7za7t3407za7, "typeof-default3149 a-tvector ", 29);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long
		BgL_checksumz00_1693, char *BgL_fromz00_1694)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_typeofz00))
				{
					BGl_requirezd2initializa7ationz75zztype_typeofz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztype_typeofz00();
					BGl_cnstzd2initzd2zztype_typeofz00();
					BGl_importedzd2moduleszd2initz00zztype_typeofz00();
					BGl_methodzd2initzd2zztype_typeofz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"type_typeof");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			{	/* Type/typeof.scm 15 */
				obj_t BgL_cportz00_1675;

				BgL_cportz00_1675 =
					bgl_open_input_string(BGl_string3375z00zztype_typeofz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1676;

					BgL_iz00_1676 = ((long) 1);
				BgL_loopz00_1677:
					if ((BgL_iz00_1676 == ((long) -1)))
						{	/* Type/typeof.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/typeof.scm 15 */
							{	/* Type/typeof.scm 15 */
								obj_t BgL_arg3377z00_1679;

								{	/* Type/typeof.scm 15 */

									{	/* Type/typeof.scm 15 */
										obj_t BgL_locationz00_1681;

										BgL_locationz00_1681 = BBOOL(((bool_t) 0));
										{	/* Type/typeof.scm 15 */

											BgL_arg3377z00_1679 =
												BGl_readz00zz__readerz00(BgL_cportz00_1675,
												BgL_locationz00_1681);
										}
									}
								}
								{	/* Type/typeof.scm 15 */
									int BgL_auxz00_1712;

									BgL_auxz00_1712 = (int) (BgL_iz00_1676);
									CNST_TABLE_SET(BgL_auxz00_1712, BgL_arg3377z00_1679);
							}}
							{	/* Type/typeof.scm 15 */
								int BgL_auxz00_1682;

								BgL_auxz00_1682 = (int) ((BgL_iz00_1676 - ((long) 1)));
								{
									long BgL_iz00_1717;

									BgL_iz00_1717 = (long) (BgL_auxz00_1682);
									BgL_iz00_1676 = BgL_iz00_1717;
									goto BgL_loopz00_1677;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			return BUNSPEC;
		}
	}



/* typeof-atom */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_typeofzd2atomzd2zztype_typeofz00(obj_t
		BgL_atomz00_11)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 29 */
			if (NULLP(BgL_atomz00_11))
				{	/* Type/typeof.scm 31 */
					return (BgL_typez00_bglt) (BGl_za2bnilza2z00zztype_cachez00);
				}
			else
				{	/* Type/typeof.scm 31 */
					if (INTEGERP(BgL_atomz00_11))
						{	/* Type/typeof.scm 33 */
							return (BgL_typez00_bglt) (BGl_za2longza2z00zztype_cachez00);
						}
					else
						{	/* Type/typeof.scm 33 */
							if (REALP(BgL_atomz00_11))
								{	/* Type/typeof.scm 35 */
									return (BgL_typez00_bglt) (BGl_za2realza2z00zztype_cachez00);
								}
							else
								{	/* Type/typeof.scm 35 */
									if (BOOLEANP(BgL_atomz00_11))
										{	/* Type/typeof.scm 37 */
											return
												(BgL_typez00_bglt) (BGl_za2boolza2z00zztype_cachez00);
										}
									else
										{	/* Type/typeof.scm 37 */
											if (CHARP(BgL_atomz00_11))
												{	/* Type/typeof.scm 39 */
													return
														(BgL_typez00_bglt)
														(BGl_za2charza2z00zztype_cachez00);
												}
											else
												{	/* Type/typeof.scm 39 */
													if (STRINGP(BgL_atomz00_11))
														{	/* Type/typeof.scm 41 */
															return
																(BgL_typez00_bglt)
																(BGl_za2bstringza2z00zztype_cachez00);
														}
													else
														{	/* Type/typeof.scm 41 */
															if ((BgL_atomz00_11 == BUNSPEC))
																{	/* Type/typeof.scm 43 */
																	return
																		(BgL_typez00_bglt)
																		(BGl_za2unspecza2z00zztype_cachez00);
																}
															else
																{	/* Type/typeof.scm 43 */
																	if (ELONGP(BgL_atomz00_11))
																		{	/* Type/typeof.scm 45 */
																			return
																				(BgL_typez00_bglt)
																				(BGl_za2elongza2z00zztype_cachez00);
																		}
																	else
																		{	/* Type/typeof.scm 45 */
																			if (LLONGP(BgL_atomz00_11))
																				{	/* Type/typeof.scm 47 */
																					return
																						(BgL_typez00_bglt)
																						(BGl_za2llongza2z00zztype_cachez00);
																				}
																			else
																				{	/* Type/typeof.scm 47 */
																					if (KEYWORDP(BgL_atomz00_11))
																						{	/* Type/typeof.scm 49 */
																							return
																								(BgL_typez00_bglt)
																								(BGl_za2keywordza2z00zztype_cachez00);
																						}
																					else
																						{	/* Type/typeof.scm 49 */
																							return
																								(BgL_typez00_bglt)
																								(BGl_za2objza2z00zztype_cachez00);
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* _typeof-atom */
	obj_t BGl__typeofzd2atomzd2zztype_typeofz00(obj_t BgL_envz00_1603,
		obj_t BgL_atomz00_1604)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 29 */
			return (obj_t) (BGl_typeofzd2atomzd2zztype_typeofz00(BgL_atomz00_1604));
		}
	}



/* typeof-kwote */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_typeofzd2kwotezd2zztype_typeofz00(obj_t
		BgL_kwotez00_12)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 57 */
			if (SYMBOLP(BgL_kwotez00_12))
				{	/* Type/typeof.scm 59 */
					return (BgL_typez00_bglt) (BGl_za2symbolza2z00zztype_cachez00);
				}
			else
				{	/* Type/typeof.scm 59 */
					if (KEYWORDP(BgL_kwotez00_12))
						{	/* Type/typeof.scm 61 */
							return (BgL_typez00_bglt) (BGl_za2keywordza2z00zztype_cachez00);
						}
					else
						{	/* Type/typeof.scm 61 */
							if (PAIRP(BgL_kwotez00_12))
								{	/* Type/typeof.scm 63 */
									return (BgL_typez00_bglt) (BGl_za2pairza2z00zztype_cachez00);
								}
							else
								{	/* Type/typeof.scm 63 */
									if (NULLP(BgL_kwotez00_12))
										{	/* Type/typeof.scm 65 */
											return
												(BgL_typez00_bglt) (BGl_za2bnilza2z00zztype_cachez00);
										}
									else
										{	/* Type/typeof.scm 65 */
											if (VECTORP(BgL_kwotez00_12))
												{	/* Type/typeof.scm 67 */
													return
														(BgL_typez00_bglt)
														(BGl_za2vectorza2z00zztype_cachez00);
												}
											else
												{	/* Type/typeof.scm 69 */
													bool_t BgL_testz00_1767;

													if (STRUCTP(BgL_kwotez00_12))
														{	/* Type/typeof.scm 69 */
															BgL_testz00_1767 =
																(STRUCT_KEY(BgL_kwotez00_12) ==
																CNST_TABLE_REF(((long) 0)));
														}
													else
														{	/* Type/typeof.scm 69 */
															BgL_testz00_1767 = ((bool_t) 0);
														}
													if (BgL_testz00_1767)
														{	/* Type/typeof.scm 70 */
															obj_t BgL_sz00_1345;

															BgL_sz00_1345 = BgL_kwotez00_12;
															return
																(BgL_typez00_bglt) (STRUCT_REF(BgL_sz00_1345,
																	(int) (((long) 0))));
														}
													else
														{	/* Type/typeof.scm 69 */
															return
																(BgL_typez00_bglt)
																(BGl_za2objza2z00zztype_cachez00);
														}
												}
										}
								}
						}
				}
		}
	}



/* _typeof-kwote */
	obj_t BGl__typeofzd2kwotezd2zztype_typeofz00(obj_t BgL_envz00_1605,
		obj_t BgL_kwotez00_1606)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 57 */
			return (obj_t) (BGl_typeofzd2kwotezd2zztype_typeofz00(BgL_kwotez00_1606));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_addzd2genericz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_typeofzd2default3149zd2envz00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_atomz00zzast_nodez00, BGl_proc3350z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_kwotez00zzast_nodez00, BGl_proc3351z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_varz00zzast_nodez00, BGl_proc3352z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_closurez00zzast_nodez00, BGl_proc3353z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3354z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_externz00zzast_nodez00, BGl_proc3355z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_castz00zzast_nodez00, BGl_proc3356z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_setqz00zzast_nodez00, BGl_proc3357z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3358z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_failz00zzast_nodez00, BGl_proc3359z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_selectz00zzast_nodez00, BGl_proc3360z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3361z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3362z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3363z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3364z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3365z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3366z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3367z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3368z00zztype_typeofz00);
			BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3369z00zztype_typeofz00);
			return
				BGl_addzd2methodz12zc0zz__objectz00(BGl_typeofzd2envzd2zztype_typeofz00,
				BGl_appz00zzast_nodez00, BGl_proc3370z00zztype_typeofz00);
		}
	}



/* typeof-app3192 */
	obj_t BGl_typeofzd2app3192zd2zztype_typeofz00(obj_t BgL_envz00_1630,
		obj_t BgL_nodez00_1631)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 234 */
			{
				BgL_appz00_bglt BgL_nodez00_1303;

				{	/* Type/typeof.scm 235 */
					BgL_typez00_bglt BgL_auxz00_1801;

					BgL_nodez00_1303 = (BgL_appz00_bglt) (BgL_nodez00_1631);
					{	/* Type/typeof.scm 235 */
						BgL_variablez00_bglt BgL_arg3320z00_1573;

						{	/* Type/typeof.scm 235 */
							BgL_varz00_bglt BgL_obj1539z00_1576;

							BgL_obj1539z00_1576 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1303))->BgL_funz00);
							BgL_arg3320z00_1573 =
								(((BgL_varz00_bglt) CREF(BgL_obj1539z00_1576))->
								BgL_variablez00);
						}
						BgL_auxz00_1801 =
							(((BgL_variablez00_bglt) CREF(BgL_arg3320z00_1573))->BgL_typez00);
					}
					return (obj_t) (BgL_auxz00_1801);
				}
			}
		}
	}



/* typeof-funcall3190 */
	obj_t BGl_typeofzd2funcall3190zd2zztype_typeofz00(obj_t BgL_envz00_1632,
		obj_t BgL_nodez00_1633)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 228 */
			return BGl_za2objza2z00zztype_cachez00;
		}
	}



/* typeof-app-ly3188 */
	obj_t BGl_typeofzd2appzd2ly3188z00zztype_typeofz00(obj_t BgL_envz00_1634,
		obj_t BgL_nodez00_1635)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 222 */
			return BGl_za2objza2z00zztype_cachez00;
		}
	}



/* typeof-box-set!3186 */
	obj_t BGl_typeofzd2boxzd2setz123186z12zztype_typeofz00(obj_t BgL_envz00_1636,
		obj_t BgL_nodez00_1637)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 216 */
			return BGl_za2unspecza2z00zztype_cachez00;
		}
	}



/* typeof-box-ref3184 */
	obj_t BGl_typeofzd2boxzd2ref3184z00zztype_typeofz00(obj_t BgL_envz00_1638,
		obj_t BgL_nodez00_1639)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 210 */
			return BGl_za2objza2z00zztype_cachez00;
		}
	}



/* typeof-make-box3182 */
	obj_t BGl_typeofzd2makezd2box3182z00zztype_typeofz00(obj_t BgL_envz00_1640,
		obj_t BgL_nodez00_1641)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 204 */
			return BGl_za2objza2z00zztype_cachez00;
		}
	}



/* typeof-jump-ex-it3180 */
	obj_t BGl_typeofzd2jumpzd2exzd2it3180zd2zztype_typeofz00(obj_t
		BgL_envz00_1642, obj_t BgL_nodez00_1643)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 198 */
			return BGl_za2objza2z00zztype_cachez00;
		}
	}



/* typeof-set-ex-it3178 */
	obj_t BGl_typeofzd2setzd2exzd2it3178zd2zztype_typeofz00(obj_t BgL_envz00_1644,
		obj_t BgL_nodez00_1645)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 192 */
			return BGl_za2objza2z00zztype_cachez00;
		}
	}



/* typeof-let-var3176 */
	obj_t BGl_typeofzd2letzd2var3176z00zztype_typeofz00(obj_t BgL_envz00_1646,
		obj_t BgL_nodez00_1647)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 185 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1261;

				{	/* Type/typeof.scm 186 */
					BgL_typez00_bglt BgL_auxz00_1807;

					BgL_nodez00_1261 = (BgL_letzd2varzd2_bglt) (BgL_nodez00_1647);
					{	/* Type/typeof.scm 186 */
						BgL_nodez00_bglt BgL_arg3311z00_1543;

						BgL_arg3311z00_1543 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1261))->BgL_bodyz00);
						{	/* Type/typeof.scm 186 */
							BgL_typez00_bglt BgL_res3347z00_1571;

							{	/* Type/typeof.scm 186 */
								obj_t BgL_method3150z00_1546;

								{	/* Type/typeof.scm 186 */
									BgL_objectz00_bglt BgL_objz00_1547;

									BgL_objz00_1547 = (BgL_objectz00_bglt) (BgL_arg3311z00_1543);
									{	/* Type/typeof.scm 186 */
										long BgL_objzd2classzd2numz00_1548;

										BgL_objzd2classzd2numz00_1548 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1547);
										{	/* Type/typeof.scm 186 */
											obj_t BgL_arg2388z00_1549;

											BgL_arg2388z00_1549 =
												PROCEDURE_REF(BGl_typeofzd2envzd2zztype_typeofz00,
												(int) (((long) 1)));
											{	/* Type/typeof.scm 186 */
												obj_t BgL_arrayz00_1551;

												int BgL_offsetz00_1552;

												BgL_arrayz00_1551 = BgL_arg2388z00_1549;
												BgL_offsetz00_1552 =
													(int) (BgL_objzd2classzd2numz00_1548);
												{	/* Type/typeof.scm 186 */
													long BgL_offsetz00_1553;

													BgL_offsetz00_1553 =
														((long) (BgL_offsetz00_1552) - OBJECT_TYPE);
													{	/* Type/typeof.scm 186 */
														long BgL_modz00_1554;

														{	/* Type/typeof.scm 186 */
															int BgL_arg2390z00_1555;

															BgL_arg2390z00_1555 = (int) (((long) 8));
															{	/* Type/typeof.scm 186 */
																long BgL_auxz00_1817;

																BgL_auxz00_1817 = (long) (BgL_arg2390z00_1555);
																BgL_modz00_1554 =
																	(BgL_offsetz00_1553 / BgL_auxz00_1817);
														}}
														{	/* Type/typeof.scm 186 */
															long BgL_restz00_1556;

															{	/* Type/typeof.scm 186 */
																int BgL_arg2389z00_1557;

																BgL_arg2389z00_1557 = (int) (((long) 8));
																{	/* Type/typeof.scm 186 */
																	long BgL_auxz00_1821;

																	BgL_auxz00_1821 =
																		(long) (BgL_arg2389z00_1557);
																	BgL_restz00_1556 =
																		(BgL_offsetz00_1553 % BgL_auxz00_1821);
															}}
															{	/* Type/typeof.scm 186 */

																BgL_method3150z00_1546 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1551,
																		(int) (BgL_modz00_1554)),
																	(int) (BgL_restz00_1556));
								}}}}}}}}
								BgL_res3347z00_1571 =
									(BgL_typez00_bglt) (PROCEDURE_ENTRY(BgL_method3150z00_1546)
									(BgL_method3150z00_1546, (obj_t) (BgL_arg3311z00_1543),
										BEOA));
							}
							BgL_auxz00_1807 = BgL_res3347z00_1571;
					}}
					return (obj_t) (BgL_auxz00_1807);
				}
			}
		}
	}



/* typeof-let-fun3174 */
	obj_t BGl_typeofzd2letzd2fun3174z00zztype_typeofz00(obj_t BgL_envz00_1648,
		obj_t BgL_nodez00_1649)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 178 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1254;

				{	/* Type/typeof.scm 179 */
					BgL_typez00_bglt BgL_auxz00_1834;

					BgL_nodez00_1254 = (BgL_letzd2funzd2_bglt) (BgL_nodez00_1649);
					{	/* Type/typeof.scm 179 */
						BgL_nodez00_bglt BgL_arg3309z00_1513;

						BgL_arg3309z00_1513 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1254))->BgL_bodyz00);
						{	/* Type/typeof.scm 179 */
							BgL_typez00_bglt BgL_res3344z00_1541;

							{	/* Type/typeof.scm 179 */
								obj_t BgL_method3150z00_1516;

								{	/* Type/typeof.scm 179 */
									BgL_objectz00_bglt BgL_objz00_1517;

									BgL_objz00_1517 = (BgL_objectz00_bglt) (BgL_arg3309z00_1513);
									{	/* Type/typeof.scm 179 */
										long BgL_objzd2classzd2numz00_1518;

										BgL_objzd2classzd2numz00_1518 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1517);
										{	/* Type/typeof.scm 179 */
											obj_t BgL_arg2388z00_1519;

											BgL_arg2388z00_1519 =
												PROCEDURE_REF(BGl_typeofzd2envzd2zztype_typeofz00,
												(int) (((long) 1)));
											{	/* Type/typeof.scm 179 */
												obj_t BgL_arrayz00_1521;

												int BgL_offsetz00_1522;

												BgL_arrayz00_1521 = BgL_arg2388z00_1519;
												BgL_offsetz00_1522 =
													(int) (BgL_objzd2classzd2numz00_1518);
												{	/* Type/typeof.scm 179 */
													long BgL_offsetz00_1523;

													BgL_offsetz00_1523 =
														((long) (BgL_offsetz00_1522) - OBJECT_TYPE);
													{	/* Type/typeof.scm 179 */
														long BgL_modz00_1524;

														{	/* Type/typeof.scm 179 */
															int BgL_arg2390z00_1525;

															BgL_arg2390z00_1525 = (int) (((long) 8));
															{	/* Type/typeof.scm 179 */
																long BgL_auxz00_1844;

																BgL_auxz00_1844 = (long) (BgL_arg2390z00_1525);
																BgL_modz00_1524 =
																	(BgL_offsetz00_1523 / BgL_auxz00_1844);
														}}
														{	/* Type/typeof.scm 179 */
															long BgL_restz00_1526;

															{	/* Type/typeof.scm 179 */
																int BgL_arg2389z00_1527;

																BgL_arg2389z00_1527 = (int) (((long) 8));
																{	/* Type/typeof.scm 179 */
																	long BgL_auxz00_1848;

																	BgL_auxz00_1848 =
																		(long) (BgL_arg2389z00_1527);
																	BgL_restz00_1526 =
																		(BgL_offsetz00_1523 % BgL_auxz00_1848);
															}}
															{	/* Type/typeof.scm 179 */

																BgL_method3150z00_1516 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1521,
																		(int) (BgL_modz00_1524)),
																	(int) (BgL_restz00_1526));
								}}}}}}}}
								BgL_res3344z00_1541 =
									(BgL_typez00_bglt) (PROCEDURE_ENTRY(BgL_method3150z00_1516)
									(BgL_method3150z00_1516, (obj_t) (BgL_arg3309z00_1513),
										BEOA));
							}
							BgL_auxz00_1834 = BgL_res3344z00_1541;
					}}
					return (obj_t) (BgL_auxz00_1834);
				}
			}
		}
	}



/* typeof-select3172 */
	obj_t BGl_typeofzd2select3172zd2zztype_typeofz00(obj_t BgL_envz00_1650,
		obj_t BgL_nodez00_1651)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 161 */
			{
				BgL_selectz00_bglt BgL_nodez00_1230;

				BgL_nodez00_1230 = (BgL_selectz00_bglt) (BgL_nodez00_1651);
				{	/* Type/typeof.scm 163 */
					obj_t BgL_g3141z00_1234;

					BgL_typez00_bglt BgL_g3142z00_1235;

					{	/* Type/typeof.scm 163 */
						obj_t BgL_pairz00_1449;

						BgL_pairz00_1449 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1230))->BgL_clausesz00);
						BgL_g3141z00_1234 = CDR(BgL_pairz00_1449);
					}
					{	/* Type/typeof.scm 164 */
						obj_t BgL_arg3305z00_1249;

						{	/* Type/typeof.scm 164 */
							obj_t BgL_pairz00_1452;

							{	/* Type/typeof.scm 164 */
								obj_t BgL_pairz00_1451;

								BgL_pairz00_1451 =
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1230))->
									BgL_clausesz00);
								BgL_pairz00_1452 = CAR(BgL_pairz00_1451);
							}
							BgL_arg3305z00_1249 = CDR(BgL_pairz00_1452);
						}
						{	/* Type/typeof.scm 164 */
							BgL_typez00_bglt BgL_res3338z00_1479;

							{	/* Type/typeof.scm 164 */
								BgL_nodez00_bglt BgL_nodez00_1453;

								BgL_nodez00_1453 = (BgL_nodez00_bglt) (BgL_arg3305z00_1249);
								{	/* Type/typeof.scm 164 */
									obj_t BgL_method3150z00_1454;

									{	/* Type/typeof.scm 164 */
										BgL_objectz00_bglt BgL_objz00_1455;

										BgL_objz00_1455 = (BgL_objectz00_bglt) (BgL_nodez00_1453);
										{	/* Type/typeof.scm 164 */
											long BgL_objzd2classzd2numz00_1456;

											BgL_objzd2classzd2numz00_1456 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1455);
											{	/* Type/typeof.scm 164 */
												obj_t BgL_arg2388z00_1457;

												BgL_arg2388z00_1457 =
													PROCEDURE_REF(BGl_typeofzd2envzd2zztype_typeofz00,
													(int) (((long) 1)));
												{	/* Type/typeof.scm 164 */
													obj_t BgL_arrayz00_1459;

													int BgL_offsetz00_1460;

													BgL_arrayz00_1459 = BgL_arg2388z00_1457;
													BgL_offsetz00_1460 =
														(int) (BgL_objzd2classzd2numz00_1456);
													{	/* Type/typeof.scm 164 */
														long BgL_offsetz00_1461;

														BgL_offsetz00_1461 =
															((long) (BgL_offsetz00_1460) - OBJECT_TYPE);
														{	/* Type/typeof.scm 164 */
															long BgL_modz00_1462;

															{	/* Type/typeof.scm 164 */
																int BgL_arg2390z00_1463;

																BgL_arg2390z00_1463 = (int) (((long) 8));
																{	/* Type/typeof.scm 164 */
																	long BgL_auxz00_1875;

																	BgL_auxz00_1875 =
																		(long) (BgL_arg2390z00_1463);
																	BgL_modz00_1462 =
																		(BgL_offsetz00_1461 / BgL_auxz00_1875);
															}}
															{	/* Type/typeof.scm 164 */
																long BgL_restz00_1464;

																{	/* Type/typeof.scm 164 */
																	int BgL_arg2389z00_1465;

																	BgL_arg2389z00_1465 = (int) (((long) 8));
																	{	/* Type/typeof.scm 164 */
																		long BgL_auxz00_1879;

																		BgL_auxz00_1879 =
																			(long) (BgL_arg2389z00_1465);
																		BgL_restz00_1464 =
																			(BgL_offsetz00_1461 % BgL_auxz00_1879);
																}}
																{	/* Type/typeof.scm 164 */

																	BgL_method3150z00_1454 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1459,
																			(int) (BgL_modz00_1462)),
																		(int) (BgL_restz00_1464));
									}}}}}}}}
									BgL_res3338z00_1479 =
										(BgL_typez00_bglt) (PROCEDURE_ENTRY(BgL_method3150z00_1454)
										(BgL_method3150z00_1454, (obj_t) (BgL_nodez00_1453), BEOA));
							}}
							BgL_g3142z00_1235 = BgL_res3338z00_1479;
					}}
					{
						obj_t BgL_clausesz00_1236;

						BgL_typez00_bglt BgL_typez00_1237;

						BgL_clausesz00_1236 = BgL_g3141z00_1234;
						BgL_typez00_1237 = BgL_g3142z00_1235;
					BgL_loopz00_1238:
						if (NULLP(BgL_clausesz00_1236))
							{	/* Type/typeof.scm 165 */
								return (obj_t) (BgL_typez00_1237);
							}
						else
							{	/* Type/typeof.scm 167 */
								BgL_typez00_bglt BgL_ntypez00_1240;

								{	/* Type/typeof.scm 167 */
									obj_t BgL_arg3302z00_1246;

									BgL_arg3302z00_1246 = CDR(CAR(BgL_clausesz00_1236));
									{	/* Type/typeof.scm 167 */
										BgL_typez00_bglt BgL_res3341z00_1509;

										{	/* Type/typeof.scm 167 */
											BgL_nodez00_bglt BgL_nodez00_1483;

											BgL_nodez00_1483 =
												(BgL_nodez00_bglt) (BgL_arg3302z00_1246);
											{	/* Type/typeof.scm 167 */
												obj_t BgL_method3150z00_1484;

												{	/* Type/typeof.scm 167 */
													BgL_objectz00_bglt BgL_objz00_1485;

													BgL_objz00_1485 =
														(BgL_objectz00_bglt) (BgL_nodez00_1483);
													{	/* Type/typeof.scm 167 */
														long BgL_objzd2classzd2numz00_1486;

														BgL_objzd2classzd2numz00_1486 =
															BGL_OBJECT_CLASS_NUM(BgL_objz00_1485);
														{	/* Type/typeof.scm 167 */
															obj_t BgL_arg2388z00_1487;

															BgL_arg2388z00_1487 =
																PROCEDURE_REF
																(BGl_typeofzd2envzd2zztype_typeofz00,
																(int) (((long) 1)));
															{	/* Type/typeof.scm 167 */
																obj_t BgL_arrayz00_1489;

																int BgL_offsetz00_1490;

																BgL_arrayz00_1489 = BgL_arg2388z00_1487;
																BgL_offsetz00_1490 =
																	(int) (BgL_objzd2classzd2numz00_1486);
																{	/* Type/typeof.scm 167 */
																	long BgL_offsetz00_1491;

																	BgL_offsetz00_1491 =
																		((long) (BgL_offsetz00_1490) - OBJECT_TYPE);
																	{	/* Type/typeof.scm 167 */
																		long BgL_modz00_1492;

																		{	/* Type/typeof.scm 167 */
																			int BgL_arg2390z00_1493;

																			BgL_arg2390z00_1493 = (int) (((long) 8));
																			{	/* Type/typeof.scm 167 */
																				long BgL_auxz00_1904;

																				BgL_auxz00_1904 =
																					(long) (BgL_arg2390z00_1493);
																				BgL_modz00_1492 =
																					(BgL_offsetz00_1491 /
																					BgL_auxz00_1904);
																		}}
																		{	/* Type/typeof.scm 167 */
																			long BgL_restz00_1494;

																			{	/* Type/typeof.scm 167 */
																				int BgL_arg2389z00_1495;

																				BgL_arg2389z00_1495 =
																					(int) (((long) 8));
																				{	/* Type/typeof.scm 167 */
																					long BgL_auxz00_1908;

																					BgL_auxz00_1908 =
																						(long) (BgL_arg2389z00_1495);
																					BgL_restz00_1494 =
																						(BgL_offsetz00_1491 %
																						BgL_auxz00_1908);
																			}}
																			{	/* Type/typeof.scm 167 */

																				BgL_method3150z00_1484 =
																					VECTOR_REF(VECTOR_REF
																					(BgL_arrayz00_1489,
																						(int) (BgL_modz00_1492)),
																					(int) (BgL_restz00_1494));
												}}}}}}}}
												BgL_res3341z00_1509 =
													(BgL_typez00_bglt) (PROCEDURE_ENTRY
													(BgL_method3150z00_1484) (BgL_method3150z00_1484,
														(obj_t) (BgL_nodez00_1483), BEOA));
										}}
										BgL_ntypez00_1240 = BgL_res3341z00_1509;
								}}
								if (
									((obj_t) (BgL_typez00_1237) ==
										BGl_za2magicza2z00zztype_cachez00))
									{
										BgL_typez00_bglt BgL_typez00_1924;

										obj_t BgL_clausesz00_1922;

										BgL_clausesz00_1922 = CDR(BgL_clausesz00_1236);
										BgL_typez00_1924 = BgL_ntypez00_1240;
										BgL_typez00_1237 = BgL_typez00_1924;
										BgL_clausesz00_1236 = BgL_clausesz00_1922;
										goto BgL_loopz00_1238;
									}
								else
									{	/* Type/typeof.scm 171 */
										bool_t BgL_testz00_1925;

										if (
											((obj_t) (BgL_ntypez00_1240) ==
												(obj_t) (BgL_typez00_1237)))
											{	/* Type/typeof.scm 171 */
												BgL_testz00_1925 = ((bool_t) 1);
											}
										else
											{	/* Type/typeof.scm 171 */
												BgL_testz00_1925 =
													(
													(obj_t) (BgL_ntypez00_1240) ==
													BGl_za2magicza2z00zztype_cachez00);
											}
										if (BgL_testz00_1925)
											{
												obj_t BgL_clausesz00_1932;

												BgL_clausesz00_1932 = CDR(BgL_clausesz00_1236);
												BgL_clausesz00_1236 = BgL_clausesz00_1932;
												goto BgL_loopz00_1238;
											}
										else
											{	/* Type/typeof.scm 171 */
												return BGl_za2objza2z00zztype_cachez00;
											}
									}
							}
					}
				}
			}
		}
	}



/* typeof-fail3170 */
	obj_t BGl_typeofzd2fail3170zd2zztype_typeofz00(obj_t BgL_envz00_1652,
		obj_t BgL_nodez00_1653)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 154 */
			return BGl_za2magicza2z00zztype_cachez00;
		}
	}



/* typeof-conditional3168 */
	obj_t BGl_typeofzd2conditional3168zd2zztype_typeofz00(obj_t BgL_envz00_1654,
		obj_t BgL_nodez00_1655)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 143 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1211;

				BgL_nodez00_1211 = (BgL_conditionalz00_bglt) (BgL_nodez00_1655);
				{	/* Type/typeof.scm 145 */
					BgL_typez00_bglt BgL_ttruez00_1215;

					BgL_typez00_bglt BgL_tfalsez00_1216;

					{	/* Type/typeof.scm 145 */
						BgL_nodez00_bglt BgL_arg3292z00_1220;

						BgL_arg3292z00_1220 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1211))->BgL_truez00);
						{	/* Type/typeof.scm 145 */
							BgL_typez00_bglt BgL_res3332z00_1419;

							{	/* Type/typeof.scm 145 */
								obj_t BgL_method3150z00_1394;

								{	/* Type/typeof.scm 145 */
									BgL_objectz00_bglt BgL_objz00_1395;

									BgL_objz00_1395 = (BgL_objectz00_bglt) (BgL_arg3292z00_1220);
									{	/* Type/typeof.scm 145 */
										long BgL_objzd2classzd2numz00_1396;

										BgL_objzd2classzd2numz00_1396 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1395);
										{	/* Type/typeof.scm 145 */
											obj_t BgL_arg2388z00_1397;

											BgL_arg2388z00_1397 =
												PROCEDURE_REF(BGl_typeofzd2envzd2zztype_typeofz00,
												(int) (((long) 1)));
											{	/* Type/typeof.scm 145 */
												obj_t BgL_arrayz00_1399;

												int BgL_offsetz00_1400;

												BgL_arrayz00_1399 = BgL_arg2388z00_1397;
												BgL_offsetz00_1400 =
													(int) (BgL_objzd2classzd2numz00_1396);
												{	/* Type/typeof.scm 145 */
													long BgL_offsetz00_1401;

													BgL_offsetz00_1401 =
														((long) (BgL_offsetz00_1400) - OBJECT_TYPE);
													{	/* Type/typeof.scm 145 */
														long BgL_modz00_1402;

														{	/* Type/typeof.scm 145 */
															int BgL_arg2390z00_1403;

															BgL_arg2390z00_1403 = (int) (((long) 8));
															{	/* Type/typeof.scm 145 */
																long BgL_auxz00_1944;

																BgL_auxz00_1944 = (long) (BgL_arg2390z00_1403);
																BgL_modz00_1402 =
																	(BgL_offsetz00_1401 / BgL_auxz00_1944);
														}}
														{	/* Type/typeof.scm 145 */
															long BgL_restz00_1404;

															{	/* Type/typeof.scm 145 */
																int BgL_arg2389z00_1405;

																BgL_arg2389z00_1405 = (int) (((long) 8));
																{	/* Type/typeof.scm 145 */
																	long BgL_auxz00_1948;

																	BgL_auxz00_1948 =
																		(long) (BgL_arg2389z00_1405);
																	BgL_restz00_1404 =
																		(BgL_offsetz00_1401 % BgL_auxz00_1948);
															}}
															{	/* Type/typeof.scm 145 */

																BgL_method3150z00_1394 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1399,
																		(int) (BgL_modz00_1402)),
																	(int) (BgL_restz00_1404));
								}}}}}}}}
								BgL_res3332z00_1419 =
									(BgL_typez00_bglt) (PROCEDURE_ENTRY(BgL_method3150z00_1394)
									(BgL_method3150z00_1394, (obj_t) (BgL_arg3292z00_1220),
										BEOA));
							}
							BgL_ttruez00_1215 = BgL_res3332z00_1419;
					}}
					{	/* Type/typeof.scm 146 */
						BgL_nodez00_bglt BgL_arg3293z00_1221;

						BgL_arg3293z00_1221 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1211))->
							BgL_falsez00);
						{	/* Type/typeof.scm 146 */
							BgL_typez00_bglt BgL_res3335z00_1447;

							{	/* Type/typeof.scm 146 */
								obj_t BgL_method3150z00_1422;

								{	/* Type/typeof.scm 146 */
									BgL_objectz00_bglt BgL_objz00_1423;

									BgL_objz00_1423 = (BgL_objectz00_bglt) (BgL_arg3293z00_1221);
									{	/* Type/typeof.scm 146 */
										long BgL_objzd2classzd2numz00_1424;

										BgL_objzd2classzd2numz00_1424 =
											BGL_OBJECT_CLASS_NUM(BgL_objz00_1423);
										{	/* Type/typeof.scm 146 */
											obj_t BgL_arg2388z00_1425;

											BgL_arg2388z00_1425 =
												PROCEDURE_REF(BGl_typeofzd2envzd2zztype_typeofz00,
												(int) (((long) 1)));
											{	/* Type/typeof.scm 146 */
												obj_t BgL_arrayz00_1427;

												int BgL_offsetz00_1428;

												BgL_arrayz00_1427 = BgL_arg2388z00_1425;
												BgL_offsetz00_1428 =
													(int) (BgL_objzd2classzd2numz00_1424);
												{	/* Type/typeof.scm 146 */
													long BgL_offsetz00_1429;

													BgL_offsetz00_1429 =
														((long) (BgL_offsetz00_1428) - OBJECT_TYPE);
													{	/* Type/typeof.scm 146 */
														long BgL_modz00_1430;

														{	/* Type/typeof.scm 146 */
															int BgL_arg2390z00_1431;

															BgL_arg2390z00_1431 = (int) (((long) 8));
															{	/* Type/typeof.scm 146 */
																long BgL_auxz00_1968;

																BgL_auxz00_1968 = (long) (BgL_arg2390z00_1431);
																BgL_modz00_1430 =
																	(BgL_offsetz00_1429 / BgL_auxz00_1968);
														}}
														{	/* Type/typeof.scm 146 */
															long BgL_restz00_1432;

															{	/* Type/typeof.scm 146 */
																int BgL_arg2389z00_1433;

																BgL_arg2389z00_1433 = (int) (((long) 8));
																{	/* Type/typeof.scm 146 */
																	long BgL_auxz00_1972;

																	BgL_auxz00_1972 =
																		(long) (BgL_arg2389z00_1433);
																	BgL_restz00_1432 =
																		(BgL_offsetz00_1429 % BgL_auxz00_1972);
															}}
															{	/* Type/typeof.scm 146 */

																BgL_method3150z00_1422 =
																	VECTOR_REF(VECTOR_REF(BgL_arrayz00_1427,
																		(int) (BgL_modz00_1430)),
																	(int) (BgL_restz00_1432));
								}}}}}}}}
								BgL_res3335z00_1447 =
									(BgL_typez00_bglt) (PROCEDURE_ENTRY(BgL_method3150z00_1422)
									(BgL_method3150z00_1422, (obj_t) (BgL_arg3293z00_1221),
										BEOA));
							}
							BgL_tfalsez00_1216 = BgL_res3335z00_1447;
					}}
					{	/* Type/typeof.scm 147 */
						bool_t BgL_testz00_1983;

						if (((obj_t) (BgL_ttruez00_1215) == (obj_t) (BgL_tfalsez00_1216)))
							{	/* Type/typeof.scm 147 */
								BgL_testz00_1983 = ((bool_t) 1);
							}
						else
							{	/* Type/typeof.scm 147 */
								BgL_testz00_1983 =
									(
									(obj_t) (BgL_tfalsez00_1216) ==
									BGl_za2magicza2z00zztype_cachez00);
							}
						if (BgL_testz00_1983)
							{	/* Type/typeof.scm 147 */
								return (obj_t) (BgL_ttruez00_1215);
							}
						else
							{	/* Type/typeof.scm 147 */
								if (
									((obj_t) (BgL_ttruez00_1215) ==
										BGl_za2magicza2z00zztype_cachez00))
									{	/* Type/typeof.scm 148 */
										return (obj_t) (BgL_tfalsez00_1216);
									}
								else
									{	/* Type/typeof.scm 148 */
										return BGl_za2objza2z00zztype_cachez00;
									}
							}
					}
				}
			}
		}
	}



/* typeof-setq3166 */
	obj_t BGl_typeofzd2setq3166zd2zztype_typeofz00(obj_t BgL_envz00_1656,
		obj_t BgL_nodez00_1657)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 137 */
			return BGl_za2unspecza2z00zztype_cachez00;
		}
	}



/* typeof-cast3164 */
	obj_t BGl_typeofzd2cast3164zd2zztype_typeofz00(obj_t BgL_envz00_1658,
		obj_t BgL_nodez00_1659)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 130 */
			{
				BgL_castz00_bglt BgL_nodez00_1200;

				{	/* Type/typeof.scm 131 */
					BgL_typez00_bglt BgL_auxz00_1996;

					BgL_nodez00_1200 = (BgL_castz00_bglt) (BgL_nodez00_1659);
					{
						BgL_nodez00_bglt BgL_auxz00_1997;

						BgL_auxz00_1997 = (BgL_nodez00_bglt) (BgL_nodez00_1200);
						BgL_auxz00_1996 =
							(((BgL_nodez00_bglt) CREF(BgL_auxz00_1997))->BgL_typez00);
					}
					return (obj_t) (BgL_auxz00_1996);
				}
			}
		}
	}



/* typeof-extern3162 */
	obj_t BGl_typeofzd2extern3162zd2zztype_typeofz00(obj_t BgL_envz00_1660,
		obj_t BgL_nodez00_1661)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 123 */
			{
				BgL_externz00_bglt BgL_nodez00_1194;

				{	/* Type/typeof.scm 124 */
					BgL_typez00_bglt BgL_auxz00_2002;

					BgL_nodez00_1194 = (BgL_externz00_bglt) (BgL_nodez00_1661);
					{
						BgL_nodez00_bglt BgL_auxz00_2003;

						BgL_auxz00_2003 = (BgL_nodez00_bglt) (BgL_nodez00_1194);
						BgL_auxz00_2002 =
							(((BgL_nodez00_bglt) CREF(BgL_auxz00_2003))->BgL_typez00);
					}
					return (obj_t) (BgL_auxz00_2002);
				}
			}
		}
	}



/* typeof-sequence3160 */
	obj_t BGl_typeofzd2sequence3160zd2zztype_typeofz00(obj_t BgL_envz00_1662,
		obj_t BgL_nodez00_1663)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 116 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1185;

				{	/* Type/typeof.scm 117 */
					BgL_typez00_bglt BgL_auxz00_2008;

					BgL_nodez00_1185 = (BgL_sequencez00_bglt) (BgL_nodez00_1663);
					{	/* Type/typeof.scm 118 */
						obj_t BgL_arg3282z00_1189;

						BgL_arg3282z00_1189 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1185))->
									BgL_nodesz00)));
						{	/* Type/typeof.scm 118 */
							BgL_typez00_bglt BgL_res3329z00_1387;

							{	/* Type/typeof.scm 118 */
								BgL_nodez00_bglt BgL_nodez00_1361;

								BgL_nodez00_1361 = (BgL_nodez00_bglt) (BgL_arg3282z00_1189);
								{	/* Type/typeof.scm 118 */
									obj_t BgL_method3150z00_1362;

									{	/* Type/typeof.scm 118 */
										BgL_objectz00_bglt BgL_objz00_1363;

										BgL_objz00_1363 = (BgL_objectz00_bglt) (BgL_nodez00_1361);
										{	/* Type/typeof.scm 118 */
											long BgL_objzd2classzd2numz00_1364;

											BgL_objzd2classzd2numz00_1364 =
												BGL_OBJECT_CLASS_NUM(BgL_objz00_1363);
											{	/* Type/typeof.scm 118 */
												obj_t BgL_arg2388z00_1365;

												BgL_arg2388z00_1365 =
													PROCEDURE_REF(BGl_typeofzd2envzd2zztype_typeofz00,
													(int) (((long) 1)));
												{	/* Type/typeof.scm 118 */
													obj_t BgL_arrayz00_1367;

													int BgL_offsetz00_1368;

													BgL_arrayz00_1367 = BgL_arg2388z00_1365;
													BgL_offsetz00_1368 =
														(int) (BgL_objzd2classzd2numz00_1364);
													{	/* Type/typeof.scm 118 */
														long BgL_offsetz00_1369;

														BgL_offsetz00_1369 =
															((long) (BgL_offsetz00_1368) - OBJECT_TYPE);
														{	/* Type/typeof.scm 118 */
															long BgL_modz00_1370;

															{	/* Type/typeof.scm 118 */
																int BgL_arg2390z00_1371;

																BgL_arg2390z00_1371 = (int) (((long) 8));
																{	/* Type/typeof.scm 118 */
																	long BgL_auxz00_2021;

																	BgL_auxz00_2021 =
																		(long) (BgL_arg2390z00_1371);
																	BgL_modz00_1370 =
																		(BgL_offsetz00_1369 / BgL_auxz00_2021);
															}}
															{	/* Type/typeof.scm 118 */
																long BgL_restz00_1372;

																{	/* Type/typeof.scm 118 */
																	int BgL_arg2389z00_1373;

																	BgL_arg2389z00_1373 = (int) (((long) 8));
																	{	/* Type/typeof.scm 118 */
																		long BgL_auxz00_2025;

																		BgL_auxz00_2025 =
																			(long) (BgL_arg2389z00_1373);
																		BgL_restz00_1372 =
																			(BgL_offsetz00_1369 % BgL_auxz00_2025);
																}}
																{	/* Type/typeof.scm 118 */

																	BgL_method3150z00_1362 =
																		VECTOR_REF(VECTOR_REF(BgL_arrayz00_1367,
																			(int) (BgL_modz00_1370)),
																		(int) (BgL_restz00_1372));
									}}}}}}}}
									BgL_res3329z00_1387 =
										(BgL_typez00_bglt) (PROCEDURE_ENTRY(BgL_method3150z00_1362)
										(BgL_method3150z00_1362, (obj_t) (BgL_nodez00_1361), BEOA));
							}}
							BgL_auxz00_2008 = BgL_res3329z00_1387;
					}}
					return (obj_t) (BgL_auxz00_2008);
				}
			}
		}
	}



/* typeof-closure3158 */
	obj_t BGl_typeofzd2closure3158zd2zztype_typeofz00(obj_t BgL_envz00_1664,
		obj_t BgL_nodez00_1665)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 110 */
			return BGl_za2procedureza2z00zztype_cachez00;
		}
	}



/* typeof-var3156 */
	obj_t BGl_typeofzd2var3156zd2zztype_typeofz00(obj_t BgL_envz00_1666,
		obj_t BgL_nodez00_1667)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 96 */
			{
				BgL_varz00_bglt BgL_nodez00_1166;

				BgL_nodez00_1166 = (BgL_varz00_bglt) (BgL_nodez00_1667);
				{	/* Type/typeof.scm 98 */
					BgL_valuez00_bglt BgL_valuez00_1170;

					{	/* Type/typeof.scm 98 */
						BgL_variablez00_bglt BgL_obj2646z00_1354;

						BgL_obj2646z00_1354 =
							(((BgL_varz00_bglt) CREF(BgL_nodez00_1166))->BgL_variablez00);
						BgL_valuez00_1170 =
							(((BgL_variablez00_bglt) CREF(BgL_obj2646z00_1354))->
							BgL_valuez00);
					}
					{	/* Type/typeof.scm 100 */
						bool_t BgL_testz00_2040;

						{	/* Type/typeof.scm 100 */
							obj_t BgL_obj2988z00_1355;

							BgL_obj2988z00_1355 = (obj_t) (BgL_valuez00_1170);
							BgL_testz00_2040 =
								BGl_iszd2azf3z21zz__objectz00(BgL_obj2988z00_1355,
								BGl_sfunz00zzast_varz00);
						}
						if (BgL_testz00_2040)
							{	/* Type/typeof.scm 100 */
								return BGl_za2procedureza2z00zztype_cachez00;
							}
						else
							{	/* Type/typeof.scm 102 */
								bool_t BgL_testz00_2043;

								{	/* Type/typeof.scm 102 */
									obj_t BgL_obj3052z00_1356;

									BgL_obj3052z00_1356 = (obj_t) (BgL_valuez00_1170);
									BgL_testz00_2043 =
										BGl_iszd2azf3z21zz__objectz00(BgL_obj3052z00_1356,
										BGl_cfunz00zzast_varz00);
								}
								if (BgL_testz00_2043)
									{	/* Type/typeof.scm 102 */
										return
											BGl_errorz00zz__errorz00
											(BGl_string3371z00zztype_typeofz00,
											BGl_string3372z00zztype_typeofz00,
											BGl_shapez00zztools_shapez00((obj_t) (BgL_nodez00_1166)));
									}
								else
									{	/* Type/typeof.scm 105 */
										BgL_variablez00_bglt BgL_obj2643z00_1358;

										BgL_obj2643z00_1358 =
											(((BgL_varz00_bglt) CREF(BgL_nodez00_1166))->
											BgL_variablez00);
										return (obj_t) ((((BgL_variablez00_bglt)
													CREF(BgL_obj2643z00_1358))->BgL_typez00));
									}
							}
					}
				}
			}
		}
	}



/* typeof-kwote3154 */
	obj_t BGl_typeofzd2kwote3154zd2zztype_typeofz00(obj_t BgL_envz00_1668,
		obj_t BgL_nodez00_1669)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 89 */
			{
				BgL_kwotez00_bglt BgL_nodez00_1159;

				{	/* Type/typeof.scm 90 */
					BgL_typez00_bglt BgL_auxz00_2053;

					BgL_nodez00_1159 = (BgL_kwotez00_bglt) (BgL_nodez00_1669);
					BgL_auxz00_2053 =
						BGl_typeofzd2kwotezd2zztype_typeofz00(
						(((BgL_kwotez00_bglt) CREF(BgL_nodez00_1159))->BgL_valuez00));
					return (obj_t) (BgL_auxz00_2053);
				}
			}
		}
	}



/* typeof-atom3152 */
	obj_t BGl_typeofzd2atom3152zd2zztype_typeofz00(obj_t BgL_envz00_1670,
		obj_t BgL_nodez00_1671)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 82 */
			{
				BgL_atomz00_bglt BgL_nodez00_1152;

				{	/* Type/typeof.scm 83 */
					BgL_typez00_bglt BgL_auxz00_2058;

					BgL_nodez00_1152 = (BgL_atomz00_bglt) (BgL_nodez00_1671);
					BgL_auxz00_2058 =
						BGl_typeofzd2atomzd2zztype_typeofz00(
						(((BgL_atomz00_bglt) CREF(BgL_nodez00_1152))->BgL_valuez00));
					return (obj_t) (BgL_auxz00_2058);
				}
			}
		}
	}



/* typeof */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_typeofz00zztype_typeofz00(BgL_nodez00_bglt BgL_nodez00_13)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 77 */
			{	/* Type/typeof.scm 77 */
				obj_t BgL_method3150z00_1578;

				{	/* Type/typeof.scm 77 */
					BgL_objectz00_bglt BgL_objz00_1579;

					BgL_objz00_1579 = (BgL_objectz00_bglt) (BgL_nodez00_13);
					{	/* Type/typeof.scm 77 */
						long BgL_objzd2classzd2numz00_1580;

						BgL_objzd2classzd2numz00_1580 =
							BGL_OBJECT_CLASS_NUM(BgL_objz00_1579);
						{	/* Type/typeof.scm 77 */
							obj_t BgL_arg2388z00_1581;

							BgL_arg2388z00_1581 =
								PROCEDURE_REF(BGl_typeofzd2envzd2zztype_typeofz00,
								(int) (((long) 1)));
							{	/* Type/typeof.scm 77 */
								obj_t BgL_arrayz00_1583;

								int BgL_offsetz00_1584;

								BgL_arrayz00_1583 = BgL_arg2388z00_1581;
								BgL_offsetz00_1584 = (int) (BgL_objzd2classzd2numz00_1580);
								{	/* Type/typeof.scm 77 */
									long BgL_offsetz00_1585;

									BgL_offsetz00_1585 =
										((long) (BgL_offsetz00_1584) - OBJECT_TYPE);
									{	/* Type/typeof.scm 77 */
										long BgL_modz00_1586;

										{	/* Type/typeof.scm 77 */
											int BgL_arg2390z00_1587;

											BgL_arg2390z00_1587 = (int) (((long) 8));
											{	/* Type/typeof.scm 77 */
												long BgL_auxz00_2071;

												BgL_auxz00_2071 = (long) (BgL_arg2390z00_1587);
												BgL_modz00_1586 =
													(BgL_offsetz00_1585 / BgL_auxz00_2071);
										}}
										{	/* Type/typeof.scm 77 */
											long BgL_restz00_1588;

											{	/* Type/typeof.scm 77 */
												int BgL_arg2389z00_1589;

												BgL_arg2389z00_1589 = (int) (((long) 8));
												{	/* Type/typeof.scm 77 */
													long BgL_auxz00_2075;

													BgL_auxz00_2075 = (long) (BgL_arg2389z00_1589);
													BgL_restz00_1588 =
														(BgL_offsetz00_1585 % BgL_auxz00_2075);
											}}
											{	/* Type/typeof.scm 77 */

												BgL_method3150z00_1578 =
													VECTOR_REF(VECTOR_REF(BgL_arrayz00_1583,
														(int) (BgL_modz00_1586)), (int) (BgL_restz00_1588));
				}}}}}}}}
				return
					(BgL_typez00_bglt) (PROCEDURE_ENTRY(BgL_method3150z00_1578)
					(BgL_method3150z00_1578, (obj_t) (BgL_nodez00_13), BEOA));
			}
		}
	}



/* _typeof */
	obj_t BGl__typeofz00zztype_typeofz00(obj_t BgL_envz00_1616,
		obj_t BgL_nodez00_1617)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 77 */
			return
				(obj_t) (BGl_typeofz00zztype_typeofz00(
					(BgL_nodez00_bglt) (BgL_nodez00_1617)));
		}
	}



/* typeof-default3149 */
	BgL_typez00_bglt BGl_typeofzd2default3149zd2zztype_typeofz00(BgL_nodez00_bglt
		BgL_nodez00_14)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			return
				(BgL_typez00_bglt) (BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string3373z00zztype_typeofz00, (obj_t) (BgL_nodez00_14)));
		}
	}



/* _typeof-default3149 */
	obj_t BGl__typeofzd2default3149zd2zztype_typeofz00(obj_t BgL_envz00_1672,
		obj_t BgL_nodez00_1673)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			return
				(obj_t) (BGl_typeofzd2default3149zd2zztype_typeofz00(
					(BgL_nodez00_bglt) (BgL_nodez00_1673)));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 19090),
				BSTRING_TO_STRING(BGl_string3374z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 484733332),
				BSTRING_TO_STRING(BGl_string3374z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 11585204),
				BSTRING_TO_STRING(BGl_string3374z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 43233168),
				BSTRING_TO_STRING(BGl_string3374z00zztype_typeofz00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 399603825),
				BSTRING_TO_STRING(BGl_string3374z00zztype_typeofz00));
		}
	}

#ifdef __cplusplus
}
#endif
