/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -c Llib/process.scm -indent -o objs/obj_s/Llib/process.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Object type definitions */
typedef struct BgL_z62conditionz62_bgl {
   header_t header;
   obj_t widening;
} *BgL_z62conditionz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62typezd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
   obj_t BgL_typez00;
} *BgL_z62typezd2errorzb0_bglt;

typedef struct BgL_z62iozd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2errorzb0_bglt;

typedef struct BgL_z62iozd2portzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2portzd2errorz62_bglt;

typedef struct BgL_z62iozd2readzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2readzd2errorz62_bglt;

typedef struct BgL_z62iozd2writezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2writezd2errorz62_bglt;

typedef struct BgL_z62iozd2closedzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2closedzd2errorz62_bglt;

typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

typedef struct BgL_z62iozd2parsezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2parsezd2errorz62_bglt;

typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2sigpipezd2errorz62_bglt;

typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62iozd2timeoutzd2errorz62_bglt;

typedef struct BgL_z62processzd2exceptionzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62processzd2exceptionzb0_bglt;

typedef struct BgL_z62securityzd2exceptionzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_messagez00;
} *BgL_z62securityzd2exceptionzb0_bglt;

typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_messagez00;
   obj_t BgL_permissionz00;
} *BgL_z62accesszd2controlzd2exceptionz62_bglt;

typedef struct BgL_z62warningz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_argsz00;
} *BgL_z62warningz62_bglt;

typedef struct BgL_z62evalzd2warningzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_argsz00;
} *BgL_z62evalzd2warningzb0_bglt;

typedef struct BgL_threadzd2backendzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadzd2backendzd2_bglt;

typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__processz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern bool_t c_process_alivep(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2stopzd2zz__processz00(obj_t);
extern obj_t bgl_close_output_port(obj_t);
static obj_t BGl_keyword2202z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2206z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2196z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2208z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2210z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2212z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2214z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2216z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2218z00zz__processz00 = BUNSPEC;
extern obj_t c_process_send_signal(obj_t, int);
static obj_t BGl__processzf3zf3zz__processz00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl__processzd2listzd2zz__processz00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl__processzd2kill2105zd2zz__processz00(obj_t, obj_t);
extern obj_t c_process_kill(obj_t);
extern obj_t c_run_process(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t);
static obj_t BGl__processzd2exitzd2status2103z00zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2nilzd2zz__processz00(obj_t);
static obj_t BGl__processzd2sendzd2signal2104z00zz__processz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t c_process_stop(obj_t);
BGL_EXPORTED_DECL obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t);
extern obj_t bgl_process_nil();
BGL_EXPORTED_DECL obj_t BGl_processzd2listzd2zz__processz00();
BGL_EXPORTED_DECL obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t, int);
static obj_t BGl__unregisterzd2process2110zd2zz__processz00(obj_t, obj_t);
extern obj_t c_process_continue(obj_t);
static obj_t BGl__processzd2continue2107zd2zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t);
static obj_t BGl__processzd2pid2097zd2zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_runzd2processzd2zz__processz00(obj_t, obj_t);
static obj_t BGl__runzd2process2108zd2zz__processz00(obj_t, obj_t, obj_t);
extern obj_t bgl_reverse_bang(obj_t);
BGL_EXPORTED_DECL bool_t BGl_processzf3zf3zz__processz00(obj_t);
static obj_t BGl__processzd2inputzd2port2099z00zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2outputzd2port2098z00zz__processz00(obj_t, obj_t);
extern obj_t bgl_close_input_port(obj_t);
static obj_t BGl__processzd2errorzd2port2100z00zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2continuezd2zz__processz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__processz00();
BGL_EXPORTED_DECL bool_t BGl_processzd2waitzd2zz__processz00(obj_t);
static obj_t BGl__closezd2processzd2ports2109z00zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2nilzd2zz__processz00();
extern obj_t c_process_xstatus(obj_t);
extern obj_t c_process_list();
static obj_t BGl_importedzd2moduleszd2initz00zz__processz00();
static obj_t BGl__processzd2wait2102zd2zz__processz00(obj_t, obj_t);
static obj_t BGl_symbol2171z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2174z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2176z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2178z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2180z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2182z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2184z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2186z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t);
static obj_t BGl_symbol2189z00zz__processz00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2191z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2193z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2198z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t);
static obj_t BGl_symbol2220z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2221z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2224z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2killzd2zz__processz00(obj_t);
static obj_t BGl_symbol2228z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2230z00zz__processz00 = BUNSPEC;
static obj_t BGl__processzd2alivezf32101z21zz__processz00(obj_t, obj_t);
extern obj_t c_unregister_process(obj_t);
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_list2195z00zz__processz00 = BUNSPEC;
extern obj_t c_process_wait(obj_t);
BGL_EXPORTED_DECL int BGl_processzd2pidzd2zz__processz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__processz00();
static obj_t BGl__processzd2stop2106zd2zz__processz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2nilzd2envz00zz__processz00, BgL_bgl__processza7d2nilza7d2234z00, BGl__processzd2nilzd2zz__processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2listzd2envz00zz__processz00, BgL_bgl__processza7d2listza72235z00, BGl__processzd2listzd2zz__processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2waitzd2envz00zz__processz00, BgL_bgl__processza7d2wait22236za7, BGl__processzd2wait2102zd2zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2outputzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2outpu2237za7, BGl__processzd2outputzd2port2098z00zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closezd2processzd2portszd2envzd2zz__processz00, BgL_bgl__closeza7d2process2238za7, BGl__closezd2processzd2ports2109z00zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2stopzd2envz00zz__processz00, BgL_bgl__processza7d2stop22239za7, BGl__processzd2stop2106zd2zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2alivezf3zd2envzf3zz__processz00, BgL_bgl__processza7d2alive2240za7, BGl__processzd2alivezf32101z21zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2pidzd2envz00zz__processz00, BgL_bgl__processza7d2pid202241za7, BGl__processzd2pid2097zd2zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_runzd2processzd2envz00zz__processz00, BgL_bgl__runza7d2process212242za7, va_generic_entry, BGl__runzd2process2108zd2zz__processz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2killzd2envz00zz__processz00, BgL_bgl__processza7d2kill22243za7, BGl__processzd2kill2105zd2zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2continuezd2envz00zz__processz00, BgL_bgl__processza7d2conti2244za7, BGl__processzd2continue2107zd2zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzf3zd2envz21zz__processz00, BgL_bgl__processza7f3za7f3za7za72245z00, BGl__processzf3zf3zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2172z00zz__processz00, BgL_bgl_string2172za700za7za7_2246za7, "_process-pid2097", 16 );
DEFINE_STRING( BGl_string2173z00zz__processz00, BgL_bgl_string2173za700za7za7_2247za7, "process", 7 );
DEFINE_STRING( BGl_string2175z00zz__processz00, BgL_bgl_string2175za700za7za7_2248za7, "_process-output-port2098", 24 );
DEFINE_STRING( BGl_string2177z00zz__processz00, BgL_bgl_string2177za700za7za7_2249za7, "_process-input-port2099", 23 );
DEFINE_STRING( BGl_string2179z00zz__processz00, BgL_bgl_string2179za700za7za7_2250za7, "_process-error-port2100", 23 );
DEFINE_STRING( BGl_string2181z00zz__processz00, BgL_bgl_string2181za700za7za7_2251za7, "_process-alive?2101", 19 );
DEFINE_STRING( BGl_string2183z00zz__processz00, BgL_bgl_string2183za700za7za7_2252za7, "_process-wait2102", 17 );
DEFINE_STRING( BGl_string2185z00zz__processz00, BgL_bgl_string2185za700za7za7_2253za7, "_process-exit-status2103", 24 );
DEFINE_STRING( BGl_string2187z00zz__processz00, BgL_bgl_string2187za700za7za7_2254za7, "_process-send-signal2104", 24 );
DEFINE_STRING( BGl_string2188z00zz__processz00, BgL_bgl_string2188za700za7za7_2255za7, "int", 3 );
DEFINE_STRING( BGl_string2200z00zz__processz00, BgL_bgl_string2200za700za7za7_2256za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string2190z00zz__processz00, BgL_bgl_string2190za700za7za7_2257za7, "_process-kill2105", 17 );
DEFINE_STRING( BGl_string2201z00zz__processz00, BgL_bgl_string2201za700za7za7_2258za7, "pair", 4 );
DEFINE_STRING( BGl_string2192z00zz__processz00, BgL_bgl_string2192za700za7za7_2259za7, "_process-stop2106", 17 );
DEFINE_STRING( BGl_string2203z00zz__processz00, BgL_bgl_string2203za700za7za7_2260za7, "wait", 4 );
DEFINE_STRING( BGl_string2204z00zz__processz00, BgL_bgl_string2204za700za7za7_2261za7, "run-process", 11 );
DEFINE_STRING( BGl_string2194z00zz__processz00, BgL_bgl_string2194za700za7za7_2262za7, "_process-continue2107", 21 );
DEFINE_STRING( BGl_string2205z00zz__processz00, BgL_bgl_string2205za700za7za7_2263za7, "Illegal argument", 16 );
DEFINE_STRING( BGl_string2207z00zz__processz00, BgL_bgl_string2207za700za7za7_2264za7, "fork", 4 );
DEFINE_STRING( BGl_string2197z00zz__processz00, BgL_bgl_string2197za700za7za7_2265za7, "pipe", 4 );
DEFINE_STRING( BGl_string2209z00zz__processz00, BgL_bgl_string2209za700za7za7_2266za7, "input", 5 );
DEFINE_STRING( BGl_string2199z00zz__processz00, BgL_bgl_string2199za700za7za7_2267za7, "loop", 4 );
DEFINE_STRING( BGl_string2211z00zz__processz00, BgL_bgl_string2211za700za7za7_2268za7, "output", 6 );
DEFINE_STRING( BGl_string2213z00zz__processz00, BgL_bgl_string2213za700za7za7_2269za7, "null", 4 );
DEFINE_STRING( BGl_string2215z00zz__processz00, BgL_bgl_string2215za700za7za7_2270za7, "error", 5 );
DEFINE_STRING( BGl_string2217z00zz__processz00, BgL_bgl_string2217za700za7za7_2271za7, "host", 4 );
DEFINE_STRING( BGl_string2219z00zz__processz00, BgL_bgl_string2219za700za7za7_2272za7, "env", 3 );
DEFINE_STRING( BGl_string2222z00zz__processz00, BgL_bgl_string2222za700za7za7_2273za7, "_run-process2108", 16 );
DEFINE_STRING( BGl_string2223z00zz__processz00, BgL_bgl_string2223za700za7za7_2274za7, "bstring", 7 );
DEFINE_STRING( BGl_string2225z00zz__processz00, BgL_bgl_string2225za700za7za7_2275za7, "close-process-ports", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_unregisterzd2processzd2envz00zz__processz00, BgL_bgl__unregisterza7d2pr2276za7, BGl__unregisterzd2process2110zd2zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2226z00zz__processz00, BgL_bgl_string2226za700za7za7_2277za7, "output-port", 11 );
DEFINE_STRING( BGl_string2227z00zz__processz00, BgL_bgl_string2227za700za7za7_2278za7, "input-port", 10 );
DEFINE_STRING( BGl_string2229z00zz__processz00, BgL_bgl_string2229za700za7za7_2279za7, "_close-process-ports2109", 24 );
DEFINE_STRING( BGl_string2231z00zz__processz00, BgL_bgl_string2231za700za7za7_2280za7, "_unregister-process2110", 23 );
DEFINE_STRING( BGl_string2232z00zz__processz00, BgL_bgl_string2232za700za7za7_2281za7, "__process", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2inputzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2input2282za7, BGl__processzd2inputzd2port2099z00zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2exitzd2statuszd2envzd2zz__processz00, BgL_bgl__processza7d2exitza72283z00, BGl__processzd2exitzd2status2103z00zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2sendzd2signalzd2envzd2zz__processz00, BgL_bgl__processza7d2sendza72284z00, BGl__processzd2sendzd2signal2104z00zz__processz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2errorzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2error2285za7, BGl__processzd2errorzd2port2100z00zz__processz00, 0L, BUNSPEC, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__processz00(long BgL_checksumz00_1567, char * BgL_fromz00_1568)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__processz00))
{ 
BGl_requirezd2initializa7ationz75zz__processz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__processz00(); 
BGl_importedzd2moduleszd2initz00zz__processz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
BGl_symbol2171z00zz__processz00 = 
bstring_to_symbol(BGl_string2172z00zz__processz00); 
BGl_symbol2174z00zz__processz00 = 
bstring_to_symbol(BGl_string2175z00zz__processz00); 
BGl_symbol2176z00zz__processz00 = 
bstring_to_symbol(BGl_string2177z00zz__processz00); 
BGl_symbol2178z00zz__processz00 = 
bstring_to_symbol(BGl_string2179z00zz__processz00); 
BGl_symbol2180z00zz__processz00 = 
bstring_to_symbol(BGl_string2181z00zz__processz00); 
BGl_symbol2182z00zz__processz00 = 
bstring_to_symbol(BGl_string2183z00zz__processz00); 
BGl_symbol2184z00zz__processz00 = 
bstring_to_symbol(BGl_string2185z00zz__processz00); 
BGl_symbol2186z00zz__processz00 = 
bstring_to_symbol(BGl_string2187z00zz__processz00); 
BGl_symbol2189z00zz__processz00 = 
bstring_to_symbol(BGl_string2190z00zz__processz00); 
BGl_symbol2191z00zz__processz00 = 
bstring_to_symbol(BGl_string2192z00zz__processz00); 
BGl_symbol2193z00zz__processz00 = 
bstring_to_symbol(BGl_string2194z00zz__processz00); 
BGl_keyword2196z00zz__processz00 = 
bstring_to_keyword(BGl_string2197z00zz__processz00); 
BGl_list2195z00zz__processz00 = 
MAKE_PAIR(BGl_keyword2196z00zz__processz00, BNIL); 
BGl_symbol2198z00zz__processz00 = 
bstring_to_symbol(BGl_string2199z00zz__processz00); 
BGl_keyword2202z00zz__processz00 = 
bstring_to_keyword(BGl_string2203z00zz__processz00); 
BGl_keyword2206z00zz__processz00 = 
bstring_to_keyword(BGl_string2207z00zz__processz00); 
BGl_keyword2208z00zz__processz00 = 
bstring_to_keyword(BGl_string2209z00zz__processz00); 
BGl_keyword2210z00zz__processz00 = 
bstring_to_keyword(BGl_string2211z00zz__processz00); 
BGl_keyword2212z00zz__processz00 = 
bstring_to_keyword(BGl_string2213z00zz__processz00); 
BGl_keyword2214z00zz__processz00 = 
bstring_to_keyword(BGl_string2215z00zz__processz00); 
BGl_keyword2216z00zz__processz00 = 
bstring_to_keyword(BGl_string2217z00zz__processz00); 
BGl_keyword2218z00zz__processz00 = 
bstring_to_keyword(BGl_string2219z00zz__processz00); 
BGl_symbol2220z00zz__processz00 = 
bstring_to_symbol(BGl_string2204z00zz__processz00); 
BGl_symbol2221z00zz__processz00 = 
bstring_to_symbol(BGl_string2222z00zz__processz00); 
BGl_symbol2224z00zz__processz00 = 
bstring_to_symbol(BGl_string2225z00zz__processz00); 
BGl_symbol2228z00zz__processz00 = 
bstring_to_symbol(BGl_string2229z00zz__processz00); 
return ( 
BGl_symbol2230z00zz__processz00 = 
bstring_to_symbol(BGl_string2231z00zz__processz00), BUNSPEC) ;} 
}



/* process? */
BGL_EXPORTED_DEF bool_t BGl_processzf3zf3zz__processz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* Llib/process.scm 122 */
return 
PROCESSP(BgL_objz00_1);} 
}



/* _process? */
obj_t BGl__processzf3zf3zz__processz00(obj_t BgL_envz00_1454, obj_t BgL_objz00_1455)
{ AN_OBJECT;
{ /* Llib/process.scm 122 */
return 
BBOOL(
PROCESSP(BgL_objz00_1455));} 
}



/* process-nil */
BGL_EXPORTED_DEF obj_t BGl_processzd2nilzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 128 */
return 
bgl_process_nil();} 
}



/* _process-nil */
obj_t BGl__processzd2nilzd2zz__processz00(obj_t BgL_envz00_1456)
{ AN_OBJECT;
{ /* Llib/process.scm 128 */
return 
bgl_process_nil();} 
}



/* process-pid */
BGL_EXPORTED_DEF int BGl_processzd2pidzd2zz__processz00(obj_t BgL_procz00_2)
{ AN_OBJECT;
{ /* Llib/process.scm 134 */
return 
PROCESS_PID(BgL_procz00_2);} 
}



/* _process-pid2097 */
obj_t BGl__processzd2pid2097zd2zz__processz00(obj_t BgL_envz00_1457, obj_t BgL_procz00_1458)
{ AN_OBJECT;
{ /* Llib/process.scm 134 */
{ /* Llib/process.scm 135 */
int BgL_auxz00_1607;
{ /* Llib/process.scm 135 */
obj_t BgL_procz00_1549;
if(
PROCESSP(BgL_procz00_1458))
{ /* Llib/process.scm 135 */
BgL_procz00_1549 = BgL_procz00_1458; }  else 
{ /* Llib/process.scm 135 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2171z00zz__processz00, BGl_string2173z00zz__processz00, BgL_procz00_1458); 
exit( -1 );} 
BgL_auxz00_1607 = 
PROCESS_PID(BgL_procz00_1549); } 
return 
BINT(BgL_auxz00_1607);} } 
}



/* process-output-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t BgL_procz00_3)
{ AN_OBJECT;
{ /* Llib/process.scm 140 */
return 
PROCESS_OUTPUT_PORT(BgL_procz00_3);} 
}



/* _process-output-port2098 */
obj_t BGl__processzd2outputzd2port2098z00zz__processz00(obj_t BgL_envz00_1459, obj_t BgL_procz00_1460)
{ AN_OBJECT;
{ /* Llib/process.scm 140 */
{ /* Llib/process.scm 141 */
obj_t BgL_procz00_1550;
if(
PROCESSP(BgL_procz00_1460))
{ /* Llib/process.scm 141 */
BgL_procz00_1550 = BgL_procz00_1460; }  else 
{ /* Llib/process.scm 141 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2174z00zz__processz00, BGl_string2173z00zz__processz00, BgL_procz00_1460); 
exit( -1 );} 
return 
PROCESS_OUTPUT_PORT(BgL_procz00_1550);} } 
}



/* process-input-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t BgL_procz00_4)
{ AN_OBJECT;
{ /* Llib/process.scm 146 */
return 
PROCESS_INPUT_PORT(BgL_procz00_4);} 
}



/* _process-input-port2099 */
obj_t BGl__processzd2inputzd2port2099z00zz__processz00(obj_t BgL_envz00_1461, obj_t BgL_procz00_1462)
{ AN_OBJECT;
{ /* Llib/process.scm 146 */
{ /* Llib/process.scm 147 */
obj_t BgL_procz00_1551;
if(
PROCESSP(BgL_procz00_1462))
{ /* Llib/process.scm 147 */
BgL_procz00_1551 = BgL_procz00_1462; }  else 
{ /* Llib/process.scm 147 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2176z00zz__processz00, BGl_string2173z00zz__processz00, BgL_procz00_1462); 
exit( -1 );} 
return 
PROCESS_INPUT_PORT(BgL_procz00_1551);} } 
}



/* process-error-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t BgL_procz00_5)
{ AN_OBJECT;
{ /* Llib/process.scm 152 */
return 
PROCESS_ERROR_PORT(BgL_procz00_5);} 
}



/* _process-error-port2100 */
obj_t BGl__processzd2errorzd2port2100z00zz__processz00(obj_t BgL_envz00_1463, obj_t BgL_procz00_1464)
{ AN_OBJECT;
{ /* Llib/process.scm 152 */
{ /* Llib/process.scm 153 */
obj_t BgL_procz00_1552;
if(
PROCESSP(BgL_procz00_1464))
{ /* Llib/process.scm 153 */
BgL_procz00_1552 = BgL_procz00_1464; }  else 
{ /* Llib/process.scm 153 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2178z00zz__processz00, BGl_string2173z00zz__processz00, BgL_procz00_1464); 
exit( -1 );} 
return 
PROCESS_ERROR_PORT(BgL_procz00_1552);} } 
}



/* process-alive? */
BGL_EXPORTED_DEF bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t BgL_procz00_6)
{ AN_OBJECT;
{ /* Llib/process.scm 158 */
return 
c_process_alivep(BgL_procz00_6);} 
}



/* _process-alive?2101 */
obj_t BGl__processzd2alivezf32101z21zz__processz00(obj_t BgL_envz00_1465, obj_t BgL_procz00_1466)
{ AN_OBJECT;
{ /* Llib/process.scm 158 */
{ /* Llib/process.scm 159 */
bool_t BgL_auxz00_1633;
{ /* Llib/process.scm 159 */
obj_t BgL_procz00_1553;
if(
PROCESSP(BgL_procz00_1466))
{ /* Llib/process.scm 159 */
BgL_procz00_1553 = BgL_procz00_1466; }  else 
{ /* Llib/process.scm 159 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2180z00zz__processz00, BGl_string2173z00zz__processz00, BgL_procz00_1466); 
exit( -1 );} 
BgL_auxz00_1633 = 
c_process_alivep(BgL_procz00_1553); } 
return 
BBOOL(BgL_auxz00_1633);} } 
}



/* process-wait */
BGL_EXPORTED_DEF bool_t BGl_processzd2waitzd2zz__processz00(obj_t BgL_procz00_7)
{ AN_OBJECT;
{ /* Llib/process.scm 164 */
if(
c_process_alivep(BgL_procz00_7))
{ /* Llib/process.scm 165 */
return 
CBOOL(
c_process_wait(BgL_procz00_7));}  else 
{ /* Llib/process.scm 165 */
return ((bool_t)0);} } 
}



/* _process-wait2102 */
obj_t BGl__processzd2wait2102zd2zz__processz00(obj_t BgL_envz00_1467, obj_t BgL_procz00_1468)
{ AN_OBJECT;
{ /* Llib/process.scm 164 */
{ /* Llib/process.scm 165 */
bool_t BgL_auxz00_1644;
{ /* Llib/process.scm 165 */
obj_t BgL_procz00_1554;
if(
PROCESSP(BgL_procz00_1468))
{ /* Llib/process.scm 165 */
BgL_procz00_1554 = BgL_procz00_1468; }  else 
{ /* Llib/process.scm 165 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2182z00zz__processz00, BGl_string2173z00zz__processz00, BgL_procz00_1468); 
exit( -1 );} 
if(
c_process_alivep(BgL_procz00_1554))
{ /* Llib/process.scm 165 */
BgL_auxz00_1644 = 
CBOOL(
c_process_wait(BgL_procz00_1554))
; }  else 
{ /* Llib/process.scm 165 */
BgL_auxz00_1644 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_1644);} } 
}



/* process-exit-status */
BGL_EXPORTED_DEF obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t BgL_procz00_8)
{ AN_OBJECT;
{ /* Llib/process.scm 171 */
return 
c_process_xstatus(BgL_procz00_8);} 
}



/* _process-exit-status2103 */
obj_t BGl__processzd2exitzd2status2103z00zz__processz00(obj_t BgL_envz00_1469, obj_t BgL_procz00_1470)
{ AN_OBJECT;
{ /* Llib/process.scm 171 */
{ /* Llib/process.scm 172 */
obj_t BgL_procz00_1555;
if(
PROCESSP(BgL_procz00_1470))
{ /* Llib/process.scm 172 */
BgL_procz00_1555 = BgL_procz00_1470; }  else 
{ /* Llib/process.scm 172 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2184z00zz__processz00, BGl_string2173z00zz__processz00, BgL_procz00_1470); 
exit( -1 );} 
return 
c_process_xstatus(BgL_procz00_1555);} } 
}



/* process-send-signal */
BGL_EXPORTED_DEF obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t BgL_procz00_9, int BgL_signalz00_10)
{ AN_OBJECT;
{ /* Llib/process.scm 177 */
return 
c_process_send_signal(BgL_procz00_9, BgL_signalz00_10);} 
}



/* _process-send-signal2104 */
obj_t BGl__processzd2sendzd2signal2104z00zz__processz00(obj_t BgL_envz00_1471, obj_t BgL_procz00_1472, obj_t BgL_signalz00_1473)
{ AN_OBJECT;
{ /* Llib/process.scm 177 */
{ /* Llib/process.scm 178 */
obj_t BgL_procz00_1556;int BgL_signalz00_1557;
if(
PROCESSP(BgL_procz00_1472))
{ /* Llib/process.scm 178 */
BgL_procz00_1556 = BgL_procz00_1472; }  else 
{ /* Llib/process.scm 178 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2186z00zz__processz00, BGl_string2173z00zz__processz00, BgL_procz00_1472); 
exit( -1 );} 
{ /* Llib/process.scm 178 */
obj_t BgL_auxz00_1665;
if(
INTEGERP(BgL_signalz00_1473))
{ /* Llib/process.scm 178 */
BgL_auxz00_1665 = BgL_signalz00_1473
; }  else 
{ /* Llib/process.scm 178 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2186z00zz__processz00, BGl_string2188z00zz__processz00, BgL_signalz00_1473); 
exit( -1 );} 
BgL_signalz00_1557 = 
CINT(BgL_auxz00_1665); } 
return 
c_process_send_signal(BgL_procz00_1556, BgL_signalz00_1557);} } 
}



/* process-kill */
BGL_EXPORTED_DEF obj_t BGl_processzd2killzd2zz__processz00(obj_t BgL_procz00_11)
{ AN_OBJECT;
{ /* Llib/process.scm 183 */
c_process_kill(BgL_procz00_11); 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_11);} 
}



/* _process-kill2105 */
obj_t BGl__processzd2kill2105zd2zz__processz00(obj_t BgL_envz00_1474, obj_t BgL_procz00_1475)
{ AN_OBJECT;
{ /* Llib/process.scm 183 */
{ /* Llib/process.scm 185 */
obj_t BgL_procz00_1558;
if(
PROCESSP(BgL_procz00_1475))
{ /* Llib/process.scm 185 */
BgL_procz00_1558 = BgL_procz00_1475; }  else 
{ /* Llib/process.scm 185 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2189z00zz__processz00, BGl_string2173z00zz__processz00, BgL_procz00_1475); 
exit( -1 );} 
c_process_kill(BgL_procz00_1558); 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_1558);} } 
}



/* process-stop */
BGL_EXPORTED_DEF obj_t BGl_processzd2stopzd2zz__processz00(obj_t BgL_procz00_12)
{ AN_OBJECT;
{ /* Llib/process.scm 190 */
return 
c_process_stop(BgL_procz00_12);} 
}



/* _process-stop2106 */
obj_t BGl__processzd2stop2106zd2zz__processz00(obj_t BgL_envz00_1476, obj_t BgL_procz00_1477)
{ AN_OBJECT;
{ /* Llib/process.scm 190 */
{ /* Llib/process.scm 191 */
obj_t BgL_procz00_1559;
if(
PROCESSP(BgL_procz00_1477))
{ /* Llib/process.scm 191 */
BgL_procz00_1559 = BgL_procz00_1477; }  else 
{ /* Llib/process.scm 191 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2191z00zz__processz00, BGl_string2173z00zz__processz00, BgL_procz00_1477); 
exit( -1 );} 
return 
c_process_stop(BgL_procz00_1559);} } 
}



/* process-continue */
BGL_EXPORTED_DEF obj_t BGl_processzd2continuezd2zz__processz00(obj_t BgL_procz00_13)
{ AN_OBJECT;
{ /* Llib/process.scm 196 */
return 
c_process_continue(BgL_procz00_13);} 
}



/* _process-continue2107 */
obj_t BGl__processzd2continue2107zd2zz__processz00(obj_t BgL_envz00_1478, obj_t BgL_procz00_1479)
{ AN_OBJECT;
{ /* Llib/process.scm 196 */
{ /* Llib/process.scm 197 */
obj_t BgL_procz00_1560;
if(
PROCESSP(BgL_procz00_1479))
{ /* Llib/process.scm 197 */
BgL_procz00_1560 = BgL_procz00_1479; }  else 
{ /* Llib/process.scm 197 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2193z00zz__processz00, BGl_string2173z00zz__processz00, BgL_procz00_1479); 
exit( -1 );} 
return 
c_process_continue(BgL_procz00_1560);} } 
}



/* process-list */
BGL_EXPORTED_DEF obj_t BGl_processzd2listzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 202 */
return 
c_process_list();} 
}



/* _process-list */
obj_t BGl__processzd2listzd2zz__processz00(obj_t BgL_envz00_1480)
{ AN_OBJECT;
{ /* Llib/process.scm 202 */
return 
c_process_list();} 
}



/* run-process */
BGL_EXPORTED_DEF obj_t BGl_runzd2processzd2zz__processz00(obj_t BgL_commandz00_14, obj_t BgL_restz00_15)
{ AN_OBJECT;
{ /* Llib/process.scm 211 */
{ /* Llib/process.scm 212 */
obj_t BgL_forkz00_687;obj_t BgL_waitz00_688;obj_t BgL_inputz00_689;obj_t BgL_outputz00_690;obj_t BgL_errorz00_691;obj_t BgL_hostz00_692;obj_t BgL_pipesz00_693;obj_t BgL_argsz00_694;obj_t BgL_envz00_695;
BgL_forkz00_687 = BTRUE; 
BgL_waitz00_688 = BFALSE; 
BgL_inputz00_689 = BUNSPEC; 
BgL_outputz00_690 = BUNSPEC; 
BgL_errorz00_691 = BUNSPEC; 
BgL_hostz00_692 = BUNSPEC; 
BgL_pipesz00_693 = BGl_list2195z00zz__processz00; 
BgL_argsz00_694 = BNIL; 
BgL_envz00_695 = BNIL; 
{ 
obj_t BgL_restz00_697;
{ /* Llib/process.scm 223 */
obj_t BgL_aux2157z00_1534;
BgL_restz00_697 = BgL_restz00_15; 
BgL_loopz00_698:
if(
NULLP(BgL_restz00_697))
{ /* Llib/process.scm 228 */
obj_t BgL_arg1727z00_700;
{ /* Llib/process.scm 228 */
obj_t BgL_auxz00_1696;
{ /* Llib/process.scm 228 */
obj_t BgL_aux2135z00_1512;
BgL_aux2135z00_1512 = BgL_argsz00_694; 
{ /* Llib/process.scm 228 */
bool_t BgL_testz00_1697;
if(
PAIRP(BgL_aux2135z00_1512))
{ /* Llib/process.scm 228 */
BgL_testz00_1697 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 228 */
BgL_testz00_1697 = 
NULLP(BgL_aux2135z00_1512)
; } 
if(BgL_testz00_1697)
{ /* Llib/process.scm 228 */
BgL_auxz00_1696 = BgL_aux2135z00_1512
; }  else 
{ /* Llib/process.scm 228 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2198z00zz__processz00, BGl_string2200z00zz__processz00, BgL_aux2135z00_1512); 
exit( -1 );} } } 
BgL_arg1727z00_700 = 
bgl_reverse_bang(BgL_auxz00_1696); } 
BgL_aux2157z00_1534 = 
c_run_process(BgL_hostz00_692, BgL_forkz00_687, BgL_waitz00_688, BgL_inputz00_689, BgL_outputz00_690, BgL_errorz00_691, BgL_commandz00_14, BgL_arg1727z00_700, BgL_envz00_695); }  else 
{ /* Llib/process.scm 229 */
bool_t BgL_testz00_1705;
{ /* Llib/process.scm 229 */
bool_t BgL_testz00_1706;
{ /* Llib/process.scm 229 */
obj_t BgL_auxz00_1707;
{ /* Llib/process.scm 229 */
obj_t BgL_pairz00_1209;
if(
PAIRP(BgL_restz00_697))
{ /* Llib/process.scm 229 */
BgL_pairz00_1209 = BgL_restz00_697; }  else 
{ /* Llib/process.scm 229 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2198z00zz__processz00, BGl_string2201z00zz__processz00, BgL_restz00_697); 
exit( -1 );} 
BgL_auxz00_1707 = 
CAR(BgL_pairz00_1209); } 
BgL_testz00_1706 = 
KEYWORDP(BgL_auxz00_1707); } 
if(BgL_testz00_1706)
{ /* Llib/process.scm 229 */
obj_t BgL_auxz00_1714;
{ /* Llib/process.scm 229 */
obj_t BgL_pairz00_1211;
if(
PAIRP(BgL_restz00_697))
{ /* Llib/process.scm 229 */
BgL_pairz00_1211 = BgL_restz00_697; }  else 
{ /* Llib/process.scm 229 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2198z00zz__processz00, BGl_string2201z00zz__processz00, BgL_restz00_697); 
exit( -1 );} 
BgL_auxz00_1714 = 
CDR(BgL_pairz00_1211); } 
BgL_testz00_1705 = 
PAIRP(BgL_auxz00_1714); }  else 
{ /* Llib/process.scm 229 */
BgL_testz00_1705 = ((bool_t)0)
; } } 
if(BgL_testz00_1705)
{ /* Llib/process.scm 230 */
obj_t BgL_valz00_702;
{ /* Llib/process.scm 230 */
obj_t BgL_pairz00_1213;
if(
PAIRP(BgL_restz00_697))
{ /* Llib/process.scm 230 */
BgL_pairz00_1213 = BgL_restz00_697; }  else 
{ /* Llib/process.scm 230 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2198z00zz__processz00, BGl_string2201z00zz__processz00, BgL_restz00_697); 
exit( -1 );} 
{ /* Llib/process.scm 230 */
obj_t BgL_pairz00_1216;
{ /* Llib/process.scm 230 */
obj_t BgL_aux2143z00_1520;
BgL_aux2143z00_1520 = 
CDR(BgL_pairz00_1213); 
if(
PAIRP(BgL_aux2143z00_1520))
{ /* Llib/process.scm 230 */
BgL_pairz00_1216 = BgL_aux2143z00_1520; }  else 
{ /* Llib/process.scm 230 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2198z00zz__processz00, BGl_string2201z00zz__processz00, BgL_aux2143z00_1520); 
exit( -1 );} } 
BgL_valz00_702 = 
CAR(BgL_pairz00_1216); } } 
{ /* Llib/process.scm 231 */
obj_t BgL_casezd2valuezd2_703;
{ /* Llib/process.scm 231 */
obj_t BgL_pairz00_1217;
if(
PAIRP(BgL_restz00_697))
{ /* Llib/process.scm 231 */
BgL_pairz00_1217 = BgL_restz00_697; }  else 
{ /* Llib/process.scm 231 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2198z00zz__processz00, BGl_string2201z00zz__processz00, BgL_restz00_697); 
exit( -1 );} 
BgL_casezd2valuezd2_703 = 
CAR(BgL_pairz00_1217); } 
if(
(BgL_casezd2valuezd2_703==BGl_keyword2202z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
BOOLEANP(BgL_valz00_702))
{ /* Llib/process.scm 233 */
BgL_waitz00_688 = BgL_valz00_702; }  else 
{ /* Llib/process.scm 233 */
BGl_errorz00zz__errorz00(BGl_string2204z00zz__processz00, BGl_string2205z00zz__processz00, BgL_restz00_697); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_703==BGl_keyword2206z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
BOOLEANP(BgL_valz00_702))
{ /* Llib/process.scm 237 */
BgL_forkz00_687 = BgL_valz00_702; }  else 
{ /* Llib/process.scm 237 */
BGl_errorz00zz__errorz00(BGl_string2204z00zz__processz00, BGl_string2205z00zz__processz00, BgL_restz00_697); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_703==BGl_keyword2208z00zz__processz00))
{ /* Llib/process.scm 241 */
bool_t BgL_testz00_1748;
if(
STRINGP(BgL_valz00_702))
{ /* Llib/process.scm 241 */
BgL_testz00_1748 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 241 */
BgL_testz00_1748 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_702, BgL_pipesz00_693))
; } 
if(BgL_testz00_1748)
{ /* Llib/process.scm 241 */
BgL_inputz00_689 = BgL_valz00_702; }  else 
{ /* Llib/process.scm 241 */
BGl_errorz00zz__errorz00(BGl_string2204z00zz__processz00, BGl_string2205z00zz__processz00, BgL_restz00_697); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_703==BGl_keyword2210z00zz__processz00))
{ /* Llib/process.scm 245 */
bool_t BgL_testz00_1756;
if(
STRINGP(BgL_valz00_702))
{ /* Llib/process.scm 245 */
BgL_testz00_1756 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 245 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_702, BgL_pipesz00_693)))
{ /* Llib/process.scm 245 */
BgL_testz00_1756 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 245 */
BgL_testz00_1756 = 
(BgL_valz00_702==BGl_keyword2212z00zz__processz00)
; } } 
if(BgL_testz00_1756)
{ /* Llib/process.scm 245 */
BgL_outputz00_690 = BgL_valz00_702; }  else 
{ /* Llib/process.scm 245 */
BGl_errorz00zz__errorz00(BGl_string2204z00zz__processz00, BGl_string2205z00zz__processz00, BgL_restz00_697); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_703==BGl_keyword2214z00zz__processz00))
{ /* Llib/process.scm 249 */
bool_t BgL_testz00_1766;
if(
STRINGP(BgL_valz00_702))
{ /* Llib/process.scm 249 */
BgL_testz00_1766 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 249 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_702, BgL_pipesz00_693)))
{ /* Llib/process.scm 249 */
BgL_testz00_1766 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 249 */
BgL_testz00_1766 = 
(BgL_valz00_702==BGl_keyword2212z00zz__processz00)
; } } 
if(BgL_testz00_1766)
{ /* Llib/process.scm 249 */
BgL_errorz00_691 = BgL_valz00_702; }  else 
{ /* Llib/process.scm 249 */
BGl_errorz00zz__errorz00(BGl_string2204z00zz__processz00, BGl_string2205z00zz__processz00, BgL_restz00_697); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_703==BGl_keyword2216z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
STRINGP(BgL_valz00_702))
{ /* Llib/process.scm 253 */
BgL_hostz00_692 = BgL_valz00_702; }  else 
{ /* Llib/process.scm 253 */
BGl_errorz00zz__errorz00(BGl_string2204z00zz__processz00, BGl_string2205z00zz__processz00, BgL_restz00_697); } }  else 
{ /* Llib/process.scm 231 */
if(
(BgL_casezd2valuezd2_703==BGl_keyword2218z00zz__processz00))
{ /* Llib/process.scm 231 */
if(
STRINGP(BgL_valz00_702))
{ /* Llib/process.scm 257 */
BgL_envz00_695 = 
MAKE_PAIR(BgL_valz00_702, BgL_envz00_695); }  else 
{ /* Llib/process.scm 257 */
BGl_errorz00zz__errorz00(BGl_string2204z00zz__processz00, BGl_string2205z00zz__processz00, BgL_restz00_697); } }  else 
{ /* Llib/process.scm 231 */
BGl_errorz00zz__errorz00(BGl_string2204z00zz__processz00, BGl_string2205z00zz__processz00, BgL_restz00_697); } } } } } } } } 
{ /* Llib/process.scm 262 */
obj_t BgL_arg1748z00_723;
{ /* Llib/process.scm 262 */
obj_t BgL_pairz00_1248;
{ /* Llib/process.scm 262 */
obj_t BgL_pairz00_1247;
if(
PAIRP(BgL_restz00_697))
{ /* Llib/process.scm 262 */
BgL_pairz00_1247 = BgL_restz00_697; }  else 
{ /* Llib/process.scm 262 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2198z00zz__processz00, BGl_string2201z00zz__processz00, BgL_restz00_697); 
exit( -1 );} 
{ /* Llib/process.scm 262 */
obj_t BgL_aux2149z00_1526;
BgL_aux2149z00_1526 = 
CDR(BgL_pairz00_1247); 
if(
PAIRP(BgL_aux2149z00_1526))
{ /* Llib/process.scm 262 */
BgL_pairz00_1248 = BgL_aux2149z00_1526; }  else 
{ /* Llib/process.scm 262 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2198z00zz__processz00, BGl_string2201z00zz__processz00, BgL_aux2149z00_1526); 
exit( -1 );} } } 
BgL_arg1748z00_723 = 
CDR(BgL_pairz00_1248); } 
{ 
obj_t BgL_restz00_1796;
BgL_restz00_1796 = BgL_arg1748z00_723; 
BgL_restz00_697 = BgL_restz00_1796; 
goto BgL_loopz00_698;} } }  else 
{ /* Llib/process.scm 263 */
bool_t BgL_testz00_1797;
{ /* Llib/process.scm 263 */
obj_t BgL_auxz00_1798;
{ /* Llib/process.scm 263 */
obj_t BgL_pairz00_1249;
if(
PAIRP(BgL_restz00_697))
{ /* Llib/process.scm 263 */
BgL_pairz00_1249 = BgL_restz00_697; }  else 
{ /* Llib/process.scm 263 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2198z00zz__processz00, BGl_string2201z00zz__processz00, BgL_restz00_697); 
exit( -1 );} 
BgL_auxz00_1798 = 
CAR(BgL_pairz00_1249); } 
BgL_testz00_1797 = 
STRINGP(BgL_auxz00_1798); } 
if(BgL_testz00_1797)
{ /* Llib/process.scm 263 */
{ /* Llib/process.scm 264 */
obj_t BgL_arg1751z00_726;
{ /* Llib/process.scm 264 */
obj_t BgL_pairz00_1251;
if(
PAIRP(BgL_restz00_697))
{ /* Llib/process.scm 264 */
BgL_pairz00_1251 = BgL_restz00_697; }  else 
{ /* Llib/process.scm 264 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2198z00zz__processz00, BGl_string2201z00zz__processz00, BgL_restz00_697); 
exit( -1 );} 
BgL_arg1751z00_726 = 
CAR(BgL_pairz00_1251); } 
BgL_argsz00_694 = 
MAKE_PAIR(BgL_arg1751z00_726, BgL_argsz00_694); } 
{ /* Llib/process.scm 265 */
obj_t BgL_arg1752z00_727;
{ /* Llib/process.scm 265 */
obj_t BgL_pairz00_1252;
if(
PAIRP(BgL_restz00_697))
{ /* Llib/process.scm 265 */
BgL_pairz00_1252 = BgL_restz00_697; }  else 
{ /* Llib/process.scm 265 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2198z00zz__processz00, BGl_string2201z00zz__processz00, BgL_restz00_697); 
exit( -1 );} 
BgL_arg1752z00_727 = 
CDR(BgL_pairz00_1252); } 
{ 
obj_t BgL_restz00_1816;
BgL_restz00_1816 = BgL_arg1752z00_727; 
BgL_restz00_697 = BgL_restz00_1816; 
goto BgL_loopz00_698;} } }  else 
{ /* Llib/process.scm 263 */
BgL_aux2157z00_1534 = 
BGl_errorz00zz__errorz00(BGl_string2204z00zz__processz00, BGl_string2205z00zz__processz00, BgL_restz00_697); } } } 
if(
PROCESSP(BgL_aux2157z00_1534))
{ /* Llib/process.scm 223 */
return BgL_aux2157z00_1534;}  else 
{ /* Llib/process.scm 223 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2220z00zz__processz00, BGl_string2173z00zz__processz00, BgL_aux2157z00_1534); 
exit( -1 );} } } } } 
}



/* _run-process2108 */
obj_t BGl__runzd2process2108zd2zz__processz00(obj_t BgL_envz00_1481, obj_t BgL_commandz00_1482, obj_t BgL_restz00_1483)
{ AN_OBJECT;
{ /* Llib/process.scm 211 */
{ /* Llib/process.scm 212 */
obj_t BgL_auxz00_1822;
if(
STRINGP(BgL_commandz00_1482))
{ /* Llib/process.scm 212 */
BgL_auxz00_1822 = BgL_commandz00_1482
; }  else 
{ /* Llib/process.scm 212 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2221z00zz__processz00, BGl_string2223z00zz__processz00, BgL_commandz00_1482); 
exit( -1 );} 
return 
BGl_runzd2processzd2zz__processz00(BgL_auxz00_1822, BgL_restz00_1483);} } 
}



/* close-process-ports */
BGL_EXPORTED_DEF obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t BgL_procz00_16)
{ AN_OBJECT;
{ /* Llib/process.scm 272 */
{ /* Llib/process.scm 273 */
bool_t BgL_testz00_1828;
{ /* Llib/process.scm 273 */
obj_t BgL_auxz00_1829;
BgL_auxz00_1829 = 
PROCESS_INPUT_PORT(BgL_procz00_16); 
BgL_testz00_1828 = 
OUTPUT_PORTP(BgL_auxz00_1829); } 
if(BgL_testz00_1828)
{ /* Llib/process.scm 274 */
obj_t BgL_arg1759z00_736;
BgL_arg1759z00_736 = 
PROCESS_INPUT_PORT(BgL_procz00_16); 
{ /* Llib/process.scm 274 */
obj_t BgL_portz00_1257;
if(
OUTPUT_PORTP(BgL_arg1759z00_736))
{ /* Llib/process.scm 274 */
BgL_portz00_1257 = BgL_arg1759z00_736; }  else 
{ /* Llib/process.scm 274 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2224z00zz__processz00, BGl_string2226z00zz__processz00, BgL_arg1759z00_736); 
exit( -1 );} 
bgl_close_output_port(BgL_portz00_1257); } }  else 
{ /* Llib/process.scm 273 */BFALSE; } } 
{ /* Llib/process.scm 275 */
bool_t BgL_testz00_1838;
{ /* Llib/process.scm 275 */
obj_t BgL_auxz00_1839;
BgL_auxz00_1839 = 
PROCESS_ERROR_PORT(BgL_procz00_16); 
BgL_testz00_1838 = 
INPUT_PORTP(BgL_auxz00_1839); } 
if(BgL_testz00_1838)
{ /* Llib/process.scm 276 */
obj_t BgL_arg1762z00_739;
BgL_arg1762z00_739 = 
PROCESS_ERROR_PORT(BgL_procz00_16); 
{ /* Llib/process.scm 276 */
obj_t BgL_portz00_1261;
if(
INPUT_PORTP(BgL_arg1762z00_739))
{ /* Llib/process.scm 276 */
BgL_portz00_1261 = BgL_arg1762z00_739; }  else 
{ /* Llib/process.scm 276 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2224z00zz__processz00, BGl_string2227z00zz__processz00, BgL_arg1762z00_739); 
exit( -1 );} 
bgl_close_input_port(BgL_portz00_1261); } }  else 
{ /* Llib/process.scm 275 */BFALSE; } } 
{ /* Llib/process.scm 277 */
bool_t BgL_testz00_1848;
{ /* Llib/process.scm 277 */
obj_t BgL_auxz00_1849;
BgL_auxz00_1849 = 
PROCESS_OUTPUT_PORT(BgL_procz00_16); 
BgL_testz00_1848 = 
INPUT_PORTP(BgL_auxz00_1849); } 
if(BgL_testz00_1848)
{ /* Llib/process.scm 278 */
obj_t BgL_arg1765z00_742;
BgL_arg1765z00_742 = 
PROCESS_OUTPUT_PORT(BgL_procz00_16); 
{ /* Llib/process.scm 278 */
obj_t BgL_portz00_1265;
if(
INPUT_PORTP(BgL_arg1765z00_742))
{ /* Llib/process.scm 278 */
BgL_portz00_1265 = BgL_arg1765z00_742; }  else 
{ /* Llib/process.scm 278 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2224z00zz__processz00, BGl_string2227z00zz__processz00, BgL_arg1765z00_742); 
exit( -1 );} 
return 
bgl_close_input_port(BgL_portz00_1265);} }  else 
{ /* Llib/process.scm 277 */
return BFALSE;} } } 
}



/* _close-process-ports2109 */
obj_t BGl__closezd2processzd2ports2109z00zz__processz00(obj_t BgL_envz00_1484, obj_t BgL_procz00_1485)
{ AN_OBJECT;
{ /* Llib/process.scm 272 */
{ /* Llib/process.scm 278 */
obj_t BgL_auxz00_1858;
if(
PROCESSP(BgL_procz00_1485))
{ /* Llib/process.scm 278 */
BgL_auxz00_1858 = BgL_procz00_1485
; }  else 
{ /* Llib/process.scm 278 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2228z00zz__processz00, BGl_string2173z00zz__processz00, BgL_procz00_1485); 
exit( -1 );} 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_auxz00_1858);} } 
}



/* unregister-process */
BGL_EXPORTED_DEF obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t BgL_procz00_17)
{ AN_OBJECT;
{ /* Llib/process.scm 283 */
return 
c_unregister_process(BgL_procz00_17);} 
}



/* _unregister-process2110 */
obj_t BGl__unregisterzd2process2110zd2zz__processz00(obj_t BgL_envz00_1486, obj_t BgL_procz00_1487)
{ AN_OBJECT;
{ /* Llib/process.scm 283 */
{ /* Llib/process.scm 284 */
obj_t BgL_procz00_1566;
if(
PROCESSP(BgL_procz00_1487))
{ /* Llib/process.scm 284 */
BgL_procz00_1566 = BgL_procz00_1487; }  else 
{ /* Llib/process.scm 284 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_symbol2230z00zz__processz00, BGl_string2173z00zz__processz00, BgL_procz00_1487); 
exit( -1 );} 
return 
c_unregister_process(BgL_procz00_1566);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)19987059), 
BSTRING_TO_STRING(BGl_string2232z00zz__processz00));} 
}

#ifdef __cplusplus
}
#endif
