/*===========================================================================*/
/*   (Eval/expdsrfi0.scm)                                                    */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Eval/expdsrfi0.scm -indent -o objs/obj_u/Eval/expdsrfi0.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(obj_t);
	static obj_t BGl_list2310z00zz__expander_srfi0z00 = BUNSPEC;
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_za2srfizd2compilezd2listza2z00zz__expander_srfi0z00 =
		BUNSPEC;
	static obj_t BGl_expandzd2condzd2expandzd2orzd2zz__expander_srfi0z00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2compilezd2condzd2expandzd2zz__expander_srfi0z00(obj_t, obj_t);
	static obj_t BGl__compilezd2srfizf3z21zz__expander_srfi0z00(obj_t, obj_t);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_evepairifyz00zz__prognz00(obj_t, obj_t);
	static obj_t
		BGl__expandzd2compilezd2condzd2expandzd2zz__expander_srfi0z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_compilezd2srfizf3z21zz__expander_srfi0z00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__expander_srfi0z00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__expander_srfi0z00();
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_expandzd2condzd2expandzd2andzd2zz__expander_srfi0z00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_expandzd2condzd2expandz00zz__expander_srfi0z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2srfizd2mutexza2zd2zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2302z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2304z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2306z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2308z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2311z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2313z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2315z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2317z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2319z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2321z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2323z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2325z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2327z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2329z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2331z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2333z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2335z00zz__expander_srfi0z00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_symbol2337z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2340z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2342z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2344z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2348z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2350z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2352z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__expander_srfi0z00();
	static obj_t BGl_symbol2356z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2357z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2359z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2361z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2363z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_symbol2365z00zz__expander_srfi0z00 = BUNSPEC;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl__expandzd2evalzd2condzd2expandzd2zz__expander_srfi0z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2srfizd2commonzd2listza2z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl_za2srfizd2evalzd2listza2z00zz__expander_srfi0z00 = BUNSPEC;
	static obj_t BGl__registerzd2evalzd2srfiz122285z12zz__expander_srfi0z00(obj_t,
		obj_t);
	static obj_t BGl__registerzd2srfiz12zc0zz__expander_srfi0z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2evalzd2condzd2expandzd2zz__expander_srfi0z00(obj_t, obj_t);
	static obj_t BGl__registerzd2compilezd2srfiz12z12zz__expander_srfi0z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_registerzd2compilezd2srfiz12z12zz__expander_srfi0z00(obj_t);
	extern obj_t BGl_libraryzd2existszf3z21zz__libraryz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__expander_srfi0z00();
	BGL_EXPORTED_DECL obj_t bgl_register_eval_srfi(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2366z00zz__expander_srfi0z00,
		BgL_bgl_string2366za700za7za7_2370za7, "library", 7);
	      DEFINE_STRING(BGl_string2367z00zz__expander_srfi0z00,
		BgL_bgl_string2367za700za7za7_2371za7, "__expander_srfi0", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_registerzd2compilezd2srfiz12zd2envzc0zz__expander_srfi0z00,
		BgL_bgl__registerza7d2comp2372za7,
		BGl__registerzd2compilezd2srfiz12z12zz__expander_srfi0z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_compilezd2srfizf3zd2envzf3zz__expander_srfi0z00,
		BgL_bgl__compileza7d2srfiza72373z00,
		BGl__compilezd2srfizf3z21zz__expander_srfi0z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2evalzd2condzd2expandzd2envz00zz__expander_srfi0z00,
		BgL_bgl__expandza7d2evalza7d2374z00,
		BGl__expandzd2evalzd2condzd2expandzd2zz__expander_srfi0z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_registerzd2srfiz12zd2envz12zz__expander_srfi0z00,
		BgL_bgl__registerza7d2srfi2375za7,
		BGl__registerzd2srfiz12zc0zz__expander_srfi0z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2compilezd2condzd2expandzd2envz00zz__expander_srfi0z00,
		BgL_bgl__expandza7d2compil2376za7,
		BGl__expandzd2compilezd2condzd2expandzd2zz__expander_srfi0z00, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2303z00zz__expander_srfi0z00,
		BgL_bgl_string2303za700za7za7_2377za7, "srfi0", 5);
	      DEFINE_STRING(BGl_string2305z00zz__expander_srfi0z00,
		BgL_bgl_string2305za700za7za7_2378za7, "bigloo3.1b", 10);
	      DEFINE_STRING(BGl_string2307z00zz__expander_srfi0z00,
		BgL_bgl_string2307za700za7za7_2379za7, "bigloo3", 7);
	      DEFINE_STRING(BGl_string2309z00zz__expander_srfi0z00,
		BgL_bgl_string2309za700za7za7_2380za7, "bigloo", 6);
	      DEFINE_STRING(BGl_string2312z00zz__expander_srfi0z00,
		BgL_bgl_string2312za700za7za7_2381za7, "srfi-0", 6);
	      DEFINE_STRING(BGl_string2314z00zz__expander_srfi0z00,
		BgL_bgl_string2314za700za7za7_2382za7, "srfi-2", 6);
	      DEFINE_STRING(BGl_string2316z00zz__expander_srfi0z00,
		BgL_bgl_string2316za700za7za7_2383za7, "srfi-4", 6);
	      DEFINE_STRING(BGl_string2318z00zz__expander_srfi0z00,
		BgL_bgl_string2318za700za7za7_2384za7, "srfi-6", 6);
	      DEFINE_STRING(BGl_string2320z00zz__expander_srfi0z00,
		BgL_bgl_string2320za700za7za7_2385za7, "srfi-8", 6);
	      DEFINE_STRING(BGl_string2322z00zz__expander_srfi0z00,
		BgL_bgl_string2322za700za7za7_2386za7, "srfi-9", 6);
	      DEFINE_STRING(BGl_string2324z00zz__expander_srfi0z00,
		BgL_bgl_string2324za700za7za7_2387za7, "srfi-22", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_registerzd2evalzd2srfiz12zd2envzc0zz__expander_srfi0z00,
		BgL_bgl__registerza7d2eval2388za7,
		BGl__registerzd2evalzd2srfiz122285z12zz__expander_srfi0z00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2326z00zz__expander_srfi0z00,
		BgL_bgl_string2326za700za7za7_2389za7, "srfi-28", 7);
	      DEFINE_STRING(BGl_string2328z00zz__expander_srfi0z00,
		BgL_bgl_string2328za700za7za7_2390za7, "srfi-30", 7);
	      DEFINE_STRING(BGl_string2330z00zz__expander_srfi0z00,
		BgL_bgl_string2330za700za7za7_2391za7, "bigloo3.1", 9);
	      DEFINE_STRING(BGl_string2332z00zz__expander_srfi0z00,
		BgL_bgl_string2332za700za7za7_2392za7, "bigloo-finalizer", 16);
	      DEFINE_STRING(BGl_string2334z00zz__expander_srfi0z00,
		BgL_bgl_string2334za700za7za7_2393za7, "bigloo-weakptr", 14);
	      DEFINE_STRING(BGl_string2336z00zz__expander_srfi0z00,
		BgL_bgl_string2336za700za7za7_2394za7, "bigloo-eval", 11);
	      DEFINE_STRING(BGl_string2338z00zz__expander_srfi0z00,
		BgL_bgl_string2338za700za7za7_2395za7, "_register-eval-srfi!2285", 24);
	      DEFINE_STRING(BGl_string2339z00zz__expander_srfi0z00,
		BgL_bgl_string2339za700za7za7_2396za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2341z00zz__expander_srfi0z00,
		BgL_bgl_string2341za700za7za7_2397za7, "_register-compile-srfi!", 23);
	      DEFINE_STRING(BGl_string2343z00zz__expander_srfi0z00,
		BgL_bgl_string2343za700za7za7_2398za7, "_register-srfi!", 15);
	      DEFINE_STRING(BGl_string2345z00zz__expander_srfi0z00,
		BgL_bgl_string2345za700za7za7_2399za7, "_expand-eval-cond-expand", 24);
	      DEFINE_STRING(BGl_string2346z00zz__expander_srfi0z00,
		BgL_bgl_string2346za700za7za7_2400za7, "pair-nil", 8);
	      DEFINE_STRING(BGl_string2347z00zz__expander_srfi0z00,
		BgL_bgl_string2347za700za7za7_2401za7, "procedure", 9);
	      DEFINE_STRING(BGl_string2349z00zz__expander_srfi0z00,
		BgL_bgl_string2349za700za7za7_2402za7, "_expand-compile-cond-expand", 27);
	      DEFINE_STRING(BGl_string2351z00zz__expander_srfi0z00,
		BgL_bgl_string2351za700za7za7_2403za7, "_compile-srfi?", 14);
	      DEFINE_STRING(BGl_string2353z00zz__expander_srfi0z00,
		BgL_bgl_string2353za700za7za7_2404za7, "begin", 5);
	      DEFINE_STRING(BGl_string2354z00zz__expander_srfi0z00,
		BgL_bgl_string2354za700za7za7_2405za7, "cond-expand", 11);
	      DEFINE_STRING(BGl_string2355z00zz__expander_srfi0z00,
		BgL_bgl_string2355za700za7za7_2406za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2358z00zz__expander_srfi0z00,
		BgL_bgl_string2358za700za7za7_2407za7, "else", 4);
	      DEFINE_STRING(BGl_string2360z00zz__expander_srfi0z00,
		BgL_bgl_string2360za700za7za7_2408za7, "and", 3);
	      DEFINE_STRING(BGl_string2362z00zz__expander_srfi0z00,
		BgL_bgl_string2362za700za7za7_2409za7, "or", 2);
	      DEFINE_STRING(BGl_string2364z00zz__expander_srfi0z00,
		BgL_bgl_string2364za700za7za7_2410za7, "not", 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(long
		BgL_checksumz00_1922, char *BgL_fromz00_1923)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expander_srfi0z00))
				{
					BGl_requirezd2initializa7ationz75zz__expander_srfi0z00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__expander_srfi0z00();
					BGl_importedzd2moduleszd2initz00zz__expander_srfi0z00();
					BGl_toplevelzd2initzd2zz__expander_srfi0z00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__expander_srfi0z00()
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 15 */
			BGl_symbol2302z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2303z00zz__expander_srfi0z00);
			BGl_symbol2304z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2305z00zz__expander_srfi0z00);
			BGl_symbol2306z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2307z00zz__expander_srfi0z00);
			BGl_symbol2308z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2309z00zz__expander_srfi0z00);
			BGl_symbol2311z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2312z00zz__expander_srfi0z00);
			BGl_symbol2313z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2314z00zz__expander_srfi0z00);
			BGl_symbol2315z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2316z00zz__expander_srfi0z00);
			BGl_symbol2317z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2318z00zz__expander_srfi0z00);
			BGl_symbol2319z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2320z00zz__expander_srfi0z00);
			BGl_symbol2321z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2322z00zz__expander_srfi0z00);
			BGl_symbol2323z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2324z00zz__expander_srfi0z00);
			BGl_symbol2325z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2326z00zz__expander_srfi0z00);
			BGl_symbol2327z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2328z00zz__expander_srfi0z00);
			BGl_list2310z00zz__expander_srfi0z00 =
				MAKE_PAIR(BGl_symbol2311z00zz__expander_srfi0z00,
				MAKE_PAIR(BGl_symbol2313z00zz__expander_srfi0z00,
					MAKE_PAIR(BGl_symbol2315z00zz__expander_srfi0z00,
						MAKE_PAIR(BGl_symbol2317z00zz__expander_srfi0z00,
							MAKE_PAIR(BGl_symbol2319z00zz__expander_srfi0z00,
								MAKE_PAIR(BGl_symbol2321z00zz__expander_srfi0z00,
									MAKE_PAIR(BGl_symbol2323z00zz__expander_srfi0z00,
										MAKE_PAIR(BGl_symbol2325z00zz__expander_srfi0z00,
											MAKE_PAIR(BGl_symbol2327z00zz__expander_srfi0z00,
												BNIL)))))))));
			BGl_symbol2329z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2330z00zz__expander_srfi0z00);
			BGl_symbol2331z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2332z00zz__expander_srfi0z00);
			BGl_symbol2333z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2334z00zz__expander_srfi0z00);
			BGl_symbol2335z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2336z00zz__expander_srfi0z00);
			BGl_symbol2337z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2338z00zz__expander_srfi0z00);
			BGl_symbol2340z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2341z00zz__expander_srfi0z00);
			BGl_symbol2342z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2343z00zz__expander_srfi0z00);
			BGl_symbol2344z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2345z00zz__expander_srfi0z00);
			BGl_symbol2348z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2349z00zz__expander_srfi0z00);
			BGl_symbol2350z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2351z00zz__expander_srfi0z00);
			BGl_symbol2352z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2353z00zz__expander_srfi0z00);
			BGl_symbol2356z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2354z00zz__expander_srfi0z00);
			BGl_symbol2357z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2358z00zz__expander_srfi0z00);
			BGl_symbol2359z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2360z00zz__expander_srfi0z00);
			BGl_symbol2361z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2362z00zz__expander_srfi0z00);
			BGl_symbol2363z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2364z00zz__expander_srfi0z00);
			return (BGl_symbol2365z00zz__expander_srfi0z00 =
				bstring_to_symbol(BGl_string2366z00zz__expander_srfi0z00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__expander_srfi0z00()
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 15 */
			BGl_za2srfizd2mutexza2zd2zz__expander_srfi0z00 =
				bgl_make_mutex(BGl_symbol2302z00zz__expander_srfi0z00);
			{	/* Eval/expdsrfi0.scm 112 */
				obj_t BgL_lz00_723;

				{	/* Eval/expdsrfi0.scm 112 */
					obj_t BgL_arg1747z00_727;

					obj_t BgL_arg1748z00_728;

					BgL_arg1747z00_727 = BGl_symbol2304z00zz__expander_srfi0z00;
					{	/* Eval/expdsrfi0.scm 114 */
						obj_t BgL_list1749z00_729;

						{	/* Eval/expdsrfi0.scm 114 */
							obj_t BgL_arg1750z00_730;

							obj_t BgL_arg1751z00_731;

							BgL_arg1750z00_730 = BGl_symbol2306z00zz__expander_srfi0z00;
							{	/* Eval/expdsrfi0.scm 115 */
								obj_t BgL_arg1752z00_732;

								obj_t BgL_arg1753z00_733;

								BgL_arg1752z00_732 = BGl_symbol2308z00zz__expander_srfi0z00;
								BgL_arg1753z00_733 =
									MAKE_PAIR(BGl_list2310z00zz__expander_srfi0z00, BNIL);
								BgL_arg1751z00_731 =
									MAKE_PAIR(BgL_arg1752z00_732, BgL_arg1753z00_733);
							}
							BgL_list1749z00_729 =
								MAKE_PAIR(BgL_arg1750z00_730, BgL_arg1751z00_731);
						}
						BgL_arg1748z00_728 =
							BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
							(BGl_symbol2329z00zz__expander_srfi0z00, BgL_list1749z00_729);
					}
					BgL_lz00_723 = MAKE_PAIR(BgL_arg1747z00_727, BgL_arg1748z00_728);
				}
				if (BGL_AUTO_FINALIZER)
					{	/* Eval/expdsrfi0.scm 126 */
						obj_t BgL_arg1744z00_724;

						obj_t BgL_arg1745z00_725;

						BgL_arg1744z00_724 = BGl_symbol2331z00zz__expander_srfi0z00;
						{	/* Eval/expdsrfi0.scm 126 */
							obj_t BgL_list1746z00_726;

							BgL_list1746z00_726 = MAKE_PAIR(BgL_lz00_723, BNIL);
							BgL_arg1745z00_725 =
								BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
								(BGl_symbol2333z00zz__expander_srfi0z00, BgL_list1746z00_726);
						}
						BGl_za2srfizd2commonzd2listza2z00zz__expander_srfi0z00 =
							MAKE_PAIR(BgL_arg1744z00_724, BgL_arg1745z00_725);
					}
				else
					{	/* Eval/expdsrfi0.scm 125 */
						BGl_za2srfizd2commonzd2listza2z00zz__expander_srfi0z00 =
							BgL_lz00_723;
					}
			}
			BGl_za2srfizd2evalzd2listza2z00zz__expander_srfi0z00 =
				MAKE_PAIR(BGl_symbol2335z00zz__expander_srfi0z00,
				BGl_za2srfizd2commonzd2listza2z00zz__expander_srfi0z00);
			return (BGl_za2srfizd2compilezd2listza2z00zz__expander_srfi0z00 =
				BGl_za2srfizd2commonzd2listza2z00zz__expander_srfi0z00, BUNSPEC);
		}
	}



/* register-eval-srfi! */
	BGL_EXPORTED_DEF obj_t bgl_register_eval_srfi(obj_t BgL_srfiz00_1)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 144 */
			{	/* Eval/expdsrfi0.scm 145 */
				obj_t BgL_g1736z00_1477;

				BgL_g1736z00_1477 = BGl_za2srfizd2mutexza2zd2zz__expander_srfi0z00;
				{	/* Eval/expdsrfi0.scm 145 */

					if ((((long) 0) == ((long) 0)))
						{	/* Eval/expdsrfi0.scm 145 */
							bgl_mutex_lock(BgL_g1736z00_1477);
						}
					else
						{	/* Eval/expdsrfi0.scm 145 */
							bgl_mutex_timed_lock(BgL_g1736z00_1477, ((long) 0));
			}}}
			BGl_za2srfizd2evalzd2listza2z00zz__expander_srfi0z00 =
				MAKE_PAIR(BgL_srfiz00_1,
				BGl_za2srfizd2evalzd2listza2z00zz__expander_srfi0z00);
			{	/* Eval/expdsrfi0.scm 145 */
				obj_t BgL_mz00_1484;

				BgL_mz00_1484 = BGl_za2srfizd2mutexza2zd2zz__expander_srfi0z00;
				return BBOOL(bgl_mutex_unlock(BgL_mz00_1484));
			}
		}
	}



/* _register-eval-srfi!2285 */
	obj_t BGl__registerzd2evalzd2srfiz122285z12zz__expander_srfi0z00(obj_t
		BgL_envz00_1882, obj_t BgL_srfiz00_1883)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 144 */
			{	/* Eval/expdsrfi0.scm 147 */
				obj_t BgL_auxz00_1987;

				if (SYMBOLP(BgL_srfiz00_1883))
					{	/* Eval/expdsrfi0.scm 147 */
						BgL_auxz00_1987 = BgL_srfiz00_1883;
					}
				else
					{	/* Eval/expdsrfi0.scm 147 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2337z00zz__expander_srfi0z00,
							BGl_string2339z00zz__expander_srfi0z00, BgL_srfiz00_1883);
						exit(-1);
					}
				return bgl_register_eval_srfi(BgL_auxz00_1987);
			}
		}
	}



/* register-compile-srfi! */
	BGL_EXPORTED_DEF obj_t
		BGl_registerzd2compilezd2srfiz12z12zz__expander_srfi0z00(obj_t
		BgL_srfiz00_2)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 152 */
			{	/* Eval/expdsrfi0.scm 153 */
				obj_t BgL_g1736z00_1485;

				BgL_g1736z00_1485 = BGl_za2srfizd2mutexza2zd2zz__expander_srfi0z00;
				{	/* Eval/expdsrfi0.scm 153 */

					if ((((long) 0) == ((long) 0)))
						{	/* Eval/expdsrfi0.scm 153 */
							bgl_mutex_lock(BgL_g1736z00_1485);
						}
					else
						{	/* Eval/expdsrfi0.scm 153 */
							bgl_mutex_timed_lock(BgL_g1736z00_1485, ((long) 0));
			}}}
			BGl_za2srfizd2compilezd2listza2z00zz__expander_srfi0z00 =
				MAKE_PAIR(BgL_srfiz00_2,
				BGl_za2srfizd2compilezd2listza2z00zz__expander_srfi0z00);
			{	/* Eval/expdsrfi0.scm 153 */
				obj_t BgL_mz00_1492;

				BgL_mz00_1492 = BGl_za2srfizd2mutexza2zd2zz__expander_srfi0z00;
				return BBOOL(bgl_mutex_unlock(BgL_mz00_1492));
			}
		}
	}



/* _register-compile-srfi! */
	obj_t BGl__registerzd2compilezd2srfiz12z12zz__expander_srfi0z00(obj_t
		BgL_envz00_1884, obj_t BgL_srfiz00_1885)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 152 */
			{	/* Eval/expdsrfi0.scm 155 */
				obj_t BgL_auxz00_2000;

				if (SYMBOLP(BgL_srfiz00_1885))
					{	/* Eval/expdsrfi0.scm 155 */
						BgL_auxz00_2000 = BgL_srfiz00_1885;
					}
				else
					{	/* Eval/expdsrfi0.scm 155 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2340z00zz__expander_srfi0z00,
							BGl_string2339z00zz__expander_srfi0z00, BgL_srfiz00_1885);
						exit(-1);
					}
				return
					BGl_registerzd2compilezd2srfiz12z12zz__expander_srfi0z00
					(BgL_auxz00_2000);
			}
		}
	}



/* register-srfi! */
	BGL_EXPORTED_DEF obj_t BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(obj_t
		BgL_srfiz00_3)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 160 */
			{	/* Eval/expdsrfi0.scm 161 */
				obj_t BgL_g1736z00_1494;

				BgL_g1736z00_1494 = BGl_za2srfizd2mutexza2zd2zz__expander_srfi0z00;
				{	/* Eval/expdsrfi0.scm 161 */

					if ((((long) 0) == ((long) 0)))
						{	/* Eval/expdsrfi0.scm 161 */
							bgl_mutex_lock(BgL_g1736z00_1494);
						}
					else
						{	/* Eval/expdsrfi0.scm 161 */
							bgl_mutex_timed_lock(BgL_g1736z00_1494, ((long) 0));
			}}}
			BGl_za2srfizd2evalzd2listza2z00zz__expander_srfi0z00 =
				MAKE_PAIR(BgL_srfiz00_3,
				BGl_za2srfizd2evalzd2listza2z00zz__expander_srfi0z00);
			bgl_mutex_unlock(BGl_za2srfizd2mutexza2zd2zz__expander_srfi0z00);
			{	/* Eval/expdsrfi0.scm 162 */
				obj_t BgL_g1736z00_1503;

				BgL_g1736z00_1503 = BGl_za2srfizd2mutexza2zd2zz__expander_srfi0z00;
				{	/* Eval/expdsrfi0.scm 162 */

					if ((((long) 0) == ((long) 0)))
						{	/* Eval/expdsrfi0.scm 162 */
							bgl_mutex_lock(BgL_g1736z00_1503);
						}
					else
						{	/* Eval/expdsrfi0.scm 162 */
							bgl_mutex_timed_lock(BgL_g1736z00_1503, ((long) 0));
			}}}
			BGl_za2srfizd2compilezd2listza2z00zz__expander_srfi0z00 =
				MAKE_PAIR(BgL_srfiz00_3,
				BGl_za2srfizd2compilezd2listza2z00zz__expander_srfi0z00);
			{	/* Eval/expdsrfi0.scm 162 */
				obj_t BgL_mz00_1510;

				BgL_mz00_1510 = BGl_za2srfizd2mutexza2zd2zz__expander_srfi0z00;
				return BBOOL(bgl_mutex_unlock(BgL_mz00_1510));
			}
		}
	}



/* _register-srfi! */
	obj_t BGl__registerzd2srfiz12zc0zz__expander_srfi0z00(obj_t BgL_envz00_1886,
		obj_t BgL_srfiz00_1887)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 160 */
			{	/* Eval/expdsrfi0.scm 162 */
				obj_t BgL_auxz00_2019;

				if (SYMBOLP(BgL_srfiz00_1887))
					{	/* Eval/expdsrfi0.scm 162 */
						BgL_auxz00_2019 = BgL_srfiz00_1887;
					}
				else
					{	/* Eval/expdsrfi0.scm 162 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2342z00zz__expander_srfi0z00,
							BGl_string2339z00zz__expander_srfi0z00, BgL_srfiz00_1887);
						exit(-1);
					}
				return BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(BgL_auxz00_2019);
			}
		}
	}



/* expand-eval-cond-expand */
	BGL_EXPORTED_DEF obj_t
		BGl_expandzd2evalzd2condzd2expandzd2zz__expander_srfi0z00(obj_t BgL_xz00_4,
		obj_t BgL_ez00_5)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 167 */
			return
				BGl_expandzd2condzd2expandz00zz__expander_srfi0z00(BgL_xz00_4,
				BgL_ez00_5, BGl_za2srfizd2evalzd2listza2z00zz__expander_srfi0z00);
		}
	}



/* _expand-eval-cond-expand */
	obj_t BGl__expandzd2evalzd2condzd2expandzd2zz__expander_srfi0z00(obj_t
		BgL_envz00_1888, obj_t BgL_xz00_1889, obj_t BgL_ez00_1890)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 167 */
			{	/* Eval/expdsrfi0.scm 168 */
				obj_t BgL_auxz00_2033;

				obj_t BgL_auxz00_2026;

				if (PROCEDUREP(BgL_ez00_1890))
					{	/* Eval/expdsrfi0.scm 168 */
						BgL_auxz00_2033 = BgL_ez00_1890;
					}
				else
					{	/* Eval/expdsrfi0.scm 168 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2344z00zz__expander_srfi0z00,
							BGl_string2347z00zz__expander_srfi0z00, BgL_ez00_1890);
						exit(-1);
					}
				{	/* Eval/expdsrfi0.scm 168 */
					bool_t BgL_testz00_2027;

					if (PAIRP(BgL_xz00_1889))
						{	/* Eval/expdsrfi0.scm 168 */
							BgL_testz00_2027 = ((bool_t) 1);
						}
					else
						{	/* Eval/expdsrfi0.scm 168 */
							BgL_testz00_2027 = NULLP(BgL_xz00_1889);
						}
					if (BgL_testz00_2027)
						{	/* Eval/expdsrfi0.scm 168 */
							BgL_auxz00_2026 = BgL_xz00_1889;
						}
					else
						{	/* Eval/expdsrfi0.scm 168 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2344z00zz__expander_srfi0z00,
								BGl_string2346z00zz__expander_srfi0z00, BgL_xz00_1889);
							exit(-1);
						}
				}
				return
					BGl_expandzd2evalzd2condzd2expandzd2zz__expander_srfi0z00
					(BgL_auxz00_2026, BgL_auxz00_2033);
			}
		}
	}



/* expand-compile-cond-expand */
	BGL_EXPORTED_DEF obj_t
		BGl_expandzd2compilezd2condzd2expandzd2zz__expander_srfi0z00(obj_t
		BgL_xz00_6, obj_t BgL_ez00_7)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 173 */
			return
				BGl_expandzd2condzd2expandz00zz__expander_srfi0z00(BgL_xz00_6,
				BgL_ez00_7, BGl_za2srfizd2compilezd2listza2z00zz__expander_srfi0z00);
		}
	}



/* _expand-compile-cond-expand */
	obj_t BGl__expandzd2compilezd2condzd2expandzd2zz__expander_srfi0z00(obj_t
		BgL_envz00_1891, obj_t BgL_xz00_1892, obj_t BgL_ez00_1893)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 173 */
			{	/* Eval/expdsrfi0.scm 174 */
				obj_t BgL_auxz00_2047;

				obj_t BgL_auxz00_2040;

				if (PROCEDUREP(BgL_ez00_1893))
					{	/* Eval/expdsrfi0.scm 174 */
						BgL_auxz00_2047 = BgL_ez00_1893;
					}
				else
					{	/* Eval/expdsrfi0.scm 174 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2348z00zz__expander_srfi0z00,
							BGl_string2347z00zz__expander_srfi0z00, BgL_ez00_1893);
						exit(-1);
					}
				{	/* Eval/expdsrfi0.scm 174 */
					bool_t BgL_testz00_2041;

					if (PAIRP(BgL_xz00_1892))
						{	/* Eval/expdsrfi0.scm 174 */
							BgL_testz00_2041 = ((bool_t) 1);
						}
					else
						{	/* Eval/expdsrfi0.scm 174 */
							BgL_testz00_2041 = NULLP(BgL_xz00_1892);
						}
					if (BgL_testz00_2041)
						{	/* Eval/expdsrfi0.scm 174 */
							BgL_auxz00_2040 = BgL_xz00_1892;
						}
					else
						{	/* Eval/expdsrfi0.scm 174 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2348z00zz__expander_srfi0z00,
								BGl_string2346z00zz__expander_srfi0z00, BgL_xz00_1892);
							exit(-1);
						}
				}
				return
					BGl_expandzd2compilezd2condzd2expandzd2zz__expander_srfi0z00
					(BgL_auxz00_2040, BgL_auxz00_2047);
			}
		}
	}



/* compile-srfi? */
	BGL_EXPORTED_DEF bool_t BGl_compilezd2srfizf3z21zz__expander_srfi0z00(obj_t
		BgL_srfiz00_8)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 179 */
			{	/* Eval/expdsrfi0.scm 180 */
				obj_t BgL_g1736z00_1511;

				BgL_g1736z00_1511 = BGl_za2srfizd2mutexza2zd2zz__expander_srfi0z00;
				{	/* Eval/expdsrfi0.scm 180 */

					if ((((long) 0) == ((long) 0)))
						{	/* Eval/expdsrfi0.scm 180 */
							bgl_mutex_lock(BgL_g1736z00_1511);
						}
					else
						{	/* Eval/expdsrfi0.scm 180 */
							bgl_mutex_timed_lock(BgL_g1736z00_1511, ((long) 0));
			}}}
			{	/* Eval/expdsrfi0.scm 180 */
				obj_t BgL_vz00_1513;

				BgL_vz00_1513 =
					BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_srfiz00_8,
					BGl_za2srfizd2compilezd2listza2z00zz__expander_srfi0z00);
				bgl_mutex_unlock(BGl_za2srfizd2mutexza2zd2zz__expander_srfi0z00);
				return CBOOL(BgL_vz00_1513);
			}
		}
	}



/* _compile-srfi? */
	obj_t BGl__compilezd2srfizf3z21zz__expander_srfi0z00(obj_t BgL_envz00_1894,
		obj_t BgL_srfiz00_1895)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 179 */
			{	/* Eval/expdsrfi0.scm 183 */
				bool_t BgL_auxz00_2060;

				{	/* Eval/expdsrfi0.scm 183 */
					obj_t BgL_auxz00_2061;

					if (SYMBOLP(BgL_srfiz00_1895))
						{	/* Eval/expdsrfi0.scm 183 */
							BgL_auxz00_2061 = BgL_srfiz00_1895;
						}
					else
						{	/* Eval/expdsrfi0.scm 183 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2350z00zz__expander_srfi0z00,
								BGl_string2339z00zz__expander_srfi0z00, BgL_srfiz00_1895);
							exit(-1);
						}
					BgL_auxz00_2060 =
						BGl_compilezd2srfizf3z21zz__expander_srfi0z00(BgL_auxz00_2061);
				}
				return BBOOL(BgL_auxz00_2060);
			}
		}
	}



/* expand-cond-expand */
	obj_t BGl_expandzd2condzd2expandz00zz__expander_srfi0z00(obj_t BgL_xz00_9,
		obj_t BgL_ez00_10, obj_t BgL_featuresz00_11)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 188 */
			{
				obj_t BgL_clausez00_742;

				obj_t BgL_elsez00_743;

				if (PAIRP(BgL_xz00_9))
					{	/* Eval/expdsrfi0.scm 189 */
						if ((CAR(BgL_xz00_9) == BGl_symbol2356z00zz__expander_srfi0z00))
							{	/* Eval/expdsrfi0.scm 189 */
								if (NULLP(CDR(BgL_xz00_9)))
									{	/* Eval/expdsrfi0.scm 189 */
										return BUNSPEC;
									}
								else
									{	/* Eval/expdsrfi0.scm 189 */
										obj_t BgL_cdrzd21269zd2_750;

										BgL_cdrzd21269zd2_750 = CDR(BgL_xz00_9);
										if (PAIRP(BgL_cdrzd21269zd2_750))
											{	/* Eval/expdsrfi0.scm 189 */
												BgL_clausez00_742 = CAR(BgL_cdrzd21269zd2_750);
												BgL_elsez00_743 = CDR(BgL_cdrzd21269zd2_750);
											BgL_tagzd21257zd2_744:
												{
													obj_t BgL_featurez00_789;

													obj_t BgL_bodyz00_790;

													obj_t BgL_libz00_786;

													obj_t BgL_bodyz00_787;

													obj_t BgL_reqz00_783;

													obj_t BgL_bodyz00_784;

													obj_t BgL_req1z00_775;

													obj_t BgL_bodyz00_776;

													obj_t BgL_req1z00_765;

													obj_t BgL_bodyz00_766;

													obj_t BgL_bodyz00_761;

													if (PAIRP(BgL_clausez00_742))
														{	/* Eval/expdsrfi0.scm 189 */
															if (
																(CAR(BgL_clausez00_742) ==
																	BGl_symbol2357z00zz__expander_srfi0z00))
																{	/* Eval/expdsrfi0.scm 189 */
																	BgL_bodyz00_761 = CDR(BgL_clausez00_742);
																	if (NULLP(BgL_elsez00_743))
																		{	/* Eval/expdsrfi0.scm 196 */
																			obj_t BgL_arg1853z00_899;

																			{	/* Eval/expdsrfi0.scm 196 */
																				obj_t BgL_arg1855z00_900;

																				BgL_arg1855z00_900 =
																					MAKE_PAIR
																					(BGl_symbol2352z00zz__expander_srfi0z00,
																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																					(BgL_bodyz00_761, BNIL));
																				BgL_arg1853z00_899 =
																					BGl_evepairifyz00zz__prognz00
																					(BgL_arg1855z00_900, BgL_xz00_9);
																			}
																			return
																				PROCEDURE_ENTRY(BgL_ez00_10)
																				(BgL_ez00_10, BgL_arg1853z00_899,
																				BgL_ez00_10, BEOA);
																		}
																	else
																		{	/* Eval/expdsrfi0.scm 195 */
																			return
																				BGl_errorz00zz__errorz00
																				(BGl_string2354z00zz__expander_srfi0z00,
																				BGl_string2355z00zz__expander_srfi0z00,
																				BgL_xz00_9);
																		}
																}
															else
																{	/* Eval/expdsrfi0.scm 189 */
																	obj_t BgL_carzd21323zd2_797;

																	BgL_carzd21323zd2_797 =
																		CAR(BgL_clausez00_742);
																	if (PAIRP(BgL_carzd21323zd2_797))
																		{	/* Eval/expdsrfi0.scm 189 */
																			if (
																				(CAR(BgL_carzd21323zd2_797) ==
																					BGl_symbol2359z00zz__expander_srfi0z00))
																				{	/* Eval/expdsrfi0.scm 189 */
																					if (NULLP(CDR(BgL_carzd21323zd2_797)))
																						{	/* Eval/expdsrfi0.scm 189 */
																							obj_t BgL_arg1774z00_801;

																							BgL_arg1774z00_801 =
																								CDR(BgL_clausez00_742);
																							{	/* Eval/expdsrfi0.scm 189 */
																								obj_t BgL_arg1858z00_1542;

																								{	/* Eval/expdsrfi0.scm 189 */
																									obj_t BgL_arg1859z00_1543;

																									BgL_arg1859z00_1543 =
																										MAKE_PAIR
																										(BGl_symbol2352z00zz__expander_srfi0z00,
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg1774z00_801, BNIL));
																									BgL_arg1858z00_1542 =
																										BGl_evepairifyz00zz__prognz00
																										(BgL_arg1859z00_1543,
																										BgL_xz00_9);
																								}
																								return
																									PROCEDURE_ENTRY(BgL_ez00_10)
																									(BgL_ez00_10,
																									BgL_arg1858z00_1542,
																									BgL_ez00_10, BEOA);
																							}
																						}
																					else
																						{	/* Eval/expdsrfi0.scm 189 */
																							obj_t BgL_cdrzd21341zd2_802;

																							BgL_cdrzd21341zd2_802 =
																								CDR(BgL_carzd21323zd2_797);
																							if (PAIRP(BgL_cdrzd21341zd2_802))
																								{	/* Eval/expdsrfi0.scm 189 */
																									if (NULLP(CDR
																											(BgL_cdrzd21341zd2_802)))
																										{	/* Eval/expdsrfi0.scm 189 */
																											BgL_req1z00_765 =
																												CAR
																												(BgL_cdrzd21341zd2_802);
																											BgL_bodyz00_766 =
																												CDR(BgL_clausez00_742);
																											{	/* Eval/expdsrfi0.scm 201 */
																												obj_t
																													BgL_arg1862z00_907;
																												{	/* Eval/expdsrfi0.scm 201 */
																													obj_t
																														BgL_arg1863z00_908;
																													{	/* Eval/expdsrfi0.scm 201 */
																														obj_t
																															BgL_arg1864z00_909;
																														obj_t
																															BgL_arg1865z00_910;
																														BgL_arg1864z00_909 =
																															BGl_symbol2356z00zz__expander_srfi0z00;
																														{	/* Eval/expdsrfi0.scm 202 */
																															obj_t
																																BgL_arg1866z00_911;
																															obj_t
																																BgL_arg1867z00_912;
																															BgL_arg1866z00_911
																																=
																																MAKE_PAIR
																																(BgL_req1z00_765,
																																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																(BgL_bodyz00_766,
																																	BNIL));
																															BgL_arg1867z00_912
																																=
																																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																(BgL_elsez00_743,
																																BNIL);
																															{	/* Eval/expdsrfi0.scm 201 */
																																obj_t
																																	BgL_list1868z00_913;
																																BgL_list1868z00_913
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1867z00_912,
																																	BNIL);
																																BgL_arg1865z00_910
																																	=
																																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																	(BgL_arg1866z00_911,
																																	BgL_list1868z00_913);
																															}
																														}
																														BgL_arg1863z00_908 =
																															MAKE_PAIR
																															(BgL_arg1864z00_909,
																															BgL_arg1865z00_910);
																													}
																													BgL_arg1862z00_907 =
																														BGl_evepairifyz00zz__prognz00
																														(BgL_arg1863z00_908,
																														BgL_xz00_9);
																												}
																												return
																													PROCEDURE_ENTRY
																													(BgL_ez00_10)
																													(BgL_ez00_10,
																													BgL_arg1862z00_907,
																													BgL_ez00_10, BEOA);
																											}
																										}
																									else
																										{	/* Eval/expdsrfi0.scm 189 */
																											obj_t
																												BgL_cdrzd21366zd2_807;
																											BgL_cdrzd21366zd2_807 =
																												CDR(CAR
																												(BgL_clausez00_742));
																											{	/* Eval/expdsrfi0.scm 189 */
																												obj_t
																													BgL_cdrzd21372zd2_808;
																												BgL_cdrzd21372zd2_808 =
																													CDR
																													(BgL_cdrzd21366zd2_807);
																												if (PAIRP
																													(BgL_cdrzd21372zd2_808))
																													{	/* Eval/expdsrfi0.scm 189 */
																														return
																															BGl_expandzd2condzd2expandzd2andzd2zz__expander_srfi0z00
																															(BgL_xz00_9,
																															BgL_ez00_10,
																															CAR
																															(BgL_cdrzd21366zd2_807),
																															CAR
																															(BgL_cdrzd21372zd2_808),
																															CDR
																															(BgL_cdrzd21372zd2_808),
																															CDR
																															(BgL_clausez00_742),
																															BgL_elsez00_743);
																													}
																												else
																													{	/* Eval/expdsrfi0.scm 189 */
																														obj_t
																															BgL_carzd21425zd2_814;
																														BgL_carzd21425zd2_814
																															=
																															CAR
																															(BgL_clausez00_742);
																														if (SYMBOLP
																															(BgL_carzd21425zd2_814))
																															{	/* Eval/expdsrfi0.scm 189 */
																																BgL_featurez00_789
																																	=
																																	BgL_carzd21425zd2_814;
																																BgL_bodyz00_790
																																	=
																																	CDR
																																	(BgL_clausez00_742);
																															BgL_tagzd21301zd2_791:
																																{	/* Eval/expdsrfi0.scm 231 */
																																	obj_t
																																		BgL_arg1914z00_952;
																																	{	/* Eval/expdsrfi0.scm 231 */
																																		obj_t
																																			BgL_arg1915z00_953;
																																		if (CBOOL
																																			(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																																				(BgL_featurez00_789,
																																					BgL_featuresz00_11)))
																																			{	/* Eval/expdsrfi0.scm 231 */
																																				BgL_arg1915z00_953
																																					=
																																					MAKE_PAIR
																																					(BGl_symbol2352z00zz__expander_srfi0z00,
																																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																					(BgL_bodyz00_790,
																																						BNIL));
																																			}
																																		else
																																			{	/* Eval/expdsrfi0.scm 231 */
																																				BgL_arg1915z00_953
																																					=
																																					MAKE_PAIR
																																					(BGl_symbol2356z00zz__expander_srfi0z00,
																																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																					(BgL_elsez00_743,
																																						BNIL));
																																			}
																																		BgL_arg1914z00_952
																																			=
																																			BGl_evepairifyz00zz__prognz00
																																			(BgL_arg1915z00_953,
																																			BgL_xz00_9);
																																	}
																																	return
																																		PROCEDURE_ENTRY
																																		(BgL_ez00_10)
																																		(BgL_ez00_10,
																																		BgL_arg1914z00_952,
																																		BgL_ez00_10,
																																		BEOA);
																																}
																															}
																														else
																															{	/* Eval/expdsrfi0.scm 189 */
																																return
																																	BGl_errorz00zz__errorz00
																																	(BGl_string2354z00zz__expander_srfi0z00,
																																	BGl_string2355z00zz__expander_srfi0z00,
																																	BgL_xz00_9);
																															}
																													}
																											}
																										}
																								}
																							else
																								{	/* Eval/expdsrfi0.scm 189 */
																									obj_t BgL_carzd21485zd2_819;

																									BgL_carzd21485zd2_819 =
																										CAR(BgL_clausez00_742);
																									if (SYMBOLP
																										(BgL_carzd21485zd2_819))
																										{
																											obj_t BgL_bodyz00_2154;

																											obj_t BgL_featurez00_2153;

																											BgL_featurez00_2153 =
																												BgL_carzd21485zd2_819;
																											BgL_bodyz00_2154 =
																												CDR(BgL_clausez00_742);
																											BgL_bodyz00_790 =
																												BgL_bodyz00_2154;
																											BgL_featurez00_789 =
																												BgL_featurez00_2153;
																											goto
																												BgL_tagzd21301zd2_791;
																										}
																									else
																										{	/* Eval/expdsrfi0.scm 189 */
																											return
																												BGl_errorz00zz__errorz00
																												(BGl_string2354z00zz__expander_srfi0z00,
																												BGl_string2355z00zz__expander_srfi0z00,
																												BgL_xz00_9);
																										}
																								}
																						}
																				}
																			else
																				{	/* Eval/expdsrfi0.scm 189 */
																					if (
																						(CAR(BgL_carzd21323zd2_797) ==
																							BGl_symbol2361z00zz__expander_srfi0z00))
																						{	/* Eval/expdsrfi0.scm 189 */
																							if (NULLP(CDR
																									(BgL_carzd21323zd2_797)))
																								{	/* Eval/expdsrfi0.scm 189 */
																									obj_t BgL_arg1870z00_1577;

																									{	/* Eval/expdsrfi0.scm 189 */
																										obj_t BgL_arg1872z00_1578;

																										BgL_arg1872z00_1578 =
																											MAKE_PAIR
																											(BGl_symbol2356z00zz__expander_srfi0z00,
																											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																											(BgL_elsez00_743, BNIL));
																										BgL_arg1870z00_1577 =
																											BGl_evepairifyz00zz__prognz00
																											(BgL_arg1872z00_1578,
																											BgL_xz00_9);
																									}
																									return
																										PROCEDURE_ENTRY(BgL_ez00_10)
																										(BgL_ez00_10,
																										BgL_arg1870z00_1577,
																										BgL_ez00_10, BEOA);
																								}
																							else
																								{	/* Eval/expdsrfi0.scm 189 */
																									obj_t BgL_cdrzd21537zd2_828;

																									BgL_cdrzd21537zd2_828 =
																										CDR(CAR(BgL_clausez00_742));
																									if (PAIRP
																										(BgL_cdrzd21537zd2_828))
																										{	/* Eval/expdsrfi0.scm 189 */
																											if (NULLP(CDR
																													(BgL_cdrzd21537zd2_828)))
																												{	/* Eval/expdsrfi0.scm 189 */
																													BgL_req1z00_775 =
																														CAR
																														(BgL_cdrzd21537zd2_828);
																													BgL_bodyz00_776 =
																														CDR
																														(BgL_clausez00_742);
																													{	/* Eval/expdsrfi0.scm 211 */
																														obj_t
																															BgL_arg1875z00_919;
																														{	/* Eval/expdsrfi0.scm 211 */
																															obj_t
																																BgL_arg1876z00_920;
																															{	/* Eval/expdsrfi0.scm 211 */
																																obj_t
																																	BgL_arg1877z00_921;
																																obj_t
																																	BgL_arg1879z00_922;
																																BgL_arg1877z00_921
																																	=
																																	BGl_symbol2356z00zz__expander_srfi0z00;
																																{	/* Eval/expdsrfi0.scm 212 */
																																	obj_t
																																		BgL_arg1881z00_923;
																																	obj_t
																																		BgL_arg1882z00_924;
																																	BgL_arg1881z00_923
																																		=
																																		MAKE_PAIR
																																		(BgL_req1z00_775,
																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_bodyz00_776,
																																			BNIL));
																																	BgL_arg1882z00_924
																																		=
																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																		(BgL_elsez00_743,
																																		BNIL);
																																	{	/* Eval/expdsrfi0.scm 211 */
																																		obj_t
																																			BgL_list1883z00_925;
																																		BgL_list1883z00_925
																																			=
																																			MAKE_PAIR
																																			(BgL_arg1882z00_924,
																																			BNIL);
																																		BgL_arg1879z00_922
																																			=
																																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_arg1881z00_923,
																																			BgL_list1883z00_925);
																																	}
																																}
																																BgL_arg1876z00_920
																																	=
																																	MAKE_PAIR
																																	(BgL_arg1877z00_921,
																																	BgL_arg1879z00_922);
																															}
																															BgL_arg1875z00_919
																																=
																																BGl_evepairifyz00zz__prognz00
																																(BgL_arg1876z00_920,
																																BgL_xz00_9);
																														}
																														return
																															PROCEDURE_ENTRY
																															(BgL_ez00_10)
																															(BgL_ez00_10,
																															BgL_arg1875z00_919,
																															BgL_ez00_10,
																															BEOA);
																													}
																												}
																											else
																												{	/* Eval/expdsrfi0.scm 189 */
																													obj_t
																														BgL_cdrzd21568zd2_834;
																													BgL_cdrzd21568zd2_834
																														=
																														CDR
																														(BgL_cdrzd21537zd2_828);
																													if (PAIRP
																														(BgL_cdrzd21568zd2_834))
																														{	/* Eval/expdsrfi0.scm 189 */
																															return
																																BGl_expandzd2condzd2expandzd2orzd2zz__expander_srfi0z00
																																(BgL_xz00_9,
																																BgL_ez00_10,
																																CAR
																																(BgL_cdrzd21537zd2_828),
																																CAR
																																(BgL_cdrzd21568zd2_834),
																																CDR
																																(BgL_cdrzd21568zd2_834),
																																CDR
																																(BgL_clausez00_742),
																																BgL_elsez00_743);
																														}
																													else
																														{	/* Eval/expdsrfi0.scm 189 */
																															obj_t
																																BgL_carzd21593zd2_840;
																															BgL_carzd21593zd2_840
																																=
																																CAR
																																(BgL_clausez00_742);
																															if (SYMBOLP
																																(BgL_carzd21593zd2_840))
																																{
																																	obj_t
																																		BgL_bodyz00_2198;
																																	obj_t
																																		BgL_featurez00_2197;
																																	BgL_featurez00_2197
																																		=
																																		BgL_carzd21593zd2_840;
																																	BgL_bodyz00_2198
																																		=
																																		CDR
																																		(BgL_clausez00_742);
																																	BgL_bodyz00_790
																																		=
																																		BgL_bodyz00_2198;
																																	BgL_featurez00_789
																																		=
																																		BgL_featurez00_2197;
																																	goto
																																		BgL_tagzd21301zd2_791;
																																}
																															else
																																{	/* Eval/expdsrfi0.scm 189 */
																																	return
																																		BGl_errorz00zz__errorz00
																																		(BGl_string2354z00zz__expander_srfi0z00,
																																		BGl_string2355z00zz__expander_srfi0z00,
																																		BgL_xz00_9);
																																}
																														}
																												}
																										}
																									else
																										{	/* Eval/expdsrfi0.scm 189 */
																											obj_t
																												BgL_carzd21625zd2_845;
																											BgL_carzd21625zd2_845 =
																												CAR(BgL_clausez00_742);
																											if (SYMBOLP
																												(BgL_carzd21625zd2_845))
																												{
																													obj_t
																														BgL_bodyz00_2205;
																													obj_t
																														BgL_featurez00_2204;
																													BgL_featurez00_2204 =
																														BgL_carzd21625zd2_845;
																													BgL_bodyz00_2205 =
																														CDR
																														(BgL_clausez00_742);
																													BgL_bodyz00_790 =
																														BgL_bodyz00_2205;
																													BgL_featurez00_789 =
																														BgL_featurez00_2204;
																													goto
																														BgL_tagzd21301zd2_791;
																												}
																											else
																												{	/* Eval/expdsrfi0.scm 189 */
																													return
																														BGl_errorz00zz__errorz00
																														(BGl_string2354z00zz__expander_srfi0z00,
																														BGl_string2355z00zz__expander_srfi0z00,
																														BgL_xz00_9);
																												}
																										}
																								}
																						}
																					else
																						{	/* Eval/expdsrfi0.scm 189 */
																							obj_t BgL_carzd21657zd2_850;

																							BgL_carzd21657zd2_850 =
																								CAR(BgL_clausez00_742);
																							{	/* Eval/expdsrfi0.scm 189 */
																								obj_t BgL_cdrzd21661zd2_851;

																								BgL_cdrzd21661zd2_851 =
																									CDR(BgL_carzd21657zd2_850);
																								if (
																									(CAR(BgL_carzd21657zd2_850) ==
																										BGl_symbol2363z00zz__expander_srfi0z00))
																									{	/* Eval/expdsrfi0.scm 189 */
																										if (PAIRP
																											(BgL_cdrzd21661zd2_851))
																											{	/* Eval/expdsrfi0.scm 189 */
																												if (NULLP(CDR
																														(BgL_cdrzd21661zd2_851)))
																													{	/* Eval/expdsrfi0.scm 189 */
																														BgL_reqz00_783 =
																															CAR
																															(BgL_cdrzd21661zd2_851);
																														BgL_bodyz00_784 =
																															CDR
																															(BgL_clausez00_742);
																														{	/* Eval/expdsrfi0.scm 219 */
																															obj_t
																																BgL_arg1885z00_927;
																															{	/* Eval/expdsrfi0.scm 219 */
																																obj_t
																																	BgL_arg1886z00_928;
																																{	/* Eval/expdsrfi0.scm 219 */
																																	obj_t
																																		BgL_arg1888z00_929;
																																	obj_t
																																		BgL_arg1889z00_930;
																																	BgL_arg1888z00_929
																																		=
																																		BGl_symbol2356z00zz__expander_srfi0z00;
																																	{	/* Eval/expdsrfi0.scm 220 */
																																		obj_t
																																			BgL_arg1890z00_931;
																																		obj_t
																																			BgL_arg1892z00_932;
																																		{	/* Eval/expdsrfi0.scm 220 */
																																			obj_t
																																				BgL_arg1896z00_936;
																																			{	/* Eval/expdsrfi0.scm 220 */
																																				obj_t
																																					BgL_arg1897z00_937;
																																				BgL_arg1897z00_937
																																					=
																																					MAKE_PAIR
																																					(BGl_symbol2356z00zz__expander_srfi0z00,
																																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																					(BgL_elsez00_743,
																																						BNIL));
																																				{	/* Eval/expdsrfi0.scm 220 */
																																					obj_t
																																						BgL_list1899z00_939;
																																					BgL_list1899z00_939
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_arg1896z00_936
																																						=
																																						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																						(BgL_arg1897z00_937,
																																						BgL_list1899z00_939);
																																				}
																																			}
																																			BgL_arg1890z00_931
																																				=
																																				MAKE_PAIR
																																				(BgL_reqz00_783,
																																				BgL_arg1896z00_936);
																																		}
																																		BgL_arg1892z00_932
																																			=
																																			MAKE_PAIR
																																			(BGl_symbol2357z00zz__expander_srfi0z00,
																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																			(BgL_bodyz00_784,
																																				BNIL));
																																		{	/* Eval/expdsrfi0.scm 219 */
																																			obj_t
																																				BgL_list1894z00_934;
																																			{	/* Eval/expdsrfi0.scm 219 */
																																				obj_t
																																					BgL_arg1895z00_935;
																																				BgL_arg1895z00_935
																																					=
																																					MAKE_PAIR
																																					(BNIL,
																																					BNIL);
																																				BgL_list1894z00_934
																																					=
																																					MAKE_PAIR
																																					(BgL_arg1892z00_932,
																																					BgL_arg1895z00_935);
																																			}
																																			BgL_arg1889z00_930
																																				=
																																				BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																																				(BgL_arg1890z00_931,
																																				BgL_list1894z00_934);
																																		}
																																	}
																																	BgL_arg1886z00_928
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1888z00_929,
																																		BgL_arg1889z00_930);
																																}
																																BgL_arg1885z00_927
																																	=
																																	BGl_evepairifyz00zz__prognz00
																																	(BgL_arg1886z00_928,
																																	BgL_xz00_9);
																															}
																															return
																																PROCEDURE_ENTRY
																																(BgL_ez00_10)
																																(BgL_ez00_10,
																																BgL_arg1885z00_927,
																																BgL_ez00_10,
																																BEOA);
																														}
																													}
																												else
																													{	/* Eval/expdsrfi0.scm 189 */
																														if (SYMBOLP
																															(BgL_carzd21657zd2_850))
																															{
																																obj_t
																																	BgL_bodyz00_2237;
																																obj_t
																																	BgL_featurez00_2236;
																																BgL_featurez00_2236
																																	=
																																	BgL_carzd21657zd2_850;
																																BgL_bodyz00_2237
																																	=
																																	CDR
																																	(BgL_clausez00_742);
																																BgL_bodyz00_790
																																	=
																																	BgL_bodyz00_2237;
																																BgL_featurez00_789
																																	=
																																	BgL_featurez00_2236;
																																goto
																																	BgL_tagzd21301zd2_791;
																															}
																														else
																															{	/* Eval/expdsrfi0.scm 189 */
																																return
																																	BGl_errorz00zz__errorz00
																																	(BGl_string2354z00zz__expander_srfi0z00,
																																	BGl_string2355z00zz__expander_srfi0z00,
																																	BgL_xz00_9);
																															}
																													}
																											}
																										else
																											{	/* Eval/expdsrfi0.scm 189 */
																												if (SYMBOLP
																													(BgL_carzd21657zd2_850))
																													{
																														obj_t
																															BgL_bodyz00_2243;
																														obj_t
																															BgL_featurez00_2242;
																														BgL_featurez00_2242
																															=
																															BgL_carzd21657zd2_850;
																														BgL_bodyz00_2243 =
																															CDR
																															(BgL_clausez00_742);
																														BgL_bodyz00_790 =
																															BgL_bodyz00_2243;
																														BgL_featurez00_789 =
																															BgL_featurez00_2242;
																														goto
																															BgL_tagzd21301zd2_791;
																													}
																												else
																													{	/* Eval/expdsrfi0.scm 189 */
																														return
																															BGl_errorz00zz__errorz00
																															(BGl_string2354z00zz__expander_srfi0z00,
																															BGl_string2355z00zz__expander_srfi0z00,
																															BgL_xz00_9);
																													}
																											}
																									}
																								else
																									{	/* Eval/expdsrfi0.scm 189 */
																										obj_t BgL_cdrzd21706zd2_865;

																										BgL_cdrzd21706zd2_865 =
																											CDR
																											(BgL_carzd21657zd2_850);
																										if ((CAR
																												(BgL_carzd21657zd2_850)
																												==
																												BGl_symbol2365z00zz__expander_srfi0z00))
																											{	/* Eval/expdsrfi0.scm 189 */
																												if (PAIRP
																													(BgL_cdrzd21706zd2_865))
																													{	/* Eval/expdsrfi0.scm 189 */
																														obj_t
																															BgL_carzd21708zd2_868;
																														BgL_carzd21708zd2_868
																															=
																															CAR
																															(BgL_cdrzd21706zd2_865);
																														if (SYMBOLP
																															(BgL_carzd21708zd2_868))
																															{	/* Eval/expdsrfi0.scm 189 */
																																if (NULLP(CDR
																																		(BgL_cdrzd21706zd2_865)))
																																	{	/* Eval/expdsrfi0.scm 189 */
																																		BgL_libz00_786
																																			=
																																			BgL_carzd21708zd2_868;
																																		BgL_bodyz00_787
																																			=
																																			CDR
																																			(BgL_clausez00_742);
																																		{	/* Eval/expdsrfi0.scm 225 */
																																			obj_t
																																				BgL_arg1904z00_944;
																																			{	/* Eval/expdsrfi0.scm 225 */
																																				obj_t
																																					BgL_arg1905z00_945;
																																				if (CBOOL(BGl_libraryzd2existszf3z21zz__libraryz00(BgL_libz00_786, BNIL)))
																																					{	/* Eval/expdsrfi0.scm 225 */
																																						BgL_arg1905z00_945
																																							=
																																							MAKE_PAIR
																																							(BGl_symbol2352z00zz__expander_srfi0z00,
																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																							(BgL_bodyz00_787,
																																								BNIL));
																																					}
																																				else
																																					{	/* Eval/expdsrfi0.scm 225 */
																																						BgL_arg1905z00_945
																																							=
																																							MAKE_PAIR
																																							(BGl_symbol2356z00zz__expander_srfi0z00,
																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																							(BgL_elsez00_743,
																																								BNIL));
																																					}
																																				BgL_arg1904z00_944
																																					=
																																					BGl_evepairifyz00zz__prognz00
																																					(BgL_arg1905z00_945,
																																					BgL_xz00_9);
																																			}
																																			return
																																				PROCEDURE_ENTRY
																																				(BgL_ez00_10)
																																				(BgL_ez00_10,
																																				BgL_arg1904z00_944,
																																				BgL_ez00_10,
																																				BEOA);
																																		}
																																	}
																																else
																																	{	/* Eval/expdsrfi0.scm 189 */
																																		obj_t
																																			BgL_carzd21718zd2_872;
																																		BgL_carzd21718zd2_872
																																			=
																																			CAR
																																			(BgL_clausez00_742);
																																		if (SYMBOLP
																																			(BgL_carzd21718zd2_872))
																																			{
																																				obj_t
																																					BgL_bodyz00_2273;
																																				obj_t
																																					BgL_featurez00_2272;
																																				BgL_featurez00_2272
																																					=
																																					BgL_carzd21718zd2_872;
																																				BgL_bodyz00_2273
																																					=
																																					CDR
																																					(BgL_clausez00_742);
																																				BgL_bodyz00_790
																																					=
																																					BgL_bodyz00_2273;
																																				BgL_featurez00_789
																																					=
																																					BgL_featurez00_2272;
																																				goto
																																					BgL_tagzd21301zd2_791;
																																			}
																																		else
																																			{	/* Eval/expdsrfi0.scm 189 */
																																				return
																																					BGl_errorz00zz__errorz00
																																					(BGl_string2354z00zz__expander_srfi0z00,
																																					BGl_string2355z00zz__expander_srfi0z00,
																																					BgL_xz00_9);
																																			}
																																	}
																															}
																														else
																															{	/* Eval/expdsrfi0.scm 189 */
																																obj_t
																																	BgL_carzd21728zd2_876;
																																BgL_carzd21728zd2_876
																																	=
																																	CAR
																																	(BgL_clausez00_742);
																																if (SYMBOLP
																																	(BgL_carzd21728zd2_876))
																																	{
																																		obj_t
																																			BgL_bodyz00_2280;
																																		obj_t
																																			BgL_featurez00_2279;
																																		BgL_featurez00_2279
																																			=
																																			BgL_carzd21728zd2_876;
																																		BgL_bodyz00_2280
																																			=
																																			CDR
																																			(BgL_clausez00_742);
																																		BgL_bodyz00_790
																																			=
																																			BgL_bodyz00_2280;
																																		BgL_featurez00_789
																																			=
																																			BgL_featurez00_2279;
																																		goto
																																			BgL_tagzd21301zd2_791;
																																	}
																																else
																																	{	/* Eval/expdsrfi0.scm 189 */
																																		return
																																			BGl_errorz00zz__errorz00
																																			(BGl_string2354z00zz__expander_srfi0z00,
																																			BGl_string2355z00zz__expander_srfi0z00,
																																			BgL_xz00_9);
																																	}
																															}
																													}
																												else
																													{	/* Eval/expdsrfi0.scm 189 */
																														obj_t
																															BgL_carzd21738zd2_879;
																														BgL_carzd21738zd2_879
																															=
																															CAR
																															(BgL_clausez00_742);
																														if (SYMBOLP
																															(BgL_carzd21738zd2_879))
																															{
																																obj_t
																																	BgL_bodyz00_2287;
																																obj_t
																																	BgL_featurez00_2286;
																																BgL_featurez00_2286
																																	=
																																	BgL_carzd21738zd2_879;
																																BgL_bodyz00_2287
																																	=
																																	CDR
																																	(BgL_clausez00_742);
																																BgL_bodyz00_790
																																	=
																																	BgL_bodyz00_2287;
																																BgL_featurez00_789
																																	=
																																	BgL_featurez00_2286;
																																goto
																																	BgL_tagzd21301zd2_791;
																															}
																														else
																															{	/* Eval/expdsrfi0.scm 189 */
																																return
																																	BGl_errorz00zz__errorz00
																																	(BGl_string2354z00zz__expander_srfi0z00,
																																	BGl_string2355z00zz__expander_srfi0z00,
																																	BgL_xz00_9);
																															}
																													}
																											}
																										else
																											{	/* Eval/expdsrfi0.scm 189 */
																												obj_t
																													BgL_carzd21748zd2_882;
																												BgL_carzd21748zd2_882 =
																													CAR
																													(BgL_clausez00_742);
																												if (SYMBOLP
																													(BgL_carzd21748zd2_882))
																													{
																														obj_t
																															BgL_bodyz00_2294;
																														obj_t
																															BgL_featurez00_2293;
																														BgL_featurez00_2293
																															=
																															BgL_carzd21748zd2_882;
																														BgL_bodyz00_2294 =
																															CDR
																															(BgL_clausez00_742);
																														BgL_bodyz00_790 =
																															BgL_bodyz00_2294;
																														BgL_featurez00_789 =
																															BgL_featurez00_2293;
																														goto
																															BgL_tagzd21301zd2_791;
																													}
																												else
																													{	/* Eval/expdsrfi0.scm 189 */
																														return
																															BGl_errorz00zz__errorz00
																															(BGl_string2354z00zz__expander_srfi0z00,
																															BGl_string2355z00zz__expander_srfi0z00,
																															BgL_xz00_9);
																													}
																											}
																									}
																							}
																						}
																				}
																		}
																	else
																		{	/* Eval/expdsrfi0.scm 189 */
																			if (SYMBOLP(BgL_carzd21323zd2_797))
																				{
																					obj_t BgL_bodyz00_2300;

																					obj_t BgL_featurez00_2299;

																					BgL_featurez00_2299 =
																						BgL_carzd21323zd2_797;
																					BgL_bodyz00_2300 =
																						CDR(BgL_clausez00_742);
																					BgL_bodyz00_790 = BgL_bodyz00_2300;
																					BgL_featurez00_789 =
																						BgL_featurez00_2299;
																					goto BgL_tagzd21301zd2_791;
																				}
																			else
																				{	/* Eval/expdsrfi0.scm 189 */
																					return
																						BGl_errorz00zz__errorz00
																						(BGl_string2354z00zz__expander_srfi0z00,
																						BGl_string2355z00zz__expander_srfi0z00,
																						BgL_xz00_9);
																				}
																		}
																}
														}
													else
														{	/* Eval/expdsrfi0.scm 189 */
															return
																BGl_errorz00zz__errorz00
																(BGl_string2354z00zz__expander_srfi0z00,
																BGl_string2355z00zz__expander_srfi0z00,
																BgL_xz00_9);
														}
												}
											}
										else
											{	/* Eval/expdsrfi0.scm 189 */
												return
													BGl_errorz00zz__errorz00
													(BGl_string2354z00zz__expander_srfi0z00,
													BGl_string2355z00zz__expander_srfi0z00, BgL_xz00_9);
											}
									}
							}
						else
							{	/* Eval/expdsrfi0.scm 189 */
								obj_t BgL_cdrzd21281zd2_755;

								BgL_cdrzd21281zd2_755 = CDR(BgL_xz00_9);
								if (PAIRP(BgL_cdrzd21281zd2_755))
									{
										obj_t BgL_elsez00_2312;

										obj_t BgL_clausez00_2310;

										BgL_clausez00_2310 = CAR(BgL_cdrzd21281zd2_755);
										BgL_elsez00_2312 = CDR(BgL_cdrzd21281zd2_755);
										BgL_elsez00_743 = BgL_elsez00_2312;
										BgL_clausez00_742 = BgL_clausez00_2310;
										goto BgL_tagzd21257zd2_744;
									}
								else
									{	/* Eval/expdsrfi0.scm 189 */
										return
											BGl_errorz00zz__errorz00
											(BGl_string2354z00zz__expander_srfi0z00,
											BGl_string2355z00zz__expander_srfi0z00, BgL_xz00_9);
									}
							}
					}
				else
					{	/* Eval/expdsrfi0.scm 189 */
						return
							BGl_errorz00zz__errorz00(BGl_string2354z00zz__expander_srfi0z00,
							BGl_string2355z00zz__expander_srfi0z00, BgL_xz00_9);
					}
			}
		}
	}



/* expand-cond-expand-and */
	obj_t BGl_expandzd2condzd2expandzd2andzd2zz__expander_srfi0z00(obj_t
		BgL_xz00_12, obj_t BgL_ez00_13, obj_t BgL_req1z00_14, obj_t BgL_req2z00_15,
		obj_t BgL_reqsz00_16, obj_t BgL_bodyz00_17, obj_t BgL_elsez00_18)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 244 */
			{	/* Eval/expdsrfi0.scm 247 */
				obj_t BgL_arg1922z00_1682;

				{	/* Eval/expdsrfi0.scm 247 */
					obj_t BgL_arg1923z00_1683;

					{	/* Eval/expdsrfi0.scm 247 */
						obj_t BgL_arg1924z00_1684;

						obj_t BgL_arg1925z00_1685;

						BgL_arg1924z00_1684 = BGl_symbol2356z00zz__expander_srfi0z00;
						{	/* Eval/expdsrfi0.scm 247 */
							obj_t BgL_arg1926z00_1686;

							obj_t BgL_arg1934z00_1687;

							{	/* Eval/expdsrfi0.scm 247 */
								obj_t BgL_arg1936z00_1688;

								{	/* Eval/expdsrfi0.scm 247 */
									obj_t BgL_arg1937z00_1689;

									{	/* Eval/expdsrfi0.scm 247 */
										obj_t BgL_arg1940z00_1691;

										obj_t BgL_arg1941z00_1692;

										BgL_arg1940z00_1691 =
											BGl_symbol2356z00zz__expander_srfi0z00;
										{	/* Eval/expdsrfi0.scm 247 */
											obj_t BgL_arg1942z00_1693;

											obj_t BgL_arg1943z00_1694;

											{	/* Eval/expdsrfi0.scm 247 */
												obj_t BgL_arg1945z00_1695;

												obj_t BgL_arg1946z00_1696;

												{	/* Eval/expdsrfi0.scm 247 */
													obj_t BgL_arg1947z00_1697;

													obj_t BgL_arg1948z00_1698;

													BgL_arg1947z00_1697 =
														BGl_symbol2359z00zz__expander_srfi0z00;
													{	/* Eval/expdsrfi0.scm 247 */
														obj_t BgL_arg1949z00_1699;

														BgL_arg1949z00_1699 =
															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
															(BgL_reqsz00_16, BNIL);
														{	/* Eval/expdsrfi0.scm 247 */
															obj_t BgL_list1950z00_1700;

															BgL_list1950z00_1700 =
																MAKE_PAIR(BgL_arg1949z00_1699, BNIL);
															BgL_arg1948z00_1698 =
																BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																(BgL_req2z00_15, BgL_list1950z00_1700);
														}
													}
													BgL_arg1945z00_1695 =
														MAKE_PAIR(BgL_arg1947z00_1697, BgL_arg1948z00_1698);
												}
												BgL_arg1946z00_1696 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_bodyz00_17, BNIL);
												BgL_arg1942z00_1693 =
													MAKE_PAIR(BgL_arg1945z00_1695, BgL_arg1946z00_1696);
											}
											BgL_arg1943z00_1694 =
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_elsez00_18, BNIL);
											{	/* Eval/expdsrfi0.scm 247 */
												obj_t BgL_list1944z00_1701;

												BgL_list1944z00_1701 =
													MAKE_PAIR(BgL_arg1943z00_1694, BNIL);
												BgL_arg1941z00_1692 =
													BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1942z00_1693, BgL_list1944z00_1701);
											}
										}
										BgL_arg1937z00_1689 =
											MAKE_PAIR(BgL_arg1940z00_1691, BgL_arg1941z00_1692);
									}
									{	/* Eval/expdsrfi0.scm 247 */
										obj_t BgL_list1939z00_1702;

										BgL_list1939z00_1702 = MAKE_PAIR(BNIL, BNIL);
										BgL_arg1936z00_1688 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1937z00_1689, BgL_list1939z00_1702);
									}
								}
								BgL_arg1926z00_1686 =
									MAKE_PAIR(BgL_req1z00_14, BgL_arg1936z00_1688);
							}
							BgL_arg1934z00_1687 =
								BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_elsez00_18,
								BNIL);
							{	/* Eval/expdsrfi0.scm 247 */
								obj_t BgL_list1935z00_1703;

								BgL_list1935z00_1703 = MAKE_PAIR(BgL_arg1934z00_1687, BNIL);
								BgL_arg1925z00_1685 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1926z00_1686, BgL_list1935z00_1703);
							}
						}
						BgL_arg1923z00_1683 =
							MAKE_PAIR(BgL_arg1924z00_1684, BgL_arg1925z00_1685);
					}
					BgL_arg1922z00_1682 =
						BGl_evepairifyz00zz__prognz00(BgL_arg1923z00_1683, BgL_xz00_12);
				}
				return
					PROCEDURE_ENTRY(BgL_ez00_13) (BgL_ez00_13, BgL_arg1922z00_1682,
					BgL_ez00_13, BEOA);
			}
		}
	}



/* expand-cond-expand-or */
	obj_t BGl_expandzd2condzd2expandzd2orzd2zz__expander_srfi0z00(obj_t
		BgL_xz00_19, obj_t BgL_ez00_20, obj_t BgL_req1z00_21, obj_t BgL_req2z00_22,
		obj_t BgL_reqsz00_23, obj_t BgL_bodyz00_24, obj_t BgL_elsez00_25)
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 256 */
			{	/* Eval/expdsrfi0.scm 257 */
				obj_t BgL_bdz00_981;

				{	/* Eval/expdsrfi0.scm 257 */

					{	/* Eval/expdsrfi0.scm 257 */

						BgL_bdz00_981 = BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
					}
				}
				{	/* Eval/expdsrfi0.scm 258 */
					obj_t BgL_arg1951z00_982;

					{	/* Eval/expdsrfi0.scm 258 */
						obj_t BgL_arg1952z00_983;

						{	/* Eval/expdsrfi0.scm 258 */
							obj_t BgL_arg1953z00_984;

							obj_t BgL_arg1954z00_985;

							BgL_arg1953z00_984 = BGl_symbol2356z00zz__expander_srfi0z00;
							{	/* Eval/expdsrfi0.scm 259 */
								obj_t BgL_arg1955z00_986;

								obj_t BgL_arg1956z00_987;

								{	/* Eval/expdsrfi0.scm 259 */
									obj_t BgL_arg1960z00_991;

									{	/* Eval/expdsrfi0.scm 259 */
										obj_t BgL_arg1961z00_992;

										{	/* Eval/expdsrfi0.scm 259 */
											obj_t BgL_arg1964z00_995;

											BgL_arg1964z00_995 =
												MAKE_PAIR(BGl_symbol2352z00zz__expander_srfi0z00,
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_bodyz00_24, BNIL));
											BgL_arg1961z00_992 =
												BGl_evepairifyz00zz__prognz00(BgL_arg1964z00_995,
												BgL_bodyz00_24);
										}
										{	/* Eval/expdsrfi0.scm 259 */
											obj_t BgL_list1963z00_994;

											BgL_list1963z00_994 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg1960z00_991 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg1961z00_992, BgL_list1963z00_994);
										}
									}
									BgL_arg1955z00_986 =
										MAKE_PAIR(BgL_req1z00_21, BgL_arg1960z00_991);
								}
								{	/* Eval/expdsrfi0.scm 260 */
									obj_t BgL_arg1970z00_998;

									obj_t BgL_arg1971z00_999;

									BgL_arg1970z00_998 = BGl_symbol2357z00zz__expander_srfi0z00;
									{	/* Eval/expdsrfi0.scm 261 */
										obj_t BgL_arg1974z00_1000;

										{	/* Eval/expdsrfi0.scm 261 */
											obj_t BgL_arg1977z00_1003;

											obj_t BgL_arg1978z00_1004;

											BgL_arg1977z00_1003 =
												BGl_symbol2356z00zz__expander_srfi0z00;
											{	/* Eval/expdsrfi0.scm 262 */
												obj_t BgL_arg1979z00_1005;

												obj_t BgL_arg1980z00_1006;

												{	/* Eval/expdsrfi0.scm 262 */
													obj_t BgL_arg1982z00_1008;

													obj_t BgL_arg1983z00_1009;

													{	/* Eval/expdsrfi0.scm 262 */
														obj_t BgL_arg1984z00_1010;

														obj_t BgL_arg1985z00_1011;

														BgL_arg1984z00_1010 =
															BGl_symbol2361z00zz__expander_srfi0z00;
														{	/* Eval/expdsrfi0.scm 262 */
															obj_t BgL_arg1986z00_1012;

															BgL_arg1986z00_1012 =
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																(BgL_reqsz00_23, BNIL);
															{	/* Eval/expdsrfi0.scm 262 */
																obj_t BgL_list1987z00_1013;

																BgL_list1987z00_1013 =
																	MAKE_PAIR(BgL_arg1986z00_1012, BNIL);
																BgL_arg1985z00_1011 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_req2z00_22, BgL_list1987z00_1013);
															}
														}
														BgL_arg1982z00_1008 =
															MAKE_PAIR(BgL_arg1984z00_1010,
															BgL_arg1985z00_1011);
													}
													BgL_arg1983z00_1009 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_bodyz00_24, BNIL);
													BgL_arg1979z00_1005 =
														MAKE_PAIR(BgL_arg1982z00_1008, BgL_arg1983z00_1009);
												}
												BgL_arg1980z00_1006 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_elsez00_25, BNIL);
												{	/* Eval/expdsrfi0.scm 261 */
													obj_t BgL_list1981z00_1007;

													BgL_list1981z00_1007 =
														MAKE_PAIR(BgL_arg1980z00_1006, BNIL);
													BgL_arg1978z00_1004 =
														BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1979z00_1005, BgL_list1981z00_1007);
												}
											}
											BgL_arg1974z00_1000 =
												MAKE_PAIR(BgL_arg1977z00_1003, BgL_arg1978z00_1004);
										}
										{	/* Eval/expdsrfi0.scm 260 */
											obj_t BgL_list1976z00_1002;

											BgL_list1976z00_1002 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg1971z00_999 =
												BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg1974z00_1000, BgL_list1976z00_1002);
										}
									}
									BgL_arg1956z00_987 =
										MAKE_PAIR(BgL_arg1970z00_998, BgL_arg1971z00_999);
								}
								{	/* Eval/expdsrfi0.scm 258 */
									obj_t BgL_list1958z00_989;

									{	/* Eval/expdsrfi0.scm 258 */
										obj_t BgL_arg1959z00_990;

										BgL_arg1959z00_990 = MAKE_PAIR(BNIL, BNIL);
										BgL_list1958z00_989 =
											MAKE_PAIR(BgL_arg1956z00_987, BgL_arg1959z00_990);
									}
									BgL_arg1954z00_985 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg1955z00_986, BgL_list1958z00_989);
								}
							}
							BgL_arg1952z00_983 =
								MAKE_PAIR(BgL_arg1953z00_984, BgL_arg1954z00_985);
						}
						BgL_arg1951z00_982 =
							BGl_evepairifyz00zz__prognz00(BgL_arg1952z00_983, BgL_xz00_19);
					}
					return
						PROCEDURE_ENTRY(BgL_ez00_20) (BgL_ez00_20, BgL_arg1951z00_982,
						BgL_ez00_20, BEOA);
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expander_srfi0z00()
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expander_srfi0z00()
	{
		AN_OBJECT;
		{	/* Eval/expdsrfi0.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 36890192),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 89651882),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 333500458),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 503395061),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 289987165),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 23161561),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 441587319),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 216567556),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__libraryz00(((long) 336451945),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 271963892),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					233590657),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					7848053), BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					400650732),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					459721289),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 123701502),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 504082187),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 54020034),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					523281442),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 98427014),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					159305184),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 294143011),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 239780569),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					298558382),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
			return BGl_modulezd2initializa7ationz75zz__prognz00(((long) 361745055),
				BSTRING_TO_STRING(BGl_string2367z00zz__expander_srfi0z00));
		}
	}

#ifdef __cplusplus
}
#endif
