/*===========================================================================*/
/*   (Eval/expdtrace.scm)                                                    */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Eval/expdtrace.scm -indent -o objs/obj_u/Eval/expdtrace.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2tracezd2itemz00zz__expander_tracez00(obj_t, obj_t);
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl__expandzd2tracezd2itemz00zz__expander_tracez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__expander_tracez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__expander_tracez00();
	static obj_t BGl_symbol2165z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol2167z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol2169z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol2171z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol2173z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol2176z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol2179z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol2181z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol2183z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol2185z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol2187z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol2189z00zz__expander_tracez00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2191z00zz__expander_tracez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__expander_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2withzd2tracez00zz__expander_tracez00(obj_t, obj_t);
	extern int BGl_bigloozd2compilerzd2debugz00zz__paramz00();
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2whenzd2tracez00zz__expander_tracez00(obj_t, obj_t);
	static obj_t BGl__expandzd2withzd2tracez00zz__expander_tracez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__expandzd2whenzd2tracez00zz__expander_tracez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__expander_tracez00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2whenzd2tracezd2envzd2zz__expander_tracez00,
		BgL_bgl__expandza7d2whenza7d2194z00,
		BGl__expandzd2whenzd2tracez00zz__expander_tracez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2tracezd2itemzd2envzd2zz__expander_tracez00,
		BgL_bgl__expandza7d2traceza72195z00,
		BGl__expandzd2tracezd2itemz00zz__expander_tracez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2withzd2tracezd2envzd2zz__expander_tracez00,
		BgL_bgl__expandza7d2withza7d2196z00,
		BGl__expandzd2withzd2tracez00zz__expander_tracez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2166z00zz__expander_tracez00,
		BgL_bgl_string2166za700za7za7_2197za7, "if", 2);
	      DEFINE_STRING(BGl_string2168z00zz__expander_tracez00,
		BgL_bgl_string2168za700za7za7_2198za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string2170z00zz__expander_tracez00,
		BgL_bgl_string2170za700za7za7_2199za7, "bigloo-debug", 12);
	      DEFINE_STRING(BGl_string2172z00zz__expander_tracez00,
		BgL_bgl_string2172za700za7za7_2200za7, "begin", 5);
	      DEFINE_STRING(BGl_string2174z00zz__expander_tracez00,
		BgL_bgl_string2174za700za7za7_2201za7, "when-trace", 10);
	      DEFINE_STRING(BGl_string2175z00zz__expander_tracez00,
		BgL_bgl_string2175za700za7za7_2202za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2177z00zz__expander_tracez00,
		BgL_bgl_string2177za700za7za7_2203za7, "_expand-when-trace", 18);
	      DEFINE_STRING(BGl_string2178z00zz__expander_tracez00,
		BgL_bgl_string2178za700za7za7_2204za7, "procedure", 9);
	      DEFINE_STRING(BGl_string2180z00zz__expander_tracez00,
		BgL_bgl_string2180za700za7za7_2205za7, ">fx", 3);
	      DEFINE_STRING(BGl_string2182z00zz__expander_tracez00,
		BgL_bgl_string2182za700za7za7_2206za7, "%with-trace", 11);
	      DEFINE_STRING(BGl_string2184z00zz__expander_tracez00,
		BgL_bgl_string2184za700za7za7_2207za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2186z00zz__expander_tracez00,
		BgL_bgl_string2186za700za7za7_2208za7, "with-trace", 10);
	      DEFINE_STRING(BGl_string2188z00zz__expander_tracez00,
		BgL_bgl_string2188za700za7za7_2209za7, "_expand-with-trace", 18);
	      DEFINE_STRING(BGl_string2190z00zz__expander_tracez00,
		BgL_bgl_string2190za700za7za7_2210za7, "trace-item", 10);
	      DEFINE_STRING(BGl_string2192z00zz__expander_tracez00,
		BgL_bgl_string2192za700za7za7_2211za7, "_expand-trace-item", 18);
	      DEFINE_STRING(BGl_string2193z00zz__expander_tracez00,
		BgL_bgl_string2193za700za7za7_2212za7, "__expander_trace", 16);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__expander_tracez00(long
		BgL_checksumz00_1507, char *BgL_fromz00_1508)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expander_tracez00))
				{
					BGl_requirezd2initializa7ationz75zz__expander_tracez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__expander_tracez00();
					BGl_importedzd2moduleszd2initz00zz__expander_tracez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__expander_tracez00()
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 14 */
			BGl_symbol2165z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string2166z00zz__expander_tracez00);
			BGl_symbol2167z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string2168z00zz__expander_tracez00);
			BGl_symbol2169z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string2170z00zz__expander_tracez00);
			BGl_symbol2171z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string2172z00zz__expander_tracez00);
			BGl_symbol2173z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string2174z00zz__expander_tracez00);
			BGl_symbol2176z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string2177z00zz__expander_tracez00);
			BGl_symbol2179z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string2180z00zz__expander_tracez00);
			BGl_symbol2181z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string2182z00zz__expander_tracez00);
			BGl_symbol2183z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string2184z00zz__expander_tracez00);
			BGl_symbol2185z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string2186z00zz__expander_tracez00);
			BGl_symbol2187z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string2188z00zz__expander_tracez00);
			BGl_symbol2189z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string2190z00zz__expander_tracez00);
			return (BGl_symbol2191z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string2192z00zz__expander_tracez00), BUNSPEC);
		}
	}



/* expand-when-trace */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2whenzd2tracez00zz__expander_tracez00(obj_t
		BgL_xz00_1, obj_t BgL_ez00_2)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 54 */
			{
				obj_t BgL_levelz00_704;

				obj_t BgL_expz00_705;

				if (PAIRP(BgL_xz00_1))
					{	/* Eval/expdtrace.scm 55 */
						obj_t BgL_cdrzd21213zd2_710;

						BgL_cdrzd21213zd2_710 = CDR(BgL_xz00_1);
						if (PAIRP(BgL_cdrzd21213zd2_710))
							{	/* Eval/expdtrace.scm 55 */
								BgL_levelz00_704 = CAR(BgL_cdrzd21213zd2_710);
								BgL_expz00_705 = CDR(BgL_cdrzd21213zd2_710);
								{	/* Eval/expdtrace.scm 57 */
									bool_t BgL_testz00_1532;

									{	/* Eval/expdtrace.scm 57 */
										int BgL_arg1763z00_732;

										BgL_arg1763z00_732 =
											BGl_bigloozd2compilerzd2debugz00zz__paramz00();
										BgL_testz00_1532 =
											((long) (BgL_arg1763z00_732) > ((long) 0));
									}
									if (BgL_testz00_1532)
										{	/* Eval/expdtrace.scm 58 */
											obj_t BgL_arg1745z00_715;

											{	/* Eval/expdtrace.scm 58 */
												obj_t BgL_arg1746z00_716;

												obj_t BgL_arg1747z00_717;

												BgL_arg1746z00_716 =
													BGl_symbol2165z00zz__expander_tracez00;
												{	/* Eval/expdtrace.scm 58 */
													obj_t BgL_arg1748z00_718;

													obj_t BgL_arg1749z00_719;

													{	/* Eval/expdtrace.scm 58 */
														obj_t BgL_arg1754z00_724;

														obj_t BgL_arg1755z00_725;

														BgL_arg1754z00_724 =
															BGl_symbol2167z00zz__expander_tracez00;
														{	/* Eval/expdtrace.scm 58 */
															obj_t BgL_arg1756z00_726;

															BgL_arg1756z00_726 =
																MAKE_PAIR
																(BGl_symbol2169z00zz__expander_tracez00, BNIL);
															{	/* Eval/expdtrace.scm 58 */
																obj_t BgL_list1758z00_728;

																{	/* Eval/expdtrace.scm 58 */
																	obj_t BgL_arg1759z00_729;

																	BgL_arg1759z00_729 = MAKE_PAIR(BNIL, BNIL);
																	BgL_list1758z00_728 =
																		MAKE_PAIR(BgL_levelz00_704,
																		BgL_arg1759z00_729);
																}
																BgL_arg1755z00_725 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1756z00_726, BgL_list1758z00_728);
															}
														}
														BgL_arg1748z00_718 =
															MAKE_PAIR(BgL_arg1754z00_724, BgL_arg1755z00_725);
													}
													BgL_arg1749z00_719 =
														MAKE_PAIR(BGl_symbol2171z00zz__expander_tracez00,
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_expz00_705, BNIL));
													{	/* Eval/expdtrace.scm 58 */
														obj_t BgL_list1751z00_721;

														{	/* Eval/expdtrace.scm 58 */
															obj_t BgL_arg1752z00_722;

															{	/* Eval/expdtrace.scm 58 */
																obj_t BgL_arg1753z00_723;

																BgL_arg1753z00_723 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg1752z00_722 =
																	MAKE_PAIR(BUNSPEC, BgL_arg1753z00_723);
															}
															BgL_list1751z00_721 =
																MAKE_PAIR(BgL_arg1749z00_719,
																BgL_arg1752z00_722);
														}
														BgL_arg1747z00_717 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1748z00_718, BgL_list1751z00_721);
													}
												}
												BgL_arg1745z00_715 =
													MAKE_PAIR(BgL_arg1746z00_716, BgL_arg1747z00_717);
											}
											return
												PROCEDURE_ENTRY(BgL_ez00_2) (BgL_ez00_2,
												BgL_arg1745z00_715, BgL_ez00_2, BEOA);
										}
									else
										{	/* Eval/expdtrace.scm 57 */
											return BUNSPEC;
										}
								}
							}
						else
							{	/* Eval/expdtrace.scm 55 */
								return
									BGl_errorz00zz__errorz00
									(BGl_symbol2173z00zz__expander_tracez00,
									BGl_string2175z00zz__expander_tracez00, BgL_xz00_1);
							}
					}
				else
					{	/* Eval/expdtrace.scm 55 */
						return
							BGl_errorz00zz__errorz00(BGl_symbol2173z00zz__expander_tracez00,
							BGl_string2175z00zz__expander_tracez00, BgL_xz00_1);
					}
			}
		}
	}



/* _expand-when-trace */
	obj_t BGl__expandzd2whenzd2tracez00zz__expander_tracez00(obj_t
		BgL_envz00_1492, obj_t BgL_xz00_1493, obj_t BgL_ez00_1494)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 54 */
			{	/* Eval/expdtrace.scm 55 */
				obj_t BgL_auxz00_1554;

				if (PROCEDUREP(BgL_ez00_1494))
					{	/* Eval/expdtrace.scm 55 */
						BgL_auxz00_1554 = BgL_ez00_1494;
					}
				else
					{	/* Eval/expdtrace.scm 55 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2176z00zz__expander_tracez00,
							BGl_string2178z00zz__expander_tracez00, BgL_ez00_1494);
						exit(-1);
					}
				return
					BGl_expandzd2whenzd2tracez00zz__expander_tracez00(BgL_xz00_1493,
					BgL_auxz00_1554);
			}
		}
	}



/* expand-with-trace */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2withzd2tracez00zz__expander_tracez00(obj_t
		BgL_xz00_3, obj_t BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 69 */
			{
				obj_t BgL_levelz00_734;

				obj_t BgL_lblz00_735;

				obj_t BgL_argza2za2_736;

				if (PAIRP(BgL_xz00_3))
					{	/* Eval/expdtrace.scm 70 */
						obj_t BgL_cdrzd21230zd2_741;

						BgL_cdrzd21230zd2_741 = CDR(BgL_xz00_3);
						if (PAIRP(BgL_cdrzd21230zd2_741))
							{	/* Eval/expdtrace.scm 70 */
								obj_t BgL_cdrzd21235zd2_743;

								BgL_cdrzd21235zd2_743 = CDR(BgL_cdrzd21230zd2_741);
								if (PAIRP(BgL_cdrzd21235zd2_743))
									{	/* Eval/expdtrace.scm 70 */
										BgL_levelz00_734 = CAR(BgL_cdrzd21230zd2_741);
										BgL_lblz00_735 = CAR(BgL_cdrzd21235zd2_743);
										BgL_argza2za2_736 = CDR(BgL_cdrzd21235zd2_743);
										{	/* Eval/expdtrace.scm 72 */
											bool_t BgL_testz00_1568;

											{	/* Eval/expdtrace.scm 72 */
												int BgL_arg1815z00_787;

												BgL_arg1815z00_787 =
													BGl_bigloozd2compilerzd2debugz00zz__paramz00();
												BgL_testz00_1568 =
													((long) (BgL_arg1815z00_787) > ((long) 0));
											}
											if (BgL_testz00_1568)
												{	/* Eval/expdtrace.scm 73 */
													obj_t BgL_arg1774z00_749;

													{	/* Eval/expdtrace.scm 73 */
														obj_t BgL_arg1775z00_750;

														obj_t BgL_arg1776z00_751;

														BgL_arg1775z00_750 =
															BGl_symbol2165z00zz__expander_tracez00;
														{	/* Eval/expdtrace.scm 73 */
															obj_t BgL_arg1778z00_752;

															obj_t BgL_arg1780z00_753;

															obj_t BgL_arg1781z00_754;

															{	/* Eval/expdtrace.scm 73 */
																obj_t BgL_arg1787z00_759;

																obj_t BgL_arg1788z00_760;

																BgL_arg1787z00_759 =
																	BGl_symbol2179z00zz__expander_tracez00;
																{	/* Eval/expdtrace.scm 73 */
																	obj_t BgL_arg1789z00_761;

																	BgL_arg1789z00_761 =
																		MAKE_PAIR
																		(BGl_symbol2169z00zz__expander_tracez00,
																		BNIL);
																	{	/* Eval/expdtrace.scm 73 */
																		obj_t BgL_list1792z00_764;

																		{	/* Eval/expdtrace.scm 73 */
																			obj_t BgL_arg1793z00_765;

																			BgL_arg1793z00_765 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_list1792z00_764 =
																				MAKE_PAIR(BINT(((long) 0)),
																				BgL_arg1793z00_765);
																		}
																		BgL_arg1788z00_760 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_arg1789z00_761, BgL_list1792z00_764);
																}}
																BgL_arg1778z00_752 =
																	MAKE_PAIR(BgL_arg1787z00_759,
																	BgL_arg1788z00_760);
															}
															{	/* Eval/expdtrace.scm 74 */
																obj_t BgL_arg1794z00_766;

																obj_t BgL_arg1795z00_767;

																BgL_arg1794z00_766 =
																	BGl_symbol2181z00zz__expander_tracez00;
																{	/* Eval/expdtrace.scm 74 */
																	obj_t BgL_arg1796z00_768;

																	{	/* Eval/expdtrace.scm 74 */
																		obj_t BgL_arg1801z00_773;

																		obj_t BgL_arg1802z00_774;

																		BgL_arg1801z00_773 =
																			BGl_symbol2183z00zz__expander_tracez00;
																		{	/* Eval/expdtrace.scm 74 */
																			obj_t BgL_arg1804z00_776;

																			BgL_arg1804z00_776 =
																				MAKE_PAIR
																				(BGl_symbol2171z00zz__expander_tracez00,
																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																				(BgL_argza2za2_736, BNIL));
																			{	/* Eval/expdtrace.scm 74 */
																				obj_t BgL_list1806z00_778;

																				{	/* Eval/expdtrace.scm 74 */
																					obj_t BgL_arg1807z00_779;

																					BgL_arg1807z00_779 =
																						MAKE_PAIR(BNIL, BNIL);
																					BgL_list1806z00_778 =
																						MAKE_PAIR(BgL_arg1804z00_776,
																						BgL_arg1807z00_779);
																				}
																				BgL_arg1802z00_774 =
																					BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																					(BNIL, BgL_list1806z00_778);
																		}}
																		BgL_arg1796z00_768 =
																			MAKE_PAIR(BgL_arg1801z00_773,
																			BgL_arg1802z00_774);
																	}
																	{	/* Eval/expdtrace.scm 74 */
																		obj_t BgL_list1798z00_770;

																		{	/* Eval/expdtrace.scm 74 */
																			obj_t BgL_arg1799z00_771;

																			{	/* Eval/expdtrace.scm 74 */
																				obj_t BgL_arg1800z00_772;

																				BgL_arg1800z00_772 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg1799z00_771 =
																					MAKE_PAIR(BgL_arg1796z00_768,
																					BgL_arg1800z00_772);
																			}
																			BgL_list1798z00_770 =
																				MAKE_PAIR(BgL_lblz00_735,
																				BgL_arg1799z00_771);
																		}
																		BgL_arg1795z00_767 =
																			BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																			(BgL_levelz00_734, BgL_list1798z00_770);
																}}
																BgL_arg1780z00_753 =
																	MAKE_PAIR(BgL_arg1794z00_766,
																	BgL_arg1795z00_767);
															}
															BgL_arg1781z00_754 =
																MAKE_PAIR
																(BGl_symbol2171z00zz__expander_tracez00,
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																(BgL_argza2za2_736, BNIL));
															{	/* Eval/expdtrace.scm 73 */
																obj_t BgL_list1783z00_756;

																{	/* Eval/expdtrace.scm 73 */
																	obj_t BgL_arg1785z00_757;

																	{	/* Eval/expdtrace.scm 73 */
																		obj_t BgL_arg1786z00_758;

																		BgL_arg1786z00_758 = MAKE_PAIR(BNIL, BNIL);
																		BgL_arg1785z00_757 =
																			MAKE_PAIR(BgL_arg1781z00_754,
																			BgL_arg1786z00_758);
																	}
																	BgL_list1783z00_756 =
																		MAKE_PAIR(BgL_arg1780z00_753,
																		BgL_arg1785z00_757);
																}
																BgL_arg1776z00_751 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1778z00_752, BgL_list1783z00_756);
														}}
														BgL_arg1774z00_749 =
															MAKE_PAIR(BgL_arg1775z00_750, BgL_arg1776z00_751);
													}
													return
														PROCEDURE_ENTRY(BgL_ez00_4) (BgL_ez00_4,
														BgL_arg1774z00_749, BgL_ez00_4, BEOA);
												}
											else
												{	/* Eval/expdtrace.scm 76 */
													obj_t BgL_arg1812z00_784;

													BgL_arg1812z00_784 =
														MAKE_PAIR(BGl_symbol2171z00zz__expander_tracez00,
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_argza2za2_736, BNIL));
													return PROCEDURE_ENTRY(BgL_ez00_4) (BgL_ez00_4,
														BgL_arg1812z00_784, BgL_ez00_4, BEOA);
												}
										}
									}
								else
									{	/* Eval/expdtrace.scm 70 */
										return
											BGl_errorz00zz__errorz00
											(BGl_symbol2185z00zz__expander_tracez00,
											BGl_string2175z00zz__expander_tracez00, BgL_xz00_3);
									}
							}
						else
							{	/* Eval/expdtrace.scm 70 */
								return
									BGl_errorz00zz__errorz00
									(BGl_symbol2185z00zz__expander_tracez00,
									BGl_string2175z00zz__expander_tracez00, BgL_xz00_3);
							}
					}
				else
					{	/* Eval/expdtrace.scm 70 */
						return
							BGl_errorz00zz__errorz00(BGl_symbol2185z00zz__expander_tracez00,
							BGl_string2175z00zz__expander_tracez00, BgL_xz00_3);
					}
			}
		}
	}



/* _expand-with-trace */
	obj_t BGl__expandzd2withzd2tracez00zz__expander_tracez00(obj_t
		BgL_envz00_1495, obj_t BgL_xz00_1496, obj_t BgL_ez00_1497)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 69 */
			{	/* Eval/expdtrace.scm 70 */
				obj_t BgL_auxz00_1608;

				if (PROCEDUREP(BgL_ez00_1497))
					{	/* Eval/expdtrace.scm 70 */
						BgL_auxz00_1608 = BgL_ez00_1497;
					}
				else
					{	/* Eval/expdtrace.scm 70 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2187z00zz__expander_tracez00,
							BGl_string2178z00zz__expander_tracez00, BgL_ez00_1497);
						exit(-1);
					}
				return
					BGl_expandzd2withzd2tracez00zz__expander_tracez00(BgL_xz00_1496,
					BgL_auxz00_1608);
			}
		}
	}



/* expand-trace-item */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2tracezd2itemz00zz__expander_tracez00(obj_t
		BgL_xz00_5, obj_t BgL_ez00_6)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 83 */
			{	/* Eval/expdtrace.scm 84 */
				bool_t BgL_testz00_1614;

				{	/* Eval/expdtrace.scm 84 */
					int BgL_arg1841z00_820;

					BgL_arg1841z00_820 = BGl_bigloozd2compilerzd2debugz00zz__paramz00();
					BgL_testz00_1614 = ((long) (BgL_arg1841z00_820) > ((long) 0));
				}
				if (BgL_testz00_1614)
					{	/* Eval/expdtrace.scm 85 */
						obj_t BgL_arg1818z00_790;

						obj_t BgL_arg1819z00_791;

						BgL_arg1818z00_790 = BGl_symbol2165z00zz__expander_tracez00;
						{	/* Eval/expdtrace.scm 85 */
							obj_t BgL_arg1820z00_792;

							obj_t BgL_arg1821z00_793;

							{	/* Eval/expdtrace.scm 85 */
								obj_t BgL_arg1825z00_797;

								obj_t BgL_arg1826z00_798;

								BgL_arg1825z00_797 = BGl_symbol2179z00zz__expander_tracez00;
								{	/* Eval/expdtrace.scm 85 */
									obj_t BgL_arg1827z00_799;

									BgL_arg1827z00_799 =
										MAKE_PAIR(BGl_symbol2169z00zz__expander_tracez00, BNIL);
									{	/* Eval/expdtrace.scm 85 */
										obj_t BgL_list1830z00_802;

										{	/* Eval/expdtrace.scm 85 */
											obj_t BgL_arg1831z00_803;

											BgL_arg1831z00_803 = MAKE_PAIR(BNIL, BNIL);
											BgL_list1830z00_802 =
												MAKE_PAIR(BINT(((long) 0)), BgL_arg1831z00_803);
										}
										BgL_arg1826z00_798 =
											BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg1827z00_799, BgL_list1830z00_802);
								}}
								BgL_arg1820z00_792 =
									MAKE_PAIR(BgL_arg1825z00_797, BgL_arg1826z00_798);
							}
							{	/* Eval/expdtrace.scm 86 */
								obj_t BgL_arg1832z00_804;

								obj_t BgL_arg1833z00_805;

								BgL_arg1832z00_804 = BGl_symbol2189z00zz__expander_tracez00;
								{	/* Eval/expdtrace.scm 86 */
									obj_t BgL_arg1834z00_806;

									{	/* Eval/expdtrace.scm 86 */
										obj_t BgL_l1694z00_808;

										BgL_l1694z00_808 = CDR(BgL_xz00_5);
										if (NULLP(BgL_l1694z00_808))
											{	/* Eval/expdtrace.scm 86 */
												BgL_arg1834z00_806 = BNIL;
											}
										else
											{	/* Eval/expdtrace.scm 86 */
												obj_t BgL_head1696z00_810;

												BgL_head1696z00_810 = MAKE_PAIR(BNIL, BNIL);
												{
													obj_t BgL_l1694z00_811;

													obj_t BgL_tail1697z00_812;

													BgL_l1694z00_811 = BgL_l1694z00_808;
													BgL_tail1697z00_812 = BgL_head1696z00_810;
												BgL_map1695z00_813:
													if (NULLP(BgL_l1694z00_811))
														{	/* Eval/expdtrace.scm 86 */
															BgL_arg1834z00_806 = CDR(BgL_head1696z00_810);
														}
													else
														{	/* Eval/expdtrace.scm 86 */
															obj_t BgL_newtail1698z00_815;

															{	/* Eval/expdtrace.scm 86 */
																obj_t BgL_arg1839z00_817;

																{	/* Eval/expdtrace.scm 86 */
																	obj_t BgL_xz00_819;

																	BgL_xz00_819 = CAR(BgL_l1694z00_811);
																	BgL_arg1839z00_817 =
																		PROCEDURE_ENTRY(BgL_ez00_6) (BgL_ez00_6,
																		BgL_xz00_819, BgL_ez00_6, BEOA);
																}
																BgL_newtail1698z00_815 =
																	MAKE_PAIR(BgL_arg1839z00_817, BNIL);
															}
															SET_CDR(BgL_tail1697z00_812,
																BgL_newtail1698z00_815);
															{
																obj_t BgL_tail1697z00_1638;

																obj_t BgL_l1694z00_1636;

																BgL_l1694z00_1636 = CDR(BgL_l1694z00_811);
																BgL_tail1697z00_1638 = BgL_newtail1698z00_815;
																BgL_tail1697z00_812 = BgL_tail1697z00_1638;
																BgL_l1694z00_811 = BgL_l1694z00_1636;
																goto BgL_map1695z00_813;
															}
														}
												}
											}
									}
									BgL_arg1833z00_805 =
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg1834z00_806, BNIL);
								}
								BgL_arg1821z00_793 =
									MAKE_PAIR(BgL_arg1832z00_804, BgL_arg1833z00_805);
							}
							{	/* Eval/expdtrace.scm 85 */
								obj_t BgL_list1823z00_795;

								{	/* Eval/expdtrace.scm 85 */
									obj_t BgL_arg1824z00_796;

									BgL_arg1824z00_796 = MAKE_PAIR(BNIL, BNIL);
									BgL_list1823z00_795 =
										MAKE_PAIR(BgL_arg1821z00_793, BgL_arg1824z00_796);
								}
								BgL_arg1819z00_791 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1820z00_792, BgL_list1823z00_795);
							}
						}
						return MAKE_PAIR(BgL_arg1818z00_790, BgL_arg1819z00_791);
					}
				else
					{	/* Eval/expdtrace.scm 84 */
						return BUNSPEC;
					}
			}
		}
	}



/* _expand-trace-item */
	obj_t BGl__expandzd2tracezd2itemz00zz__expander_tracez00(obj_t
		BgL_envz00_1498, obj_t BgL_xz00_1499, obj_t BgL_ez00_1500)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 83 */
			{	/* Eval/expdtrace.scm 84 */
				obj_t BgL_auxz00_1645;

				if (PROCEDUREP(BgL_ez00_1500))
					{	/* Eval/expdtrace.scm 84 */
						BgL_auxz00_1645 = BgL_ez00_1500;
					}
				else
					{	/* Eval/expdtrace.scm 84 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2191z00zz__expander_tracez00,
							BGl_string2178z00zz__expander_tracez00, BgL_ez00_1500);
						exit(-1);
					}
				return
					BGl_expandzd2tracezd2itemz00zz__expander_tracez00(BgL_xz00_1499,
					BgL_auxz00_1645);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expander_tracez00()
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expander_tracez00()
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 36890192),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 89651882),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 333500458),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 503395061),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 289987165),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 441587319),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 216567556),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 271963892),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					233590657),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					7848053), BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					400650732),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					459721289),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 123701502),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 504082187),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 54020034),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					523281442),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 98427014),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					159305184),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 294143011),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 239780569),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					298558382),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 361745055),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
			return BGl_modulezd2initializa7ationz75zz__paramz00(((long) 23161561),
				BSTRING_TO_STRING(BGl_string2193z00zz__expander_tracez00));
		}
	}

#ifdef __cplusplus
}
#endif
