/*===========================================================================*/
/*   (Ieee/flonum.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Ieee/flonum.scm -indent -o objs/obj_u/Ieee/flonum.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL double
		BGl_sqrtflzd2urzd2zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL double BGl_atanflz00zz__r4_numbers_6_5_flonumz00(double,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_doublezd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__atanzd21flzd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__negativeflzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_realzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_realzd2ze3stringz31zz__r4_numbers_6_5_flonumz00(obj_t);
	static obj_t BGl_symbol1622z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t
		BGl__doublezd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl_symbol1625z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl__minflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL double BGl_minzd22flzd2zz__r4_numbers_6_5_flonumz00(double,
		double);
	static obj_t BGl_symbol1627z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl__sqrtflzd2urzd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL double BGl_maxzd22flzd2zz__r4_numbers_6_5_flonumz00(double,
		double);
	static obj_t BGl_symbol1629z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1631z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1633z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl__negflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl_symbol1635z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1637z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1639z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1641z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1643z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl__zb2flzb2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL double BGl_sinflz00zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl_symbol1645z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl__ze3flze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1647z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1649z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1651z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_zc3zd3flz10zz__r4_numbers_6_5_flonumz00(double,
		double);
	static obj_t BGl_symbol1653z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	BGL_EXPORTED_DECL double BGl_asinflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL double
		BGl_stringzd2ze3realz31zz__r4_numbers_6_5_flonumz00(char *);
	static obj_t BGl_symbol1655z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl__absflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl_symbol1657z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1659z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl__floorflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl_symbol1661z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1663z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl__acosflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl_symbol1665z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl__remainderflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__r4_numbers_6_5_flonumz00();
	static obj_t BGl_symbol1667z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl__exptflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1669z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1671z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	BGL_EXPORTED_DECL double BGl_atanzd22flzd2zz__r4_numbers_6_5_flonumz00(double,
		double);
	static obj_t BGl_symbol1673z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	BGL_EXPORTED_DECL double BGl_zd2flzd2zz__r4_numbers_6_5_flonumz00(double,
		double);
	static obj_t BGl_symbol1675z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1677z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1679z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1681z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1683z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1685z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL double BGl_za2flza2zz__r4_numbers_6_5_flonumz00(double,
		double);
	BGL_EXPORTED_DECL double BGl_floorflz00zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl_symbol1690z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1701z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_zd3flzd3zz__r4_numbers_6_5_flonumz00(double,
		double);
	static obj_t BGl_symbol1692z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1704z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1695z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl__logflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL double BGl_sqrtflz00zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl_symbol1707z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1697z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1710z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1699z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl__truncateflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl_symbol1712z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl_symbol1714z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl__atanzd22flzd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1716z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	BGL_EXPORTED_DECL double BGl_minflz00zz__r4_numbers_6_5_flonumz00(double,
		obj_t);
	static obj_t BGl_symbol1718z00zz__r4_numbers_6_5_flonumz00 = BUNSPEC;
	static obj_t BGl__flonumzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL double BGl_negflz00zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__expflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__zf2flzf2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00 =
		BUNSPEC;
	static obj_t
		BGl__ieeezd2stringzd2ze3floatze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__atanflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
	static obj_t BGl__cosflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__maxflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_flonumzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t);
	BGL_EXPORTED_DECL double BGl_absflz00zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_flonumz00();
	BGL_EXPORTED_DECL double
		BGl_atanzd22flzd2urz00zz__r4_numbers_6_5_flonumz00(double, double);
	static obj_t BGl__zc3flzc3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
	static obj_t BGl__za7eroflzf3z54zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL double
		BGl_truncateflz00zz__r4_numbers_6_5_flonumz00(double);
	static obj_t
		BGl__floatzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__realzd2ze3stringz31zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_positiveflzf3zf3zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__asinflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__ze3zd3flz30zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL double BGl_logflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL double BGl_zb2flzb2zz__r4_numbers_6_5_flonumz00(double,
		double);
	BGL_EXPORTED_DECL bool_t BGl_ze3flze3zz__r4_numbers_6_5_flonumz00(double,
		double);
	BGL_EXPORTED_DECL bool_t
		BGl_za7eroflzf3z54zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__stringzd2ze3realz31zz__r4_numbers_6_5_flonumz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL double BGl_expflz00zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__tanflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	extern obj_t real_to_string(double);
	extern double bgl_ieee_string_to_double(obj_t);
	extern obj_t string_to_bstring(char *);
	static obj_t
		BGl__ieeezd2stringzd2ze3realze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL double BGl_cosflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL double BGl_maxflz00zz__r4_numbers_6_5_flonumz00(double,
		obj_t);
	static obj_t
		BGl__realzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__realzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__sqrtflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_negativeflzf3zf3zz__r4_numbers_6_5_flonumz00(double);
	static obj_t BGl__zd2flzd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
	static obj_t BGl__atanzd22flzd2urz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL double BGl_acosflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL double BGl_exptflz00zz__r4_numbers_6_5_flonumz00(double,
		double);
	static obj_t BGl__za2flza2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
	static obj_t BGl__zd3flzd3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL double
		BGl_ieeezd2stringzd2ze3doubleze3zz__r4_numbers_6_5_flonumz00(obj_t);
	static obj_t BGl__sinflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__positiveflzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ze3zd3flz30zz__r4_numbers_6_5_flonumz00(double,
		double);
	BGL_EXPORTED_DECL float
		BGl_ieeezd2stringzd2ze3floatze3zz__r4_numbers_6_5_flonumz00(obj_t);
	static obj_t
		BGl__ieeezd2stringzd2ze3doubleze3zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	BGL_EXPORTED_DECL double BGl_zf2flzf2zz__r4_numbers_6_5_flonumz00(double,
		double);
	BGL_EXPORTED_DECL obj_t
		BGl_ieeezd2stringzd2ze3realze3zz__r4_numbers_6_5_flonumz00(obj_t);
	BGL_EXPORTED_DECL double BGl_ceilingflz00zz__r4_numbers_6_5_flonumz00(double);
	extern obj_t bgl_double_to_ieee_string(double);
	static obj_t BGl__zc3zd3flz10zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_realzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(obj_t);
	BGL_EXPORTED_DECL double
		BGl_atanzd21flzd2zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL double
		BGl_remainderflz00zz__r4_numbers_6_5_flonumz00(double, double);
	extern obj_t the_failure(obj_t, obj_t, obj_t);
	static obj_t BGl__roundflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__ceilingflz00zz__r4_numbers_6_5_flonumz00(obj_t, obj_t);
	static obj_t BGl__minzd22flzd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL double BGl_tanflz00zz__r4_numbers_6_5_flonumz00(double);
	BGL_EXPORTED_DECL obj_t
		BGl_floatzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(float);
	static obj_t BGl__maxzd22flzd2zz__r4_numbers_6_5_flonumz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_zc3flzc3zz__r4_numbers_6_5_flonumz00(double,
		double);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1636z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1636za700za7za7_1722za7, "_positivefl?", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_remainderflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__remainderflza700za71723z00,
		BGl__remainderflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1638z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1638za700za7za7_1724za7, "_negativefl?", 12);
	      DEFINE_STRING(BGl_string1640z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1640za700za7za7_1725za7, "_+fl", 4);
	      DEFINE_STRING(BGl_string1642z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1642za700za7za7_1726za7, "_-fl", 4);
	      DEFINE_STRING(BGl_string1644z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1644za700za7za7_1727za7, "_*fl", 4);
	      DEFINE_STRING(BGl_string1646z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1646za700za7za7_1728za7, "_/fl", 4);
	      DEFINE_STRING(BGl_string1648z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1648za700za7za7_1729za7, "_negfl", 6);
	      DEFINE_STRING(BGl_string1650z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1650za700za7za7_1730za7, "_maxfl", 6);
	      DEFINE_STRING(BGl_string1652z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1652za700za7za7_1731za7, "_max-2fl", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7d2flza7d2za7za7__r4_1732z00,
		BGl__zd2flzd2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7e3flza7e3za7za7__r4_1733z00,
		BGl__ze3flze3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1654z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1654za700za7za7_1734za7, "_min-2fl", 8);
	      DEFINE_STRING(BGl_string1656z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1656za700za7za7_1735za7, "_minfl", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sinflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__sinflza700za7za7__r4_1736za7,
		BGl__sinflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1658z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1658za700za7za7_1737za7, "_absfl", 6);
	      DEFINE_STRING(BGl_string1660z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1660za700za7za7_1738za7, "_floorfl", 8);
	      DEFINE_STRING(BGl_string1662z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1662za700za7za7_1739za7, "_ceilingfl", 10);
	      DEFINE_STRING(BGl_string1664z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1664za700za7za7_1740za7, "_truncatefl", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_exptflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__exptflza700za7za7__r41741za7,
		BGl__exptflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1666z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1666za700za7za7_1742za7, "_roundfl", 8);
	      DEFINE_STRING(BGl_string1668z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1668za700za7za7_1743za7, "_remainderfl", 12);
	      DEFINE_STRING(BGl_string1670z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1670za700za7za7_1744za7, "_expfl", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7d3flza7d3za7za7__r4_1745z00,
		BGl__zd3flzd3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1672z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1672za700za7za7_1746za7, "_logfl", 6);
	      DEFINE_STRING(BGl_string1674z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1674za700za7za7_1747za7, "_sinfl", 6);
	      DEFINE_STRING(BGl_string1676z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1676za700za7za7_1748za7, "_cosfl", 6);
	      DEFINE_STRING(BGl_string1678z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1678za700za7za7_1749za7, "_tanfl", 6);
	      DEFINE_STRING(BGl_string1680z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1680za700za7za7_1750za7, "_asinfl", 7);
	      DEFINE_STRING(BGl_string1682z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1682za700za7za7_1751za7, "_acosfl", 7);
	      DEFINE_STRING(BGl_string1684z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1684za700za7za7_1752za7, "_atanfl", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7b2flza7b2za7za7__r4_1753z00,
		BGl__zb2flzb2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1686z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1686za700za7za7_1754za7, "_atan-1fl", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7c3flza7c3za7za7__r4_1755z00,
		BGl__zc3flzc3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1687z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1687za700za7za7_1756za7, "atanfl", 6);
	      DEFINE_STRING(BGl_string1688z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1688za700za7za7_1757za7, "Domain error", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_maxflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__maxflza700za7za7__r4_1758za7, va_generic_entry,
		BGl__maxflz00zz__r4_numbers_6_5_flonumz00, BUNSPEC, -2);
	      DEFINE_STRING(BGl_string1700z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1700za700za7za7_1759za7, "_exptfl", 7);
	      DEFINE_STRING(BGl_string1691z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1691za700za7za7_1760za7, "_atan-2fl", 9);
	      DEFINE_STRING(BGl_string1702z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1702za700za7za7_1761za7, "_string->real", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ieeezd2stringzd2ze3realzd2envz31zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__ieeeza7d2stringza7d1762z00,
		BGl__ieeezd2stringzd2ze3realze3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1703z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1703za700za7za7_1763za7, "string", 6);
	      DEFINE_STRING(BGl_string1693z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1693za700za7za7_1764za7, "_atan-2fl-ur", 12);
	      DEFINE_STRING(BGl_string1694z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1694za700za7za7_1765za7, "sqrtfl", 6);
	      DEFINE_STRING(BGl_string1705z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1705za700za7za7_1766za7, "_real->string", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_atanflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__atanflza700za7za7__r41767za7, va_generic_entry,
		BGl__atanflz00zz__r4_numbers_6_5_flonumz00, BUNSPEC, -2);
	      DEFINE_STRING(BGl_string1706z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1706za700za7za7_1768za7, "real", 4);
	      DEFINE_STRING(BGl_string1696z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1696za700za7za7_1769za7, "_sqrtfl", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_acosflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__acosflza700za7za7__r41770za7,
		BGl__acosflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1708z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1708za700za7za7_1771za7, "_ieee-string->real", 18);
	      DEFINE_STRING(BGl_string1698z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1698za700za7za7_1772za7, "_sqrtfl-ur", 10);
	      DEFINE_STRING(BGl_string1709z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1709za700za7za7_1773za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1711z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1711za700za7za7_1774za7, "_real->ieee-string", 18);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_realzd2ze3ieeezd2stringzd2envz31zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__realza7d2za7e3ieeeza71775za7,
		BGl__realzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_floorflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__floorflza700za7za7__r1776za7,
		BGl__floorflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7a2flza7a2za7za7__r4_1777z00,
		BGl__za2flza2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1713z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1713za700za7za7_1778za7, "_ieee-string->double", 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_realzd2ze3stringzd2envze3zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__realza7d2za7e3strin1779z00,
		BGl__realzd2ze3stringz31zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1715z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1715za700za7za7_1780za7, "_double->ieee-string", 20);
	      DEFINE_STRING(BGl_string1717z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1717za700za7za7_1781za7, "_ieee-string->float", 19);
	      DEFINE_STRING(BGl_string1720z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1720za700za7za7_1782za7, "float", 5);
	      DEFINE_STRING(BGl_string1719z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1719za700za7za7_1783za7, "_float->ieee-string", 19);
	      DEFINE_STRING(BGl_string1721z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1721za700za7za7_1784za7, "__r4_numbers_6_5_flonum", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sqrtflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__sqrtflza700za7za7__r41785za7,
		BGl__sqrtflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_negflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__negflza700za7za7__r4_1786za7,
		BGl__negflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_realzf3zd2envz21zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__realza7f3za7f3za7za7__r1787z00,
		BGl__realzf3zf3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stringzd2ze3realzd2envze3zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__stringza7d2za7e3rea1788z00,
		BGl__stringzd2ze3realz31zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ieeezd2stringzd2ze3floatzd2envz31zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__ieeeza7d2stringza7d1789z00,
		BGl__ieeezd2stringzd2ze3floatze3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7e3za7d3flza730za7za7__1790za7,
		BGl__ze3zd3flz30zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_sqrtflzd2urzd2envz00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__sqrtflza7d2urza7d2za71791za7,
		BGl__sqrtflzd2urzd2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ceilingflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__ceilingflza700za7za7_1792za7,
		BGl__ceilingflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7c3za7d3flza710za7za7__1793za7,
		BGl__zc3zd3flz10zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__expflza700za7za7__r4_1794za7,
		BGl__expflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_positiveflzf3zd2envz21zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__positiveflza7f3za7f1795z00,
		BGl__positiveflzf3zf3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ieeezd2stringzd2ze3doublezd2envz31zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__ieeeza7d2stringza7d1796z00,
		BGl__ieeezd2stringzd2ze3doubleze3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_logflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__logflza700za7za7__r4_1797za7,
		BGl__logflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_floatzd2ze3ieeezd2stringzd2envz31zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__floatza7d2za7e3ieee1798z00,
		BGl__floatzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_tanflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__tanflza700za7za7__r4_1799za7,
		BGl__tanflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_minflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__minflza700za7za7__r4_1800za7, va_generic_entry,
		BGl__minflz00zz__r4_numbers_6_5_flonumz00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cosflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__cosflza700za7za7__r4_1801za7,
		BGl__cosflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_atanzd22flzd2urzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__atanza7d22flza7d2ur1802z00,
		BGl__atanzd22flzd2urz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_minzd22flzd2envz00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__minza7d22flza7d2za7za7_1803z00,
		BGl__minzd22flzd2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_za7eroflzf3zd2envz86zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7a7eroflza7f3za754za71804z00,
		BGl__za7eroflzf3z54zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_negativeflzf3zd2envz21zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__negativeflza7f3za7f1805z00,
		BGl__negativeflzf3zf3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_doublezd2ze3ieeezd2stringzd2envz31zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__doubleza7d2za7e3iee1806z00,
		BGl__doublezd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_asinflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__asinflza700za7za7__r41807za7,
		BGl__asinflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	      DEFINE_REAL(BGl_real1689z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_real1689za700za7za7__r1808za7, 0.0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_roundflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__roundflza700za7za7__r1809za7,
		BGl__roundflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_atanzd22flzd2envz00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__atanza7d22flza7d2za7za71810z00,
		BGl__atanzd22flzd2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_atanzd21flzd2envz00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__atanza7d21flza7d2za7za71811z00,
		BGl__atanzd21flzd2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_maxzd22flzd2envz00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__maxza7d22flza7d2za7za7_1812z00,
		BGl__maxzd22flzd2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_absflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__absflza700za7za7__r4_1813za7,
		BGl__absflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_flonumzf3zd2envz21zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__flonumza7f3za7f3za7za7_1814z00,
		BGl__flonumzf3zf3zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__za7f2flza7f2za7za7__r4_1815z00,
		BGl__zf2flzf2zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1623z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1623za700za7za7_1816za7, "_=fl", 4);
	      DEFINE_STRING(BGl_string1624z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1624za700za7za7_1817za7, "double", 6);
	      DEFINE_STRING(BGl_string1626z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1626za700za7za7_1818za7, "_<fl", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_truncateflzd2envzd2zz__r4_numbers_6_5_flonumz00,
		BgL_bgl__truncateflza700za7za71819za7,
		BGl__truncateflz00zz__r4_numbers_6_5_flonumz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1628z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1628za700za7za7_1820za7, "_>fl", 4);
	      DEFINE_STRING(BGl_string1630z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1630za700za7za7_1821za7, "_<=fl", 5);
	      DEFINE_STRING(BGl_string1632z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1632za700za7za7_1822za7, "_>=fl", 5);
	      DEFINE_STRING(BGl_string1634z00zz__r4_numbers_6_5_flonumz00,
		BgL_bgl_string1634za700za7za7_1823za7, "_zerofl?", 8);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long
		BgL_checksumz00_1088, char *BgL_fromz00_1089)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00))
				{
					BGl_requirezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__r4_numbers_6_5_flonumz00();
					BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_flonumz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__r4_numbers_6_5_flonumz00()
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 14 */
			BGl_symbol1622z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1623z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1625z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1626z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1627z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1628z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1629z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1630z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1631z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1632z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1633z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1634z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1635z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1636z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1637z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1638z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1639z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1640z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1641z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1642z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1643z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1644z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1645z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1646z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1647z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1648z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1649z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1650z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1651z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1652z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1653z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1654z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1655z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1656z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1657z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1658z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1659z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1660z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1661z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1662z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1663z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1664z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1665z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1666z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1667z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1668z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1669z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1670z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1671z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1672z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1673z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1674z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1675z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1676z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1677z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1678z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1679z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1680z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1681z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1682z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1683z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1684z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1685z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1686z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1690z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1691z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1692z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1693z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1695z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1696z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1697z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1698z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1699z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1700z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1701z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1702z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1704z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1705z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1707z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1708z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1710z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1711z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1712z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1713z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1714z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1715z00zz__r4_numbers_6_5_flonumz00);
			BGl_symbol1716z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1717z00zz__r4_numbers_6_5_flonumz00);
			return (BGl_symbol1718z00zz__r4_numbers_6_5_flonumz00 =
				bstring_to_symbol(BGl_string1719z00zz__r4_numbers_6_5_flonumz00),
				BUNSPEC);
		}
	}



/* real? */
	BGL_EXPORTED_DEF bool_t BGl_realzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_objz00_1)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 218 */
			if (INTEGERP(BgL_objz00_1))
				{	/* Ieee/flonum.scm 219 */
					return ((bool_t) 1);
				}
			else
				{	/* Ieee/flonum.scm 219 */
					return REALP(BgL_objz00_1);
				}
		}
	}



/* _real? */
	obj_t BGl__realzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_786,
		obj_t BgL_objz00_787)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 218 */
			{	/* Ieee/flonum.scm 219 */
				bool_t BgL_auxz00_1143;

				if (INTEGERP(BgL_objz00_787))
					{	/* Ieee/flonum.scm 219 */
						BgL_auxz00_1143 = ((bool_t) 1);
					}
				else
					{	/* Ieee/flonum.scm 219 */
						BgL_auxz00_1143 = REALP(BgL_objz00_787);
					}
				return BBOOL(BgL_auxz00_1143);
			}
		}
	}



/* flonum? */
	BGL_EXPORTED_DEF bool_t BGl_flonumzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_objz00_2)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 226 */
			return REALP(BgL_objz00_2);
		}
	}



/* _flonum? */
	obj_t BGl__flonumzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_788,
		obj_t BgL_objz00_789)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 226 */
			return BBOOL(REALP(BgL_objz00_789));
		}
	}



/* =fl */
	BGL_EXPORTED_DEF bool_t BGl_zd3flzd3zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_3, double BgL_r2z00_4)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 232 */
			return (BgL_r1z00_3 == BgL_r2z00_4);
		}
	}



/* _=fl */
	obj_t BGl__zd3flzd3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_790,
		obj_t BgL_r1z00_791, obj_t BgL_r2z00_792)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 232 */
			{	/* Ieee/flonum.scm 233 */
				bool_t BgL_auxz00_1152;

				{	/* Ieee/flonum.scm 233 */
					double BgL_r1z00_1020;

					double BgL_r2z00_1021;

					{	/* Ieee/flonum.scm 233 */
						obj_t BgL_auxz00_1153;

						if (REALP(BgL_r1z00_791))
							{	/* Ieee/flonum.scm 233 */
								BgL_auxz00_1153 = BgL_r1z00_791;
							}
						else
							{	/* Ieee/flonum.scm 233 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1622z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_791);
								exit(-1);
							}
						BgL_r1z00_1020 = REAL_TO_DOUBLE(BgL_auxz00_1153);
					}
					{	/* Ieee/flonum.scm 233 */
						obj_t BgL_auxz00_1159;

						if (REALP(BgL_r2z00_792))
							{	/* Ieee/flonum.scm 233 */
								BgL_auxz00_1159 = BgL_r2z00_792;
							}
						else
							{	/* Ieee/flonum.scm 233 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1622z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r2z00_792);
								exit(-1);
							}
						BgL_r2z00_1021 = REAL_TO_DOUBLE(BgL_auxz00_1159);
					}
					BgL_auxz00_1152 = (BgL_r1z00_1020 == BgL_r2z00_1021);
				}
				return BBOOL(BgL_auxz00_1152);
			}
		}
	}



/* <fl */
	BGL_EXPORTED_DEF bool_t BGl_zc3flzc3zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_5, double BgL_r2z00_6)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 238 */
			return (BgL_r1z00_5 < BgL_r2z00_6);
		}
	}



/* _<fl */
	obj_t BGl__zc3flzc3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_793,
		obj_t BgL_r1z00_794, obj_t BgL_r2z00_795)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 238 */
			{	/* Ieee/flonum.scm 239 */
				bool_t BgL_auxz00_1168;

				{	/* Ieee/flonum.scm 239 */
					double BgL_r1z00_1022;

					double BgL_r2z00_1023;

					{	/* Ieee/flonum.scm 239 */
						obj_t BgL_auxz00_1169;

						if (REALP(BgL_r1z00_794))
							{	/* Ieee/flonum.scm 239 */
								BgL_auxz00_1169 = BgL_r1z00_794;
							}
						else
							{	/* Ieee/flonum.scm 239 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1625z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_794);
								exit(-1);
							}
						BgL_r1z00_1022 = REAL_TO_DOUBLE(BgL_auxz00_1169);
					}
					{	/* Ieee/flonum.scm 239 */
						obj_t BgL_auxz00_1175;

						if (REALP(BgL_r2z00_795))
							{	/* Ieee/flonum.scm 239 */
								BgL_auxz00_1175 = BgL_r2z00_795;
							}
						else
							{	/* Ieee/flonum.scm 239 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1625z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r2z00_795);
								exit(-1);
							}
						BgL_r2z00_1023 = REAL_TO_DOUBLE(BgL_auxz00_1175);
					}
					BgL_auxz00_1168 = (BgL_r1z00_1022 < BgL_r2z00_1023);
				}
				return BBOOL(BgL_auxz00_1168);
			}
		}
	}



/* >fl */
	BGL_EXPORTED_DEF bool_t BGl_ze3flze3zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_7, double BgL_r2z00_8)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 244 */
			return (BgL_r1z00_7 > BgL_r2z00_8);
		}
	}



/* _>fl */
	obj_t BGl__ze3flze3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_796,
		obj_t BgL_r1z00_797, obj_t BgL_r2z00_798)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 244 */
			{	/* Ieee/flonum.scm 245 */
				bool_t BgL_auxz00_1184;

				{	/* Ieee/flonum.scm 245 */
					double BgL_r1z00_1024;

					double BgL_r2z00_1025;

					{	/* Ieee/flonum.scm 245 */
						obj_t BgL_auxz00_1185;

						if (REALP(BgL_r1z00_797))
							{	/* Ieee/flonum.scm 245 */
								BgL_auxz00_1185 = BgL_r1z00_797;
							}
						else
							{	/* Ieee/flonum.scm 245 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1627z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_797);
								exit(-1);
							}
						BgL_r1z00_1024 = REAL_TO_DOUBLE(BgL_auxz00_1185);
					}
					{	/* Ieee/flonum.scm 245 */
						obj_t BgL_auxz00_1191;

						if (REALP(BgL_r2z00_798))
							{	/* Ieee/flonum.scm 245 */
								BgL_auxz00_1191 = BgL_r2z00_798;
							}
						else
							{	/* Ieee/flonum.scm 245 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1627z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r2z00_798);
								exit(-1);
							}
						BgL_r2z00_1025 = REAL_TO_DOUBLE(BgL_auxz00_1191);
					}
					BgL_auxz00_1184 = (BgL_r1z00_1024 > BgL_r2z00_1025);
				}
				return BBOOL(BgL_auxz00_1184);
			}
		}
	}



/* <=fl */
	BGL_EXPORTED_DEF bool_t BGl_zc3zd3flz10zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_9, double BgL_r2z00_10)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 250 */
			return (BgL_r1z00_9 <= BgL_r2z00_10);
		}
	}



/* _<=fl */
	obj_t BGl__zc3zd3flz10zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_799,
		obj_t BgL_r1z00_800, obj_t BgL_r2z00_801)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 250 */
			{	/* Ieee/flonum.scm 251 */
				bool_t BgL_auxz00_1200;

				{	/* Ieee/flonum.scm 251 */
					double BgL_r1z00_1026;

					double BgL_r2z00_1027;

					{	/* Ieee/flonum.scm 251 */
						obj_t BgL_auxz00_1201;

						if (REALP(BgL_r1z00_800))
							{	/* Ieee/flonum.scm 251 */
								BgL_auxz00_1201 = BgL_r1z00_800;
							}
						else
							{	/* Ieee/flonum.scm 251 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1629z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_800);
								exit(-1);
							}
						BgL_r1z00_1026 = REAL_TO_DOUBLE(BgL_auxz00_1201);
					}
					{	/* Ieee/flonum.scm 251 */
						obj_t BgL_auxz00_1207;

						if (REALP(BgL_r2z00_801))
							{	/* Ieee/flonum.scm 251 */
								BgL_auxz00_1207 = BgL_r2z00_801;
							}
						else
							{	/* Ieee/flonum.scm 251 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1629z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r2z00_801);
								exit(-1);
							}
						BgL_r2z00_1027 = REAL_TO_DOUBLE(BgL_auxz00_1207);
					}
					BgL_auxz00_1200 = (BgL_r1z00_1026 <= BgL_r2z00_1027);
				}
				return BBOOL(BgL_auxz00_1200);
			}
		}
	}



/* >=fl */
	BGL_EXPORTED_DEF bool_t BGl_ze3zd3flz30zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_11, double BgL_r2z00_12)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 256 */
			return (BgL_r1z00_11 >= BgL_r2z00_12);
		}
	}



/* _>=fl */
	obj_t BGl__ze3zd3flz30zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_802,
		obj_t BgL_r1z00_803, obj_t BgL_r2z00_804)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 256 */
			{	/* Ieee/flonum.scm 257 */
				bool_t BgL_auxz00_1216;

				{	/* Ieee/flonum.scm 257 */
					double BgL_r1z00_1028;

					double BgL_r2z00_1029;

					{	/* Ieee/flonum.scm 257 */
						obj_t BgL_auxz00_1217;

						if (REALP(BgL_r1z00_803))
							{	/* Ieee/flonum.scm 257 */
								BgL_auxz00_1217 = BgL_r1z00_803;
							}
						else
							{	/* Ieee/flonum.scm 257 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1631z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_803);
								exit(-1);
							}
						BgL_r1z00_1028 = REAL_TO_DOUBLE(BgL_auxz00_1217);
					}
					{	/* Ieee/flonum.scm 257 */
						obj_t BgL_auxz00_1223;

						if (REALP(BgL_r2z00_804))
							{	/* Ieee/flonum.scm 257 */
								BgL_auxz00_1223 = BgL_r2z00_804;
							}
						else
							{	/* Ieee/flonum.scm 257 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1631z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r2z00_804);
								exit(-1);
							}
						BgL_r2z00_1029 = REAL_TO_DOUBLE(BgL_auxz00_1223);
					}
					BgL_auxz00_1216 = (BgL_r1z00_1028 >= BgL_r2z00_1029);
				}
				return BBOOL(BgL_auxz00_1216);
			}
		}
	}



/* zerofl? */
	BGL_EXPORTED_DEF bool_t BGl_za7eroflzf3z54zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_13)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 262 */
			return (BgL_rz00_13 == ((double) 0.0));
		}
	}



/* _zerofl? */
	obj_t BGl__za7eroflzf3z54zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_805,
		obj_t BgL_rz00_806)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 262 */
			{	/* Ieee/flonum.scm 263 */
				bool_t BgL_auxz00_1232;

				{	/* Ieee/flonum.scm 263 */
					double BgL_rz00_1030;

					{	/* Ieee/flonum.scm 263 */
						obj_t BgL_auxz00_1233;

						if (REALP(BgL_rz00_806))
							{	/* Ieee/flonum.scm 263 */
								BgL_auxz00_1233 = BgL_rz00_806;
							}
						else
							{	/* Ieee/flonum.scm 263 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1633z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_rz00_806);
								exit(-1);
							}
						BgL_rz00_1030 = REAL_TO_DOUBLE(BgL_auxz00_1233);
					}
					BgL_auxz00_1232 = (BgL_rz00_1030 == ((double) 0.0));
				}
				return BBOOL(BgL_auxz00_1232);
			}
		}
	}



/* positivefl? */
	BGL_EXPORTED_DEF bool_t
		BGl_positiveflzf3zf3zz__r4_numbers_6_5_flonumz00(double BgL_rz00_14)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 268 */
			return (BgL_rz00_14 > ((double) 0.0));
		}
	}



/* _positivefl? */
	obj_t BGl__positiveflzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_807,
		obj_t BgL_rz00_808)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 268 */
			{	/* Ieee/flonum.scm 269 */
				bool_t BgL_auxz00_1242;

				{	/* Ieee/flonum.scm 269 */
					double BgL_rz00_1031;

					{	/* Ieee/flonum.scm 269 */
						obj_t BgL_auxz00_1243;

						if (REALP(BgL_rz00_808))
							{	/* Ieee/flonum.scm 269 */
								BgL_auxz00_1243 = BgL_rz00_808;
							}
						else
							{	/* Ieee/flonum.scm 269 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1635z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_rz00_808);
								exit(-1);
							}
						BgL_rz00_1031 = REAL_TO_DOUBLE(BgL_auxz00_1243);
					}
					BgL_auxz00_1242 = (BgL_rz00_1031 > ((double) 0.0));
				}
				return BBOOL(BgL_auxz00_1242);
			}
		}
	}



/* negativefl? */
	BGL_EXPORTED_DEF bool_t
		BGl_negativeflzf3zf3zz__r4_numbers_6_5_flonumz00(double BgL_rz00_15)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 274 */
			return (BgL_rz00_15 < ((double) 0.0));
		}
	}



/* _negativefl? */
	obj_t BGl__negativeflzf3zf3zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_809,
		obj_t BgL_rz00_810)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 274 */
			{	/* Ieee/flonum.scm 275 */
				bool_t BgL_auxz00_1252;

				{	/* Ieee/flonum.scm 275 */
					double BgL_rz00_1032;

					{	/* Ieee/flonum.scm 275 */
						obj_t BgL_auxz00_1253;

						if (REALP(BgL_rz00_810))
							{	/* Ieee/flonum.scm 275 */
								BgL_auxz00_1253 = BgL_rz00_810;
							}
						else
							{	/* Ieee/flonum.scm 275 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1637z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_rz00_810);
								exit(-1);
							}
						BgL_rz00_1032 = REAL_TO_DOUBLE(BgL_auxz00_1253);
					}
					BgL_auxz00_1252 = (BgL_rz00_1032 < ((double) 0.0));
				}
				return BBOOL(BgL_auxz00_1252);
			}
		}
	}



/* +fl */
	BGL_EXPORTED_DEF double BGl_zb2flzb2zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_16, double BgL_r2z00_17)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 280 */
			return (BgL_r1z00_16 + BgL_r2z00_17);
		}
	}



/* _+fl */
	obj_t BGl__zb2flzb2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_811,
		obj_t BgL_r1z00_812, obj_t BgL_r2z00_813)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 280 */
			{	/* Ieee/flonum.scm 281 */
				double BgL_auxz00_1262;

				{	/* Ieee/flonum.scm 281 */
					double BgL_r1z00_1033;

					double BgL_r2z00_1034;

					{	/* Ieee/flonum.scm 281 */
						obj_t BgL_auxz00_1263;

						if (REALP(BgL_r1z00_812))
							{	/* Ieee/flonum.scm 281 */
								BgL_auxz00_1263 = BgL_r1z00_812;
							}
						else
							{	/* Ieee/flonum.scm 281 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1639z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_812);
								exit(-1);
							}
						BgL_r1z00_1033 = REAL_TO_DOUBLE(BgL_auxz00_1263);
					}
					{	/* Ieee/flonum.scm 281 */
						obj_t BgL_auxz00_1269;

						if (REALP(BgL_r2z00_813))
							{	/* Ieee/flonum.scm 281 */
								BgL_auxz00_1269 = BgL_r2z00_813;
							}
						else
							{	/* Ieee/flonum.scm 281 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1639z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r2z00_813);
								exit(-1);
							}
						BgL_r2z00_1034 = REAL_TO_DOUBLE(BgL_auxz00_1269);
					}
					BgL_auxz00_1262 = (BgL_r1z00_1033 + BgL_r2z00_1034);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1262);
			}
		}
	}



/* -fl */
	BGL_EXPORTED_DEF double BGl_zd2flzd2zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_18, double BgL_r2z00_19)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 286 */
			return (BgL_r1z00_18 - BgL_r2z00_19);
		}
	}



/* _-fl */
	obj_t BGl__zd2flzd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_814,
		obj_t BgL_r1z00_815, obj_t BgL_r2z00_816)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 286 */
			{	/* Ieee/flonum.scm 287 */
				double BgL_auxz00_1278;

				{	/* Ieee/flonum.scm 287 */
					double BgL_r1z00_1035;

					double BgL_r2z00_1036;

					{	/* Ieee/flonum.scm 287 */
						obj_t BgL_auxz00_1279;

						if (REALP(BgL_r1z00_815))
							{	/* Ieee/flonum.scm 287 */
								BgL_auxz00_1279 = BgL_r1z00_815;
							}
						else
							{	/* Ieee/flonum.scm 287 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1641z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_815);
								exit(-1);
							}
						BgL_r1z00_1035 = REAL_TO_DOUBLE(BgL_auxz00_1279);
					}
					{	/* Ieee/flonum.scm 287 */
						obj_t BgL_auxz00_1285;

						if (REALP(BgL_r2z00_816))
							{	/* Ieee/flonum.scm 287 */
								BgL_auxz00_1285 = BgL_r2z00_816;
							}
						else
							{	/* Ieee/flonum.scm 287 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1641z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r2z00_816);
								exit(-1);
							}
						BgL_r2z00_1036 = REAL_TO_DOUBLE(BgL_auxz00_1285);
					}
					BgL_auxz00_1278 = (BgL_r1z00_1035 - BgL_r2z00_1036);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1278);
			}
		}
	}



/* *fl */
	BGL_EXPORTED_DEF double BGl_za2flza2zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_20, double BgL_r2z00_21)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 292 */
			return (BgL_r1z00_20 * BgL_r2z00_21);
		}
	}



/* _*fl */
	obj_t BGl__za2flza2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_817,
		obj_t BgL_r1z00_818, obj_t BgL_r2z00_819)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 292 */
			{	/* Ieee/flonum.scm 293 */
				double BgL_auxz00_1294;

				{	/* Ieee/flonum.scm 293 */
					double BgL_r1z00_1037;

					double BgL_r2z00_1038;

					{	/* Ieee/flonum.scm 293 */
						obj_t BgL_auxz00_1295;

						if (REALP(BgL_r1z00_818))
							{	/* Ieee/flonum.scm 293 */
								BgL_auxz00_1295 = BgL_r1z00_818;
							}
						else
							{	/* Ieee/flonum.scm 293 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1643z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_818);
								exit(-1);
							}
						BgL_r1z00_1037 = REAL_TO_DOUBLE(BgL_auxz00_1295);
					}
					{	/* Ieee/flonum.scm 293 */
						obj_t BgL_auxz00_1301;

						if (REALP(BgL_r2z00_819))
							{	/* Ieee/flonum.scm 293 */
								BgL_auxz00_1301 = BgL_r2z00_819;
							}
						else
							{	/* Ieee/flonum.scm 293 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1643z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r2z00_819);
								exit(-1);
							}
						BgL_r2z00_1038 = REAL_TO_DOUBLE(BgL_auxz00_1301);
					}
					BgL_auxz00_1294 = (BgL_r1z00_1037 * BgL_r2z00_1038);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1294);
			}
		}
	}



/* /fl */
	BGL_EXPORTED_DEF double BGl_zf2flzf2zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_22, double BgL_r2z00_23)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 298 */
			return (BgL_r1z00_22 / BgL_r2z00_23);
		}
	}



/* _/fl */
	obj_t BGl__zf2flzf2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_820,
		obj_t BgL_r1z00_821, obj_t BgL_r2z00_822)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 298 */
			{	/* Ieee/flonum.scm 299 */
				double BgL_auxz00_1310;

				{	/* Ieee/flonum.scm 299 */
					double BgL_r1z00_1039;

					double BgL_r2z00_1040;

					{	/* Ieee/flonum.scm 299 */
						obj_t BgL_auxz00_1311;

						if (REALP(BgL_r1z00_821))
							{	/* Ieee/flonum.scm 299 */
								BgL_auxz00_1311 = BgL_r1z00_821;
							}
						else
							{	/* Ieee/flonum.scm 299 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1645z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_821);
								exit(-1);
							}
						BgL_r1z00_1039 = REAL_TO_DOUBLE(BgL_auxz00_1311);
					}
					{	/* Ieee/flonum.scm 299 */
						obj_t BgL_auxz00_1317;

						if (REALP(BgL_r2z00_822))
							{	/* Ieee/flonum.scm 299 */
								BgL_auxz00_1317 = BgL_r2z00_822;
							}
						else
							{	/* Ieee/flonum.scm 299 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1645z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r2z00_822);
								exit(-1);
							}
						BgL_r2z00_1040 = REAL_TO_DOUBLE(BgL_auxz00_1317);
					}
					BgL_auxz00_1310 = (BgL_r1z00_1039 / BgL_r2z00_1040);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1310);
			}
		}
	}



/* negfl */
	BGL_EXPORTED_DEF double BGl_negflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_24)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 304 */
			return NEG(BgL_r1z00_24);
		}
	}



/* _negfl */
	obj_t BGl__negflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_823,
		obj_t BgL_r1z00_824)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 304 */
			{	/* Ieee/flonum.scm 305 */
				double BgL_auxz00_1326;

				{	/* Ieee/flonum.scm 305 */
					double BgL_r1z00_1041;

					{	/* Ieee/flonum.scm 305 */
						obj_t BgL_auxz00_1327;

						if (REALP(BgL_r1z00_824))
							{	/* Ieee/flonum.scm 305 */
								BgL_auxz00_1327 = BgL_r1z00_824;
							}
						else
							{	/* Ieee/flonum.scm 305 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1647z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_824);
								exit(-1);
							}
						BgL_r1z00_1041 = REAL_TO_DOUBLE(BgL_auxz00_1327);
					}
					BgL_auxz00_1326 = NEG(BgL_r1z00_1041);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1326);
			}
		}
	}



/* maxfl */
	BGL_EXPORTED_DEF double BGl_maxflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_25, obj_t BgL_rnz00_26)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 310 */
			{
				obj_t BgL_maxz00_390;

				obj_t BgL_rnz00_391;

				{	/* Ieee/flonum.scm 311 */
					obj_t BgL_auxz00_1335;

					BgL_maxz00_390 = DOUBLE_TO_REAL(BgL_r1z00_25);
					BgL_rnz00_391 = BgL_rnz00_26;
				BgL_loopz00_392:
					if (NULLP(BgL_rnz00_391))
						{	/* Ieee/flonum.scm 313 */
							BgL_auxz00_1335 = BgL_maxz00_390;
						}
					else
						{	/* Ieee/flonum.scm 315 */
							bool_t BgL_testz00_1338;

							{	/* Ieee/flonum.scm 315 */
								double BgL_auxz00_1339;

								{	/* Ieee/flonum.scm 315 */
									obj_t BgL_pairz00_641;

									BgL_pairz00_641 = BgL_rnz00_391;
									BgL_auxz00_1339 = REAL_TO_DOUBLE(CAR(BgL_pairz00_641));
								}
								BgL_testz00_1338 =
									(BgL_auxz00_1339 > REAL_TO_DOUBLE(BgL_maxz00_390));
							}
							if (BgL_testz00_1338)
								{
									obj_t BgL_rnz00_1346;

									obj_t BgL_maxz00_1344;

									BgL_maxz00_1344 = CAR(BgL_rnz00_391);
									BgL_rnz00_1346 = CDR(BgL_rnz00_391);
									BgL_rnz00_391 = BgL_rnz00_1346;
									BgL_maxz00_390 = BgL_maxz00_1344;
									goto BgL_loopz00_392;
								}
							else
								{
									obj_t BgL_rnz00_1348;

									BgL_rnz00_1348 = CDR(BgL_rnz00_391);
									BgL_rnz00_391 = BgL_rnz00_1348;
									goto BgL_loopz00_392;
								}
						}
					return REAL_TO_DOUBLE(BgL_auxz00_1335);
				}
			}
		}
	}



/* _maxfl */
	obj_t BGl__maxflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_825,
		obj_t BgL_r1z00_826, obj_t BgL_rnz00_827)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 310 */
			{	/* Ieee/flonum.scm 311 */
				double BgL_auxz00_1352;

				{	/* Ieee/flonum.scm 311 */
					double BgL_auxz00_1353;

					{	/* Ieee/flonum.scm 311 */
						obj_t BgL_auxz00_1354;

						if (REALP(BgL_r1z00_826))
							{	/* Ieee/flonum.scm 311 */
								BgL_auxz00_1354 = BgL_r1z00_826;
							}
						else
							{	/* Ieee/flonum.scm 311 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1649z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_826);
								exit(-1);
							}
						BgL_auxz00_1353 = REAL_TO_DOUBLE(BgL_auxz00_1354);
					}
					BgL_auxz00_1352 =
						BGl_maxflz00zz__r4_numbers_6_5_flonumz00(BgL_auxz00_1353,
						BgL_rnz00_827);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1352);
			}
		}
	}



/* max-2fl */
	BGL_EXPORTED_DEF double BGl_maxzd22flzd2zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_27, double BgL_r2z00_28)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 322 */
			if ((BgL_r1z00_27 > BgL_r2z00_28))
				{	/* Ieee/flonum.scm 323 */
					return BgL_r1z00_27;
				}
			else
				{	/* Ieee/flonum.scm 323 */
					return BgL_r2z00_28;
				}
		}
	}



/* _max-2fl */
	obj_t BGl__maxzd22flzd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_828,
		obj_t BgL_r1z00_829, obj_t BgL_r2z00_830)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 322 */
			{	/* Ieee/flonum.scm 323 */
				double BgL_auxz00_1364;

				{	/* Ieee/flonum.scm 323 */
					double BgL_r1z00_1042;

					double BgL_r2z00_1043;

					{	/* Ieee/flonum.scm 323 */
						obj_t BgL_auxz00_1365;

						if (REALP(BgL_r1z00_829))
							{	/* Ieee/flonum.scm 323 */
								BgL_auxz00_1365 = BgL_r1z00_829;
							}
						else
							{	/* Ieee/flonum.scm 323 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1651z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_829);
								exit(-1);
							}
						BgL_r1z00_1042 = REAL_TO_DOUBLE(BgL_auxz00_1365);
					}
					{	/* Ieee/flonum.scm 323 */
						obj_t BgL_auxz00_1371;

						if (REALP(BgL_r2z00_830))
							{	/* Ieee/flonum.scm 323 */
								BgL_auxz00_1371 = BgL_r2z00_830;
							}
						else
							{	/* Ieee/flonum.scm 323 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1651z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r2z00_830);
								exit(-1);
							}
						BgL_r2z00_1043 = REAL_TO_DOUBLE(BgL_auxz00_1371);
					}
					if ((BgL_r1z00_1042 > BgL_r2z00_1043))
						{	/* Ieee/flonum.scm 323 */
							BgL_auxz00_1364 = BgL_r1z00_1042;
						}
					else
						{	/* Ieee/flonum.scm 323 */
							BgL_auxz00_1364 = BgL_r2z00_1043;
						}
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1364);
			}
		}
	}



/* min-2fl */
	BGL_EXPORTED_DEF double BGl_minzd22flzd2zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_29, double BgL_r2z00_30)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 330 */
			if ((BgL_r1z00_29 > BgL_r2z00_30))
				{	/* Ieee/flonum.scm 331 */
					return BgL_r2z00_30;
				}
			else
				{	/* Ieee/flonum.scm 331 */
					return BgL_r1z00_29;
				}
		}
	}



/* _min-2fl */
	obj_t BGl__minzd22flzd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_831,
		obj_t BgL_r1z00_832, obj_t BgL_r2z00_833)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 330 */
			{	/* Ieee/flonum.scm 331 */
				double BgL_auxz00_1382;

				{	/* Ieee/flonum.scm 331 */
					double BgL_r1z00_1044;

					double BgL_r2z00_1045;

					{	/* Ieee/flonum.scm 331 */
						obj_t BgL_auxz00_1383;

						if (REALP(BgL_r1z00_832))
							{	/* Ieee/flonum.scm 331 */
								BgL_auxz00_1383 = BgL_r1z00_832;
							}
						else
							{	/* Ieee/flonum.scm 331 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1653z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_832);
								exit(-1);
							}
						BgL_r1z00_1044 = REAL_TO_DOUBLE(BgL_auxz00_1383);
					}
					{	/* Ieee/flonum.scm 331 */
						obj_t BgL_auxz00_1389;

						if (REALP(BgL_r2z00_833))
							{	/* Ieee/flonum.scm 331 */
								BgL_auxz00_1389 = BgL_r2z00_833;
							}
						else
							{	/* Ieee/flonum.scm 331 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1653z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r2z00_833);
								exit(-1);
							}
						BgL_r2z00_1045 = REAL_TO_DOUBLE(BgL_auxz00_1389);
					}
					if ((BgL_r1z00_1044 > BgL_r2z00_1045))
						{	/* Ieee/flonum.scm 331 */
							BgL_auxz00_1382 = BgL_r2z00_1045;
						}
					else
						{	/* Ieee/flonum.scm 331 */
							BgL_auxz00_1382 = BgL_r1z00_1044;
						}
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1382);
			}
		}
	}



/* minfl */
	BGL_EXPORTED_DEF double BGl_minflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_31, obj_t BgL_rnz00_32)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 338 */
			{
				obj_t BgL_minz00_401;

				obj_t BgL_rnz00_402;

				{	/* Ieee/flonum.scm 339 */
					obj_t BgL_auxz00_1398;

					BgL_minz00_401 = DOUBLE_TO_REAL(BgL_r1z00_31);
					BgL_rnz00_402 = BgL_rnz00_32;
				BgL_loopz00_403:
					if (NULLP(BgL_rnz00_402))
						{	/* Ieee/flonum.scm 341 */
							BgL_auxz00_1398 = BgL_minz00_401;
						}
					else
						{	/* Ieee/flonum.scm 343 */
							bool_t BgL_testz00_1401;

							{	/* Ieee/flonum.scm 343 */
								double BgL_auxz00_1402;

								{	/* Ieee/flonum.scm 343 */
									obj_t BgL_pairz00_654;

									BgL_pairz00_654 = BgL_rnz00_402;
									BgL_auxz00_1402 = REAL_TO_DOUBLE(CAR(BgL_pairz00_654));
								}
								BgL_testz00_1401 =
									(BgL_auxz00_1402 < REAL_TO_DOUBLE(BgL_minz00_401));
							}
							if (BgL_testz00_1401)
								{
									obj_t BgL_rnz00_1409;

									obj_t BgL_minz00_1407;

									BgL_minz00_1407 = CAR(BgL_rnz00_402);
									BgL_rnz00_1409 = CDR(BgL_rnz00_402);
									BgL_rnz00_402 = BgL_rnz00_1409;
									BgL_minz00_401 = BgL_minz00_1407;
									goto BgL_loopz00_403;
								}
							else
								{
									obj_t BgL_rnz00_1411;

									BgL_rnz00_1411 = CDR(BgL_rnz00_402);
									BgL_rnz00_402 = BgL_rnz00_1411;
									goto BgL_loopz00_403;
								}
						}
					return REAL_TO_DOUBLE(BgL_auxz00_1398);
				}
			}
		}
	}



/* _minfl */
	obj_t BGl__minflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_834,
		obj_t BgL_r1z00_835, obj_t BgL_rnz00_836)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 338 */
			{	/* Ieee/flonum.scm 339 */
				double BgL_auxz00_1415;

				{	/* Ieee/flonum.scm 339 */
					double BgL_auxz00_1416;

					{	/* Ieee/flonum.scm 339 */
						obj_t BgL_auxz00_1417;

						if (REALP(BgL_r1z00_835))
							{	/* Ieee/flonum.scm 339 */
								BgL_auxz00_1417 = BgL_r1z00_835;
							}
						else
							{	/* Ieee/flonum.scm 339 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1655z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_835);
								exit(-1);
							}
						BgL_auxz00_1416 = REAL_TO_DOUBLE(BgL_auxz00_1417);
					}
					BgL_auxz00_1415 =
						BGl_minflz00zz__r4_numbers_6_5_flonumz00(BgL_auxz00_1416,
						BgL_rnz00_836);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1415);
			}
		}
	}



/* absfl */
	BGL_EXPORTED_DEF double BGl_absflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_33)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 350 */
			if ((BgL_rz00_33 < ((double) 0.0)))
				{	/* Ieee/flonum.scm 351 */
					return NEG(BgL_rz00_33);
				}
			else
				{	/* Ieee/flonum.scm 351 */
					return BgL_rz00_33;
				}
		}
	}



/* _absfl */
	obj_t BGl__absflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_837,
		obj_t BgL_rz00_838)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 350 */
			{	/* Ieee/flonum.scm 351 */
				double BgL_auxz00_1428;

				{	/* Ieee/flonum.scm 351 */
					double BgL_rz00_1046;

					{	/* Ieee/flonum.scm 351 */
						obj_t BgL_auxz00_1429;

						if (REALP(BgL_rz00_838))
							{	/* Ieee/flonum.scm 351 */
								BgL_auxz00_1429 = BgL_rz00_838;
							}
						else
							{	/* Ieee/flonum.scm 351 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1657z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_rz00_838);
								exit(-1);
							}
						BgL_rz00_1046 = REAL_TO_DOUBLE(BgL_auxz00_1429);
					}
					if ((BgL_rz00_1046 < ((double) 0.0)))
						{	/* Ieee/flonum.scm 351 */
							BgL_auxz00_1428 = NEG(BgL_rz00_1046);
						}
					else
						{	/* Ieee/flonum.scm 351 */
							BgL_auxz00_1428 = BgL_rz00_1046;
						}
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1428);
			}
		}
	}



/* floorfl */
	BGL_EXPORTED_DEF double BGl_floorflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_34)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 358 */
			return floor(BgL_rz00_34);
		}
	}



/* _floorfl */
	obj_t BGl__floorflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_839,
		obj_t BgL_rz00_840)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 358 */
			{	/* Ieee/flonum.scm 359 */
				double BgL_auxz00_1440;

				{	/* Ieee/flonum.scm 359 */
					double BgL_rz00_1047;

					{	/* Ieee/flonum.scm 359 */
						obj_t BgL_auxz00_1441;

						if (REALP(BgL_rz00_840))
							{	/* Ieee/flonum.scm 359 */
								BgL_auxz00_1441 = BgL_rz00_840;
							}
						else
							{	/* Ieee/flonum.scm 359 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1659z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_rz00_840);
								exit(-1);
							}
						BgL_rz00_1047 = REAL_TO_DOUBLE(BgL_auxz00_1441);
					}
					BgL_auxz00_1440 = floor(BgL_rz00_1047);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1440);
			}
		}
	}



/* ceilingfl */
	BGL_EXPORTED_DEF double BGl_ceilingflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_35)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 364 */
			return ceil(BgL_rz00_35);
		}
	}



/* _ceilingfl */
	obj_t BGl__ceilingflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_841,
		obj_t BgL_rz00_842)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 364 */
			{	/* Ieee/flonum.scm 365 */
				double BgL_auxz00_1450;

				{	/* Ieee/flonum.scm 365 */
					double BgL_rz00_1048;

					{	/* Ieee/flonum.scm 365 */
						obj_t BgL_auxz00_1451;

						if (REALP(BgL_rz00_842))
							{	/* Ieee/flonum.scm 365 */
								BgL_auxz00_1451 = BgL_rz00_842;
							}
						else
							{	/* Ieee/flonum.scm 365 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1661z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_rz00_842);
								exit(-1);
							}
						BgL_rz00_1048 = REAL_TO_DOUBLE(BgL_auxz00_1451);
					}
					BgL_auxz00_1450 = ceil(BgL_rz00_1048);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1450);
			}
		}
	}



/* truncatefl */
	BGL_EXPORTED_DEF double BGl_truncateflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_36)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 370 */
			if ((BgL_rz00_36 < ((double) 0.0)))
				{	/* Ieee/flonum.scm 371 */
					return ceil(BgL_rz00_36);
				}
			else
				{	/* Ieee/flonum.scm 371 */
					return floor(BgL_rz00_36);
				}
		}
	}



/* _truncatefl */
	obj_t BGl__truncateflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_843,
		obj_t BgL_rz00_844)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 370 */
			{	/* Ieee/flonum.scm 371 */
				double BgL_auxz00_1463;

				{	/* Ieee/flonum.scm 371 */
					double BgL_rz00_1049;

					{	/* Ieee/flonum.scm 371 */
						obj_t BgL_auxz00_1464;

						if (REALP(BgL_rz00_844))
							{	/* Ieee/flonum.scm 371 */
								BgL_auxz00_1464 = BgL_rz00_844;
							}
						else
							{	/* Ieee/flonum.scm 371 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1663z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_rz00_844);
								exit(-1);
							}
						BgL_rz00_1049 = REAL_TO_DOUBLE(BgL_auxz00_1464);
					}
					if ((BgL_rz00_1049 < ((double) 0.0)))
						{	/* Ieee/flonum.scm 371 */
							BgL_auxz00_1463 = ceil(BgL_rz00_1049);
						}
					else
						{	/* Ieee/flonum.scm 371 */
							BgL_auxz00_1463 = floor(BgL_rz00_1049);
						}
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1463);
			}
		}
	}



/* roundfl */
	BGL_EXPORTED_DEF double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_37)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 378 */
			{	/* Ieee/flonum.scm 379 */
				double BgL_intz00_412;

				BgL_intz00_412 = floor(BgL_rz00_37);
				{	/* Ieee/flonum.scm 379 */
					double BgL_fracz00_413;

					BgL_fracz00_413 = (BgL_rz00_37 - BgL_intz00_412);
					{	/* Ieee/flonum.scm 380 */

						if ((BgL_fracz00_413 < ((double) 0.5)))
							{	/* Ieee/flonum.scm 381 */
								return BgL_intz00_412;
							}
						else
							{	/* Ieee/flonum.scm 381 */
								if ((BgL_fracz00_413 > ((double) 0.5)))
									{	/* Ieee/flonum.scm 382 */
										return (BgL_intz00_412 + ((double) 1.0));
									}
								else
									{	/* Ieee/flonum.scm 383 */
										double BgL_arg1191z00_417;

										{	/* Ieee/flonum.scm 383 */
											double BgL_auxz00_1482;

											BgL_auxz00_1482 = (BgL_intz00_412 / ((double) 2.0));
											BgL_arg1191z00_417 = ceil(BgL_auxz00_1482);
										}
										return (((double) 2.0) * BgL_arg1191z00_417);
		}}}}}}
	}



/* _roundfl */
	obj_t BGl__roundflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_845,
		obj_t BgL_rz00_846)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 378 */
			{	/* Ieee/flonum.scm 379 */
				double BgL_auxz00_1486;

				{	/* Ieee/flonum.scm 379 */
					double BgL_auxz00_1487;

					{	/* Ieee/flonum.scm 379 */
						obj_t BgL_auxz00_1488;

						if (REALP(BgL_rz00_846))
							{	/* Ieee/flonum.scm 379 */
								BgL_auxz00_1488 = BgL_rz00_846;
							}
						else
							{	/* Ieee/flonum.scm 379 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1665z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_rz00_846);
								exit(-1);
							}
						BgL_auxz00_1487 = REAL_TO_DOUBLE(BgL_auxz00_1488);
					}
					BgL_auxz00_1486 =
						BGl_roundflz00zz__r4_numbers_6_5_flonumz00(BgL_auxz00_1487);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1486);
			}
		}
	}



/* remainderfl */
	BGL_EXPORTED_DEF double BGl_remainderflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_n1z00_38, double BgL_n2z00_39)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 388 */
			return fmod(BgL_n1z00_38, BgL_n2z00_39);
		}
	}



/* _remainderfl */
	obj_t BGl__remainderflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_847,
		obj_t BgL_n1z00_848, obj_t BgL_n2z00_849)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 388 */
			{	/* Ieee/flonum.scm 389 */
				double BgL_auxz00_1497;

				{	/* Ieee/flonum.scm 389 */
					double BgL_n1z00_1050;

					double BgL_n2z00_1051;

					{	/* Ieee/flonum.scm 389 */
						obj_t BgL_auxz00_1498;

						if (REALP(BgL_n1z00_848))
							{	/* Ieee/flonum.scm 389 */
								BgL_auxz00_1498 = BgL_n1z00_848;
							}
						else
							{	/* Ieee/flonum.scm 389 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1667z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_n1z00_848);
								exit(-1);
							}
						BgL_n1z00_1050 = REAL_TO_DOUBLE(BgL_auxz00_1498);
					}
					{	/* Ieee/flonum.scm 389 */
						obj_t BgL_auxz00_1504;

						if (REALP(BgL_n2z00_849))
							{	/* Ieee/flonum.scm 389 */
								BgL_auxz00_1504 = BgL_n2z00_849;
							}
						else
							{	/* Ieee/flonum.scm 389 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1667z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_n2z00_849);
								exit(-1);
							}
						BgL_n2z00_1051 = REAL_TO_DOUBLE(BgL_auxz00_1504);
					}
					BgL_auxz00_1497 = fmod(BgL_n1z00_1050, BgL_n2z00_1051);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1497);
			}
		}
	}



/* expfl */
	BGL_EXPORTED_DEF double BGl_expflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_40)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 394 */
			return exp(BgL_xz00_40);
		}
	}



/* _expfl */
	obj_t BGl__expflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_850,
		obj_t BgL_xz00_851)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 394 */
			{	/* Ieee/flonum.scm 395 */
				double BgL_auxz00_1513;

				{	/* Ieee/flonum.scm 395 */
					double BgL_xz00_1052;

					{	/* Ieee/flonum.scm 395 */
						obj_t BgL_auxz00_1514;

						if (REALP(BgL_xz00_851))
							{	/* Ieee/flonum.scm 395 */
								BgL_auxz00_1514 = BgL_xz00_851;
							}
						else
							{	/* Ieee/flonum.scm 395 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1669z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_xz00_851);
								exit(-1);
							}
						BgL_xz00_1052 = REAL_TO_DOUBLE(BgL_auxz00_1514);
					}
					BgL_auxz00_1513 = exp(BgL_xz00_1052);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1513);
			}
		}
	}



/* logfl */
	BGL_EXPORTED_DEF double BGl_logflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_41)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 400 */
			return log(BgL_xz00_41);
		}
	}



/* _logfl */
	obj_t BGl__logflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_852,
		obj_t BgL_xz00_853)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 400 */
			{	/* Ieee/flonum.scm 401 */
				double BgL_auxz00_1523;

				{	/* Ieee/flonum.scm 401 */
					double BgL_xz00_1053;

					{	/* Ieee/flonum.scm 401 */
						obj_t BgL_auxz00_1524;

						if (REALP(BgL_xz00_853))
							{	/* Ieee/flonum.scm 401 */
								BgL_auxz00_1524 = BgL_xz00_853;
							}
						else
							{	/* Ieee/flonum.scm 401 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1671z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_xz00_853);
								exit(-1);
							}
						BgL_xz00_1053 = REAL_TO_DOUBLE(BgL_auxz00_1524);
					}
					BgL_auxz00_1523 = log(BgL_xz00_1053);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1523);
			}
		}
	}



/* sinfl */
	BGL_EXPORTED_DEF double BGl_sinflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_42)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 406 */
			return sin(BgL_xz00_42);
		}
	}



/* _sinfl */
	obj_t BGl__sinflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_854,
		obj_t BgL_xz00_855)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 406 */
			{	/* Ieee/flonum.scm 407 */
				double BgL_auxz00_1533;

				{	/* Ieee/flonum.scm 407 */
					double BgL_xz00_1054;

					{	/* Ieee/flonum.scm 407 */
						obj_t BgL_auxz00_1534;

						if (REALP(BgL_xz00_855))
							{	/* Ieee/flonum.scm 407 */
								BgL_auxz00_1534 = BgL_xz00_855;
							}
						else
							{	/* Ieee/flonum.scm 407 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1673z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_xz00_855);
								exit(-1);
							}
						BgL_xz00_1054 = REAL_TO_DOUBLE(BgL_auxz00_1534);
					}
					BgL_auxz00_1533 = sin(BgL_xz00_1054);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1533);
			}
		}
	}



/* cosfl */
	BGL_EXPORTED_DEF double BGl_cosflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_43)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 412 */
			return cos(BgL_xz00_43);
		}
	}



/* _cosfl */
	obj_t BGl__cosflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_856,
		obj_t BgL_xz00_857)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 412 */
			{	/* Ieee/flonum.scm 413 */
				double BgL_auxz00_1543;

				{	/* Ieee/flonum.scm 413 */
					double BgL_xz00_1055;

					{	/* Ieee/flonum.scm 413 */
						obj_t BgL_auxz00_1544;

						if (REALP(BgL_xz00_857))
							{	/* Ieee/flonum.scm 413 */
								BgL_auxz00_1544 = BgL_xz00_857;
							}
						else
							{	/* Ieee/flonum.scm 413 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1675z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_xz00_857);
								exit(-1);
							}
						BgL_xz00_1055 = REAL_TO_DOUBLE(BgL_auxz00_1544);
					}
					BgL_auxz00_1543 = cos(BgL_xz00_1055);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1543);
			}
		}
	}



/* tanfl */
	BGL_EXPORTED_DEF double BGl_tanflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_44)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 418 */
			return tan(BgL_xz00_44);
		}
	}



/* _tanfl */
	obj_t BGl__tanflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_858,
		obj_t BgL_xz00_859)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 418 */
			{	/* Ieee/flonum.scm 419 */
				double BgL_auxz00_1553;

				{	/* Ieee/flonum.scm 419 */
					double BgL_xz00_1056;

					{	/* Ieee/flonum.scm 419 */
						obj_t BgL_auxz00_1554;

						if (REALP(BgL_xz00_859))
							{	/* Ieee/flonum.scm 419 */
								BgL_auxz00_1554 = BgL_xz00_859;
							}
						else
							{	/* Ieee/flonum.scm 419 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1677z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_xz00_859);
								exit(-1);
							}
						BgL_xz00_1056 = REAL_TO_DOUBLE(BgL_auxz00_1554);
					}
					BgL_auxz00_1553 = tan(BgL_xz00_1056);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1553);
			}
		}
	}



/* asinfl */
	BGL_EXPORTED_DEF double BGl_asinflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_45)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 424 */
			return asin(BgL_xz00_45);
		}
	}



/* _asinfl */
	obj_t BGl__asinflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_860,
		obj_t BgL_xz00_861)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 424 */
			{	/* Ieee/flonum.scm 425 */
				double BgL_auxz00_1563;

				{	/* Ieee/flonum.scm 425 */
					double BgL_xz00_1057;

					{	/* Ieee/flonum.scm 425 */
						obj_t BgL_auxz00_1564;

						if (REALP(BgL_xz00_861))
							{	/* Ieee/flonum.scm 425 */
								BgL_auxz00_1564 = BgL_xz00_861;
							}
						else
							{	/* Ieee/flonum.scm 425 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1679z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_xz00_861);
								exit(-1);
							}
						BgL_xz00_1057 = REAL_TO_DOUBLE(BgL_auxz00_1564);
					}
					BgL_auxz00_1563 = asin(BgL_xz00_1057);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1563);
			}
		}
	}



/* acosfl */
	BGL_EXPORTED_DEF double BGl_acosflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_46)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 430 */
			return acos(BgL_xz00_46);
		}
	}



/* _acosfl */
	obj_t BGl__acosflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_862,
		obj_t BgL_xz00_863)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 430 */
			{	/* Ieee/flonum.scm 431 */
				double BgL_auxz00_1573;

				{	/* Ieee/flonum.scm 431 */
					double BgL_xz00_1058;

					{	/* Ieee/flonum.scm 431 */
						obj_t BgL_auxz00_1574;

						if (REALP(BgL_xz00_863))
							{	/* Ieee/flonum.scm 431 */
								BgL_auxz00_1574 = BgL_xz00_863;
							}
						else
							{	/* Ieee/flonum.scm 431 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1681z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_xz00_863);
								exit(-1);
							}
						BgL_xz00_1058 = REAL_TO_DOUBLE(BgL_auxz00_1574);
					}
					BgL_auxz00_1573 = acos(BgL_xz00_1058);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1573);
			}
		}
	}



/* atanfl */
	BGL_EXPORTED_DEF double BGl_atanflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_47, obj_t BgL_yz00_48)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 436 */
			if (NULLP(BgL_yz00_48))
				{	/* Ieee/flonum.scm 437 */
					return atan(BgL_xz00_47);
				}
			else
				{	/* Ieee/flonum.scm 437 */
					obj_t BgL_yz00_685;

					BgL_yz00_685 = CAR(BgL_yz00_48);
					{	/* Ieee/flonum.scm 437 */
						double BgL_yz00_689;

						BgL_yz00_689 = REAL_TO_DOUBLE(BgL_yz00_685);
						return atan2(BgL_xz00_47, BgL_yz00_689);
					}
				}
		}
	}



/* _atanfl */
	obj_t BGl__atanflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_864,
		obj_t BgL_xz00_865, obj_t BgL_yz00_866)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 436 */
			{	/* Ieee/flonum.scm 437 */
				double BgL_auxz00_1588;

				{	/* Ieee/flonum.scm 437 */
					double BgL_auxz00_1589;

					{	/* Ieee/flonum.scm 437 */
						obj_t BgL_auxz00_1590;

						if (REALP(BgL_xz00_865))
							{	/* Ieee/flonum.scm 437 */
								BgL_auxz00_1590 = BgL_xz00_865;
							}
						else
							{	/* Ieee/flonum.scm 437 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1683z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_xz00_865);
								exit(-1);
							}
						BgL_auxz00_1589 = REAL_TO_DOUBLE(BgL_auxz00_1590);
					}
					BgL_auxz00_1588 =
						BGl_atanflz00zz__r4_numbers_6_5_flonumz00(BgL_auxz00_1589,
						BgL_yz00_866);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1588);
			}
		}
	}



/* atan-1fl */
	BGL_EXPORTED_DEF double BGl_atanzd21flzd2zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_49)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 445 */
			return atan(BgL_xz00_49);
		}
	}



/* _atan-1fl */
	obj_t BGl__atanzd21flzd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_867,
		obj_t BgL_xz00_868)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 445 */
			{	/* Ieee/flonum.scm 446 */
				double BgL_auxz00_1599;

				{	/* Ieee/flonum.scm 446 */
					double BgL_xz00_1059;

					{	/* Ieee/flonum.scm 446 */
						obj_t BgL_auxz00_1600;

						if (REALP(BgL_xz00_868))
							{	/* Ieee/flonum.scm 446 */
								BgL_auxz00_1600 = BgL_xz00_868;
							}
						else
							{	/* Ieee/flonum.scm 446 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1685z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_xz00_868);
								exit(-1);
							}
						BgL_xz00_1059 = REAL_TO_DOUBLE(BgL_auxz00_1600);
					}
					BgL_auxz00_1599 = atan(BgL_xz00_1059);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1599);
			}
		}
	}



/* atan-2fl */
	BGL_EXPORTED_DEF double BGl_atanzd22flzd2zz__r4_numbers_6_5_flonumz00(double
		BgL_xz00_50, double BgL_yz00_51)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 451 */
			{	/* Ieee/flonum.scm 452 */
				bool_t BgL_testz00_1608;

				if ((BgL_xz00_50 == ((double) 0.0)))
					{	/* Ieee/flonum.scm 452 */
						BgL_testz00_1608 = (BgL_yz00_51 == ((double) 0.0));
					}
				else
					{	/* Ieee/flonum.scm 452 */
						BgL_testz00_1608 = ((bool_t) 0);
					}
				if (BgL_testz00_1608)
					{	/* Ieee/flonum.scm 452 */
						obj_t BgL_procz00_1060;

						obj_t BgL_msgz00_1061;

						BgL_procz00_1060 =
							string_to_bstring(BSTRING_TO_STRING
							(BGl_string1687z00zz__r4_numbers_6_5_flonumz00));
						BgL_msgz00_1061 =
							string_to_bstring(BSTRING_TO_STRING
							(BGl_string1688z00zz__r4_numbers_6_5_flonumz00));
						the_failure(BgL_procz00_1060, BgL_msgz00_1061,
							BGl_real1689z00zz__r4_numbers_6_5_flonumz00);
						return ((double) 0.0);
					}
				else
					{	/* Ieee/flonum.scm 452 */
						return atan2(BgL_xz00_50, BgL_yz00_51);
					}
			}
		}
	}



/* _atan-2fl */
	obj_t BGl__atanzd22flzd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_869,
		obj_t BgL_xz00_870, obj_t BgL_yz00_871)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 451 */
			{	/* Ieee/flonum.scm 452 */
				double BgL_auxz00_1618;

				{	/* Ieee/flonum.scm 452 */
					double BgL_xz00_1063;

					double BgL_yz00_1064;

					{	/* Ieee/flonum.scm 452 */
						obj_t BgL_auxz00_1619;

						if (REALP(BgL_xz00_870))
							{	/* Ieee/flonum.scm 452 */
								BgL_auxz00_1619 = BgL_xz00_870;
							}
						else
							{	/* Ieee/flonum.scm 452 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1690z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_xz00_870);
								exit(-1);
							}
						BgL_xz00_1063 = REAL_TO_DOUBLE(BgL_auxz00_1619);
					}
					{	/* Ieee/flonum.scm 452 */
						obj_t BgL_auxz00_1625;

						if (REALP(BgL_yz00_871))
							{	/* Ieee/flonum.scm 452 */
								BgL_auxz00_1625 = BgL_yz00_871;
							}
						else
							{	/* Ieee/flonum.scm 452 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1690z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_yz00_871);
								exit(-1);
							}
						BgL_yz00_1064 = REAL_TO_DOUBLE(BgL_auxz00_1625);
					}
					{	/* Ieee/flonum.scm 452 */
						bool_t BgL_testz00_1631;

						if ((BgL_xz00_1063 == ((double) 0.0)))
							{	/* Ieee/flonum.scm 452 */
								BgL_testz00_1631 = (BgL_yz00_1064 == ((double) 0.0));
							}
						else
							{	/* Ieee/flonum.scm 452 */
								BgL_testz00_1631 = ((bool_t) 0);
							}
						if (BgL_testz00_1631)
							{	/* Ieee/flonum.scm 452 */
								obj_t BgL_procz00_1065;

								obj_t BgL_msgz00_1066;

								BgL_procz00_1065 =
									string_to_bstring(BSTRING_TO_STRING
									(BGl_string1687z00zz__r4_numbers_6_5_flonumz00));
								BgL_msgz00_1066 =
									string_to_bstring(BSTRING_TO_STRING
									(BGl_string1688z00zz__r4_numbers_6_5_flonumz00));
								the_failure(BgL_procz00_1065, BgL_msgz00_1066,
									BGl_real1689z00zz__r4_numbers_6_5_flonumz00);
								BgL_auxz00_1618 = ((double) 0.0);
							}
						else
							{	/* Ieee/flonum.scm 452 */
								BgL_auxz00_1618 = atan2(BgL_xz00_1063, BgL_yz00_1064);
							}
					}
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1618);
			}
		}
	}



/* atan-2fl-ur */
	BGL_EXPORTED_DEF double
		BGl_atanzd22flzd2urz00zz__r4_numbers_6_5_flonumz00(double BgL_xz00_52,
		double BgL_yz00_53)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 469 */
			return atan2(BgL_xz00_52, BgL_yz00_53);
		}
	}



/* _atan-2fl-ur */
	obj_t BGl__atanzd22flzd2urz00zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_872, obj_t BgL_xz00_873, obj_t BgL_yz00_874)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 469 */
			{	/* Ieee/flonum.scm 470 */
				double BgL_auxz00_1643;

				{	/* Ieee/flonum.scm 470 */
					double BgL_xz00_1068;

					double BgL_yz00_1069;

					{	/* Ieee/flonum.scm 470 */
						obj_t BgL_auxz00_1644;

						if (REALP(BgL_xz00_873))
							{	/* Ieee/flonum.scm 470 */
								BgL_auxz00_1644 = BgL_xz00_873;
							}
						else
							{	/* Ieee/flonum.scm 470 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1692z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_xz00_873);
								exit(-1);
							}
						BgL_xz00_1068 = REAL_TO_DOUBLE(BgL_auxz00_1644);
					}
					{	/* Ieee/flonum.scm 470 */
						obj_t BgL_auxz00_1650;

						if (REALP(BgL_yz00_874))
							{	/* Ieee/flonum.scm 470 */
								BgL_auxz00_1650 = BgL_yz00_874;
							}
						else
							{	/* Ieee/flonum.scm 470 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1692z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_yz00_874);
								exit(-1);
							}
						BgL_yz00_1069 = REAL_TO_DOUBLE(BgL_auxz00_1650);
					}
					BgL_auxz00_1643 = atan2(BgL_xz00_1068, BgL_yz00_1069);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1643);
			}
		}
	}



/* sqrtfl */
	BGL_EXPORTED_DEF double BGl_sqrtflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_54)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 475 */
			if ((BgL_rz00_54 < ((double) 0.0)))
				{	/* Ieee/flonum.scm 476 */
					obj_t BgL_procz00_1070;

					obj_t BgL_msgz00_1071;

					obj_t BgL_objz00_1072;

					BgL_procz00_1070 =
						string_to_bstring(BSTRING_TO_STRING
						(BGl_string1694z00zz__r4_numbers_6_5_flonumz00));
					BgL_msgz00_1071 =
						string_to_bstring(BSTRING_TO_STRING
						(BGl_string1688z00zz__r4_numbers_6_5_flonumz00));
					BgL_objz00_1072 = DOUBLE_TO_REAL(BgL_rz00_54);
					BGl_errorz00zz__errorz00(BgL_procz00_1070, BgL_msgz00_1071,
						BgL_objz00_1072);
					return ((double) 0.0);
				}
			else
				{	/* Ieee/flonum.scm 476 */
					return sqrt(BgL_rz00_54);
				}
		}
	}



/* _sqrtfl */
	obj_t BGl__sqrtflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_875,
		obj_t BgL_rz00_876)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 475 */
			{	/* Ieee/flonum.scm 476 */
				double BgL_auxz00_1667;

				{	/* Ieee/flonum.scm 476 */
					double BgL_rz00_1073;

					{	/* Ieee/flonum.scm 476 */
						obj_t BgL_auxz00_1668;

						if (REALP(BgL_rz00_876))
							{	/* Ieee/flonum.scm 476 */
								BgL_auxz00_1668 = BgL_rz00_876;
							}
						else
							{	/* Ieee/flonum.scm 476 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1695z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_rz00_876);
								exit(-1);
							}
						BgL_rz00_1073 = REAL_TO_DOUBLE(BgL_auxz00_1668);
					}
					if ((BgL_rz00_1073 < ((double) 0.0)))
						{	/* Ieee/flonum.scm 476 */
							obj_t BgL_procz00_1074;

							obj_t BgL_msgz00_1075;

							obj_t BgL_objz00_1076;

							BgL_procz00_1074 =
								string_to_bstring(BSTRING_TO_STRING
								(BGl_string1694z00zz__r4_numbers_6_5_flonumz00));
							BgL_msgz00_1075 =
								string_to_bstring(BSTRING_TO_STRING
								(BGl_string1688z00zz__r4_numbers_6_5_flonumz00));
							BgL_objz00_1076 = DOUBLE_TO_REAL(BgL_rz00_1073);
							BGl_errorz00zz__errorz00(BgL_procz00_1074, BgL_msgz00_1075,
								BgL_objz00_1076);
							BgL_auxz00_1667 = ((double) 0.0);
						}
					else
						{	/* Ieee/flonum.scm 476 */
							BgL_auxz00_1667 = sqrt(BgL_rz00_1073);
						}
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1667);
			}
		}
	}



/* sqrtfl-ur */
	BGL_EXPORTED_DEF double BGl_sqrtflzd2urzd2zz__r4_numbers_6_5_flonumz00(double
		BgL_rz00_55)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 488 */
			return sqrt(BgL_rz00_55);
		}
	}



/* _sqrtfl-ur */
	obj_t BGl__sqrtflzd2urzd2zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_877,
		obj_t BgL_rz00_878)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 488 */
			{	/* Ieee/flonum.scm 489 */
				double BgL_auxz00_1685;

				{	/* Ieee/flonum.scm 489 */
					double BgL_rz00_1077;

					{	/* Ieee/flonum.scm 489 */
						obj_t BgL_auxz00_1686;

						if (REALP(BgL_rz00_878))
							{	/* Ieee/flonum.scm 489 */
								BgL_auxz00_1686 = BgL_rz00_878;
							}
						else
							{	/* Ieee/flonum.scm 489 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1697z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_rz00_878);
								exit(-1);
							}
						BgL_rz00_1077 = REAL_TO_DOUBLE(BgL_auxz00_1686);
					}
					BgL_auxz00_1685 = sqrt(BgL_rz00_1077);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1685);
			}
		}
	}



/* exptfl */
	BGL_EXPORTED_DEF double BGl_exptflz00zz__r4_numbers_6_5_flonumz00(double
		BgL_r1z00_56, double BgL_r2z00_57)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 494 */
			return pow(BgL_r1z00_56, BgL_r2z00_57);
		}
	}



/* _exptfl */
	obj_t BGl__exptflz00zz__r4_numbers_6_5_flonumz00(obj_t BgL_envz00_879,
		obj_t BgL_r1z00_880, obj_t BgL_r2z00_881)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 494 */
			{	/* Ieee/flonum.scm 495 */
				double BgL_auxz00_1695;

				{	/* Ieee/flonum.scm 495 */
					double BgL_r1z00_1078;

					double BgL_r2z00_1079;

					{	/* Ieee/flonum.scm 495 */
						obj_t BgL_auxz00_1696;

						if (REALP(BgL_r1z00_880))
							{	/* Ieee/flonum.scm 495 */
								BgL_auxz00_1696 = BgL_r1z00_880;
							}
						else
							{	/* Ieee/flonum.scm 495 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1699z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r1z00_880);
								exit(-1);
							}
						BgL_r1z00_1078 = REAL_TO_DOUBLE(BgL_auxz00_1696);
					}
					{	/* Ieee/flonum.scm 495 */
						obj_t BgL_auxz00_1702;

						if (REALP(BgL_r2z00_881))
							{	/* Ieee/flonum.scm 495 */
								BgL_auxz00_1702 = BgL_r2z00_881;
							}
						else
							{	/* Ieee/flonum.scm 495 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1699z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1624z00zz__r4_numbers_6_5_flonumz00, BgL_r2z00_881);
								exit(-1);
							}
						BgL_r2z00_1079 = REAL_TO_DOUBLE(BgL_auxz00_1702);
					}
					BgL_auxz00_1695 = pow(BgL_r1z00_1078, BgL_r2z00_1079);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1695);
			}
		}
	}



/* string->real */
	BGL_EXPORTED_DEF double
		BGl_stringzd2ze3realz31zz__r4_numbers_6_5_flonumz00(char *BgL_stringz00_58)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 500 */
			return strtod(BgL_stringz00_58, ((long) 0));
		}
	}



/* _string->real */
	obj_t BGl__stringzd2ze3realz31zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_882, obj_t BgL_stringz00_883)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 500 */
			{	/* Ieee/flonum.scm 501 */
				double BgL_auxz00_1711;

				{	/* Ieee/flonum.scm 501 */
					char *BgL_stringz00_1080;

					{	/* Ieee/flonum.scm 501 */
						obj_t BgL_auxz00_1712;

						if (STRINGP(BgL_stringz00_883))
							{	/* Ieee/flonum.scm 501 */
								BgL_auxz00_1712 = BgL_stringz00_883;
							}
						else
							{	/* Ieee/flonum.scm 501 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1701z00zz__r4_numbers_6_5_flonumz00,
									BGl_string1703z00zz__r4_numbers_6_5_flonumz00,
									BgL_stringz00_883);
								exit(-1);
							}
						BgL_stringz00_1080 = BSTRING_TO_STRING(BgL_auxz00_1712);
					}
					BgL_auxz00_1711 = strtod(BgL_stringz00_1080, ((long) 0));
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1711);
			}
		}
	}



/* real->string */
	BGL_EXPORTED_DEF obj_t
		BGl_realzd2ze3stringz31zz__r4_numbers_6_5_flonumz00(obj_t BgL_realz00_59)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 506 */
			return real_to_string(REAL_TO_DOUBLE(BgL_realz00_59));
		}
	}



/* _real->string */
	obj_t BGl__realzd2ze3stringz31zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_884, obj_t BgL_realz00_885)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 506 */
			{	/* Ieee/flonum.scm 507 */
				obj_t BgL_realz00_1081;

				if (REALP(BgL_realz00_885))
					{	/* Ieee/flonum.scm 507 */
						BgL_realz00_1081 = BgL_realz00_885;
					}
				else
					{	/* Ieee/flonum.scm 507 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol1704z00zz__r4_numbers_6_5_flonumz00,
							BGl_string1706z00zz__r4_numbers_6_5_flonumz00, BgL_realz00_885);
						exit(-1);
					}
				return real_to_string(REAL_TO_DOUBLE(BgL_realz00_1081));
			}
		}
	}



/* ieee-string->real */
	BGL_EXPORTED_DEF obj_t
		BGl_ieeezd2stringzd2ze3realze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_stringz00_60)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 512 */
			return DOUBLE_TO_REAL(bgl_ieee_string_to_double(BgL_stringz00_60));
		}
	}



/* _ieee-string->real */
	obj_t BGl__ieeezd2stringzd2ze3realze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_886, obj_t BgL_stringz00_887)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 512 */
			{	/* Ieee/flonum.scm 513 */
				obj_t BgL_stringz00_1082;

				if (STRINGP(BgL_stringz00_887))
					{	/* Ieee/flonum.scm 513 */
						BgL_stringz00_1082 = BgL_stringz00_887;
					}
				else
					{	/* Ieee/flonum.scm 513 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol1707z00zz__r4_numbers_6_5_flonumz00,
							BGl_string1709z00zz__r4_numbers_6_5_flonumz00, BgL_stringz00_887);
						exit(-1);
					}
				return DOUBLE_TO_REAL(bgl_ieee_string_to_double(BgL_stringz00_1082));
			}
		}
	}



/* real->ieee-string */
	BGL_EXPORTED_DEF obj_t
		BGl_realzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_realz00_61)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 518 */
			return bgl_double_to_ieee_string(REAL_TO_DOUBLE(BgL_realz00_61));
		}
	}



/* _real->ieee-string */
	obj_t BGl__realzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_888, obj_t BgL_realz00_889)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 518 */
			{	/* Ieee/flonum.scm 519 */
				obj_t BgL_realz00_1083;

				if (REALP(BgL_realz00_889))
					{	/* Ieee/flonum.scm 519 */
						BgL_realz00_1083 = BgL_realz00_889;
					}
				else
					{	/* Ieee/flonum.scm 519 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol1710z00zz__r4_numbers_6_5_flonumz00,
							BGl_string1706z00zz__r4_numbers_6_5_flonumz00, BgL_realz00_889);
						exit(-1);
					}
				return bgl_double_to_ieee_string(REAL_TO_DOUBLE(BgL_realz00_1083));
			}
		}
	}



/* ieee-string->double */
	BGL_EXPORTED_DEF double
		BGl_ieeezd2stringzd2ze3doubleze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_stringz00_62)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 524 */
			return bgl_ieee_string_to_double(BgL_stringz00_62);
		}
	}



/* _ieee-string->double */
	obj_t BGl__ieeezd2stringzd2ze3doubleze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_890, obj_t BgL_stringz00_891)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 524 */
			{	/* Ieee/flonum.scm 525 */
				double BgL_auxz00_1745;

				{	/* Ieee/flonum.scm 525 */
					obj_t BgL_stringz00_1084;

					if (STRINGP(BgL_stringz00_891))
						{	/* Ieee/flonum.scm 525 */
							BgL_stringz00_1084 = BgL_stringz00_891;
						}
					else
						{	/* Ieee/flonum.scm 525 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol1712z00zz__r4_numbers_6_5_flonumz00,
								BGl_string1709z00zz__r4_numbers_6_5_flonumz00,
								BgL_stringz00_891);
							exit(-1);
						}
					BgL_auxz00_1745 = bgl_ieee_string_to_double(BgL_stringz00_1084);
				}
				return DOUBLE_TO_REAL(BgL_auxz00_1745);
			}
		}
	}



/* double->ieee-string */
	BGL_EXPORTED_DEF obj_t
		BGl_doublezd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(double
		BgL_doublez00_63)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 530 */
			return bgl_double_to_ieee_string(BgL_doublez00_63);
		}
	}



/* _double->ieee-string */
	obj_t BGl__doublezd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_892, obj_t BgL_doublez00_893)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 530 */
			{	/* Ieee/flonum.scm 531 */
				double BgL_doublez00_1085;

				{	/* Ieee/flonum.scm 531 */
					obj_t BgL_auxz00_1753;

					if (REALP(BgL_doublez00_893))
						{	/* Ieee/flonum.scm 531 */
							BgL_auxz00_1753 = BgL_doublez00_893;
						}
					else
						{	/* Ieee/flonum.scm 531 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol1714z00zz__r4_numbers_6_5_flonumz00,
								BGl_string1624z00zz__r4_numbers_6_5_flonumz00,
								BgL_doublez00_893);
							exit(-1);
						}
					BgL_doublez00_1085 = REAL_TO_DOUBLE(BgL_auxz00_1753);
				}
				return bgl_double_to_ieee_string(BgL_doublez00_1085);
			}
		}
	}



/* ieee-string->float */
	BGL_EXPORTED_DEF float
		BGl_ieeezd2stringzd2ze3floatze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_stringz00_64)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 536 */
			return (float) (bgl_ieee_string_to_double(BgL_stringz00_64));
		}
	}



/* _ieee-string->float */
	obj_t BGl__ieeezd2stringzd2ze3floatze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_894, obj_t BgL_stringz00_895)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 536 */
			{	/* Ieee/flonum.scm 537 */
				float BgL_auxz00_1762;

				{	/* Ieee/flonum.scm 537 */
					obj_t BgL_stringz00_1086;

					if (STRINGP(BgL_stringz00_895))
						{	/* Ieee/flonum.scm 537 */
							BgL_stringz00_1086 = BgL_stringz00_895;
						}
					else
						{	/* Ieee/flonum.scm 537 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol1716z00zz__r4_numbers_6_5_flonumz00,
								BGl_string1709z00zz__r4_numbers_6_5_flonumz00,
								BgL_stringz00_895);
							exit(-1);
						}
					BgL_auxz00_1762 =
						(float) (bgl_ieee_string_to_double(BgL_stringz00_1086));
				}
				return FLOAT_TO_REAL(BgL_auxz00_1762);
			}
		}
	}



/* float->ieee-string */
	BGL_EXPORTED_DEF obj_t
		BGl_floatzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(float
		BgL_floatz00_65)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 542 */
			return bgl_double_to_ieee_string((double) (BgL_floatz00_65));
		}
	}



/* _float->ieee-string */
	obj_t BGl__floatzd2ze3ieeezd2stringze3zz__r4_numbers_6_5_flonumz00(obj_t
		BgL_envz00_896, obj_t BgL_floatz00_897)
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 542 */
			{	/* Ieee/flonum.scm 543 */
				float BgL_floatz00_1087;

				{	/* Ieee/flonum.scm 543 */
					obj_t BgL_auxz00_1772;

					if (REALP(BgL_floatz00_897))
						{	/* Ieee/flonum.scm 543 */
							BgL_auxz00_1772 = BgL_floatz00_897;
						}
					else
						{	/* Ieee/flonum.scm 543 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol1718z00zz__r4_numbers_6_5_flonumz00,
								BGl_string1720z00zz__r4_numbers_6_5_flonumz00,
								BgL_floatz00_897);
							exit(-1);
						}
					BgL_floatz00_1087 = REAL_TO_FLOAT(BgL_auxz00_1772);
				}
				return bgl_double_to_ieee_string((double) (BgL_floatz00_1087));
		}}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r4_numbers_6_5_flonumz00()
	{
		AN_OBJECT;
		{	/* Ieee/flonum.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string1721z00zz__r4_numbers_6_5_flonumz00));
		}
	}

#ifdef __cplusplus
}
#endif
