/*===========================================================================*/
/*   (Llib/socket.scm)                                                       */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Llib/socket.scm -indent -o objs/obj_u/Llib/socket.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	static obj_t BGl__socketzd2portzd2number2125z00zz__socketz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_keyword2167z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_keyword2169z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_keyword2171z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_keyword2176z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_keyword2178z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_keyword2181z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__socketz00();
	static obj_t BGl_keyword2185z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_keyword2187z00zz__socketz00 = BUNSPEC;
	static obj_t BGl__socketzd2acceptzd2manyz00zz__socketz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_socketzd2shutdownzd2zz__socketz00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl__socketzd2acceptzd2zz__socketz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2serverzd2socketz00zz__socketz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_z52socketzd2initz12z92zz__socketz00();
	static obj_t BGl_requirezd2initializa7ationz75zz__socketz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_socketzd2inputzd2zz__socketz00(obj_t);
	extern obj_t bgl_host(obj_t);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl__socketzd2clientzf3z21zz__socketz00(obj_t, obj_t);
	extern obj_t bgl_hostinfo(obj_t);
	extern obj_t socket_local_addr(obj_t);
	static obj_t BGl__host2129z00zz__socketz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_socketzd2closezd2zz__socketz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_socketzd2acceptzd2manyz00zz__socketz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t socket_shutdown(obj_t, bool_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t bgl_make_client_socket(obj_t, int, int, obj_t, obj_t);
	static obj_t BGl__socketzf3zf3zz__socketz00(obj_t, obj_t);
	static obj_t BGl__socketzd2downzf32124z21zz__socketz00(obj_t, obj_t);
	static obj_t BGl__socketzd2close2128zd2zz__socketz00(obj_t, obj_t);
	static obj_t BGl_za2socketzd2mutexza2zd2zz__socketz00 = BUNSPEC;
	extern void socket_cleanup();
	BGL_EXPORTED_DECL bool_t BGl_socketzf3zf3zz__socketz00(obj_t);
	static obj_t BGl__hostnamez00zz__socketz00(obj_t);
	static obj_t BGl__socketzd2shutdownzd2zz__socketz00(obj_t, obj_t);
	static obj_t BGl__makezd2clientzd2socketz00zz__socketz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_socketzd2downzf3z21zz__socketz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_socketzd2acceptzd2zz__socketz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl__socketzd2input2126zd2zz__socketz00(obj_t, obj_t);
	extern void socket_startup();
	static obj_t BGl__hostinfo2130z00zz__socketz00(obj_t, obj_t);
	static obj_t BGl__socketzd2serverzf3z21zz__socketz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_socketzd2localzd2addressz00zz__socketz00(obj_t);
	extern obj_t socket_close(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__socketz00();
	extern obj_t BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(obj_t, obj_t,
		int);
	static obj_t BGl__socketzd2localzd2addres2123z00zz__socketz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2clientzd2socketz00zz__socketz00(obj_t, int,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_socketzd2clientzf3z21zz__socketz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hostinfoz00zz__socketz00(obj_t);
	static obj_t BGl__socketzd2hostzd2address2122z00zz__socketz00(obj_t, obj_t);
	static obj_t BGl_symbol2153z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_symbol2155z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_symbol2157z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_symbol2159z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_symbol2161z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_symbol2163z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__socketz00();
	static obj_t BGl_symbol2165z00zz__socketz00 = BUNSPEC;
	extern obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t);
	static obj_t BGl_symbol2173z00zz__socketz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_socketzd2outputzd2zz__socketz00(obj_t);
	static obj_t BGl_symbol2183z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_symbol2189z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_symbol2191z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_symbol2193z00zz__socketz00 = BUNSPEC;
	static obj_t BGl_symbol2196z00zz__socketz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_socketzd2portzd2numberz00zz__socketz00(obj_t);
	static obj_t BGl__socketzd2output2127zd2zz__socketz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2checkzd2keyzd2argsz12zc0zz__dssslz00(obj_t, obj_t);
	extern obj_t bgl_socket_accept(obj_t, bool_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hostnamez00zz__socketz00();
	extern obj_t bgl_make_server_socket(obj_t, int, int);
	BGL_EXPORTED_DECL obj_t BGl_hostz00zz__socketz00(obj_t);
	static obj_t BGl_list2175z00zz__socketz00 = BUNSPEC;
	extern obj_t bgl_gethostname();
	static obj_t BGl_list2180z00zz__socketz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_socketzd2hostzd2addressz00zz__socketz00(obj_t);
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl__z52socketzd2initz12z92zz__socketz00(obj_t);
	static bool_t BGl_za2socketzd2initializa7edza2z75zz__socketz00;
	static obj_t BGl__socketzd2hostname2121zd2zz__socketz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_socketzd2serverzf3z21zz__socketz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_socketzd2hostnamezd2zz__socketz00(obj_t);
	static obj_t BGl_zc3anonymousza31774ze3z83zz__socketz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__socketz00();
	static obj_t BGl__makezd2serverzd2socketz00zz__socketz00(obj_t, obj_t);
	extern long bgl_socket_accept_many(obj_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hostinfozd2envzd2zz__socketz00,
		BgL_bgl__hostinfo2130za7002202za7, BGl__hostinfo2130z00zz__socketz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_socketzd2localzd2addresszd2envzd2zz__socketz00,
		BgL_bgl__socketza7d2localza72203z00,
		BGl__socketzd2localzd2addres2123z00zz__socketz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_socketzf3zd2envz21zz__socketz00,
		BgL_bgl__socketza7f3za7f3za7za7_2204z00, BGl__socketzf3zf3zz__socketz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_socketzd2hostnamezd2envz00zz__socketz00,
		BgL_bgl__socketza7d2hostna2205za7,
		BGl__socketzd2hostname2121zd2zz__socketz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_hostnamezd2envzd2zz__socketz00,
		BgL_bgl__hostnameza700za7za7__2206za7, BGl__hostnamez00zz__socketz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_socketzd2hostzd2addresszd2envzd2zz__socketz00,
		BgL_bgl__socketza7d2hostza7d2207z00,
		BGl__socketzd2hostzd2address2122z00zz__socketz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_socketzd2portzd2numberzd2envzd2zz__socketz00,
		BgL_bgl__socketza7d2portza7d2208z00,
		BGl__socketzd2portzd2number2125z00zz__socketz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2clientzd2socketzd2envzd2zz__socketz00,
		BgL_bgl__makeza7d2clientza7d2209z00, opt_generic_entry,
		BGl__makezd2clientzd2socketz00zz__socketz00, BFALSE, -1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zz__socketz00,
		BgL_bgl_za7c3anonymousza7a312210z00,
		BGl_zc3anonymousza31774ze3z83zz__socketz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2serverzd2socketzd2envzd2zz__socketz00,
		BgL_bgl__makeza7d2serverza7d2211z00, va_generic_entry,
		BGl__makezd2serverzd2socketz00zz__socketz00, BUNSPEC, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_z52socketzd2initz12zd2envz40zz__socketz00,
		BgL_bgl__za752socketza7d2ini2212z00,
		BGl__z52socketzd2initz12z92zz__socketz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_socketzd2serverzf3zd2envzf3zz__socketz00,
		BgL_bgl__socketza7d2server2213za7, BGl__socketzd2serverzf3z21zz__socketz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_socketzd2shutdownzd2envz00zz__socketz00,
		BgL_bgl__socketza7d2shutdo2214za7, opt_generic_entry,
		BGl__socketzd2shutdownzd2zz__socketz00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_socketzd2acceptzd2manyzd2envzd2zz__socketz00,
		BgL_bgl__socketza7d2accept2215za7, opt_generic_entry,
		BGl__socketzd2acceptzd2manyz00zz__socketz00, BFALSE, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_socketzd2acceptzd2envz00zz__socketz00,
		BgL_bgl__socketza7d2accept2216za7, opt_generic_entry,
		BGl__socketzd2acceptzd2zz__socketz00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_socketzd2clientzf3zd2envzf3zz__socketz00,
		BgL_bgl__socketza7d2client2217za7, BGl__socketzd2clientzf3z21zz__socketz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2151z00zz__socketz00,
		BgL_bgl_string2151za700za7za7_2218za7, "socket", 6);
	      DEFINE_STRING(BGl_string2154z00zz__socketz00,
		BgL_bgl_string2154za700za7za7_2219za7, "_socket-hostname2121", 20);
	      DEFINE_STRING(BGl_string2156z00zz__socketz00,
		BgL_bgl_string2156za700za7za7_2220za7, "_socket-host-address2122", 24);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_socketzd2outputzd2envz00zz__socketz00,
		BgL_bgl__socketza7d2output2221za7, BGl__socketzd2output2127zd2zz__socketz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2158z00zz__socketz00,
		BgL_bgl_string2158za700za7za7_2222za7, "_socket-local-addres2123", 24);
	      DEFINE_STRING(BGl_string2160z00zz__socketz00,
		BgL_bgl_string2160za700za7za7_2223za7, "_socket-down?2124", 17);
	      DEFINE_STRING(BGl_string2162z00zz__socketz00,
		BgL_bgl_string2162za700za7za7_2224za7, "_socket-port-number2125", 23);
	      DEFINE_STRING(BGl_string2164z00zz__socketz00,
		BgL_bgl_string2164za700za7za7_2225za7, "_socket-input2126", 17);
	      DEFINE_STRING(BGl_string2166z00zz__socketz00,
		BgL_bgl_string2166za700za7za7_2226za7, "_socket-output2127", 18);
	      DEFINE_STRING(BGl_string2168z00zz__socketz00,
		BgL_bgl_string2168za700za7za7_2227za7, "inbuf", 5);
	      DEFINE_STRING(BGl_string2170z00zz__socketz00,
		BgL_bgl_string2170za700za7za7_2228za7, "outbuf", 6);
	      DEFINE_STRING(BGl_string2172z00zz__socketz00,
		BgL_bgl_string2172za700za7za7_2229za7, "timeout", 7);
	      DEFINE_STRING(BGl_string2174z00zz__socketz00,
		BgL_bgl_string2174za700za7za7_2230za7, "make-client-socket", 18);
	      DEFINE_STRING(BGl_string2177z00zz__socketz00,
		BgL_bgl_string2177za700za7za7_2231za7, "backlog", 7);
	      DEFINE_STRING(BGl_string2179z00zz__socketz00,
		BgL_bgl_string2179za700za7za7_2232za7, "name", 4);
	      DEFINE_STRING(BGl_string2182z00zz__socketz00,
		BgL_bgl_string2182za700za7za7_2233za7, "errp", 4);
	      DEFINE_STRING(BGl_string2184z00zz__socketz00,
		BgL_bgl_string2184za700za7za7_2234za7, "socket-accept", 13);
	      DEFINE_STRING(BGl_string2186z00zz__socketz00,
		BgL_bgl_string2186za700za7za7_2235za7, "inbufs", 6);
	      DEFINE_STRING(BGl_string2188z00zz__socketz00,
		BgL_bgl_string2188za700za7za7_2236za7, "outbufs", 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_socketzd2closezd2envz00zz__socketz00,
		BgL_bgl__socketza7d2close22237za7, BGl__socketzd2close2128zd2zz__socketz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2190z00zz__socketz00,
		BgL_bgl_string2190za700za7za7_2238za7, "socket-accept-many", 18);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_socketzd2downzf3zd2envzf3zz__socketz00,
		BgL_bgl__socketza7d2downza7f2239z00,
		BGl__socketzd2downzf32124z21zz__socketz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2192z00zz__socketz00,
		BgL_bgl_string2192za700za7za7_2240za7, "_socket-close2128", 17);
	      DEFINE_STRING(BGl_string2194z00zz__socketz00,
		BgL_bgl_string2194za700za7za7_2241za7, "_host2129", 9);
	      DEFINE_STRING(BGl_string2195z00zz__socketz00,
		BgL_bgl_string2195za700za7za7_2242za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2197z00zz__socketz00,
		BgL_bgl_string2197za700za7za7_2243za7, "_hostinfo2130", 13);
	      DEFINE_STRING(BGl_string2198z00zz__socketz00,
		BgL_bgl_string2198za700za7za7_2244za7, "__socket", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_socketzd2inputzd2envz00zz__socketz00,
		BgL_bgl__socketza7d2input22245za7, BGl__socketzd2input2126zd2zz__socketz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_hostzd2envzd2zz__socketz00,
		BgL_bgl__host2129za700za7za7__2246za7, BGl__host2129z00zz__socketz00, 0L,
		BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long
		BgL_checksumz00_1757, char *BgL_fromz00_1758)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__socketz00))
				{
					BGl_requirezd2initializa7ationz75zz__socketz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__socketz00();
					BGl_importedzd2moduleszd2initz00zz__socketz00();
					BGl_toplevelzd2initzd2zz__socketz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__socketz00()
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 14 */
			BGl_symbol2153z00zz__socketz00 =
				bstring_to_symbol(BGl_string2154z00zz__socketz00);
			BGl_symbol2155z00zz__socketz00 =
				bstring_to_symbol(BGl_string2156z00zz__socketz00);
			BGl_symbol2157z00zz__socketz00 =
				bstring_to_symbol(BGl_string2158z00zz__socketz00);
			BGl_symbol2159z00zz__socketz00 =
				bstring_to_symbol(BGl_string2160z00zz__socketz00);
			BGl_symbol2161z00zz__socketz00 =
				bstring_to_symbol(BGl_string2162z00zz__socketz00);
			BGl_symbol2163z00zz__socketz00 =
				bstring_to_symbol(BGl_string2164z00zz__socketz00);
			BGl_symbol2165z00zz__socketz00 =
				bstring_to_symbol(BGl_string2166z00zz__socketz00);
			BGl_keyword2167z00zz__socketz00 =
				bstring_to_keyword(BGl_string2168z00zz__socketz00);
			BGl_keyword2169z00zz__socketz00 =
				bstring_to_keyword(BGl_string2170z00zz__socketz00);
			BGl_keyword2171z00zz__socketz00 =
				bstring_to_keyword(BGl_string2172z00zz__socketz00);
			BGl_symbol2173z00zz__socketz00 =
				bstring_to_symbol(BGl_string2174z00zz__socketz00);
			BGl_keyword2176z00zz__socketz00 =
				bstring_to_keyword(BGl_string2177z00zz__socketz00);
			BGl_keyword2178z00zz__socketz00 =
				bstring_to_keyword(BGl_string2179z00zz__socketz00);
			BGl_list2175z00zz__socketz00 =
				MAKE_PAIR(BGl_keyword2176z00zz__socketz00,
				MAKE_PAIR(BGl_keyword2178z00zz__socketz00, BNIL));
			BGl_list2180z00zz__socketz00 =
				MAKE_PAIR(BGl_keyword2178z00zz__socketz00,
				MAKE_PAIR(BGl_keyword2176z00zz__socketz00, BNIL));
			BGl_keyword2181z00zz__socketz00 =
				bstring_to_keyword(BGl_string2182z00zz__socketz00);
			BGl_symbol2183z00zz__socketz00 =
				bstring_to_symbol(BGl_string2184z00zz__socketz00);
			BGl_keyword2185z00zz__socketz00 =
				bstring_to_keyword(BGl_string2186z00zz__socketz00);
			BGl_keyword2187z00zz__socketz00 =
				bstring_to_keyword(BGl_string2188z00zz__socketz00);
			BGl_symbol2189z00zz__socketz00 =
				bstring_to_symbol(BGl_string2190z00zz__socketz00);
			BGl_symbol2191z00zz__socketz00 =
				bstring_to_symbol(BGl_string2192z00zz__socketz00);
			BGl_symbol2193z00zz__socketz00 =
				bstring_to_symbol(BGl_string2194z00zz__socketz00);
			return (BGl_symbol2196z00zz__socketz00 =
				bstring_to_symbol(BGl_string2197z00zz__socketz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__socketz00()
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 14 */
			BGl_za2socketzd2initializa7edza2z75zz__socketz00 = ((bool_t) 0);
			return (BGl_za2socketzd2mutexza2zd2zz__socketz00 =
				bgl_make_mutex(BGl_string2151z00zz__socketz00), BUNSPEC);
		}
	}



/* %socket-init! */
	BGL_EXPORTED_DEF obj_t BGl_z52socketzd2initz12z92zz__socketz00()
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 155 */
			{	/* Llib/socket.scm 156 */
				obj_t BgL_g1765z00_707;

				BgL_g1765z00_707 = BGl_za2socketzd2mutexza2zd2zz__socketz00;
				{	/* Llib/thread.scm 198 */

					if ((((long) 0) == ((long) 0)))
						{	/* Llib/thread.scm 198 */
							bgl_mutex_lock(BgL_g1765z00_707);
						}
					else
						{	/* Llib/thread.scm 198 */
							bgl_mutex_timed_lock(BgL_g1765z00_707, ((long) 0));
			}}}
			if (BGl_za2socketzd2initializa7edza2z75zz__socketz00)
				{	/* Llib/socket.scm 157 */
					BFALSE;
				}
			else
				{	/* Llib/socket.scm 157 */
					BGl_za2socketzd2initializa7edza2z75zz__socketz00 = ((bool_t) 1);
					socket_startup();
					BUNSPEC;
					BGl_registerzd2exitzd2functionz12z12zz__biglooz00
						(BGl_proc2152z00zz__socketz00);
					BUNSPEC;
				}
			{	/* Llib/socket.scm 167 */
				obj_t BgL_mz00_1266;

				BgL_mz00_1266 = BGl_za2socketzd2mutexza2zd2zz__socketz00;
				return BBOOL(bgl_mutex_unlock(BgL_mz00_1266));
			}
		}
	}



/* _%socket-init! */
	obj_t BGl__z52socketzd2initz12z92zz__socketz00(obj_t BgL_envz00_1680)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 155 */
			return BGl_z52socketzd2initz12z92zz__socketz00();
		}
	}



/* <anonymous:1774> */
	obj_t BGl_zc3anonymousza31774ze3z83zz__socketz00(obj_t BgL_envz00_1681,
		obj_t BgL_xz00_1682)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 161 */
			{
				obj_t BgL_xz00_710;

				BgL_xz00_710 = BgL_xz00_1682;
				socket_cleanup();
				BUNSPEC;
				return BgL_xz00_710;
			}
		}
	}



/* socket? */
	BGL_EXPORTED_DEF bool_t BGl_socketzf3zf3zz__socketz00(obj_t BgL_objz00_1)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 172 */
			return SOCKETP(BgL_objz00_1);
		}
	}



/* _socket? */
	obj_t BGl__socketzf3zf3zz__socketz00(obj_t BgL_envz00_1683,
		obj_t BgL_objz00_1684)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 172 */
			return BBOOL(SOCKETP(BgL_objz00_1684));
		}
	}



/* socket-server? */
	BGL_EXPORTED_DEF bool_t BGl_socketzd2serverzf3z21zz__socketz00(obj_t
		BgL_objz00_2)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 178 */
			return SOCKET_SERVERP(BgL_objz00_2);
		}
	}



/* _socket-server? */
	obj_t BGl__socketzd2serverzf3z21zz__socketz00(obj_t BgL_envz00_1685,
		obj_t BgL_objz00_1686)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 178 */
			return BBOOL(SOCKET_SERVERP(BgL_objz00_1686));
		}
	}



/* socket-client? */
	BGL_EXPORTED_DEF bool_t BGl_socketzd2clientzf3z21zz__socketz00(obj_t
		BgL_objz00_3)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 184 */
			return SOCKET_CLIENTP(BgL_objz00_3);
		}
	}



/* _socket-client? */
	obj_t BGl__socketzd2clientzf3z21zz__socketz00(obj_t BgL_envz00_1687,
		obj_t BgL_objz00_1688)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 184 */
			return BBOOL(SOCKET_CLIENTP(BgL_objz00_1688));
		}
	}



/* socket-hostname */
	BGL_EXPORTED_DEF obj_t BGl_socketzd2hostnamezd2zz__socketz00(obj_t
		BgL_socketz00_4)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 190 */
			return SOCKET_HOSTNAME(BgL_socketz00_4);
		}
	}



/* _socket-hostname2121 */
	obj_t BGl__socketzd2hostname2121zd2zz__socketz00(obj_t BgL_envz00_1689,
		obj_t BgL_socketz00_1690)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 190 */
			{	/* Llib/socket.scm 191 */
				obj_t BgL_socketz00_1737;

				if (SOCKETP(BgL_socketz00_1690))
					{	/* Llib/socket.scm 191 */
						BgL_socketz00_1737 = BgL_socketz00_1690;
					}
				else
					{	/* Llib/socket.scm 191 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2153z00zz__socketz00, BGl_string2151z00zz__socketz00,
							BgL_socketz00_1690);
						exit(-1);
					}
				return SOCKET_HOSTNAME(BgL_socketz00_1737);
			}
		}
	}



/* socket-host-address */
	BGL_EXPORTED_DEF obj_t BGl_socketzd2hostzd2addressz00zz__socketz00(obj_t
		BgL_socketz00_5)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 196 */
			return SOCKET_HOSTIP(BgL_socketz00_5);
		}
	}



/* _socket-host-address2122 */
	obj_t BGl__socketzd2hostzd2address2122z00zz__socketz00(obj_t BgL_envz00_1691,
		obj_t BgL_socketz00_1692)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 196 */
			{	/* Llib/socket.scm 197 */
				obj_t BgL_socketz00_1738;

				if (SOCKETP(BgL_socketz00_1692))
					{	/* Llib/socket.scm 197 */
						BgL_socketz00_1738 = BgL_socketz00_1692;
					}
				else
					{	/* Llib/socket.scm 197 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2155z00zz__socketz00, BGl_string2151z00zz__socketz00,
							BgL_socketz00_1692);
						exit(-1);
					}
				return SOCKET_HOSTIP(BgL_socketz00_1738);
			}
		}
	}



/* socket-local-address */
	BGL_EXPORTED_DEF obj_t BGl_socketzd2localzd2addressz00zz__socketz00(obj_t
		BgL_socketz00_6)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 202 */
			return socket_local_addr(BgL_socketz00_6);
		}
	}



/* _socket-local-addres2123 */
	obj_t BGl__socketzd2localzd2addres2123z00zz__socketz00(obj_t BgL_envz00_1693,
		obj_t BgL_socketz00_1694)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 202 */
			{	/* Llib/socket.scm 203 */
				obj_t BgL_socketz00_1739;

				if (SOCKETP(BgL_socketz00_1694))
					{	/* Llib/socket.scm 203 */
						BgL_socketz00_1739 = BgL_socketz00_1694;
					}
				else
					{	/* Llib/socket.scm 203 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2157z00zz__socketz00, BGl_string2151z00zz__socketz00,
							BgL_socketz00_1694);
						exit(-1);
					}
				return socket_local_addr(BgL_socketz00_1739);
			}
		}
	}



/* socket-down? */
	BGL_EXPORTED_DEF bool_t BGl_socketzd2downzf3z21zz__socketz00(obj_t
		BgL_socketz00_7)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 208 */
			return SOCKET_DOWNP(BgL_socketz00_7);
		}
	}



/* _socket-down?2124 */
	obj_t BGl__socketzd2downzf32124z21zz__socketz00(obj_t BgL_envz00_1695,
		obj_t BgL_socketz00_1696)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 208 */
			{	/* Llib/socket.scm 209 */
				bool_t BgL_auxz00_1830;

				{	/* Llib/socket.scm 209 */
					obj_t BgL_socketz00_1740;

					if (SOCKETP(BgL_socketz00_1696))
						{	/* Llib/socket.scm 209 */
							BgL_socketz00_1740 = BgL_socketz00_1696;
						}
					else
						{	/* Llib/socket.scm 209 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2159z00zz__socketz00, BGl_string2151z00zz__socketz00,
								BgL_socketz00_1696);
							exit(-1);
						}
					BgL_auxz00_1830 = SOCKET_DOWNP(BgL_socketz00_1740);
				}
				return BBOOL(BgL_auxz00_1830);
			}
		}
	}



/* socket-port-number */
	BGL_EXPORTED_DEF obj_t BGl_socketzd2portzd2numberz00zz__socketz00(obj_t
		BgL_socketz00_8)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 214 */
			return BINT(SOCKET_PORT(BgL_socketz00_8));
		}
	}



/* _socket-port-number2125 */
	obj_t BGl__socketzd2portzd2number2125z00zz__socketz00(obj_t BgL_envz00_1697,
		obj_t BgL_socketz00_1698)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 214 */
			{	/* Llib/socket.scm 215 */
				obj_t BgL_socketz00_1741;

				if (SOCKETP(BgL_socketz00_1698))
					{	/* Llib/socket.scm 215 */
						BgL_socketz00_1741 = BgL_socketz00_1698;
					}
				else
					{	/* Llib/socket.scm 215 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2161z00zz__socketz00, BGl_string2151z00zz__socketz00,
							BgL_socketz00_1698);
						exit(-1);
					}
				return BINT(SOCKET_PORT(BgL_socketz00_1741));
			}
		}
	}



/* socket-input */
	BGL_EXPORTED_DEF obj_t BGl_socketzd2inputzd2zz__socketz00(obj_t
		BgL_socketz00_9)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 220 */
			return SOCKET_INPUT(BgL_socketz00_9);
		}
	}



/* _socket-input2126 */
	obj_t BGl__socketzd2input2126zd2zz__socketz00(obj_t BgL_envz00_1699,
		obj_t BgL_socketz00_1700)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 220 */
			{	/* Llib/socket.scm 221 */
				obj_t BgL_socketz00_1742;

				if (SOCKETP(BgL_socketz00_1700))
					{	/* Llib/socket.scm 221 */
						BgL_socketz00_1742 = BgL_socketz00_1700;
					}
				else
					{	/* Llib/socket.scm 221 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2163z00zz__socketz00, BGl_string2151z00zz__socketz00,
							BgL_socketz00_1700);
						exit(-1);
					}
				return SOCKET_INPUT(BgL_socketz00_1742);
			}
		}
	}



/* socket-output */
	BGL_EXPORTED_DEF obj_t BGl_socketzd2outputzd2zz__socketz00(obj_t
		BgL_socketz00_10)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 226 */
			return SOCKET_OUTPUT(BgL_socketz00_10);
		}
	}



/* _socket-output2127 */
	obj_t BGl__socketzd2output2127zd2zz__socketz00(obj_t BgL_envz00_1701,
		obj_t BgL_socketz00_1702)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 226 */
			{	/* Llib/socket.scm 227 */
				obj_t BgL_socketz00_1743;

				if (SOCKETP(BgL_socketz00_1702))
					{	/* Llib/socket.scm 227 */
						BgL_socketz00_1743 = BgL_socketz00_1702;
					}
				else
					{	/* Llib/socket.scm 227 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2165z00zz__socketz00, BGl_string2151z00zz__socketz00,
							BgL_socketz00_1702);
						exit(-1);
					}
				return SOCKET_OUTPUT(BgL_socketz00_1743);
			}
		}
	}



/* _make-client-socket */
	obj_t BGl__makezd2clientzd2socketz00zz__socketz00(obj_t BgL_envz00_17,
		obj_t BgL_opt1711z00_16)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 232 */
			{	/* Llib/socket.scm 232 */
				int BgL_l1712z00_713;

				BgL_l1712z00_713 = VECTOR_LENGTH(BgL_opt1711z00_16);
				{	/* Llib/socket.scm 232 */
					obj_t BgL_g1720z00_717;

					obj_t BgL_g1721z00_718;

					BgL_g1720z00_717 = VECTOR_REF(BgL_opt1711z00_16, (int) (((long) 0)));
					BgL_g1721z00_718 = VECTOR_REF(BgL_opt1711z00_16, (int) (((long) 1)));
					{	/* Llib/socket.scm 232 */
						obj_t BgL_inbufz00_719;

						BgL_inbufz00_719 = BFALSE;
						{	/* Llib/socket.scm 232 */
							obj_t BgL_outbufz00_720;

							BgL_outbufz00_720 = BFALSE;
							{	/* Llib/socket.scm 232 */
								obj_t BgL_timeoutz00_721;

								BgL_timeoutz00_721 = BFALSE;
								{	/* Llib/socket.scm 232 */

									{	/* Llib/socket.scm 232 */
										long BgL_index1717z00_722;

										{
											long BgL_iz00_1269;

											BgL_iz00_1269 = ((long) 2);
										BgL_search1714z00_1268:
											if ((BgL_iz00_1269 == (long) (BgL_l1712z00_713)))
												{	/* Llib/socket.scm 232 */
													BgL_index1717z00_722 = ((long) -1);
												}
											else
												{	/* Llib/socket.scm 232 */
													obj_t BgL_vz00_1271;

													BgL_vz00_1271 =
														VECTOR_REF(BgL_opt1711z00_16,
														(int) (BgL_iz00_1269));
													if (
														(BgL_vz00_1271 == BGl_keyword2167z00zz__socketz00))
														{	/* Llib/socket.scm 232 */
															BgL_index1717z00_722 =
																(BgL_iz00_1269 + ((long) 1));
														}
													else
														{
															long BgL_iz00_1870;

															BgL_iz00_1870 = (BgL_iz00_1269 + ((long) 2));
															BgL_iz00_1269 = BgL_iz00_1870;
															goto BgL_search1714z00_1268;
														}
												}
										}
										if ((BgL_index1717z00_722 >= ((long) 0)))
											{	/* Llib/socket.scm 232 */
												BgL_inbufz00_719 =
													VECTOR_REF(BgL_opt1711z00_16,
													(int) (BgL_index1717z00_722));
											}
										else
											{	/* Llib/socket.scm 232 */
												BgL_inbufz00_719 = BTRUE;
											}
									}
									{	/* Llib/socket.scm 232 */
										long BgL_index1718z00_724;

										{
											long BgL_iz00_1283;

											BgL_iz00_1283 = ((long) 2);
										BgL_search1714z00_1282:
											if ((BgL_iz00_1283 == (long) (BgL_l1712z00_713)))
												{	/* Llib/socket.scm 232 */
													BgL_index1718z00_724 = ((long) -1);
												}
											else
												{	/* Llib/socket.scm 232 */
													obj_t BgL_vz00_1285;

													BgL_vz00_1285 =
														VECTOR_REF(BgL_opt1711z00_16,
														(int) (BgL_iz00_1283));
													if (
														(BgL_vz00_1285 == BGl_keyword2169z00zz__socketz00))
														{	/* Llib/socket.scm 232 */
															BgL_index1718z00_724 =
																(BgL_iz00_1283 + ((long) 1));
														}
													else
														{
															long BgL_iz00_1884;

															BgL_iz00_1884 = (BgL_iz00_1283 + ((long) 2));
															BgL_iz00_1283 = BgL_iz00_1884;
															goto BgL_search1714z00_1282;
														}
												}
										}
										if ((BgL_index1718z00_724 >= ((long) 0)))
											{	/* Llib/socket.scm 232 */
												BgL_outbufz00_720 =
													VECTOR_REF(BgL_opt1711z00_16,
													(int) (BgL_index1718z00_724));
											}
										else
											{	/* Llib/socket.scm 232 */
												BgL_outbufz00_720 = BTRUE;
											}
									}
									{	/* Llib/socket.scm 232 */
										long BgL_index1719z00_726;

										{
											long BgL_iz00_1297;

											BgL_iz00_1297 = ((long) 2);
										BgL_search1714z00_1296:
											if ((BgL_iz00_1297 == (long) (BgL_l1712z00_713)))
												{	/* Llib/socket.scm 232 */
													BgL_index1719z00_726 = ((long) -1);
												}
											else
												{	/* Llib/socket.scm 232 */
													obj_t BgL_vz00_1299;

													BgL_vz00_1299 =
														VECTOR_REF(BgL_opt1711z00_16,
														(int) (BgL_iz00_1297));
													if (
														(BgL_vz00_1299 == BGl_keyword2171z00zz__socketz00))
														{	/* Llib/socket.scm 232 */
															BgL_index1719z00_726 =
																(BgL_iz00_1297 + ((long) 1));
														}
													else
														{
															long BgL_iz00_1898;

															BgL_iz00_1898 = (BgL_iz00_1297 + ((long) 2));
															BgL_iz00_1297 = BgL_iz00_1898;
															goto BgL_search1714z00_1296;
														}
												}
										}
										if ((BgL_index1719z00_726 >= ((long) 0)))
											{	/* Llib/socket.scm 232 */
												BgL_timeoutz00_721 =
													VECTOR_REF(BgL_opt1711z00_16,
													(int) (BgL_index1719z00_726));
											}
										else
											{	/* Llib/socket.scm 232 */
												BgL_timeoutz00_721 = BINT(((long) 0));
									}}
									{	/* Llib/socket.scm 232 */
										obj_t BgL_arg1778z00_728;

										obj_t BgL_arg1780z00_729;

										BgL_arg1778z00_728 =
											VECTOR_REF(BgL_opt1711z00_16, (int) (((long) 0)));
										BgL_arg1780z00_729 =
											VECTOR_REF(BgL_opt1711z00_16, (int) (((long) 1)));
										{	/* Llib/socket.scm 232 */
											obj_t BgL_inbufz00_730;

											BgL_inbufz00_730 = BgL_inbufz00_719;
											{	/* Llib/socket.scm 232 */
												obj_t BgL_outbufz00_731;

												BgL_outbufz00_731 = BgL_outbufz00_720;
												{	/* Llib/socket.scm 232 */
													obj_t BgL_timeoutz00_732;

													BgL_timeoutz00_732 = BgL_timeoutz00_721;
													{	/* Llib/socket.scm 232 */
														obj_t BgL_res2110z00_1317;

														{	/* Llib/socket.scm 232 */
															obj_t BgL_hostz00_1310;

															int BgL_portz00_1311;

															BgL_hostz00_1310 = BgL_arg1778z00_728;
															BgL_portz00_1311 = CINT(BgL_arg1780z00_729);
															BGl_z52socketzd2initz12z92zz__socketz00();
															BgL_res2110z00_1317 =
																bgl_make_client_socket(BgL_hostz00_1310,
																BgL_portz00_1311, CINT(BgL_timeoutz00_732),
																BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00
																(BGl_symbol2173z00zz__socketz00,
																	BgL_inbufz00_730, (int) (((long) 512))),
																BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00
																(BGl_symbol2173z00zz__socketz00,
																	BgL_outbufz00_731, (int) (((long) 1024))));
														}
														return BgL_res2110z00_1317;
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-client-socket */
	BGL_EXPORTED_DEF obj_t BGl_makezd2clientzd2socketz00zz__socketz00(obj_t
		BgL_hostz00_11, int BgL_portz00_12, obj_t BgL_inbufz00_13,
		obj_t BgL_outbufz00_14, obj_t BgL_timeoutz00_15)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 232 */
			BGl_z52socketzd2initz12z92zz__socketz00();
			return
				bgl_make_client_socket(BgL_hostz00_11, BgL_portz00_12,
				CINT(BgL_timeoutz00_15),
				BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00
				(BGl_symbol2173z00zz__socketz00, BgL_inbufz00_13, (int) (((long) 512))),
				BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00
				(BGl_symbol2173z00zz__socketz00, BgL_outbufz00_14,
					(int) (((long) 1024))));
		}
	}



/* make-server-socket */
	BGL_EXPORTED_DEF obj_t BGl_makezd2serverzd2socketz00zz__socketz00(obj_t
		BgL_portz00_18)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 241 */
			{	/* Llib/socket.scm 241 */
				obj_t BgL_dsssl1722z00_739;

				BgL_dsssl1722z00_739 = BgL_portz00_18;
				{	/* Llib/socket.scm 241 */
					obj_t BgL_portz00_740;

					{	/* Llib/socket.scm 241 */
						bool_t BgL_testz00_1924;

						if (NULLP(BgL_dsssl1722z00_739))
							{	/* Llib/socket.scm 241 */
								BgL_testz00_1924 = ((bool_t) 1);
							}
						else
							{	/* Llib/socket.scm 241 */
								BgL_testz00_1924 =
									CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR
										(BgL_dsssl1722z00_739), BGl_list2175z00zz__socketz00));
							}
						if (BgL_testz00_1924)
							{	/* Llib/socket.scm 241 */
								BgL_portz00_740 = BINT(((long) 0));
							}
						else
							{	/* Llib/socket.scm 241 */
								obj_t BgL_tmp1723z00_744;

								BgL_tmp1723z00_744 = CAR(BgL_dsssl1722z00_739);
								BgL_dsssl1722z00_739 = CDR(BgL_dsssl1722z00_739);
								BgL_portz00_740 = BgL_tmp1723z00_744;
							}
					}
					BGl_dssslzd2checkzd2keyzd2argsz12zc0zz__dssslz00(BgL_dsssl1722z00_739,
						BGl_list2180z00zz__socketz00);
					{	/* Llib/socket.scm 241 */
						obj_t BgL_namez00_741;

						BgL_namez00_741 =
							BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1722z00_739,
							BGl_keyword2178z00zz__socketz00, BFALSE);
						{	/* Llib/socket.scm 243 */
							obj_t BgL_backlogz00_742;

							BgL_backlogz00_742 =
								BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1722z00_739,
								BGl_keyword2176z00zz__socketz00, BINT(((long) 5)));
							BGl_z52socketzd2initz12z92zz__socketz00();
							return
								bgl_make_server_socket(BgL_namez00_741,
								CINT(BgL_portz00_740), CINT(BgL_backlogz00_742));
						}
					}
				}
			}
		}
	}



/* _make-server-socket */
	obj_t BGl__makezd2serverzd2socketz00zz__socketz00(obj_t BgL_envz00_1703,
		obj_t BgL_portz00_1704)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 241 */
			return BGl_makezd2serverzd2socketz00zz__socketz00(BgL_portz00_1704);
		}
	}



/* _socket-accept */
	obj_t BGl__socketzd2acceptzd2zz__socketz00(obj_t BgL_envz00_24,
		obj_t BgL_opt1724z00_23)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 248 */
			{	/* Llib/socket.scm 248 */
				int BgL_l1725z00_748;

				BgL_l1725z00_748 = VECTOR_LENGTH(BgL_opt1724z00_23);
				{	/* Llib/socket.scm 248 */
					obj_t BgL_g1732z00_752;

					BgL_g1732z00_752 = VECTOR_REF(BgL_opt1724z00_23, (int) (((long) 0)));
					{	/* Llib/socket.scm 248 */
						obj_t BgL_errpz00_753;

						BgL_errpz00_753 = BFALSE;
						{	/* Llib/socket.scm 248 */
							obj_t BgL_inbufz00_754;

							BgL_inbufz00_754 = BFALSE;
							{	/* Llib/socket.scm 248 */
								obj_t BgL_outbufz00_755;

								BgL_outbufz00_755 = BFALSE;
								{	/* Llib/socket.scm 248 */

									{	/* Llib/socket.scm 248 */
										long BgL_index1729z00_756;

										{
											long BgL_iz00_1348;

											BgL_iz00_1348 = ((long) 1);
										BgL_search1726z00_1347:
											if ((BgL_iz00_1348 == (long) (BgL_l1725z00_748)))
												{	/* Llib/socket.scm 248 */
													BgL_index1729z00_756 = ((long) -1);
												}
											else
												{	/* Llib/socket.scm 248 */
													obj_t BgL_vz00_1350;

													BgL_vz00_1350 =
														VECTOR_REF(BgL_opt1724z00_23,
														(int) (BgL_iz00_1348));
													if (
														(BgL_vz00_1350 == BGl_keyword2181z00zz__socketz00))
														{	/* Llib/socket.scm 248 */
															BgL_index1729z00_756 =
																(BgL_iz00_1348 + ((long) 1));
														}
													else
														{
															long BgL_iz00_1953;

															BgL_iz00_1953 = (BgL_iz00_1348 + ((long) 2));
															BgL_iz00_1348 = BgL_iz00_1953;
															goto BgL_search1726z00_1347;
														}
												}
										}
										if ((BgL_index1729z00_756 >= ((long) 0)))
											{	/* Llib/socket.scm 248 */
												BgL_errpz00_753 =
													VECTOR_REF(BgL_opt1724z00_23,
													(int) (BgL_index1729z00_756));
											}
										else
											{	/* Llib/socket.scm 248 */
												BgL_errpz00_753 = BTRUE;
											}
									}
									{	/* Llib/socket.scm 248 */
										long BgL_index1730z00_758;

										{
											long BgL_iz00_1362;

											BgL_iz00_1362 = ((long) 1);
										BgL_search1726z00_1361:
											if ((BgL_iz00_1362 == (long) (BgL_l1725z00_748)))
												{	/* Llib/socket.scm 248 */
													BgL_index1730z00_758 = ((long) -1);
												}
											else
												{	/* Llib/socket.scm 248 */
													obj_t BgL_vz00_1364;

													BgL_vz00_1364 =
														VECTOR_REF(BgL_opt1724z00_23,
														(int) (BgL_iz00_1362));
													if (
														(BgL_vz00_1364 == BGl_keyword2167z00zz__socketz00))
														{	/* Llib/socket.scm 248 */
															BgL_index1730z00_758 =
																(BgL_iz00_1362 + ((long) 1));
														}
													else
														{
															long BgL_iz00_1967;

															BgL_iz00_1967 = (BgL_iz00_1362 + ((long) 2));
															BgL_iz00_1362 = BgL_iz00_1967;
															goto BgL_search1726z00_1361;
														}
												}
										}
										if ((BgL_index1730z00_758 >= ((long) 0)))
											{	/* Llib/socket.scm 248 */
												BgL_inbufz00_754 =
													VECTOR_REF(BgL_opt1724z00_23,
													(int) (BgL_index1730z00_758));
											}
										else
											{	/* Llib/socket.scm 248 */
												BgL_inbufz00_754 = BTRUE;
											}
									}
									{	/* Llib/socket.scm 248 */
										long BgL_index1731z00_760;

										{
											long BgL_iz00_1376;

											BgL_iz00_1376 = ((long) 1);
										BgL_search1726z00_1375:
											if ((BgL_iz00_1376 == (long) (BgL_l1725z00_748)))
												{	/* Llib/socket.scm 248 */
													BgL_index1731z00_760 = ((long) -1);
												}
											else
												{	/* Llib/socket.scm 248 */
													obj_t BgL_vz00_1378;

													BgL_vz00_1378 =
														VECTOR_REF(BgL_opt1724z00_23,
														(int) (BgL_iz00_1376));
													if (
														(BgL_vz00_1378 == BGl_keyword2169z00zz__socketz00))
														{	/* Llib/socket.scm 248 */
															BgL_index1731z00_760 =
																(BgL_iz00_1376 + ((long) 1));
														}
													else
														{
															long BgL_iz00_1981;

															BgL_iz00_1981 = (BgL_iz00_1376 + ((long) 2));
															BgL_iz00_1376 = BgL_iz00_1981;
															goto BgL_search1726z00_1375;
														}
												}
										}
										if ((BgL_index1731z00_760 >= ((long) 0)))
											{	/* Llib/socket.scm 248 */
												BgL_outbufz00_755 =
													VECTOR_REF(BgL_opt1724z00_23,
													(int) (BgL_index1731z00_760));
											}
										else
											{	/* Llib/socket.scm 248 */
												BgL_outbufz00_755 = BTRUE;
											}
									}
									{	/* Llib/socket.scm 248 */
										obj_t BgL_arg1791z00_762;

										BgL_arg1791z00_762 =
											VECTOR_REF(BgL_opt1724z00_23, (int) (((long) 0)));
										{	/* Llib/socket.scm 248 */
											obj_t BgL_errpz00_763;

											BgL_errpz00_763 = BgL_errpz00_753;
											{	/* Llib/socket.scm 248 */
												obj_t BgL_inbufz00_764;

												BgL_inbufz00_764 = BgL_inbufz00_754;
												{	/* Llib/socket.scm 248 */
													obj_t BgL_outbufz00_765;

													BgL_outbufz00_765 = BgL_outbufz00_755;
													{	/* Llib/socket.scm 248 */
														obj_t BgL_socketz00_1389;

														BgL_socketz00_1389 = BgL_arg1791z00_762;
														return
															bgl_socket_accept(BgL_socketz00_1389,
															CBOOL(BgL_errpz00_763),
															BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00
															(BGl_symbol2183z00zz__socketz00, BgL_inbufz00_764,
																(int) (((long) 512))),
															BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00
															(BGl_symbol2183z00zz__socketz00,
																BgL_outbufz00_765, (int) (((long) 1024))));
		}}}}}}}}}}}}
	}



/* socket-accept */
	BGL_EXPORTED_DEF obj_t BGl_socketzd2acceptzd2zz__socketz00(obj_t
		BgL_socketz00_19, obj_t BgL_errpz00_20, obj_t BgL_inbufz00_21,
		obj_t BgL_outbufz00_22)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 248 */
			return
				bgl_socket_accept(BgL_socketz00_19,
				CBOOL(BgL_errpz00_20),
				BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00
				(BGl_symbol2183z00zz__socketz00, BgL_inbufz00_21, (int) (((long) 512))),
				BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00
				(BGl_symbol2183z00zz__socketz00, BgL_outbufz00_22,
					(int) (((long) 1024))));
		}
	}



/* _socket-accept-many */
	obj_t BGl__socketzd2acceptzd2manyz00zz__socketz00(obj_t BgL_envz00_31,
		obj_t BgL_opt1733z00_30)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 259 */
			{	/* Llib/socket.scm 259 */
				int BgL_l1734z00_772;

				BgL_l1734z00_772 = VECTOR_LENGTH(BgL_opt1733z00_30);
				{	/* Llib/socket.scm 259 */
					obj_t BgL_g1741z00_776;

					obj_t BgL_g1742z00_777;

					BgL_g1741z00_776 = VECTOR_REF(BgL_opt1733z00_30, (int) (((long) 0)));
					BgL_g1742z00_777 = VECTOR_REF(BgL_opt1733z00_30, (int) (((long) 1)));
					{	/* Llib/socket.scm 259 */
						obj_t BgL_errpz00_778;

						BgL_errpz00_778 = BFALSE;
						{	/* Llib/socket.scm 259 */
							obj_t BgL_inbufsz00_779;

							BgL_inbufsz00_779 = BFALSE;
							{	/* Llib/socket.scm 259 */
								obj_t BgL_outbufsz00_780;

								BgL_outbufsz00_780 = BFALSE;
								{	/* Llib/socket.scm 259 */

									{	/* Llib/socket.scm 259 */
										long BgL_index1738z00_781;

										{
											long BgL_iz00_1421;

											BgL_iz00_1421 = ((long) 2);
										BgL_search1735z00_1420:
											if ((BgL_iz00_1421 == (long) (BgL_l1734z00_772)))
												{	/* Llib/socket.scm 259 */
													BgL_index1738z00_781 = ((long) -1);
												}
											else
												{	/* Llib/socket.scm 259 */
													obj_t BgL_vz00_1423;

													BgL_vz00_1423 =
														VECTOR_REF(BgL_opt1733z00_30,
														(int) (BgL_iz00_1421));
													if (
														(BgL_vz00_1423 == BGl_keyword2181z00zz__socketz00))
														{	/* Llib/socket.scm 259 */
															BgL_index1738z00_781 =
																(BgL_iz00_1421 + ((long) 1));
														}
													else
														{
															long BgL_iz00_2014;

															BgL_iz00_2014 = (BgL_iz00_1421 + ((long) 2));
															BgL_iz00_1421 = BgL_iz00_2014;
															goto BgL_search1735z00_1420;
														}
												}
										}
										if ((BgL_index1738z00_781 >= ((long) 0)))
											{	/* Llib/socket.scm 259 */
												BgL_errpz00_778 =
													VECTOR_REF(BgL_opt1733z00_30,
													(int) (BgL_index1738z00_781));
											}
										else
											{	/* Llib/socket.scm 259 */
												BgL_errpz00_778 = BTRUE;
											}
									}
									{	/* Llib/socket.scm 259 */
										long BgL_index1739z00_783;

										{
											long BgL_iz00_1435;

											BgL_iz00_1435 = ((long) 2);
										BgL_search1735z00_1434:
											if ((BgL_iz00_1435 == (long) (BgL_l1734z00_772)))
												{	/* Llib/socket.scm 259 */
													BgL_index1739z00_783 = ((long) -1);
												}
											else
												{	/* Llib/socket.scm 259 */
													obj_t BgL_vz00_1437;

													BgL_vz00_1437 =
														VECTOR_REF(BgL_opt1733z00_30,
														(int) (BgL_iz00_1435));
													if (
														(BgL_vz00_1437 == BGl_keyword2185z00zz__socketz00))
														{	/* Llib/socket.scm 259 */
															BgL_index1739z00_783 =
																(BgL_iz00_1435 + ((long) 1));
														}
													else
														{
															long BgL_iz00_2028;

															BgL_iz00_2028 = (BgL_iz00_1435 + ((long) 2));
															BgL_iz00_1435 = BgL_iz00_2028;
															goto BgL_search1735z00_1434;
														}
												}
										}
										if ((BgL_index1739z00_783 >= ((long) 0)))
											{	/* Llib/socket.scm 259 */
												BgL_inbufsz00_779 =
													VECTOR_REF(BgL_opt1733z00_30,
													(int) (BgL_index1739z00_783));
											}
										else
											{	/* Llib/socket.scm 259 */
												BgL_inbufsz00_779 = BTRUE;
											}
									}
									{	/* Llib/socket.scm 259 */
										long BgL_index1740z00_785;

										{
											long BgL_iz00_1449;

											BgL_iz00_1449 = ((long) 2);
										BgL_search1735z00_1448:
											if ((BgL_iz00_1449 == (long) (BgL_l1734z00_772)))
												{	/* Llib/socket.scm 259 */
													BgL_index1740z00_785 = ((long) -1);
												}
											else
												{	/* Llib/socket.scm 259 */
													obj_t BgL_vz00_1451;

													BgL_vz00_1451 =
														VECTOR_REF(BgL_opt1733z00_30,
														(int) (BgL_iz00_1449));
													if (
														(BgL_vz00_1451 == BGl_keyword2187z00zz__socketz00))
														{	/* Llib/socket.scm 259 */
															BgL_index1740z00_785 =
																(BgL_iz00_1449 + ((long) 1));
														}
													else
														{
															long BgL_iz00_2042;

															BgL_iz00_2042 = (BgL_iz00_1449 + ((long) 2));
															BgL_iz00_1449 = BgL_iz00_2042;
															goto BgL_search1735z00_1448;
														}
												}
										}
										if ((BgL_index1740z00_785 >= ((long) 0)))
											{	/* Llib/socket.scm 259 */
												BgL_outbufsz00_780 =
													VECTOR_REF(BgL_opt1733z00_30,
													(int) (BgL_index1740z00_785));
											}
										else
											{	/* Llib/socket.scm 259 */
												BgL_outbufsz00_780 = BTRUE;
											}
									}
									{	/* Llib/socket.scm 259 */
										obj_t BgL_arg1798z00_787;

										obj_t BgL_arg1799z00_788;

										BgL_arg1798z00_787 =
											VECTOR_REF(BgL_opt1733z00_30, (int) (((long) 0)));
										BgL_arg1799z00_788 =
											VECTOR_REF(BgL_opt1733z00_30, (int) (((long) 1)));
										{	/* Llib/socket.scm 259 */
											obj_t BgL_errpz00_789;

											BgL_errpz00_789 = BgL_errpz00_778;
											{	/* Llib/socket.scm 259 */
												obj_t BgL_inbufsz00_790;

												BgL_inbufsz00_790 = BgL_inbufsz00_779;
												return
													BGl_socketzd2acceptzd2manyz00zz__socketz00
													(BgL_arg1798z00_787, BgL_arg1799z00_788,
													BgL_errpz00_789, BgL_inbufsz00_790,
													BgL_outbufsz00_780);
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* socket-accept-many */
	BGL_EXPORTED_DEF obj_t BGl_socketzd2acceptzd2manyz00zz__socketz00(obj_t
		BgL_socketz00_25, obj_t BgL_resultz00_26, obj_t BgL_errpz00_27,
		obj_t BgL_inbufsz00_28, obj_t BgL_outbufsz00_29)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 259 */
			if (VECTORP(BgL_inbufsz00_28))
				{	/* Llib/socket.scm 260 */
					((bool_t) 0);
				}
			else
				{	/* Llib/socket.scm 260 */
					{	/* Llib/socket.scm 261 */
						int BgL_arg1804z00_797;

						BgL_arg1804z00_797 = VECTOR_LENGTH(BgL_resultz00_26);
						BgL_inbufsz00_28 = make_vector(BgL_arg1804z00_797, BUNSPEC);
					}
					{
						long BgL_iz00_799;

						BgL_iz00_799 = ((long) 0);
					BgL_loopz00_800:
						{	/* Llib/socket.scm 263 */
							bool_t BgL_testz00_2057;

							{	/* Llib/socket.scm 263 */
								int BgL_arg1808z00_804;

								BgL_arg1808z00_804 = VECTOR_LENGTH(BgL_resultz00_26);
								BgL_testz00_2057 = (BgL_iz00_799 < (long) (BgL_arg1808z00_804));
							}
							if (BgL_testz00_2057)
								{	/* Llib/socket.scm 264 */
									obj_t BgL_bufz00_802;

									BgL_bufz00_802 =
										BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00
										(BGl_symbol2189z00zz__socketz00, BTRUE,
										(int) (((long) 512)));
									VECTOR_SET(BgL_inbufsz00_28, (int) (BgL_iz00_799),
										BgL_bufz00_802);
									{
										long BgL_iz00_2065;

										BgL_iz00_2065 = (BgL_iz00_799 + ((long) 1));
										BgL_iz00_799 = BgL_iz00_2065;
										goto BgL_loopz00_800;
									}
								}
							else
								{	/* Llib/socket.scm 263 */
									((bool_t) 0);
								}
						}
					}
				}
			if (VECTORP(BgL_outbufsz00_29))
				{	/* Llib/socket.scm 267 */
					((bool_t) 0);
				}
			else
				{	/* Llib/socket.scm 267 */
					{	/* Llib/socket.scm 268 */
						int BgL_arg1810z00_806;

						BgL_arg1810z00_806 = VECTOR_LENGTH(BgL_resultz00_26);
						BgL_outbufsz00_29 = make_vector(BgL_arg1810z00_806, BUNSPEC);
					}
					{
						long BgL_iz00_808;

						BgL_iz00_808 = ((long) 0);
					BgL_loopz00_809:
						{	/* Llib/socket.scm 270 */
							bool_t BgL_testz00_2071;

							{	/* Llib/socket.scm 270 */
								int BgL_arg1814z00_813;

								BgL_arg1814z00_813 = VECTOR_LENGTH(BgL_resultz00_26);
								BgL_testz00_2071 = (BgL_iz00_808 < (long) (BgL_arg1814z00_813));
							}
							if (BgL_testz00_2071)
								{	/* Llib/socket.scm 271 */
									obj_t BgL_bufz00_811;

									BgL_bufz00_811 =
										BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00
										(BGl_symbol2189z00zz__socketz00, BTRUE,
										(int) (((long) 512)));
									VECTOR_SET(BgL_outbufsz00_29, (int) (BgL_iz00_808),
										BgL_bufz00_811);
									{
										long BgL_iz00_2079;

										BgL_iz00_2079 = (BgL_iz00_808 + ((long) 1));
										BgL_iz00_808 = BgL_iz00_2079;
										goto BgL_loopz00_809;
									}
								}
							else
								{	/* Llib/socket.scm 270 */
									((bool_t) 0);
								}
						}
					}
				}
			return
				BINT(bgl_socket_accept_many(BgL_socketz00_25,
					CBOOL(BgL_errpz00_27), BgL_inbufsz00_28, BgL_outbufsz00_29,
					BgL_resultz00_26));
		}
	}



/* _socket-shutdown */
	obj_t BGl__socketzd2shutdownzd2zz__socketz00(obj_t BgL_envz00_35,
		obj_t BgL_optz00_34)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 287 */
			{	/* Llib/socket.scm 287 */
				obj_t BgL_g1743z00_1744;

				BgL_g1743z00_1744 = VECTOR_REF(BgL_optz00_34, (int) (((long) 0)));
				{	/* Llib/socket.scm 287 */
					int BgL_aux1745z00_1745;

					BgL_aux1745z00_1745 = VECTOR_LENGTH(BgL_optz00_34);
					switch ((long) (BgL_aux1745z00_1745))
						{
						case ((long) 1):

							{	/* Llib/socket.scm 287 */

								{	/* Llib/socket.scm 287 */
									obj_t BgL_arg1816z00_1746;

									BgL_arg1816z00_1746 =
										VECTOR_REF(BgL_optz00_34, (int) (((long) 0)));
									return socket_shutdown(BgL_arg1816z00_1746, CBOOL(BTRUE));
								}
							}
							break;
						case ((long) 2):

							{	/* Llib/socket.scm 287 */
								obj_t BgL_closez00_1749;

								BgL_closez00_1749 =
									VECTOR_REF(BgL_optz00_34, (int) (((long) 1)));
								{	/* Llib/socket.scm 287 */

									return
										socket_shutdown(VECTOR_REF(BgL_optz00_34,
											(int) (((long) 0))), CBOOL(BgL_closez00_1749));
							}} break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* socket-shutdown */
	BGL_EXPORTED_DEF obj_t BGl_socketzd2shutdownzd2zz__socketz00(obj_t
		BgL_socketz00_32, obj_t BgL_closez00_33)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 287 */
			return socket_shutdown(BgL_socketz00_32, CBOOL(BgL_closez00_33));
		}
	}



/* socket-close */
	BGL_EXPORTED_DEF obj_t BGl_socketzd2closezd2zz__socketz00(obj_t
		BgL_socketz00_36)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 293 */
			return socket_close(BgL_socketz00_36);
		}
	}



/* _socket-close2128 */
	obj_t BGl__socketzd2close2128zd2zz__socketz00(obj_t BgL_envz00_1705,
		obj_t BgL_socketz00_1706)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 293 */
			{	/* Llib/socket.scm 294 */
				obj_t BgL_socketz00_1751;

				if (SOCKETP(BgL_socketz00_1706))
					{	/* Llib/socket.scm 294 */
						BgL_socketz00_1751 = BgL_socketz00_1706;
					}
				else
					{	/* Llib/socket.scm 294 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2191z00zz__socketz00, BGl_string2151z00zz__socketz00,
							BgL_socketz00_1706);
						exit(-1);
					}
				return socket_close(BgL_socketz00_1751);
			}
		}
	}



/* host */
	BGL_EXPORTED_DEF obj_t BGl_hostz00zz__socketz00(obj_t BgL_hostnamez00_37)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 299 */
			BGl_z52socketzd2initz12z92zz__socketz00();
			return bgl_host(BgL_hostnamez00_37);
		}
	}



/* _host2129 */
	obj_t BGl__host2129z00zz__socketz00(obj_t BgL_envz00_1707,
		obj_t BgL_hostnamez00_1708)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 299 */
			{	/* Llib/socket.scm 302 */
				obj_t BgL_res2199z00_1753;

				{	/* Llib/socket.scm 302 */
					obj_t BgL_hostnamez00_1752;

					if (STRINGP(BgL_hostnamez00_1708))
						{	/* Llib/socket.scm 302 */
							BgL_hostnamez00_1752 = BgL_hostnamez00_1708;
						}
					else
						{	/* Llib/socket.scm 302 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2193z00zz__socketz00, BGl_string2195z00zz__socketz00,
								BgL_hostnamez00_1708);
							exit(-1);
						}
					BGl_z52socketzd2initz12z92zz__socketz00();
					BgL_res2199z00_1753 = bgl_host(BgL_hostnamez00_1752);
				}
				return BgL_res2199z00_1753;
			}
		}
	}



/* hostinfo */
	BGL_EXPORTED_DEF obj_t BGl_hostinfoz00zz__socketz00(obj_t BgL_hostnamez00_38)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 307 */
			BGl_z52socketzd2initz12z92zz__socketz00();
			return bgl_hostinfo(BgL_hostnamez00_38);
		}
	}



/* _hostinfo2130 */
	obj_t BGl__hostinfo2130z00zz__socketz00(obj_t BgL_envz00_1709,
		obj_t BgL_hostnamez00_1710)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 307 */
			{	/* Llib/socket.scm 310 */
				obj_t BgL_res2200z00_1755;

				{	/* Llib/socket.scm 310 */
					obj_t BgL_hostnamez00_1754;

					if (STRINGP(BgL_hostnamez00_1710))
						{	/* Llib/socket.scm 310 */
							BgL_hostnamez00_1754 = BgL_hostnamez00_1710;
						}
					else
						{	/* Llib/socket.scm 310 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2196z00zz__socketz00, BGl_string2195z00zz__socketz00,
								BgL_hostnamez00_1710);
							exit(-1);
						}
					BGl_z52socketzd2initz12z92zz__socketz00();
					BgL_res2200z00_1755 = bgl_hostinfo(BgL_hostnamez00_1754);
				}
				return BgL_res2200z00_1755;
			}
		}
	}



/* hostname */
	BGL_EXPORTED_DEF obj_t BGl_hostnamez00zz__socketz00()
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 315 */
			BGl_z52socketzd2initz12z92zz__socketz00();
			return bgl_gethostname();
		}
	}



/* _hostname */
	obj_t BGl__hostnamez00zz__socketz00(obj_t BgL_envz00_1711)
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 315 */
			{	/* Llib/socket.scm 318 */
				obj_t BgL_res2201z00_1756;

				BGl_z52socketzd2initz12z92zz__socketz00();
				BgL_res2201z00_1756 = bgl_gethostname();
				return BgL_res2201z00_1756;
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__socketz00()
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__socketz00()
	{
		AN_OBJECT;
		{	/* Llib/socket.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2198z00zz__socketz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 441587319),
				BSTRING_TO_STRING(BGl_string2198z00zz__socketz00));
			return
				BGl_modulezd2initializa7ationz75zz__threadz00(((long) 216567556),
				BSTRING_TO_STRING(BGl_string2198z00zz__socketz00));
		}
	}

#ifdef __cplusplus
}
#endif
