/*===========================================================================*/
/*   (Llib/trace.scm)                                                        */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Llib/trace.scm -indent -o objs/obj_u/Llib/trace.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__tracez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zz__tracez00();
	BGL_EXPORTED_DECL obj_t BGl_tracezd2marginzd2zz__tracez00();
	BGL_EXPORTED_DECL obj_t BGl_tracezd2marginzd2setz12z12zz__tracez00(obj_t);
	extern obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	extern obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl__tracezd2boldzd2zz__tracez00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl__tracezd2portzd2zz__tracez00(obj_t);
	static obj_t BGl_zc3anonymousza31800ze3z83zz__tracez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__tracez00 = BUNSPEC;
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	extern int bgl_debug();
	extern obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	static obj_t BGl_tracezd2alistzd2zz__tracez00();
	BGL_EXPORTED_DECL obj_t BGl_tracezd2itemzd2zz__tracez00(obj_t);
	static obj_t BGl_za2tracezd2mutexza2zd2zz__tracez00 = BUNSPEC;
	static obj_t BGl_tracezd2alistzd2getz00zz__tracez00(obj_t, obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_z52withzd2tracez80zz__tracez00(int, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__tracez00();
	static obj_t BGl_zc3anonymousza31754ze3z83zz__tracez00(obj_t);
	static obj_t BGl__tracezd2stringzd2zz__tracez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tracezd2colorzd2zz__tracez00(int, obj_t);
	extern obj_t bgl_display_obj(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tracezd2boldzd2zz__tracez00(obj_t);
	static obj_t BGl_symbol2151z00zz__tracez00 = BUNSPEC;
	static obj_t BGl_symbol2153z00zz__tracez00 = BUNSPEC;
	static obj_t BGl_symbol2155z00zz__tracez00 = BUNSPEC;
	static obj_t BGl_symbol2157z00zz__tracez00 = BUNSPEC;
	static obj_t BGl_symbol2160z00zz__tracez00 = BUNSPEC;
	static obj_t BGl__tracezd2portzd2setz122137z12zz__tracez00(obj_t, obj_t);
	static obj_t BGl_symbol2162z00zz__tracez00 = BUNSPEC;
	static obj_t BGl_importedzd2moduleszd2initz00zz__tracez00();
	static obj_t BGl_symbol2165z00zz__tracez00 = BUNSPEC;
	static obj_t BGl_symbol2167z00zz__tracez00 = BUNSPEC;
	static obj_t BGl_symbol2170z00zz__tracez00 = BUNSPEC;
	static obj_t BGl_symbol2173z00zz__tracez00 = BUNSPEC;
	static obj_t BGl_symbol2180z00zz__tracez00 = BUNSPEC;
	static obj_t BGl__tracezd2itemzd2zz__tracez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tracezd2portzd2zz__tracez00();
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__tracezd2marginzd2zz__tracez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tracezd2portzd2setz12z12zz__tracez00(obj_t);
	static obj_t BGl__tracezd2color2139zd2zz__tracez00(obj_t, obj_t, obj_t);
	static obj_t BGl__tracezd2marginzd2setz122138z12zz__tracez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31768ze3z83zz__tracez00(obj_t);
	extern bool_t BGl_bigloozd2tracezd2colorz00zz__paramz00();
	extern obj_t BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tracezd2stringzd2zz__tracez00(obj_t);
	static obj_t BGl__z52withzd2trace2140z80zz__tracez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t bgl_display_string(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__tracez00();
	static obj_t BGl_zc3anonymousza31776ze3z83zz__tracez00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_tracezd2marginzd2setz12zd2envzc0zz__tracez00,
		BgL_bgl__traceza7d2marginza72187z00,
		BGl__tracezd2marginzd2setz122138z12zz__tracez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2stringzd2envz00zz__tracez00,
		BgL_bgl__traceza7d2stringza72188z00, BGl__tracezd2stringzd2zz__tracez00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2marginzd2envz00zz__tracez00,
		BgL_bgl__traceza7d2marginza72189z00, BGl__tracezd2marginzd2zz__tracez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2boldzd2envz00zz__tracez00,
		BgL_bgl__traceza7d2boldza7d22190z00, va_generic_entry,
		BGl__tracezd2boldzd2zz__tracez00, BUNSPEC, -1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2itemzd2envz00zz__tracez00,
		BgL_bgl__traceza7d2itemza7d22191z00, va_generic_entry,
		BGl__tracezd2itemzd2zz__tracez00, BUNSPEC, -1);
	      DEFINE_STRING(BGl_string2152z00zz__tracez00,
		BgL_bgl_string2152za700za7za7_2192za7, "trace", 5);
	      DEFINE_STRING(BGl_string2154z00zz__tracez00,
		BgL_bgl_string2154za700za7za7_2193za7, "port", 4);
	      DEFINE_STRING(BGl_string2156z00zz__tracez00,
		BgL_bgl_string2156za700za7za7_2194za7, "depth", 5);
	      DEFINE_STRING(BGl_string2158z00zz__tracez00,
		BgL_bgl_string2158za700za7za7_2195za7, "margin", 6);
	      DEFINE_STRING(BGl_string2159z00zz__tracez00,
		BgL_bgl_string2159za700za7za7_2196za7, "", 0);
	      DEFINE_STRING(BGl_string2161z00zz__tracez00,
		BgL_bgl_string2161za700za7za7_2197za7, "margin-level", 12);
	      DEFINE_STRING(BGl_string2163z00zz__tracez00,
		BgL_bgl_string2163za700za7za7_2198za7, "trace-alist-get", 15);
	      DEFINE_STRING(BGl_string2164z00zz__tracez00,
		BgL_bgl_string2164za700za7za7_2199za7, "Can't find trace-value", 22);
	      DEFINE_STRING(BGl_string2166z00zz__tracez00,
		BgL_bgl_string2166za700za7za7_2200za7, "trace-alist-set!", 16);
	      DEFINE_STRING(BGl_string2168z00zz__tracez00,
		BgL_bgl_string2168za700za7za7_2201za7, "_trace-port-set!2137", 20);
	      DEFINE_STRING(BGl_string2169z00zz__tracez00,
		BgL_bgl_string2169za700za7za7_2202za7, "output-port", 11);
	      DEFINE_STRING(BGl_string2171z00zz__tracez00,
		BgL_bgl_string2171za700za7za7_2203za7, "_trace-margin-set!2138", 22);
	      DEFINE_STRING(BGl_string2172z00zz__tracez00,
		BgL_bgl_string2172za700za7za7_2204za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2174z00zz__tracez00,
		BgL_bgl_string2174za700za7za7_2205za7, "_trace-color2139", 16);
	      DEFINE_STRING(BGl_string2175z00zz__tracez00,
		BgL_bgl_string2175za700za7za7_2206za7, "int", 3);
	      DEFINE_STRING(BGl_string2176z00zz__tracez00,
		BgL_bgl_string2176za700za7za7_2207za7, "m", 1);
	      DEFINE_STRING(BGl_string2177z00zz__tracez00,
		BgL_bgl_string2177za700za7za7_2208za7, "\033[0m\033[1;", 8);
	      DEFINE_STRING(BGl_string2178z00zz__tracez00,
		BgL_bgl_string2178za700za7za7_2209za7, "\033[0m", 4);
	      DEFINE_STRING(BGl_string2179z00zz__tracez00,
		BgL_bgl_string2179za700za7za7_2210za7, "- ", 2);
	      DEFINE_STRING(BGl_string2181z00zz__tracez00,
		BgL_bgl_string2181za700za7za7_2211za7, "_%with-trace2140", 16);
	      DEFINE_STRING(BGl_string2182z00zz__tracez00,
		BgL_bgl_string2182za700za7za7_2212za7, "procedure", 9);
	      DEFINE_STRING(BGl_string2183z00zz__tracez00,
		BgL_bgl_string2183za700za7za7_2213za7, "  |", 3);
	      DEFINE_STRING(BGl_string2184z00zz__tracez00,
		BgL_bgl_string2184za700za7za7_2214za7, "+ ", 2);
	      DEFINE_STRING(BGl_string2185z00zz__tracez00,
		BgL_bgl_string2185za700za7za7_2215za7, "--+ ", 4);
	      DEFINE_STRING(BGl_string2186z00zz__tracez00,
		BgL_bgl_string2186za700za7za7_2216za7, "__trace", 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2colorzd2envz00zz__tracez00,
		BgL_bgl__traceza7d2color212217za7, va_generic_entry,
		BGl__tracezd2color2139zd2zz__tracez00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2portzd2envz00zz__tracez00,
		BgL_bgl__traceza7d2portza7d22218z00, BGl__tracezd2portzd2zz__tracez00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_z52withzd2tracezd2envz52zz__tracez00,
		BgL_bgl__za752withza7d2trace2219z00,
		BGl__z52withzd2trace2140z80zz__tracez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2portzd2setz12zd2envzc0zz__tracez00,
		BgL_bgl__traceza7d2portza7d22220z00,
		BGl__tracezd2portzd2setz122137z12zz__tracez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__tracez00(long
		BgL_checksumz00_1672, char *BgL_fromz00_1673)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__tracez00))
				{
					BGl_requirezd2initializa7ationz75zz__tracez00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__tracez00();
					BGl_importedzd2moduleszd2initz00zz__tracez00();
					BGl_toplevelzd2initzd2zz__tracez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__tracez00()
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 15 */
			BGl_symbol2151z00zz__tracez00 =
				bstring_to_symbol(BGl_string2152z00zz__tracez00);
			BGl_symbol2153z00zz__tracez00 =
				bstring_to_symbol(BGl_string2154z00zz__tracez00);
			BGl_symbol2155z00zz__tracez00 =
				bstring_to_symbol(BGl_string2156z00zz__tracez00);
			BGl_symbol2157z00zz__tracez00 =
				bstring_to_symbol(BGl_string2158z00zz__tracez00);
			BGl_symbol2160z00zz__tracez00 =
				bstring_to_symbol(BGl_string2161z00zz__tracez00);
			BGl_symbol2162z00zz__tracez00 =
				bstring_to_symbol(BGl_string2163z00zz__tracez00);
			BGl_symbol2165z00zz__tracez00 =
				bstring_to_symbol(BGl_string2166z00zz__tracez00);
			BGl_symbol2167z00zz__tracez00 =
				bstring_to_symbol(BGl_string2168z00zz__tracez00);
			BGl_symbol2170z00zz__tracez00 =
				bstring_to_symbol(BGl_string2171z00zz__tracez00);
			BGl_symbol2173z00zz__tracez00 =
				bstring_to_symbol(BGl_string2174z00zz__tracez00);
			return (BGl_symbol2180z00zz__tracez00 =
				bstring_to_symbol(BGl_string2181z00zz__tracez00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__tracez00()
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 15 */
			return (BGl_za2tracezd2mutexza2zd2zz__tracez00 =
				bgl_make_mutex(BGl_symbol2151z00zz__tracez00), BUNSPEC);
		}
	}



/* trace-alist */
	obj_t BGl_tracezd2alistzd2zz__tracez00()
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 79 */
			{	/* Llib/trace.scm 80 */
				obj_t BgL_alz00_680;

				BgL_alz00_680 = BGL_DEBUG_ALIST_GET();
				if (PAIRP(BgL_alz00_680))
					{	/* Llib/trace.scm 81 */
						return BgL_alz00_680;
					}
				else
					{	/* Llib/trace.scm 83 */
						obj_t BgL_newzd2alzd2_682;

						{	/* Llib/trace.scm 83 */
							obj_t BgL_arg1732z00_683;

							obj_t BgL_arg1733z00_684;

							obj_t BgL_arg1734z00_685;

							obj_t BgL_arg1735z00_686;

							{	/* Llib/trace.scm 83 */
								obj_t BgL_arg1740z00_691;

								obj_t BgL_arg1741z00_692;

								BgL_arg1740z00_691 = BGl_symbol2153z00zz__tracez00;
								{	/* Llib/trace.scm 83 */
									obj_t BgL_res2118z00_1238;

									{	/* Llib/trace.scm 83 */
										obj_t BgL_auxz00_1695;

										BgL_auxz00_1695 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2118z00_1238 =
											BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_1695);
									}
									BgL_arg1741z00_692 = BgL_res2118z00_1238;
								}
								BgL_arg1732z00_683 =
									MAKE_PAIR(BgL_arg1740z00_691, BgL_arg1741z00_692);
							}
							BgL_arg1733z00_684 =
								MAKE_PAIR(BGl_symbol2155z00zz__tracez00, BINT(((long) 0)));
							BgL_arg1734z00_685 =
								MAKE_PAIR(BGl_symbol2157z00zz__tracez00,
								BGl_string2159z00zz__tracez00);
							BgL_arg1735z00_686 =
								MAKE_PAIR(BGl_symbol2160z00zz__tracez00, BINT(((long) 0)));
							{	/* Llib/trace.scm 83 */
								obj_t BgL_list1736z00_687;

								{	/* Llib/trace.scm 83 */
									obj_t BgL_arg1737z00_688;

									{	/* Llib/trace.scm 83 */
										obj_t BgL_arg1738z00_689;

										{	/* Llib/trace.scm 83 */
											obj_t BgL_arg1739z00_690;

											BgL_arg1739z00_690 = MAKE_PAIR(BgL_arg1735z00_686, BNIL);
											BgL_arg1738z00_689 =
												MAKE_PAIR(BgL_arg1734z00_685, BgL_arg1739z00_690);
										}
										BgL_arg1737z00_688 =
											MAKE_PAIR(BgL_arg1733z00_684, BgL_arg1738z00_689);
									}
									BgL_list1736z00_687 =
										MAKE_PAIR(BgL_arg1732z00_683, BgL_arg1737z00_688);
								}
								BgL_newzd2alzd2_682 = BgL_list1736z00_687;
						}}
						BGL_DEBUG_ALIST_SET(BgL_newzd2alzd2_682);
						BUNSPEC;
						return BgL_newzd2alzd2_682;
					}
			}
		}
	}



/* trace-alist-get */
	obj_t BGl_tracezd2alistzd2getz00zz__tracez00(obj_t BgL_alistz00_1,
		obj_t BgL_keyz00_2)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 93 */
			{	/* Llib/trace.scm 94 */
				obj_t BgL_cz00_1241;

				BgL_cz00_1241 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_keyz00_2,
					BgL_alistz00_1);
				if (PAIRP(BgL_cz00_1241))
					{	/* Llib/trace.scm 94 */
						return CDR(BgL_cz00_1241);
					}
				else
					{	/* Llib/trace.scm 94 */
						return
							BGl_errorz00zz__errorz00(BGl_symbol2162z00zz__tracez00,
							BGl_string2164z00zz__tracez00, BgL_keyz00_2);
					}
			}
		}
	}



/* trace-port */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2portzd2zz__tracez00()
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 111 */
			{	/* Llib/trace.scm 112 */
				obj_t BgL_arg1744z00_1250;

				obj_t BgL_arg1745z00_1251;

				BgL_arg1744z00_1250 = BGl_tracezd2alistzd2zz__tracez00();
				BgL_arg1745z00_1251 = BGl_symbol2153z00zz__tracez00;
				{	/* Llib/trace.scm 112 */
					obj_t BgL_cz00_1254;

					BgL_cz00_1254 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1745z00_1251,
						BgL_arg1744z00_1250);
					if (PAIRP(BgL_cz00_1254))
						{	/* Llib/trace.scm 112 */
							return CDR(BgL_cz00_1254);
						}
					else
						{	/* Llib/trace.scm 112 */
							return
								BGl_errorz00zz__errorz00(BGl_symbol2162z00zz__tracez00,
								BGl_string2164z00zz__tracez00, BgL_arg1745z00_1251);
						}
				}
			}
		}
	}



/* _trace-port */
	obj_t BGl__tracezd2portzd2zz__tracez00(obj_t BgL_envz00_1628)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 111 */
			return BGl_tracezd2portzd2zz__tracez00();
		}
	}



/* trace-port-set! */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2portzd2setz12z12zz__tracez00(obj_t
		BgL_pz00_6)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 117 */
			{	/* Llib/trace.scm 118 */
				obj_t BgL_arg1746z00_1258;

				obj_t BgL_arg1747z00_1259;

				BgL_arg1746z00_1258 = BGl_tracezd2alistzd2zz__tracez00();
				BgL_arg1747z00_1259 = BGl_symbol2153z00zz__tracez00;
				{	/* Llib/trace.scm 118 */
					obj_t BgL_cz00_1263;

					BgL_cz00_1263 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1747z00_1259,
						BgL_arg1746z00_1258);
					if (PAIRP(BgL_cz00_1263))
						{	/* Llib/trace.scm 118 */
							return SET_CDR(BgL_cz00_1263, BgL_pz00_6);
						}
					else
						{	/* Llib/trace.scm 118 */
							return
								BGl_errorz00zz__errorz00(BGl_symbol2165z00zz__tracez00,
								BGl_string2164z00zz__tracez00, BgL_arg1747z00_1259);
						}
				}
			}
		}
	}



/* _trace-port-set!2137 */
	obj_t BGl__tracezd2portzd2setz122137z12zz__tracez00(obj_t BgL_envz00_1629,
		obj_t BgL_pz00_1630)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 117 */
			{	/* Llib/trace.scm 118 */
				obj_t BgL_auxz00_1727;

				if (OUTPUT_PORTP(BgL_pz00_1630))
					{	/* Llib/trace.scm 118 */
						BgL_auxz00_1727 = BgL_pz00_1630;
					}
				else
					{	/* Llib/trace.scm 118 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2167z00zz__tracez00, BGl_string2169z00zz__tracez00,
							BgL_pz00_1630);
						exit(-1);
					}
				return BGl_tracezd2portzd2setz12z12zz__tracez00(BgL_auxz00_1727);
			}
		}
	}



/* trace-margin */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2marginzd2zz__tracez00()
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 123 */
			{	/* Llib/trace.scm 124 */
				obj_t BgL_arg1748z00_1268;

				obj_t BgL_arg1749z00_1269;

				BgL_arg1748z00_1268 = BGl_tracezd2alistzd2zz__tracez00();
				BgL_arg1749z00_1269 = BGl_symbol2157z00zz__tracez00;
				{	/* Llib/trace.scm 124 */
					obj_t BgL_cz00_1272;

					BgL_cz00_1272 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1749z00_1269,
						BgL_arg1748z00_1268);
					if (PAIRP(BgL_cz00_1272))
						{	/* Llib/trace.scm 124 */
							return CDR(BgL_cz00_1272);
						}
					else
						{	/* Llib/trace.scm 124 */
							return
								BGl_errorz00zz__errorz00(BGl_symbol2162z00zz__tracez00,
								BGl_string2164z00zz__tracez00, BgL_arg1749z00_1269);
						}
				}
			}
		}
	}



/* _trace-margin */
	obj_t BGl__tracezd2marginzd2zz__tracez00(obj_t BgL_envz00_1631)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 123 */
			return BGl_tracezd2marginzd2zz__tracez00();
		}
	}



/* trace-margin-set! */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2marginzd2setz12z12zz__tracez00(obj_t
		BgL_mz00_7)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 129 */
			{	/* Llib/trace.scm 130 */
				obj_t BgL_arg1750z00_1276;

				obj_t BgL_arg1751z00_1277;

				BgL_arg1750z00_1276 = BGl_tracezd2alistzd2zz__tracez00();
				BgL_arg1751z00_1277 = BGl_symbol2157z00zz__tracez00;
				{	/* Llib/trace.scm 130 */
					obj_t BgL_cz00_1281;

					BgL_cz00_1281 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1751z00_1277,
						BgL_arg1750z00_1276);
					if (PAIRP(BgL_cz00_1281))
						{	/* Llib/trace.scm 130 */
							return SET_CDR(BgL_cz00_1281, BgL_mz00_7);
						}
					else
						{	/* Llib/trace.scm 130 */
							return
								BGl_errorz00zz__errorz00(BGl_symbol2165z00zz__tracez00,
								BGl_string2164z00zz__tracez00, BgL_arg1751z00_1277);
						}
				}
			}
		}
	}



/* _trace-margin-set!2138 */
	obj_t BGl__tracezd2marginzd2setz122138z12zz__tracez00(obj_t BgL_envz00_1632,
		obj_t BgL_mz00_1633)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 129 */
			{	/* Llib/trace.scm 130 */
				obj_t BgL_auxz00_1746;

				if (STRINGP(BgL_mz00_1633))
					{	/* Llib/trace.scm 130 */
						BgL_auxz00_1746 = BgL_mz00_1633;
					}
				else
					{	/* Llib/trace.scm 130 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2170z00zz__tracez00, BGl_string2172z00zz__tracez00,
							BgL_mz00_1633);
						exit(-1);
					}
				return BGl_tracezd2marginzd2setz12z12zz__tracez00(BgL_auxz00_1746);
			}
		}
	}



/* trace-color */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2colorzd2zz__tracez00(int BgL_colz00_8,
		obj_t BgL_oz00_9)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 135 */
			{	/* Llib/trace.scm 137 */
				obj_t BgL_arg1752z00_705;

				if (BGl_bigloozd2tracezd2colorz00zz__paramz00())
					{	/* Llib/trace.scm 138 */
						obj_t BgL_zc3anonymousza31754ze3z83_1634;

						BgL_zc3anonymousza31754ze3z83_1634 =
							make_fx_procedure(BGl_zc3anonymousza31754ze3z83zz__tracez00,
							(int) (((long) 0)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza31754ze3z83_1634,
							(int) (((long) 0)), BINT(BgL_colz00_8));
						PROCEDURE_SET(BgL_zc3anonymousza31754ze3z83_1634,
							(int) (((long) 1)), BgL_oz00_9);
						BgL_arg1752z00_705 = BgL_zc3anonymousza31754ze3z83_1634;
					}
				else
					{	/* Llib/trace.scm 142 */
						obj_t BgL_zc3anonymousza31768ze3z83_1635;

						BgL_zc3anonymousza31768ze3z83_1635 =
							make_fx_procedure(BGl_zc3anonymousza31768ze3z83zz__tracez00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza31768ze3z83_1635,
							(int) (((long) 0)), BgL_oz00_9);
						BgL_arg1752z00_705 = BgL_zc3anonymousza31768ze3z83_1635;
					}
				return
					BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_arg1752z00_705);
			}
		}
	}



/* _trace-color2139 */
	obj_t BGl__tracezd2color2139zd2zz__tracez00(obj_t BgL_envz00_1636,
		obj_t BgL_colz00_1637, obj_t BgL_oz00_1638)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 135 */
			{	/* Llib/trace.scm 137 */
				int BgL_auxz00_1768;

				{	/* Llib/trace.scm 137 */
					obj_t BgL_auxz00_1769;

					if (INTEGERP(BgL_colz00_1637))
						{	/* Llib/trace.scm 137 */
							BgL_auxz00_1769 = BgL_colz00_1637;
						}
					else
						{	/* Llib/trace.scm 137 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2173z00zz__tracez00, BGl_string2175z00zz__tracez00,
								BgL_colz00_1637);
							exit(-1);
						}
					BgL_auxz00_1768 = CINT(BgL_auxz00_1769);
				}
				return BGl_tracezd2colorzd2zz__tracez00(BgL_auxz00_1768, BgL_oz00_1638);
			}
		}
	}



/* <anonymous:1754> */
	obj_t BGl_zc3anonymousza31754ze3z83zz__tracez00(obj_t BgL_envz00_1639)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 138 */
			{	/* Llib/trace.scm 139 */
				obj_t BgL_colz00_1640;

				obj_t BgL_oz00_1641;

				BgL_colz00_1640 = PROCEDURE_REF(BgL_envz00_1639, (int) (((long) 0)));
				BgL_oz00_1641 = PROCEDURE_REF(BgL_envz00_1639, (int) (((long) 1)));
				{

					{	/* Llib/trace.scm 139 */
						long BgL_arg1756z00_709;

						BgL_arg1756z00_709 = (((long) 31) + (long) CINT(BgL_colz00_1640));
						{	/* Llib/trace.scm 139 */
							obj_t BgL_list1758z00_711;

							{	/* Llib/trace.scm 139 */
								obj_t BgL_arg1759z00_712;

								{	/* Llib/trace.scm 139 */
									obj_t BgL_arg1760z00_713;

									BgL_arg1760z00_713 =
										MAKE_PAIR(BGl_string2176z00zz__tracez00, BNIL);
									BgL_arg1759z00_712 =
										MAKE_PAIR(BINT(BgL_arg1756z00_709), BgL_arg1760z00_713);
								}
								BgL_list1758z00_711 =
									MAKE_PAIR(BGl_string2177z00zz__tracez00, BgL_arg1759z00_712);
							}
							BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1758z00_711);
					}}
					{
						obj_t BgL_l1690z00_714;

						BgL_l1690z00_714 = BgL_oz00_1641;
					BgL_forzd2each1691zd2_715:
						if (PAIRP(BgL_l1690z00_714))
							{	/* Llib/trace.scm 140 */
								{	/* Llib/trace.scm 140 */
									obj_t BgL_arg1762z00_717;

									BgL_arg1762z00_717 = CAR(BgL_l1690z00_714);
									{	/* Pp/circle.scm 70 */
										obj_t BgL_portz00_719;

										{	/* Pp/circle.scm 70 */
											obj_t BgL_res2120z00_1291;

											{	/* Pp/circle.scm 70 */
												obj_t BgL_auxz00_1790;

												BgL_auxz00_1790 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res2120z00_1291 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1790);
											}
											BgL_portz00_719 = BgL_res2120z00_1291;
										}
										{	/* Pp/circle.scm 70 */

											BGl_displayzd2circlezd2zz__pp_circlez00
												(BgL_arg1762z00_717, BgL_portz00_719);
										}
									}
								}
								{
									obj_t BgL_l1690z00_1794;

									BgL_l1690z00_1794 = CDR(BgL_l1690z00_714);
									BgL_l1690z00_714 = BgL_l1690z00_1794;
									goto BgL_forzd2each1691zd2_715;
								}
							}
						else
							{	/* Llib/trace.scm 140 */
								((bool_t) 1);
							}
					}
					{	/* Llib/trace.scm 141 */
						obj_t BgL_arg1767z00_722;

						{	/* Llib/trace.scm 141 */
							obj_t BgL_res2121z00_1294;

							{	/* Llib/trace.scm 141 */
								obj_t BgL_auxz00_1796;

								BgL_auxz00_1796 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2121z00_1294 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1796);
							}
							BgL_arg1767z00_722 = BgL_res2121z00_1294;
						}
						return
							bgl_display_string(BGl_string2178z00zz__tracez00,
							BgL_arg1767z00_722);
					}
				}
			}
		}
	}



/* <anonymous:1768> */
	obj_t BGl_zc3anonymousza31768ze3z83zz__tracez00(obj_t BgL_envz00_1642)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 142 */
			{	/* Llib/trace.scm 143 */
				obj_t BgL_oz00_1643;

				BgL_oz00_1643 = PROCEDURE_REF(BgL_envz00_1642, (int) (((long) 0)));
				{

					{	/* Llib/trace.scm 143 */
						bool_t BgL_auxz00_1802;

						{
							obj_t BgL_l1692z00_724;

							BgL_l1692z00_724 = BgL_oz00_1643;
						BgL_forzd2each1693zd2_725:
							if (PAIRP(BgL_l1692z00_724))
								{	/* Llib/trace.scm 143 */
									{	/* Llib/trace.scm 143 */
										obj_t BgL_arg1770z00_727;

										BgL_arg1770z00_727 = CAR(BgL_l1692z00_724);
										{	/* Pp/circle.scm 70 */
											obj_t BgL_portz00_729;

											{	/* Pp/circle.scm 70 */
												obj_t BgL_res2122z00_1300;

												{	/* Pp/circle.scm 70 */
													obj_t BgL_auxz00_1806;

													BgL_auxz00_1806 = BGL_CURRENT_DYNAMIC_ENV();
													BgL_res2122z00_1300 =
														BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1806);
												}
												BgL_portz00_729 = BgL_res2122z00_1300;
											}
											{	/* Pp/circle.scm 70 */

												BGl_displayzd2circlezd2zz__pp_circlez00
													(BgL_arg1770z00_727, BgL_portz00_729);
											}
										}
									}
									{
										obj_t BgL_l1692z00_1810;

										BgL_l1692z00_1810 = CDR(BgL_l1692z00_724);
										BgL_l1692z00_724 = BgL_l1692z00_1810;
										goto BgL_forzd2each1693zd2_725;
									}
								}
							else
								{	/* Llib/trace.scm 143 */
									BgL_auxz00_1802 = ((bool_t) 1);
								}
						}
						return BBOOL(BgL_auxz00_1802);
					}
				}
			}
		}
	}



/* trace-bold */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2boldzd2zz__tracez00(obj_t BgL_oz00_10)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 148 */
			{	/* Llib/trace.scm 149 */
				obj_t BgL_runner1774z00_1302;

				{	/* Llib/trace.scm 149 */
					obj_t BgL_list1772z00_1303;

					BgL_list1772z00_1303 = MAKE_PAIR(BgL_oz00_10, BNIL);
					BgL_runner1774z00_1302 =
						BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(BINT(((long) -30)),
						BgL_list1772z00_1303);
				}
				{	/* Llib/trace.scm 149 */
					int BgL_aux1773z00_1304;

					{	/* Llib/trace.scm 149 */
						obj_t BgL_pairz00_1305;

						BgL_pairz00_1305 = BgL_runner1774z00_1302;
						BgL_aux1773z00_1304 = CINT(CAR(BgL_pairz00_1305));
					}
					BgL_runner1774z00_1302 = CDR(BgL_runner1774z00_1302);
					return
						BGl_tracezd2colorzd2zz__tracez00(BgL_aux1773z00_1304,
						BgL_runner1774z00_1302);
				}
			}
		}
	}



/* _trace-bold */
	obj_t BGl__tracezd2boldzd2zz__tracez00(obj_t BgL_envz00_1644,
		obj_t BgL_oz00_1645)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 148 */
			return BGl_tracezd2boldzd2zz__tracez00(BgL_oz00_1645);
		}
	}



/* trace-string */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2stringzd2zz__tracez00(obj_t BgL_oz00_11)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 154 */
			{	/* Llib/trace.scm 157 */
				obj_t BgL_zc3anonymousza31776ze3z83_1646;

				BgL_zc3anonymousza31776ze3z83_1646 =
					make_fx_procedure(BGl_zc3anonymousza31776ze3z83zz__tracez00,
					(int) (((long) 0)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31776ze3z83_1646,
					(int) (((long) 0)), BgL_oz00_11);
				return
					BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3anonymousza31776ze3z83_1646);
			}
		}
	}



/* _trace-string */
	obj_t BGl__tracezd2stringzd2zz__tracez00(obj_t BgL_envz00_1647,
		obj_t BgL_oz00_1648)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 154 */
			return BGl_tracezd2stringzd2zz__tracez00(BgL_oz00_1648);
		}
	}



/* <anonymous:1776> */
	obj_t BGl_zc3anonymousza31776ze3z83zz__tracez00(obj_t BgL_envz00_1649)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 156 */
			{	/* Llib/trace.scm 157 */
				obj_t BgL_oz00_1650;

				BgL_oz00_1650 = PROCEDURE_REF(BgL_envz00_1649, (int) (((long) 0)));
				{

					return BGl_writez00zz__r4_output_6_10_3z00(BgL_oz00_1650, BNIL);
				}
			}
		}
	}



/* trace-item */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2itemzd2zz__tracez00(obj_t BgL_argsz00_12)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 162 */
			{	/* Llib/trace.scm 163 */
				obj_t BgL_alz00_738;

				BgL_alz00_738 = BGl_tracezd2alistzd2zz__tracez00();
				{	/* Llib/trace.scm 164 */
					bool_t BgL_testz00_1832;

					{	/* Llib/trace.scm 164 */
						bool_t BgL_testz00_1833;

						{	/* Llib/trace.scm 164 */
							int BgL_arg1794z00_757;

							BgL_arg1794z00_757 = bgl_debug();
							BgL_testz00_1833 = ((long) (BgL_arg1794z00_757) > ((long) 0));
						}
						if (BgL_testz00_1833)
							{	/* Llib/trace.scm 165 */
								int BgL_arg1792z00_755;

								obj_t BgL_arg1793z00_756;

								BgL_arg1792z00_755 = bgl_debug();
								{	/* Llib/trace.scm 165 */
									obj_t BgL_keyz00_1313;

									BgL_keyz00_1313 = BGl_symbol2160z00zz__tracez00;
									{	/* Llib/trace.scm 165 */
										obj_t BgL_cz00_1314;

										BgL_cz00_1314 =
											BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_keyz00_1313,
											BgL_alz00_738);
										if (PAIRP(BgL_cz00_1314))
											{	/* Llib/trace.scm 165 */
												BgL_arg1793z00_756 = CDR(BgL_cz00_1314);
											}
										else
											{	/* Llib/trace.scm 165 */
												BgL_arg1793z00_756 =
													BGl_errorz00zz__errorz00
													(BGl_symbol2162z00zz__tracez00,
													BGl_string2164z00zz__tracez00, BgL_keyz00_1313);
											}
									}
								}
								BgL_testz00_1832 =
									(
									(long) (BgL_arg1792z00_755) >=
									(long) CINT(BgL_arg1793z00_756));
							}
						else
							{	/* Llib/trace.scm 164 */
								BgL_testz00_1832 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_1832)
						{	/* Llib/trace.scm 166 */
							obj_t BgL_pz00_740;

							BgL_pz00_740 =
								BGl_tracezd2alistzd2getz00zz__tracez00
								(BGl_tracezd2alistzd2zz__tracez00(),
								BGl_symbol2153z00zz__tracez00);
							{	/* Llib/trace.scm 167 */
								obj_t BgL_arg1780z00_741;

								{	/* Llib/trace.scm 167 */
									obj_t BgL_keyz00_1324;

									BgL_keyz00_1324 = BGl_symbol2157z00zz__tracez00;
									{	/* Llib/trace.scm 167 */
										obj_t BgL_cz00_1325;

										BgL_cz00_1325 =
											BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_keyz00_1324,
											BgL_alz00_738);
										if (PAIRP(BgL_cz00_1325))
											{	/* Llib/trace.scm 167 */
												BgL_arg1780z00_741 = CDR(BgL_cz00_1325);
											}
										else
											{	/* Llib/trace.scm 167 */
												BgL_arg1780z00_741 =
													BGl_errorz00zz__errorz00
													(BGl_symbol2162z00zz__tracez00,
													BGl_string2164z00zz__tracez00, BgL_keyz00_1324);
											}
									}
								}
								bgl_display_obj(BgL_arg1780z00_741, BgL_pz00_740);
							}
							{	/* Llib/trace.scm 168 */
								obj_t BgL_arg1781z00_742;

								obj_t BgL_arg1782z00_743;

								{	/* Llib/trace.scm 168 */
									long BgL_arg1783z00_744;

									{	/* Llib/trace.scm 168 */
										obj_t BgL_arg1787z00_747;

										{	/* Llib/trace.scm 168 */
											obj_t BgL_keyz00_1330;

											BgL_keyz00_1330 = BGl_symbol2155z00zz__tracez00;
											{	/* Llib/trace.scm 168 */
												obj_t BgL_cz00_1331;

												BgL_cz00_1331 =
													BGl_assqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_keyz00_1330, BgL_alz00_738);
												if (PAIRP(BgL_cz00_1331))
													{	/* Llib/trace.scm 168 */
														BgL_arg1787z00_747 = CDR(BgL_cz00_1331);
													}
												else
													{	/* Llib/trace.scm 168 */
														BgL_arg1787z00_747 =
															BGl_errorz00zz__errorz00
															(BGl_symbol2162z00zz__tracez00,
															BGl_string2164z00zz__tracez00, BgL_keyz00_1330);
													}
											}
										}
										BgL_arg1783z00_744 =
											((long) CINT(BgL_arg1787z00_747) - ((long) 1));
									}
									{	/* Llib/trace.scm 168 */
										obj_t BgL_list1786z00_746;

										BgL_list1786z00_746 =
											MAKE_PAIR(BGl_string2179z00zz__tracez00, BNIL);
										BgL_arg1781z00_742 =
											BGl_tracezd2colorzd2zz__tracez00(
											(int) (BgL_arg1783z00_744), BgL_list1786z00_746);
								}}
								{	/* Llib/trace.scm 168 */
									obj_t BgL_res2124z00_1338;

									{	/* Llib/trace.scm 168 */
										obj_t BgL_auxz00_1864;

										BgL_auxz00_1864 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2124z00_1338 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1864);
									}
									BgL_arg1782z00_743 = BgL_res2124z00_1338;
								}
								bgl_display_obj(BgL_arg1781z00_742, BgL_arg1782z00_743);
							}
							{
								obj_t BgL_l1694z00_1340;

								BgL_l1694z00_1340 = BgL_argsz00_12;
							BgL_forzd2each1695zd2_1339:
								if (PAIRP(BgL_l1694z00_1340))
									{	/* Llib/trace.scm 169 */
										BGl_displayzd2circlezd2zz__pp_circlez00(CAR
											(BgL_l1694z00_1340), BgL_pz00_740);
										{
											obj_t BgL_l1694z00_1872;

											BgL_l1694z00_1872 = CDR(BgL_l1694z00_1340);
											BgL_l1694z00_1340 = BgL_l1694z00_1872;
											goto BgL_forzd2each1695zd2_1339;
										}
									}
								else
									{	/* Llib/trace.scm 169 */
										((bool_t) 1);
									}
							}
							return bgl_display_char(((unsigned char) '\n'), BgL_pz00_740);
						}
					else
						{	/* Llib/trace.scm 164 */
							return BFALSE;
						}
				}
			}
		}
	}



/* _trace-item */
	obj_t BGl__tracezd2itemzd2zz__tracez00(obj_t BgL_envz00_1651,
		obj_t BgL_argsz00_1652)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 162 */
			return BGl_tracezd2itemzd2zz__tracez00(BgL_argsz00_1652);
		}
	}



/* %with-trace */
	BGL_EXPORTED_DEF obj_t BGl_z52withzd2tracez80zz__tracez00(int BgL_lvlz00_13,
		obj_t BgL_lblz00_14, obj_t BgL_thunkz00_15)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 175 */
			{	/* Llib/trace.scm 176 */
				obj_t BgL_arg1796z00_759;

				BgL_arg1796z00_759 = BGl_za2tracezd2mutexza2zd2zz__tracez00;
				{	/* Llib/thread.scm 198 */

					if ((((long) 0) == ((long) 0)))
						{	/* Llib/thread.scm 198 */
							bgl_mutex_lock(BgL_arg1796z00_759);
						}
					else
						{	/* Llib/thread.scm 198 */
							bgl_mutex_timed_lock(BgL_arg1796z00_759, ((long) 0));
			}}}
			{	/* Llib/trace.scm 177 */
				obj_t BgL_alz00_762;

				BgL_alz00_762 = BGl_tracezd2alistzd2zz__tracez00();
				{	/* Llib/trace.scm 177 */
					obj_t BgL_olz00_763;

					{	/* Llib/trace.scm 178 */
						obj_t BgL_keyz00_1370;

						BgL_keyz00_1370 = BGl_symbol2160z00zz__tracez00;
						{	/* Llib/trace.scm 178 */
							obj_t BgL_cz00_1371;

							BgL_cz00_1371 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_keyz00_1370,
								BgL_alz00_762);
							if (PAIRP(BgL_cz00_1371))
								{	/* Llib/trace.scm 178 */
									BgL_olz00_763 = CDR(BgL_cz00_1371);
								}
							else
								{	/* Llib/trace.scm 178 */
									BgL_olz00_763 =
										BGl_errorz00zz__errorz00(BGl_symbol2162z00zz__tracez00,
										BGl_string2164z00zz__tracez00, BgL_keyz00_1370);
								}
						}
					}
					{	/* Llib/trace.scm 178 */

						{	/* Llib/trace.scm 179 */
							obj_t BgL_keyz00_1376;

							BgL_keyz00_1376 = BGl_symbol2160z00zz__tracez00;
							{	/* Llib/trace.scm 179 */
								obj_t BgL_cz00_1378;

								BgL_cz00_1378 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_keyz00_1376,
									BgL_alz00_762);
								if (PAIRP(BgL_cz00_1378))
									{	/* Llib/trace.scm 179 */
										obj_t BgL_auxz00_1889;

										BgL_auxz00_1889 = BINT(BgL_lvlz00_13);
										SET_CDR(BgL_cz00_1378, BgL_auxz00_1889);
									}
								else
									{	/* Llib/trace.scm 179 */
										BGl_errorz00zz__errorz00(BGl_symbol2165z00zz__tracez00,
											BGl_string2164z00zz__tracez00, BgL_keyz00_1376);
									}
							}
						}
						{	/* Llib/trace.scm 180 */
							obj_t BgL_rz00_764;

							{	/* Llib/trace.scm 180 */
								bool_t BgL_testz00_1893;

								{	/* Llib/trace.scm 180 */
									int BgL_arg1820z00_794;

									BgL_arg1820z00_794 = bgl_debug();
									BgL_testz00_1893 =
										((long) (BgL_arg1820z00_794) >= (long) (BgL_lvlz00_13));
								}
								if (BgL_testz00_1893)
									{	/* Llib/trace.scm 181 */
										obj_t BgL_arg1798z00_766;

										BgL_arg1798z00_766 =
											BGl_tracezd2alistzd2getz00zz__tracez00
											(BGl_tracezd2alistzd2zz__tracez00(),
											BGl_symbol2153z00zz__tracez00);
										{	/* Llib/trace.scm 183 */
											obj_t BgL_zc3anonymousza31800ze3z83_1653;

											BgL_zc3anonymousza31800ze3z83_1653 =
												make_fx_procedure
												(BGl_zc3anonymousza31800ze3z83zz__tracez00,
												(int) (((long) 0)), (int) (((long) 3)));
											PROCEDURE_SET(BgL_zc3anonymousza31800ze3z83_1653,
												(int) (((long) 0)), BgL_alz00_762);
											PROCEDURE_SET(BgL_zc3anonymousza31800ze3z83_1653,
												(int) (((long) 1)), BgL_lblz00_14);
											PROCEDURE_SET(BgL_zc3anonymousza31800ze3z83_1653,
												(int) (((long) 2)), BgL_thunkz00_15);
											BgL_rz00_764 =
												BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
												(BgL_arg1798z00_766,
												BgL_zc3anonymousza31800ze3z83_1653);
									}}
								else
									{	/* Llib/trace.scm 180 */
										bgl_mutex_unlock(BGl_za2tracezd2mutexza2zd2zz__tracez00);
										BgL_rz00_764 =
											PROCEDURE_ENTRY(BgL_thunkz00_15) (BgL_thunkz00_15, BEOA);
									}
							}
							{	/* Llib/trace.scm 202 */
								obj_t BgL_keyz00_1458;

								BgL_keyz00_1458 = BGl_symbol2160z00zz__tracez00;
								{	/* Llib/trace.scm 202 */
									obj_t BgL_cz00_1460;

									BgL_cz00_1460 =
										BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_keyz00_1458,
										BgL_alz00_762);
									if (PAIRP(BgL_cz00_1460))
										{	/* Llib/trace.scm 202 */
											SET_CDR(BgL_cz00_1460, BgL_olz00_763);
										}
									else
										{	/* Llib/trace.scm 202 */
											BGl_errorz00zz__errorz00(BGl_symbol2165z00zz__tracez00,
												BGl_string2164z00zz__tracez00, BgL_keyz00_1458);
										}
								}
							}
							return BgL_rz00_764;
						}
					}
				}
			}
		}
	}



/* _%with-trace2140 */
	obj_t BGl__z52withzd2trace2140z80zz__tracez00(obj_t BgL_envz00_1654,
		obj_t BgL_lvlz00_1655, obj_t BgL_lblz00_1656, obj_t BgL_thunkz00_1657)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 175 */
			{	/* Llib/trace.scm 203 */
				obj_t BgL_auxz00_1925;

				int BgL_auxz00_1918;

				if (PROCEDUREP(BgL_thunkz00_1657))
					{	/* Llib/trace.scm 203 */
						BgL_auxz00_1925 = BgL_thunkz00_1657;
					}
				else
					{	/* Llib/trace.scm 203 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2180z00zz__tracez00, BGl_string2182z00zz__tracez00,
							BgL_thunkz00_1657);
						exit(-1);
					}
				{	/* Llib/trace.scm 203 */
					obj_t BgL_auxz00_1919;

					if (INTEGERP(BgL_lvlz00_1655))
						{	/* Llib/trace.scm 203 */
							BgL_auxz00_1919 = BgL_lvlz00_1655;
						}
					else
						{	/* Llib/trace.scm 203 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2180z00zz__tracez00, BGl_string2175z00zz__tracez00,
								BgL_lvlz00_1655);
							exit(-1);
						}
					BgL_auxz00_1918 = CINT(BgL_auxz00_1919);
				}
				return
					BGl_z52withzd2tracez80zz__tracez00(BgL_auxz00_1918, BgL_lblz00_1656,
					BgL_auxz00_1925);
			}
		}
	}



/* <anonymous:1800> */
	obj_t BGl_zc3anonymousza31800ze3z83zz__tracez00(obj_t BgL_envz00_1658)
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 182 */
			{	/* Llib/trace.scm 183 */
				obj_t BgL_alz00_1659;

				obj_t BgL_lblz00_1660;

				obj_t BgL_thunkz00_1661;

				BgL_alz00_1659 = PROCEDURE_REF(BgL_envz00_1658, (int) (((long) 0)));
				BgL_lblz00_1660 = PROCEDURE_REF(BgL_envz00_1658, (int) (((long) 1)));
				BgL_thunkz00_1661 = PROCEDURE_REF(BgL_envz00_1658, (int) (((long) 2)));
				{

					{	/* Llib/trace.scm 183 */
						obj_t BgL_dz00_769;

						{	/* Llib/trace.scm 183 */
							obj_t BgL_keyz00_1389;

							BgL_keyz00_1389 = BGl_symbol2155z00zz__tracez00;
							{	/* Llib/trace.scm 183 */
								obj_t BgL_cz00_1390;

								BgL_cz00_1390 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_keyz00_1389,
									BgL_alz00_1659);
								if (PAIRP(BgL_cz00_1390))
									{	/* Llib/trace.scm 183 */
										BgL_dz00_769 = CDR(BgL_cz00_1390);
									}
								else
									{	/* Llib/trace.scm 183 */
										BgL_dz00_769 =
											BGl_errorz00zz__errorz00(BGl_symbol2162z00zz__tracez00,
											BGl_string2164z00zz__tracez00, BgL_keyz00_1389);
									}
							}
						}
						{	/* Llib/trace.scm 183 */
							obj_t BgL_omz00_770;

							{	/* Llib/trace.scm 184 */
								obj_t BgL_keyz00_1395;

								BgL_keyz00_1395 = BGl_symbol2157z00zz__tracez00;
								{	/* Llib/trace.scm 184 */
									obj_t BgL_cz00_1396;

									BgL_cz00_1396 =
										BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_keyz00_1395,
										BgL_alz00_1659);
									if (PAIRP(BgL_cz00_1396))
										{	/* Llib/trace.scm 184 */
											BgL_omz00_770 = CDR(BgL_cz00_1396);
										}
									else
										{	/* Llib/trace.scm 184 */
											BgL_omz00_770 =
												BGl_errorz00zz__errorz00(BGl_symbol2162z00zz__tracez00,
												BGl_string2164z00zz__tracez00, BgL_keyz00_1395);
										}
								}
							}
							{	/* Llib/trace.scm 184 */
								obj_t BgL_dez00_771;

								{	/* Llib/trace.scm 185 */
									obj_t BgL_keyz00_1401;

									BgL_keyz00_1401 = BGl_symbol2155z00zz__tracez00;
									{	/* Llib/trace.scm 185 */
										obj_t BgL_cz00_1402;

										BgL_cz00_1402 =
											BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_keyz00_1401,
											BgL_alz00_1659);
										if (PAIRP(BgL_cz00_1402))
											{	/* Llib/trace.scm 185 */
												BgL_dez00_771 = CDR(BgL_cz00_1402);
											}
										else
											{	/* Llib/trace.scm 185 */
												BgL_dez00_771 =
													BGl_errorz00zz__errorz00
													(BGl_symbol2162z00zz__tracez00,
													BGl_string2164z00zz__tracez00, BgL_keyz00_1401);
											}
									}
								}
								{	/* Llib/trace.scm 185 */
									obj_t BgL_maz00_772;

									{	/* Llib/trace.scm 186 */
										obj_t BgL_list1818z00_791;

										BgL_list1818z00_791 =
											MAKE_PAIR(BGl_string2183z00zz__tracez00, BNIL);
										BgL_maz00_772 =
											BGl_tracezd2colorzd2zz__tracez00(CINT(BgL_dez00_771),
											BgL_list1818z00_791);
									}
									{	/* Llib/trace.scm 186 */

										{	/* Llib/trace.scm 187 */
											obj_t BgL_arg1801z00_773;

											obj_t BgL_arg1802z00_774;

											{	/* Llib/trace.scm 187 */
												obj_t BgL_keyz00_1407;

												BgL_keyz00_1407 = BGl_symbol2157z00zz__tracez00;
												{	/* Llib/trace.scm 187 */
													obj_t BgL_cz00_1408;

													BgL_cz00_1408 =
														BGl_assqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_keyz00_1407, BgL_alz00_1659);
													if (PAIRP(BgL_cz00_1408))
														{	/* Llib/trace.scm 187 */
															BgL_arg1801z00_773 = CDR(BgL_cz00_1408);
														}
													else
														{	/* Llib/trace.scm 187 */
															BgL_arg1801z00_773 =
																BGl_errorz00zz__errorz00
																(BGl_symbol2162z00zz__tracez00,
																BGl_string2164z00zz__tracez00, BgL_keyz00_1407);
														}
												}
											}
											{	/* Llib/trace.scm 187 */
												obj_t BgL_res2126z00_1413;

												{	/* Llib/trace.scm 187 */
													obj_t BgL_auxz00_1960;

													BgL_auxz00_1960 = BGL_CURRENT_DYNAMIC_ENV();
													BgL_res2126z00_1413 =
														BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1960);
												}
												BgL_arg1802z00_774 = BgL_res2126z00_1413;
											}
											bgl_display_obj(BgL_arg1801z00_773, BgL_arg1802z00_774);
										}
										{	/* Llib/trace.scm 188 */
											obj_t BgL_arg1803z00_775;

											obj_t BgL_arg1804z00_776;

											if (((long) CINT(BgL_dz00_769) == ((long) 0)))
												{	/* Llib/trace.scm 189 */
													obj_t BgL_list1806z00_778;

													{	/* Llib/trace.scm 189 */
														obj_t BgL_arg1808z00_780;

														BgL_arg1808z00_780 =
															MAKE_PAIR(BgL_lblz00_1660, BNIL);
														BgL_list1806z00_778 =
															MAKE_PAIR(BGl_string2184z00zz__tracez00,
															BgL_arg1808z00_780);
													}
													BgL_arg1803z00_775 =
														BGl_tracezd2colorzd2zz__tracez00(CINT(BgL_dz00_769),
														BgL_list1806z00_778);
												}
											else
												{	/* Llib/trace.scm 190 */
													obj_t BgL_list1809z00_781;

													{	/* Llib/trace.scm 190 */
														obj_t BgL_arg1811z00_783;

														BgL_arg1811z00_783 =
															MAKE_PAIR(BgL_lblz00_1660, BNIL);
														BgL_list1809z00_781 =
															MAKE_PAIR(BGl_string2185z00zz__tracez00,
															BgL_arg1811z00_783);
													}
													BgL_arg1803z00_775 =
														BGl_tracezd2colorzd2zz__tracez00(CINT(BgL_dz00_769),
														BgL_list1809z00_781);
												}
											{	/* Llib/trace.scm 188 */
												obj_t BgL_res2127z00_1417;

												{	/* Llib/trace.scm 188 */
													obj_t BgL_auxz00_1975;

													BgL_auxz00_1975 = BGL_CURRENT_DYNAMIC_ENV();
													BgL_res2127z00_1417 =
														BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1975);
												}
												BgL_arg1804z00_776 = BgL_res2127z00_1417;
											}
											bgl_display_obj(BgL_arg1803z00_775, BgL_arg1804z00_776);
										}
										{	/* Llib/trace.scm 191 */
											obj_t BgL_arg1812z00_784;

											{	/* Llib/trace.scm 191 */
												obj_t BgL_res2128z00_1419;

												{	/* Llib/trace.scm 191 */
													obj_t BgL_auxz00_1979;

													BgL_auxz00_1979 = BGL_CURRENT_DYNAMIC_ENV();
													BgL_res2128z00_1419 =
														BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1979);
												}
												BgL_arg1812z00_784 = BgL_res2128z00_1419;
											}
											bgl_display_char(((unsigned char) '\n'),
												BgL_arg1812z00_784);
										}
										{	/* Llib/trace.scm 192 */
											obj_t BgL_arg1813z00_785;

											long BgL_arg1814z00_786;

											BgL_arg1813z00_785 = BGl_symbol2155z00zz__tracez00;
											BgL_arg1814z00_786 =
												((long) CINT(BgL_dez00_771) + ((long) 1));
											{	/* Llib/trace.scm 192 */
												obj_t BgL_cz00_1426;

												BgL_cz00_1426 =
													BGl_assqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1813z00_785, BgL_alz00_1659);
												if (PAIRP(BgL_cz00_1426))
													{	/* Llib/trace.scm 192 */
														obj_t BgL_auxz00_1988;

														BgL_auxz00_1988 = BINT(BgL_arg1814z00_786);
														SET_CDR(BgL_cz00_1426, BgL_auxz00_1988);
													}
												else
													{	/* Llib/trace.scm 192 */
														BGl_errorz00zz__errorz00
															(BGl_symbol2165z00zz__tracez00,
															BGl_string2164z00zz__tracez00,
															BgL_arg1813z00_785);
													}
											}
										}
										{	/* Llib/trace.scm 193 */
											obj_t BgL_arg1815z00_787;

											obj_t BgL_arg1816z00_788;

											BgL_arg1815z00_787 = BGl_symbol2157z00zz__tracez00;
											BgL_arg1816z00_788 =
												string_append(BgL_omz00_770, BgL_maz00_772);
											{	/* Llib/trace.scm 193 */
												obj_t BgL_cz00_1434;

												BgL_cz00_1434 =
													BGl_assqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1815z00_787, BgL_alz00_1659);
												if (PAIRP(BgL_cz00_1434))
													{	/* Llib/trace.scm 193 */
														SET_CDR(BgL_cz00_1434, BgL_arg1816z00_788);
													}
												else
													{	/* Llib/trace.scm 193 */
														BGl_errorz00zz__errorz00
															(BGl_symbol2165z00zz__tracez00,
															BGl_string2164z00zz__tracez00,
															BgL_arg1815z00_787);
													}
											}
										}
										bgl_mutex_unlock(BGl_za2tracezd2mutexza2zd2zz__tracez00);
										{	/* Llib/trace.scm 195 */
											obj_t BgL_resz00_790;

											BgL_resz00_790 =
												PROCEDURE_ENTRY(BgL_thunkz00_1661) (BgL_thunkz00_1661,
												BEOA);
											{	/* Llib/trace.scm 196 */
												obj_t BgL_keyz00_1441;

												BgL_keyz00_1441 = BGl_symbol2155z00zz__tracez00;
												{	/* Llib/trace.scm 196 */
													obj_t BgL_cz00_1443;

													BgL_cz00_1443 =
														BGl_assqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_keyz00_1441, BgL_alz00_1659);
													if (PAIRP(BgL_cz00_1443))
														{	/* Llib/trace.scm 196 */
															SET_CDR(BgL_cz00_1443, BgL_dez00_771);
														}
													else
														{	/* Llib/trace.scm 196 */
															BGl_errorz00zz__errorz00
																(BGl_symbol2165z00zz__tracez00,
																BGl_string2164z00zz__tracez00, BgL_keyz00_1441);
														}
												}
											}
											{	/* Llib/trace.scm 197 */
												obj_t BgL_keyz00_1449;

												BgL_keyz00_1449 = BGl_symbol2157z00zz__tracez00;
												{	/* Llib/trace.scm 197 */
													obj_t BgL_cz00_1451;

													BgL_cz00_1451 =
														BGl_assqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_keyz00_1449, BgL_alz00_1659);
													if (PAIRP(BgL_cz00_1451))
														{	/* Llib/trace.scm 197 */
															SET_CDR(BgL_cz00_1451, BgL_omz00_770);
														}
													else
														{	/* Llib/trace.scm 197 */
															BGl_errorz00zz__errorz00
																(BGl_symbol2165z00zz__tracez00,
																BGl_string2164z00zz__tracez00, BgL_keyz00_1449);
														}
												}
											}
											return BgL_resz00_790;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__tracez00()
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__tracez00()
	{
		AN_OBJECT;
		{	/* Llib/trace.scm 15 */
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 23161561),
				BSTRING_TO_STRING(BGl_string2186z00zz__tracez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 441587319),
				BSTRING_TO_STRING(BGl_string2186z00zz__tracez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 216567556),
				BSTRING_TO_STRING(BGl_string2186z00zz__tracez00));
			return
				BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					298558382), BSTRING_TO_STRING(BGl_string2186z00zz__tracez00));
		}
	}

#ifdef __cplusplus
}
#endif
