/*===========================================================================*/
/*   (Match/mexpand.scm)                                                     */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Match/mexpand.scm -indent -o objs/obj_u/Match/mexpand.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_pcompilez00zz__match_compilerz00(obj_t);
	extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__match_expandz00 = BUNSPEC;
	extern obj_t BGl_normaliza7ezd2patternz75zz__match_normaliza7eza7(obj_t);
	static obj_t BGl_zc3anonymousza31742ze3z83zz__match_expandz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_patternzd2variableszd2zz__match_descriptionsz00(obj_t);
	static obj_t BGl_fetchzd2prototypeszd2zz__match_expandz00(obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__match_expandz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__match_expandz00();
	static obj_t BGl_symbol2185z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_symbol2188z00zz__match_expandz00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2191z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_symbol2202z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_symbol2193z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_symbol2204z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_symbol2195z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_symbol2199z00zz__match_expandz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2matchzd2lambdaz00zz__match_expandz00(obj_t);
	static obj_t BGl__expandzd2matchzd2lambdaz00zz__match_expandz00(obj_t, obj_t);
	static obj_t BGl_za2thezd2emptyzd2envza2z00zz__match_expandz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__match_expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__match_s2cfunz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__match_normaliza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__match_descriptionsz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__match_compilerz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zz__match_expandz00();
	static obj_t BGl_zc3anonymousza31786ze3z83zz__match_expandz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_jimzd2gensymzd2zz__match_s2cfunz00;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_expandzd2matchzd2casez00zz__match_expandz00(obj_t);
	static obj_t BGl_list2184z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_list2187z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl_list2201z00zz__match_expandz00 = BUNSPEC;
	static obj_t BGl__expandzd2matchzd2casez00zz__match_expandz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__match_expandz00();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2matchzd2casezd2envzd2zz__match_expandz00,
		BgL_bgl__expandza7d2matchza72207z00,
		BGl__expandzd2matchzd2casez00zz__match_expandz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_expandzd2matchzd2lambdazd2envzd2zz__match_expandz00,
		BgL_bgl__expandza7d2matchza72208z00,
		BGl__expandzd2matchzd2lambdaz00zz__match_expandz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zz__match_expandz00,
		BgL_bgl_za7c3anonymousza7a312209z00,
		BGl_zc3anonymousza31742ze3z83zz__match_expandz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2186z00zz__match_expandz00,
		BgL_bgl_string2186za700za7za7_2210za7, "not", 3);
	      DEFINE_STRING(BGl_string2200z00zz__match_expandz00,
		BgL_bgl_string2200za700za7za7_2211za7, "labels", 6);
	      DEFINE_STRING(BGl_string2190z00zz__match_expandz00,
		BgL_bgl_string2190za700za7za7_2212za7, "TAG-", 4);
	      DEFINE_STRING(BGl_string2189z00zz__match_expandz00,
		BgL_bgl_string2189za700za7za7_2213za7, "any", 3);
	      DEFINE_STRING(BGl_string2192z00zz__match_expandz00,
		BgL_bgl_string2192za700za7za7_2214za7, "else", 4);
	      DEFINE_STRING(BGl_string2203z00zz__match_expandz00,
		BgL_bgl_string2203za700za7za7_2215za7, "t-or", 4);
	      DEFINE_STRING(BGl_string2194z00zz__match_expandz00,
		BgL_bgl_string2194za700za7za7_2216za7, "tagged-or", 9);
	      DEFINE_STRING(BGl_string2205z00zz__match_expandz00,
		BgL_bgl_string2205za700za7za7_2217za7, "match-lambda", 12);
	      DEFINE_STRING(BGl_string2206z00zz__match_expandz00,
		BgL_bgl_string2206za700za7za7_2218za7, "__match_expand", 14);
	      DEFINE_STRING(BGl_string2196z00zz__match_expandz00,
		BgL_bgl_string2196za700za7za7_2219za7, "match-case", 10);
	      DEFINE_STRING(BGl_string2197z00zz__match_expandz00,
		BgL_bgl_string2197za700za7za7_2220za7, "Illegal expression", 18);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__match_expandz00(long
		BgL_checksumz00_1615, char *BgL_fromz00_1616)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__match_expandz00))
				{
					BGl_requirezd2initializa7ationz75zz__match_expandz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__match_expandz00();
					BGl_importedzd2moduleszd2initz00zz__match_expandz00();
					BGl_toplevelzd2initzd2zz__match_expandz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__match_expandz00()
	{
		AN_OBJECT;
		{	/* Match/mexpand.scm 26 */
			BGl_symbol2185z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string2186z00zz__match_expandz00);
			BGl_symbol2188z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string2189z00zz__match_expandz00);
			BGl_list2187z00zz__match_expandz00 =
				MAKE_PAIR(BGl_symbol2188z00zz__match_expandz00, BNIL);
			BGl_list2184z00zz__match_expandz00 =
				MAKE_PAIR(BGl_symbol2185z00zz__match_expandz00,
				MAKE_PAIR(BGl_list2187z00zz__match_expandz00, BNIL));
			BGl_symbol2191z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string2192z00zz__match_expandz00);
			BGl_symbol2193z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string2194z00zz__match_expandz00);
			BGl_symbol2195z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string2196z00zz__match_expandz00);
			BGl_symbol2199z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string2200z00zz__match_expandz00);
			BGl_symbol2202z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string2203z00zz__match_expandz00);
			BGl_list2201z00zz__match_expandz00 =
				MAKE_PAIR(BGl_symbol2202z00zz__match_expandz00,
				MAKE_PAIR(BGl_symbol2193z00zz__match_expandz00, BNIL));
			return (BGl_symbol2204z00zz__match_expandz00 =
				bstring_to_symbol(BGl_string2205z00zz__match_expandz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__match_expandz00()
	{
		AN_OBJECT;
		{	/* Match/mexpand.scm 26 */
			return (BGl_za2thezd2emptyzd2envza2z00zz__match_expandz00 =
				BNIL, BUNSPEC);
		}
	}



/* expand-match-lambda */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2matchzd2lambdaz00zz__match_expandz00(obj_t
		BgL_expz00_1)
	{
		AN_OBJECT;
		{	/* Match/mexpand.scm 71 */
			{
				obj_t BgL_clausesz00_726;

				obj_t BgL_kz00_727;

				BgL_clausesz00_726 = CDR(BgL_expz00_1);
				BgL_kz00_727 = BGl_proc2198z00zz__match_expandz00;
			BgL_clauseszd2ze3patternz31_728:
				if (NULLP(BgL_clausesz00_726))
					{	/* Match/mexpand.scm 75 */
						return
							PROCEDURE_ENTRY(BgL_kz00_727) (BgL_kz00_727,
							BGl_list2184z00zz__match_expandz00,
							BGl_za2thezd2emptyzd2envza2z00zz__match_expandz00, BEOA);
					}
				else
					{	/* Match/mexpand.scm 77 */
						bool_t BgL_testz00_1640;

						{	/* Match/mexpand.scm 77 */
							obj_t BgL_auxz00_1641;

							BgL_auxz00_1641 = CAR(BgL_clausesz00_726);
							BgL_testz00_1640 = PAIRP(BgL_auxz00_1641);
						}
						if (BgL_testz00_1640)
							{	/* Match/mexpand.scm 80 */
								obj_t BgL_patternz00_765;

								obj_t BgL_actionsz00_766;

								obj_t BgL_restz00_767;

								{	/* Match/mexpand.scm 80 */
									obj_t BgL_pairz00_1350;

									BgL_pairz00_1350 = BgL_clausesz00_726;
									BgL_patternz00_765 = CAR(CAR(BgL_pairz00_1350));
								}
								{	/* Match/mexpand.scm 81 */
									obj_t BgL_pairz00_1354;

									BgL_pairz00_1354 = BgL_clausesz00_726;
									BgL_actionsz00_766 = CDR(CAR(BgL_pairz00_1354));
								}
								BgL_restz00_767 = CDR(BgL_clausesz00_726);
								{	/* Match/mexpand.scm 83 */
									obj_t BgL_tagz00_768;

									BgL_tagz00_768 =
										PROCEDURE_ENTRY(BGl_jimzd2gensymzd2zz__match_s2cfunz00)
										(BGl_jimzd2gensymzd2zz__match_s2cfunz00,
										BGl_string2190z00zz__match_expandz00, BEOA);
									if ((BgL_patternz00_765 ==
											BGl_symbol2191z00zz__match_expandz00))
										{	/* Match/mexpand.scm 85 */
											obj_t BgL_arg1766z00_770;

											obj_t BgL_arg1767z00_771;

											{	/* Match/mexpand.scm 85 */
												obj_t BgL_arg1768z00_772;

												obj_t BgL_arg1770z00_773;

												BgL_arg1768z00_772 =
													BGl_symbol2193z00zz__match_expandz00;
												{	/* Match/mexpand.scm 85 */
													obj_t BgL_arg1771z00_774;

													obj_t BgL_arg1772z00_775;

													BgL_arg1771z00_774 =
														MAKE_PAIR(BGl_symbol2188z00zz__match_expandz00,
														BNIL);
													{	/* Match/mexpand.scm 85 */
														obj_t BgL_arg1778z00_780;

														obj_t BgL_arg1780z00_781;

														BgL_arg1778z00_780 =
															BGl_symbol2185z00zz__match_expandz00;
														{	/* Match/mexpand.scm 85 */
															obj_t BgL_arg1781z00_782;

															BgL_arg1781z00_782 =
																MAKE_PAIR(BGl_symbol2188z00zz__match_expandz00,
																BNIL);
															{	/* Match/mexpand.scm 85 */
																obj_t BgL_list1783z00_784;

																BgL_list1783z00_784 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg1780z00_781 =
																	BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1781z00_782, BgL_list1783z00_784);
															}
														}
														BgL_arg1772z00_775 =
															MAKE_PAIR(BgL_arg1778z00_780, BgL_arg1780z00_781);
													}
													{	/* Match/mexpand.scm 85 */
														obj_t BgL_list1774z00_777;

														{	/* Match/mexpand.scm 85 */
															obj_t BgL_arg1775z00_778;

															{	/* Match/mexpand.scm 85 */
																obj_t BgL_arg1776z00_779;

																BgL_arg1776z00_779 = MAKE_PAIR(BNIL, BNIL);
																BgL_arg1775z00_778 =
																	MAKE_PAIR(BgL_arg1772z00_775,
																	BgL_arg1776z00_779);
															}
															BgL_list1774z00_777 =
																MAKE_PAIR(BgL_tagz00_768, BgL_arg1775z00_778);
														}
														BgL_arg1770z00_773 =
															BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
															(BgL_arg1771z00_774, BgL_list1774z00_777);
													}
												}
												BgL_arg1766z00_770 =
													MAKE_PAIR(BgL_arg1768z00_772, BgL_arg1770z00_773);
											}
											{	/* Match/mexpand.scm 86 */
												obj_t BgL_envz00_1359;

												BgL_envz00_1359 =
													BGl_za2thezd2emptyzd2envza2z00zz__match_expandz00;
												{	/* Match/mexpand.scm 86 */
													obj_t BgL_arg1816z00_1362;

													BgL_arg1816z00_1362 =
														MAKE_PAIR(BgL_tagz00_768, BgL_actionsz00_766);
													BgL_arg1767z00_771 =
														MAKE_PAIR(BgL_arg1816z00_1362, BgL_envz00_1359);
												}
											}
											return
												PROCEDURE_ENTRY(BgL_kz00_727) (BgL_kz00_727,
												BgL_arg1766z00_770, BgL_arg1767z00_771, BEOA);
										}
									else
										{	/* Match/mexpand.scm 90 */
											obj_t BgL_zc3anonymousza31786ze3z83_1600;

											BgL_zc3anonymousza31786ze3z83_1600 =
												make_fx_procedure
												(BGl_zc3anonymousza31786ze3z83zz__match_expandz00,
												(int) (((long) 2)), (int) (((long) 4)));
											PROCEDURE_SET(BgL_zc3anonymousza31786ze3z83_1600,
												(int) (((long) 0)), BgL_patternz00_765);
											PROCEDURE_SET(BgL_zc3anonymousza31786ze3z83_1600,
												(int) (((long) 1)), BgL_tagz00_768);
											PROCEDURE_SET(BgL_zc3anonymousza31786ze3z83_1600,
												(int) (((long) 2)), BgL_actionsz00_766);
											PROCEDURE_SET(BgL_zc3anonymousza31786ze3z83_1600,
												(int) (((long) 3)), BgL_kz00_727);
											{
												obj_t BgL_kz00_1679;

												obj_t BgL_clausesz00_1678;

												BgL_clausesz00_1678 = BgL_restz00_767;
												BgL_kz00_1679 = BgL_zc3anonymousza31786ze3z83_1600;
												BgL_kz00_727 = BgL_kz00_1679;
												BgL_clausesz00_726 = BgL_clausesz00_1678;
												goto BgL_clauseszd2ze3patternz31_728;
											}
										}
								}
							}
						else
							{	/* Match/mexpand.scm 77 */
								return
									BGl_errorz00zz__errorz00(BGl_symbol2195z00zz__match_expandz00,
									BGl_string2197z00zz__match_expandz00, BgL_expz00_1);
							}
					}
			}
		}
	}



/* _expand-match-lambda */
	obj_t BGl__expandzd2matchzd2lambdaz00zz__match_expandz00(obj_t
		BgL_envz00_1601, obj_t BgL_expz00_1602)
	{
		AN_OBJECT;
		{	/* Match/mexpand.scm 71 */
			return BGl_expandzd2matchzd2lambdaz00zz__match_expandz00(BgL_expz00_1602);
		}
	}



/* <anonymous:1742> */
	obj_t BGl_zc3anonymousza31742ze3z83zz__match_expandz00(obj_t BgL_envz00_1603,
		obj_t BgL_patz00_1604, obj_t BgL_envz00_1605)
	{
		AN_OBJECT;
		{	/* Match/mexpand.scm 110 */
			{
				obj_t BgL_patz00_731;

				obj_t BgL_envz00_732;

				BgL_patz00_731 = BgL_patz00_1604;
				BgL_envz00_732 = BgL_envz00_1605;
				{	/* Match/mexpand.scm 111 */
					obj_t BgL_compiledzd2patzd2_734;

					obj_t BgL_prototypesz00_735;

					BgL_compiledzd2patzd2_734 =
						BGl_pcompilez00zz__match_compilerz00(BgL_patz00_731);
					BgL_prototypesz00_735 =
						BGl_fetchzd2prototypeszd2zz__match_expandz00(BgL_patz00_731);
					{	/* Match/mexpand.scm 115 */
						obj_t BgL_arg1743z00_736;

						obj_t BgL_arg1744z00_737;

						BgL_arg1743z00_736 = BGl_symbol2199z00zz__match_expandz00;
						{	/* Match/mexpand.scm 116 */
							obj_t BgL_arg1745z00_738;

							{	/* Match/mexpand.scm 116 */
								obj_t BgL_arg1749z00_742;

								if (NULLP(BgL_prototypesz00_735))
									{	/* Match/mexpand.scm 116 */
										BgL_arg1749z00_742 = BNIL;
									}
								else
									{	/* Match/mexpand.scm 116 */
										obj_t BgL_head1696z00_746;

										BgL_head1696z00_746 = MAKE_PAIR(BNIL, BNIL);
										{
											obj_t BgL_l1694z00_747;

											obj_t BgL_tail1697z00_748;

											BgL_l1694z00_747 = BgL_prototypesz00_735;
											BgL_tail1697z00_748 = BgL_head1696z00_746;
										BgL_map1695z00_749:
											if (NULLP(BgL_l1694z00_747))
												{	/* Match/mexpand.scm 116 */
													BgL_arg1749z00_742 = CDR(BgL_head1696z00_746);
												}
											else
												{	/* Match/mexpand.scm 116 */
													obj_t BgL_newtail1698z00_751;

													{	/* Match/mexpand.scm 116 */
														obj_t BgL_arg1754z00_753;

														{	/* Match/mexpand.scm 116 */
															obj_t BgL_prototypez00_755;

															BgL_prototypez00_755 = CAR(BgL_l1694z00_747);
															{	/* Match/mexpand.scm 118 */
																obj_t BgL_arg1756z00_756;

																obj_t BgL_arg1757z00_757;

																BgL_arg1756z00_756 = CAR(BgL_prototypez00_755);
																{	/* Match/mexpand.scm 119 */
																	obj_t BgL_arg1758z00_758;

																	obj_t BgL_arg1759z00_759;

																	{	/* Match/mexpand.scm 119 */
																		obj_t BgL_pairz00_1336;

																		BgL_pairz00_1336 = BgL_prototypez00_755;
																		BgL_arg1758z00_758 =
																			CAR(CDR(BgL_pairz00_1336));
																	}
																	BgL_arg1759z00_759 =
																		CDR(BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																		(CAR(BgL_prototypez00_755),
																			BgL_envz00_732));
																	BgL_arg1757z00_757 =
																		MAKE_PAIR(BgL_arg1758z00_758,
																		BgL_arg1759z00_759);
																}
																BgL_arg1754z00_753 =
																	MAKE_PAIR(BgL_arg1756z00_756,
																	BgL_arg1757z00_757);
															}
														}
														BgL_newtail1698z00_751 =
															MAKE_PAIR(BgL_arg1754z00_753, BNIL);
													}
													SET_CDR(BgL_tail1697z00_748, BgL_newtail1698z00_751);
													{
														obj_t BgL_tail1697z00_1704;

														obj_t BgL_l1694z00_1702;

														BgL_l1694z00_1702 = CDR(BgL_l1694z00_747);
														BgL_tail1697z00_1704 = BgL_newtail1698z00_751;
														BgL_tail1697z00_748 = BgL_tail1697z00_1704;
														BgL_l1694z00_747 = BgL_l1694z00_1702;
														goto BgL_map1695z00_749;
													}
												}
										}
									}
								BgL_arg1745z00_738 =
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1749z00_742, BNIL);
							}
							{	/* Match/mexpand.scm 115 */
								obj_t BgL_list1747z00_740;

								{	/* Match/mexpand.scm 115 */
									obj_t BgL_arg1748z00_741;

									BgL_arg1748z00_741 = MAKE_PAIR(BNIL, BNIL);
									BgL_list1747z00_740 =
										MAKE_PAIR(BgL_compiledzd2patzd2_734, BgL_arg1748z00_741);
								}
								BgL_arg1744z00_737 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1745z00_738, BgL_list1747z00_740);
							}
						}
						return MAKE_PAIR(BgL_arg1743z00_736, BgL_arg1744z00_737);
					}
				}
			}
		}
	}



/* <anonymous:1786> */
	obj_t BGl_zc3anonymousza31786ze3z83zz__match_expandz00(obj_t BgL_envz00_1606,
		obj_t BgL_patz00_1611, obj_t BgL_envz00_1612)
	{
		AN_OBJECT;
		{	/* Match/mexpand.scm 89 */
			{	/* Match/mexpand.scm 90 */
				obj_t BgL_patternz00_1607;

				obj_t BgL_tagz00_1608;

				obj_t BgL_actionsz00_1609;

				obj_t BgL_kz00_1610;

				BgL_patternz00_1607 =
					PROCEDURE_REF(BgL_envz00_1606, (int) (((long) 0)));
				BgL_tagz00_1608 = PROCEDURE_REF(BgL_envz00_1606, (int) (((long) 1)));
				BgL_actionsz00_1609 =
					PROCEDURE_REF(BgL_envz00_1606, (int) (((long) 2)));
				BgL_kz00_1610 = PROCEDURE_REF(BgL_envz00_1606, (int) (((long) 3)));
				{
					obj_t BgL_patz00_786;

					obj_t BgL_envz00_787;

					BgL_patz00_786 = BgL_patz00_1611;
					BgL_envz00_787 = BgL_envz00_1612;
					{	/* Match/mexpand.scm 90 */
						obj_t BgL_arg1787z00_789;

						obj_t BgL_arg1788z00_790;

						{	/* Match/mexpand.scm 90 */
							obj_t BgL_arg1789z00_791;

							obj_t BgL_arg1790z00_792;

							BgL_arg1789z00_791 = BGl_symbol2193z00zz__match_expandz00;
							{	/* Match/mexpand.scm 90 */
								obj_t BgL_arg1791z00_793;

								BgL_arg1791z00_793 =
									BGl_normaliza7ezd2patternz75zz__match_normaliza7eza7
									(BgL_patternz00_1607);
								{	/* Match/mexpand.scm 90 */
									obj_t BgL_list1793z00_795;

									{	/* Match/mexpand.scm 90 */
										obj_t BgL_arg1794z00_796;

										{	/* Match/mexpand.scm 90 */
											obj_t BgL_arg1795z00_797;

											BgL_arg1795z00_797 = MAKE_PAIR(BNIL, BNIL);
											BgL_arg1794z00_796 =
												MAKE_PAIR(BgL_patz00_786, BgL_arg1795z00_797);
										}
										BgL_list1793z00_795 =
											MAKE_PAIR(BgL_tagz00_1608, BgL_arg1794z00_796);
									}
									BgL_arg1790z00_792 =
										BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
										(BgL_arg1791z00_793, BgL_list1793z00_795);
							}}
							BgL_arg1787z00_789 =
								MAKE_PAIR(BgL_arg1789z00_791, BgL_arg1790z00_792);
						}
						{	/* Match/mexpand.scm 93 */
							obj_t BgL_arg1816z00_1366;

							BgL_arg1816z00_1366 =
								MAKE_PAIR(BgL_tagz00_1608, BgL_actionsz00_1609);
							BgL_arg1788z00_790 =
								MAKE_PAIR(BgL_arg1816z00_1366, BgL_envz00_787);
						}
						return
							PROCEDURE_ENTRY(BgL_kz00_1610) (BgL_kz00_1610, BgL_arg1787z00_789,
							BgL_arg1788z00_790, BEOA);
					}
				}
			}
		}
	}



/* fetch-prototypes */
	obj_t BGl_fetchzd2prototypeszd2zz__match_expandz00(obj_t BgL_patz00_2)
	{
		AN_OBJECT;
		{	/* Match/mexpand.scm 125 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CAR(BgL_patz00_2),
						BGl_list2201z00zz__match_expandz00)))
				{	/* Match/mexpand.scm 127 */
					obj_t BgL_arg1798z00_801;

					obj_t BgL_arg1799z00_802;

					{	/* Match/mexpand.scm 127 */
						obj_t BgL_arg1800z00_803;

						obj_t BgL_arg1801z00_804;

						{	/* Match/mexpand.scm 127 */
							obj_t BgL_pairz00_1368;

							BgL_pairz00_1368 = BgL_patz00_2;
							BgL_arg1800z00_803 = CAR(CDR(CDR(BgL_pairz00_1368)));
						}
						{	/* Match/mexpand.scm 127 */
							obj_t BgL_arg1802z00_805;

							{	/* Match/mexpand.scm 127 */
								obj_t BgL_arg1805z00_808;

								{	/* Match/mexpand.scm 127 */
									obj_t BgL_pairz00_1374;

									BgL_pairz00_1374 = BgL_patz00_2;
									BgL_arg1805z00_808 = CAR(CDR(BgL_pairz00_1374));
								}
								BgL_arg1802z00_805 =
									BGl_patternzd2variableszd2zz__match_descriptionsz00
									(BgL_arg1805z00_808);
							}
							{	/* Match/mexpand.scm 127 */
								obj_t BgL_list1804z00_807;

								BgL_list1804z00_807 = MAKE_PAIR(BNIL, BNIL);
								BgL_arg1801z00_804 =
									BGl_consza2za2zz__r4_pairs_and_lists_6_3z00
									(BgL_arg1802z00_805, BgL_list1804z00_807);
							}
						}
						BgL_arg1798z00_801 =
							MAKE_PAIR(BgL_arg1800z00_803, BgL_arg1801z00_804);
					}
					{	/* Match/mexpand.scm 128 */
						obj_t BgL_arg1806z00_809;

						{	/* Match/mexpand.scm 128 */
							obj_t BgL_pairz00_1378;

							BgL_pairz00_1378 = BgL_patz00_2;
							BgL_arg1806z00_809 = CAR(CDR(CDR(CDR(BgL_pairz00_1378))));
						}
						BgL_arg1799z00_802 =
							BGl_fetchzd2prototypeszd2zz__match_expandz00(BgL_arg1806z00_809);
					}
					return MAKE_PAIR(BgL_arg1798z00_801, BgL_arg1799z00_802);
				}
			else
				{	/* Match/mexpand.scm 126 */
					return BNIL;
				}
		}
	}



/* expand-match-case */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2matchzd2casez00zz__match_expandz00(obj_t
		BgL_expz00_3)
	{
		AN_OBJECT;
		{	/* Match/mexpand.scm 131 */
			{	/* Match/mexpand.scm 132 */
				obj_t BgL_arg1809z00_812;

				obj_t BgL_arg1810z00_813;

				{	/* Match/mexpand.scm 132 */
					obj_t BgL_arg1813z00_816;

					{	/* Match/mexpand.scm 132 */
						obj_t BgL_arg1814z00_817;

						obj_t BgL_arg1815z00_818;

						BgL_arg1814z00_817 = BGl_symbol2204z00zz__match_expandz00;
						{	/* Match/mexpand.scm 132 */
							obj_t BgL_pairz00_1386;

							BgL_pairz00_1386 = BgL_expz00_3;
							BgL_arg1815z00_818 = CDR(CDR(BgL_pairz00_1386));
						}
						BgL_arg1813z00_816 =
							MAKE_PAIR(BgL_arg1814z00_817, BgL_arg1815z00_818);
					}
					BgL_arg1809z00_812 =
						BGl_expandzd2matchzd2lambdaz00zz__match_expandz00
						(BgL_arg1813z00_816);
				}
				{	/* Match/mexpand.scm 133 */
					obj_t BgL_pairz00_1390;

					BgL_pairz00_1390 = BgL_expz00_3;
					BgL_arg1810z00_813 = CAR(CDR(BgL_pairz00_1390));
				}
				{	/* Match/mexpand.scm 132 */
					obj_t BgL_list1811z00_814;

					{	/* Match/mexpand.scm 132 */
						obj_t BgL_arg1812z00_815;

						BgL_arg1812z00_815 = MAKE_PAIR(BgL_arg1810z00_813, BNIL);
						BgL_list1811z00_814 =
							MAKE_PAIR(BgL_arg1809z00_812, BgL_arg1812z00_815);
					}
					return BgL_list1811z00_814;
				}
			}
		}
	}



/* _expand-match-case */
	obj_t BGl__expandzd2matchzd2casez00zz__match_expandz00(obj_t BgL_envz00_1613,
		obj_t BgL_expz00_1614)
	{
		AN_OBJECT;
		{	/* Match/mexpand.scm 131 */
			return BGl_expandzd2matchzd2casez00zz__match_expandz00(BgL_expz00_1614);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__match_expandz00()
	{
		AN_OBJECT;
		{	/* Match/mexpand.scm 26 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__match_expandz00()
	{
		AN_OBJECT;
		{	/* Match/mexpand.scm 26 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2206z00zz__match_expandz00));
			BGl_modulezd2initializa7ationz75zz__match_compilerz00(((long) 141933902),
				BSTRING_TO_STRING(BGl_string2206z00zz__match_expandz00));
			BGl_modulezd2initializa7ationz75zz__match_descriptionsz00(((long)
					307502710), BSTRING_TO_STRING(BGl_string2206z00zz__match_expandz00));
			BGl_modulezd2initializa7ationz75zz__match_normaliza7eza7(((long)
					123685331), BSTRING_TO_STRING(BGl_string2206z00zz__match_expandz00));
			BGl_modulezd2initializa7ationz75zz__match_s2cfunz00(((long) 228296415),
				BSTRING_TO_STRING(BGl_string2206z00zz__match_expandz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 23161561),
				BSTRING_TO_STRING(BGl_string2206z00zz__match_expandz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 503395061),
				BSTRING_TO_STRING(BGl_string2206z00zz__match_expandz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 441587319),
				BSTRING_TO_STRING(BGl_string2206z00zz__match_expandz00));
			return BGl_modulezd2initializa7ationz75zz__threadz00(((long) 216567556),
				BSTRING_TO_STRING(BGl_string2206z00zz__match_expandz00));
		}
	}

#ifdef __cplusplus
}
#endif
