/*===========================================================================*/
/*   (Pp/circle.scm)                                                         */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Pp/circle.scm -indent -o objs/obj_u/Pp/circle.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	extern obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t bgl_display_fixnum(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL char *BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t,
		int);
	static obj_t BGl_requirezd2initializa7ationz75zz__pp_circlez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	static obj_t BGl__writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	extern obj_t bgl_write_ucs2(obj_t, obj_t);
	static obj_t BGl__jvmzd2debuggingzd2print2241z00zz__pp_circlez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_loopzd2matchedzd2zz__pp_circlez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__pp_circlez00();
	BGL_EXPORTED_DECL obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	extern obj_t bgl_display_ucs2(obj_t, obj_t);
	extern bool_t BGl_classzd2fieldzd2indexedzf3zf3zz__objectz00(obj_t);
	extern obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__pp_circlez00();
	BGL_EXPORTED_DECL obj_t dprint(obj_t);
	extern obj_t BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	static obj_t BGl_symbol2250z00zz__pp_circlez00 = BUNSPEC;
	extern obj_t bgl_display_string(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_outputzd2componentzd2zz__pp_circlez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	static obj_t BGl__czd2debuggingzd2printz00zz__pp_circlez00(obj_t, obj_t);
	extern obj_t BGl_objectzd2printzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_classzd2fieldszd2zz__objectz00(obj_t);
	extern obj_t BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31799ze3z83zz__pp_circlez00(obj_t, obj_t,
		obj_t);
	extern obj_t string_to_bstring(char *);
	extern obj_t BGl_displayzd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_write_char(obj_t, obj_t);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_registerz00zz__pp_circlez00(obj_t, obj_t);
	extern obj_t string_for_read(obj_t);
	static obj_t BGl_circlezd2writezf2displayz20zz__pp_circlez00(obj_t, obj_t,
		bool_t);
	extern obj_t BGl_writezd2symbolzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2lenzd2accessorzd2zz__objectz00(obj_t);
	static obj_t BGl__displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	extern obj_t BGl_writezd2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t real_to_string(double);
	extern obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__pp_circlez00();
	static obj_t BGl_zc3anonymousza31848ze3z83zz__pp_circlez00(obj_t);
	static obj_t BGl_zc3anonymousza31850ze3z83zz__pp_circlez00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_displayzd2circlezd2envz00zz__pp_circlez00,
		BgL_bgl__displayza7d2circl2254za7, opt_generic_entry,
		BGl__displayzd2circlezd2zz__pp_circlez00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_czd2debuggingzd2printzd2envzd2zz__pp_circlez00,
		BgL_bgl__cza7d2debuggingza7d2255z00,
		BGl__czd2debuggingzd2printz00zz__pp_circlez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2debuggingzd2printzd2envzd2zz__pp_circlez00,
		BgL_bgl__jvmza7d2debugging2256za7,
		BGl__jvmzd2debuggingzd2print2241z00zz__pp_circlez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_writezd2envzd2zz__r4_output_6_10_3z00;
	   
		 
		DEFINE_STRING(BGl_string2244z00zz__pp_circlez00,
		BgL_bgl_string2244za700za7za7_2257za7, " . ", 3);
	      DEFINE_STRING(BGl_string2245z00zz__pp_circlez00,
		BgL_bgl_string2245za700za7za7_2258za7, "#{", 2);
	      DEFINE_STRING(BGl_string2246z00zz__pp_circlez00,
		BgL_bgl_string2246za700za7za7_2259za7, "#<cell:", 7);
	      DEFINE_STRING(BGl_string2247z00zz__pp_circlez00,
		BgL_bgl_string2247za700za7za7_2260za7, ">", 1);
	      DEFINE_STRING(BGl_string2248z00zz__pp_circlez00,
		BgL_bgl_string2248za700za7za7_2261za7, "#<mutex:", 8);
	      DEFINE_STRING(BGl_string2249z00zz__pp_circlez00,
		BgL_bgl_string2249za700za7za7_2262za7, "#<condition-variable:", 21);
	      DEFINE_STRING(BGl_string2251z00zz__pp_circlez00,
		BgL_bgl_string2251za700za7za7_2263za7, "_jvm-debugging-print2241", 24);
	      DEFINE_STRING(BGl_string2252z00zz__pp_circlez00,
		BgL_bgl_string2252za700za7za7_2264za7, "int", 3);
	      DEFINE_STRING(BGl_string2253z00zz__pp_circlez00,
		BgL_bgl_string2253za700za7za7_2265za7, "__pp_circle", 11);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2circlezd2envz00zz__pp_circlez00,
		BgL_bgl__writeza7d2circleza72266z00, opt_generic_entry,
		BGl__writezd2circlezd2zz__pp_circlez00, BFALSE, -1);
	extern obj_t BGl_displayzd2envzd2zz__r4_output_6_10_3z00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long
		BgL_checksumz00_1952, char *BgL_fromz00_1953)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__pp_circlez00))
				{
					BGl_requirezd2initializa7ationz75zz__pp_circlez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__pp_circlez00();
					BGl_importedzd2moduleszd2initz00zz__pp_circlez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__pp_circlez00()
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 26 */
			return (BGl_symbol2250z00zz__pp_circlez00 =
				bstring_to_symbol(BGl_string2251z00zz__pp_circlez00), BUNSPEC);
		}
	}



/* _display-circle */
	obj_t BGl__displayzd2circlezd2zz__pp_circlez00(obj_t BgL_envz00_4,
		obj_t BgL_optz00_3)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 77 */
			{	/* Pp/circle.scm 77 */
				obj_t BgL_g1719z00_811;

				BgL_g1719z00_811 = VECTOR_REF(BgL_optz00_3, (int) (((long) 0)));
				{	/* Pp/circle.scm 77 */
					int BgL_aux1721z00_813;

					BgL_aux1721z00_813 = VECTOR_LENGTH(BgL_optz00_3);
					switch ((long) (BgL_aux1721z00_813))
						{
						case ((long) 1):

							{	/* Pp/circle.scm 77 */
								obj_t BgL_portz00_815;

								{	/* Pp/circle.scm 77 */
									obj_t BgL_res2220z00_1511;

									{	/* Pp/circle.scm 77 */
										obj_t BgL_auxz00_1963;

										BgL_auxz00_1963 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2220z00_1511 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1963);
									}
									BgL_portz00_815 = BgL_res2220z00_1511;
								}
								{	/* Pp/circle.scm 77 */

									return
										BGl_circlezd2writezf2displayz20zz__pp_circlez00(VECTOR_REF
										(BgL_optz00_3, (int) (((long) 0))), BgL_portz00_815,
										((bool_t) 1));
							}} break;
						case ((long) 2):

							{	/* Pp/circle.scm 77 */
								obj_t BgL_portz00_817;

								BgL_portz00_817 = VECTOR_REF(BgL_optz00_3, (int) (((long) 1)));
								{	/* Pp/circle.scm 77 */

									return
										BGl_circlezd2writezf2displayz20zz__pp_circlez00(VECTOR_REF
										(BgL_optz00_3, (int) (((long) 0))), BgL_portz00_817,
										((bool_t) 1));
							}} break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* display-circle */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t
		BgL_oz00_1, obj_t BgL_portz00_2)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 77 */
			return
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_oz00_1,
				BgL_portz00_2, ((bool_t) 1));
		}
	}



/* _write-circle */
	obj_t BGl__writezd2circlezd2zz__pp_circlez00(obj_t BgL_envz00_8,
		obj_t BgL_optz00_7)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 83 */
			{	/* Pp/circle.scm 83 */
				obj_t BgL_g1722z00_819;

				BgL_g1722z00_819 = VECTOR_REF(BgL_optz00_7, (int) (((long) 0)));
				{	/* Pp/circle.scm 83 */
					int BgL_aux1724z00_821;

					BgL_aux1724z00_821 = VECTOR_LENGTH(BgL_optz00_7);
					switch ((long) (BgL_aux1724z00_821))
						{
						case ((long) 1):

							{	/* Pp/circle.scm 83 */
								obj_t BgL_portz00_823;

								{	/* Pp/circle.scm 83 */
									obj_t BgL_res2221z00_1517;

									{	/* Pp/circle.scm 83 */
										obj_t BgL_auxz00_1980;

										BgL_auxz00_1980 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res2221z00_1517 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1980);
									}
									BgL_portz00_823 = BgL_res2221z00_1517;
								}
								{	/* Pp/circle.scm 83 */

									return
										BGl_circlezd2writezf2displayz20zz__pp_circlez00(VECTOR_REF
										(BgL_optz00_7, (int) (((long) 0))), BgL_portz00_823,
										((bool_t) 0));
							}} break;
						case ((long) 2):

							{	/* Pp/circle.scm 83 */
								obj_t BgL_portz00_825;

								BgL_portz00_825 = VECTOR_REF(BgL_optz00_7, (int) (((long) 1)));
								{	/* Pp/circle.scm 83 */

									return
										BGl_circlezd2writezf2displayz20zz__pp_circlez00(VECTOR_REF
										(BgL_optz00_7, (int) (((long) 0))), BgL_portz00_825,
										((bool_t) 0));
							}} break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* write-circle */
	BGL_EXPORTED_DEF obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t BgL_oz00_5,
		obj_t BgL_portz00_6)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 83 */
			return
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_oz00_5,
				BgL_portz00_6, ((bool_t) 0));
		}
	}



/* circle-write/display */
	obj_t BGl_circlezd2writezf2displayz20zz__pp_circlez00(obj_t BgL_objz00_9,
		obj_t BgL_portz00_10, bool_t BgL_flagz00_11)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 96 */
			{	/* Pp/circle.scm 97 */
				obj_t BgL_cachez00_827;

				BgL_cachez00_827 = MAKE_CELL(BNIL);
				{	/* Pp/circle.scm 97 */
					obj_t BgL_nextzd2cardinalzd2_828;

					{	/* Pp/circle.scm 98 */
						obj_t BgL_serialz00_969;

						{	/* Pp/circle.scm 98 */
							obj_t BgL_cellvalz00_1994;

							BgL_cellvalz00_1994 = BINT(((long) -1));
							BgL_serialz00_969 = MAKE_CELL(BgL_cellvalz00_1994);
						}
						{	/* Pp/circle.scm 99 */
							obj_t BgL_zc3anonymousza31848ze3z83_1914;

							BgL_zc3anonymousza31848ze3z83_1914 =
								make_fx_procedure(BGl_zc3anonymousza31848ze3z83zz__pp_circlez00,
								(int) (((long) 0)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza31848ze3z83_1914,
								(int) (((long) 0)), BgL_serialz00_969);
							BgL_nextzd2cardinalzd2_828 = BgL_zc3anonymousza31848ze3z83_1914;
					}}
					{	/* Pp/circle.scm 98 */

						BGl_registerz00zz__pp_circlez00(BgL_cachez00_827, BgL_objz00_9);
						{	/* Pp/circle.scm 171 */

							BGl_outputzd2componentzd2zz__pp_circlez00
								(BgL_nextzd2cardinalzd2_828, BBOOL(BgL_flagz00_11),
								BgL_portz00_10, BgL_cachez00_827, BgL_objz00_9);
			}}}}
			return BUNSPEC;
		}
	}



/* register */
	obj_t BGl_registerz00zz__pp_circlez00(obj_t BgL_cachez00_1949,
		obj_t BgL_objz00_910)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 165 */
		BGl_registerz00zz__pp_circlez00:
			{
				obj_t BgL_objz00_938;

				{	/* Pp/circle.scm 135 */
					bool_t BgL_testz00_2004;

					{	/* Pp/circle.scm 135 */
						bool_t BgL_testz00_2005;

						if (INTEGERP(BgL_objz00_910))
							{	/* Pp/circle.scm 135 */
								BgL_testz00_2005 = ((bool_t) 1);
							}
						else
							{	/* Pp/circle.scm 135 */
								if (REALP(BgL_objz00_910))
									{	/* Pp/circle.scm 135 */
										BgL_testz00_2005 = ((bool_t) 1);
									}
								else
									{	/* Pp/circle.scm 135 */
										if (ELONGP(BgL_objz00_910))
											{	/* Pp/circle.scm 135 */
												BgL_testz00_2005 = ((bool_t) 1);
											}
										else
											{	/* Pp/circle.scm 135 */
												if (LLONGP(BgL_objz00_910))
													{	/* Pp/circle.scm 135 */
														BgL_testz00_2005 = ((bool_t) 1);
													}
												else
													{	/* Pp/circle.scm 135 */
														BgL_testz00_2005 = BIGNUMP(BgL_objz00_910);
													}
											}
									}
							}
						if (BgL_testz00_2005)
							{	/* Pp/circle.scm 135 */
								BgL_testz00_2004 = ((bool_t) 1);
							}
						else
							{	/* Pp/circle.scm 135 */
								if (SYMBOLP(BgL_objz00_910))
									{	/* Pp/circle.scm 136 */
										BgL_testz00_2004 = ((bool_t) 1);
									}
								else
									{	/* Pp/circle.scm 136 */
										if (STRINGP(BgL_objz00_910))
											{	/* Pp/circle.scm 137 */
												BgL_testz00_2004 = ((bool_t) 1);
											}
										else
											{	/* Pp/circle.scm 137 */
												if (CNSTP(BgL_objz00_910))
													{	/* Pp/circle.scm 138 */
														BgL_testz00_2004 = ((bool_t) 1);
													}
												else
													{	/* Pp/circle.scm 138 */
														if (NULLP(BgL_objz00_910))
															{	/* Pp/circle.scm 139 */
																BgL_testz00_2004 = ((bool_t) 1);
															}
														else
															{	/* Pp/circle.scm 139 */
																BgL_testz00_2004 =
																	BGl_classzf3zf3zz__objectz00(BgL_objz00_910);
															}
													}
											}
									}
							}
					}
					if (BgL_testz00_2004)
						{	/* Pp/circle.scm 135 */
							return BFALSE;
						}
					else
						{	/* Pp/circle.scm 141 */
							obj_t BgL_matchz00_913;

							BgL_matchz00_913 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_objz00_910,
								CELL_REF(BgL_cachez00_1949));
							if (CBOOL(BgL_matchz00_913))
								{	/* Pp/circle.scm 142 */
									return SET_CDR(BgL_matchz00_913, BTRUE);
								}
							else
								{	/* Pp/circle.scm 142 */
									{	/* Pp/circle.scm 145 */
										obj_t BgL_auxz00_1929;

										{	/* Pp/circle.scm 145 */
											obj_t BgL_arg1815z00_914;

											BgL_arg1815z00_914 = MAKE_PAIR(BgL_objz00_910, BFALSE);
											BgL_auxz00_1929 =
												MAKE_PAIR(BgL_arg1815z00_914,
												CELL_REF(BgL_cachez00_1949));
										}
										CELL_SET(BgL_cachez00_1949, BgL_auxz00_1929);
									}
									if (PAIRP(BgL_objz00_910))
										{	/* Pp/circle.scm 147 */
											BGl_registerz00zz__pp_circlez00(BgL_cachez00_1949,
												CAR(BgL_objz00_910));
											{
												obj_t BgL_objz00_2034;

												BgL_objz00_2034 = CDR(BgL_objz00_910);
												BgL_objz00_910 = BgL_objz00_2034;
												goto BGl_registerz00zz__pp_circlez00;
											}
										}
									else
										{	/* Pp/circle.scm 147 */
											if (VECTORP(BgL_objz00_910))
												{	/* Pp/circle.scm 151 */
													int BgL_lenz00_919;

													BgL_lenz00_919 = VECTOR_LENGTH(BgL_objz00_910);
													{
														long BgL_countz00_920;

														{	/* Pp/circle.scm 152 */
															bool_t BgL_auxz00_2039;

															BgL_countz00_920 = ((long) 0);
														BgL_loopzd2countzd2_921:
															if ((BgL_countz00_920 >= (long) (BgL_lenz00_919)))
																{	/* Pp/circle.scm 153 */
																	BgL_auxz00_2039 = ((bool_t) 0);
																}
															else
																{	/* Pp/circle.scm 153 */
																	BGl_registerz00zz__pp_circlez00
																		(BgL_cachez00_1949,
																		VECTOR_REF(BgL_objz00_910,
																			(int) (BgL_countz00_920)));
																	{
																		long BgL_countz00_2046;

																		BgL_countz00_2046 =
																			(BgL_countz00_920 + ((long) 1));
																		BgL_countz00_920 = BgL_countz00_2046;
																		goto BgL_loopzd2countzd2_921;
																	}
																}
															return BBOOL(BgL_auxz00_2039);
														}
													}
												}
											else
												{	/* Pp/circle.scm 150 */
													if (STRUCTP(BgL_objz00_910))
														{	/* Pp/circle.scm 158 */
															int BgL_lenz00_926;

															BgL_lenz00_926 = STRUCT_LENGTH(BgL_objz00_910);
															{
																long BgL_countz00_927;

																{	/* Pp/circle.scm 159 */
																	bool_t BgL_auxz00_2052;

																	BgL_countz00_927 = ((long) 0);
																BgL_loopzd2countzd2_928:
																	if (
																		(BgL_countz00_927 >=
																			(long) (BgL_lenz00_926)))
																		{	/* Pp/circle.scm 160 */
																			BgL_auxz00_2052 = ((bool_t) 0);
																		}
																	else
																		{	/* Pp/circle.scm 160 */
																			BGl_registerz00zz__pp_circlez00
																				(BgL_cachez00_1949,
																				STRUCT_REF(BgL_objz00_910,
																					(int) (BgL_countz00_927)));
																			{
																				long BgL_countz00_2059;

																				BgL_countz00_2059 =
																					(BgL_countz00_927 + ((long) 1));
																				BgL_countz00_927 = BgL_countz00_2059;
																				goto BgL_loopzd2countzd2_928;
																			}
																		}
																	return BBOOL(BgL_auxz00_2052);
																}
															}
														}
													else
														{	/* Pp/circle.scm 157 */
															if (BGL_OBJECTP(BgL_objz00_910))
																{	/* Pp/circle.scm 165 */
																	bool_t BgL_auxz00_2064;

																	BgL_objz00_938 = BgL_objz00_910;
																	{	/* Pp/circle.scm 103 */
																		obj_t BgL_classz00_940;

																		{	/* Pp/circle.scm 103 */
																			BgL_objectz00_bglt BgL_objectz00_1661;

																			BgL_objectz00_1661 =
																				(BgL_objectz00_bglt) (BgL_objz00_938);
																			{	/* Pp/circle.scm 103 */
																				long BgL_arg2206z00_1662;

																				{	/* Pp/circle.scm 103 */
																					long BgL_arg2207z00_1663;

																					BgL_arg2207z00_1663 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_objectz00_1661);
																					BgL_arg2206z00_1662 =
																						(BgL_arg2207z00_1663 - OBJECT_TYPE);
																				}
																				BgL_classz00_940 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					(int) (BgL_arg2206z00_1662));
																		}}
																		{	/* Pp/circle.scm 104 */
																			obj_t BgL_fieldsz00_942;

																			BgL_fieldsz00_942 =
																				BGl_classzd2fieldszd2zz__objectz00
																				(BgL_classz00_940);
																			{	/* Pp/circle.scm 105 */

																				{	/* Pp/circle.scm 106 */
																					bool_t BgL_testz00_2071;

																					{	/* Pp/circle.scm 106 */
																						bool_t BgL__ortest_1705z00_1670;

																						BgL__ortest_1705z00_1670 =
																							PAIRP(BgL_fieldsz00_942);
																						if (BgL__ortest_1705z00_1670)
																							{	/* Pp/circle.scm 106 */
																								BgL_testz00_2071 =
																									BgL__ortest_1705z00_1670;
																							}
																						else
																							{	/* Pp/circle.scm 106 */
																								BgL_testz00_2071 =
																									NULLP(BgL_fieldsz00_942);
																							}
																					}
																					if (BgL_testz00_2071)
																						{
																							obj_t BgL_fieldsz00_944;

																							obj_t BgL_classz00_945;

																							BgL_fieldsz00_944 =
																								BgL_fieldsz00_942;
																							BgL_classz00_945 =
																								BgL_classz00_940;
																						BgL_loopz00_946:
																							if (NULLP(BgL_fieldsz00_944))
																								{	/* Pp/circle.scm 111 */
																									obj_t BgL_superz00_948;

																									BgL_superz00_948 =
																										BGl_classzd2superzd2zz__objectz00
																										(BgL_classz00_945);
																									if (BGl_classzf3zf3zz__objectz00(BgL_superz00_948))
																										{
																											obj_t BgL_classz00_2082;

																											obj_t BgL_fieldsz00_2080;

																											BgL_fieldsz00_2080 =
																												BGl_classzd2fieldszd2zz__objectz00
																												(BgL_superz00_948);
																											BgL_classz00_2082 =
																												BgL_superz00_948;
																											BgL_classz00_945 =
																												BgL_classz00_2082;
																											BgL_fieldsz00_944 =
																												BgL_fieldsz00_2080;
																											goto BgL_loopz00_946;
																										}
																									else
																										{	/* Pp/circle.scm 112 */
																											BgL_auxz00_2064 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Pp/circle.scm 110 */
																									if (
																										(BgL_fieldsz00_944 ==
																											BUNSPEC))
																										{
																											obj_t BgL_fieldsz00_2085;

																											BgL_fieldsz00_2085 = BNIL;
																											BgL_fieldsz00_944 =
																												BgL_fieldsz00_2085;
																											goto BgL_loopz00_946;
																										}
																									else
																										{	/* Pp/circle.scm 119 */
																											obj_t BgL_fz00_952;

																											BgL_fz00_952 =
																												CAR(BgL_fieldsz00_944);
																											{	/* Pp/circle.scm 119 */
																												obj_t BgL_gvz00_953;

																												BgL_gvz00_953 =
																													BGl_classzd2fieldzd2accessorz00zz__objectz00
																													(BgL_fz00_952);
																												{	/* Pp/circle.scm 120 */

																													if (BGl_classzd2fieldzd2indexedzf3zf3zz__objectz00(BgL_fz00_952))
																														{	/* Pp/circle.scm 122 */
																															obj_t
																																BgL_glz00_955;
																															BgL_glz00_955 =
																																BGl_classzd2fieldzd2lenzd2accessorzd2zz__objectz00
																																(BgL_fz00_952);
																															{	/* Pp/circle.scm 123 */
																																long
																																	BgL_g1671z00_956;
																																{	/* Pp/circle.scm 123 */
																																	obj_t
																																		BgL_arg1844z00_963;
																																	BgL_arg1844z00_963
																																		=
																																		PROCEDURE_ENTRY
																																		(BgL_glz00_955)
																																		(BgL_glz00_955,
																																		BgL_objz00_938,
																																		BEOA);
																																	BgL_g1671z00_956
																																		=
																																		((long)
																																		CINT
																																		(BgL_arg1844z00_963)
																																		-
																																		((long) 1));
																																}
																																{
																																	long
																																		BgL_lz00_957;
																																	BgL_lz00_957 =
																																		BgL_g1671z00_956;
																																BgL_liipz00_958:
																																	if (
																																		(BgL_lz00_957
																																			==
																																			((long)
																																				-1)))
																																		{
																																			obj_t
																																				BgL_fieldsz00_2097;
																																			BgL_fieldsz00_2097
																																				=
																																				CDR
																																				(BgL_fieldsz00_944);
																																			BgL_fieldsz00_944
																																				=
																																				BgL_fieldsz00_2097;
																																			goto
																																				BgL_loopz00_946;
																																		}
																																	else
																																		{	/* Pp/circle.scm 124 */
																																			{	/* Pp/circle.scm 127 */
																																				obj_t
																																					BgL_arg1842z00_961;
																																				BgL_arg1842z00_961
																																					=
																																					PROCEDURE_ENTRY
																																					(BgL_gvz00_953)
																																					(BgL_gvz00_953,
																																					BgL_objz00_938,
																																					BINT
																																					(BgL_lz00_957),
																																					BEOA);
																																				BGl_registerz00zz__pp_circlez00
																																					(BgL_cachez00_1949,
																																					BgL_arg1842z00_961);
																																			}
																																			{
																																				long
																																					BgL_lz00_2103;
																																				BgL_lz00_2103
																																					=
																																					(BgL_lz00_957
																																					-
																																					((long) 1));
																																				BgL_lz00_957
																																					=
																																					BgL_lz00_2103;
																																				goto
																																					BgL_liipz00_958;
																																			}
																																		}
																																}
																															}
																														}
																													else
																														{	/* Pp/circle.scm 121 */
																															{	/* Pp/circle.scm 130 */
																																obj_t
																																	BgL_arg1846z00_965;
																																BgL_arg1846z00_965
																																	=
																																	PROCEDURE_ENTRY
																																	(BgL_gvz00_953)
																																	(BgL_gvz00_953,
																																	BgL_objz00_938,
																																	BEOA);
																																BGl_registerz00zz__pp_circlez00
																																	(BgL_cachez00_1949,
																																	BgL_arg1846z00_965);
																															}
																															{
																																obj_t
																																	BgL_fieldsz00_2108;
																																BgL_fieldsz00_2108
																																	=
																																	CDR
																																	(BgL_fieldsz00_944);
																																BgL_fieldsz00_944
																																	=
																																	BgL_fieldsz00_2108;
																																goto
																																	BgL_loopz00_946;
																															}
																														}
																												}
																											}
																										}
																								}
																						}
																					else
																						{	/* Pp/circle.scm 106 */
																							BgL_auxz00_2064 = ((bool_t) 0);
																						}
																				}
																			}
																		}
																	}
																	return BBOOL(BgL_auxz00_2064);
																}
															else
																{	/* Pp/circle.scm 164 */
																	return BFALSE;
																}
														}
												}
										}
								}
						}
				}
			}
		}
	}



/* output-component */
	obj_t BGl_outputzd2componentzd2zz__pp_circlez00(obj_t
		BgL_nextzd2cardinalzd2_1918, obj_t BgL_flagz00_1917, obj_t BgL_portz00_1916,
		obj_t BgL_cachez00_1915, obj_t BgL_objz00_834)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 172 */
			{	/* Pp/circle.scm 173 */
				obj_t BgL_g1672z00_836;

				BgL_g1672z00_836 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_objz00_834,
					CELL_REF(BgL_cachez00_1915));
				return
					BGl_loopzd2matchedzd2zz__pp_circlez00(BgL_nextzd2cardinalzd2_1918,
					BgL_cachez00_1915, BgL_flagz00_1917, BgL_portz00_1916, BgL_objz00_834,
					BgL_g1672z00_836);
			}
		}
	}



/* loop-matched */
	obj_t BGl_loopzd2matchedzd2zz__pp_circlez00(obj_t BgL_nextzd2cardinalzd2_1948,
		obj_t BgL_cachez00_1947, obj_t BgL_flagz00_1946, obj_t BgL_portz00_1945,
		obj_t BgL_objz00_837, obj_t BgL_matchz00_838)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 173 */
		BGl_loopzd2matchedzd2zz__pp_circlez00:
			if (CBOOL(BgL_matchz00_838))
				{	/* Pp/circle.scm 176 */
					obj_t BgL_valuez00_840;

					if (CBOOL(BgL_matchz00_838))
						{	/* Pp/circle.scm 176 */
							BgL_valuez00_840 = CDR(BgL_matchz00_838);
						}
					else
						{	/* Pp/circle.scm 176 */
							BgL_valuez00_840 = BFALSE;
						}
					if (INTEGERP(BgL_valuez00_840))
						{	/* Pp/circle.scm 178 */
							bgl_display_char(((unsigned char) '#'), BgL_portz00_1945);
							BGl_outputzd2componentzd2zz__pp_circlez00
								(BgL_nextzd2cardinalzd2_1948, BgL_flagz00_1946,
								BgL_portz00_1945, BgL_cachez00_1947, BgL_valuez00_840);
							return bgl_display_char(((unsigned char) '#'), BgL_portz00_1945);
						}
					else
						{	/* Pp/circle.scm 178 */
							if (CBOOL(BgL_valuez00_840))
								{	/* Pp/circle.scm 185 */
									obj_t BgL_serialz00_842;

									BgL_serialz00_842 =
										PROCEDURE_ENTRY(BgL_nextzd2cardinalzd2_1948)
										(BgL_nextzd2cardinalzd2_1948, BEOA);
									SET_CDR(BgL_matchz00_838, BgL_serialz00_842);
									bgl_display_char(((unsigned char) '#'), BgL_portz00_1945);
									BGl_outputzd2componentzd2zz__pp_circlez00
										(BgL_nextzd2cardinalzd2_1948, BgL_flagz00_1946,
										BgL_portz00_1945, BgL_cachez00_1947, BgL_serialz00_842);
									bgl_display_char(((unsigned char) '='), BgL_portz00_1945);
									{
										obj_t BgL_matchz00_2131;

										BgL_matchz00_2131 = BFALSE;
										BgL_matchz00_838 = BgL_matchz00_2131;
										goto BGl_loopzd2matchedzd2zz__pp_circlez00;
									}
								}
							else
								{
									obj_t BgL_matchz00_2132;

									BgL_matchz00_2132 = BFALSE;
									BgL_matchz00_838 = BgL_matchz00_2132;
									goto BGl_loopzd2matchedzd2zz__pp_circlez00;
								}
						}
				}
			else
				{	/* Pp/circle.scm 175 */
					if (INTEGERP(BgL_objz00_837))
						{	/* Pp/circle.scm 197 */
							return bgl_display_fixnum(BgL_objz00_837, BgL_portz00_1945);
						}
					else
						{	/* Pp/circle.scm 197 */
							if (CHARP(BgL_objz00_837))
								{	/* Pp/circle.scm 200 */
									if (CBOOL(BgL_flagz00_1946))
										{	/* Pp/circle.scm 202 */
											unsigned char BgL_auxz00_2140;

											BgL_auxz00_2140 = CCHAR(BgL_objz00_837);
											return
												bgl_display_char(BgL_auxz00_2140, BgL_portz00_1945);
										}
									else
										{	/* Pp/circle.scm 201 */
											return bgl_write_char(BgL_objz00_837, BgL_portz00_1945);
										}
								}
							else
								{	/* Pp/circle.scm 200 */
									if (SYMBOLP(BgL_objz00_837))
										{	/* Pp/circle.scm 205 */
											if (CBOOL(BgL_flagz00_1946))
												{	/* Pp/circle.scm 206 */
													return
														BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00
														(BgL_objz00_837, BgL_portz00_1945);
												}
											else
												{	/* Pp/circle.scm 206 */
													return
														BGl_writezd2symbolzd2zz__r4_output_6_10_3z00
														(BgL_objz00_837, BgL_portz00_1945);
												}
										}
									else
										{	/* Pp/circle.scm 205 */
											if (STRINGP(BgL_objz00_837))
												{	/* Pp/circle.scm 210 */
													if (CBOOL(BgL_flagz00_1946))
														{	/* Pp/circle.scm 211 */
															return
																bgl_display_string(BgL_objz00_837,
																BgL_portz00_1945);
														}
													else
														{	/* Pp/circle.scm 211 */
															return
																BGl_writezd2stringzd2zz__r4_output_6_10_3z00
																(string_for_read(BgL_objz00_837),
																BgL_portz00_1945);
														}
												}
											else
												{	/* Pp/circle.scm 210 */
													if (PAIRP(BgL_objz00_837))
														{	/* Pp/circle.scm 215 */
															bgl_display_char(((unsigned char) '('),
																BgL_portz00_1945);
															{
																obj_t BgL_lz00_850;

																BgL_lz00_850 = BgL_objz00_837;
															BgL_loopz00_851:
																{	/* Pp/circle.scm 218 */
																	obj_t BgL_arg1774z00_852;

																	BgL_arg1774z00_852 = CAR(BgL_lz00_850);
																	BGl_outputzd2componentzd2zz__pp_circlez00
																		(BgL_nextzd2cardinalzd2_1948,
																		BgL_flagz00_1946, BgL_portz00_1945,
																		BgL_cachez00_1947, BgL_arg1774z00_852);
																}
																{	/* Pp/circle.scm 219 */
																	obj_t BgL_restz00_853;

																	BgL_restz00_853 = CDR(BgL_lz00_850);
																	if (NULLP(BgL_restz00_853))
																		{	/* Pp/circle.scm 220 */
																			return
																				bgl_display_char(((unsigned char) ')'),
																				BgL_portz00_1945);
																		}
																	else
																		{	/* Pp/circle.scm 222 */
																			obj_t BgL_matchz00_855;

																			BgL_matchz00_855 =
																				BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																				(BgL_restz00_853,
																				CELL_REF(BgL_cachez00_1947));
																			{	/* Pp/circle.scm 223 */
																				bool_t BgL_testz00_2167;

																				if (PAIRP(BgL_restz00_853))
																					{	/* Pp/circle.scm 223 */
																						if (CBOOL(BgL_matchz00_855))
																							{	/* Pp/circle.scm 224 */
																								obj_t BgL_pairz00_1546;

																								BgL_pairz00_1546 =
																									BgL_matchz00_855;
																								BgL_testz00_2167 =
																									CBOOL(CDR(BgL_pairz00_1546));
																							}
																						else
																							{	/* Pp/circle.scm 224 */
																								BgL_testz00_2167 = ((bool_t) 0);
																							}
																					}
																				else
																					{	/* Pp/circle.scm 223 */
																						BgL_testz00_2167 = ((bool_t) 1);
																					}
																				if (BgL_testz00_2167)
																					{	/* Pp/circle.scm 223 */
																						bgl_display_string
																							(BGl_string2244z00zz__pp_circlez00,
																							BgL_portz00_1945);
																						BGl_loopzd2matchedzd2zz__pp_circlez00
																							(BgL_nextzd2cardinalzd2_1948,
																							BgL_cachez00_1947,
																							BgL_flagz00_1946,
																							BgL_portz00_1945, BgL_restz00_853,
																							BgL_matchz00_855);
																						return bgl_display_char(((unsigned
																									char) ')'), BgL_portz00_1945);
																					}
																				else
																					{	/* Pp/circle.scm 223 */
																						bgl_display_char(((unsigned char)
																								' '), BgL_portz00_1945);
																						{
																							obj_t BgL_lz00_2178;

																							BgL_lz00_2178 = BgL_restz00_853;
																							BgL_lz00_850 = BgL_lz00_2178;
																							goto BgL_loopz00_851;
																						}
																					}
																			}
																		}
																}
															}
														}
													else
														{	/* Pp/circle.scm 215 */
															if (BGl_classzf3zf3zz__objectz00(BgL_objz00_837))
																{	/* Pp/circle.scm 233 */
																	return
																		bgl_display_obj(BgL_objz00_837,
																		BgL_portz00_1945);
																}
															else
																{	/* Pp/circle.scm 233 */
																	if (VECTORP(BgL_objz00_837))
																		{	/* Pp/circle.scm 236 */
																			bgl_display_char(((unsigned char) '#'),
																				BgL_portz00_1945);
																			{	/* Pp/circle.scm 238 */
																				int BgL_tagz00_861;

																				BgL_tagz00_861 =
																					VECTOR_TAG(BgL_objz00_837);
																				if (
																					((long) (BgL_tagz00_861) >
																						((long) 0)))
																					{	/* Pp/circle.scm 239 */
																						if (
																							((long) (BgL_tagz00_861) <
																								((long) 100)))
																							{	/* Pp/circle.scm 240 */
																								if (
																									((long) (BgL_tagz00_861) >
																										((long) 10)))
																									{	/* Pp/circle.scm 242 */
																										bgl_display_char(((unsigned
																													char) '0'),
																											BgL_portz00_1945);
																									}
																								else
																									{	/* Pp/circle.scm 242 */
																										BFALSE;
																									}
																								bgl_display_char(((unsigned
																											char) '0'),
																									BgL_portz00_1945);
																							}
																						else
																							{	/* Pp/circle.scm 244 */
																								obj_t BgL_list1783z00_865;

																								BgL_list1783z00_865 =
																									MAKE_PAIR(BgL_portz00_1945,
																									BNIL);
																								BGl_writez00zz__r4_output_6_10_3z00
																									(BINT(BgL_tagz00_861),
																									BgL_list1783z00_865);
																							}
																					}
																				else
																					{	/* Pp/circle.scm 239 */
																						BFALSE;
																					}
																			}
																			{	/* Pp/circle.scm 245 */
																				int BgL_lenz00_866;

																				BgL_lenz00_866 =
																					VECTOR_LENGTH(BgL_objz00_837);
																				bgl_display_char(((unsigned char) '('),
																					BgL_portz00_1945);
																				{
																					long BgL_iz00_867;

																					BgL_iz00_867 = ((long) 0);
																				BgL_loopz00_868:
																					if (
																						(BgL_iz00_867 ==
																							(long) (BgL_lenz00_866)))
																						{	/* Pp/circle.scm 248 */
																							((bool_t) 0);
																						}
																					else
																						{	/* Pp/circle.scm 248 */
																							{	/* Pp/circle.scm 250 */
																								obj_t BgL_arg1785z00_870;

																								BgL_arg1785z00_870 =
																									VECTOR_REF(BgL_objz00_837,
																									(int) (BgL_iz00_867));
																								BGl_outputzd2componentzd2zz__pp_circlez00
																									(BgL_nextzd2cardinalzd2_1948,
																									BgL_flagz00_1946,
																									BgL_portz00_1945,
																									BgL_cachez00_1947,
																									BgL_arg1785z00_870);
																							}
																							{	/* Pp/circle.scm 251 */
																								long BgL_nextz00_871;

																								BgL_nextz00_871 =
																									(((long) 1) + BgL_iz00_867);
																								if (
																									(BgL_nextz00_871 ==
																										(long) (BgL_lenz00_866)))
																									{	/* Pp/circle.scm 252 */
																										BFALSE;
																									}
																								else
																									{	/* Pp/circle.scm 252 */
																										bgl_display_char(((unsigned
																													char) ' '),
																											BgL_portz00_1945);
																									}
																								{
																									long BgL_iz00_2213;

																									BgL_iz00_2213 =
																										(((long) 1) + BgL_iz00_867);
																									BgL_iz00_867 = BgL_iz00_2213;
																									goto BgL_loopz00_868;
																								}
																							}
																						}
																				}
																				return
																					bgl_display_char(((unsigned char)
																						')'), BgL_portz00_1945);
																		}}
																	else
																		{	/* Pp/circle.scm 236 */
																			if (STRUCTP(BgL_objz00_837))
																				{	/* Pp/circle.scm 257 */
																					bgl_display_string
																						(BGl_string2245z00zz__pp_circlez00,
																						BgL_portz00_1945);
																					{	/* Pp/circle.scm 259 */
																						obj_t BgL_arg1789z00_875;

																						BgL_arg1789z00_875 =
																							STRUCT_KEY(BgL_objz00_837);
																						{	/* Pp/circle.scm 259 */
																							obj_t BgL_list1790z00_876;

																							BgL_list1790z00_876 =
																								MAKE_PAIR(BgL_portz00_1945,
																								BNIL);
																							BGl_writez00zz__r4_output_6_10_3z00
																								(BgL_arg1789z00_875,
																								BgL_list1790z00_876);
																						}
																					}
																					bgl_display_char(((unsigned char)
																							' '), BgL_portz00_1945);
																					{	/* Pp/circle.scm 261 */
																						int BgL_lenz00_877;

																						BgL_lenz00_877 =
																							STRUCT_LENGTH(BgL_objz00_837);
																						{
																							long BgL_iz00_878;

																							BgL_iz00_878 = ((long) 0);
																						BgL_loopz00_879:
																							if (
																								(BgL_iz00_878 ==
																									(long) (BgL_lenz00_877)))
																								{	/* Pp/circle.scm 263 */
																									((bool_t) 0);
																								}
																							else
																								{	/* Pp/circle.scm 263 */
																									{	/* Pp/circle.scm 265 */
																										obj_t BgL_arg1792z00_881;

																										BgL_arg1792z00_881 =
																											STRUCT_REF(BgL_objz00_837,
																											(int) (BgL_iz00_878));
																										BGl_outputzd2componentzd2zz__pp_circlez00
																											(BgL_nextzd2cardinalzd2_1948,
																											BgL_flagz00_1946,
																											BgL_portz00_1945,
																											BgL_cachez00_1947,
																											BgL_arg1792z00_881);
																									}
																									{	/* Pp/circle.scm 266 */
																										long BgL_nextz00_882;

																										BgL_nextz00_882 =
																											(((long) 1) +
																											BgL_iz00_878);
																										if ((BgL_nextz00_882 ==
																												(long)
																												(BgL_lenz00_877)))
																											{	/* Pp/circle.scm 267 */
																												BFALSE;
																											}
																										else
																											{	/* Pp/circle.scm 267 */
																												bgl_display_char((
																														(unsigned char)
																														' '),
																													BgL_portz00_1945);
																											}
																										{
																											long BgL_iz00_2235;

																											BgL_iz00_2235 =
																												(((long) 1) +
																												BgL_iz00_878);
																											BgL_iz00_878 =
																												BgL_iz00_2235;
																											goto BgL_loopz00_879;
																										}
																									}
																								}
																						}
																					}
																					return
																						bgl_display_char(((unsigned char)
																							'}'), BgL_portz00_1945);
																				}
																			else
																				{	/* Pp/circle.scm 257 */
																					if (CELLP(BgL_objz00_837))
																						{	/* Pp/circle.scm 272 */
																							bgl_display_string
																								(BGl_string2246z00zz__pp_circlez00,
																								BgL_portz00_1945);
																							{	/* Pp/circle.scm 274 */
																								obj_t BgL_arg1796z00_886;

																								BgL_arg1796z00_886 =
																									CELL_REF(BgL_objz00_837);
																								BGl_outputzd2componentzd2zz__pp_circlez00
																									(BgL_nextzd2cardinalzd2_1948,
																									BgL_flagz00_1946,
																									BgL_portz00_1945,
																									BgL_cachez00_1947,
																									BgL_arg1796z00_886);
																							}
																							return
																								bgl_display_string
																								(BGl_string2247z00zz__pp_circlez00,
																								BgL_portz00_1945);
																						}
																					else
																						{	/* Pp/circle.scm 272 */
																							if (BGL_OBJECTP(BgL_objz00_837))
																								{	/* Pp/circle.scm 279 */
																									obj_t
																										BgL_zc3anonymousza31799ze3z83_1912;
																									BgL_zc3anonymousza31799ze3z83_1912
																										=
																										make_va_procedure
																										(BGl_zc3anonymousza31799ze3z83zz__pp_circlez00,
																										(int) (((long) -2)),
																										(int) (((long) 4)));
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31799ze3z83_1912,
																										(int) (((long) 0)),
																										BgL_cachez00_1947);
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31799ze3z83_1912,
																										(int) (((long) 1)),
																										BgL_portz00_1945);
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31799ze3z83_1912,
																										(int) (((long) 2)),
																										BgL_flagz00_1946);
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31799ze3z83_1912,
																										(int) (((long) 3)),
																										BgL_nextzd2cardinalzd2_1948);
																									return
																										BGl_objectzd2printzd2zz__objectz00
																										((BgL_objectz00_bglt)
																										(BgL_objz00_837),
																										BgL_portz00_1945,
																										BgL_zc3anonymousza31799ze3z83_1912);
																								}
																							else
																								{	/* Pp/circle.scm 277 */
																									if (UCS2_STRINGP
																										(BgL_objz00_837))
																										{	/* Pp/circle.scm 281 */
																											if (CBOOL
																												(BgL_flagz00_1946))
																												{	/* Pp/circle.scm 282 */
																													return
																														BGl_displayzd2ucs2stringzd2zz__r4_output_6_10_3z00
																														(BgL_objz00_837,
																														BgL_portz00_1945);
																												}
																											else
																												{	/* Pp/circle.scm 282 */
																													return
																														BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00
																														(BgL_objz00_837,
																														BgL_portz00_1945);
																												}
																										}
																									else
																										{	/* Pp/circle.scm 281 */
																											if (UCS2P(BgL_objz00_837))
																												{	/* Pp/circle.scm 286 */
																													if (CBOOL
																														(BgL_flagz00_1946))
																														{	/* Pp/circle.scm 287 */
																															return
																																bgl_display_ucs2
																																(BgL_objz00_837,
																																BgL_portz00_1945);
																														}
																													else
																														{	/* Pp/circle.scm 287 */
																															return
																																bgl_write_ucs2
																																(BgL_objz00_837,
																																BgL_portz00_1945);
																														}
																												}
																											else
																												{	/* Pp/circle.scm 286 */
																													if (REALP
																														(BgL_objz00_837))
																														{	/* Pp/circle.scm 292 */
																															obj_t
																																BgL_objz00_1603;
																															obj_t
																																BgL_portz00_1604;
																															BgL_objz00_1603 =
																																BgL_objz00_837;
																															BgL_portz00_1604 =
																																BgL_portz00_1945;
																															{	/* Pp/circle.scm 292 */
																																obj_t
																																	BgL_arg2208z00_1605;
																																BgL_arg2208z00_1605
																																	=
																																	real_to_string
																																	(REAL_TO_DOUBLE
																																	(BgL_objz00_1603));
																																return
																																	bgl_display_string
																																	(BgL_arg2208z00_1605,
																																	BgL_portz00_1604);
																															}
																														}
																													else
																														{	/* Pp/circle.scm 291 */
																															if (BGL_DATEP
																																(BgL_objz00_837))
																																{	/* Pp/circle.scm 294 */
																																	if (CBOOL
																																		(BgL_flagz00_1946))
																																		{	/* Pp/circle.scm 295 */
																																			return
																																				bgl_display_obj
																																				(BgL_objz00_837,
																																				BgL_portz00_1945);
																																		}
																																	else
																																		{	/* Pp/circle.scm 297 */
																																			obj_t
																																				BgL_list1804z00_897;
																																			BgL_list1804z00_897
																																				=
																																				MAKE_PAIR
																																				(BgL_portz00_1945,
																																				BNIL);
																																			return
																																				BGl_writez00zz__r4_output_6_10_3z00
																																				(BgL_objz00_837,
																																				BgL_list1804z00_897);
																																		}
																																}
																															else
																																{	/* Pp/circle.scm 294 */
																																	if (BGL_MUTEXP
																																		(BgL_objz00_837))
																																		{	/* Pp/circle.scm 299 */
																																			bgl_display_string
																																				(BGl_string2248z00zz__pp_circlez00,
																																				BgL_portz00_1945);
																																			{	/* Pp/circle.scm 301 */
																																				obj_t
																																					BgL_arg1806z00_899;
																																				BgL_arg1806z00_899
																																					=
																																					BGL_MUTEX_NAME
																																					(BgL_objz00_837);
																																				bgl_display_obj
																																					(BgL_arg1806z00_899,
																																					BgL_portz00_1945);
																																			}
																																			return
																																				bgl_display_string
																																				(BGl_string2247z00zz__pp_circlez00,
																																				BgL_portz00_1945);
																																		}
																																	else
																																		{	/* Pp/circle.scm 299 */
																																			if (BGL_CONDVARP(BgL_objz00_837))
																																				{	/* Pp/circle.scm 304 */
																																					bgl_display_string
																																						(BGl_string2249z00zz__pp_circlez00,
																																						BgL_portz00_1945);
																																					{	/* Pp/circle.scm 306 */
																																						obj_t
																																							BgL_arg1808z00_901;
																																						BgL_arg1808z00_901
																																							=
																																							BGL_CONDVAR_NAME
																																							(BgL_objz00_837);
																																						bgl_display_obj
																																							(BgL_arg1808z00_901,
																																							BgL_portz00_1945);
																																					}
																																					return
																																						bgl_display_string
																																						(BGl_string2247z00zz__pp_circlez00,
																																						BgL_portz00_1945);
																																				}
																																			else
																																				{	/* Pp/circle.scm 310 */
																																					obj_t
																																						BgL_list1809z00_902;
																																					BgL_list1809z00_902
																																						=
																																						MAKE_PAIR
																																						(BgL_portz00_1945,
																																						BNIL);
																																					return
																																						BGl_writez00zz__r4_output_6_10_3z00
																																						(BgL_objz00_837,
																																						BgL_list1809z00_902);
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* <anonymous:1799> */
	obj_t BGl_zc3anonymousza31799ze3z83zz__pp_circlez00(obj_t BgL_envz00_1919,
		obj_t BgL_xz00_1924, obj_t BgL_pz00_1925)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 278 */
			{	/* Pp/circle.scm 279 */
				obj_t BgL_cachez00_1920;

				obj_t BgL_portz00_1921;

				obj_t BgL_flagz00_1922;

				obj_t BgL_nextzd2cardinalzd2_1923;

				BgL_cachez00_1920 = PROCEDURE_REF(BgL_envz00_1919, (int) (((long) 0)));
				BgL_portz00_1921 = PROCEDURE_REF(BgL_envz00_1919, (int) (((long) 1)));
				BgL_flagz00_1922 = PROCEDURE_REF(BgL_envz00_1919, (int) (((long) 2)));
				BgL_nextzd2cardinalzd2_1923 =
					PROCEDURE_REF(BgL_envz00_1919, (int) (((long) 3)));
				{
					obj_t BgL_xz00_889;

					obj_t BgL_pz00_890;

					BgL_xz00_889 = BgL_xz00_1924;
					BgL_pz00_890 = BgL_pz00_1925;
					return
						BGl_outputzd2componentzd2zz__pp_circlez00
						(BgL_nextzd2cardinalzd2_1923, BgL_flagz00_1922, BgL_portz00_1921,
						BgL_cachez00_1920, BgL_xz00_889);
				}
			}
		}
	}



/* <anonymous:1848> */
	obj_t BGl_zc3anonymousza31848ze3z83zz__pp_circlez00(obj_t BgL_envz00_1926)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 99 */
			{	/* Pp/circle.scm 100 */
				obj_t BgL_serialz00_1927;

				BgL_serialz00_1927 = PROCEDURE_REF(BgL_envz00_1926, (int) (((long) 0)));
				{

					{	/* Pp/circle.scm 100 */
						obj_t BgL_auxz00_1928;

						BgL_auxz00_1928 =
							BINT((((long) 1) + (long) CINT(CELL_REF(BgL_serialz00_1927))));
						CELL_SET(BgL_serialz00_1927, BgL_auxz00_1928);
					}
					return CELL_REF(BgL_serialz00_1927);
				}
			}
		}
	}



/* c-debugging-print */
	BGL_EXPORTED_DEF obj_t dprint(obj_t BgL_objz00_12)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 316 */
			{	/* Pp/circle.scm 317 */
				obj_t BgL_portz00_1684;

				{	/* Pp/circle.scm 317 */
					obj_t BgL_res2225z00_1686;

					{	/* Pp/circle.scm 317 */
						obj_t BgL_auxz00_2311;

						BgL_auxz00_2311 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_res2225z00_1686 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2311);
					}
					BgL_portz00_1684 = BgL_res2225z00_1686;
				}
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_objz00_12,
					BgL_portz00_1684, ((bool_t) 0));
				bgl_display_char(((unsigned char) '\n'), BgL_portz00_1684);
				return BgL_objz00_12;
			}
		}
	}



/* _c-debugging-print */
	obj_t BGl__czd2debuggingzd2printz00zz__pp_circlez00(obj_t BgL_envz00_1930,
		obj_t BgL_objz00_1931)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 316 */
			return dprint(BgL_objz00_1931);
		}
	}



/* jvm-debugging-print */
	BGL_EXPORTED_DEF char *BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t
		BgL_objz00_13, int BgL_printerzd2numzd2_14)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 325 */
			{	/* Pp/circle.scm 327 */
				obj_t BgL_zc3anonymousza31850ze3z83_1932;

				BgL_zc3anonymousza31850ze3z83_1932 =
					make_fx_procedure(BGl_zc3anonymousza31850ze3z83zz__pp_circlez00,
					(int) (((long) 0)), (int) (((long) 2)));
				PROCEDURE_SET(BgL_zc3anonymousza31850ze3z83_1932,
					(int) (((long) 0)), BINT(BgL_printerzd2numzd2_14));
				PROCEDURE_SET(BgL_zc3anonymousza31850ze3z83_1932,
					(int) (((long) 1)), BgL_objz00_13);
				return
					BSTRING_TO_STRING
					(BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3anonymousza31850ze3z83_1932));
			}
		}
	}



/* _jvm-debugging-print2241 */
	obj_t BGl__jvmzd2debuggingzd2print2241z00zz__pp_circlez00(obj_t
		BgL_envz00_1939, obj_t BgL_objz00_1940, obj_t BgL_printerzd2numzd2_1941)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 325 */
			{	/* Pp/circle.scm 327 */
				char *BgL_auxz00_2327;

				{	/* Pp/circle.scm 327 */
					int BgL_auxz00_2328;

					{	/* Pp/circle.scm 327 */
						obj_t BgL_auxz00_2329;

						if (INTEGERP(BgL_printerzd2numzd2_1941))
							{	/* Pp/circle.scm 327 */
								BgL_auxz00_2329 = BgL_printerzd2numzd2_1941;
							}
						else
							{	/* Pp/circle.scm 327 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol2250z00zz__pp_circlez00,
									BGl_string2252z00zz__pp_circlez00, BgL_printerzd2numzd2_1941);
								exit(-1);
							}
						BgL_auxz00_2328 = CINT(BgL_auxz00_2329);
					}
					BgL_auxz00_2327 =
						BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(BgL_objz00_1940,
						BgL_auxz00_2328);
				}
				return string_to_bstring(BgL_auxz00_2327);
			}
		}
	}



/* <anonymous:1850> */
	obj_t BGl_zc3anonymousza31850ze3z83zz__pp_circlez00(obj_t BgL_envz00_1942)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 327 */
			{	/* Pp/circle.scm 327 */
				obj_t BgL_printerzd2numzd2_1943;

				obj_t BgL_objz00_1944;

				BgL_printerzd2numzd2_1943 =
					PROCEDURE_REF(BgL_envz00_1942, (int) (((long) 0)));
				BgL_objz00_1944 = PROCEDURE_REF(BgL_envz00_1942, (int) (((long) 1)));
				{

					{	/* Pp/circle.scm 327 */
						obj_t BgL_fun1853z00_977;

						if (INTEGERP(BgL_printerzd2numzd2_1943))
							{	/* Pp/circle.scm 327 */
								switch ((long) CINT(BgL_printerzd2numzd2_1943))
									{
									case ((long) 1):

										BgL_fun1853z00_977 =
											BGl_writezd2envzd2zz__r4_output_6_10_3z00;
										break;
									case ((long) 2):

										BgL_fun1853z00_977 =
											BGl_writezd2circlezd2envz00zz__pp_circlez00;
										break;
									case ((long) 3):

										BgL_fun1853z00_977 =
											BGl_displayzd2circlezd2envz00zz__pp_circlez00;
										break;
									default:
										BgL_fun1853z00_977 =
											BGl_displayzd2envzd2zz__r4_output_6_10_3z00;
									}
							}
						else
							{	/* Pp/circle.scm 327 */
								BgL_fun1853z00_977 =
									BGl_displayzd2envzd2zz__r4_output_6_10_3z00;
							}
						{	/* Pp/circle.scm 333 */
							obj_t BgL_arg1852z00_978;

							{	/* Pp/circle.scm 333 */
								obj_t BgL_res2226z00_1691;

								{	/* Pp/circle.scm 333 */
									obj_t BgL_auxz00_2345;

									BgL_auxz00_2345 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res2226z00_1691 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2345);
								}
								BgL_arg1852z00_978 = BgL_res2226z00_1691;
							}
							return
								PROCEDURE_ENTRY(BgL_fun1853z00_977) (BgL_fun1853z00_977,
								BgL_objz00_1944, BgL_arg1852z00_978, BEOA);
						}
					}
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__pp_circlez00()
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 26 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__pp_circlez00()
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 26 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2253z00zz__pp_circlez00));
			return
				BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					298558382), BSTRING_TO_STRING(BGl_string2253z00zz__pp_circlez00));
		}
	}

#ifdef __cplusplus
}
#endif
