/*===========================================================================*/
/*   (Rgc/rgcset.scm)                                                        */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Rgc/rgcset.scm -indent -o objs/obj_u/Rgc/rgcset.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	static obj_t BGl__rgcsetzd2equalzf3z21zz__rgc_setz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_listzd2ze3rgcsetz31zz__rgc_setz00(obj_t, long);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2removez12zc0zz__rgc_setz00(obj_t, long);
	static obj_t BGl__rgcsetzd2orzd2zz__rgc_setz00(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl__rgcsetzd2andz12zc0zz__rgc_setz00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__rgc_setz00 = BUNSPEC;
	static obj_t BGl__listzd2ze3rgcset2169z31zz__rgc_setz00(obj_t, obj_t, obj_t);
	static obj_t BGl__makezd2rgcset2166zd2zz__rgc_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgcsetzd2equalzf3z21zz__rgc_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2butz12zc0zz__rgc_setz00(obj_t, obj_t);
	extern obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2notz12zc0zz__rgc_setz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__rgc_setz00();
	static obj_t BGl__rgcsetzd2ze3listz31zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_setz00();
	static long BGl_bitzd2perzd2wordz00zz__rgc_setz00;
	static obj_t BGl_symbol2184z00zz__rgc_setz00 = BUNSPEC;
	static obj_t BGl__rgcsetzd2lengthzd2zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl_symbol2186z00zz__rgc_setz00 = BUNSPEC;
	static obj_t BGl_symbol2189z00zz__rgc_setz00 = BUNSPEC;
	static obj_t BGl_symbol2191z00zz__rgc_setz00 = BUNSPEC;
	static obj_t BGl_symbol2193z00zz__rgc_setz00 = BUNSPEC;
	static obj_t BGl_symbol2195z00zz__rgc_setz00 = BUNSPEC;
	static obj_t BGl_symbol2198z00zz__rgc_setz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2ze3listz31zz__rgc_setz00(obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl__rgcsetzd2butz12zc0zz__rgc_setz00(obj_t, obj_t, obj_t);
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_setz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_toplevelzd2initzd2zz__rgc_setz00();
	BGL_EXPORTED_DECL long BGl_rgcsetzd2lengthzd2zz__rgc_setz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2orzd2zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl__rgcsetzd2notz12zc0zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl__forzd2eachzd2rgcset2170z00zz__rgc_setz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__rgcsetzd2removez122171zc0zz__rgc_setz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__rgcsetzd2notzd2zz__rgc_setz00(obj_t, obj_t);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl__rgcsetzd2orz12zc0zz__rgc_setz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3anonymousza31799ze3z83zz__rgc_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_rgcsetzd2memberzf3z21zz__rgc_setz00(obj_t, long);
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2rgcsetzd2zz__rgc_setz00(long);
	BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2andz12zc0zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl__rgcsetzd2ze3hashz31zz__rgc_setz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2notzd2zz__rgc_setz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2orz12zc0zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl__rgcsetzd2memberzf32168z21zz__rgc_setz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long BGl_rgcsetzd2ze3hashz31zz__rgc_setz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_rgcsetzd2addz12zc0zz__rgc_setz00(obj_t, long);
	static obj_t BGl_methodzd2initzd2zz__rgc_setz00();
	static obj_t BGl__rgcsetzd2addz122167zc0zz__rgc_setz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2rgcsetzd2envz00zz__rgc_setz00,
		BgL_bgl__makeza7d2rgcset212201za7, BGl__makezd2rgcset2166zd2zz__rgc_setz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgcsetzd2memberzf3zd2envzf3zz__rgc_setz00,
		BgL_bgl__rgcsetza7d2member2202za7,
		BGl__rgcsetzd2memberzf32168z21zz__rgc_setz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgcsetzd2butz12zd2envz12zz__rgc_setz00,
		BgL_bgl__rgcsetza7d2butza7122203z00, BGl__rgcsetzd2butz12zc0zz__rgc_setz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgcsetzd2orzd2envz00zz__rgc_setz00,
		BgL_bgl__rgcsetza7d2orza7d2za72204za7, BGl__rgcsetzd2orzd2zz__rgc_setz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgcsetzd2ze3hashzd2envze3zz__rgc_setz00,
		BgL_bgl__rgcsetza7d2za7e3has2205z00, BGl__rgcsetzd2ze3hashz31zz__rgc_setz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgcsetzd2notzd2envz00zz__rgc_setz00,
		BgL_bgl__rgcsetza7d2notza7d22206z00, BGl__rgcsetzd2notzd2zz__rgc_setz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgcsetzd2equalzf3zd2envzf3zz__rgc_setz00,
		BgL_bgl__rgcsetza7d2equalza72207z00,
		BGl__rgcsetzd2equalzf3z21zz__rgc_setz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgcsetzd2orz12zd2envz12zz__rgc_setz00,
		BgL_bgl__rgcsetza7d2orza712za72208za7, BGl__rgcsetzd2orz12zc0zz__rgc_setz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgcsetzd2ze3listzd2envze3zz__rgc_setz00,
		BgL_bgl__rgcsetza7d2za7e3lis2209z00, BGl__rgcsetzd2ze3listz31zz__rgc_setz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2rgcsetzd2envzd2zz__rgc_setz00,
		BgL_bgl__forza7d2eachza7d2rg2210z00,
		BGl__forzd2eachzd2rgcset2170z00zz__rgc_setz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgcsetzd2notz12zd2envz12zz__rgc_setz00,
		BgL_bgl__rgcsetza7d2notza7122211z00, BGl__rgcsetzd2notz12zc0zz__rgc_setz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_listzd2ze3rgcsetzd2envze3zz__rgc_setz00,
		BgL_bgl__listza7d2za7e3rgcse2212z00,
		BGl__listzd2ze3rgcset2169z31zz__rgc_setz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgcsetzd2andz12zd2envz12zz__rgc_setz00,
		BgL_bgl__rgcsetza7d2andza7122213z00, BGl__rgcsetzd2andz12zc0zz__rgc_setz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgcsetzd2removez12zd2envz12zz__rgc_setz00,
		BgL_bgl__rgcsetza7d2remove2214za7,
		BGl__rgcsetzd2removez122171zc0zz__rgc_setz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2185z00zz__rgc_setz00,
		BgL_bgl_string2185za700za7za7_2215za7, "__rgcset", 8);
	      DEFINE_STRING(BGl_string2187z00zz__rgc_setz00,
		BgL_bgl_string2187za700za7za7_2216za7, "_make-rgcset2166", 16);
	      DEFINE_STRING(BGl_string2188z00zz__rgc_setz00,
		BgL_bgl_string2188za700za7za7_2217za7, "long", 4);
	      DEFINE_STRING(BGl_string2200z00zz__rgc_setz00,
		BgL_bgl_string2200za700za7za7_2218za7, "__rgc_set", 9);
	      DEFINE_STRING(BGl_string2190z00zz__rgc_setz00,
		BgL_bgl_string2190za700za7za7_2219za7, "_rgcset-add!2167", 16);
	      DEFINE_STRING(BGl_string2192z00zz__rgc_setz00,
		BgL_bgl_string2192za700za7za7_2220za7, "_rgcset-member?2168", 19);
	      DEFINE_STRING(BGl_string2194z00zz__rgc_setz00,
		BgL_bgl_string2194za700za7za7_2221za7, "_list->rgcset2169", 17);
	      DEFINE_STRING(BGl_string2196z00zz__rgc_setz00,
		BgL_bgl_string2196za700za7za7_2222za7, "_for-each-rgcset2170", 20);
	      DEFINE_STRING(BGl_string2197z00zz__rgc_setz00,
		BgL_bgl_string2197za700za7za7_2223za7, "procedure", 9);
	      DEFINE_STRING(BGl_string2199z00zz__rgc_setz00,
		BgL_bgl_string2199za700za7za7_2224za7, "_rgcset-remove!2171", 19);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgcsetzd2addz12zd2envz12zz__rgc_setz00,
		BgL_bgl__rgcsetza7d2addza7122225z00,
		BGl__rgcsetzd2addz122167zc0zz__rgc_setz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rgcsetzd2lengthzd2envz00zz__rgc_setz00,
		BgL_bgl__rgcsetza7d2length2226za7, BGl__rgcsetzd2lengthzd2zz__rgc_setz00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_setz00(long
		BgL_checksumz00_2349, char *BgL_fromz00_2350)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_setz00))
				{
					BGl_requirezd2initializa7ationz75zz__rgc_setz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__rgc_setz00();
					BGl_importedzd2moduleszd2initz00zz__rgc_setz00();
					BGl_toplevelzd2initzd2zz__rgc_setz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgc_setz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 15 */
			BGl_symbol2184z00zz__rgc_setz00 =
				bstring_to_symbol(BGl_string2185z00zz__rgc_setz00);
			BGl_symbol2186z00zz__rgc_setz00 =
				bstring_to_symbol(BGl_string2187z00zz__rgc_setz00);
			BGl_symbol2189z00zz__rgc_setz00 =
				bstring_to_symbol(BGl_string2190z00zz__rgc_setz00);
			BGl_symbol2191z00zz__rgc_setz00 =
				bstring_to_symbol(BGl_string2192z00zz__rgc_setz00);
			BGl_symbol2193z00zz__rgc_setz00 =
				bstring_to_symbol(BGl_string2194z00zz__rgc_setz00);
			BGl_symbol2195z00zz__rgc_setz00 =
				bstring_to_symbol(BGl_string2196z00zz__rgc_setz00);
			return (BGl_symbol2198z00zz__rgc_setz00 =
				bstring_to_symbol(BGl_string2199z00zz__rgc_setz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgc_setz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 15 */
			BGl_bitzd2perzd2wordz00zz__rgc_setz00 =
				((((long) 1) << (int) ((PTR_ALIGNMENT + ((long) 3)))) - PTR_ALIGNMENT);
			return BUNSPEC;
		}
	}



/* make-rgcset */
	BGL_EXPORTED_DEF obj_t BGl_makezd2rgcsetzd2zz__rgc_setz00(long
		BgL_siza7eza7_11)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 84 */
			{	/* Rgc/rgcset.scm 85 */
				obj_t BgL_arg1755z00_1472;

				{	/* Rgc/rgcset.scm 85 */
					long BgL_arg1756z00_1473;

					{	/* Rgc/rgcset.scm 85 */
						obj_t BgL_auxz00_2368;

						{	/* Rgc/rgcset.scm 85 */
							obj_t BgL_auxz00_2369;

							{	/* Rgc/rgcset.scm 85 */
								long BgL_za72za7_1478;

								BgL_za72za7_1478 = BGl_bitzd2perzd2wordz00zz__rgc_setz00;
								BgL_auxz00_2369 = BINT((BgL_siza7eza7_11 / BgL_za72za7_1478));
							}
							BgL_auxz00_2368 =
								BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(((long) 1)),
								BgL_auxz00_2369);
						}
						BgL_arg1756z00_1473 = (long) CINT(BgL_auxz00_2368);
					}
					BgL_arg1755z00_1472 =
						make_vector((int) (BgL_arg1756z00_1473), BINT(((long) 0)));
				}
				{	/* Rgc/rgcset.scm 85 */
					obj_t BgL_newz00_1481;

					BgL_newz00_1481 =
						create_struct(BGl_symbol2184z00zz__rgc_setz00, (int) (((long) 2)));
					{	/* Rgc/rgcset.scm 85 */
						int BgL_auxz00_2380;

						BgL_auxz00_2380 = (int) (((long) 1));
						STRUCT_SET(BgL_newz00_1481, BgL_auxz00_2380, BgL_arg1755z00_1472);
					}
					{	/* Rgc/rgcset.scm 85 */
						obj_t BgL_auxz00_2385;

						int BgL_auxz00_2383;

						BgL_auxz00_2385 = BINT(BgL_siza7eza7_11);
						BgL_auxz00_2383 = (int) (((long) 0));
						STRUCT_SET(BgL_newz00_1481, BgL_auxz00_2383, BgL_auxz00_2385);
					}
					return BgL_newz00_1481;
				}
			}
		}
	}



/* _make-rgcset2166 */
	obj_t BGl__makezd2rgcset2166zd2zz__rgc_setz00(obj_t BgL_envz00_2289,
		obj_t BgL_siza7eza7_2290)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 84 */
			{	/* Rgc/rgcset.scm 85 */
				long BgL_auxz00_2388;

				{	/* Rgc/rgcset.scm 85 */
					obj_t BgL_auxz00_2389;

					if (INTEGERP(BgL_siza7eza7_2290))
						{	/* Rgc/rgcset.scm 85 */
							BgL_auxz00_2389 = BgL_siza7eza7_2290;
						}
					else
						{	/* Rgc/rgcset.scm 85 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2186z00zz__rgc_setz00,
								BGl_string2188z00zz__rgc_setz00, BgL_siza7eza7_2290);
							exit(-1);
						}
					BgL_auxz00_2388 = (long) CINT(BgL_auxz00_2389);
				}
				return BGl_makezd2rgcsetzd2zz__rgc_setz00(BgL_auxz00_2388);
			}
		}
	}



/* rgcset-add! */
	BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2addz12zc0zz__rgc_setz00(obj_t
		BgL_rgcsetz00_18, long BgL_numz00_19)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 108 */
			{	/* Rgc/rgcset.scm 109 */
				long BgL_wordzd2numzd2_1510;

				BgL_wordzd2numzd2_1510 =
					(BgL_numz00_19 / BGl_bitzd2perzd2wordz00zz__rgc_setz00);
				{	/* Rgc/rgcset.scm 109 */
					long BgL_wordzd2bitzd2_1511;

					BgL_wordzd2bitzd2_1511 =
						(BgL_numz00_19 % BGl_bitzd2perzd2wordz00zz__rgc_setz00);
					{	/* Rgc/rgcset.scm 109 */
						obj_t BgL_oldz00_1512;

						BgL_oldz00_1512 =
							VECTOR_REF(STRUCT_REF(BgL_rgcsetz00_18,
								(int) (((long) 1))), (int) (BgL_wordzd2numzd2_1510));
						{	/* Rgc/rgcset.scm 109 */

							{	/* Rgc/rgcset.scm 109 */
								long BgL_arg1765z00_1513;

								BgL_arg1765z00_1513 =
									(
									(long) CINT(BgL_oldz00_1512) |
									(((long) 1) << (int) (BgL_wordzd2bitzd2_1511)));
								return
									VECTOR_SET(STRUCT_REF(BgL_rgcsetz00_18,
										(int) (((long) 1))),
									(int) (BgL_wordzd2numzd2_1510), BINT(BgL_arg1765z00_1513));
		}}}}}}
	}



/* _rgcset-add!2167 */
	obj_t BGl__rgcsetzd2addz122167zc0zz__rgc_setz00(obj_t BgL_envz00_2291,
		obj_t BgL_rgcsetz00_2292, obj_t BgL_numz00_2293)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 108 */
			{	/* Rgc/rgcset.scm 109 */
				long BgL_auxz00_2411;

				{	/* Rgc/rgcset.scm 109 */
					obj_t BgL_auxz00_2412;

					if (INTEGERP(BgL_numz00_2293))
						{	/* Rgc/rgcset.scm 109 */
							BgL_auxz00_2412 = BgL_numz00_2293;
						}
					else
						{	/* Rgc/rgcset.scm 109 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2189z00zz__rgc_setz00,
								BGl_string2188z00zz__rgc_setz00, BgL_numz00_2293);
							exit(-1);
						}
					BgL_auxz00_2411 = (long) CINT(BgL_auxz00_2412);
				}
				return
					BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_rgcsetz00_2292,
					BgL_auxz00_2411);
			}
		}
	}



/* rgcset-member? */
	BGL_EXPORTED_DEF bool_t BGl_rgcsetzd2memberzf3z21zz__rgc_setz00(obj_t
		BgL_setz00_20, long BgL_numz00_21)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 119 */
			{	/* Rgc/rgcset.scm 120 */
				long BgL_wordzd2numzd2_1541;

				BgL_wordzd2numzd2_1541 =
					(BgL_numz00_21 / BGl_bitzd2perzd2wordz00zz__rgc_setz00);
				{	/* Rgc/rgcset.scm 120 */
					long BgL_wordzd2bitzd2_1542;

					BgL_wordzd2bitzd2_1542 =
						(BgL_numz00_21 % BGl_bitzd2perzd2wordz00zz__rgc_setz00);
					{	/* Rgc/rgcset.scm 120 */
						obj_t BgL_oldz00_1543;

						BgL_oldz00_1543 =
							VECTOR_REF(STRUCT_REF(BgL_setz00_20,
								(int) (((long) 1))), (int) (BgL_wordzd2numzd2_1541));
						{	/* Rgc/rgcset.scm 120 */
							long BgL_maskz00_1544;

							BgL_maskz00_1544 = (((long) 1) << (int) (BgL_wordzd2bitzd2_1542));
							{	/* Rgc/rgcset.scm 120 */

								return
									(BgL_maskz00_1544 ==
									((long) CINT(BgL_oldz00_1543) & BgL_maskz00_1544));
		}}}}}}
	}



/* _rgcset-member?2168 */
	obj_t BGl__rgcsetzd2memberzf32168z21zz__rgc_setz00(obj_t BgL_envz00_2294,
		obj_t BgL_setz00_2295, obj_t BgL_numz00_2296)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 119 */
			{	/* Rgc/rgcset.scm 120 */
				bool_t BgL_auxz00_2430;

				{	/* Rgc/rgcset.scm 120 */
					long BgL_auxz00_2431;

					{	/* Rgc/rgcset.scm 120 */
						obj_t BgL_auxz00_2432;

						if (INTEGERP(BgL_numz00_2296))
							{	/* Rgc/rgcset.scm 120 */
								BgL_auxz00_2432 = BgL_numz00_2296;
							}
						else
							{	/* Rgc/rgcset.scm 120 */
								BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol2191z00zz__rgc_setz00,
									BGl_string2188z00zz__rgc_setz00, BgL_numz00_2296);
								exit(-1);
							}
						BgL_auxz00_2431 = (long) CINT(BgL_auxz00_2432);
					}
					BgL_auxz00_2430 =
						BGl_rgcsetzd2memberzf3z21zz__rgc_setz00(BgL_setz00_2295,
						BgL_auxz00_2431);
				}
				return BBOOL(BgL_auxz00_2430);
			}
		}
	}



/* list->rgcset */
	BGL_EXPORTED_DEF obj_t BGl_listzd2ze3rgcsetz31zz__rgc_setz00(obj_t
		BgL_lstz00_22, long BgL_maxz00_23)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 129 */
			{	/* Rgc/rgcset.scm 130 */
				obj_t BgL_setz00_1564;

				{	/* Rgc/rgcset.scm 130 */
					obj_t BgL_arg1755z00_1571;

					{	/* Rgc/rgcset.scm 130 */
						long BgL_arg1756z00_1572;

						{	/* Rgc/rgcset.scm 130 */
							obj_t BgL_auxz00_2440;

							{	/* Rgc/rgcset.scm 130 */
								obj_t BgL_auxz00_2441;

								{	/* Rgc/rgcset.scm 130 */
									long BgL_za72za7_1577;

									BgL_za72za7_1577 = BGl_bitzd2perzd2wordz00zz__rgc_setz00;
									BgL_auxz00_2441 = BINT((BgL_maxz00_23 / BgL_za72za7_1577));
								}
								BgL_auxz00_2440 =
									BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(((long) 1)),
									BgL_auxz00_2441);
							}
							BgL_arg1756z00_1572 = (long) CINT(BgL_auxz00_2440);
						}
						BgL_arg1755z00_1571 =
							make_vector((int) (BgL_arg1756z00_1572), BINT(((long) 0)));
					}
					{	/* Rgc/rgcset.scm 130 */
						obj_t BgL_newz00_1580;

						BgL_newz00_1580 =
							create_struct(BGl_symbol2184z00zz__rgc_setz00,
							(int) (((long) 2)));
						{	/* Rgc/rgcset.scm 130 */
							int BgL_auxz00_2452;

							BgL_auxz00_2452 = (int) (((long) 1));
							STRUCT_SET(BgL_newz00_1580, BgL_auxz00_2452, BgL_arg1755z00_1571);
						}
						{	/* Rgc/rgcset.scm 130 */
							obj_t BgL_auxz00_2457;

							int BgL_auxz00_2455;

							BgL_auxz00_2457 = BINT(BgL_maxz00_23);
							BgL_auxz00_2455 = (int) (((long) 0));
							STRUCT_SET(BgL_newz00_1580, BgL_auxz00_2455, BgL_auxz00_2457);
						}
						BgL_setz00_1564 = BgL_newz00_1580;
				}}
				{
					obj_t BgL_l1700z00_1592;

					BgL_l1700z00_1592 = BgL_lstz00_22;
				BgL_forzd2each1701zd2_1591:
					if (PAIRP(BgL_l1700z00_1592))
						{	/* Rgc/rgcset.scm 130 */
							{	/* Rgc/rgcset.scm 130 */
								obj_t BgL_itemz00_1597;

								BgL_itemz00_1597 = CAR(BgL_l1700z00_1592);
								BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_setz00_1564,
									(long) CINT(BgL_itemz00_1597));
							}
							{
								obj_t BgL_l1700z00_2465;

								BgL_l1700z00_2465 = CDR(BgL_l1700z00_1592);
								BgL_l1700z00_1592 = BgL_l1700z00_2465;
								goto BgL_forzd2each1701zd2_1591;
							}
						}
					else
						{	/* Rgc/rgcset.scm 130 */
							((bool_t) 1);
						}
				}
				return BgL_setz00_1564;
			}
		}
	}



/* _list->rgcset2169 */
	obj_t BGl__listzd2ze3rgcset2169z31zz__rgc_setz00(obj_t BgL_envz00_2297,
		obj_t BgL_lstz00_2298, obj_t BgL_maxz00_2299)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 129 */
			{	/* Rgc/rgcset.scm 130 */
				long BgL_auxz00_2467;

				{	/* Rgc/rgcset.scm 130 */
					obj_t BgL_auxz00_2468;

					if (INTEGERP(BgL_maxz00_2299))
						{	/* Rgc/rgcset.scm 130 */
							BgL_auxz00_2468 = BgL_maxz00_2299;
						}
					else
						{	/* Rgc/rgcset.scm 130 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2193z00zz__rgc_setz00,
								BGl_string2188z00zz__rgc_setz00, BgL_maxz00_2299);
							exit(-1);
						}
					BgL_auxz00_2467 = (long) CINT(BgL_auxz00_2468);
				}
				return
					BGl_listzd2ze3rgcsetz31zz__rgc_setz00(BgL_lstz00_2298,
					BgL_auxz00_2467);
			}
		}
	}



/* rgcset->list */
	BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2ze3listz31zz__rgc_setz00(obj_t
		BgL_setz00_24)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 137 */
			{	/* Rgc/rgcset.scm 138 */
				obj_t BgL_maxz00_849;

				long BgL_maxmaskz00_850;

				BgL_maxz00_849 = STRUCT_REF(BgL_setz00_24, (int) (((long) 0)));
				{	/* Rgc/rgcset.scm 139 */
					long BgL_yz00_1652;

					BgL_yz00_1652 = BGl_bitzd2perzd2wordz00zz__rgc_setz00;
					BgL_maxmaskz00_850 = (((long) 1) << (int) (BgL_yz00_1652));
				}
				{	/* Rgc/rgcset.scm 140 */
					obj_t BgL_g1669z00_851;

					BgL_g1669z00_851 =
						VECTOR_REF(STRUCT_REF(BgL_setz00_24,
							(int) (((long) 1))), (int) (((long) 0)));
					{
						long BgL_iz00_853;

						long BgL_wordzd2numzd2_854;

						obj_t BgL_wordz00_855;

						long BgL_maskz00_856;

						obj_t BgL_resz00_857;

						BgL_iz00_853 = ((long) 0);
						BgL_wordzd2numzd2_854 = ((long) 0);
						BgL_wordz00_855 = BgL_g1669z00_851;
						BgL_maskz00_856 = ((long) 1);
						BgL_resz00_857 = BNIL;
					BgL_loopz00_858:
						if ((BgL_iz00_853 == (long) CINT(BgL_maxz00_849)))
							{	/* Rgc/rgcset.scm 146 */
								return BgL_resz00_857;
							}
						else
							{	/* Rgc/rgcset.scm 146 */
								if ((BgL_maskz00_856 == BgL_maxmaskz00_850))
									{	/* Rgc/rgcset.scm 150 */
										long BgL_arg1773z00_861;

										obj_t BgL_arg1774z00_862;

										BgL_arg1773z00_861 = (BgL_wordzd2numzd2_854 + ((long) 1));
										{	/* Rgc/rgcset.scm 151 */
											long BgL_arg1776z00_864;

											BgL_arg1776z00_864 = (BgL_wordzd2numzd2_854 + ((long) 1));
											BgL_arg1774z00_862 =
												VECTOR_REF(STRUCT_REF(BgL_setz00_24,
													(int) (((long) 1))), (int) (BgL_arg1776z00_864));
										}
										{
											long BgL_maskz00_2496;

											obj_t BgL_wordz00_2495;

											long BgL_wordzd2numzd2_2494;

											BgL_wordzd2numzd2_2494 = BgL_arg1773z00_861;
											BgL_wordz00_2495 = BgL_arg1774z00_862;
											BgL_maskz00_2496 = ((long) 1);
											BgL_maskz00_856 = BgL_maskz00_2496;
											BgL_wordz00_855 = BgL_wordz00_2495;
											BgL_wordzd2numzd2_854 = BgL_wordzd2numzd2_2494;
											goto BgL_loopz00_858;
										}
									}
								else
									{	/* Rgc/rgcset.scm 148 */
										if (
											(((long) CINT(BgL_wordz00_855) & BgL_maskz00_856) ==
												BgL_maskz00_856))
											{	/* Rgc/rgcset.scm 155 */
												long BgL_arg1778z00_866;

												long BgL_arg1780z00_867;

												obj_t BgL_arg1781z00_868;

												BgL_arg1778z00_866 = (BgL_iz00_853 + ((long) 1));
												BgL_arg1780z00_867 =
													(BgL_maskz00_856 << (int) (((long) 1)));
												BgL_arg1781z00_868 =
													MAKE_PAIR(BINT(BgL_iz00_853), BgL_resz00_857);
												{
													obj_t BgL_resz00_2508;

													long BgL_maskz00_2507;

													long BgL_iz00_2506;

													BgL_iz00_2506 = BgL_arg1778z00_866;
													BgL_maskz00_2507 = BgL_arg1780z00_867;
													BgL_resz00_2508 = BgL_arg1781z00_868;
													BgL_resz00_857 = BgL_resz00_2508;
													BgL_maskz00_856 = BgL_maskz00_2507;
													BgL_iz00_853 = BgL_iz00_2506;
													goto BgL_loopz00_858;
												}
											}
										else
											{
												long BgL_maskz00_2511;

												long BgL_iz00_2509;

												BgL_iz00_2509 = (BgL_iz00_853 + ((long) 1));
												BgL_maskz00_2511 =
													(BgL_maskz00_856 << (int) (((long) 1)));
												BgL_maskz00_856 = BgL_maskz00_2511;
												BgL_iz00_853 = BgL_iz00_2509;
												goto BgL_loopz00_858;
											}
									}
							}
					}
				}
			}
		}
	}



/* _rgcset->list */
	obj_t BGl__rgcsetzd2ze3listz31zz__rgc_setz00(obj_t BgL_envz00_2300,
		obj_t BgL_setz00_2301)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 137 */
			return BGl_rgcsetzd2ze3listz31zz__rgc_setz00(BgL_setz00_2301);
		}
	}



/* for-each-rgcset */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(obj_t
		BgL_procz00_25, obj_t BgL_setz00_26)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 162 */
			{	/* Rgc/rgcset.scm 163 */
				obj_t BgL_maxz00_872;

				long BgL_maxmaskz00_873;

				BgL_maxz00_872 = STRUCT_REF(BgL_setz00_26, (int) (((long) 0)));
				{	/* Rgc/rgcset.scm 164 */
					long BgL_yz00_1693;

					BgL_yz00_1693 = BGl_bitzd2perzd2wordz00zz__rgc_setz00;
					BgL_maxmaskz00_873 = (((long) 1) << (int) (BgL_yz00_1693));
				}
				{	/* Rgc/rgcset.scm 165 */
					obj_t BgL_g1671z00_874;

					BgL_g1671z00_874 =
						VECTOR_REF(STRUCT_REF(BgL_setz00_26,
							(int) (((long) 1))), (int) (((long) 0)));
					{
						long BgL_iz00_875;

						long BgL_wordzd2numzd2_876;

						obj_t BgL_wordz00_877;

						long BgL_maskz00_878;

						BgL_iz00_875 = ((long) 0);
						BgL_wordzd2numzd2_876 = ((long) 0);
						BgL_wordz00_877 = BgL_g1671z00_874;
						BgL_maskz00_878 = ((long) 1);
					BgL_loopz00_879:
						if ((BgL_iz00_875 == (long) CINT(BgL_maxz00_872)))
							{	/* Rgc/rgcset.scm 170 */
								return BUNSPEC;
							}
						else
							{	/* Rgc/rgcset.scm 170 */
								if ((BgL_maskz00_878 == BgL_maxmaskz00_873))
									{	/* Rgc/rgcset.scm 174 */
										long BgL_arg1788z00_882;

										obj_t BgL_arg1789z00_883;

										BgL_arg1788z00_882 = (BgL_wordzd2numzd2_876 + ((long) 1));
										{	/* Rgc/rgcset.scm 175 */
											long BgL_arg1791z00_885;

											BgL_arg1791z00_885 = (BgL_wordzd2numzd2_876 + ((long) 1));
											BgL_arg1789z00_883 =
												VECTOR_REF(STRUCT_REF(BgL_setz00_26,
													(int) (((long) 1))), (int) (BgL_arg1791z00_885));
										}
										{
											long BgL_maskz00_2536;

											obj_t BgL_wordz00_2535;

											long BgL_wordzd2numzd2_2534;

											BgL_wordzd2numzd2_2534 = BgL_arg1788z00_882;
											BgL_wordz00_2535 = BgL_arg1789z00_883;
											BgL_maskz00_2536 = ((long) 1);
											BgL_maskz00_878 = BgL_maskz00_2536;
											BgL_wordz00_877 = BgL_wordz00_2535;
											BgL_wordzd2numzd2_876 = BgL_wordzd2numzd2_2534;
											goto BgL_loopz00_879;
										}
									}
								else
									{	/* Rgc/rgcset.scm 172 */
										if (
											(((long) CINT(BgL_wordz00_877) & BgL_maskz00_878) ==
												BgL_maskz00_878))
											{	/* Rgc/rgcset.scm 177 */
												PROCEDURE_ENTRY(BgL_procz00_25) (BgL_procz00_25,
													BINT(BgL_iz00_875), BEOA);
												{
													long BgL_maskz00_2546;

													long BgL_iz00_2544;

													BgL_iz00_2544 = (BgL_iz00_875 + ((long) 1));
													BgL_maskz00_2546 =
														(BgL_maskz00_878 << (int) (((long) 1)));
													BgL_maskz00_878 = BgL_maskz00_2546;
													BgL_iz00_875 = BgL_iz00_2544;
													goto BgL_loopz00_879;
												}
											}
										else
											{
												long BgL_maskz00_2551;

												long BgL_iz00_2549;

												BgL_iz00_2549 = (BgL_iz00_875 + ((long) 1));
												BgL_maskz00_2551 =
													(BgL_maskz00_878 << (int) (((long) 1)));
												BgL_maskz00_878 = BgL_maskz00_2551;
												BgL_iz00_875 = BgL_iz00_2549;
												goto BgL_loopz00_879;
											}
									}
							}
					}
				}
			}
		}
	}



/* _for-each-rgcset2170 */
	obj_t BGl__forzd2eachzd2rgcset2170z00zz__rgc_setz00(obj_t BgL_envz00_2302,
		obj_t BgL_procz00_2303, obj_t BgL_setz00_2304)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 162 */
			{	/* Rgc/rgcset.scm 163 */
				obj_t BgL_auxz00_2554;

				if (PROCEDUREP(BgL_procz00_2303))
					{	/* Rgc/rgcset.scm 163 */
						BgL_auxz00_2554 = BgL_procz00_2303;
					}
				else
					{	/* Rgc/rgcset.scm 163 */
						BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol2195z00zz__rgc_setz00, BGl_string2197z00zz__rgc_setz00,
							BgL_procz00_2303);
						exit(-1);
					}
				return
					BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(BgL_auxz00_2554,
					BgL_setz00_2304);
			}
		}
	}



/* rgcset-length */
	BGL_EXPORTED_DEF long BGl_rgcsetzd2lengthzd2zz__rgc_setz00(obj_t
		BgL_setz00_27)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 188 */
			{	/* Rgc/rgcset.scm 189 */
				obj_t BgL_numz00_1730;

				{	/* Rgc/rgcset.scm 189 */
					obj_t BgL_cellvalz00_2560;

					BgL_cellvalz00_2560 = BINT(((long) 0));
					BgL_numz00_1730 = MAKE_CELL(BgL_cellvalz00_2560);
				}
				{	/* Rgc/rgcset.scm 189 */
					obj_t BgL_zc3anonymousza31799ze3z83_2305;

					BgL_zc3anonymousza31799ze3z83_2305 =
						make_fx_procedure(BGl_zc3anonymousza31799ze3z83zz__rgc_setz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza31799ze3z83_2305,
						(int) (((long) 0)), BgL_numz00_1730);
					BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
						(BgL_zc3anonymousza31799ze3z83_2305, BgL_setz00_27);
				}
				return (long) CINT(CELL_REF(BgL_numz00_1730));
		}}
	}



/* _rgcset-length */
	obj_t BGl__rgcsetzd2lengthzd2zz__rgc_setz00(obj_t BgL_envz00_2306,
		obj_t BgL_setz00_2307)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 188 */
			return BINT(BGl_rgcsetzd2lengthzd2zz__rgc_setz00(BgL_setz00_2307));
		}
	}



/* <anonymous:1799> */
	obj_t BGl_zc3anonymousza31799ze3z83zz__rgc_setz00(obj_t BgL_envz00_2308,
		obj_t BgL_xz00_2310)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 190 */
			{	/* Rgc/rgcset.scm 189 */
				obj_t BgL_numz00_2309;

				BgL_numz00_2309 = PROCEDURE_REF(BgL_envz00_2308, (int) (((long) 0)));
				{
					obj_t BgL_xz00_1732;

					BgL_xz00_1732 = BgL_xz00_2310;
					{	/* Rgc/rgcset.scm 189 */
						obj_t BgL_auxz00_2311;

						BgL_auxz00_2311 =
							BINT((((long) 1) + (long) CINT(CELL_REF(BgL_numz00_2309))));
						return CELL_SET(BgL_numz00_2309, BgL_auxz00_2311);
					}
				}
			}
		}
	}



/* rgcset-not! */
	BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2notz12zc0zz__rgc_setz00(obj_t
		BgL_setz00_28)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 196 */
			{	/* Rgc/rgcset.scm 198 */
				int BgL_lenz00_897;

				BgL_lenz00_897 =
					VECTOR_LENGTH(STRUCT_REF(BgL_setz00_28, (int) (((long) 1))));
				{
					long BgL_iz00_898;

					{	/* Rgc/rgcset.scm 199 */
						bool_t BgL_auxz00_2579;

						BgL_iz00_898 = ((long) 0);
					BgL_loopz00_899:
						if (BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT(BgL_iz00_898),
								BINT(BgL_lenz00_897)))
							{	/* Rgc/rgcset.scm 200 */
								{	/* Rgc/rgcset.scm 202 */
									long BgL_arg1801z00_901;

									{	/* Rgc/rgcset.scm 202 */
										obj_t BgL_arg1802z00_902;

										BgL_arg1802z00_902 =
											VECTOR_REF(STRUCT_REF(BgL_setz00_28,
												(int) (((long) 1))), (int) (BgL_iz00_898));
										BgL_arg1801z00_901 = ~((long) CINT(BgL_arg1802z00_902));
									}
									VECTOR_SET(STRUCT_REF(BgL_setz00_28,
											(int) (((long) 1))),
										(int) (BgL_iz00_898), BINT(BgL_arg1801z00_901));
								}
								{
									long BgL_iz00_2595;

									BgL_iz00_2595 = (BgL_iz00_898 + ((long) 1));
									BgL_iz00_898 = BgL_iz00_2595;
									goto BgL_loopz00_899;
								}
							}
						else
							{	/* Rgc/rgcset.scm 200 */
								BgL_auxz00_2579 = ((bool_t) 0);
							}
						return BBOOL(BgL_auxz00_2579);
					}
				}
			}
		}
	}



/* _rgcset-not! */
	obj_t BGl__rgcsetzd2notz12zc0zz__rgc_setz00(obj_t BgL_envz00_2312,
		obj_t BgL_setz00_2313)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 196 */
			return BGl_rgcsetzd2notz12zc0zz__rgc_setz00(BgL_setz00_2313);
		}
	}



/* rgcset-not */
	BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2notzd2zz__rgc_setz00(obj_t BgL_setz00_29)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 208 */
			{	/* Rgc/rgcset.scm 210 */
				int BgL_lenz00_904;

				obj_t BgL_newz00_905;

				BgL_lenz00_904 =
					VECTOR_LENGTH(STRUCT_REF(BgL_setz00_29, (int) (((long) 1))));
				{	/* Rgc/rgcset.scm 211 */
					obj_t BgL_arg1808z00_912;

					BgL_arg1808z00_912 = STRUCT_REF(BgL_setz00_29, (int) (((long) 0)));
					{	/* Rgc/rgcset.scm 211 */
						long BgL_siza7eza7_1771;

						BgL_siza7eza7_1771 = (long) CINT(BgL_arg1808z00_912);
						{	/* Rgc/rgcset.scm 211 */
							obj_t BgL_arg1755z00_1772;

							{	/* Rgc/rgcset.scm 211 */
								long BgL_arg1756z00_1773;

								{	/* Rgc/rgcset.scm 211 */
									obj_t BgL_auxz00_2605;

									{	/* Rgc/rgcset.scm 211 */
										obj_t BgL_auxz00_2606;

										{	/* Rgc/rgcset.scm 211 */
											long BgL_za72za7_1778;

											BgL_za72za7_1778 = BGl_bitzd2perzd2wordz00zz__rgc_setz00;
											BgL_auxz00_2606 =
												BINT((BgL_siza7eza7_1771 / BgL_za72za7_1778));
										}
										BgL_auxz00_2605 =
											BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(((long) 1)),
											BgL_auxz00_2606);
									}
									BgL_arg1756z00_1773 = (long) CINT(BgL_auxz00_2605);
								}
								BgL_arg1755z00_1772 =
									make_vector((int) (BgL_arg1756z00_1773), BINT(((long) 0)));
							}
							{	/* Rgc/rgcset.scm 211 */
								obj_t BgL_newz00_1781;

								BgL_newz00_1781 =
									create_struct(BGl_symbol2184z00zz__rgc_setz00,
									(int) (((long) 2)));
								{	/* Rgc/rgcset.scm 211 */
									int BgL_auxz00_2617;

									BgL_auxz00_2617 = (int) (((long) 1));
									STRUCT_SET(BgL_newz00_1781, BgL_auxz00_2617,
										BgL_arg1755z00_1772);
								}
								{	/* Rgc/rgcset.scm 211 */
									obj_t BgL_auxz00_2622;

									int BgL_auxz00_2620;

									BgL_auxz00_2622 = BINT(BgL_siza7eza7_1771);
									BgL_auxz00_2620 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_1781, BgL_auxz00_2620, BgL_auxz00_2622);
								}
								BgL_newz00_905 = BgL_newz00_1781;
				}}}}
				{
					long BgL_iz00_906;

					BgL_iz00_906 = ((long) 0);
				BgL_loopz00_907:
					if (BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT(BgL_iz00_906),
							BINT(BgL_lenz00_904)))
						{	/* Rgc/rgcset.scm 213 */
							{	/* Rgc/rgcset.scm 215 */
								long BgL_arg1805z00_909;

								{	/* Rgc/rgcset.scm 215 */
									obj_t BgL_arg1806z00_910;

									BgL_arg1806z00_910 =
										VECTOR_REF(STRUCT_REF(BgL_setz00_29,
											(int) (((long) 1))), (int) (BgL_iz00_906));
									BgL_arg1805z00_909 = ~((long) CINT(BgL_arg1806z00_910));
								}
								VECTOR_SET(STRUCT_REF(BgL_newz00_905,
										(int) (((long) 1))),
									(int) (BgL_iz00_906), BINT(BgL_arg1805z00_909));
							}
							{
								long BgL_iz00_2640;

								BgL_iz00_2640 = (BgL_iz00_906 + ((long) 1));
								BgL_iz00_906 = BgL_iz00_2640;
								goto BgL_loopz00_907;
							}
						}
					else
						{	/* Rgc/rgcset.scm 213 */
							return BgL_newz00_905;
						}
				}
			}
		}
	}



/* _rgcset-not */
	obj_t BGl__rgcsetzd2notzd2zz__rgc_setz00(obj_t BgL_envz00_2314,
		obj_t BgL_setz00_2315)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 208 */
			return BGl_rgcsetzd2notzd2zz__rgc_setz00(BgL_setz00_2315);
		}
	}



/* rgcset-and! */
	BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2andz12zc0zz__rgc_setz00(obj_t
		BgL_set1z00_30, obj_t BgL_set2z00_31)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 222 */
			{	/* Rgc/rgcset.scm 224 */
				int BgL_len1z00_913;

				int BgL_len2z00_914;

				BgL_len1z00_913 =
					VECTOR_LENGTH(STRUCT_REF(BgL_set1z00_30, (int) (((long) 1))));
				BgL_len2z00_914 =
					VECTOR_LENGTH(STRUCT_REF(BgL_set2z00_31, (int) (((long) 1))));
				{
					long BgL_iz00_915;

					{	/* Rgc/rgcset.scm 226 */
						bool_t BgL_auxz00_2649;

						BgL_iz00_915 = ((long) 0);
					BgL_loopz00_916:
						{	/* Rgc/rgcset.scm 227 */
							bool_t BgL_testz00_2650;

							if (BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT(BgL_iz00_915),
									BINT(BgL_len1z00_913)))
								{	/* Rgc/rgcset.scm 227 */
									BgL_testz00_2650 =
										BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT(BgL_iz00_915),
										BINT(BgL_len2z00_914));
								}
							else
								{	/* Rgc/rgcset.scm 227 */
									BgL_testz00_2650 = ((bool_t) 0);
								}
							if (BgL_testz00_2650)
								{	/* Rgc/rgcset.scm 227 */
									{	/* Rgc/rgcset.scm 231 */
										long BgL_arg1810z00_918;

										{	/* Rgc/rgcset.scm 231 */
											obj_t BgL_arg1811z00_919;

											obj_t BgL_arg1812z00_920;

											BgL_arg1811z00_919 =
												VECTOR_REF(STRUCT_REF(BgL_set1z00_30,
													(int) (((long) 1))), (int) (BgL_iz00_915));
											BgL_arg1812z00_920 =
												VECTOR_REF(STRUCT_REF(BgL_set2z00_31,
													(int) (((long) 1))), (int) (BgL_iz00_915));
											BgL_arg1810z00_918 =
												(
												(long) CINT(BgL_arg1811z00_919) &
												(long) CINT(BgL_arg1812z00_920));
										}
										VECTOR_SET(STRUCT_REF(BgL_set1z00_30,
												(int) (((long) 1))),
											(int) (BgL_iz00_915), BINT(BgL_arg1810z00_918));
									}
									{
										long BgL_iz00_2674;

										BgL_iz00_2674 = (BgL_iz00_915 + ((long) 1));
										BgL_iz00_915 = BgL_iz00_2674;
										goto BgL_loopz00_916;
									}
								}
							else
								{	/* Rgc/rgcset.scm 227 */
									BgL_auxz00_2649 = ((bool_t) 0);
								}
						}
						return BBOOL(BgL_auxz00_2649);
					}
				}
			}
		}
	}



/* _rgcset-and! */
	obj_t BGl__rgcsetzd2andz12zc0zz__rgc_setz00(obj_t BgL_envz00_2316,
		obj_t BgL_set1z00_2317, obj_t BgL_set2z00_2318)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 222 */
			return
				BGl_rgcsetzd2andz12zc0zz__rgc_setz00(BgL_set1z00_2317,
				BgL_set2z00_2318);
		}
	}



/* rgcset-or! */
	BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2orz12zc0zz__rgc_setz00(obj_t
		BgL_set1z00_32, obj_t BgL_set2z00_33)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 238 */
			{	/* Rgc/rgcset.scm 240 */
				int BgL_len1z00_923;

				int BgL_len2z00_924;

				BgL_len1z00_923 =
					VECTOR_LENGTH(STRUCT_REF(BgL_set1z00_32, (int) (((long) 1))));
				BgL_len2z00_924 =
					VECTOR_LENGTH(STRUCT_REF(BgL_set2z00_33, (int) (((long) 1))));
				{
					long BgL_iz00_925;

					{	/* Rgc/rgcset.scm 243 */
						bool_t BgL_auxz00_2684;

						BgL_iz00_925 = ((long) 0);
					BgL_loopz00_926:
						if (BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT(BgL_iz00_925),
								BINT(BgL_len1z00_923)))
							{	/* Rgc/rgcset.scm 244 */
								{	/* Rgc/rgcset.scm 248 */
									long BgL_arg1816z00_928;

									{	/* Rgc/rgcset.scm 248 */
										obj_t BgL_arg1817z00_929;

										obj_t BgL_arg1818z00_930;

										BgL_arg1817z00_929 =
											VECTOR_REF(STRUCT_REF(BgL_set1z00_32,
												(int) (((long) 1))), (int) (BgL_iz00_925));
										BgL_arg1818z00_930 =
											VECTOR_REF(STRUCT_REF(BgL_set2z00_33,
												(int) (((long) 1))), (int) (BgL_iz00_925));
										BgL_arg1816z00_928 =
											(
											(long) CINT(BgL_arg1817z00_929) |
											(long) CINT(BgL_arg1818z00_930));
									}
									VECTOR_SET(STRUCT_REF(BgL_set1z00_32,
											(int) (((long) 1))),
										(int) (BgL_iz00_925), BINT(BgL_arg1816z00_928));
								}
								{
									long BgL_iz00_2705;

									BgL_iz00_2705 = (BgL_iz00_925 + ((long) 1));
									BgL_iz00_925 = BgL_iz00_2705;
									goto BgL_loopz00_926;
								}
							}
						else
							{	/* Rgc/rgcset.scm 244 */
								BgL_auxz00_2684 = ((bool_t) 0);
							}
						return BBOOL(BgL_auxz00_2684);
					}
				}
			}
		}
	}



/* _rgcset-or! */
	obj_t BGl__rgcsetzd2orz12zc0zz__rgc_setz00(obj_t BgL_envz00_2319,
		obj_t BgL_set1z00_2320, obj_t BgL_set2z00_2321)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 238 */
			return
				BGl_rgcsetzd2orz12zc0zz__rgc_setz00(BgL_set1z00_2320, BgL_set2z00_2321);
		}
	}



/* rgcset-or */
	BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2orzd2zz__rgc_setz00(obj_t BgL_set1z00_34,
		obj_t BgL_set2z00_35)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 255 */
			{	/* Rgc/rgcset.scm 257 */
				int BgL_len1z00_932;

				BgL_len1z00_932 =
					VECTOR_LENGTH(STRUCT_REF(BgL_set1z00_34, (int) (((long) 1))));
				{	/* Rgc/rgcset.scm 257 */
					int BgL_len2z00_933;

					BgL_len2z00_933 =
						VECTOR_LENGTH(STRUCT_REF(BgL_set2z00_35, (int) (((long) 1))));
					{	/* Rgc/rgcset.scm 258 */
						obj_t BgL_newz00_934;

						{	/* Rgc/rgcset.scm 259 */
							obj_t BgL_arg1825z00_942;

							BgL_arg1825z00_942 =
								STRUCT_REF(BgL_set1z00_34, (int) (((long) 0)));
							{	/* Rgc/rgcset.scm 259 */
								long BgL_siza7eza7_1912;

								BgL_siza7eza7_1912 = (long) CINT(BgL_arg1825z00_942);
								{	/* Rgc/rgcset.scm 259 */
									obj_t BgL_arg1755z00_1913;

									{	/* Rgc/rgcset.scm 259 */
										long BgL_arg1756z00_1914;

										{	/* Rgc/rgcset.scm 259 */
											obj_t BgL_auxz00_2718;

											{	/* Rgc/rgcset.scm 259 */
												obj_t BgL_auxz00_2719;

												{	/* Rgc/rgcset.scm 259 */
													long BgL_za72za7_1919;

													BgL_za72za7_1919 =
														BGl_bitzd2perzd2wordz00zz__rgc_setz00;
													BgL_auxz00_2719 =
														BINT((BgL_siza7eza7_1912 / BgL_za72za7_1919));
												}
												BgL_auxz00_2718 =
													BGl_2zb2zb2zz__r4_numbers_6_5z00(BINT(((long) 1)),
													BgL_auxz00_2719);
											}
											BgL_arg1756z00_1914 = (long) CINT(BgL_auxz00_2718);
										}
										BgL_arg1755z00_1913 =
											make_vector(
											(int) (BgL_arg1756z00_1914), BINT(((long) 0)));
									}
									{	/* Rgc/rgcset.scm 259 */
										obj_t BgL_newz00_1922;

										BgL_newz00_1922 =
											create_struct(BGl_symbol2184z00zz__rgc_setz00,
											(int) (((long) 2)));
										{	/* Rgc/rgcset.scm 259 */
											int BgL_auxz00_2730;

											BgL_auxz00_2730 = (int) (((long) 1));
											STRUCT_SET(BgL_newz00_1922, BgL_auxz00_2730,
												BgL_arg1755z00_1913);
										}
										{	/* Rgc/rgcset.scm 259 */
											obj_t BgL_auxz00_2735;

											int BgL_auxz00_2733;

											BgL_auxz00_2735 = BINT(BgL_siza7eza7_1912);
											BgL_auxz00_2733 = (int) (((long) 0));
											STRUCT_SET(BgL_newz00_1922, BgL_auxz00_2733,
												BgL_auxz00_2735);
										}
										BgL_newz00_934 = BgL_newz00_1922;
						}}}}
						{	/* Rgc/rgcset.scm 259 */

							{
								long BgL_iz00_935;

								BgL_iz00_935 = ((long) 0);
							BgL_loopz00_936:
								if (BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT(BgL_iz00_935),
										BINT(BgL_len1z00_932)))
									{	/* Rgc/rgcset.scm 262 */
										{	/* Rgc/rgcset.scm 266 */
											long BgL_arg1821z00_938;

											{	/* Rgc/rgcset.scm 266 */
												obj_t BgL_arg1822z00_939;

												obj_t BgL_arg1823z00_940;

												BgL_arg1822z00_939 =
													VECTOR_REF(STRUCT_REF(BgL_set1z00_34,
														(int) (((long) 1))), (int) (BgL_iz00_935));
												BgL_arg1823z00_940 =
													VECTOR_REF(STRUCT_REF(BgL_set2z00_35,
														(int) (((long) 1))), (int) (BgL_iz00_935));
												BgL_arg1821z00_938 =
													(
													(long) CINT(BgL_arg1822z00_939) |
													(long) CINT(BgL_arg1823z00_940));
											}
											VECTOR_SET(STRUCT_REF(BgL_newz00_934,
													(int) (((long) 1))),
												(int) (BgL_iz00_935), BINT(BgL_arg1821z00_938));
										}
										{
											long BgL_iz00_2758;

											BgL_iz00_2758 = (BgL_iz00_935 + ((long) 1));
											BgL_iz00_935 = BgL_iz00_2758;
											goto BgL_loopz00_936;
										}
									}
								else
									{	/* Rgc/rgcset.scm 262 */
										return BgL_newz00_934;
									}
							}
						}
					}
				}
			}
		}
	}



/* _rgcset-or */
	obj_t BGl__rgcsetzd2orzd2zz__rgc_setz00(obj_t BgL_envz00_2322,
		obj_t BgL_set1z00_2323, obj_t BgL_set2z00_2324)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 255 */
			return
				BGl_rgcsetzd2orzd2zz__rgc_setz00(BgL_set1z00_2323, BgL_set2z00_2324);
		}
	}



/* rgcset-but! */
	BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2butz12zc0zz__rgc_setz00(obj_t
		BgL_set1z00_36, obj_t BgL_set2z00_37)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 274 */
			{	/* Rgc/rgcset.scm 275 */
				int BgL_len1z00_943;

				int BgL_len2z00_944;

				BgL_len1z00_943 =
					VECTOR_LENGTH(STRUCT_REF(BgL_set1z00_36, (int) (((long) 1))));
				BgL_len2z00_944 =
					VECTOR_LENGTH(STRUCT_REF(BgL_set2z00_37, (int) (((long) 1))));
				{
					long BgL_iz00_945;

					{	/* Rgc/rgcset.scm 278 */
						bool_t BgL_auxz00_2767;

						BgL_iz00_945 = ((long) 0);
					BgL_loopz00_946:
						if (BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT(BgL_iz00_945),
								BINT(BgL_len1z00_943)))
							{	/* Rgc/rgcset.scm 279 */
								{	/* Rgc/rgcset.scm 283 */
									obj_t BgL_arg1827z00_948;

									BgL_arg1827z00_948 =
										BGl_2zd2zd2zz__r4_numbers_6_5z00(VECTOR_REF(STRUCT_REF
											(BgL_set1z00_36, (int) (((long) 1))),
											(int) (BgL_iz00_945)),
										VECTOR_REF(STRUCT_REF(BgL_set2z00_37, (int) (((long) 1))),
											(int) (BgL_iz00_945)));
									VECTOR_SET(STRUCT_REF(BgL_set1z00_36, (int) (((long) 1))),
										(int) (BgL_iz00_945), BgL_arg1827z00_948);
								}
								{
									long BgL_iz00_2785;

									BgL_iz00_2785 = (BgL_iz00_945 + ((long) 1));
									BgL_iz00_945 = BgL_iz00_2785;
									goto BgL_loopz00_946;
								}
							}
						else
							{	/* Rgc/rgcset.scm 279 */
								BgL_auxz00_2767 = ((bool_t) 0);
							}
						return BBOOL(BgL_auxz00_2767);
					}
				}
			}
		}
	}



/* _rgcset-but! */
	obj_t BGl__rgcsetzd2butz12zc0zz__rgc_setz00(obj_t BgL_envz00_2325,
		obj_t BgL_set1z00_2326, obj_t BgL_set2z00_2327)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 274 */
			return
				BGl_rgcsetzd2butz12zc0zz__rgc_setz00(BgL_set1z00_2326,
				BgL_set2z00_2327);
		}
	}



/* rgcset-equal? */
	BGL_EXPORTED_DEF bool_t BGl_rgcsetzd2equalzf3z21zz__rgc_setz00(obj_t
		BgL_set1z00_38, obj_t BgL_set2z00_39)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 290 */
			{	/* Rgc/rgcset.scm 291 */
				int BgL_len1z00_952;

				int BgL_len2z00_953;

				BgL_len1z00_952 =
					VECTOR_LENGTH(STRUCT_REF(BgL_set1z00_38, (int) (((long) 1))));
				BgL_len2z00_953 =
					VECTOR_LENGTH(STRUCT_REF(BgL_set2z00_39, (int) (((long) 1))));
				if (((long) (BgL_len1z00_952) == (long) (BgL_len2z00_953)))
					{	/* Rgc/rgcset.scm 294 */
						obj_t BgL_w1z00_955;

						obj_t BgL_w2z00_956;

						BgL_w1z00_955 = STRUCT_REF(BgL_set1z00_38, (int) (((long) 1)));
						BgL_w2z00_956 = STRUCT_REF(BgL_set2z00_39, (int) (((long) 1)));
						{
							long BgL_iz00_957;

							BgL_iz00_957 = ((long) 0);
						BgL_loopz00_958:
							if ((BgL_iz00_957 == (long) (BgL_len1z00_952)))
								{	/* Rgc/rgcset.scm 298 */
									return ((bool_t) 1);
								}
							else
								{	/* Rgc/rgcset.scm 300 */
									bool_t BgL_testz00_2806;

									{	/* Rgc/rgcset.scm 300 */
										obj_t BgL_arg1834z00_962;

										obj_t BgL_arg1835z00_963;

										BgL_arg1834z00_962 =
											VECTOR_REF(BgL_w1z00_955, (int) (BgL_iz00_957));
										BgL_arg1835z00_963 =
											VECTOR_REF(BgL_w2z00_956, (int) (BgL_iz00_957));
										BgL_testz00_2806 =
											(
											(long) CINT(BgL_arg1834z00_962) ==
											(long) CINT(BgL_arg1835z00_963));
									}
									if (BgL_testz00_2806)
										{
											long BgL_iz00_2814;

											BgL_iz00_2814 = (BgL_iz00_957 + ((long) 1));
											BgL_iz00_957 = BgL_iz00_2814;
											goto BgL_loopz00_958;
										}
									else
										{	/* Rgc/rgcset.scm 300 */
											return ((bool_t) 0);
										}
								}
						}
					}
				else
					{	/* Rgc/rgcset.scm 293 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* _rgcset-equal? */
	obj_t BGl__rgcsetzd2equalzf3z21zz__rgc_setz00(obj_t BgL_envz00_2328,
		obj_t BgL_set1z00_2329, obj_t BgL_set2z00_2330)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 290 */
			return
				BBOOL(BGl_rgcsetzd2equalzf3z21zz__rgc_setz00(BgL_set1z00_2329,
					BgL_set2z00_2330));
		}
	}



/* rgcset->hash */
	BGL_EXPORTED_DEF long BGl_rgcsetzd2ze3hashz31zz__rgc_setz00(obj_t
		BgL_setz00_40)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 308 */
			{	/* Rgc/rgcset.scm 309 */
				int BgL_lenz00_964;

				BgL_lenz00_964 =
					VECTOR_LENGTH(STRUCT_REF(BgL_setz00_40, (int) (((long) 1))));
				{	/* Rgc/rgcset.scm 310 */
					obj_t BgL_g1673z00_965;

					BgL_g1673z00_965 =
						VECTOR_REF(STRUCT_REF(BgL_setz00_40,
							(int) (((long) 1))), (int) (((long) 0)));
					{
						long BgL_iz00_966;

						obj_t BgL_resz00_967;

						{	/* Rgc/rgcset.scm 310 */
							obj_t BgL_auxz00_2825;

							BgL_iz00_966 = ((long) 1);
							BgL_resz00_967 = BgL_g1673z00_965;
						BgL_loopz00_968:
							if ((BgL_iz00_966 == (long) (BgL_lenz00_964)))
								{	/* Rgc/rgcset.scm 312 */
									if (((long) CINT(BgL_resz00_967) < ((long) 0)))
										{	/* Rgc/rgcset.scm 313 */
											BgL_auxz00_2825 = BINT(NEG((long) CINT(BgL_resz00_967)));
										}
									else
										{	/* Rgc/rgcset.scm 313 */
											BgL_auxz00_2825 = BgL_resz00_967;
										}
								}
							else
								{	/* Rgc/rgcset.scm 316 */
									long BgL_vz00_971;

									{	/* Rgc/rgcset.scm 316 */
										long BgL_arg1843z00_977;

										{	/* Rgc/rgcset.scm 316 */
											long BgL_arg1844z00_978;

											obj_t BgL_arg1845z00_979;

											BgL_arg1844z00_978 =
												((long) CINT(BgL_resz00_967) << (int) (((long) 3)));
											BgL_arg1845z00_979 =
												VECTOR_REF(STRUCT_REF(BgL_setz00_40,
													(int) (((long) 1))), (int) (BgL_iz00_966));
											BgL_arg1843z00_977 =
												(BgL_arg1844z00_978 + (long) CINT(BgL_arg1845z00_979));
										}
										BgL_vz00_971 =
											((long) CINT(BgL_resz00_967) + BgL_arg1843z00_977);
									}
									{	/* Rgc/rgcset.scm 317 */
										long BgL_arg1838z00_972;

										long BgL_arg1839z00_973;

										BgL_arg1838z00_972 = (BgL_iz00_966 + ((long) 1));
										{	/* Rgc/rgcset.scm 318 */
											bool_t BgL_testz00_2847;

											{	/* Rgc/rgcset.scm 318 */
												obj_t BgL_arg1841z00_975;

												BgL_arg1841z00_975 =
													VECTOR_REF(STRUCT_REF(BgL_setz00_40,
														(int) (((long) 1))), (int) (BgL_iz00_966));
												BgL_testz00_2847 =
													((long) CINT(BgL_arg1841z00_975) == ((long) 0));
											}
											if (BgL_testz00_2847)
												{	/* Rgc/rgcset.scm 318 */
													BgL_arg1839z00_973 = BgL_vz00_971;
												}
											else
												{	/* Rgc/rgcset.scm 318 */
													BgL_arg1839z00_973 = (BgL_iz00_966 + BgL_vz00_971);
												}
										}
										{
											obj_t BgL_resz00_2856;

											long BgL_iz00_2855;

											BgL_iz00_2855 = BgL_arg1838z00_972;
											BgL_resz00_2856 = BINT(BgL_arg1839z00_973);
											BgL_resz00_967 = BgL_resz00_2856;
											BgL_iz00_966 = BgL_iz00_2855;
											goto BgL_loopz00_968;
										}
									}
								}
							return (long) CINT(BgL_auxz00_2825);
		}}}}}
	}



/* _rgcset->hash */
	obj_t BGl__rgcsetzd2ze3hashz31zz__rgc_setz00(obj_t BgL_envz00_2331,
		obj_t BgL_setz00_2332)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 308 */
			return BINT(BGl_rgcsetzd2ze3hashz31zz__rgc_setz00(BgL_setz00_2332));
		}
	}



/* rgcset-remove! */
	BGL_EXPORTED_DEF obj_t BGl_rgcsetzd2removez12zc0zz__rgc_setz00(obj_t
		BgL_setz00_41, long BgL_numz00_42)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 325 */
			{	/* Rgc/rgcset.scm 326 */
				long BgL_wordzd2numzd2_2080;

				BgL_wordzd2numzd2_2080 =
					(BgL_numz00_42 / BGl_bitzd2perzd2wordz00zz__rgc_setz00);
				{	/* Rgc/rgcset.scm 326 */
					long BgL_wordzd2bitzd2_2081;

					BgL_wordzd2bitzd2_2081 =
						(BgL_numz00_42 % BGl_bitzd2perzd2wordz00zz__rgc_setz00);
					{	/* Rgc/rgcset.scm 326 */
						obj_t BgL_oldz00_2082;

						BgL_oldz00_2082 =
							VECTOR_REF(STRUCT_REF(BgL_setz00_41,
								(int) (((long) 1))), (int) (BgL_wordzd2numzd2_2080));
						{	/* Rgc/rgcset.scm 326 */

							{	/* Rgc/rgcset.scm 326 */
								long BgL_arg1846z00_2083;

								BgL_arg1846z00_2083 =
									(
									(long) CINT(BgL_oldz00_2082) ^
									(((long) 1) << (int) (BgL_wordzd2bitzd2_2081)));
								return
									VECTOR_SET(STRUCT_REF(BgL_setz00_41,
										(int) (((long) 1))),
									(int) (BgL_wordzd2numzd2_2080), BINT(BgL_arg1846z00_2083));
		}}}}}}
	}



/* _rgcset-remove!2171 */
	obj_t BGl__rgcsetzd2removez122171zc0zz__rgc_setz00(obj_t BgL_envz00_2333,
		obj_t BgL_setz00_2334, obj_t BgL_numz00_2335)
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 325 */
			{	/* Rgc/rgcset.scm 326 */
				long BgL_auxz00_2876;

				{	/* Rgc/rgcset.scm 326 */
					obj_t BgL_auxz00_2877;

					if (INTEGERP(BgL_numz00_2335))
						{	/* Rgc/rgcset.scm 326 */
							BgL_auxz00_2877 = BgL_numz00_2335;
						}
					else
						{	/* Rgc/rgcset.scm 326 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2198z00zz__rgc_setz00,
								BGl_string2188z00zz__rgc_setz00, BgL_numz00_2335);
							exit(-1);
						}
					BgL_auxz00_2876 = (long) CINT(BgL_auxz00_2877);
				}
				return
					BGl_rgcsetzd2removez12zc0zz__rgc_setz00(BgL_setz00_2334,
					BgL_auxz00_2876);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rgc_setz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgc_setz00()
	{
		AN_OBJECT;
		{	/* Rgc/rgcset.scm 15 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19987059),
				BSTRING_TO_STRING(BGl_string2200z00zz__rgc_setz00));
		}
	}

#ifdef __cplusplus
}
#endif
