/*===========================================================================*/
/*   (Unsafe/crc16.scm)                                                      */
/*   Bigloo (3.1b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 15 11:42:55 CEST 2008       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.1b -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Unsafe/crc16.scm -indent -o objs/obj_u/Unsafe/crc16.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62conditionz62_bgl
	{
		header_t header;
		obj_t widening;
	}                      *BgL_z62conditionz62_bglt;

	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                  *BgL_z62errorz62_bglt;

	typedef struct BgL_z62typezd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
		obj_t BgL_typez00;
	}                         *BgL_z62typezd2errorzb0_bglt;

	typedef struct BgL_z62iozd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                       *BgL_z62iozd2errorzb0_bglt;

	typedef struct BgL_z62iozd2portzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2portzd2errorz62_bglt;

	typedef struct BgL_z62iozd2readzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                              *BgL_z62iozd2readzd2errorz62_bglt;

	typedef struct BgL_z62iozd2writezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2writezd2errorz62_bglt;

	typedef struct BgL_z62iozd2closedzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62iozd2closedzd2errorz62_bglt;

	typedef struct BgL_z62iozd2filezd2notzd2foundzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                           
		*BgL_z62iozd2filezd2notzd2foundzd2errorz62_bglt;

	typedef struct BgL_z62iozd2parsezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                               *BgL_z62iozd2parsezd2errorz62_bglt;

	typedef struct BgL_z62iozd2unknownzd2hostzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                       
		*BgL_z62iozd2unknownzd2hostzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2malformedzd2urlzd2errorzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                        
		*BgL_z62iozd2malformedzd2urlzd2errorzb0_bglt;

	typedef struct BgL_z62iozd2sigpipezd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2sigpipezd2errorz62_bglt;

	typedef struct BgL_z62iozd2timeoutzd2errorz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                 *BgL_z62iozd2timeoutzd2errorz62_bglt;

	typedef struct BgL_z62processzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_procz00;
		obj_t BgL_msgz00;
		obj_t BgL_objz00;
	}                                *BgL_z62processzd2exceptionzb0_bglt;

	typedef struct BgL_z62securityzd2exceptionzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
	}                                 *BgL_z62securityzd2exceptionzb0_bglt;

	typedef struct BgL_z62accesszd2controlzd2exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_messagez00;
		obj_t BgL_permissionz00;
	}                                        
		*BgL_z62accesszd2controlzd2exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;

	typedef struct BgL_threadzd2backendzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                          *BgL_threadzd2backendzd2_bglt;

	typedef struct BgL_threadz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
	}                *BgL_threadz00_bglt;


	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__crc16zd2stringzd2zz__crc16z00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__crc16z00 = BUNSPEC;
	BGL_EXPORTED_DECL int BGl_crc16zd2mmapzd2zz__crc16z00(obj_t);
	BGL_EXPORTED_DECL int BGl_crc16zd2stringzd2zz__crc16z00(obj_t);
	extern obj_t BGl_readzd2bytezd2zz__r4_input_6_10_2z00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__crc16z00();
	static obj_t BGl__crc16zd2portzd2zz__crc16z00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__crc16z00();
	static obj_t BGl_zc3anonymousza31761ze3z83zz__crc16z00(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2323z00zz__crc16z00 = BUNSPEC;
	static obj_t BGl_symbol2326z00zz__crc16z00 = BUNSPEC;
	static obj_t BGl_symbol2329z00zz__crc16z00 = BUNSPEC;
	static obj_t BGl_symbol2332z00zz__crc16z00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__crc16z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_symbol2336z00zz__crc16z00 = BUNSPEC;
	extern obj_t BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL int BGl_crc16zd2portzd2zz__crc16z00(obj_t);
	static obj_t BGl__crc16zd2filezd2zz__crc16z00(obj_t, obj_t);
	static long BGl_crczd2valuezd2zz__crc16z00(long, long);
	BGL_EXPORTED_DECL int BGl_crc16z00zz__crc16z00(obj_t);
	static obj_t BGl__crc16zd2mmapzd2zz__crc16z00(obj_t, obj_t);
	static obj_t BGl__crc16z00zz__crc16z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__crc16z00();
	BGL_EXPORTED_DECL int BGl_crc16zd2filezd2zz__crc16z00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2mmapzd2envz00zz__crc16z00,
		BgL_bgl__crc16za7d2mmapza7d22339z00, BGl__crc16zd2mmapzd2zz__crc16z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2portzd2envz00zz__crc16z00,
		BgL_bgl__crc16za7d2portza7d22340z00, BGl__crc16zd2portzd2zz__crc16z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2envzd2zz__crc16z00,
		BgL_bgl__crc16za700za7za7__crc2341za7, BGl__crc16z00zz__crc16z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2stringzd2envz00zz__crc16z00,
		BgL_bgl__crc16za7d2stringza72342z00, BGl__crc16zd2stringzd2zz__crc16z00, 0L,
		BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zz__crc16z00,
		BgL_bgl_za7c3anonymousza7a312343z00,
		BGl_zc3anonymousza31761ze3z83zz__crc16z00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2324z00zz__crc16z00,
		BgL_bgl_string2324za700za7za7_2344za7, "crc16", 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2filezd2envz00zz__crc16z00,
		BgL_bgl__crc16za7d2fileza7d22345z00, BGl__crc16zd2filezd2zz__crc16z00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2325z00zz__crc16z00,
		BgL_bgl_string2325za700za7za7_2346za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2327z00zz__crc16z00,
		BgL_bgl_string2327za700za7za7_2347za7, "_crc16-mmap", 11);
	      DEFINE_STRING(BGl_string2328z00zz__crc16z00,
		BgL_bgl_string2328za700za7za7_2348za7, "mmap", 4);
	      DEFINE_STRING(BGl_string2330z00zz__crc16z00,
		BgL_bgl_string2330za700za7za7_2349za7, "_crc16-string", 13);
	      DEFINE_STRING(BGl_string2331z00zz__crc16z00,
		BgL_bgl_string2331za700za7za7_2350za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2333z00zz__crc16z00,
		BgL_bgl_string2333za700za7za7_2351za7, "_crc16-port", 11);
	      DEFINE_STRING(BGl_string2334z00zz__crc16z00,
		BgL_bgl_string2334za700za7za7_2352za7, "input-port", 10);
	      DEFINE_STRING(BGl_string2337z00zz__crc16z00,
		BgL_bgl_string2337za700za7za7_2353za7, "_crc16-file", 11);
	      DEFINE_STRING(BGl_string2338z00zz__crc16z00,
		BgL_bgl_string2338za700za7za7_2354za7, "__crc16", 7);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__crc16z00(long
		BgL_checksumz00_1942, char *BgL_fromz00_1943)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__crc16z00))
				{
					BGl_requirezd2initializa7ationz75zz__crc16z00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__crc16z00();
					BGl_importedzd2moduleszd2initz00zz__crc16z00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__crc16z00()
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 15 */
			BGl_symbol2323z00zz__crc16z00 =
				bstring_to_symbol(BGl_string2324z00zz__crc16z00);
			BGl_symbol2326z00zz__crc16z00 =
				bstring_to_symbol(BGl_string2327z00zz__crc16z00);
			BGl_symbol2329z00zz__crc16z00 =
				bstring_to_symbol(BGl_string2330z00zz__crc16z00);
			BGl_symbol2332z00zz__crc16z00 =
				bstring_to_symbol(BGl_string2333z00zz__crc16z00);
			return (BGl_symbol2336z00zz__crc16z00 =
				bstring_to_symbol(BGl_string2337z00zz__crc16z00), BUNSPEC);
		}
	}



/* crc16 */
	BGL_EXPORTED_DEF int BGl_crc16z00zz__crc16z00(obj_t BgL_objz00_1)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 63 */
			if (BGL_MMAPP(BgL_objz00_1))
				{	/* Unsafe/crc16.scm 65 */
					return BGl_crc16zd2mmapzd2zz__crc16z00(BgL_objz00_1);
				}
			else
				{	/* Unsafe/crc16.scm 65 */
					if (STRINGP(BgL_objz00_1))
						{	/* Unsafe/crc16.scm 67 */
							return BGl_crc16zd2stringzd2zz__crc16z00(BgL_objz00_1);
						}
					else
						{	/* Unsafe/crc16.scm 67 */
							if (INPUT_PORTP(BgL_objz00_1))
								{	/* Unsafe/crc16.scm 69 */
									return BGl_crc16zd2portzd2zz__crc16z00(BgL_objz00_1);
								}
							else
								{	/* Unsafe/crc16.scm 69 */
									return
										CINT(BGl_errorz00zz__errorz00(BGl_symbol2323z00zz__crc16z00,
											BGl_string2325z00zz__crc16z00, BgL_objz00_1));
								}
						}
				}
		}
	}



/* _crc16 */
	obj_t BGl__crc16z00zz__crc16z00(obj_t BgL_envz00_1922, obj_t BgL_objz00_1923)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 63 */
			return BINT(BGl_crc16z00zz__crc16z00(BgL_objz00_1923));
		}
	}



/* crc-value */
	long BGl_crczd2valuezd2zz__crc16z00(long BgL_valz00_2, long BgL_crcz00_3)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 77 */
			{
				long BgL_iz00_827;

				long BgL_valuez00_828;

				long BgL_crcz00_829;

				BgL_iz00_827 = ((long) 0);
				BgL_valuez00_828 = (BgL_valz00_2 << (int) (((long) 8)));
				BgL_crcz00_829 = BgL_crcz00_3;
			BgL_loopz00_830:
				if ((BgL_iz00_827 == ((long) 8)))
					{	/* Unsafe/crc16.scm 81 */
						return BgL_crcz00_829;
					}
				else
					{	/* Unsafe/crc16.scm 83 */
						long BgL_valuez00_832;

						long BgL_crcz00_833;

						BgL_valuez00_832 = (BgL_valuez00_828 << (int) (((long) 1)));
						BgL_crcz00_833 = (BgL_crcz00_829 << (int) (((long) 1)));
						{
							long BgL_crcz00_1976;

							long BgL_valuez00_1975;

							long BgL_iz00_1973;

							BgL_iz00_1973 = (BgL_iz00_827 + ((long) 1));
							BgL_valuez00_1975 = BgL_valuez00_832;
							if (
								(((long) 0) ==
									(((long) 65536) & (BgL_crcz00_833 ^ BgL_valuez00_832))))
								{	/* Unsafe/crc16.scm 87 */
									BgL_crcz00_1976 = BgL_crcz00_833;
								}
							else
								{	/* Unsafe/crc16.scm 87 */
									BgL_crcz00_1976 = (BgL_crcz00_833 ^ ((long) 32773));
								}
							BgL_crcz00_829 = BgL_crcz00_1976;
							BgL_valuez00_828 = BgL_valuez00_1975;
							BgL_iz00_827 = BgL_iz00_1973;
							goto BgL_loopz00_830;
						}
					}
			}
		}
	}



/* crc16-mmap */
	BGL_EXPORTED_DEF int BGl_crc16zd2mmapzd2zz__crc16z00(obj_t BgL_mmapz00_4)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 94 */
			{	/* Unsafe/crc16.scm 95 */
				long BgL_lenz00_842;

				BgL_lenz00_842 = BGL_MMAP_LENGTH(BgL_mmapz00_4);
				{
					long BgL_iz00_1617;

					long BgL_crcz00_1618;

					{	/* Unsafe/crc16.scm 96 */
						long BgL_auxz00_1985;

						BgL_iz00_1617 = ((long) 0);
						BgL_crcz00_1618 = ((long) 65535);
					BgL_loopz00_1616:
						{	/* Unsafe/crc16.scm 96 */
							bool_t BgL_testz00_1986;

							{	/* Unsafe/crc16.scm 96 */
								long BgL_n2z00_1630;

								BgL_n2z00_1630 = ELONG_TO_LONG(BgL_lenz00_842);
								BgL_testz00_1986 = (BgL_iz00_1617 == BgL_n2z00_1630);
							}
							if (BgL_testz00_1986)
								{	/* Unsafe/crc16.scm 96 */
									BgL_auxz00_1985 = (BgL_crcz00_1618 & ((long) 65535));
								}
							else
								{	/* Unsafe/crc16.scm 96 */
									long BgL_arg1749z00_1625;

									long BgL_arg1750z00_1626;

									BgL_arg1749z00_1625 = (BgL_iz00_1617 + ((long) 1));
									{	/* Unsafe/crc16.scm 96 */
										long BgL_arg1751z00_1627;

										{	/* Unsafe/crc16.scm 96 */
											unsigned char BgL_arg1752z00_1628;

											{	/* Unsafe/crc16.scm 96 */
												long BgL_auxz00_1991;

												BgL_auxz00_1991 = LONG_TO_ELONG(BgL_iz00_1617);
												BgL_arg1752z00_1628 =
													BGL_MMAP_REF(BgL_mmapz00_4, BgL_auxz00_1991);
											}
											BgL_arg1751z00_1627 = (BgL_arg1752z00_1628);
										}
										BgL_arg1750z00_1626 =
											BGl_crczd2valuezd2zz__crc16z00(BgL_arg1751z00_1627,
											BgL_crcz00_1618);
									}
									{
										long BgL_crcz00_1997;

										long BgL_iz00_1996;

										BgL_iz00_1996 = BgL_arg1749z00_1625;
										BgL_crcz00_1997 = BgL_arg1750z00_1626;
										BgL_crcz00_1618 = BgL_crcz00_1997;
										BgL_iz00_1617 = BgL_iz00_1996;
										goto BgL_loopz00_1616;
									}
								}
						}
						return (int) (BgL_auxz00_1985);
		}}}}
	}



/* _crc16-mmap */
	obj_t BGl__crc16zd2mmapzd2zz__crc16z00(obj_t BgL_envz00_1924,
		obj_t BgL_mmapz00_1925)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 94 */
			{	/* Unsafe/crc16.scm 95 */
				int BgL_auxz00_1999;

				{	/* Unsafe/crc16.scm 95 */
					obj_t BgL_auxz00_2000;

					if (BGL_MMAPP(BgL_mmapz00_1925))
						{	/* Unsafe/crc16.scm 95 */
							BgL_auxz00_2000 = BgL_mmapz00_1925;
						}
					else
						{	/* Unsafe/crc16.scm 95 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2326z00zz__crc16z00, BGl_string2328z00zz__crc16z00,
								BgL_mmapz00_1925);
							exit(-1);
						}
					BgL_auxz00_1999 = BGl_crc16zd2mmapzd2zz__crc16z00(BgL_auxz00_2000);
				}
				return BINT(BgL_auxz00_1999);
			}
		}
	}



/* crc16-string */
	BGL_EXPORTED_DEF int BGl_crc16zd2stringzd2zz__crc16z00(obj_t BgL_stringz00_5)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 106 */
			{	/* Unsafe/crc16.scm 107 */
				long BgL_lenz00_851;

				BgL_lenz00_851 = STRING_LENGTH(BgL_stringz00_5);
				{
					long BgL_iz00_1664;

					long BgL_crcz00_1665;

					{	/* Unsafe/crc16.scm 108 */
						long BgL_auxz00_2008;

						BgL_iz00_1664 = ((long) 0);
						BgL_crcz00_1665 = ((long) 65535);
					BgL_loopz00_1663:
						if ((BgL_iz00_1664 == BgL_lenz00_851))
							{	/* Unsafe/crc16.scm 108 */
								BgL_auxz00_2008 = (BgL_crcz00_1665 & ((long) 65535));
							}
						else
							{
								long BgL_crcz00_2014;

								long BgL_iz00_2012;

								BgL_iz00_2012 = (BgL_iz00_1664 + ((long) 1));
								BgL_crcz00_2014 =
									BGl_crczd2valuezd2zz__crc16z00(
									(STRING_REF(BgL_stringz00_5, BgL_iz00_1664)),
									BgL_crcz00_1665);
								BgL_crcz00_1665 = BgL_crcz00_2014;
								BgL_iz00_1664 = BgL_iz00_2012;
								goto BgL_loopz00_1663;
							}
						return (int) (BgL_auxz00_2008);
		}}}}
	}



/* _crc16-string */
	obj_t BGl__crc16zd2stringzd2zz__crc16z00(obj_t BgL_envz00_1926,
		obj_t BgL_stringz00_1927)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 106 */
			{	/* Unsafe/crc16.scm 107 */
				int BgL_auxz00_2019;

				{	/* Unsafe/crc16.scm 107 */
					obj_t BgL_auxz00_2020;

					if (STRINGP(BgL_stringz00_1927))
						{	/* Unsafe/crc16.scm 107 */
							BgL_auxz00_2020 = BgL_stringz00_1927;
						}
					else
						{	/* Unsafe/crc16.scm 107 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2329z00zz__crc16z00, BGl_string2331z00zz__crc16z00,
								BgL_stringz00_1927);
							exit(-1);
						}
					BgL_auxz00_2019 = BGl_crc16zd2stringzd2zz__crc16z00(BgL_auxz00_2020);
				}
				return BINT(BgL_auxz00_2019);
			}
		}
	}



/* crc16-port */
	BGL_EXPORTED_DEF int BGl_crc16zd2portzd2zz__crc16z00(obj_t BgL_portz00_6)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 118 */
			{
				long BgL_crcz00_1716;

				{	/* Unsafe/crc16.scm 119 */
					long BgL_auxz00_2027;

					BgL_crcz00_1716 = ((long) 65535);
				BgL_loopz00_1715:
					{	/* Unsafe/crc16.scm 119 */
						long BgL_bytez00_1720;

						BgL_bytez00_1720 =
							(long)
							CINT(BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_portz00_6));
						{	/* Unsafe/crc16.scm 119 */
							bool_t BgL_testz00_2030;

							{	/* Unsafe/crc16.scm 119 */
								obj_t BgL_auxz00_2031;

								BgL_auxz00_2031 = BINT(BgL_bytez00_1720);
								BgL_testz00_2030 = EOF_OBJECTP(BgL_auxz00_2031);
							}
							if (BgL_testz00_2030)
								{	/* Unsafe/crc16.scm 119 */
									BgL_auxz00_2027 = (BgL_crcz00_1716 & ((long) 65535));
								}
							else
								{
									long BgL_crcz00_2035;

									BgL_crcz00_2035 =
										BGl_crczd2valuezd2zz__crc16z00(BgL_bytez00_1720,
										BgL_crcz00_1716);
									BgL_crcz00_1716 = BgL_crcz00_2035;
									goto BgL_loopz00_1715;
								}
						}
					}
					return (int) (BgL_auxz00_2027);
		}}}
	}



/* _crc16-port */
	obj_t BGl__crc16zd2portzd2zz__crc16z00(obj_t BgL_envz00_1928,
		obj_t BgL_portz00_1929)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 118 */
			{	/* Unsafe/crc16.scm 119 */
				int BgL_auxz00_2038;

				{	/* Unsafe/crc16.scm 119 */
					obj_t BgL_auxz00_2039;

					if (INPUT_PORTP(BgL_portz00_1929))
						{	/* Unsafe/crc16.scm 119 */
							BgL_auxz00_2039 = BgL_portz00_1929;
						}
					else
						{	/* Unsafe/crc16.scm 119 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2332z00zz__crc16z00, BGl_string2334z00zz__crc16z00,
								BgL_portz00_1929);
							exit(-1);
						}
					BgL_auxz00_2038 = BGl_crc16zd2portzd2zz__crc16z00(BgL_auxz00_2039);
				}
				return BINT(BgL_auxz00_2038);
			}
		}
	}



/* crc16-file */
	BGL_EXPORTED_DEF int BGl_crc16zd2filezd2zz__crc16z00(obj_t BgL_filez00_7)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 128 */
			return
				CINT(BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00
				(BgL_filez00_7, BGl_proc2335z00zz__crc16z00));
		}
	}



/* _crc16-file */
	obj_t BGl__crc16zd2filezd2zz__crc16z00(obj_t BgL_envz00_1931,
		obj_t BgL_filez00_1932)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 128 */
			{	/* Unsafe/crc16.scm 130 */
				int BgL_auxz00_2048;

				{	/* Unsafe/crc16.scm 130 */
					obj_t BgL_auxz00_2049;

					if (STRINGP(BgL_filez00_1932))
						{	/* Unsafe/crc16.scm 130 */
							BgL_auxz00_2049 = BgL_filez00_1932;
						}
					else
						{	/* Unsafe/crc16.scm 130 */
							BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol2336z00zz__crc16z00, BGl_string2331z00zz__crc16z00,
								BgL_filez00_1932);
							exit(-1);
						}
					BgL_auxz00_2048 = BGl_crc16zd2filezd2zz__crc16z00(BgL_auxz00_2049);
				}
				return BINT(BgL_auxz00_2048);
			}
		}
	}



/* <anonymous:1761> */
	obj_t BGl_zc3anonymousza31761ze3z83zz__crc16z00(obj_t BgL_envz00_1933)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 130 */
			{

				{	/* Unsafe/crc16.scm 130 */
					int BgL_auxz00_2056;

					{	/* Unsafe/crc16.scm 130 */
						obj_t BgL_arg1762z00_1741;

						{	/* Unsafe/crc16.scm 130 */
							obj_t BgL_res2305z00_1743;

							{	/* Unsafe/crc16.scm 130 */
								obj_t BgL_auxz00_2057;

								BgL_auxz00_2057 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2305z00_1743 =
									BGL_ENV_CURRENT_INPUT_PORT(BgL_auxz00_2057);
							}
							BgL_arg1762z00_1741 = BgL_res2305z00_1743;
						}
						BgL_auxz00_2056 =
							BGl_crc16zd2portzd2zz__crc16z00(BgL_arg1762z00_1741);
					}
					return BINT(BgL_auxz00_2056);
				}
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__crc16z00()
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__crc16z00()
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 15 */
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 23161561),
				BSTRING_TO_STRING(BGl_string2338z00zz__crc16z00));
		}
	}

#ifdef __cplusplus
}
#endif
